<?php

namespace Modules\Api\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class BillAdd extends Model
{
    use HasFactory, RoundingAttributesTrait;
    protected $table = 'bills_add';
    protected $guarded = [];

    public function vats()
    {
        return $this->hasMany(ItemVat::class, 'vat_id', 'id');
    }

}
