<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class City extends Model
{
    use HasFactory;

    protected $table = "cities";
    protected $guarded = [];
    public function scopeSelection($query)
    {
        return $query->select('id','city_name','city_up','not_active','shop_id');
    }
}
