<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class ItemImage extends Model
{
    use HasFactory;

    protected $table = 'item_images';
    protected $guarded = [];
    protected $appends=['image_link'];

    public function items()
    {
        return $this->belongsTo(Item::class, 'item_id', 'id');
    }
   public function getImageLinkAttribute($value)
    {
        return in_array($value, ['', ' ', null]) ? asset('uploads/'.$this->shop_id .'/Api/noImage.png') : asset($value);
    }
}
