<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class ItemRate extends Model
{
    use HasFactory;

    protected $guarded = [];
    protected $table = 'item_rates';
    protected $casts = [
        'rate' =>'integer',
    ];
    public function items()
    {
        return $this->belongsTo(Item::class,'item_id','id');
    }

    public function clients()
    {
        return $this->belongsTo(Client::class,'client_id','id');
    }
    
    public function client()
    {
        return $this->belongsTo(Client::class, 'client_id', 'id');
    }

}
