<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Notification extends Model
{
    use HasFactory;
    protected $table = 'notifications';
    protected $guarded = [];
    public function scopeSelection($query)
    {
        return $query->select('id', 'type', 'notifiable_type', 'notifiable_id', 'read_at', 'text', 'data', 'shop_id', 'created_at', 'updated_at');
    }
}
