<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class RequestCoupon extends Model
{
    use HasFactory;
    protected $table="request_coupons";
    protected $guarded = [];
    public function scopeSelection($query)
    {
        return $query->select('id','coupon_code','discount_value','discount_type','is_valid','expire_date','shop_id');
    }
    public function getType()
    {
        $coupon = RequestCoupon::Where(['shop_id' => $this->shop_id, 'coupon_code' => $this->coupon_code])->first();
        if ($coupon->discount_type == 0) {
            return '% ';
        } else {
            return 'EGP';
        }
    }

}
