<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class RequestDetailVat extends Model
{
    use HasFactory;

    protected $table = 'requests_details_vats';
    protected $guarded = [];
    public function requests()
    {
        return $this->belongsTo(Request::class, 'request_id', 'id');
    }
    public function details()
    {
        return $this->belongsTo(RequestDetail::class, 'detail_id', 'id');
    }
}
