<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Store extends Model
{
    use HasFactory;

    protected $fillable = [];
    protected $table = 'stores';
    public function items()
    {
        return $this->hasMany(Item::class,'	item_id','id');
    }
    public function itemStores()
    {
        return $this->hasMany(StoreItem::class,'store_id','id');
    }
}
