<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class StoreItem extends Model
{
    use HasFactory;
    protected $table = 'store_items';
    protected $fillable = [];
    public function items()
    {
        return $this->hasMany(Item::class,'id','item_id');
    }
    public function store()
    {
        return $this->belongsTo(Store::class,'store_id','id');
    }
}
