<?php

namespace Modules\BadrRequest\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class StoreItem extends Model {
	use RoundingAttributesTrait;
    protected $guarded = [];
	public $timestamps = false;
	protected $table = 'store_items';

    public function items()
    {
        return $this->hasMany(Item::class,'item_id','id');
    }

}
