<?php

namespace Modules\BadrRequest\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\BadrRequest\Entities\BadrShop;
use Modules\BadrRequest\Http\Requests\WebcontactRequest;

class WebContactController extends Controller
{

    public function edit()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $badrshop=BadrShop::where('serial_id',$shop_id)->selection()->first();
       return view('badrrequest::web-contact',compact('badrshop'));
    }
    public function update(WebcontactRequest $request ,$id)
    {
        $contact=BadrShop::where('serial_id',$id)->first();
        $update=$contact->update([
            'shop_name'=>$request->shop_name,
            'telephone'=>$request->phone,
            'email'=>$request->email,
            'about'=>$request->about,
            'shop_terms'=>$request->shop_terms,
            'address'=>$request->address,
        ]);
        if($update)
        {
            session()->flash('success', 'تم تعديل البيانات بنجاح');
            return back();
        }
        else{
            dd(123);
        }

    }


}
