<?php

namespace Modules\BadrRequest\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\BadrRequest\Entities\BadrShop;

class WebStyleController extends Controller
{
    public function WebStyle()
    {
        return view('badrrequest::web-style');
    }
    public function ChangeStyle(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $shop = BadrShop::where('serial_id', $shop_id)->first();
        if ($shop) {
            $shop->style = $request->style;
            $shop->save();

            return back()->with(['success' => trans('native.correct_save')]);
        } else {
            return back()->with(['error' => trans('native.Error_save')]);
        }
    }
}
