@extends('master::layouts.master')

@section('content')

    <div class="container">

        <div class="row" style="margin-top: 30px;">


            <div class="col-md-12" style="margin-bottom: 20px;">

                <h2 class="text-primary">إعدادات الدفع الالكتروني</h2>
            </div>

            <div class="col-md-12">
                <h3> يمكن الدفع علي المتجر من خلال بوابات الدفع التالية</h3>

                <ul>
                    <li class="">
                        <a id="paypal" href="javascript:void(0)" class="h4">الدفع من خلال باي بال
                            PayPal
                            <span class="text-danger"> (اضغط هنا لعرض الاعدادات)</span>
                        </a>
                    </li>
                    <li class="">
                        <a id="payfort" href="javascript:void(0)" class="h4">الدفع من خلال باي فورت PayFort
                            <span class="text-danger"> (اضغط هنا لعرض الاعدادات)</span>
                        </a>
                    </li>
                    <li class="">
                        <a id="paytabs" href="javascript:void(0)" class="h4">الدفع من خلال باي تابس PayTabs
                            <span class="text-danger"> (اضغط هنا لعرض الاعدادات)</span>
                        </a>
                    </li>
                    <li>
                        <a id="moyasar" href="javascript:void(0)" class="h4">الدفع من خلال ميسر Moyasar
                            <span class="text-danger"> (اضغط هنا لعرض الاعدادات)</span>
                        </a>
                    </li>

                </ul>

            </div>

            <div class="col-md-12">

                @include('badrrequest::checkout.paypal-settings')
                @include('badrrequest::checkout.payfort-settings')
                @include('badrrequest::checkout.paytabs-settings')
                @include('badrrequest::checkout.moyasar-settings')

            </div>


        </div>
    </div>



@stop

@section('js-scripts')

    <script>

        $('#paypal_div').hide();
        $('#payfort_div').hide();
        $('#paytabs_div').hide();
        $('#moyasar_div').hide();

        $('#paypal').click(function () {
            $('#paypal_div').show();
            $('#payfort_div').hide();
            $('#paytabs_div').hide();
            $('#moyasar_div').hide();
        });

        $('#payfort').click(function () {
            $('#paypal_div').hide();
            $('#payfort_div').show();
            $('#paytabs_div').hide();
            $('#moyasar_div').hide();
        });

        $('#paytabs').click(function () {
            $('#paypal_div').hide();
            $('#payfort_div').hide();
            $('#paytabs_div').show();
            $('#moyasar_div').hide();
        });
        $('#moyasar').click(function () {
            $('#paypal_div').hide();
            $('#payfort_div').hide();
            $('#paytabs_div').hide();
            $('#moyasar_div').show();
        });

        $('#moyasar').click();

    </script>

@stop
