<div id="moyasar_div">

    {!! Form::open([
    'route'=>'badr-requests.update-checkout-settings',
    'method'=>'POST'
    ])!!}

    {!! Form::hidden('settings_id', $settings->id) !!}
    {!! Form::hidden('shop_id', $settings->shop_id) !!}
    {!! Form::hidden('type', 'moyasar') !!}

    <div class="col-md-11 col-md-offset-1">

        <h3 class="text-primary">اعدادات moyasar </h3>
        <table class="table table-bordered">

            <tr class="text-center">
                <td colspan="2">
                    اعدادت ميسر التجريبية <b>(Sandbox)</b>
                </td>
                <td colspan="2">
                    اعدادت ميسر الفعلية <b>(LIVE)</b>
                </td>
            </tr>
            <tr>
                <td colspan="2">

                    <div class="form-group">
                        <label class="control-label" for="moyasar_s_secret">
                            الرقم التعريفي (Publishable Key)
                        </label>
                        <textarea class="form-control" id="moyasar_s_secret" name="moyasar_s_public_key"
                                  rows="2">{{ $settings->moyasar_s_public_key }}</textarea>
                    </div>
                </td>

                <td colspan="2">


                    <div class="form-group">
                        <label class="control-label" for="moyasar_secret">
                            الرقم التعريفي (Publishable Key)
                        </label>
                        <textarea class="form-control" id="moyasar_secret" name="moyasar_public_key"
                                  rows="2">{{ $settings->moyasar_public_key }}</textarea>
                    </div>

                </td>

            </tr>

        <tr>
                <td colspan="2">

                    <div class="form-group">
                        <label class="control-label" for="moyasar_s_secret">
                            الرقم السري (Secret Key)
                        </label>
                        <textarea class="form-control" id="moyasar_s_secret" name="moyasar_s_secret_key"
                                  rows="2">{{ $settings->moyasar_s_secret_key }}</textarea>
                    </div>
                </td>

                <td colspan="2">


                    <div class="form-group">
                        <label class="control-label" for="moyasar_secret">
                            الرقم السري (Secret Key)
                        </label>
                        <textarea class="form-control" id="moyasar_secret" name="moyasar_secret_key"
                                  rows="2">{{ $settings->moyasar_secret_key }}</textarea>
                    </div>

                </td>

            </tr>

            <tr>
                <td colspan="4">
                    <div class="row">
                        <div class="col-sm-5 col-xs-9">
                            <label class="h3" for="moyasar_sandbox"> تفعيل الحساب التجريبي (ٍSandbox)؟</label>
                        </div>
                        <div class="col-sm-1 col-xs-3">
                            <input type="checkbox" class="form-control" id="moyasar_sandbox"
                                   @if($settings->moyasar_sandbox) checked @endif name="moyasar_sandbox">
                        </div>
                    </div>


                </td>
            </tr>
        </table>
        <hr>
        <button class="btn btn-success">{{ trans('extends.save-btn') }}</button>

    </div>

    {!! Form::close()!!}

</div>
