<div id="paytabs_div">

    {!! Form::open([
    'route'=>'badr-requests.update-checkout-settings',
    'method'=>'POST'
    ])!!}

    {!! Form::hidden('settings_id', $settings->id) !!}
    {!! Form::hidden('shop_id', $settings->shop_id) !!}
    {!! Form::hidden('type', 'paytabs') !!}

    <div class="col-md-11 col-md-offset-1">

        <h3 class="text-primary">اعدادات PayTabs </h3>
        <table class="table table-bordered">

            <tr class="text-center">
                <td colspan="2">
                    اعدادت باي تابس التجريبية <b>(Sandbox)</b>
                </td>
                <td colspan="2">
                    اعدادت باي تابس الفعلية <b>(LIVE)</b>
                </td>
            </tr>
            <tr>
                <td colspan="2">

                    <div class="form-group">
                        <label class="control-label" for="paytabs_s_secret">
                            الرقم السري (client_secret)
                        </label>
                        <textarea class="form-control" id="paytabs_s_secret" name="paytabs_s_secret"
                                  rows="2">{{ $settings->paytabs_s_secret }}</textarea>
                    </div>

                </td>

                <td colspan="2">


                    <div class="form-group">
                        <label class="control-label" for="paytabs_secret">
                            الرقم السري (client_secret)
                        </label>
                        <textarea class="form-control" id="paytabs_secret" name="paytabs_secret"
                                  rows="2">{{ $settings->paytabs_secret }}</textarea>
                    </div>

                </td>

            </tr>

            <tr>
                <td colspan="4">
                    <div class="row">
                        <div class="col-sm-5 col-xs-9">
                            <label class="h3" for="paytabs_sandbox"> تفعيل الحساب التجريبي (ٍSandbox)؟</label>
                        </div>
                        <div class="col-sm-1 col-xs-3">
                            <input type="checkbox" class="form-control" id="paytabs_sandbox"
                                   @if($settings->paytabs_sandbox) checked @endif name="paytabs_sandbox">
                        </div>
                    </div>

                    <br>
                    <div class="row">
                        <div class="col-sm-3">
                            <label class="h4" for="paytabs_email"> البريد الالكتروني (Email)</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="email" class="form-control" id="paytabs_email"
                                   value="{{ $settings->paytabs_email }}" name="paytabs_email">
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-sm-3">
                            <label class="h4" for="mobile"> جوال التاجر (mobile)</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="mobile"
                                   value="{{ $settings->mobile }}" name="mobile">
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-sm-3">
                            <label class="h4" for="site_url"> رابط الموقع (website url)</label>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="site_url"
                                   value="{{ $settings->site_url }}" name="site_url">
                        </div>
                    </div>


                </td>
            </tr>
        </table>
        <hr>
        <button class="btn btn-success">{{ trans('extends.save-btn') }}</button>

    </div>

    {!! Form::close()!!}

</div>
