@extends('master::layouts.master')
@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <form method="POST" action="{{route('update-social', session('shop_id'))}}" class="form custome-form" style="margin-top: 30px;">
                        {{csrf_field()}}
                        <input name="social_id" value="{{ $social->id }}" type="hidden">
                        <div class="form-group">
                            <label for=""> {{ trans('badrrequests.facebook') }}</label>
                            <input required  type="text" name="facebook" class="form-control" value="{{$social->facebook}}"/>
                        </div>
                        <div class="form-group">
                            <label for=""> {{ trans('badrrequests.twiter') }}</label>
                            <input required  type="text" name="twitter" class="form-control" value="{{$social->twitter}}"/>
                        </div>
                        <div class="form-group">
                            <label for=""> {{ trans('badrrequests.youtube') }}</label>
                            <input required  type="text" name="youtube" class="form-control" value="{{$social->youtube}}"/>
                        </div>
                        <div class="form-group">
                            <label for="">  +{{ trans('badrrequests.google') }}</label>
                            <input  required type="text" name="google" class="form-control" value="{{$social->google}}"/>
                        </div>
                        <div class="form-group">
                            <label for="">{{ trans('badrrequests.instagram') }}</label>
                            <input type="text" name="instagram" class="form-control" value="{{$social->instagram}}"/>
                        </div>
                        <div class="form-group row justify-content-center mt-3">
                            <div class="col-md-2 col-6">
                             <input type="submit" value="{{ trans('badrrequests.save') }}" class="btn btn-success w-50"/>

                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
    </div>
@stop
