@extends('master::layouts.master')
@section('content')
    <div class="wrapper  card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div style="">
                        <h1 style="" class="text-info d-inline-block"> {{ trans('badrrequests.add_new_static_page') }}</h1>
                        <a style="margin-bottom: 29px !important" href="{{ route('allStaticPages') }}"
                            class="float-left btn btn-primary d-inline-block"> {{ trans('badrrequests.back') }}</a>
                    </div>
                    <form method="POST" action="{{ route('storeStaticPage') }}" enctype="multipart/form-data" class="custome-form">
                        {{ csrf_field() }}

                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="name"> {{ trans('badrrequests.Tag_in_English') }}</label>
                                <input class="form-control" maxlength="100" name="name" type="text" id="name"
                                    value="">
                            </div>

                            <div class="form-group">
                                <label for="title"> {{ trans('badrrequests.page_title') }}</label>
                                <input class="form-control" maxlength="100" name="title" type="text" id="title"
                                    value="">
                            </div>

                            <div >
                                <div class="form-group">
                                    <label for="title">{{ trans('badrrequests.main_image') }} </label>
                                    <input class="form-control" maxlength="100" name="image" type="file"
                                        id="file">

                                </div>
                                <div class="col-md-2">
                                    <br>
                                    <div class="form-group">
                                        <img class="img-responsive" width="100px" src="" alt="">
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="title"> {{ trans('badrrequests.details') }}</label>
                                <textarea class="form-control" id="editor" name="text"></textarea>
                            </div>


                        <br>
                        <div class="form-group text-center" style="">

                            <input style="margin-right: 16px;" type="submit" name="submitbtn"
                                value="{{ trans('badrrequests.save') }}   " class="btn btn-success">
                            <input  type="reset" name="reset"
                                value=" {{ trans('badrrequests.cancle') }}" style="margin-left:10px;"
                                class="btn btn-danger">
                        </div>
                        <div id="for-loader" class="pull-right"></div>
                        <div id="for-errors" class="pull-left"></div>
                        {{-- @endif --}}
                        </div>

                    </form>
                </div>
            </div>

        </div>
    </div>



@stop


@section('js-scripts')
    <script src="{{ asset('public/tickets/js/jquery.tinymce.min.js') }}"></script>
    <script src="{{ asset('public/tickets/js/tinymce.min.js') }}"></script>
    <script src="{{ asset('public/js/pages.js') }}"></script>


@stop
