@extends('master::layouts.master')
@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row" style="margin-top: 20px;">
<div class="col-md-12">
     <h1 style="" class="text-info d-inline-block">{{ trans('badrrequests.static_page') }}</h1>
                <a href="{{ route('createStaticPage') }}"   style="margin-bottom: 29px !important"   class="btn d-inline-block btn-success float-left edit-user"><i
                   class="fa fa-plus"></i></a>
</div>
               
                <div class="col-md-12 table-responsive ">
                    <table class="table zui-table zui-table-rounded table-hover table-bordered">
                        <thead  style="background-color: #007bff;">
                        <tr class="info">
                            <th>{{ trans('badrrequests.page_title') }}</th>
                            <th>{{ trans('badrrequests.Processes') }}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pages as $page)
                            <tr class="">
                                <td style="">{{$page->title}}</td>
                                <td>
                                    <div class="row justify-content-center">
                                        <div class="col-md-2 col-6" style="">
                                            <a href="{{route('editStaticPage',$page->id)}}"
                                               class="btn btn-warning"><i class="fa fa-edit"></i>  {{ trans('badrrequests.edit') }}</a>

                                        </div>
                                        <div class="col-md-2 col-6">


                                            {!! Form::open([
                                                'route' => 'test-ool',
                                            ]) !!}

                                            <input name="page_id" value="{{ $page->id }}" type="hidden">
                                            <button onclick="return confirm()"
                                                    class="btn btn-danger"> {{ trans('badrrequests.delete') }}</button>
                                            {!! Form::close() !!}
                                        </div>
                                    </div>


                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>


            </div>
        </div>
    </div>
@stop
