<div class="row">
    <div class="col-md-12">
        <div class="well bg-white">
            <h3 class="title-page text-primary mb-3"> {{ __('billreports::bills-add.add-new') }}</h3>

            @if ($settings->einvoice == 1)
                {{-- Tax Types --}}
                <div class="row">
                    <div class="col-md-2">
                        <label> {{ __('billreports::bills-add.tax_type') }}</label>
                    </div>

                    <div class="col-md-3">
                        <input class="form-control hidden" id="add_id" value="">
                        <select name="tax_type" id="tax_type" class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('billreports::bills-add.choose_type') }}">
                            <option value="0" data-tax_codes="{{ json_encode(config('einvoice.taxcodes')) }}">
                                {{ __('billreports::bills-add.taxable_type') }}</option>
                            <option value="1" data-tax_codes="{{ json_encode(config('einvoice.nontaxcodes')) }}">
                                {{ __('billreports::bills-add.non_taxable') }}</option>
                        </select>
                    </div>
                </div>

                <div class="clearfix"></div>

                <br class="hidden" id="tax_br">

                {{-- Tax E-Invoice Names --}}
                <div class="row hidden" id="tax_einvoice_code">
                    <div class="col-md-2">
                        <label> {{ __('billreports::bills-add.tax_name') }}</label>
                    </div>

                    <div class="col-md-3">
                        <input class="form-control hidden" id="add_id" value="">
                        <input type="hidden" name="addition_name" id="addition_name">
                        <select name="tax_einvoice_code" id="tax_einvoice_code_select" class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('billreports::bills-add.choose_tax_name') }}"></select>
                    </div>
                </div>

                <div class="clearfix"></div>

                <br class="hidden" id="tax_sub_br">

                {{-- Tax SubTypes E-Invoice Names --}}
                <div class="row hidden" id="tax_sub_einvoice_code">
                    <div class="col-md-2">
                        <label> {{ __('billreports::bills-add.tax_sub_type') }}</label>
                    </div>

                    <div class="col-md-3">
                        <input class="form-control hidden" id="add_id" value="">
                        <select name="tax_sub_einvoice_code" id="tax_sub_einvoice_code_select"
                            class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}"
                            title="{{ __('billreports::bills-add.choose_tax_sub_type') }}"></select>
                    </div>
                </div>
            @else
                <div class="row">
                    <div class="col-md-2">
                        <label> {{ __('billreports::bills-add.add_name') }}</label>
                    </div>
                    <div class="col-md-3">
                        <input class="form-control hidden" id="add_id">
                        <input class="form-control" id="addition_name" name="Addition_name" placeholder="...">
                    </div>
                </div>
            @endif

            <div class="clearfix"></div>

            <br>

            <div class="row">
                <div class="col-md-2">
                    <label> {{ __('billreports::bills-add.add_value') }} </label>
                </div>
                <div class="col-md-3 mb-3">
                    <input type="number" class="form-control" id="addition_value" placeholder="...">
                </div>
                <div class="col-md-3 form-group text-center">
                    <label class="btn btn-primary form-check-inline" id="percent">
                        <input type="radio" id="check_addition" name="check_addition" checked value="0" hidden>
                        % {{ __('billreports::bills-add.percent') }} </label>
                    <label class="btn btn-outline-primary form-check-inline" id="money">
                        <input type="radio" id="check_addition" name="check_addition" value="1" hidden>
                        $ {{ __('billreports::bills-add.money') }} </label>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>

        <div class="well bg-white" id="rate_change" style="/*display:none;*/">
            <div class="row ">
                <div class="col-md-2">
                    <label>{{ __('billreports::bills-add.vat_operation') }} </label>
                </div>
                <div class="col-md-3 form-group">
                        <label class="btn btn-primary form-check-inline" id="with_add">
                            <input type="radio" id="vat_operation" name="vat_operation" checked value="0" hidden>
                            {{ __('billreports::bills-add.with_add') }} </label>
                  
                        <label class="btn btn-outline-primary form-check-inline" id="with_discount">
                            <input type="radio" id="vat_operation" name="vat_operation" value="1" hidden>
                            {{ __('billreports::bills-add.with_discount') }} </label>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>

        @if ($settings->einvoice == 0)
            <div class="well bg-white">
                <div class="row">
                    <div class="col-md-2">
                        <label>{{ __('billreports::bills-add.use_it') }}</label>
                    </div>
                    <div class="col-md-3 form-group">
                            <label class="btn btn-primary form-check-inline" id="use_it">
                                <input type="radio" id="add_role" name="add_role" checked value="0" hidden>
                                {{ __('extends.yes') }}</label>
                            <label class="btn btn-outline-primary form-check-inline" id="stop_it">
                                <input type="radio" id="add_role3" name="add_role" value="1" hidden>
                                {{ __('extends.no') }}</label>
                    </div>
                </div>
            </div>
        @endif

        {{-- <div class="clearfix"></div>
        <div class="well bg-white" id="rate_change" style="/*display:none;*/">
            <div class="row ">
                <div class="col-md-2">
                    <label>{{ __('billreports::bills-add.add_description_insert') }} </label>
                </div>
                <div class="row form-group">
                    <div class="form-group">
                        <label class="btn btn-outline-primary form-check-inline">
                            <input type="radio" id="bill_add_method" name="bill_add_method" checked="checked"
                                value="1">
                            {{ __('billreports::bills-add.to_sum_only') }}</label>
                    </div>
                    <div class="form-group">
                        <label class="btn btn-outline-primary form-check-inline ">
                            <input type="radio" id="bill_add_method2" name="bill_add_method" value="2">
                            {{ __('billreports::bills-add.to_sum_and_vats') }}</label>
                    </div>
                </div>
            </div>
        </div> --}}

        <div class="clearfix"></div>
        {{-- <div class="well bg-white">
            <!---resturant ------>
            <div class="row ">
                <div class="col-md-2">
                    <label></label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-outline-primary form-check-inline ">
                        <input type="radio" id="add_resturant0" name="add_resturant" value="0">
                        {{ __('billreports::bills-add.cash_only') }}</label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-outline-primary form-check-inline ">
                        <input type="radio" id="add_resturant1" name="add_resturant" checked="checked"
                            value="1">
                        {{ __('billreports::bills-add.all') }} </label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-outline-primary form-check-inline ">
                        <input type="radio" id="add_resturant2" name="add_resturant" value="2">
                        {{ __('billreports::bills-add.hall_only') }}</label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-outline-primary form-check-inline ">
                        <input type="radio" id="add_resturant3" name="add_resturant" value="3">
                        {{ __('billreports::bills-add.delivery_only') }}</label>
                </div>
            </div>
        </div> --}}

        <div class="clearfix"></div>

        {{-- <div class="well bg-white @if ($export_bill) hidden @endif">
            <!---resturant ------>
            <div class="row ">
                <div class="col-md-2">
                    <label> {{ __('billreports::bills-add.bill_type') }}: </label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-outline-primary form-check-inline ">
                        <input type="radio" id="checkBillType0" name="checkBillType" value="0"
                            checked="checked">
                        {{ __('billreports::bills-add.all') }} </label>
                </div>

                <div class="col-md-2">
                    <label class="btn btn-outline-primary form-check-inline ">
                        <input type="radio" id="checkBillType1" name="checkBillType" value="1">
                        {{ __('billreports::bills-add.normal_bill') }}</label>
                </div>
                <div class="col-md-2">
                    <label class="btn btn-outline-primary form-check-inline ">
                        <input type="radio" id="checkBillType2" name="checkBillType" value="2">
                        {{ __('billreports::bills-add.export_bill') }}</label>
                </div>
            </div>
        </div> --}}

        <a href="javascript:void(0)" id="save_add" class="btn btn-xs btn-success float-left">
            {{ __('billreports::bills-add.save') }}
            <i class="fa fa-plus pr-2"></i>
        </a>
    </div>
</div>
