<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover table-heading show_quick bg-white" role="presentation">
        <thead class="bg-primary text-white">
            <tr>
                <th scope="col">#</th>
                <th scope="col">{{ __('billreports::bills-add.tax_name') }}</th>
                @if ($settings->einvoice == 1)
                    <th scope="col">{{ __('billreports::bills-add.tax_einvoice_code') }}</th>
                @endif
                <th scope="col">{{ __('billreports::bills-add.add_value') }}</th>
                <th scope="col">{{ __('billreports::bills-add.add_type') }}</th>
                <th scope="col">{{ __('billreports::bills-add.vat_operation') }}</th>
                {{-- <th scope="col">{{ __('billreports::bills-add.add_description_insert') }}</th> --}}
                <th scope="col">{{ __('billreports::bills-add.use_it') }}</th>
                @if ($settings->einvoice == 1)
                    <th scope="col">{{ __('billreports::bills-add.is_einvoice') }}</th>
                    <th scope="col">{{ __('billreports::bills-add.tax_sub_type') }}</th>
                    <th scope="col">{{ __('billreports::bills-add.tax_sub_einvoice_code') }}</th>
                @endif
                <th scope="col">{{ __('billreports::bills-add.add_date') }}</th>
                <th scope="col">{{ __('billreports::bills-add.added_by') }}</th>
                <th scope="col">{{ __('extends.action') }}</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($adds as $add)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ $add->Addition_name }}</td>
                    @if ($settings->einvoice == 1)
                        <td>{{ $add->einvoice_code ?? __('billreports::bills-add.einvoice_code_not_found') }}</td>
                    @endif
                    <td>{{ price_decimal($add->addition_value) }}</td>
                    <td>{{ $add->check_addition ? __('billreports::bills-add.money') : __('billreports::bills-add.percent') }}
                    </td>
                    <td>{{ $add->vat_operation_name }}</td>
                    {{-- <td>
                        @if ($add->bill_add_method == 1)
                            {{ __('billreports::bills-add.to_sum_only') }}
                        @else
                            {{ __('billreports::bills-add.to_sum_and_vats') }}
                        @endif
                    </td> --}}
                    <td>{{ $add->add_role == 0 ? __('extends.yes') : __('extends.no') }}</td>
                    @if ($settings->einvoice == 1)
                        <td>{{ !in_array($add->einvoice_code, ['', ' ', null]) ? __('billreports::bills-add.yes') : __('billreports::bills-add.no') }}
                        </td>
                        <td>{{ $add->sub_tax_name }}</td>
                        <td>{{ $add->sub_einvoice_code ?? '---' }}</td>
                    @endif
                    <td> {{ $add->add_date }}</td>
                    <td> {{ $add->user_name }}</td>
                    <td><a href="javascript:void(0)" data-id="{{ $add->id }}"
                            class="btn btn-success edit_add">{{ __('billreports::bills-add.edit') }}</a>
                        <a href="javascript:void(0)" data-id="{{ $add->id }}"
                            class="btn btn-danger delete_add">{{ __('billreports::bills-add.delete') }}</a>
                    </td>
                </tr>
            @endforeach

        </tbody>
    </table>
</div>
