<?php

use Modules\BillReports\Entities\SaleBack;
use Modules\BillReports\Entities\saleBackInvoice;
use Modules\BillReports\Entities\BillHistory as BillAddHistory;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => ['web', 'auth']], function () {
    Route::get('/bill-adds-render-data', 'BillAddController@renderData')->name('bill-adds.render-data');
    Route::resource('bill-adds', 'BillAddController')->except(['edit', 'show', 'update', 'destroy', 'index']);
    Route::get('bill-adds/', 'BillAddController@index')->name('bill-adds.all');
    Route::get('bill-adds/edit', 'BillAddController@edit')->name('bill-adds.edit');
    Route::post('bill-adds/update', 'BillAddController@update')->name('bill-adds.update');
    Route::post('bill-adds/destroy', 'BillAddController@destroy')->name('bill-adds.destroy');
});
