<?php

namespace Modules\Car\Http\Services;

use Exception;
use Modules\Car\Entities\Car;

class CarService
{
    public function handle(array $data, ?int $id = null)
    {
        try {
            $this->uploadFile($data);
            $row = Car::updateOrCreate(['id' => $id], $data);
            return $row;
        } catch (Exception $e) {
            return $e;
        }
    }

    public function uploadFile(array &$data)
    {
        if ( !isset($data['avatar']) || $data['avatar'] == '') return ;

        $file = request()->file('avatar');
        $exte = $file->getClientOriginalExtension();
        $name = time().'.'.$exte;
        $path = "uploads/cars/".auth()->user()->shop_id;

        $data['avatar'] = $name;
        $file->move($path, $name);
    }
}