<div class="form-group">
    <label for="value" class="required">@lang('car::trans.columns.type')</label>
    <div class="input-group">
        <input type="text" class="form-control" placeholder="@lang('car::trans.columns.type')" id="car_type" name="car_type" value="{{ $row->car_type ?? '' }}">
        <div class="input-group-prepend">
            <span class="input-group-text"> <i class="fas fa-car"></i> </span>
        </div>
    </div>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="car_type_error"></span>
</div>

<div class="form-group">
    <label for="value" class="required">@lang('car::trans.columns.model')</label>
    <div class="input-group">
        <input type="text" class="form-control" placeholder="@lang('car::trans.columns.model')" id="car_model" name="car_model" value="{{ $row->car_model ?? '' }}">
        <div class="input-group-prepend">
            <span class="input-group-text"> <i class="fas fa-palette"></i> </span>
        </div>
    </div>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="car_model_error"></span>
</div>


<div class="form-group">
    <label for="value" class="required">@lang('car::trans.columns.number')</label>
    <div class="input-group">
        <input type="text" class="form-control use-only-numbers" placeholder="@lang('car::trans.columns.number')" id="plate_number" name="plate_number" value="{{ $row->plate_number ?? '' }}">
        <div class="input-group-prepend">
            <span class="input-group-text"> <i class="fas fa-id-card"></i> </span>
        </div>
    </div>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="plate_number_error"></span>
</div>


<div class="form-group">
    <label for="value" class="required">@lang('car::trans.columns.avatar')</label>
    <div class="input-group">
        <input type="file" class="form-control" id="avatar" name="avatar" accept="image/*" />
        <div class="input-group-prepend">
            <span class="input-group-text"> <i class="fas fa-images"></i> </span>
        </div>
    </div>
    <span class="validation-errors text-danger d-block text-center font-weight-bold" id="avatar_error"></span>
</div>

<div>
    @if (isset($row) && $row->avatar)
        <img src="{{ asset($row->avatar) }}">
    @endif
</div>