<?php

namespace Modules\Category\Entities;

use Illuminate\Database\Eloquent\Model;

class Slider extends Model
{
    protected $fillable = [];
    public $timestamps = false;
    protected $table = 'slider';

    public function getImage()
    {
        return config('main.badr').$this->src;
    }

    public function getUrl()
    {
        if ($this->outside_link == 1) {
            return $this->image_link;
        } else {
            $item = Item::find($this->item_id);
            if ($item) {
                return config('main.store_url').get_session_val('serial_id', 'integer').'/item/'.$this->item_id;
            } else {
                return '#';
            }
//
        }

    }

    public function getType()
    {
        if ($this->outside_link == 1) {
            return 'رابط خارجي';
        } else {
            return 'صنف';
        }
    }
}
