<?php

namespace Modules\Category\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Category\Entities\Item;
use Modules\Category\Entities\BillAdd;

class ItemVatController extends Controller
{

    public function index()
    {
        $billsAdd = BillAdd::select('id', 'Addition_name', 'addition_value')->where('shop_id', get_session_val('serial_id', 'integer'))->get();
        return view('category::items-vat.index', compact('billsAdd'));
    }

    public function applyVat(Request $request)
    {
        $addType = $request->addType;

        if ($addType == 0 || $addType == 1) {
            $add = 0;
        } else {
            $add = $request->add;
        }

        $item = Item::where('shop_id', get_session_val('serial_id', 'integer'))->update([
            'vat_id' => $add,
            'vat_state' => $addType,
        ]);

        if ($item) {
            $msg = 'تم تحديث الاصناف';
        } else {
            $msg = 'حدث حظا اثناء تعديل الانصاف';
        }

        return $msg;
    }


    public function applyVatPurchase(Request $request)
    {
        $purchaseAddType = $request->purchaseAddType;

        if ($purchaseAddType == 0 || $purchaseAddType == 1) {
            $purchaseAdd = 0;
        } else {
            $purchaseAdd = $request->purchaseAdd;
        }
        $item = Item::where('shop_id', get_session_val('serial_id', 'integer'))->update([
            'purchase_vat_id' => $purchaseAdd,
            'purchase_vat_state' => $purchaseAddType,
        ]);

        if ($item) {
            $msg = 'تم تحديث الاصناف';
        } else {
            $msg = 'حدث حظا اثناء تعديل الانصاف';
        }

        return $msg;
    }


}
