<tr class="info text-center" data-toggle="collapse" data-parent="{{ $category->category_id }}" data-id="{{ $category->id }}">
    <td class="iteration text-center"></td>
    <td style="padding-right: {{ $padding }}px">
        @if ($category->subs->count())
            <i class="fa fa-caret-down collapse-section" style="padding: 5px; cursor: pointer;"></i>
        @endif

        {{ $category->name }}
    </td>
    <td><img class="img-responsive" width="40" src="{{ asset($category->getImg()) }}" onerror=" this.style.display='none'"> </td>
    <td>
        <div class="btn-group">
            <a class="btn btn-md btn-success text-light" data-toggle="modal"
                data-target="#updateElementModal" data-href="{{ $category->id }}"
                style="margin-left:5px;">
                <span class="glyphicon glyphicon-pencil" data-toggle="tooltip" data-placement="top"
                    title="Remove this Element">{{ trans('extends.edit') }} </span>
            </a>

            <a class="btn btn-md btn-danger text-light" data-toggle="modal"
                data-target="#deleteElementModal" data-href="{{ $category->id }}"
                style="margin-left:5px;">
                <span class="glyphicon glyphicon-trash" data-toggle="tooltip" data-placement="top"
                    title="Remove this Element">{{ trans('extends.delete') }} </span>
            </a>
        </div>
    </td>
</tr>


@forelse ($category->subs as $sub)
    @include('category::main.table-rows', ['category' => $sub, 'padding' => $padding + 50])
@empty @endforelse
