<div class="modal fade" id="new-supplier-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> مورد جديد </h4>
            </div>
            <div class="modal-body">
                <form id="new-supplier-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">

                        <div class="form-group">
                            <label class="control-label" for="supplier_name"> اسم المورد :</label>
                            <input type="text" class="form-control" name="supplier_name" id="supplier_name"
                                   autofocus/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="structure_no"> التليفون :</label>
                            <input type="text" class="form-control" name="tele" id="tele"/>
                        </div>
                    </div>

                    <button class="btn btn-primary" type="submit">{{ trans('extends.save-btn') }} </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="new-barcode-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> باركود جديد </h4>
            </div>
            <div class="modal-body">
                {{--<form id="new-barcode-form-modal" action="" method="post">--}}
                {{--{{ csrf_field() }}--}}
                <div class="modal-body" id="modal-loader-u">

                    <div class="form-group">
                        <label class="control-label" for="barcode"> الباركود :</label>
                        <input type="text" class="form-control" name="barcode[]" id="new-barcode"
                               autofocus/>
                    </div>

                </div>

                <a href="javascript:void(0)" class="btn btn-primary"
                   id="add-barcode-btn">{{ trans('extends.save-btn') }} </a>
                {{--</form>--}}
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>


<div class="modal fade" id="new-sub-unit-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> وحدة فرعية جديدة </h4>
            </div>
            <div class="modal-body">
                <form id="new-sub-unit-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">

                        <div class="form-group">
                            <label class="control-label" for="barcode"> الوحدة :</label>
                            <select data-live-search="true"
                                    class="form-control selectpicker" name="unit_id" data-none-selected-text="{{ trans('native.no-selected') }}">
                                @foreach($units as $unit)
                                    <option value="{{ $unit->id }}" data-name="{{ $unit->name }}">{{ $unit->name }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="barcode"> مقابل الوحدة الأساسية :</label>
                            <input type="text" class="form-control" name="unit_value" id="modal_unit_value"/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="barcode"> سعر الوحدة :</label>
                            <input type="text" class="form-control" name="unit_price" id="modal_unit_price"/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="barcode"> الباركود :</label>
                            <input type="text" class="form-control" name="unit_barcode" id="modal_unit_barcode"/>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label" for="barcode"> نوع الوحدة :</label>
                                    <select class="form-control" name="unit_type">
                                        <option value="0">الوحدة أكبر</option>
                                        <option value="1">الوحدة أصغر</option>

                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-inline" style="margin-top: 1.5em;">
                                    <label class="control-label" for="barcode"> اظهار المربع؟ :</label>
                                    <input type="checkbox" class="form-control" name="Screenhidden" checked/>
                                </div>
                            </div>
                        </div>

                    </div>

                    <a href="javascript:void(0)" class="btn btn-primary"
                       id="add-new-sub-unit-btn">{{ trans('extends.save-btn') }} </a>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="new-company-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> قائمة أسعار متغيره </h4>
            </div>
            <div class="modal-body">
                <form id="new-company-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">

                        <div class="form-group">
                            <label class="control-label" for="company_name"> اسم القائمة :</label>
                            <input type="text" class="form-control" name="company_name" id="company_name"
                                   autofocus/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="income_ration"> نسبة على المشتريات :</label>
                            <input type="text" class="form-control" name="income_ratio" id="income_ration"/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="sale_ratio"> نسبة على المبيعات :</label>
                            <input type="text" class="form-control" name="sale_ratio" id="sale_ratio"/>
                        </div>
                    </div>

                    <button class="btn btn-primary" type="submit">{{ trans('extends.save-btn') }} </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="new-card-company-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> شركة اتصالات جديدة </h4>
            </div>
            <div class="modal-body">
                <form id="new-card-company-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">

                        <div class="form-group">
                            <label class="control-label" for="company_name"> اسم الشركة :</label>
                            <input type="text" class="form-control" name="company_name" id="company_name"
                                   autofocus/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="card_count"> عدد بطاقات الشحن :</label>
                            <input type="text" class="form-control" name="card_count" id="card_count" value="0"/>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">{{ trans('extends.save-btn') }} </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="new-size-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> اضافة مقاس </h4>
            </div>
            <div class="modal-body">
                <form id="new-size-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">

                        <div class="form-group">
                            <label class="control-label" for="size_name"> المقاس :</label>
                            <input type="text" class="form-control" name="size_name" id="size_name"
                                   autofocus/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="size_code"> الكود :</label>
                            <input type="text" class="form-control" name="size_code" id="size_code" value="0"/>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">{{ trans('extends.save-btn') }} </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="new-color-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> اضافة لون </h4>
            </div>
            <div class="modal-body">
                <form id="new-color-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">

                        <div class="form-group">
                            <label class="control-label" for="company_name"> اللون :</label>
                            <input type="text" class="form-control" name="color_name" id="color_name"
                                   autofocus/>
                        </div>

                        <div class="form-group">
                            <label class="control-label" for="color_code"> الكود :</label>
                            <input type="text" class="form-control jscolor" name="color_code"
                                   id="color_code"/>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">{{ trans('extends.save-btn') }} </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="updateSubUnitElementModal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> تعديل وحدة فرعية </h4>
            </div>
            <div class="modal-body">
                <form id="edit-sub-unit-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">


                        <div id="updateElementLoader" style="alignment: center;"></div>
                        <div id="updateElementErrors" style="alignment: left;"></div>
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="well" id="updateElementWell">
                                    {{-- DATA WILL BE ADDED HERE BY ID! --}}
                                </div>
                            </div>
                        </div>


                    </div>

                    <button class="btn btn-primary"
                       id="add-new-sub-unit-btn">{{ trans('extends.save-btn') }} </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>


<div class="modal fade" id="new-shelf-modal" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"> اضافة رف </h4>
            </div>
            <div class="modal-body">
                <form id="new-shelf-form-modal" action="" method="post">
                    {{ csrf_field() }}
                    <div class="modal-body" id="modal-loader-u">

                        <div class="form-group">
                            <label class="control-label" for="shelf_name"> الرف :</label>
                            <input type="text" class="form-control" name="shelf_name" id="size_name"
                                   autofocus/>
                        </div>



                    </div>

                    <button class="btn btn-primary" type="submit">{{ trans('extends.save-btn') }} </button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default"
                        data-dismiss="modal">{{ trans('extends.close') }}
                </button>
            </div>
        </div>

    </div>
</div>
