<?php

namespace Modules\Clients\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class ListPrice extends Model
{
    protected $table = 'prices_list';
    public $timestamps = false;
    protected $fillable = [];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('order', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id);
        });
    }
}
