@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">

    <style>
        th {
            text-align: center;
        }
    </style>
@stop

@section('content')
    <div class="wrapper">
    <div class="card card-light mb-1_5 pt-1_5 p-4">

        <div class="container">
            <div class="row">
                <h3 class="text-info"> {{ $client->client_role == 2 ? "عميل / مورد" : ($client->client_role == 1 ? 'مورد' : 'عميل') }} : {{ $client->client_name }} </h3>
            </div>

            @include('clients::client-form')
        </div>
    </div>
    </div>
@stop
@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <!--<script src="{{ asset('tickets/js/jquery.tableToExcel.js') }}"></script>-->
    <script type="text/javascript"
        src='https://maps.google.com/maps/api/js?libraries=places&key=AIzaSyCmT97qMPjKdidWGuTUr8c9KC2l4sVUcNs'></script>
    <script src="{{ asset('tickets/locationpicker/locationpicker.jquery.min.js') }}"></script>

    @stack('add-js')
@stop
