@include('clients::layouts.includes.general-info')

@include('clients::layouts.includes.personal-info')

@include('clients::layouts.includes.shop-info')

@include('clients::layouts.includes.einvoices')

<!-- Hide this section in case $module !== 5 -->
<div class="hidden row" {{ $row->module !== 5 ? 'style=display:none' : '' }}>
    <div class="form-group mg-bottom">
        <div class="col-md-2">
            <label>إسم المركز التابع له </label>
        </div>
        <div class="col-md-6" style="overflow: visible;">
            <select name="city_id" id="city_list" class="selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}">
                <option value="0"></option>
                @foreach ($cityLists as $cityList)
                    @if ($cityList->city_up == 0)
                        <option value="{{ $cityList->id }}"
                            @if ($cityList->id == old('city_id')) selected @endif>{{ $cityList->city_name }}
                        </option>
                    @endif
                @endforeach

            </select>
        </div>
        <div class="col-md-2">
            <label>المنطقة </label>
        </div>
        <div class="col-md-6" style="overflow: visible;">
            <select id="city_sup" class="selectpicker " data-none-selected-text="{{ trans('native.no-selected') }}">
                <option value="0"></option>
                @foreach ($cityLists as $cityList)
                    @if ($cityList->city_up != 0)
                        <option city_up="{{ $cityList->city_up }}" value="{{ $cityList->id }}"
                            @if ($cityList->id == old('city_sup')) selected @endif>
                            {{ $cityList->city_name }}</option>
                    @endif
                @endforeach
            </select>
        </div>
    </div>
</div>

{{-- Notes --}}

<div class="form-row row">
    <div class="form-group col-md-12">
        <label for="addition_data" class="control-label">{{ trans('client.notes') }}:</label>
        <textarea class="form-control" id="addition_data" name="addition_data" rows="5">
            {{ $client->addition_data ?? old('addition_data') }}
        </textarea>
    </div>
    <div class="form-group col-md-6 hidden" id="image_preview_div">
        <div class="row" style="margin-right: 20px;">
            <label for="client_image" class="control-label">{{ trans('client.customer_image') }} :</label>
            <img id="image_preview" width="200" height="200" style="margin-top: 5px;">
        </div>
    </div>
</div>
