<table class="table table-bordered table-responsive table-striped table-hover table-heading" role="presentation">
    <thead class="bg-warning" style='border-top: 2px solid #000;'>
    <tr>
        <th scope="col">التاريخ</th>
        <th scope="col">البيان</th>
        <th scope="col">رقم الفاتورة</th>
        <th scope="col">طريقة الدفع</th>
        <th scope="col">نقطة بيع</th>
        <th scope="col">بواسطة</th>
    </tr>
    </thead>
    @if ($col->type == 1)
        <tbody>
        <tr>
            <td>{{ $col->pay_day }}</td>
            <td> فاتوره بيع</td>
            <td>{{ optional($col->saleProcess)->bill_no }}</td>
            <td>
                @if (optional($col->saleProcess)->pay_stat == 1)
                    نقدى
                @else
                    اّجل
                @endif
            </td>
          
            <td>{{ optional($col->salePoint)->point_name }}</td>
            <td>{{ optional($col->user)->user_name }}</td>
        </tr>
        <tr class="success">
            <td>الصنف</td>
            <td>الوحدة</td>
            <td>الكمية</td>
            <td>السعر</td>
            {{--  <td>الخصم</td>  --}}
            <td>الصافى</td>
        </tr>
        @foreach($col->saleDetails as $detail)
            <tr>
                <td>{{ $detail->getItemName() }}</td>
                <td>{{ $detail->getUnitName() }}</td>
                <td>{{ price_decimal($detail->quantity) }}</td>
                <td>{{ price_decimal($detail->price) }}</td>
                {{--  <td>%{{ price_decimal(0) }}</td>  --}}
                <td>{{ price_decimal($detail->total_price) }}</td>
            </tr>
        @endforeach
        <tr>
            <td></td>
            <td></td>
            <td></td>
            {{--  <td></td>  --}}
            <td>
                <strong>المجموع</strong>
            </td>
            <td>
                
                <strong>{{ price_decimal(optional($col->saleProcess)->total_price) }}</strong>
            </td>
        </tr>
        <tr>
            <td>خصم الفاتورة</td>
            @if ($bill_adds == 0 || price_decimal( optional($col->saleProcess)->vat() ) > 0 )
                <td> القيمة المضافة</td>
            @endif
            @if (price_decimal(optional($col->saleProcess)->fee ) > 0)
                <td>رسوم الشحن</td> 
            @endif
            <td>الصافي</td>
            <td>المدفوع</td>
            <td>المتبقى</td>

            <td>الرصيد</td>
        </tr>
        <tr>
            <td>
                {{ price_decimal(optional($col->saleProcess)->discount) }}
                @if (optional($col->saleProcess)->discount_type == 0)
                    %
                @else
                    {{ $currency }}
                @endif
            </td>

            @if ($bill_adds == 0 || price_decimal( optional($col->saleProcess)->vat() ) > 0 )
                <td>{{ price_decimal( optional($col->saleProcess)->vat() ) }}</td>
            @endif
            @if (price_decimal(optional($col->saleProcess)->fee ) > 0)
                <td>    {{ price_decimal(optional($col->saleProcess)->fee ) }} {{ optional($col->saleProcess)->fee_status == 1 ? $currency : '%' }} </td>
            @endif
            <td>{{ price_decimal(optional($col->saleProcess)->net_price) }}</td>
            <td>{{ price_decimal(optional($col->saleProcess)->payment) }}</td>
            <td>{{ price_decimal(optional($col->saleProcess)->net_price) - price_decimal(optional($col->saleProcess)->payment) }}</td>

            {{--  <td></td>  --}}
            <td>{{ $balance }}</td>
        </tr>
        </tbody>
    @elseif ($col->type == 0)


    
        <tbody>
        <tr>
            <td>{{ $col->pay_day }}</td>
            <td>مرتجع مبيعات</td>
            <td>{{ optional($col->saleBack)->bill_no }}</td>
            <td>
                @if (optional($col->saleBack)->pay_stat == 1)
                    نقدى
                @else
                    اّجل
                @endif
            </td>
            <td>{{ optional($col->salePoint)->point_name }}</td>
            <td>{{ optional($col->user)->user_name }}</td>
        </tr>
        <tr class="success">
            <td>الصنف</td>
            <td>الوحدة</td>
            <td>الكمية</td>
            <td>السعر</td>
            {{--  <td>الخصم</td>  --}}
            <td>الصافى</td>
        </tr>
        @foreach($col->backDetails as $detail)
            <tr>
                <td>{{ $detail->getItemName() }}</td>
                <td>{{ $detail->getUnitName() }}</td>
                <td>{{ price_decimal($detail->quantity) }}</td>
                <td>{{ price_decimal($detail->price) }}</td>
                {{--  <td>%{{ price_decimal(0) }}</td>  --}}
                <td>{{ price_decimal($detail->price * $detail->quantity) }}</td>
            </tr>
        @endforeach
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td>
                <strong>المجموع</strong>
            </td>
            <td>
                <strong>{{ price_decimal(optional($col->saleBack)->total_price) }}</strong>
            </td>
        </tr>
        <tr>
            <td>خصم الفاتورة</td>

            @if ($bill_adds == 0 || price_decimal(optional($col->saleBack)->vat() ) > 0 )
                <td> القيمة المضافة</td>
            @else
                <td></td>
            @endif

            <td>الصافي</td>
            <td>المدفوع</td>
            <td>المتبقى</td>
            {{--  <td></td>  --}}
            <td>الرصيد</td>
        </tr>
        <tr>
            <td>
                {{ price_decimal(optional($col->saleBack)->discount) }}
                @if (optional($col->saleBack)->discount_type == 0)
                    %
                @else
                    {{ $currency }}
                @endif
            </td>
            
            @if ($bill_adds == 0 || price_decimal(optional($col->saleBack)->vat() ) > 0 )
                <td>{{ price_decimal(optional($col->saleBack)->vat() ) }}</td>
            @else
                <td></td>
            @endif

            <td>{{ price_decimal(optional($col->saleBack)->net_price) }}</td>
            <td>{{ price_decimal(optional($col->saleBack)->payment) }}</td>
            <td>{{ price_decimal(optional($col->saleBack)->net_price) - price_decimal(optional($col->saleBack)->payment) }}</td>
            {{--  <td></td>  --}}
            <td>{{ $balance }}</td>
        </tr>
        </tbody>
    @endif
</table>
                            