@extends('master::layouts.master')

@section('css-scripts')

    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <style>
        @media print {
            /*a[href]:after {*/
            /*    display: none;*/
            /*    visibility: hidden;*/
            /*}*/
            /*.hidden-print{*/
            /*    display: none;*/
            /*}*/


             body * {
                visibility: hidden;
            }
            #table2excel, #table2excel * {
                visibility: visible;
            }
            #table2excel {
                position: absolute;
                left: 0;
                top: 0;
            }

    </style>

@stop

@section('content')
    <div class="wrapper">
        <div class="container ">
            <div class="hidden-print">
                <div class="row">
                    <div class="pull-right">
                        <h4 class="text-dark">بيانات   {{$client->client_name}}</h4>
                    </div>
                </div>

                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> الرصيد </label>
                    <div class="col-md-4">
                        {{$client->balance}}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> الدور</label>
                    <div class="col-md-4">
                         @if ( $client->client_role == 0 ) عميل @elseif ($client->client_role == 1) مورد @else عميل و مورد @endif
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> معلومات اضافية</label>
                    <div class="col-md-4">
                        {!! $client->addition_data !!}
                    </div>
                </div>

                {{-- <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> نقاط العميل </label>
                    <div class="col-md-4">
                        {{ $client->gift_points }}
                    </div>
                </div> --}}
                {{-- <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> مجموعة العميل </label>
                    <div class="col-md-4">
                        {{ $client->group_name }}
                    </div>
                </div> --}}



                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> التليفون </label>
                    <div class="col-md-4">
                        {{ $client->tele }}
                    </div>
                </div>
                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> الموبايل </label>
                    <div class="col-md-4">
                        {{ $client->mobile1 }}
                    </div>
                </div>

                <div class="row ">
                    <label for="" class="col-md-2 bg-info text-light"> العنوان </label>
                    <div class="col-md-4">
                        {{ $client->address }}
                    </div>
                </div>

                @if ( get_session_val('insatllments' ,'integer') ==1)

                    <div class="row ">
                        @if ($client->client_role == 0)
                        <label for="" class="col-md-2 bg-info text-light">الرقم القومي</label>
                        <div class="col-md-4">
                            {{$client->info1}}
                        </div>
                        @elseif ($client->client_role == 1)
                        <label for="" class="col-md-2 bg-info text-light">الرقم الضريبي</label>
                        <div class="col-md-4">
                            {{$client->client_tax_number}}
                        </div>
                        @endif
                    </div>

                    @if ($client->client_role == 2)
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">الرقم القومي</label>
                        <div class="col-md-4">
                            {{$client->info1}}
                        </div>
                    </div>

                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">الرقم الضريبي</label>
                        <div class="col-md-4">
                            {{$client->client_tax_number}}
                        </div>
                    </div>
                    @endif
                    {{-- <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">اسم الضامن</label>
                        <div class="col-md-4">
                            {{$client->info2}}
                        </div>
                    </div>
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">عنوان الضامن</label>
                        <div class="col-md-4">
                            {{$client->info3}}
                        </div>
                    </div>
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">تليفون الضامن</label>
                        <div class="col-md-4">
                            {{$client->info4}}
                        </div>
                    </div>
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">الرقم القومي للضامن</label>
                        <div class="col-md-4">
                            {{$client->info5}}
                        </div>
                    </div> --}}
                @endif
                {{-- @if ($shop->distributor == 1)
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">كود العميل</label>
                        <div class="col-md-4">
                            {{$client->id}}
                        </div>
                    </div>
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">نقل</label>
                        <div class="col-md-4">
                            {{$client->StoreTransport}}
                        </div>
                    </div>
                    <div class="row ">
                        <label for="" class="col-md-2 bg-info text-light">خدمة</label>
                        <div class="col-md-4">
                            {{$client->StoreServices}}
                        </div>
                    </div>
                @endif --}}
            </div>
            <div class="row sho">
                <div class="col-md-4">
                    <h2 class="text-dark title-page">كشف حساب
                        <b>{{$client->client_name}}</b>
                    </h2>
                </div>
                <div class="col-md-8 hidden-print">
                    <form action="">
                        @if (request('details'))
                            <input name="details" type="hidden" value="true">
                        @endif
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">من</label>
                                    <input readonly autocomplete="off" id="dateFrom" name="from" class="form-control date"
                                           value="{{ $from }}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="">الي</label>
                                    <input readonly autocomplete="off" id="dateTo" name="to" class="form-control date"
                                           value="{{ $to }}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <button class="btn btn-success" style="margin-top: 1.7em;">عرض</button>
                            </div>
                        </div>
                    </form>
                </div>
                {{--  <div class="col-md-4">
                       <span class="btn btn-primary"><a style="color: #F2F2F2" href="{{route('clients.show-new-model', $client->id)}}">كشف حساب العميل {{$client->client_name}} نموذج 2</a></span>
                  </div>--}}
            </div>

            <div class="row" id ="section-to-print">
                {{--<a href="#" id="btnExport" class="btn btn-success pull-left">
                    <i class="fa fa-file-excel-o fa-3x"></i>
                    <span>تحميل إكسيل</span>
                </a>--}}
                <div class="pull-left hidden-print">
                    {{-- <a class="btn btn-success excelbtn" id="btnExport"><i class="fa fa-file-excel-o"></i>تصدير اكسل</a> --}}
                    <a class="btn btn-success text-light" onclick="window.print()"><i class="fa fa-print"></i>طباعه</a>
                </div>

                <table id="table2excel" class="table table-striped table-hover table-bordered" role="presentation">
                    <thead class="@if (request('details') ) hidden @endif bg-primary">
{{--                        <tr class="bg-primary client_info hidden">--}}
{{--                        <td colspan="2">اسم العميل</td>--}}
{{--                        <td colspan="2">التليفون</td>--}}
{{--                        <td colspan="2">العنوان</td>--}}
{{--                        <td colspan="2">الرصيد</td>--}}
{{--                    </tr>--}}
{{--                    <tr class="bg-primary client_info hidden">--}}
{{--                        <td colspan="2">{{ $client->client_name }}</td>--}}
{{--                        <td colspan="2">{{ $client->mobile1 . ' // ' . $client->tele }}</td>--}}
{{--                        <td colspan="2">{{ $client->address }}</td>--}}
{{--                        <td colspan="2">{{ price_decimal($client->balance) }}</td>--}}
{{--                    </tr>--}}
                    <tr>
                        <td>م</td>
                        <td>التاريخ</td>
                        <td>صادر له</td>
                        <td>مدفوع منه</td>
                        <td>الرصيد</td>
                        <td>البيان</td>
                        <td>ملاحظات</td>


                        @if (auth()->user()->privilege == 1)
                            {{-- <th class="noExl">حذف</th> --}}
                        @endif


                    </tr>
                    </thead>
                    <tbody>

                    @if ( ($from != '' || $to != '' ) )
                        <tr>
                            <td>-</td>
                            <td colspan="3">رصيد سابق:</td>
                            @if ( $newEntry)
                                @php
                                    //$pre_balance += $newEntry->balance;
                                @endphp
                            @endif
                            <td>{{ round_money($pre_balance)}} </td>
                        </tr>
                    @endif
                    <?php  $c = 1; ?>

                    @if ($newEntry &&  ($from == '' && $to == '' ) )

                        <tr>
                            <td>{{ $c }}</td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>{{ round_money($newEntry->balance)}} </td>
                            <td colspan="3">رصيد جديد</td>
                        </tr>

                        <?php  $c += 1; $pre_balance = $newEntry->balance; ?>
                    @endif


                    {{--{{ dd($collection) }}--}}

                    <?php $balance = 0; $show_type = '';  $data = '('; ?>
                    @foreach($collection as $col)
                        {{-- {{ dd($col) }} --}}
                        @if (in_array($col->bill_id, $deleted_bills) && in_array($col->type, [34, 30, 31]) )
                        @else
                            @if (! in_array($col->type, [34, 30, 31]) )
                                <?php
                                $balance = $col->balance;
                                // $balance = balance($col, $pre_balance);
                               /* if (in_array($col->type, [4, 8]) || ( in_array($col->type, [1, 34, 30, 31]) && $col->has_bill == false) ) {
                                    $balance = $col->balance;
                                }*/
                                if (in_array($col->type, [4, 8]) ) {
                                    $balance = $col->balance;
                                }
                                ?>

                                @if (request('details') && $col->has_bill && in_array($col->type, [0, 1]))
                                    <tr>
                                        <td colspan="10">
                                            @include('clients::sale-bill-data', array('col' => $col, 'balance' => price_decimal($balance)))
                                            {{--  @include('clients::sale-bill-data-simple', array('col' => $col, 'balance' => price_decimal($balance)))  --}}
                                        </td>
                                    </tr>
                                @else
                                    @if (request('details'))
                                        <tr class="info {{ $show_type }}">
                                            <td>م</td>
                                            <td>التاريخ</td>
                                            <td>صادر له</td>
                                            <td>مدفوع منه</td>
                                            <td>الرصيد</td>
                                            <td>البيان</td>
                                            <td>ملاحظات</td>
                                        </tr>
                                    @endif
                                    <?php $data .= $col->id . ', '; ?>
                                    <tr>
                                        <td>{{ $c }}</td>
                                        <td>{{$col->pay_day}}</td>
                                        <td>{{ $col->first_cell  &&  $col->first_cell !=0 ? price_decimal($col->first_cell) : '' }}</td>
                                        <td>{{ $col->second_cell &&  $col->second_cell !=0 ? price_decimal($col->second_cell) : '' }}</td>
                                        <td>{{ $balance }}</td>
                                        {{-- <td>{{ price_decimal($col->balance) }}</td> --}}
                                        <td>

                                            @if ( $col->installment_id > 0 )
                                                سداد قسط
                                            @else
                                                {!! $col->transaction_type !!}
                                            @endif
                                        </td>
                                        <td>{{$col->notes}}</td>

                                        @if (request('back') && in_array($col->type, [0,64,63]))
                                            <td>{{ $col->sale_back_id }}</td>
                                        @endif

                                        @if (auth()->user()->privilege == 1)
                                            {{-- <td class="noExl">
                                                @if ( $col->type == 2 || $col->type == 9)
                                                    @if ( $col->installment_id <= 0 )
                                                        <form method="post"
                                                            action="{{ route('clients.delete-transaction', $col->id) }}"
                                                            onsubmit="return confirm('هل انت متاكد من الحذف')">
                                                            {{ csrf_field() }}
                                                            <button type="submit" class="btn btn-danger delete"><i
                                                                        class="fa fa-trash"></i></button>
                                                        </form>
                                                    @endif
                                                @endif
                                            </td> --}}
                                        @endif
                                    </tr>
                                @endif
                                <?php
                                $pre_balance = $balance; $c++;

                                if (!in_array($col->type, [0, 1])) {
                                    $show_type = 'hidden';
                                } else {
                                    $show_type = '';
                                }

                                ?>

                            @endif
                        @endif
                    @endforeach

                    <?php

                    $data .= ')';

                    if (ceil($client->balance) != ceil($balance)) {

                        $client->balance = $balance;
                        unset($client->group_name);
                        if (request('do') == 'okay') {
                            $client->update();
                        }
                    }
                    ?>

                    </tbody>
                </table>
{{--                {!! $collection->appends(['pre_balance' => $pre_balance])->render() !!}--}}
            </div>
        </div>
    </div>
@stop

@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{url('tickets/js/bootstrap-select.min.js')}}"></script>
    <script src="{{ asset('js/calenders/jquery.tableToExcel.js') }}"></script>

    <script>
        $("#btnExport").click(function (e) {
            e.preventDefault();

            $("#table2excel").table2excel({

                // exclude CSS class

                exclude: ".noExl",

                name: "Worksheet Name",

                filename: "balance-sheet-report.xls" //do not include extension

            });

        });
    </script>
    <script>
        $(function () {

            $('.picker').selectpicker({

                size: 8
            });


                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',

                });

                // $(".date").calendarsPicker({
                //     calendar: $.calendars.instance('ummalqura'),
                //     dateFormat: 'Y-mm-dd',

                // });


            $("#printBtn").on("click", function (e) {
                e.preventDefault();

                window.print();
            });
            var beforePrint = function () {
                $(".no-print").hide();
            };
            var afterPrint = function () {
                $(".no-print").show();
            };

            if (window.matchMedia) {
                var mediaQueryList = window.matchMedia('print');
                mediaQueryList.addListener(function (mql) {
                    if (mql.matches) {
                        beforePrint();
                    } else {
                        afterPrint();
                    }
                });
            }

            window.onbeforeprint = beforePrint;
            window.onafterprint = afterPrint;

            $('#bill-form').on('submit', function (e) {
                if ($('#from').val() == null || $('#from').val() == '') {
                    e.preventDefault();
                    $('#from').addClass('not-valid');
                } else {
                    $('#from').removeClass('not-valid');
                }
                if ($('#to').val() == null || $('#to').val() == '') {
                    e.preventDefault();
                    $('#to').addClass('not-valid');
                } else {
                    $('#to').removeClass('not-valid');
                }

            });


        })
    </script>
    <script src="{{url('js/jquery.table2excel.js') }}"></script>
    <script>
        $(function () {
            $('.picker').selectpicker({
                size: 8
            });

                $(".date").calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                });

                // $(".date").calendarsPicker({
                //     calendar: $.calendars.instance('ummalqura'),
                //     dateFormat: 'Y-mm-dd',
                // });

        });
        $(".excelbtn").click(function () {
            // let info = $(document).find('.client_info');
            // info.removeClass('hidden');

            let dateFrom = $('#dateFrom').val(),
                dateTo = $('#dateTo').val(),
                html = "<tr class='added-info'><td colspan='7'></td></tr>" +
                    "<tr class='added-info'>" +
                    "<th scope='col'></th>"+
                "<th scope='col'>"+ dateTo +"</th>"+
                "<th scope='col'>حتي تاريخ</th>"+
                "<th scope='col'>"+ dateFrom +"</th>"+
                    "<th scope='col'> من تاريخ</th>"+
                    "<th scope='col'> "+ '{{$client->client_name}}' + "</th>" +
                    "  <th scope='col'>كشف حساب العميل</th>"+
                "</tr>";
            $("table thead").prepend(html);

            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "كشف حساب العميل {{$client->client_name}}" //do not include extension
            });
            // info.addClass('hidden');
            $(document).find('.added-info').addClass('hidden');
        });
    </script>
@endsection
