<table class="table table-bordered table-responsive table-striped table-hover table-heading" role="presentation">
    <thead class="bg-warning" style='border-top: 2px solid #000;'>
    <tr>
        <th scope="col">التاريخ</th>
        <th scope="col">البيان</th>
        <th scope="col">رقم الفاتورة</th>
        <th scope="col">طريقة الدفع</th>
        <th scope="col">نقطة بيع</th>
        <th scope="col">بواسطة</th>
    </tr>
    </thead>
    @if ($col->type == 3)
        <tbody>
        <tr>
            <td>{{ $col->pay_day }}</td>
            <td> فاتوره بيع</td>
            <td>{{ optional($col->incomingBill)->bill_no }}</td>
            <td>
                @if (optional($col->incomingBill)->pay_stat == 1)
                    نقدى
                @else
                    اّجل
                @endif
            </td>
          
            <td>{{ optional($col->salePoint)->point_name }}</td>
            <td>{{ optional($col->user)->user_name }}</td>
        </tr>
        <tr class="success">
            <td>الصنف</td>
            <td>الوحدة</td>
            <td>الكمية</td>
            <td>السعر</td>
            {{--  <td>الخصم</td>  --}}
            <td>الصافى</td>
        </tr>
        @foreach($col->incomeDetails as $detail)
            <tr>
                <td>{{ $detail->getItemName() }}</td>
                <td>{{ $detail->getUnitName() }}</td>
                <td>{{ price_decimal($detail->quantity) }}</td>
                <td>{{ price_decimal($detail->price) }}</td>
                {{--  <td>%{{ price_decimal(0) }}</td>  --}}
                <td>{{ price_decimal($detail->total) }}</td>
            </tr>
        @endforeach
        <tr>
            <td></td>
            <td></td>
            <td></td>
            {{--  <td></td>  --}}
            <td>
                <strong>المجموع</strong>
            </td>
            <td>
                <strong>{{ price_decimal(optional($col->incomingBill)->total_bill) }}</strong>
            </td>
        </tr>
        <tr>
            <td>خصم الفاتورة</td>
            @if ($bill_adds == 0 || price_decimal( optional($col->incomingBill)->vat() ) > 0 )
                <td> القيمة المضافة</td>
            @else
                <td></td>
            @endif

            <td>الصافي</td>
            <td>المدفوع</td>
            <td>المتبقى</td>
            {{--  <td></td>  --}}
            <td>الرصيد</td>
        </tr>
        <tr>
            <td>
                {{ price_decimal(optional($col->incomingBill)->discount) }}
                @if (optional($col->incomingBill)->discount_type == 0)
                    %
                @else
                    {{ $currency }}
                @endif
            </td>

            @if ($bill_adds == 0 || price_decimal( optional($col->incomingBill)->vat() ) > 0 )
                <td>{{ price_decimal( optional($col->incomingBill)->vat() ) }}</td>
            @else
                <td></td>
            @endif

            <td>{{ price_decimal(optional($col->incomingBill)->net_price) }}</td>
            <td>{{ price_decimal(optional($col->incomingBill)->payment) }}</td>
            <td>
                @if ($col->bill_net_total - $col->amount > 0)
                    {{ $col->bill_net_total - $col->amount }}
                @else
                    {{ price_decimal(-1 * ($col->bill_net_total - $col->amount)) }}
                @endif
            </td>
            {{--  <td></td>  --}}
            <td>{{ $balance }}</td>
        </tr>
        </tbody>
    @elseif ($col->type == 5)

    @endif
</table>
                            