<?php

namespace Modules\Commissions\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreCommission extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'from' => 'required|numeric',
            'to' => 'required|numeric',
            'percent' => 'required|numeric',
        ];
    }

    public function messages()
    {
        return [
            'from.required' => 'لابد من كتابة قيمه الربح من',
            'to.required' => 'لابد من كتابة قيمه الربح الي',
            'percent.required' => 'لابد من كتابة نسبة العمولة',
        ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
