<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\Commissions\Http\Controllers\CommissionsController;

Route::prefix('commissions')->as('commissions.')->group(function() {
    Route::get('/', [CommissionsController::class,'index'])->name('index');
    Route::post('/store-commission-percent', [CommissionsController::class,'storeCommissionPercent'])->name('store');
    Route::put('/update-commission', [CommissionsController::class,'updateCommissionPercent'])->name('update');
    Route::get('/get_commission_details/{commission}', [CommissionsController::class,'getCommissionDetails'])->name('get_commission_details');
    Route::get('/get_all_commissions', [CommissionsController::class,'getAllCommissions'])->name('get_all_commissions');
    Route::delete('/destroy', [CommissionsController::class,'destroy'])->name('destroy');

});
