<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group(['prefix' => 'coupons', 'as' => 'coupons.'], function () {
    Route::match(['get'], '/', array('as' => 'index', 'uses' => 'CouponController@index'));

    Route::match(['get'], '/edit/{id}', array('as' => 'edit', 'uses' => 'CouponController@edit'));
    Route::match(['get'], '/create', array('as' => 'create', 'uses' => 'CouponController@create'));
    Route::match(['post'], '/update', array('as' => 'update', 'uses' => 'CouponController@update'));
    Route::match(['post'], '/store', array('as' => 'store', 'uses' => 'CouponController@store'));
    Route::match(['post'], '/delete', array('as' => 'destroy', 'uses' => 'CouponController@destroy'));
    
});
