<?php

namespace Modules\Currency\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Concerns\HasEvents;

class Country extends Model
{
    use HasEvents;

    protected $table = 'countries';

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('order', function (Builder $builder) {
            $builder->orderBy('name_ar', 'ASC');
        });
    }
}
