<?php

namespace Modules\Currency\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Modules\Currency\Entities\Currency;

class CurrenciesExport implements FromView
{
    public function view(): View
    {
        return view('currency::export', [
            'rows' => Currency::all(),
            'default' => Currency::DEFAULT_ROW
        ]);
    }
}
