<?php

namespace Modules\Currency\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class MultiCurrencyMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        return get_session_val('multi_currency', 'integer')
                ? $next($request)
                : redirect()->back();
    }
}
