<?php

return [
    'note' => 'ملحوظة',
    'deleted-currency' => 'عملة محذوفة',
    'title' => [
        'name'    => 'قوائم تعدد العملات',
        'create'  => 'إنشاء عملة جديدة',
        'created' => 'تم إنشاء عملة جديدة بنجاح',
        'update'  => 'تعديل بيانات عملة',
        'updated' => 'تم تعديل بيانات العملة بنجاح',
        'deleted' => 'تم حذف العملة بنجاح',
        'confirm-delete' => "هل أنت متأكد من عملة الحذف ؟",
        'cannot-delete-main' => 'لا يمكن حذف العملة الاساسية',
        'no-data' => 'لا يوجد بيانات',
        'excel-update-data' => 'تحديث بيانات العملات بالأكسل',
        'data updated' => 'تم تحديث البيانات بنجاح',
        'cannot-save' => "لا يمكن حفظ هذه العملة ':name'",
        'pluck-updated' => "تم تحديث :count من العملات بنجاح",
        'pluck-failed' => "هناك :count من العملات بها خطأ في البيانات",
        'error-line' => "السطر [:line] : :message",
        'cannot-delete-has-relation' => 'لا يمكن حذف العملة لارتباطها ببيانات اخري',
        'exchange-ratio-notes' => 'سعر الصرف على أساس العملة الرئيسية',
        'cannot-update-main' => 'لا يمكن التعديل علي بيانات العملة الرئيسية',
        'synced' => 'تم تحديث سعر الصرف للعملة <b>:currency</b>',
        'all-synced' => 'تم تحديث سعر الصرف لكل العملات',
    ],

    'logs' => [
        'date'   => 'التاريخ',
        'change' => 'التغيير',
        'title'  => 'سجل العملات',
        'deleted' => 'تم <b>حذف</b> العملة <i style="color: #f00">:name</i>',
        'created' => 'تم <b>إضافة</b> العملة <i style="color: #f00">:name</i> بسعر صرف :value',
        'updated' => 'تم <b>تغيير</b> <i style="color: #f00">:column</i> من  :old  إلي :new',
    ],

    'buttons' => [
        'create'       => 'إنشاء عملة',
        'edit'         => 'تعديل',
        'delete'       => 'حذف',
        'export-excel' => 'تصدير أكسل',
        'import-excel' => 'إستيراد أكسل',
        'save' => 'حفظ',
        'close' => 'اغلاق',
        'reload-table' => 'تحديث الجدول',
        'sync' => 'مزامنة',
        'sync-all' => 'مزامنة الكل',
    ],

    'columns' => [
        'name'    => 'العملة',
        'code'    => 'رمز العملة',
        'value'   => 'سعر الصرف',
        'options' => 'الإعدادات',
        'main_currency' => 'العملة الرئيسية',
        'file'    => 'الملف',
        'select-file' => 'إختر ملف',
    ],
];
