@forelse ($rows as $row)
    <tr>
        <td>{{ $loop->iteration }}</td>
        <td class="text-center">{{ $row->name }}</td>
        <td class="text-center">{{ $row->code ?? '' }}</td>
        <td> <span class="exchange-rate-value"> {{ $row->value ?? 1 }} </span> {{ $main_currency_name }}</td>
        <td class="text-center">
            <a class="btn btn-warning text-white sync-exchange-rate" href="{{ route('currencies.exchange.sync', $row) }}"> <i class="fa fa-undo"></i> </a>
        </td>
        <td class="text-center">
            @include('currency::includes.table.options')
        </td>
    </tr>
@empty
    <tr>
        <td colspan="10" class="alert alert-warning text-center">@lang('currency::trans.title.no-data')</td>
    </tr>
@endforelse
