<?php

use Illuminate\Support\Facades\Route;

Route::resource('currencies', 'CurrencyController');
Route::group(['as' => 'currencies.', 'prefix' => 'currencies'], function() {
    Route::get('load/logs', 'CurrencyController@logs')->name('load.logs');
    Route::get('exchange/rate', 'CurrencyController@getExchangeRate')->name('exchange.rate');
    Route::get('exchange/sync/all', 'CurrencyController@syncAll')->name('exchange.sync.all');
    Route::get('exchange/sync/{currency}', 'CurrencyController@sync')->name('exchange.sync');
    Route::get('excel/export', 'CurrencyController@export')->name('excel.export');
    Route::get('excel/import', 'CurrencyController@import')->name('excel.import');
    Route::post('excel/import', 'CurrencyController@importSave')->name('excel.import.save');
});
