<?php

namespace Modules\Dairy\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Log extends Model
{
    protected $table = 'log_system';

    protected $fillable = ['event', 'type', 'bill_id'];

    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where(app(__CLASS__)->getTable().'.shop_id', auth()->user()->shop_id);
        });
    }
}
