<?php

namespace Modules\Dairy\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class User extends Model
{
    use HasFactory;

    protected $table = 'users';

    protected $fillable = [];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where(app(__CLASS__)->getTable().'.shop_id', auth()->user()->shop_id)->where('is_employee', false)->where('work', true);
        });
    }
}
