@extends('master::layouts.master')

@section('content')

    <h2 class="title text-info mt-2 mb-4"> {{ $title }} </h2>

    <form method="POST" action="{{ route('dairy.' . (request()->route()->named('*purchases*') ? 'purchases' : 'sales') . '.invoices.store') }}">
        @csrf

        

        @include('dairy::invoices.inputs')

        <button type="submit" id="btn-submit-form" class="btn btn-primary">إنشاء</button>

    </form>

@endsection

@section('js-scripts')
    @include('dairy::includes.js')
@endsection
