@forelse ($rows as $row)
    <tr>
        @php $net_quantity = $row->invoice->details?->quantity - $row->invoice->details?->water_discount; @endphp
        <td> {{ $loop->iteration }} </td>
        <td> {{ $row->date_time }} </td>
        <td> {{ $row->client->client_name }} </td>

        <td> {{ round_quantity($row->invoice->details?->quantity) }} </td>
        <td> {{ $row->invoice->details?->water }}% </td>
        <td> {{ round_quantity($net_quantity) }} </td>
        <td> {{ $row->invoice->details?->fats }} %</td>
        <td> {{ $row->invoice->details?->protein }} %</td>

        <td> {{ round_quantity($row->invoice->details?->water_discount ?? 0) }} </td>
        <td> {{ round_quantity($row->invoice->details?->fats_bonus ?? 0) }} KG</td>
        <td> {{ round_quantity($row->invoice->details?->protein_bonus ?? 0) }} KG</td>

        <td> {{ round_money($row->invoice->net_price) }} </td>
        <td> {{ round_money($row->amount) }}</td>

        <td> {{ round_money($row->invoice->net_price) }} </td>
        <td> {{ round_money($row->invoice->net_price - $row->amount) }} </td>
    </tr>
@empty
    <tr>
        <td colspan="20" class="alert alert-warning text-center">  <b> @lang('native.there_are_no_data') </b>  </td>
    </tr>
@endforelse
