<form method="post" action="{{ route('dairy.reports.supply.operations') }}" id="filter-form">
    @csrf

    <div class="row">
        <div class="col-md-3">
            <div class="form-group">
                <label> @lang('client.clients-suppliers') </label>
                <select name="client" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')">
                    <option value="">----</option>
                    @foreach ($clients as $client_id => $client_name)
                        <option value="{{ $client_id }}" {{ request()->get('client') == $client_id ? 'selected' : '' }}> {{ $client_name }} </option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-md-3">
            <div class="form-group">
                <label> @lang('store.name') </label>
                <select name="store" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')">
                    <option value="">----</option>
                    @foreach ($stores as $store_id => $store_name)
                        <option value="{{ $store_id }}" {{ request()->get('store') == $store_id ? 'selected' : '' }}> {{ $store_name }} </option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-md-3">
            <div class="form-group">
                <label> المندوب </label>
                <select name="user" class="form-control selectpicker" data-live-search="true" title="@lang('native.no-selected')">
                    <option value="">----</option>
                    @foreach ($users as $user_id => $user_name)
                        <option value="{{ $user_id }}" {{ request()->get('user') == $user_id ? 'selected' : '' }}> {{ $user_name }} </option>
                    @endforeach
                </select>
            </div>
        </div>

        <div class="col-md-2">
            <div class="form-group">
                <label> @lang('native.from') </label>
                <input type="text" class="form-control date is-datepicker input-sm" name="from" id="from" autocomplete="off" value="{{ request()->get('from') }}" placeholder="@lang('native.from')">
            </div>
        </div>

        <div class="col-md-2">
            <div class="form-group">
                <label> @lang('native.to') </label>
                <input type="text" class="form-control date is-datepicker input-sm" name="to" id="to" autocomplete="off" value="{{ request()->get('to') }}" placeholder="@lang('native.to')">
            </div>
        </div>

        <div class="col-md-2">
            <button type="submit" class="btn btn-sm btn-primary" style="margin-top: 25px;"> <i class="fa fa-filter"></i> </button>
        </div>
    </div>
</form>
