@extends('master::layouts.master')

@section('content')

    <h2 class="title text-info mt-2 mb-4"> تقرير عمليات التوريد </h2>

    @include('dairy::reports.supply-operations.filter')

    <table class="table table-striped table-bordered" id="report-table">
        <thead class="bg-info text-light">
            <tr class="font-weight-bold">
                <th scope="col" >#</th>
                <th scope="col" > {{ trans('dairy.date') }}</th>
                <th scope="col" > {{ trans('dairy.client-company_name') }}</th>
                <th scope="col" > {{ trans('store.name') }}</th>
                <th scope="col" > المندوب</th>
                <th scope="col" > {{ trans('dairy.qty') }}</th>
                <th scope="col" > {{ trans('dairy.total') }}</th>
            </tr>
        </thead>

        <tbody id="load-data">
            @include('dairy::reports.supply-operations.rows')
        </tbody>

        {{-- <tfoot>
            <tr class="bg-info text-white">
                <th class="text-center" colspan="5"> الإجمالي </th>
                <th class="text-center" id="total-quantity">0</th>
                <th class="text-center" id="total-price">0</th>
            </tr>
        </tfoot> --}}
    </table>

@endsection

@section('js-scripts')
    @include('dairy::includes.filter-js')
@endsection
