@forelse ($rows as $row)
    <tr>
        <td> {{ $loop->iteration }} </td>
        <td> {{ $row->invoice?->invoice_date }} </td>
        <td> {{ $row->client?->client_name }} </td>
        <td> {{ $row->invoice?->store?->store_name }} </td>
        <td> {{ $row->user?->name }} </td>
        <td class="row-quantity text-center"> {{ round_quantity($row->invoice?->details?->quantity) }} </td>
        <td class="row-price text-center"> {{ round_money($row->invoice?->net_price) }} </td>
    </tr>
@empty
    <tr>
        <td colspan="20" class="alert alert-warning text-center">  <b> @lang('native.there_are_no_data') </b>  </td>
    </tr>
@endforelse
