<div class="modal-header">
    <h4 class="modal-title">تعديل بيانات الطلب</h4>
    <button type="button" class="close" data-dismiss="modal">&times;</button>
</div>

<form method="post" action="{{ route('dairy.requests.update', $row) }}" id="request-submit-form">
    @csrf
    @method('PUT')
    <div class="modal-body">

        <select id="client_id" hidden>
            <option value="{{ $row->client_id }}" data-price="{{ $row->client->price }}" selected></option>
        </select>

        @include('dairy::includes.inputs')

        <label class="btn btn-sm btn-dark">
            @lang('dairy.confirm')
            <input type="checkbox" class="mx-2" name="confirm" value="1">
        </label>
    </div>

    <div class="modal-footer">
        <button type="submit" class="btn btn-sm btn-success"> <i class="fa fa-save"></i> @lang('dairy.edit') </button>
        <button type="button" class="btn btn-sm btn-warning" data-dismiss="modal"> <i class="fa fa-times"></i> اغلاق </button>
    </div>

</form>
