<?php

namespace Modules\Debentures\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Modules\BadrRequest\Entities\BadrShop;
use Modules\Invoices\Entities\Invoices;

class BillAdd extends Model
{
    protected $table = 'bills_add';


    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('perShop', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id)->where('add_role', false);
        });
    }
}
