<?php

namespace Modules\Debentures\Entities;

use Illuminate\Database\Eloquent\Model;

class Log extends Model
{
    protected $table = 'log_system';
    public $timestamps = false;
    protected $fillable = ['user_id', 'shop_id', 'date_event', 'event'];

    public static function create($date, $event, $bill_id = 0, $type='purchase')
    {
//        ALTER TABLE `log_system` ADD `bill_id` INT NOT NULL DEFAULT '0' AFTER `shop_id`, ADD `type` VARCHAR(100) NULL DEFAULT NULL AFTER `bill_id`;
//        ALTER TABLE `log_system` CHANGE `event` `event` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;

        $log = new Log();
            $log->user_id = auth()->id();
            $log->shop_id = get_session_val('serial_id', 'integer');
            $log->date_event = $date;
            $log->event = $event;
            $log->bill_id = $bill_id;
            $log->type = $type;
            $log->save();

    }
}
