<div style="border: 2px solid #000; border-radius: 10px; margin-bottom: 10px; font-size: 17px">
    <h3 style="position: relative; overflow: hidden; padding: 0 20px;">
        <u style="float: left;"> : Payment Details </u>
        <u style="float: right;" dir='rtl'> تفاصيل الدفع : </u>
    </h3>

    <table style="width: 100%;" dir="ltr">
        <thead style="text-align: left">
            <tr>
                <th style="width: 10%; padding: 10px 20px;">طريقة الدفع</th>
                <th style="width: 25%; padding: 10px 20px;">الوصف</th>
                @if($client->client_tax_number)
                    <th style="width: 20%; padding: 10px 20px;">المبلغ الخاضع للضريبة</th>
                    <th style="width: 10%; padding: 10px 20px;">نسبة الضريبة</th>
                    <th style="width: 10%; padding: 10px 20px;">مبلغ الضريبة</th>
                @endif
                <th style="width: 25%; padding: 10px 20px;">المجموع شامل ضريبة القيمة المضافة</th>
            </tr>
            <tr>
                <th style="padding: 10px; padding: 10px 20px; border-bottom: 2px solid #000">Payment Type</th>
                <th style="padding: 10px; padding: 10px 20px; border-bottom: 2px solid #000">Description</th>
                <th style="padding: 10px; padding: 10px 20px; border-bottom: 2px solid #000">The Taxable Amount</th>
                <th style="padding: 10px; padding: 10px 20px; border-bottom: 2px solid #000">Tax Rate</th>
                <th style="padding: 10px; padding: 10px 20px; border-bottom: 2px solid #000">Tax Amount</th>
                <th style="padding: 10px; padding: 10px 20px; border-bottom: 2px solid #000">The Total Includes VAT</th>
            </tr>
        </thead>
        <tbody>
            @php
                $vat = $invoice?->vats()->first()?->vat_value ?? 0;
                $net_price = $row->amount ?? 0;
                $amount = $net_price / (1 + ($vat / 100));
                $vat_weight =  $net_price - $amount;
                $discount = 0;
            @endphp
            <tr>
                <td style="padding: 10px 20px;">{{ $invoice?->getPaymentType((bool) $invoice_settings->show_payment_type) }}</td>
                <td style="padding: 10px 20px;">{{ $row->notes }}</td>
                <td style="padding: 10px 20px;">{{ round_money( (float) $amount) }}</td>
                @if($client->client_tax_number)
                    <td style="padding: 10px 20px;">{{ $vat }}%</td>
                    <td style="padding: 10px 20px;">{{ round_money( (float) $vat_weight) }}</td>
                    <td style="padding: 10px 20px;">{{ round_money( (float) $net_price) }}</td>
                @endif
            </tr>
            <tr> <td style="padding: 10px" colspan="10"></td> </tr>
        </tbody>
    </table>
</div>
