@extends('master::layouts.master')

@section('content')

    <div class="grid-two-container">
        <div class="grid-two-item-left">
            <p class="big text-uppercase">KALLERGIS INTERIORS LTD</p>
            <p class="medium">ARGIROUPOLI 16452 ATHENS</p>
            <p class="medium">VAT 082399720</p>
            <p class="medium">tel. +30 210 9920513</p>
            <p class="medium">fax. +30 210 9923235</p>
        </div>
        <div class="grid-two-item-right">
            <p class="big text-uppercase right salmon">Pro Forma Invoice</p>
            <div class="clearfix"></div>
            <table class="table table-bordered auto-width right" border="1" style="width: auto;" role="presentation">
                <tr>
                    <td>Date</td>
                    <td>2020-05-09</td>
                </tr>
                <tr>
                    <td>Invoice #</td>
                    <td>1253</td>
                </tr>
            </table>
        </div>
    </div>

    <div class="grid-three-container">
        <div class="grid-three-item">
            <p class="large text-uppercase red-border">Customer</p>
            <p class="medium">VALUES INTERIOR DESIGN & FURNITURE</p>

            <p class="medium">NASR CITY, CAIRO EGYPT, 4th FLOOR</p>
            <p class="medium">TEL: +966126571001</p>
        </div>
        <div class="grid-three-item">
            <p class="large text-uppercase red-border">Ship To</p>
            <p class="medium">VALUES INTERIOR DESIGN & FURNITURE</p>

            <p class="medium">NASR CITY, CAIRO EGYPT, 4th FLOOR</p>
            <p class="medium">TEL: +966126571001</p>
        </div>
        <div class="grid-three-item">
            <p class="large text-uppercase red-border">Shipping Details</p>
            <p class="normal">Freight Type: null</p>
            <p class="normal">Est Ship Date: null</p>
            <p class="normal">Est Gross Weight: null</p>
            <p class="normal">Est Cubic Weight: null</p>
            <p class="normal">Total Packages: null</p>
        </div>
    </div>


    <div class="grid-container">
        <div class="grid-item">
            <table class="table table-bordered height-table bordered normal" border="1" role="presentation">
                <tr class="">
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">#</p></th>
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">PART NUMBER</p></th>
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">UNIT OF MEASURE</p></th>
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">DESCRIPTION</p></th>
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">QTY</p></th>
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">UNIT PRICE</p></th>
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">DISCOUNT</p></th>
                    <th scope="col"><p class="min-height center negative red-border text-uppercase">TOTAL AMOUNT</p></th>
                </tr>
                <tr>
                    <td><p class="medium">1</p></td>
                    <td><p class="medium">123134</p></td>
                    <td><p class="medium">mts</p></td>
                    <td><p class="medium">SOAVE 27 and here is the name</p></td>
                    <td><p class="medium">6,00</p></td>
                    <td><p class="medium">24,50</p></td>
                    <td><p class="medium">10%</p></td>
                    <td><p class="medium">132,30</p></td>
                </tr>
            </table>
        </div>


    </div>

    <div class="grid-two-container-sub">
        <div class="grid-two-item-left">

            <table class="table table-bordered bordered height-table height-table-print align-left" border="1" role="presentation">
                <tr class="fit-height">
                    <td><p class="negative red-border big text-uppercase ">TERMS OF SALE AND OTHER COMMENTS</p></td>
                </tr>
                <tr>
                    <td>
                        <p class="normal">Est Ship Date: null</p>
                        <p class="normal">Est Gross Weight: null</p>
                        <p class="normal">Est Cubic Weight: null</p>
                        <p class="normal">Total Packages: null</p>
                    </td>
                </tr>
            </table>
        </div>
        <div class="grid-two-item-left related">
            <div class="grid-two-container-sub">
                <div class="grid-two-item-right">
                    <p class="normal no-border">subtotal</p>
                    <p class="normal no-border">taxable</p>
                    <p class="normal no-border">tax rate</p>
                    <p class="normal no-border">tax</p>
                    <p class="normal no-border">freight</p>
                    <p class="normal no-border">Insurance</p>
                    <p class="normal no-border">Legal/Consular</p>
                    <p class="normal no-border">Inspection/Cert</p>
                    <p class="normal no-border">Other(Specify)</p>
                    <p class="normal no-border">Other(Specify)</p>
                    <hr>
                    <p class="large no-border text-uppercase">Total</p>
                </div>
                <div class="grid-two-item-center ">
                    <p class="normal no-border">132.20</p>
                    <p class="normal no-border">-</p>
                    <p class="normal small-bordered">-</p>
                    <p class="normal no-border">0.00</p>
                    <p class="normal small-bordered">-</p>
                    <p class="normal small-bordered">-</p>
                    <p class="normal small-bordered">-</p>
                    <p class="normal small-bordered">-</p>
                    <p class="normal small-bordered">-</p>
                    <p class="normal small-bordered">-</p>
                    <hr>
                    <p class="large no-border text-uppercase gray">132.30</p>
                </div>
            </div>
        </div>
    </div>


    <div class="grid-container">
        <div class="grid-item">
            <p class="large text-uppercase red-border">ADDITIONAL DETAILS</p>
            <p class="normal ">Country of Origin</p>
            <p class="normal ">Port of Embarkation</p>
            <p class="normal ">Port of Discharge</p>
            <p class="flex normal">Reason for Export: <span class="text-bordered"></span></p>
            <p class="normal ">I certify the above to be true and correct to the best of my knowledge.</p>
        </div>


    </div>

@stop

@section('js-scripts')
    <script>
        // window.print();
        var height = $('.related').height();
        var data = '<style media="print"> body {font-size: ' + height + 'pt} </style>';
        $(data).appendTo('head');
    </script>
@stop

@section('css-scripts')

    <style>

        .small-bordered, .no-border{
            margin: 0;
        }
        .text-bordered{
            border: 3px solid #a2a2a2;
            display: block;
            height: 35px;
            width: 30%;
            padding: 15px;
            margin: -7px 15px;
        }
        .flex{
            display: flex;
        }
        .normal {
            font-size: 14px;
            font-weight: initial;
        }

        .negative {
            margin: -8px;
        }

        .grid-container {
            display: grid;
            grid-column-gap: 15px;
            grid-template-columns: 98%;
            padding: 5px;
        }

        .grid-item {
            background-color: rgba(255, 255, 255, 0.8);
            padding: 5px;
            text-align: left;
        }

        .grid-two-container {
            display: grid;
            grid-column-gap: 15px;
            grid-template-columns: 58% 40%;
            padding: 5px;
        }

        .grid-two-container-sub {
            display: grid;
            grid-column-gap: 15px;
            grid-template-columns: 62% 35%;
            padding: 5px;
        }

        .grid-two-item-left {
            background-color: rgba(255, 255, 255, 0.8);
            padding: 5px;
            text-align: left;
        }

        .grid-two-item-right {
            background-color: rgba(255, 255, 255, 0.8);
            padding: 5px;
            text-align: right;
        }
        .grid-two-item-center {
            background-color: rgba(255, 255, 255, 0.8);
            padding: 5px;
            text-align: center;
        }

        .grid-three-container {
            display: grid;
            grid-column-gap: 15px;
            grid-template-columns: 32% 32% 32%;
            padding: 5px;
        }

        .grid-three-item {
            background-color: rgba(255, 255, 255, 0.8);
            padding: 5px;
            text-align: left;
        }

        .bordered {
            border: 3px solid #a0a0a0;
        }

        .small-bordered {
            border: 1.5px solid #a0a0a0;
        }

        .no-border {
            border: 1.5px solid #fff;
        }

        .auto-width {
            width: auto;
        }

        .big {
            font-size: 18px;
            font-weight: bolder;
        }

        .large {
            font-size: 16px;
            font-weight: bold;
        }

        .medium {
            font-size: 14px;
            font-weight: normal;
        }

        .salmon {
            color: #FA8072;
        }

        .red-border {
            background-color: #800000;
            -webkit-print-color-adjust: exact;
            padding: 5px;
            color: #fff !important;
        }

        .right {
            float: right !important;
        }

        .list li {
            padding-right: 10px;
        }

        img {
            float: left;
            width: 160px;
        }

        .height-table {
            height: 100%;
        }

        .fit-height {
            height: fit-content;
        }

        .bottom-30 {
            margin-bottom: 30px;
        }

        .top-30 {
            margin-top: 30px;
        }

        .top-32 {
            margin-top: 32px;
        }

        .vertical {
            margin: auto 0;
        }

        .gray {
            background-color: lightgrey;
            -webkit-print-color-adjust: exact;
            padding: 10px;
        }

        .end {
            /*text-align: end !important;*/
            direction: ltr;
        }

        .left {
            float: left;
        }

        .align-left {
            text-align: left;
        }

        .center {
            text-align: center;
        }

        @media print {

            .min-height {
                min-height: 50px;
            }

            .noprint {
                display: none;
            }

            .gray {
                background-color: lightgrey !important;
                -webkit-print-color-adjust: exact !important;
                padding: 5px;
            }
            .salmon {
                color: #FA8072 !important;
                -webkit-print-color-adjust: exact !important;
            }
            .red-border {
                background-color: #800000 !important;
                -webkit-print-color-adjust: exact !important;
                padding: 5px;
                color: #fff !important;
            }

            .row {
                width: 98%;
                display: flex;
            }

            .col-sm-6 {
                width: 48%;
            }

            .height-table-print{
                min-height: 270px;
            }
        }

        hr {
            margin-bottom: 20px;
            border: 0;
            border-top: 6px double #757575;
        }
    </style>


@stop
