<form method="POST" id="filter-form" class="custome-form">
    {{ csrf_field() }}

    <div class="row">
        <div class="col-md-3">
            <div class="form-group">
                <label for="from"> @lang('native.from') </label>
                <input name="from" type="date" class="date form-control input-normal input-sm">
            </div>
        </div>

        <div class="col-md-3">
            <div class="form-group">
                <label for="to"> @lang('native.to'): </label>
                <input name="to" type="date" class="date form-control input-normal input-sm">
            </div>
        </div>

        <div class="col-md-4">
            <div class="form-group">
                <label for="client_id"> @lang('native.Clients') : </label>
                <select class="form-control selectpicker" data-none-selected-text="{{ trans('native.no-selected') }}" name="client_id" id="client_id"
                        data-live-search="true">
                    <option selected value=""> @lang('native.all_clients')</option>
                    @foreach($clients as $id => $name)
                        <option value="{{ $id }}"> {{ $name }} </option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="col-md-2">
            <button type="submit" class="btn btn-primary d-block w-100 mt-4"> <i class="fas fa-search"></i> @lang('native.show') </button>
        </div>
    </div>
</form>
