<?php

namespace Modules\Delivery\Entities;

use Illuminate\Database\Eloquent\Model;

class Log extends Model
{
    protected $guarded = ['id'];
    protected $table = 'log_system';
    public $timestamps = false;


    public static function create($date, $event, $bill_id = 0, $type='purchase')
    {
        $log = new Log();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'Integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->bill_id = $bill_id;
        $log->type = $type;
        $log->save();
    }
}
