<!-- start filter -->

<div class="card card-success mb-1_5  p-3">

<div class="container-fluid">
    <form class="noprint custome-form">
        @if (request('done'))
            <input type="hidden" name="done" value="true">
        @endif
        <div class="row">

            <div class="form-group col-md-2">
                <input type="text" class="form-control input-normal" name="bill_no" placeholder="{{ __('delivery.bill_no') }}"
                    value="{{ request('bill_no') }}">
            </div>

            <div class="form-group col-md-2">
                <input type="text" class="form-control input-normal" name="client_mobile"
                    placeholder="{{ __('delivery.client_phone') }}" value="{{ request('client_mobile') }}">
            </div>

            <div class="form-group col-md-2">
                <input type="text" class="form-control input-normal" name="delivery_man_mobile"
                    placeholder="{{ __('delivery.delivery_man_phone') }}" value="{{ request('delivery_man_mobile') }}">
            </div>
            <div class="form-group col-md-3">
                <select class="form-control selectpicker input-normal" data-live-search="true" name="client_id">
                    <option @if (request('client_id') == '-1') selected @endif value="-1">
                        {{ __('delivery.all_clients') }}</option>
                    @foreach ($clients as $client)
                        <option @if (request('client_id') == $client->id) selected @endif value="{{ $client->id }}">
                            {{ $client->client_name }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group col-md-3">
                <select class="form-control selectpicker input-normal" data-live-search="true" name="delivery_id">
                    <option @if (request('client_id') == '-1') selected @endif value="-1">
                        {{ __('delivery.all_delivery_men') }}
                    </option>
                    @foreach ($delivery_men as $delivery_man)
                        <option @if (request('delivery_id') == $delivery_man->id) selected @endif value="{{ $delivery_man->id }}">
                            {{ $delivery_man->name }}</option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="row">
            <div class="form-group col-md-3">
                <input autocomplete="off" type="text" class="form-control date input-normal" name="from"
                    placeholder="{{ __('delivery.from') }}" value="{{ request('from') }}">
            </div>
            <div class="form-group col-md-3 col-9">
                <input autocomplete="off" type="text" class="form-control date input-normal" name="to"
                    placeholder="{{ __('delivery.to') }}" value="{{ request('to') }}">
            </div>

            <div class="form-group col-3">
                <button type="submit" class="btn btn-sm  btn-success"><i
                        class="fa fa-search fa-xs d-sm-inline-block d-none"></i>{{ __('delivery.search') }}
                </button>

            </div>
        </div>

    </form>
    <div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;" id="print_div">
        <a onclick="window.print()" class="btn btn-sm  btn-success"><i
            class="fa fa-print fa-xs"></i>{{ __('delivery.print') }}
    </a>
        <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-3">{{ trans('extends.toExcel') }} </button>
        {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
    </div>
    {{-- <div class="my-3 hidden-print col-md-12" style="display: flex; justify-content: space-evenly;" id="print_div">
        <a onclick="window.print()" class="btn btn-sm  btn-success"><i
                class="fa fa-print fa-xs"></i>{{ __('delivery.print') }}
        </a>
        <button type="button" id="export-table"class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }}
        </button>
        {{-- <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2">{{ trans('extends.toExcel') }}
        </button> --}}
        {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
    {{-- </div>  --}}
</div>

    </div>
<!-- end filter -->
