<!-- start services table -->
<div class="table-responsive">
    <table class="zui-table zui-table-rounded table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">{{ __('delivery.period') }}</th>
            <th scope="col">{{ __('delivery.fee') }}</th>
            <th scope="col">{{ __('delivery.edit') }}</th>
            <th scope="col">{{ __('delivery.delete') }}</th>
        </tr>
        </thead>
        <tbody class="section">
        @foreach($periods as $period)
            <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $period->name }}</td>
                <td>{{ $period->fee }}</td>
                <td>
                    <a href="#" data-id="{{ $period->id }}" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#edit">
                        {{ __('delivery.edit') }}
                        <i class="fas fa-edit"></i>
                    </a>
                </td>
                <td>
                    <a href="#" onclick="destroy({{ $period->id }})" class="btn btn-danger btn-sm">
                        {{ __('delivery.delete') }}
                        <i class="fas fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>
<!-- start services table -->
