<!-- start add modal -->

<!-- Button trigger modal -->
<button href="" class="btn btn-info btn-lg m-3  d-inline-block float-left" data-toggle="modal" data-target="#add">
    {{ __('delivery.add_service') }}
    <i class="fas fa-plus-circle"></i>
</button>

<!-- add Modal -->
<div class="modal fade" id="add" tabindex="-1" aria-labelledby="add" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="add">{{ __('delivery.add_service') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <form class="modal-body">
                <div class="form-group row">
                    <label class="col-3" for="name">{{ __('delivery.name') }}</label>
                    <div class="col-8">
                        <input type="text" class="form-control" id="name">
                        <div id="name-error" class="invalid-feedback"></div>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-3" for="fee">{{ __('delivery.fee') }}</label>
                    <div class="col-8">
                        <input type="number" class="form-control" id="fee">
                        <div id="fee-error" class="invalid-feedback"></div>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-3" for="use_periods">{{ __('delivery.use_periods') }}</label>
                    <div class="col-8">
                        <select class="form-control" id="use_periods">
                            <option value="1">{{ __('delivery.enabled') }}</option>
                            <option value="0">{{ __('delivery.disabled') }}</option>
                        </select>
                        <div id="use_periods-error" class="invalid-feedback"></div>
                    </div>
                </div>
            </form>

            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">الغاء</button>
                <button type="button" onclick="add()" class="btn btn-success">حفظ</button>
            </div>
        </div>
    </div>
</div>
<!-- end add modal -->
