<!-- start services table -->
<div class="table-responsive">
    <table class="zui-table zui-table-rounded table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">{{ __('delivery.name') }}</th>
            <th scope="col">{{ __('delivery.fee') }}</th>
            <th scope="col">{{ __('delivery.use_periods') }}</th>
            <th scope="col">{{ __('delivery.edit') }}</th>
            <th scope="col">{{ __('delivery.delete') }}</th>
        </tr>
        </thead>
        <tbody class="section">
        @foreach($services as $service)
            <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $service->name }}</td>
                <td>{{ $service->price }}</td>
                <td>{{ $service->isEnabled() }}</td>
                <td>
                    <a href="#" data-id="{{ $service->id }}" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#edit">
                        {{ __('delivery.edit') }}
                        <i class="fas fa-edit"></i>
                    </a>
                </td>
                <td>
                    <a href="#" onclick="destroy({{ $service->id }})" class="btn btn-danger btn-sm">
                        {{ __('delivery.delete') }}
                        <i class="fas fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>
<!-- start services table -->
