<?php

namespace Modules\EInvoice\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class EinvoiceStage extends Model
{
    use HasFactory;

    protected $table   = 'einvoice_stages';
    protected $guarded = [];
    public $timestamps = false;
    protected $dates   = ['request_at', 'response_at', 'updated_at'];

    protected static function newFactory()
    {
        return \Modules\EInvoice\Database\factories\EinvoiceStageFactory::new();
    }
}
