<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Item extends Model
{
    use RoundingAttributesTrait;
    protected $table = 'items';
    protected $guarded = [];

    public function units()
    {
        return $this->belongsToMany(Unit::class, 'items_unit', 'item_id', 'unit_id');
    }

    public function vats()
    {
        return $this->belongsToMany(Vat::class, 'item_vat', 'item_id', 'vat_id');
    }
}
