<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Vat extends Model
{
    use RoundingAttributesTrait;
    protected $table = 'bills_add';
    protected $guarded = [];

    public function items()
    {
        return $this->belongsToMany(Item::class, 'item_vat', 'vat_id', 'item_id');
    }
}
