@csrf
<input type="hidden" name="item_id" value="{{ $item?->id }}">

<div class="form-group">
    <label for="name">@lang('native.employee_name')</label>
    <input class="form-control" name="name" value="{{ $item?->name ?? '' }}">
</div>

{{-- <div class="form-group">
    <label for="store_id">الفرع</label>
    <select required class="form-control" name="store_id" id="store_id">
        @foreach ($stores as $id => $store_name)
            <option value="{{ $id }}" {{ $item?->store_id == $id ? 'selected' : '' }}>{{ $store_name }}</option>
        @endforeach
    </select>
</div> --}}

<div class="form-group">
    <label for="job">@lang('native.job')</label>
    <input class="form-control" name="job" value="{{ $item?->job }}" >
</div>

<div class="form-group">
    <label for="address">@lang('native.address')</label>
    <input class="form-control" name="address" value="{{ $item?->address }}" >
</div>

<div class="form-group">
    <label for="tel">@lang('client.mobile')</label>
    <input class="form-control" id="update_tel" name="tel" value="{{ $item?->tel }}" >
</div>

<div class="form-group">
    <label for="salary">@lang('native.salary')</label>
    <input class="form-control" name="salary" value="{{ $item?->salary }}" >
</div>

<div class="form-group">
    <label for="start_work">@lang('native.start_work')</label>
    <input class="form-control date2" name="start_work" value="{{ $item?->start_work }}">
</div>

<div class="form-inline">
    <label for="work"> @lang('native.appear_on_the_payroll?')
        <input class="form-control" {{ $item?->work ? 'checked' : '' }} type="checkbox" name="work">
    </label>
</div>


<div class="form-inline">
    <label for="collecting"> مسئول تحصيل عملاء
        <input class="form-control collecting mx-3" {{ $item?->collecting == 1 ? 'checked' : '' }} type="checkbox" value="1" name="collecting">
    </label>
</div>

<div class="form-group" style="display: none;">
    <label for="collecting_ratio">نسبة التحصيل</label>
    <input type="number" class="form-control collecting_ratio" name="collecting_ratio" placeholder="0.00" value="{{ $item?->collecting_ratio }}" >
</div>
