@extends('master::layouts.master')

@section('content')

    <div class="wrapper">
        @if (session()->has('data'))
            <div class="row">
                <div class="col-md-8 col-md-offset-2 col-xs-10">
                    <h2 class="title-page">نتيجة العملية:</h2>
                </div>
                <div class="col-md-2 col-xs-2">
                    <a href="{{ asset()->current() }}" class="btn btn-success">تحميل ملف جديد</a>
                </div>
                <div class="col-md-6 col-md-offset-3 col-xs-12">
                    <div class="well h4">
                        {!! session('data') !!}
                    </div>
                </div>
            </div>
        @else
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <h1 class="title-page page-header">
                            تسجيل حضور الموظفين بالاكسل
                        </h1>
                    </div>
                </div>
                <form method="post" enctype="multipart/form-data"
                      action="{{ route('employee.attendance-upload') }}">
                    {!! csrf_field() !!}
                    <div class="row">
                        <div class="col-md-11 col-md-offset-1">
                            <div class="form-groub tgrop" id="t1">
                                <p class="clear excel_mess"> من خلال رفع ملف اكسل يحتوى على اسم الموظف - الفرع - نوع الفرع - التاريخ - الوقت (من - الى)
                                    <br></p>
                                <p class="text-danger"><strong> ملاحظة </strong> :يتم تجاهل اول صف لاحتوائه على عناوين
                                    الاعمده <br></p>
                                <p>لضمان نجاح العملية يرجي تحميل النموذج التالي والعمل به لتسجيل الحضور بالاكسل
                                    <a href="{{ asset('tickets/sheet/attendance.xlsx') }}" download
                                       class="btn btn-success">تحميل
                                        النموذج</a>
                                </p>
                                <hr>
                            </div>
                        </div>
                    </div>
                    <div class="row" id="input_">
                        <div class="col-md-11 col-md-offset-1">
                            <div class="form-orizontal">
                                <label class="title-page col-md-3">  رفع ملف الاكسل </label>
                                <input type="file" name="sheet" class="form-control col-md-3" required>
                            </div>
                            <div class="col-md-6">
                                <button class="btn btn-primary" id="load">تأكيد</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        @endif
    </div>
@stop

@section('js-scripts')

    <script>

        $(document).on('submit', 'form', function (e) {
            $('#load').replaceWith('<p class="alert alert-info">جاري العمل ....</p>');
        });

    </script>

@stop