<?php

namespace Modules\Excel\Entities;

use Illuminate\Database\Eloquent\Model;
use Modules\Excel\Entities\Scopes\ShopIdScope;

class ItemType extends Model
{
    protected $table    = 'items_type';
    protected $guarded  = [];
    public $timestamps  = false;

    protected static function booted()
    {
        static::addGlobalScope(new ShopIdScope);
    }
}
