<?php

namespace Modules\Excel\Entities;

use Illuminate\Database\Eloquent\Model;
use Modules\Excel\Entities\Scopes\ShopIdScope;

class Store extends Model
{
    protected $table   = 'stores';
    public $timestamps = false;
    protected $guarded = [];

    protected static function booted()
    {
        static::addGlobalScope(new ShopIdScope);
    }
}
