<?php

namespace Modules\Excel\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\Excel\Entities\Scopes\ShopIdScope;

class StoreItem extends Model
{
    use RoundingAttributesTrait;
    protected $table   = 'store_items';
    public $timestamps = false;
    protected $guarded = [];

    protected static function booted()
    {
        static::addGlobalScope(new ShopIdScope);
    }
}
