<table>
    <thead>
        <tr>
            <th style="width: 100px; border: 1px solid #ff6363; text-align: center; font-weight: bold; background-color: #ff6363">*</th>
            <th style="width: 100px; border: 1px solid #ff6363; text-align: center; font-weight: bold; background-color: #ff6363">*</th>
            <th style="width: 100px; border: 1px solid #000000; text-align: center; font-weight: bold;"></th>
            <th style="width: 100px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #ff6363">*</th>
            <th style="width: 100px; border: 1px solid #ff6363; text-align: center; font-weight: bold; background-color: #ff6363">if supplier</th>
            <th style="width: 100px; border: 1px solid #ff6363; text-align: center; font-weight: bold; background-color: #ff6363">if client</th>
            <th style="width: 100px; border: 1px solid #ff6363; text-align: center; font-weight: bold; background-color: #ff6363">*</th>
            <th style="width: 100px; border: 1px solid #ff6363; text-align: center; font-weight: bold;"></th>
            <th style="width: 100px; border: 1px solid #000000; text-align: center; font-weight: bold;"></th>
            <th style="width: 100px; border: 1px solid #000000; text-align: center; font-weight: bold;"></th>

            @if ($settings->einvoice)
                <th colspan="8" style="border: 1px solid #ff6363; background-color: #ff6363; color: #000; text-align: center; font-weight: bold;">required data for electronic invoices / بيانات مطلوبة للفاتورة الالكترونية</th>
            @else
                <th style="width: 100px; border: 1px solid #000000; text-align: center; font-weight: bold;"></th>
            @endif
        </tr>
        <tr>
            <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> client role / دور العميل </th>
            <th style="width: 300px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> client name / اسم العميل  </th>
            <th style="width: 300px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> email / البريد الإلكتروني  </th>
            <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> country / الدولة </th>
            <th style="width: 250px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> address / العنوان </th>
            <th style="width: 250px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> tax number / الرقم الضريبي </th>
            <th style="width: 250px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> national id / @lang('client.national_id') </th>
            <th style="width: 250px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> mobile / @lang('client.mobile') </th>
            <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> balance / الرصيد </th>
            <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> notes / ملاحظات </th>
            <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> governmante / المحافظة </th>
            @if ($settings->einvoice)
                <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> city / المدينة </th>
                <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> street / الشارع </th>
                <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> block no / رقم المبني </th>
                <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> floor no / رقم الطابق </th>
                <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> room no / رقم الغرفة </th>
                <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> postal code / الرمز البريدي </th>
                <th style="width: 200px; border: 1px solid #000000; text-align: center; font-weight: bold; background-color: #cfcfcf"> landmark / معلم  </th>
            @endif
        </tr>
    </thead>

    <tbody>
        @foreach ($clients as $client)
            <tr>
                <td style="border: 1px solid #000000"> {{ $client->role }} </td>
                <td style="border: 1px solid #000000"> {{ $client->client_name }} </td>
                <td style="border: 1px solid #000000"> {{ $client->email }} </td>
                <td style="border: 1px solid #000000"> {{ $client->country->name }} </td>
                <td style="border: 1px solid #000000"> {{ $client->address }} </td>
                <td style="border: 1px solid #000000"> {{ $client->client_tax_number }} </td>
                <td style="border: 1px solid #000000"> {{ $client->info1 }} </td>
                <td style="border: 1px solid #000000"> {{ $client->mobile1 }} </td>
                <td style="border: 1px solid #000000"></td>
                <td style="border: 1px solid #000000"> {{ $client->balance }} </td>
                <td style="border: 1px solid #000000"> {{ $client->governate }} </td>
                @if ($settings->einvoice)
                    <td style="border: 1px solid #000000"> {{ $client->regionCity }} </td>
                    <td style="border: 1px solid #000000"> {{ $client->street }} </td>
                    <td style="border: 1px solid #000000"> {{ $client->buildingNumber }} </td>
                    <td style="border: 1px solid #000000"> {{ $client->floor }} </td>
                    <td style="border: 1px solid #000000"> {{ $client->room }} </td>
                    <td style="border: 1px solid #000000"> {{ $client->postalCode }} </td>
                    <td style="border: 1px solid #000000"> {{ $client->landmark }} </td>
                @endif
            </tr>
        @endforeach
    </tbody>
</table>
