@extends('master::layouts.master')

@section('content')

<div class="card card-light mb-1_5 p-3">

    <div class="container">

        <div class="row">
            <div class="col-sm-12">
                <h1 class="text-info">
                    {{ trans('native.adding_sub_units_to_items_in_excel') }}
                </h1>
            </div>
        </div>
        <form method="post" enctype="multipart/form-data" action="{{ route('excel.units-upload') }}">
            {!! csrf_field() !!}
            <div class="row">
                <div class="col-md-11 col-md-offset-1">
                    <div class="form-groub tgrop" id="t1">
                        <p class="clear excel_mess">
                            {{ trans('native.by_uploading_an_excel_file_containing_the_item_name_unit_name_unit_barcode_unit_price_against_the_base_unit_larger_unit_0_smaller_unit_1') }}
                            <br>
                        </p>
                        <p class="text-danger"><strong> {{ trans('native.Notice') }} </strong>
                            {{ trans('native.ignore_first_lines') }}
                            <br>
                        </p>
                        <p>
                            {{ trans('native.to_ensure_the_success_of_the_process_please_download_the_following_form_and_work_with_it_to_add_sub_units_to_items') }}
                            <a style="margin-right: 40px;" download href="{{ url('tickets/sheet/item_units.xlsx') }}"
                                class="btn btn-success">
                                {{ trans('native.download_the_form') }}
                            </a>
                        </p>
                        <hr>
                    </div>
                </div>
            </div>
            <div class="row" id="input_">
                <div class="col-md-11 col-md-offset-1">
                    <div class="form-orizontal" style="display: flex;">
                        <label class="title-page col-md-3"> {{ trans('native.Upload_Excel') }} </label>
                        <input
                            accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"
                            type="file" name="sheet" class="form-control col-md-3" required>
                        <button style="margin-right: 50px;" class="btn btn-primary"
                            id="load">{{ trans('native.confirm') }}</button>
                    </div>

                </div>
            </div>
        </form>

        <hr>
 


    </div>

</div>
@endsection

@section('js-scripts')
    <script>
        $(document).on('submit', 'form', function(e) {
            $('#load').replaceWith('<p class="alert alert-info" style="margin-right: 50px;">جاري العمل ....</p>');
        });
    </script>
@endsection
