<?php

namespace Modules\Invoices\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\Invoices\Entities\Item;

class Clients extends Model
{
    use RoundingAttributesTrait;
    
    protected $guarded = ['id'];
    protected $table = 'clients';
    
    public $timestamps = false;

    // public function orders(){
    //     return $this->hasMany(SupplierOrder::class);
    // }

    public function item()
    {
        return $this->belongsToMany(Item::class);
    }
}
