<?php

namespace Modules\Invoices\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class InvoiceDetailsVats extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    public $timestamps = false;
    protected $table = 'invoices_details_vats';

    public static function createNew($invoice_id, $details)
    {
        $invoice_details_vat = new InvoiceDetailsVats();
        $invoice_details_vat->invoice_id = $invoice_id;
        $invoice_details_vat->item_id = $details[0];
        $invoice_details_vat->vat_id = $details[1];
        $invoice_details_vat->vat_type = $details[2];
        $invoice_details_vat->vat_value = $details[3];
        $invoice_details_vat->vat_operation = $details[5];
        $invoice_details_vat->unit_id = $details[6];;
        $invoice_details_vat->shop_id = get_session_val('serial_id', 'Integer');
        $invoice_details_vat->vat_weight = $details[4];
        $invoice_details_vat->save();
    }
}
