<?php

namespace Modules\Invoices\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class InvoiceSettings extends Model
{
    use HasFactory;

    protected $guarded = [];
    public $timestamps = false;
    protected $table = 'bill_setting';

    public function shop()
    {
        return $this->belongsTo(BadrShop::class, 'shop_id', 'serial_id')->select('serial_id', 'shop_name')->withDefault(['shop_name' => '']);
    }
}
