<script>

    $('#new_ingrediant').bind('input propertychange', function() {

        var pattern = $(this).val();
        if(pattern.length > 0) {

            // send ajax request
            getItemsByName('ingrediants_result', 1);
        }

    });

    $(document).on('click', 'li.ingrediant_option', function() {

        var added_ingrediants = $('.new_ingrediant_qty'),
        exists = false;

        for(let index = 0; index < added_ingrediants.length; index++)
        {
            var current_item_id = $(added_ingrediants[index]).data('id');

            if(current_item_id == $(this).data('id'))
            {
                exists = true;
                break;
            }
        }

        if(exists)
        {
            alert(' هذا الصنف مضاف بالفعل ' );
        }
        else{
            appendIngrediant( $(this).children('a').text(), $(this).data('id'), $(this).data('qty')  );
            $('.new_ingrediant_qty').trigger('change');
        }

        emptyIngrediantsSearchResult();
        $('#new_ingrediant').val('');

    });

    function appendIngrediant(item_name, id, max_qty)
    {
        var html = createIngrediantRow(item_name, id, max_qty);
        emptyIngrediantsSearchResult();

        if($('#ingrediants_target_detail_id').val() > 0)
        {
            $("#more_ingrediants_table tbody").append(html);
        }
        else{
            $("#ingrediants_table tbody").append(html);
        }
    }

    function createIngrediantRow(item_name, id, max_qty, current_qty = 1)
    {
        var delete_ingrediant = '<a href="javascript:void(0)" class="btn btn-danger delete_new_ingrediant"><i class="fa fa-trash"></i></a>';
        return "<tr><td class='new_ingrediant_name'>"+ item_name +"</td><td><input class='form-control input-sm input-normal new_ingrediant_qty' value='"+ current_qty
                + "' type='number' data-id='"+ id +"' data-max='"+ max_qty +"'></td><td>" + delete_ingrediant + "</td></tr>";
    }

    $(document).on('change', '.new_ingrediant_qty', function(){
        var current = parseFloat($(this).val()),
            max_qty = parseFloat($(this).data('max')),
            exists = 0,
            exists_inputs = $('.added_ingrediant_qty[data-id="'+ $(this).data('id') +'"]'),
            more_ingrediants_main = $('#ingrediants_target_detail_id').val();

        for (let index = 0; index < exists_inputs.length; index++) {
            var main_id = $(exists_inputs[index]).data('main');
            exists += parseFloat($(exists_inputs[index]).val()) * parseFloat($('.new_qty[data-id="'+ main_id +'"]').val());
        }

        name_key = "[" + more_ingrediants_main + "][" + $(this).data('id') + "]";
        current_ing_qty = $('input[name="ingrediants'+ name_key +'"]').val();

        if(isNaN(current_ing_qty))
        {
            current_ing_qty = 0;
        }

        exists -= current_ing_qty;

        if(isNaN(exists))
        {
            exists = 0;
        }

        if(! current)
        {
            current = 1;
        }
        else if(current > (max_qty - exists)){
            current = max_qty - exists;
            
  alert(' {{ trans('native.Quantity_not_enough') }}');
           
        }

        if(more_ingrediants_main > 0)
        {
            var main_qty = parseFloat( $('.new_qty[data-id="'+ more_ingrediants_main +'"]').val());

            if(main_qty * current > max_qty)
            {
                current = (max_qty - exists) / main_qty;
            }

        }

        $(this).val(current);

        if(current <= 0)
        {
            alert(' {{ trans('native.Quantity_not_enough') }}');
            $(this).parentsUntil('tbody').remove();
        }

    });

    $(document).on('change', '.added_ingrediant_qty', function(){
        var current = parseFloat($(this).val()) * parseFloat($('.new_qty[data-id="'+ $(this).data('main') +'"]').val()),
            max_qty = parseFloat($(this).data('max')),
            exists = 0,
            exists_inputs = $('.added_ingrediant_qty[data-id="'+ $(this).data('id') +'"]');

        for (let index = 0; index < exists_inputs.length; index++) {
            var main_id = $(exists_inputs[index]).data('main');

            exists += parseFloat($(exists_inputs[index]).val() * $('.new_qty[data-id="'+ main_id +'"]').val());
        }

        console.log({current, exists});
        exists -= current;

        if(! current)
        {
            current = 1;
        }
        else if(current > (max_qty - exists)){
            current = max_qty - exists;
            current /= parseFloat($('.new_qty[data-id="'+ $(this).data('main') +'"]').val());
        }
        else{
            current /= parseFloat($('.new_qty[data-id="'+ $(this).data('main') +'"]').val());
        }

        console.log({exists, max_qty, current});

        $(this).val(current);

        // ! added qty (take care)

    });

    $(document).on('click', '.delete_new_ingrediant', function(){
        $(this).parentsUntil('tbody').remove();
    });

    function emptyIngrediantsSearchResult()
    {
        $('#ingrediants_result').text('');
        $('#more_ingrediants_result').text('');
        $('#new_ingrediant').text('');
        $('#new_more_ingrediant').text('');
    }

    function showAddedItemIngrediants(detail_id, resource = 'ingrediants_table')
    {
        var rows = $("#"+ resource +" tbody tr"),
            add_more_ingrediants = "<button type='button' class='btn text-white btn-success' onClick='addMoreIngrediants("+ detail_id +")'> + </button>",
            html = '<tr data-header="'+ detail_id +'"><td colspan="'+ ($('#spends thead tr:first').children('th').length ?? 4) +'">مكونات الصنف '+ add_more_ingrediants +'</td></tr>',
            delete_ingrediant = '<a href="javascript:void(0)" class="btn btn-danger delete_new_ingrediant"><i class="fa fa-trash"></i></a>',
            header = "<tr data-header='"+ detail_id + "'><td width='25%'>#</td><td width='25%'>اسم الصنف</td><td width='25%'>الكمية</td><td width='25%' colspan='8'>حذف</td></tr>";

        html += header;


        for (let index = 0; index < rows.length; index++) {

            html += "<tr data-main='"+ detail_id +"'><td width='25%' >"+ (index + 1) +"</td>";

            html += "<td width='25%' data-main='"+ detail_id +"'>"+ $(rows[index]).children('td.new_ingrediant_name').text() +"</td>";
            html += "<td width='25%' data-main='"+ detail_id +"'><input name='ingrediants["+ detail_id +"]["+ $(rows[index]).find('input.new_ingrediant_qty').data('id') +"]' type='number' "+
                " class='form-control input-sm input-normal col-12 added_ingrediant_qty' data-max='"+ $(rows[index]).find('input.new_ingrediant_qty').data('max') +
                "' data-id='"+  $(rows[index]).find('input.new_ingrediant_qty').data('id') +"' data-main='"+ detail_id +"' value='"+ $(rows[index]).find('input.new_ingrediant_qty').val() +"'</td>";
            html += "<td width='25%' colspan='8' data-main='"+ detail_id +"'>"+delete_ingrediant +"</td>";

            html += "</tr>";
        }

        $('#items_in_the_table tr[data-detail="'+ detail_id +'"]').after(html);
    }

    $('#add_ingrediants_to_element').on('click', function(){
        if ($('#amount').val() == '') {
            $('#amount').val(1);
        }
        $('#addMe').trigger('click');
        emptyIngrediantsSearchResult();
        $('#ingrediants_table tbody tr').remove();
    });

    function addMoreIngrediants(detail_id)
    {
        if(detail_id)
        {
            $('#ingrediants_target_detail_id').val(detail_id);
            addOldIngrediants(detail_id);
            $('#moreIngrediantsModalLabel').text( "اضافة مكونات تصنيع للصنف : " + $("tr[data-detail='"+ detail_id +"']").children("td:first").text());
            $('#firemoreIngrediantsModal').trigger('click');
        }
    }

    function addOldIngrediants(detail_id)
    {
        var added_ingrediants_rows = $('tr[data-main="'+ detail_id +'"]'),
            html = '';

        for (let index = 0; index < added_ingrediants_rows.length; index++) {
            var current_row_cells = $(added_ingrediants_rows[index]).children('td'),
                item_name = $(current_row_cells[1]).text(),
                id = $(current_row_cells[2]).find('.added_ingrediant_qty').data('id'),
                max_qty = $(current_row_cells[2]).find('.added_ingrediant_qty').data('max'),
                current_qty = $(current_row_cells[2]).find('.added_ingrediant_qty').val();

            html += createIngrediantRow(item_name, id, max_qty, current_qty);
        }

        $('#more_ingrediants_table tbody').append(html);
        emptyIngrediantsSearchResult();
    }

    $('#new_more_ingrediant').bind('input propertychange', function() {

       var pattern = $(this).val();
       if(pattern.length > 0) {
           // send ajax request
           getItemsByName('more_ingrediants_result', 1);
       }

   });

   $('#re_add_ingrediants_to_element').on('click', function(){
        var detail_id = $('#ingrediants_target_detail_id').val();

        $("tr[data-main='"+ detail_id +"']").remove();

        deleteOldIngrediantsHeader(detail_id);
        showAddedItemIngrediants(detail_id, 'more_ingrediants_table');

        $('#ingrediants_target_detail_id').val(0);
        emptyIngrediantsSearchResult();
        $('#more_ingrediants_table tbody tr').remove();
   });

    function deleteOldIngrediantsHeader(detail_id)
    {
        $('tr[data-header="'+ detail_id +'"]').remove();
    }

    $("#moreIngrediantsModal").on("hidden.bs.modal", function () {
        // put your default event here
        $('#more_ingrediants_table tbody tr').remove();
    });

</script>
