<script>

    let decimal_price = {{ get_session_val('decimal_num_price', 'Integer') }};
    function showInstallments()
    {
        $('#installment_section').removeClass('hidden');
        calculateInstallments();
    }

    function hideInstallments()
    {
        $('#installment_section').addClass('hidden');
        resetInstallments();
    }

    function resetInstallments()
    {
        $('input[name="installment_dates[]"]').remove();
        $('#installment_add_precent').val(0);
        $('#installment_count').val(1);

        // $('#installment_add_precent').trigger('change');
    }

    function calculateInstallments()
    {
        var rest = parseFloat($('#rest').val());

        var add_percent = parseFloat($('#installment_add_precent').val());
        var target_count = parseFloat($('#installment_count').val());
        var type = parseFloat($('#installment_type').val());

        var add_value = rest * (add_percent / 100);
        $('#installment_add_value').val(add_value.toFixed(decimal_price));

        $('#installment_rest').val((rest + add_value).toFixed(decimal_price));


        var installment_value = (rest + add_value) / target_count;
        $('#installment_value').val(installment_value.toFixed(decimal_price));

        $('#installment_type').trigger('change');

        // resetInvoiceDetPrices(add_percent);
        updatePendingInvoiceData();
    }

    $('#installment_type').on('change', function(){

        var target_count = parseFloat($('#installment_count').val());
        var new_html = '';
        var day_value = $('#invoice_date').val();
        var incremental_date_step_type = '';
        var step = 0;
        var identifier = 'd';
        // String(day_value.getDate());

        switch ($(this).val())
        {
            case '-1':
                incremental_date_step_type = 7;
                step = 1;
                break;
            case '1':
                incremental_date_step_type = 1;
                step = 1;
                identifier = 'm';
                break;
            case '3':
                incremental_date_step_type = 1;
                step = 3;
                identifier = 'm';
                break;
            case '6':
                incremental_date_step_type = 1;
                step = 6;
                identifier = 'm';
                break;
            default:
                incremental_date_step_type = 1;
                step = 12;
                identifier = 'm';
                break;
        }

        /*
          result.setDate(date.getDate() + days);

        */

        for (let index = 0; index < target_count; index++) {
            var idelemnt = 'td' + index;
            new_html += '<tr class="py-1"> <td> <input type="text" name="installment_dates[]" id="'+ idelemnt +'" class="date_ form-control input-sm input-light is-datepicker" value="'+ getDateByFormat(day_value) +'"> </td> </tr>';
        }

        $('#installment_table').html(new_html);
        var dates = $(".date_");

        for (let index = 1; index <= dates.length; index++) {
            var idelemnt = 'td' + index;

            $(dates[index - 1]).calendarsPicker({
                    calendar: $.calendars.instance('gregorian'),
                    dateFormat: 'Y-mm-dd',
                    defaultDate: "+" + (incremental_date_step_type * (step * index)).toString() + identifier,
                    selectDefaultDate: true
            });
        }

        updatePendingInvoiceData();
    });

    function getDateByFormat(newdate) {
        var d = new Date(newdate);
        var day = d.getDate();
        var month = d.getMonth() + 1;
        var year = d.getFullYear();


        if (month < 10) {
        month = "0" + month;
        }
        if (day < 10) {
        day = "0" + day;
        }

        return year + '-' + month + '-' + day;
        return month + "/" + day + "/" + year;
    }

    function generate_date(changed_step, type)
    {
        var day_value = new Date();

        if (type == -1)
        {
            return day_value.getFullYear() + '-' + day_value.getMonth() + '-' + changed_step;
        }
        return day_value.getFullYear() + '-' + incremental_date_step_type + '-' + day_value.getDay();
    }

    $('#installment_add_precent').on('change', function(){
        if(isNaN(parseFloat($(this).val())))
        {
            $(this).val(0);
        }
        calculateInstallments();
    });

    $('#installment_count').on('change', function(){

        if(isNaN(parseFloat($(this).val())))
        {
            $(this).val(1);
        }

        calculateInstallments();
    });


</script>
