<div class="col-sm-12 hidden" id="installment_section">

    <div class="col-sm-12 row form-group  mt-1">
        <h6 style="direction: ltr; " class="px-2 col-sm-6">
            {{__('native.insatllments_data')}}
        </h6>
        <label class=" col-sm-12 text-danger">
            {{ trans('invoices.balance', ['client' => trans('invoices.'. $invoice_type .'.client')]) }}
            <span class="client_balance mr-2">  0 </span>
            {{ $currency }}
        </label>
    </div>
    <div class="col-sm-12 row form-group">
        <label class=" col-sm-6">
            @lang('invoices.installments_rest_with_increase')
        </label>
        <div class=" col-sm-6">
            <input class="form-control input-light input-sm" disabled id="installment_rest" value="{{isset($pendingInvoice) ? $pendingInvoice->installment_rest : 0}}">
        </div>
    </div>
    <div class="col-sm-12 row form-group">
        <label class=" col-sm-6">
            @lang('invoices.installments_increase_percent') %
        </label>
        <div class=" col-sm-6">
            <input class="form-control input-light input-sm" type="number" min="0" value="{{isset($pendingInvoice) ? $pendingInvoice->installment_add_precent : 0}}" id="installment_add_precent" name="installment_add_precent">
        </div>
    </div>
    <div class="col-sm-12 row form-group">
        <label class=" col-sm-6">
            @lang('invoices.installments_increase')
        </label>
        <div class=" col-sm-6">
            <input class="form-control input-light input-sm" readonly name="installment_add_value" id="installment_add_value" value="{{isset($pendingInvoice) ? $pendingInvoice->installment_add_value : 0}}">
        </div>
    </div>
    <div class="col-sm-12 row form-group">
        <label class=" col-sm-6">
            @lang('invoices.installments_count')
        </label>
        <div class=" col-sm-6">
            <input class="form-control input-light input-sm" type="number" min="0" id="installment_count" value="{{isset($pendingInvoice) ? $pendingInvoice->installment_count : 1}}">
        </div>
    </div>
    <div class="col-sm-12 row form-group">
        <label class=" col-sm-6">
            @lang('invoices.installments_type')
       </label>
       <div class=" col-sm-6">
           <select class="form-control input-light" id="installment_type">
                <option value="-1" @if(isset($pendingInvoice) && $pendingInvoice->installment_type == -1) selected @endif>@lang('invoices.weekly')</option>
                <option value="1" @if(isset($pendingInvoice) && $pendingInvoice->installment_type == 1) selected @endif>@lang('invoices.monthly')</option>
                <option value="3" @if(isset($pendingInvoice) && $pendingInvoice->installment_type == 3) selected @endif>3 @lang('invoices.months')</option>
                <option value="6" @if(isset($pendingInvoice) && $pendingInvoice->installment_type == 6) selected @endif>6 @lang('invoices.months')</option>
                <option value="12" @if(isset($pendingInvoice) && $pendingInvoice->installment_type == 12) selected @endif>@lang('invoices.annually')</option>
           </select>
       </div>
    </div>
    <div class="col-sm-12 row form-group">
        <label class=" col-sm-6">
            @lang('invoices.installments_value')
       </label>
       <div class=" col-sm-6">
           <input class="form-control input-light input-sm" readonly id="installment_value" name="installment_value" value="{{isset($pendingInvoice) ? $pendingInvoice->installment_value : 0}}" type="number">
       </div>
    </div>
    <div class="col-sm-12 row form-group px-4">
        <table>
            <thead class="text-info">
                <tr>
                    <th scope="col">
                        @lang('invoices.installments_distribution')
                    </th>
                </tr>
            </thead>
            <tbody id="installment_table">
                @isset($pendingInvoice)
                    @foreach($pendingInvoice->installment_dates ?? [] as $i => $date)
                        <tr class="py-1">
                            <td>
                                <input type="text" name="installment_dates[]" id="td{{$i}}" class="date_ form-control input-sm input-light is-datepicker is-calendarsPicker" value="{{$date}}">
                            </td>
                        </tr>
                    @endforeach
                @endisset
            </tbody>
        </table>
    </div>
    <div class="col-sm-12 row form-group">
        <label class=" col-sm-6">
            {{__('extends.notes')}}
        </label>
        <div class=" col-sm-6">
            <textarea class="form-control input-light input-sm pending-invoice-data" id="installment_notes" name="installment_notes">
                {{isset($pendingInvoice) ? $pendingInvoice->installment_notes : ""}}
            </textarea>
        </div>
    </div>

</div>
<input type="text" class="hidden" id="installments_total_">
