<div class="modal model-lg fade" id="addChoosenItemModal" tabindex="-1" role="dialog" aria-labelledby="addChoosenItemModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="addChoosenItemModalLabel"> {{ __('items.addItem') }}</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>

        <div class="modal-body">

            <div class="form-group row my-3">
                <label for="choosen_item_name" class="col-sm-4 col-4 col-form-label"> {{ trans('invoices.details.item_name') }} </label>
                <div class="col-sm-8 col-8">
                    <input type="text" class="form-control input-light input-sm input-normal" id="choosen_item_name" Auto_Test = "choosen_details_choose_item_name" disabled>
                </div>
            </div>

            <div class="form-group row my-3">
                <label for="choosen_item_name" class="col-sm-4 col-4 col-form-label"> الكمية المتاحة في المخزن </label>
                <div class="col-sm-8 col-8">
                    <input type="text" disabled class="form-control input-light input-sm input-normal" id="choosen_item_origin_qty" Auto_Test = "choosen_datailes_item_origin_qty" disabled>
                </div>
            </div>

            <input type="number" step="1" class="form-control input-light input-sm input-normal hidden" id="choosen_item_id" disabled>
            @if(isset($invoice) && $invoice_type == 'returned sales')
            <div class="form-group row my-3">
                <label for="choosen_item_about" class="col-sm-4 col-4 col-form-label"> {{ trans('items.about') }} </label>
                <div class="col-sm-8 col-8">
                    <textarea class="form-control input-light input-sm input-normal" id="choosen_item_about" Auto_Test ="choosen_detailes_choosen_item_about" disabled></textarea>
                </div>
            </div>
            @endif

            @if(isset($invoice) && $invoice_type == 'returned sales')
                <div class="form-group row my-3">
                    <label for="choosen_item_units_selection"
                           class="col-sm-4 col-4 col-form-label"> {{ trans('orders.unit') }} </label>
                    <div class="col-sm-8 col-8">
                        <select data-item_id="4931" data-unit_id="1" data-val="1" id="choosen_item_units_selection"  class="form-control  items-list-units" name="item_unit[4931]" disabled>
                        </select>
                    </div>
                </div>
            @endif

            @if(isset($invoice) && $invoice_type == 'returned sales')
                <div class="form-group row my-3">
                    <label for="lowest_price"
                           class="col-sm-4 col-4 col-form-label"> {{ trans('orders.lowest_price') }} </label>
                    <div class="col-sm-8 col-8">
                        <input type="number" step="0.0001"
                               class="form-control"
                               data-sale="0.0"  Auto_Test = "choosen_detailes_choosen_item_low_price" id="choosen_item_low_price" name="choosen_item_low_price" value="0" disabled/>
                    </div>
                </div>
            @endif

            <div class="form-group row my-3">
                <label for="choosen_item_qty" class="col-sm-4 col-4 col-form-label"> {{ trans('orders.amount') }} </label>
                <div class="col-sm-8 col-8">
                    <input type="number" step="0.0001" class="form-control input-light input-sm input-normal" Auto_Test = "choosen_detailes_choosen_item_qty" id="choosen_item_qty" value="1" max="1" min="1">
                </div>
            </div>
            @if(isset($invoice) && $invoice_type == 'returned sales')
            <div class="form-group row my-3">
                <div class="col-sm-6">
                    <p class="mb-0" id="choosen_item_current_quantity"> الكميه الحاليه <span> 0.00 </span> </p>
                </div>
            </div>
            @endif

            @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
                <div class="form-group row my-3">
                    <label for="choosen_item_pay_price" class="col-sm-4 col-4 col-form-label"> {{ trans('items.pay_price.name') }} </label>
                    <div class="col-sm-8 col-8">
                        <input type="number" step="0.0001 class="form-control input-light input-sm input-normal" Auto_Test = "choosen_detailes_choosen_item_pay_price" id="choosen_item_pay_price">
                    </div>
                </div>

            @else
                <div class="form-group row my-3">
                    <label for="choosen_item_sale_price" class="col-sm-4 col-4 col-form-label"> {{ trans('items.sale_price.name')}} </label>
                    <div class="col-sm-8 col-8">
                        <input type="number" step="0.0001" class="form-control input-light input-sm input-normal" id="choosen_item_sale_price" Auto_Test = "choosen_detailes_choosen_item_sale_price">
                    </div>
                </div>

{{--                @if ( get_session_val('multi_price', 'integer'))--}}
                @if ( get_session_val('multi_price', 'integer') && !(isset($invoice) && $invoice_type == 'returned sales'))
                    <div class="form-group row my-3">
                        <label for="choosen_item_multi_prices_selection" class="col-sm-4 col-4 col-form-label"> تعدد الأسعار  </label>

                        <div class="col-sm-8 col-md-8">
                            <div class="form-check col-md-12 col-sm-12">
                                <input class="form-check-input ml-4" type="radio" name="choosen_item_multi_prices_selection" value="0" data-qty="0">
                                <label class="form-check-label col-sm-6 mr-4" for="choosen_item_multi_prices_selection">
                                    السعر العام
                                </label>
                                <label class="form-check-label col-sm-4" for="choosen_item_multi_prices_selection" id="mp-0">
                                    0
                                </label>
                            </div>
                            @foreach ($multi_prices_lists_names as $multi_price_list)
                                <div class="form-check col-md-12 col-sm-12">
                                    <input class="form-check-input ml-4" type="radio"  Auto_Test = "choosen_detailes_choosen_item_multi_prices_selection" name="choosen_item_multi_prices_selection" value="0" data-qty="0">
                                    <label class="form-check-label col-sm-6 mr-4">
                                        {{$multi_price_list->list_name}}
                                    </label>
                                    <label class="form-check-label col-sm-4" for="choosen_item_multi_prices_selection" id="mp-{{$loop->iteration}}">
                                        0
                                    </label>
                                </div>
                            @endforeach
                        </div>
                    </div>

                @endif
            @endif

            @if(!(isset($invoice) && $invoice_type == 'returned sales'))
            <div class="form-group row my-3 hidden">
                <label for="choosen_item_units_selection" class="col-sm-4 col-4 col-form-label">{{ trans('orders.unit') }}</label>
                <div class="col-sm-7 col-8">
                    <select class="form-control input-light"  Auto_Test = "choosen_detailes_choosen_item_units_selection" id="choosen_item_units_selection">
                    </select>
                </div>
            </div>
            @endif
            @if (get_session_val('company_ratio', 'Integer') == 1 && !(isset($invoice) && $invoice_type == 'returned sales'))
                <div class="form-group row my-3">
                    <div class="col-sm-4 col-4">
                        <select  Auto_Test = "choosen_detailes_choosen_operation" id="choosen_operation" class="form-control" disabled>
                            <option value="0" selected>خصم</option>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <input class="form-control input-light"type="number" step="0.0001" id="choosen_ratio_input">
                    </div>
                    <div class="col-sm-4 pt-2">
                        <input type="radio" Auto_Test = "choosen_detailes_choosen_ratio_money" id="choosen_ratio_money" name="choosen_ratio_type" value="1"> مبلغ
                        <input type="radio" Auto_Test = "choosen_detailes_choosen_ratio_percent" id="choosen_ratio_percent" checked="" name="choosen_ratio_type" value="0"> نسبة
                    </div>
                </div>
            @endif

            @if(get_session_val('show_expire_date', 'integer') == 1 && (isset($invoice) && $invoice_type == 'returned sales'))
                <div class="form-group row mb-4">
                    <label for="choosen_item_purchase_price" class="col-sm-4 col-4 col-form-label"> {{trans('native.pay_price')}}
                    </label>
                    <div class="col-sm-8 col-8">
                        <input type="number" step="0.0001" class="form-control"
                               data-purchase="0.0" id="choosen_item_purchase_price"  Auto_Test = "choosen_detailes_choosen_item_purchase_price" name="choosen_item_purchase_price" value="0" disabled/>
                    </div>
                </div>
                <div class="form-group row mb-4">
                    <label for="choosen_item_expire_date" class="col-sm-4 col-4 col-form-label"> {{ trans('items.expire_date') }}
                    </label>
                    <div class="col-sm-8 col-8">
                        <input type="text" id="choosen_item_expire_date" Auto_Test = "choosen_detailes_choosen_item_expire_date" name="choosen_item_expire_date"
                               @if($invoice_type != 'purchases') readonly @endif
                               class="form-control date is-datepicker"
                        >
                        <span>
                            <i class="fa fa-calendar-alt calendar-icon"></i>
                        </span>
                    </div>
                </div>
            @endif
            @if(!(isset($invoice) && $invoice_type == 'returned sales'))
            <div class="form-group row my-3">
                <label for="choosen_item_total" class="col-sm-4 col-4 col-form-label"> {{trans('native.total')}} </label>
                <div class="col-sm-8 col-8">
                    <input type="number" step="0.0001" class="form-control input-light input-sm input-normal" Auto_Test = "choosen_detailes_choosen_item_total" id="choosen_item_total" disabled>
                </div>
            </div>
            @endif

        </div>

        <div class="modal-footer">
            <button type="button" Auto_Test = "choosen_detailes_add_choosen_item" class="btn btn-primary" id="add_choosen_item">{{ __('extends.add') }}</button>
            <button type="button" Auto_Test = "choosen_detailes_close_choosen_item_modal" class="btn btn-secondary" data-dismiss="modal" id="close_choosen_item_modal">{{ __('extends.close') }}</button>
        </div>
      </div>
    </div>
  </div>
