<div class="col-md-6">
    <div>
        @foreach ($categories as $sub)
            @if( !isset($invoice) || in_array($sub->id, $invoiceNeededCategories))
                <button type="button" Auto_Test= "press_sub_name" data-type="0" data-id='{{$sub->id}}' class="main_category btn btn-primary btn-lg col-md-3 col-sm-4 m-2 p-4">
                    {{ $sub->name }}
                </button>
            @endif
        @endforeach
    </div>

    @php
        $randomClassName = "c" . substr(md5(rand()), 0, 6);
        $randomColors = [
            "#833f81",
            '#ed7930',
            '#446c2b',
            '#e06fce',
            '#f52712',
            '#587dd5',
            '#6d32d8',
            '#1d3335',
            '#926b70',
        ];
        $cachedRandomColors = $randomColors ;
        $randomColor = array_shift($cachedRandomColors);
        cache()->set('press_categories_random_colors', $cachedRandomColors);
    @endphp
    @push('css-stack')
        <style>
            .{{ $randomClassName }}:not(.btn-success, .btn-info) {
                background-color: {{$randomColor}} !important;
                border-color: {{$randomColor}} !important;
            }
        </style>
    @endpush

    @foreach ($categories as $category)
        @include('invoices::layouts.create.partials.press-categories', [ 'category' => $category, 'randomClassName' => $randomClassName])
    @endforeach

    @foreach ($categories as $category)
        @include('invoices::layouts.create.partials.press-items', [ 'category' => $category, 'bg-color' => substr(md5(rand()), 0, 6)])
    @endforeach
</div>
@php(cache()->forget('press_categories_random_colors'))
@include('invoices::layouts.create.partials.choosen_details')

<button data-toggle="modal" data-target="#addChoosenItemModal" class="hidden" type="button" id="fire_choose_model"></button>
