<p style="margin-bottom: 5px"> {{ $shop->shop_name }} </p>

<p style="margin-bottom: 5px"> {{ $store->address }} </p>

<table style="border: 1px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; margin: 10px 0">
    <thead>
        <tr>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('native.Dat') }}</th>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ \Carbon\Carbon::parse($invoice->invoice_date)->format('Y-m-d') }}</th>
        </tr>
        <tr>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('native.TheTime') }}</th>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ \Carbon\Carbon::parse($invoice->invoice_date)->format('H:i:s') }}</th>
        </tr>

        @if ($invoice_settings->show_client_name)
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ in_array($invoice->invoice_type, [0, 2]) ? __('native.supplier_name') : __('native.client_name')  }}</th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $client->client_name }}</th>
            </tr>
        @endif

        @if ($invoice_settings->show_client_address)
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> {{ __('native.address') }} </th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $client->address }}</th>
            </tr>
        @endif

        @if ($invoice_settings->show_client_code)
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> {{ in_array($invoice->invoice_type, [0, 2]) ?  (__('native.code') . ' ' . __('native.supplier')) : __('native.client_code') }}</th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $client->code }}</th>
            </tr>
        @endif

        @if ($invoice_settings->show_phone)
            @if ($client->mobile1)
                <tr>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> {{ __('invoices.mobile') }} </th>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $client->mobile1 }}</th>
                </tr>
            @endif

            @if ($client->tele)
                <tr>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">   {{ __('invoices.Another_phone_number') }}    </th>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $client->tele }}</th>
                </tr>
            @endif
        @endif

        <tr>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">  {{ __('invoices.bill-no') }}    </th>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $invoice->bill_no }}</th>
        </tr>

        @if ($invoice_settings->show_salesman)
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('native.user') }}</th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $user->user_name }}</th>
            </tr>
        @endif

        @php $payment_type = $invoice?->getPaymentType((bool) $invoice_settings->show_payment_type); @endphp
        @if ($payment_type)
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> {{ __('native.PaymentType') }} </th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ $payment_type }}</th>
            </tr>
        @endif

        @if ($invoice->notes && $invoice_settings->notes)
            <tr>
                <th colspan="2">{{ $invoice->notes }}</th>
            </tr>
            <tr>
                <td colspan="2">{{ $invoice->notes }}</td>
            </tr>
        @endif
    </thead>
</table>

@if ($invoice_settings->qr_code)
    <div style="width: max-content; height: max-content; margin: auto">{!! $invoice->qr !!}</div>
@endif
