<div style="padding: 10px 40px; display: flex; justify-content: space-between; column-gap: 15px; font-size: 20px;">
    <div style="align-self: center; flex: 1; text-align: right">
        <h2 style="margin: 0">{{ $shop->shop_name }}</h2>
        <span>{{ $shop->address }}</span>  <br>
        <p>هاتف / فاكس: {{ $shop->telephone }}</p>
        <p style="font-weight: bold">  {{ __('invoices.Value_Added_Tax_No') }}    {{ $invoice_settings->vat_number }} VAT </p>
        <p style="font-weight: bold">  {{ __('invoices.Tax_registration_number') }}  {{ $invoice_settings->cr_number ?? $store->tax_number }}</p>
    </div>

    <div style="align-self: center; flex: 1; text-align: center">
        @if ($invoice_settings->show_logo)
            <img src="{{ isset($message) ? $message->embed(asset($shop->logo_path)) : asset($shop->logo_path) }}" alt="logo" width="200px">
        @endif

        <div style="border: 2px solid #ccc; margin-top: 15px;">
            @if ($shop->apply_vats)
                @if (! $is_cash_bill && $shop->use_parts_cash_proforma_invoice)
                    <h2 style="margin: 10px;"> فاتورة أولية </h2>
                    <h2 style="margin: 10px;"> Proforma Invoice </h2>
                @else
                    @if ($shop->getCountry?->name_en != "Saudi Arabia")
                        @if ($invoice_settings->bill_type == 1)
                            <h2 style="margin: 10px;"> {{ $invoice->type }} </h2>
                        @else
                            <h2 style="margin: 10px;"> {{ __('native.bill') }}   </h2>
                        @endif
                    @elseif ($client->client_tax_number)
                        <h2 style="margin: 10px;"> فاتورة ضريبية </h2>
                        <h2 style="margin: 10px;"> Tax Invoice </h2>
                    @else
                        <h2 style="margin: 10px;"> فاتورة ضريبية مبسطة </h2>
                        <h2 style="margin: 10px;"> Simplified Tax Invoice </h2>
                    @endif
                @endif
            @elseif ($invoice_settings->bill_type == 1)
                <h2 style="margin: 10px;"> {{ $invoice->type }} </h2>
            @else
                <h2 style="margin: 10px;"> {{ __('native.bill') }}</h2>
            @endif

            <h2 style="margin: 10px;"> SLO-{{ $invoice->bill_no }} </h2>
        </div>
    </div>

    <div style="align-self: center; flex: 1; text-align: left">
        <h2 style="margin: 0">{{ $shop->shop_name_en }}</h2>
        <span>{{ $shop->address_en }}</span>  <br>
        <p>fax/Phone {{ $shop->telephone }}</p>
        <p style="font-weight: bold"> VAT No: VAT {{ $invoice_settings->vat_number }} </p>
        <p style="font-weight: bold"> CR No: {{ $invoice_settings->cr_number ?? $store->tax_number }}</p>
    </div>
</div>


@if ($invoice_settings->show_bill_header)
    <div style="color: #000; text-align: center"> {!! $settings->bill_header !!} </div>
@endif
