<table style="border: 2px solid rgb(24, 24, 24); border-collapse: separate !important; border-spacing: 0; border-radius: 20px; width: 100% !important; margin-top: 10px; border-bottom: 2px solid">
    <thead>
        <tr>
            <th style="padding: 20px 0px;"></th>
            @if ($invoice_settings->show_item_serial)
            <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important">الرقم <br> No.</th>
            @endif

            @if ($invoice_settings->show_item_name)
            <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important">الصنف <br> Item</th>
            @endif

            @if ($invoice_settings->show_item_barcode)
            <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">الباركود <br> Barcode</th>
            @endif

            @if ($invoice_settings->show_about)
                <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 20%">البيان <br> Description</th>
            @endif
            @if ($invoice_settings->show_unites)
                <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">الوحدة <br> Unit</th>
            @endif
            <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">الكمية <br> Qty</th>
            <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">السعر <br> Price</th>
            <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">الصافي <br> Total Price</th>
            @if ($shop->company_ratio)
                <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">مبلغ الخصم <br> Discunt Amt</th>
            @endif
            @if ($shop->apply_vats)
                <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">نسبة الضريبة <br> Vat Ratio</th>
                <th style="border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; border-right: 1px solid #000 !important; width: 9%">قيمة الضريبة <br> Vat Value</th>
            @endif
            @if ($shop->company_ratio)
                <th style="border-right: 1px solid #000 !important; border-left: 1px solid #000 !important; border-bottom: 2px solid #000 !important; padding: 10px; width: 9%">الإجمالي <br> Net Total</th>
            @endif
            <th></th>
        </tr>
    </thead>

    <tbody>
        @yield('list-items')

        <tr>
            <td style="padding: 20px 0px;"></td>
            @if ($invoice_settings->show_item_serial)
                <td style="border-left: 1px solid #000 !important;"></td>
            @endif
            @if ($invoice_settings->show_item_name)
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important;"></td>
            @endif
            @if ($invoice_settings->show_item_barcode)
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
            @endif
            <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
            <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
            <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
            @if ($shop->company_ratio)
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
            @endif
            @if ($shop->apply_vats)
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important"></td>
            @endif
            <th></th>
        </tr>

    </tbody>
</table>

@include('invoices::print.taxs.totals')
