<style>
    @print {
        @page {
            size: 700mm auto !important;
            margin: 0mm !important;
        }

        body {
            margin: 0px;
            padding: 0px;
        }
    }
</style>

<div style="width: 70mm; margin: auto; text-align: center; background: #f4f7fc !important; color: #262626 !important; font-family: var(--font-family-regular), 'serif'; font-size: '{{ $invoice_settings->font_size }}px' !important; white-space: initial !important; direction: rtl;">
    <div style="padding: 20px 10px; margin: auto">
        @include('invoices::print.casher.title')

        @include('invoices::print.casher.invoice-info')

        @include('invoices::print.casher.items')

        @if ($invoice_settings->show_bill_message)
            <div class="mt-2" style=" color: #000"> {!! $settings->message_bill !!} </div>
        @endif
    </div>
</div>

@if (isset($url) && $url)
    <p style="text-align: center; font-size: 15px; font-weight: bold; color: #595959;">
        {{ __('invoices.display_invoice_page_from') }}
        <a href="{{ $url }}">  {{ __('native.here') }}</a>
    </p>
@else
<script>
    window.print();
    window.onafterprint = window.close;
</script>
@endif
