<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class BarcodeSetting extends Model
{
    use HasFactory;

    protected $table      = 'barcodesetting';
    protected $primaryKey = 'shop_id';
    protected $guarded    = [];
    public $timestamps    = false;

    protected static function newFactory()
    {
        return \Modules\Item\Database\factories\BarcodeSettingFactory::new();
    }
}
