<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;

class Manufacturingcats extends Model
{
    protected $table = 'manufacturing_cats';

    protected $fillable = ['item_id', 'category_id', 'shop_id'];

    public $timestamps = false;

    public function item()
    {
        return $this->belongsTo(Item::class, 'item_id');
    }

    public function category()
    {
        return $this->belongsTo(ItemType::class , 'category_id');
    }
}
