<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;

class Stores extends Model
{
    protected $table = 'stores';

    public $timestamps = false;
    protected $fillable = [];

    public function items()
    {
        return $this->belongsToMany(Item::class, 'store_items', 'store_id', 'item_id')->withPivot(
            'store_quant',
            'damaged',
            'default_quant',
            'shelf',
            'shop_id',
            'add_user',
            'add_date',
            'edit_user',
            'edit_date'
        );
    }
}
