<?php

namespace Modules\Item\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Vat extends Model
{
    use RoundingAttributesTrait;
    
    protected $table = 'bills_add';

    protected $fillable = [
        'Addition_name',
        'check_addition',
        'addition_value',
        'bill_add_method',
        'add_role',
        'add_resturant',
        'add_date',
        'add_user',
        'edit_user',
        'edit_date',
        'shop_id',
        'check_bill_type',
        'tax_type',
        'einvoice_code',
        'sub_einvoice_code',
    ];

    public function items()
    {
        return $this->belongsToMany(Item::class, 'item_vat', 'vat_id', 'item_id')->withPivot('vat_use');
    }
}
