<div class="form-group" id="modal_unit_form_group">
    <label class="control-label" for="barcode"> @lang('items.unit.title') :</label>
    <select data-live-search="true" class="form-control selectpicker" name="unit_id" id="edit_unit">
        @foreach ($units as $unit)
        <option value="{{ $unit->id }}" data-unit_name="{{ $unit->name }}"
            data-unit_einvoice_code="{{ $unit->unit_einvoice_code }}" @if ($unit->id == $sub_unit->unit_id) selected
            @endif>
            {{ $unit->name }}</option>
        @endforeach
    </select>
</div>

<div class="form-group" id="modal_unit_form_group">
    <label class="control-label" for="barcode"> @lang('items.unit.title') :</label>
    <select data-live-search="true" class="form-control selectpicker" name="unit_id" id="edit_unit">
        @foreach ($units as $unit)
        <option value="{{ $unit->id }}" data-unit_name="{{ $unit->name }}"
            data-unit_einvoice_code="{{ $unit->unit_einvoice_code }}" @if ($unit->id == $sub_unit->unit_id) selected
            @endif>
            {{ $unit->name }}</option>
        @endforeach
    </select>
</div>

<div class="form-group">
    <label class="control-label" for="unit_einvoice_code">{{ trans('messages.unit_einvoice_code') }} :</label>
    <input type="text" class="form-control" name="unit_einvoice_code" id="modal_edit_unit_einvoice_code"
        value="{{ $sub_unit->unit_einvoice_code }}" readonly>
</div>

<div class="form-group">
    <label class="control-label" for="modal_unit_value"> @lang('items.unit.value') :</label>
    <input type="text" value="{{ quant_decimal($sub_unit->unit_value) }}" class="form-control" name="unit_value"
        id="modal_edit_unit_value" />
</div>

<div class="form-group">
    <label class="control-label" for="modal_unit_price"> @lang('items.unit.')'</label>
    <input type="text" value="{{ quant_decimal($sub_unit->unit_price) }}" class="form-control" name="unit_price"
        id="modal_edit_unit_price" />
</div>

<div class="form-group">
    <label class="control-label" for="modal_unit_barcode"> @lang('items.unit.barcode') :</label>
    <input type="text" value="{{ $sub_unit->unit_barcode }}" class="form-control" name="unit_barcode"
        id="modal_edit_unit_barcode" />
</div>

<div class="row">
    <div class="col-md-6 hidden">
        <div class="form-group">
            <label class="control-label" for="barcode"> @lang('items.unit.type') :</label>
            <select class="form-control" name="unit_type" id="modal_edit_unit_value">
                <option @if ($sub_unit->unit_type == 0) selected @endif value="0">@lang('items.unit.larger')</option>
                <option @if ($sub_unit->unit_type == 1) selected @endif value="1">@lang('items.unit.smaller')</option>
            </select>
        </div>
    </div>

    <div class="col-md-6">
        <div class="form-inline" style="margin-top: 1.5em;">
            <label class="control-label" for="barcode"> اظهار المربع؟ :</label>
            <input type="checkbox" class="form-control" name="Screenhidden" id="modal_edit_screenhidden"
                @if ($sub_unit->Screenhidden == 1) checked
            @endif>
        </div>
    </div>
</div>

<input type="hidden" name="current_id" id="modal_edit_current_id" value="{{ $sub_unit->id }}">
