<?php

namespace Modules\Maintenance\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    use RoundingAttributesTrait;
    
    protected $guarded = ['id'];
    protected $table = 'users';
    public $timestamps = false;

    public function point()
    {
        return $this->hasOne(SalePoint::class, 'id', 'sale_point');
    }
}
