<?php

namespace Modules\Maintenance\Entities;

use App\Traits\RoundingAttributesTrait;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Item extends Model
{
    use RoundingAttributesTrait;
    
    protected $guarded = ['id'];
    protected $table = 'items';
    public $timestamps = false;

    public function vat()
    {
        return $this->belongsTo(BillAdd::class, 'vat_id')->withDefault(['addition_value' => 0]);
    }
}
