<?php

namespace Modules\Maintenance\Entities;

use Illuminate\Database\Eloquent\Model;

class Log extends Model
{
    protected $table = 'log_system';
    public $timestamps = false;
    protected $guarded = ['id'];

    public static function create($order_id, $user_id, $event)
    {
        $log = new Log();
            $log->user_id = $user_id;
            $log->shop_id = auth()->user()->shop_id;
            $log->date_event = now();
            $log->event = $event;
            $log->bill_id = $order_id;
            $log->type = 'orders';
            $log->save();
    }
}
