<?php

namespace Modules\Maintenance\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class OrderDetail extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    protected $table = 'request_details';
    public $timestamps = false;

    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function item()
    {
        return $this->belongsTo(Item::class)->withDefault([
            'item_name' => '---',
            'id' => '0'
        ]);
    }
}
