<?php

namespace Modules\Manufacture\Entities;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Modules\Maintenance\Entities\BillAdd;

class ItemTransaction extends Model
{
    protected $guarded = ['id'];
    protected $table = 'items_transaction';
    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::creating(function ($model) {
            $model->tansaction_date  = now();
            $model->action_date  = now();
            $model->user_id = auth()->id();
        });
    }
}
