<?php

namespace Modules\Manufacture\Entities;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Modules\Maintenance\Entities\BillAdd;

class Store extends Model
{
    protected $guarded = ['id'];
    protected $table = 'stores';
    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('shop_id', (auth()->user()->shop_id ?? 0));
        });
    }
}
