<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => 'messages', 'as' => 'messages.'], function () {

    Route::get('inbox', 'ContactController@index')->name('inbox');
    Route::get('outbox', 'ContactController@outbox')->name('outbox');
    Route::get('inbox/{id}', 'ContactController@show')->name('show');
    Route::get('inbox/{id}/reply', 'ContactController@reply')->name('reply');
    Route::post('inbox/{id}/reply', 'ContactController@postReply')->name('postReply');
    Route::post('delete-message', 'ContactController@deleteMessage')->name('delete');
});
