<?php

namespace Modules\Perish\Entities;

use Illuminate\Database\Eloquent\Model;

class Supplier extends Model
{
    protected $table = "supplier";
    protected $guarded = ['id'];
    public $timestamps = false;

    public function supplier()
    {
        return $this->hasOne(Supplier::class)->select('id', 'supplier_name')->withDefault([
            'supplier_name' => '---'
        ]);
    }
}
