<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group(['middleware' => ['web', 'auth'], 'prefix' => 'perish'], function () {

    // Route::get('/', ['uses' => 'PerishController@index', 'as' => 'perishes.index']);
    Route::get('/', ['uses' => 'NewPerishController@index', 'as' => 'perishes.index']);


    //Route::post('ajax-store-items', ['uses' => 'PerishController@storeItems', 'as' => 'perishes.ajax-store-items']);
    Route::post('ajax-store-items', ['uses' => 'NewPerishController@storeItems', 'as' => 'perishes.ajax-store-items']);


    // Route::post('update-qty', ['uses' => 'PerishController@update', 'as' => 'perishes.update-qty']);
    Route::post('update-qty', ['uses' => 'NewPerishController@update', 'as' => 'perishes.update-qty']);


    Route::get('transaction-report', ['as' => 'perishes.report', 'uses' => 'PerishController@adminSearch']);

    Route::get('search-results', ['as' => 'perishes.history-result', 'uses' => 'PerishController@adminPostSearch']);

    Route::post('replace', 'PerishController@replace')->name('perishes.replace');

    Route::get('replacements', 'PerishController@replacements')->name('perishes.replacements');

    Route::post('searchByBarcode', 'NewPerishController@searchBarcode')->name('perishes.search-barcode');

});
