<?php

namespace Modules\SalePoints\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class ClientTransaction extends Model
{
    use RoundingAttributesTrait;

    protected $fillable = [
        'type',
        'amount',
        'effect',
        'safe_balance',
        'date_time',
        'pay_day',
        'safe_type',
        'safe_point_id',
        'user_id',
        'shop_id',
        'effected_point',
        'notes'
    ];
    public $timestamps = false;
    protected $guarded = ['id'];
    protected $table = 'client_transaction';
}
