<?php

namespace Modules\SalePoints\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Store extends Model
{
    protected $guarded = ['id'];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('perShop', function (Builder $builder) {
            $builder->where('stores.shop_id', auth()->user()->shop_id)->orderBy('id', 'DESC');
        });
    }
}
