<input type="hidden" id="salepoint_id" value="{{ $salePoint->id }}">
<div class="form-group row">
    <label class="col-3" for="edit_point_name">اسم الخزنه</label>
    <div class="col-8">
        <input type="text" class="form-control" id="edit_point_name" value="{{ $salePoint->point_name }}">
    </div>
</div>

<div class="form-group row">
    <input type="hidden" id="old_balance" value="{{ $salePoint->money_point }}" >
    <label class="col-3" for="edit_money_point">المبلغ الحالي</label>
    <div class="col-8">
        <input type="number" class="form-control" id="edit_money_point" value="{{ $salePoint->money_point }}">
    </div>
    <div>
        <p>{{ get_session_val('currency', 'string') }}</p>
    </div>
</div>

<div class="form-group row">
    <label class="col-3" for="edit_point_type">نوع نقطه البيع</label>
    <div class="col-8">
        <select id="edit_point_type" class="selectpicker" data-live-search="true" data-width="100%">
            <option @if ($salePoint->point_type == 1) selected @endif value="1">الخزن /نقاط البيع</option>
            <option @if ($salePoint->point_type == 2) selected @endif value="2"> دفع الشبكه </option>
        </select>
    </div>
</div>

<div
@class([
    'form-group',
    'row',
    'hidden' => !get_session_val('multi_currency', 'integer'),
    ])
>
    <label class="col-3" for="edit_currency">تحديد العملة</label>
    <div class="col-8">
        <select id="edit_currency" class="selectpicker" data-live-search="true" data-width="100%">
            <option @if ($salePoint->currency_id == 0) selected @endif value="0">{{ get_session_val('currency', 'string') }}</option>
            @foreach ($currencies as $currency)
            <option @if ($salePoint->currency_id == $currency->id) selected @endif value="{{ $currency->id }}">{{ $currency->name }}</option>
            @endforeach
        </select>
    </div>
</div>
