<?php

namespace Modules\SalesReport\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class ItemType extends Model
{
    use HasFactory;

    protected $guarded = ['id'];
    protected $table   = 'items_type';

    protected static function newFactory()
    {
        return \Modules\SalesReport\Database\factories\ItemTypeFactory::new();
    }

    public function Item()
    {
        return $this->hasMany(Item::class, 'sale_unit', 'id');
    }

}
