<?php

namespace Modules\SalesReport\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Unit extends Model
{
    use HasFactory;

    protected $table   = 'units';
    protected $guarded = [];
    public $timestamps = false;

    protected static function newFactory()
    {
        return \Modules\SalesReport\Database\factories\UnitFactory::new();
    }

    public function Item()
    {
        return $this->hasMany(Item::class, 'unit_id', 'id');
    }

}
