@extends('master::layouts.master')
@section('content')

<div class="card card-light mb-1_5 p-3">

    <div class="container">
    <h3 class="well-head " id="title_text" style="margin-top: 30px;margin-left: 70%;margin-bottom:30px;color:#17a2b8 !important">
        {{ trans('native.financial_position') }}</h3>
    <div class="container">
        <div class="row">
            <style>
                .green {
                    background-color: rgba(0, 0, 0, 0.05);
                }

                .red {
                    background-color: rgba(0, 0, 0, 0.05);;
                }

                @media print {
                    .eye_show {
                        display: none !important;
                    }
                }
            </style>
            <div class="my-3 hidden-print col-md-12" style="display: flex; justify-content: space-evenly;">
                <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2">{{ trans('extends.print') }} </button>
                <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2">{{ trans('extends.toExcel') }} </button>
                {{-- <button id="pdf-table" class="hidden-print noprint btn btn-danger col-sm-2">{{ trans('manufacture::trans.toPDF') }} </button> --}}
            </div>

            <div class="table-responsive">
                       <table class="table table-bordered  table-striped table-hover table-heading table2excel" >
                <thead style="background-color: #17a2b8 !important;">
                    <tr>
                        <th colspan="3" class="text-center">{{ trans('native.for_him') }}</th>
                        <th colspan="3" class="text-center">{{ trans('native.on_him') }}</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="green">{{ trans('native.total_safes_balances') }}</td>
                        {{--                    <td class="green">{{ price_decimal($sale_points_total) }} {{ $currency }}</td> --}}
                        <td class="green">{{ round_money($sale_points_total) }} {{ $currency }}
                        </td>
                        <td class="green"><a href="{{ route('salepoint.index') }}"
                                class="btn btn-primary col-md-offset-1 eye_show"><i class="fa fa-eye"></i></a></td>

                        <td class="red">{{ trans('native.total_suppliers_balances') }}</td>
                        {{--                    <td class="red">{{ price_decimal($suppliers_total) }} {{ $currency }}</td> --}}
                        <td class="red">{{ round_money($suppliers_total) }} {{ $currency }}
                        </td>
                        <td class="red"><a href="{{ asset('clients' . '?client_role=1') }}"
                                class="btn btn-primary col-md-offset-1 eye_show"><i class="fa fa-eye"></i></a></td>
                        {{-- <td class="red"><a href="{{ config('main.badr') }}incom_items/suppliers_list.php" class="btn btn-primary col-md-offset-1"><i class="fa fa-eye"></i></a></td> --}}
                    </tr>
                    <tr>
                        <td class="green">{{ trans('native.total_clients_balances') }}</td>
                        {{--                    <td class="green">{{ price_decimal($clients_total) }} {{ $currency }}</td> --}}
                        <td class="green">{{ round_money($clients_total) }} {{ $currency }}
                        </td>
                        <td class="green"><a href="{{ asset('clients' . '?client_role=0') }}"
                                class="btn btn-primary col-md-offset-1 eye_show"><i class="fa fa-eye"></i></a></td>

                        <td class="red"></td>
                        <td class="red"></td>
                        <td class="red"></td>
                    </tr>
                    <tr>
                        <td class="green">{{ trans('native.total_quant_pay_price') }}</td>
                        {{-- <td class="green">{{ price_decimal($amount_total) }} {{ $currency }}</td> --}}
                        <td class="green">{{ round_money($amount_total) }} {{ $currency }}</td>
                        <td class="green"><a href="{{ route('salesreports.item-inventory') }}"
                                class="btn btn-primary col-md-offset-1 eye_show"><i class="fa fa-eye"></i></a></td>

                        <td class="red"></td>
                        <td class="red"></td>
                        <td class="red"></td>
                    </tr>
                    <tr style="background-color: #ffc107 !important;">
                        <td>{{ trans('native.total') }}</td>
                        {{--                    <td>{{ price_decimal($sale_points_total + $clients_total + $amount_total) }} {{ $currency }}</td> --}}
                        <td>{{ round_money($sale_points_total + $clients_total + $amount_total) }}
                            {{ $currency }}</td>
                        <td></td>

                        <td>{{ trans('native.total') }}</td>
                        {{--                    <td>{{ price_decimal($suppliers_total) }} {{ $currency }}</td> --}}
                        <td>{{ round_money($suppliers_total) }} {{ $currency }}</td>
                        {{-- <td>الصافى: {{ price_decimal($sale_points_total + $clients_total + $amount_total - $suppliers_total) }} {{ $currency }}</td> --}}
                        <td>{{ trans('native.net') }}:
                            @php
                                $debt = $sale_points_total + $clients_total + $amount_total;
                                $operator = $debt >= 0 ? '+' : '-';
                            @endphp
                            {{ round_money( eval("return $debt $operator $suppliers_total;") ) }}
                            {{ $currency }}</td>
                    </tr>
                </tbody>
            </table>
            </div>
     
        </div>
    </div>
            </div>
            </div>

@stop
@section('js-scripts')
    @include('master::js.export-functions')
@endsection
