@extends('master::layouts.master')

@section('content')
    <!-- start in main content -->
    <main class="global-main">
        <div class="container">
            <div class="row">
                {{-- <div class="col-md-3">
                    <aside class="global-aside">
                        <ul class="sidebar list-group list-unstyled">
                                            <!-- include navbar.htm -->

                        </ul>
                    </aside>
                </div> --}}
                <!-- End Sidebar -->
                <div class="col-md-11 no-padding-right">
                    <div class="main-content">
                        <!-- start in main-processes content -->
                        <div id="main">
                            <div class="container">
                                <div class="accordion" id="faq">

                                    <div class="card">
                                        <div class="card-header" id="faqhead3">
                                            <a href="#" class="btn btn-header-link" data-toggle="collapse"
                                               data-target="#report-0" aria-expanded="true" aria-controls="report-0">
                                                    <span class="card-header__icon">
                                                        <img src="{{asset('imgs/cart.png')}}" alt="">
                                                    </span>
                                                تقارير الفواتير
                                            </a>
                                        </div>

                                        <div id="report-0" class="collapse show" aria-labelledby="faqhead3"
                                            >
                                            <div class="card-body">
                                                <ul class="row report--list">
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.installed-sales') }}"
                                                           class="report--list__link">
                                                           تقرير الفواتير الاجلة للمبيعات (سداد الفواتير)
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.installed-purchases') }}"
                                                           class="report--list__link">
                                                           تقرير الفواتير الاجلة للمشتريات (سداد الفواتير)
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.sales-imports-total') }}"
                                                           class="report--list__link">
                                                           تقرير اجمالي المبيعات و المحصل
                                                        </a>
                                                    </li>
                                                    @if ((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')) == 1)
                                                        <li class="col-md-6">
                                                            <a href="{{ route('salesreports.installments-add') }}"
                                                            class="report--list__link">
                                                            تقرير الزيادة بالأقساط
                                                            </a>
                                                        </li>
                                                    @endif

                                                    <li class="col-md-6">
                                                        <a href="{{ route('debentures.report.addetions') }}"
                                                            class="report--list__link">
                                                            تقرير القيمه المضافه على سندات القبض
                                                        </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card">
                                        <div class="card-header" id="faqhead1">
                                            <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                                                data-target="#report-1" aria-expanded="true" aria-controls="report-1">
                                                <span class="card-header__icon">
                                                    <img src="{{ asset('imgs/cart.png') }}" alt="" srcset="">
                                                </span>
                                                تقارير المصروفات
                                            </a>
                                        </div>

                                        <div id="report-1" class="collapse" aria-labelledby="faqhead1"
                                           >
                                            <div class="card-body">
                                                <ul class="row report--list">

                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.spend_report') }}"
                                                            class="report--list__link">
                                                            تقرير المصروفات
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('statisticalreports.paymentReceiptReport') }}"
                                                            class="report--list__link">
                                                            تقرير ايصالات الصرف
                                                        </a>
                                                    </li>

                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header" id="faqhead2">
                                            <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                                                data-target="#report-2" aria-expanded="true" aria-controls="report-2">
                                                <span class="card-header__icon">
                                                    <img src="{{ asset('imgs/cart.png') }}" alt="">
                                                </span>
                                                تقارير الايرادات
                                            </a>
                                        </div>

                                        <div id="report-2" class="collapse" aria-labelledby="faqhead2">
                                            <div class="card-body">
                                                <ul class="row report--list">
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.incom_report') }}"
                                                            class="report--list__link">
                                                            تقرير الايرادات
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('statisticalreports.cashReceiptReport') }}"
                                                            class="report--list__link">
                                                            تقرير ايصالات الاستلام
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.mandobeen.index') }}"
                                                            class="report--list__link">
                                                            تقرير المندوبين
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.mandobeen.receipts') }}"
                                                            class="report--list__link">
                                                            تقرير سندات القبض من تقرير نسب تحصيل المندوبين من سندات القبض
                                                        </a>
                                                    </li>

                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="card-header" id="faqhead3">
                                            <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                                                data-target="#report-3" aria-expanded="true" aria-controls="report-3">
                                                <span class="card-header__icon">
                                                    <img src="{{ asset('imgs/cart.png') }}" alt="">
                                                </span>
                                                الارباح و الخسائر
                                            </a>
                                        </div>

                                        <div id="report-3" class="collapse" aria-labelledby="faqhead3">
                                            <div class="card-body">
                                                <ul class="row report--list">
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.gross_profit_report') }}"
                                                            class="report--list__link">
                                                            تقرير مجمل الربح
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.net_profit_report') }}"
                                                            class="report--list__link">
                                                            تقرير صافي الربح
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.items.profit') }}"
                                                            class="report--list__link">
                                                            تقرير أرباح صنف
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.category.profit') }}"
                                                            class="report--list__link">
                                                            تقرير أرباح تصنيف
                                                        </a>
                                                    </li>

                                                    <li class="col-md-6">
                                                        <a href="{{ route('statisticalreports.clientsIndebtednessReport') }}"
                                                            class="report--list__link">
                                                            تقرير مديونية العملاء و الموردين
                                                        </a>
                                                    </li>


                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.sales_points_transactions_report', [
                                                            'safe_point_id' => null,
                                                            'store_id' => -1,
                                                            'start_date' => date('Y-m-d'),
                                                            'end_date' => date('Y-m-d'),
                                                        ]) }}"
                                                            class="report--list__link">
                                                            تقرير عمليات درج
                                                        </a>
                                                    </li>

                                                    @if ((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')))
                                                        <li class="col-md-6">
                                                            <a href="{{ route('clientinstalments.clients-report') }}"
                                                                class="report--list__link">
                                                                تقرير اعمار اقساط وجدولة العملاء
                                                            </a>
                                                        </li>

                                                        <li class="col-md-6">
                                                            <a href="{{ route('clientinstalments.lateInstallmentsReport') }}"
                                                                class="report--list__link">
                                                                تقرير الأقساط المتأخرة للعملاء
                                                            </a>
                                                        </li>


                                                        <li class="col-md-6">
                                                            <a href="{{ route('clientinstalments.installmentEmployeeReport') }}"
                                                                class="report--list__link">
                                                                تقرير عمولة تحصيل الاقساط
                                                            </a>
                                                        </li>

                                                        <li class="col-md-6">
                                                            <a href="{{ route('supplierinstallment.suppliers-report') }}"
                                                                class="report--list__link">
                                                                تقرير اعمار اقساط وجدولة الموردين
                                                            </a>
                                                        </li>
                                                    @endif
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.financial-position') }}"
                                                            class="report--list__link">
                                                            تقرير الموقف المالي
                                                        </a>
                                                    </li>

                                                </ul>
                                            </div>
                                        </div>

                                    </div>

                                    {{-- <div class="card">
                                    <div class="card-header" id="faqhead3">
                                        <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                                            data-target="#report-4" aria-expanded="true" aria-controls="report-4">
                                            <span class="card-header__icon">
                                                <img src="{{asset('imgs/cart.png')}}" alt="">
                                            </span>
                                            تقارير الجدوله
                                        </a>
                                    </div>

                                    <div id="report-4" class="collapse" aria-labelledby="faqhead3"
                                       >
                                        <div class="card-body">
                                            <ul class="row report--list">
                                                <li class="col-md-6">
                                                    <a href="{{route('salesreports.items_sales_dusring_period_report')}}" class="report--list__link">
                                                        مبيعات أصناف خلال فتره
                                                    </a>
                                                </li>
                                                <li class="col-md-6">
                                                    <a href="#" class="report--list__link">
                                                        مبيعات أصناف خلال فتره
                                                    </a>
                                                </li>

                                                <li class="col-md-6">
                                                    <a href="#" class="report--list__link">
                                                        مبيعات أصناف خلال فتره
                                                    </a>
                                                </li>
                                                <li class="col-md-6">
                                                    <a href="#" class="report--list__link">
                                                        مبيعات أصناف خلال فتره
                                                    </a>
                                                </li>
                                                <li class="col-md-6">
                                                    <a href="#" class="report--list__link">
                                                        مبيعات أصناف خلال فتره
                                                    </a>
                                                </li>
                                                <li class="col-md-6">
                                                    <a href="#" class="report--list__link">
                                                        مبيعات أصناف خلال فتره
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div> --}}


                                    <div class="card">
                                        <div class="card-header" id="faqhead3">
                                            <a href="#" class="btn btn-header-link collapsed"
                                                data-toggle="collapse" data-target="#report-5" aria-expanded="true"
                                                aria-controls="report-5">
                                                <span class="card-header__icon">
                                                    <img src="{{ asset('imgs/cart.png') }}" alt="">
                                                </span>
                                                تقارير الاصناف
                                            </a>
                                        </div>

                                        <div id="report-5" class="collapse" aria-labelledby="faqhead3"
                                           >
                                            <div class="card-body">
                                                <ul class="row report--list">
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.items_sales_dusring_period_report') }}"
                                                            class="report--list__link">
                                                            مبيعات أصناف خلال فتره
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.item-transaction') }}"
                                                            class="report--list__link">
                                                            تقرير حركة صنف
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.item-inventory') }}"
                                                            class="report--list__link">
                                                            تقرير جرد الأصناف
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.remaining-items') }}"
                                                            class="report--list__link">
                                                            تقرير المتبقى من المشتريات
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6 @if (get_session_val('show_expire_date', 'integer') == 0) hidden @endif">
                                                        <a href="{{ route('salesreports.expired-items') }}"
                                                            class="report--list__link">
                                                            تقرير الاصناف منتهية الصلاحية
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.min-quantity-items') }}"
                                                            class="report--list__link">
                                                            تقرير الحد الأدنى للأصناف
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('perishes.replacements') }}"
                                                            class="report--list__link">
                                                            تقرير الأصناف المستبدلة
                                                        </a>
                                                    </li>
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.items.unit_qty_report') }}"
                                                            class="report--list__link">
                                                            تقرير جرد الأصناف بالوحدات
                                                        </a>
                                                    </li>

                                                </ul>
                                            </div>
                                        </div>
                                    </div>



                                    @if(get_session_val('home_delivery', 'integer') != 0 && get_session_val('einvoice', 'integer') == 0)
                                        <div class="card">
                                            <div class="card-header" id="faqhead3">
                                                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                                                   data-target="#report-6" aria-expanded="true" aria-controls="report-6">
                                                    <span class="card-header__icon">
                                                        <img src="{{asset('imgs/cart.png')}}" alt="">
                                                    </span>
                                                    تقارير الدليفري
                                                </a>
                                            </div>

                                            <div id="report-6" class="collapse" aria-labelledby="faqhead3"
                                                >
                                                <div class="card-body">
                                                    <ul class="row report--list">
                                                        <li class="col-md-6">
                                                            <a href="{{ route('delivery-report.index') }}"
                                                               class="report--list__link">
                                                                تقرير طلبات التوصيل
                                                            </a>
                                                        </li>
                                                        <li class="col-md-6">
                                                            <a href="{{ route('delivery-report.index') }}?done=1"
                                                               class="report--list__link">
                                                                تقرير الطلبات المنتهيه
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    @endif

                                    <div class="card">
                                        <div class="card-header" id="faqhead3">
                                            <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                                               data-target="#report-7" aria-expanded="true" aria-controls="report-7">
                                                    <span class="card-header__icon">
                                                        <img src="{{asset('imgs/cart.png')}}" alt="">
                                                    </span>
                                                تقارير المستخدمين
                                            </a>
                                        </div>

                                        <div id="report-7" class="collapse" aria-labelledby="faqhead3"
                                            >
                                            <div class="card-body">
                                                <ul class="row report--list">
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.user-sales') }}"
                                                           class="report--list__link">
                                                            تقرير مبيعات أصناف المندوبين
                                                        </a>
                                                    </li>
                                                    @if (get_session_val('enable_commission_rates', 'integer'))
                                                        <li class="col-md-6">
                                                            <a href="{{ route('salesreports.user-total-sales') }}"
                                                            class="report--list__link">
                                                                تقرير اجمالى مبيعات المندوبين
                                                            </a>
                                                        </li>
                                                    @endif
                                                    <li class="col-md-6">
                                                        <a href="{{ route('salesreports.clientBalance') }}"
                                                           class="report--list__link">
                                                            تقرير مديونيه حسب مجموعه العملاء
                                                        </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <!--  -->
                    </div>
                </div>
            </div>
        </div>
    </main>


    <footer class="global-footer">
        <div class="container">
            <ul class="row">

                <li class="col text-center" id="">



                    <a href="#" class="d-flex flex-column">
                        <i class="fa fa-home"></i>
                        الرئيسيه
                    </a>
                </li>
                <li class="col text-center">
                    <a href="#" class="d-flex flex-column">
                        <i class="fa fa-file" aria-hidden="true"></i>

                        بيع جديد
                    </a>
                </li>
                <li class="col text-center" id="main">

                    <a href="#" class="d-flex flex-column openbtn" onclick="openNav()">
                        <i class="fa fa-bars"></i> <!-- <img src="assets/imgs/power.png" alt=""> -->
                        القائمة
                    </a>
                </li>
            </ul>
        </div>
    </footer>




    {{-- <script src="./assets/js/jquery-3.3.1.slim.min.js"></script>

<script src="./assets/js/popper.min.js"></script>
<script src="./assets/vendor/bootstrap/js/bootstrap.min.js"></script> --}}


    <script>
        // $(".menu-link").click(function(){
        // 	$(".global-aside").addClass("open-s")
        // });
    </script>


@stop
