
<!-- add Modal -->
<div class="modal fade" id="payInvoice" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"> تسجيل ايصال استلام</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            
            <form action="{{route('salesreports.installed.payment','sales')}}" method="post" class="modal-body" id="form">
                @csrf
                <div class="form-group row">
                    <label class="col-3" for="point_name">التاريخ</label>
                    <div class="col-8">
                        <input type="text" id="payment_date"  name="payment_date"
                            class="form-control input-sm input-light date is-datepicker" value="{{ today()->format('Y-m-d') }}">
                        <span>
                            <i class="fa fa-calendar-alt calendar-icon"></i>
                        </span>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-3" for="point_name">اسم الخزنة</label>
                    <div class="col-8">
                        <select id="point_name" class="selectpicker" data-live-search="true" data-width="100%">
                            <option value="-1">اختر</option>
                            @foreach ($sale_points as $point)
                                <option value="{{ $point->id }}">{{ $point->point_name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="form-group row" id="payment_amount">
                    <label class="col-3" for="payment_amount">المبلغ المدفوع</label>
                    <div class="col-8">
                        <input type="number" name="payment_amount" value="0" class="form-control">
                    </div>
                    <div>
                        <p>{{ get_session_val('currency', 'string') }}</p>
                    </div>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">الغاء</button>
                    <button type="submit" class="btn btn-success">حفظ</button>
                </div>
                
            </form>

        </div>
    </div>
</div>
<!-- end add modal -->
