@forelse ($rows as $row)
    <tr>
        <td class="text-center">{{ $loop->iteration }}</td>
        <td class="text-center">{{ $row->pay_day }}</td>
        <td class="text-center show-amount">{{ round_money($row->amount) }}</td>
        <td class="text-center">{{ $row->getCollectedRatio() }}%</td>
        <td class="text-center show-amount">{{ round_money($row->amount_collected) }}</td>
        <td class="text-center">
            @if ($row->client)
                <a target="_blank" href="{{ route('clients.show', $row->client_id) }}">{{ $row->client->name }}</a>
            @endif
        </td>
        <td>{{ $row->notes }}</td>
        {{-- <td>{!! $row->getNotes()  !!}</td> --}}
    </tr>
@empty
    <tr style="text-align: center">
        <td colspan="10">لا يوجد بيانات</td>
    </tr>
@endforelse

@if (count($rows))
    <tr class="bg-info text-white">
        <td colspan="2">@lang('reports.total_amount')</td>
        <td class="text-center total-amount">{{ round_money($rows->sum('amount')) }}</td>
        <td class="text-center"></td>
        <td class="text-center total-amount">{{ round_money($rows->sum('amount_collected')) }}</td>
    </tr>
@endif
