@forelse ($rows as $row)
    <tr>
        <td class="text-center">{{ $loop->iteration }}</td>
        <td class="text-center">{{ $row->name }}</td>
        <td class="text-center show-amount">{{ round_money($row->transactions_sum_amount) }}</td>
        <td class="text-center">{{ $row->transactions_sum_amount_collected ? round_money(($row->transactions_sum_amount_collected / $row->transactions_sum_amount) * 100) : 0 }} %</td>
        <td class="text-center show-amount">{{ round_money($row->transactions_sum_amount_collected) }}</td>
    </tr>
@empty
    <tr style="text-align: center">
        <td colspan="5">لا يوجد بيانات</td>
    </tr>
@endforelse

@if (count($rows))
    <tr class="bg-info text-white">
        <td colspan="2">@lang('reports.total_amount')</td>
        <td class="text-center total-amount">{{ round_money($rows->sum('transactions_sum_amount')) }}</td>
        <td></td>
        <td class="text-center total-amount">{{ round_money($rows->sum('transactions_sum_amount_collected')) }}</td>
    </tr>
@endif
