@extends('master::layouts.master')

@include('salesreport::mandobeen.includes.css')

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container">
        <div>
            <h2 class="text-info" id="title_text">تقرير نسب تحصيل المندوبين من سندات القبض</h2>
        </div>

        @include('salesreport::mandobeen.search')
        <div class="table-responsive">

        <table class="table table-striped mt-4 table2excel" id="main_table">
            <thead class="bg-info text-white">
                <tr>
                    <th style="width: 100px;" scope="col">#</th>
                    <th style="width: 130px;" scope="col">{{ trans('reports.added_date') }}</th>
                    <th style="width: 150px;" scope="col">المبلغ المحصل</th>
                    <th style="width: 150px;" scope="col">النسبة</th>
                    <th style="width: 150px;" scope="col">مبلغ النسبة</th>
                    <th style="width: 150px;" scope="col">إسم العميل</th>
                    <th style="width: 150px;" scope="col">البيان</th>
                    {{-- <th scope="col">الملاحظة</th> --}}
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
</div>
</div>
@endsection

@include('salesreport::mandobeen.includes.js')
