@extends('master::layouts.master')
@section('css-script')
@include('settings::layouts.css')
@stop
@section('content')
<h3 class="text-info">{{ trans('settings.settings') }}</h3>
<div>
<hr>
<div class="row gutters-sm">
<div class="col-md-3 d-none d-md-block">
   <div class="card">
      <div class="card-body">
         <nav class="nav flex-column nav-pills nav-gap-y-1">
            <a href="#sales" data-toggle="tab" class="nav-item nav-link has-icon nav-link-faded active">
            <i class="fa fa-cart-plus" style="font-size: 16px"> @lang('native.salespoint') </i>
            </a>
            <a href="#bills" data-toggle="tab" class="nav-item nav-link has-icon nav-link-faded">
            <i class="fa fa-file" style="font-size: 16px"> @lang('native.bills') </i>
            </a>
            <a href="#buy" data-toggle="tab" class="nav-item nav-link has-icon nav-link-faded">
            <i class="fa fa-cart-arrow-down " style="font-size: 16px"> @lang('native.add_income') </i>
            </a>
            {{-- <a href="#sales_points" data-toggle="tab" class="nav-item nav-link has-icon nav-link-faded">
            <i class="fa fa-dot-circle" style="font-size: 16px"> نقاط علي المبيعات </i>
            </a>
            --}}
            <a href="#barcode" data-toggle="tab" class="nav-item nav-link has-icon nav-link-faded">
            <i class="fa fa-barcode text" style="font-size: 16px"> @lang('native.barcode') </i>
            </a>
            <a href="#general" data-toggle="tab" class="nav-item nav-link has-icon nav-link-faded">
            <i class="fa fa-cog" style="font-size: 16px"> @lang('native.settings') </i>
            </a>
            <a href="#delivery" data-toggle="tab" class="nav-item nav-link has-icon nav-link-faded">
            <i class="fa fa-truck" style="font-size: 16px"> @lang('native.delivery') </i>
            </a>
         </nav>
      </div>
   </div>
</div>
<div class="col-md-9">
<div class="card">
<div class="card-header border-bottom mb-3 d-flex d-md-none">
   <ul class="nav nav-tabs card-header-tabs nav-gap-x-1" role="tablist">
      <li class="nav-item">
         <a href="#sales" data-toggle="tab" class="nav-link has-icon active">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
               fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
               stroke-linejoin="round" class="feather feather-settings">
               <path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
               <circle cx="12" cy="7" r="4"></circle>
            </svg>
         </a>
      </li>
      <li class="nav-item">
         <a href="#bills" data-toggle="tab" class="nav-link has-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
               fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
               stroke-linejoin="round" class="feather feather-settings">
               <circle cx="12" cy="12" r="3"></circle>
               <path
                  d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>
            </svg>
         </a>
      </li>
      <li class="nav-item">
         <a href="#buy" data-toggle="tab" class="nav-link has-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
               fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
               stroke-linejoin="round" class="feather feather-shield">
               <path d="M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"></path>
            </svg>
         </a>
      </li>
      {{--
      <li class="nav-item">
         <a href="#sales_points" data-toggle="tab" class="nav-link has-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bell">
               <path d="M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9"></path>
               <path d="M13.73 21a2 2 0 0 1-3.46 0"></path>
            </svg>
         </a>
      </li>
      --}}
      <li class="nav-item">
         <a href="#barcode" data-toggle="tab" class="nav-link has-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
               fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
               stroke-linejoin="round" class="feather feather-bell">
               <path d="M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9"></path>
               <path d="M13.73 21a2 2 0 0 1-3.46 0"></path>
            </svg>
         </a>
      </li>
      <li class="nav-item">
         <a href="#general" data-toggle="tab" class="nav-link has-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
               fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
               stroke-linejoin="round" class="feather feather-credit-card">
               <rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect>
               <line x1="1" y1="10" x2="23" y2="10"></line>
            </svg>
         </a>
      </li>
      <li class="nav-item">
         <a href="#delivery" data-toggle="tab" class="nav-link has-icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
               fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
               stroke-linejoin="round" class="feather feather-credit-card">
               <rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect>
               <line x1="1" y1="10" x2="23" y2="10"></line>
            </svg>
         </a>
      </li>
   </ul>
</div>
<form method="get" action="{{route('settings.save')}}">
<div class="card-body tab-content">
   <!-- start sales settings -->
   @include('settings::panels.sales-panel', compact('badrshop'))
   <!-- end sales settings -->
   <!-- start bills -->
   @include('settings::panels.bills-panel', compact('badrshop'))
   <!-- end bills -->
   <!-- start buy panel -->
   @include('settings::panels.buy-panel', compact('badrshop'))
   <!-- end buy panel -->
   <!-- start sales points panel -->
   @include('settings::panels.sales-points-panel', compact('badrshop'))
   <!-- end sales points panel -->
   <!-- start barcode panel -->
   @include('settings::panels.barcode-panel', compact('badrshop'))
   <!-- end barcode panel -->
   <!-- start general panel -->
   @include('settings::panels.general-panel', compact('badrshop'))
   <!-- end general panel -->
   <!-- start delivery panel -->
   @include('settings::panels.delivery-panel', compact('badrshop'))
   <!-- end delivery panel -->
</div>
{{-- preview printing --}}
<button type="button" class="btn btn-primary hidden" data-toggle="modal"
   data-target="#previewBillPrintingModal"
   id="preview_printing">
</button>
<!-- Modal -->
<div class="modal fade" id="previewBillPrintingModal" tabindex="-1" role="dialog"
   aria-labelledby="previewBillPrintingModalLabel" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title"
               id="previewBillPrintingModalLabel"> {{ __('settings.preview_bill_template') }}</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <div class="embed-responsive embed-responsive-21by9" id="preview_cont"
               style="height: 400px;">
               <iframe class="embed-responsive-item" id="printing_iframe" src=""></iframe>
            </div>
            <div id="loading_preview">
               <div class="alert alert-info">
                  جاري التحميل
                  <i class="fa fa-5x fa-spinner fa-spin"></i>
               </div>
            </div>
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-secondary"
               data-dismiss="modal">{{ __('extends.close') }}</button>
         </div>
      </div>
   </div>
</div>
<button type="button" class="btn btn-primary hidden" data-toggle="modal"
   data-target="#confirmPassword"
   id="openConfirmModal">
Launch demo modal
</button>
<!-- Modal -->
<div class="modal fade" id="confirmPassword" tabindex="-1" role="dialog"
   aria-labelledby="confirmPasswordLabel"
   aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title" id="confirmPasswordLabel"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <div class="form-group">
               <label>
               الرقم السري
               </label>
               <input type="password" class="form-control" id="user_password">
               <span class="text-danger hidden" id="alert_password">
               من فضلك أدخل الرقم السري
               </span>
               <input class="hidden" value="" id="target_process">
            </div>
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">
            اغلاق
            </button>
            <button type="button" class="btn btn-primary" id="confirm_process">
            تأكيد
            </button>
         </div>
      </div>
   </div>
</div>
@endsection
@section('js-scripts')
@include('settings::layouts.js')
<script>
   var reset_account_label = 'تأكيد تصفير الحساب';
   var delete_account_label = 'تأكيد مسح الحساب';
   
   $(function () {
       hidePreviewCont();
       $('#user_password').val('');
   });
   
   var sent_url = new URL("{{ route("invoices.print", ['invoice' => 0]) }}");
   
   $('#bill_size').on('change', function () {
       var target = $(this).val();
       sent_url.searchParams.append('target', target);
       sent_url.searchParams.append('preview', 1);
   
       $('#printing_iframe').attr('src', sent_url);
       $('#preview_printing').trigger('click');
   });
   
   $("#previewBillPrintingModal").on("hidden.bs.modal", function () {
       $('#printing_iframe').attr('src', ' ');
       hidePreviewCont();
   });
   
   function hidePreviewCont() {
       $('#preview_cont').css('display', 'none');
       $('#loading_preview').css('display', 'block');
   }
   
   function showPreviewCont() {
       $('#preview_cont').css('display', 'block');
       $('#loading_preview').css('display', 'none');
   }
   
   $('#printing_iframe').on('load', function () {
       showPreviewCont();
   });
   
   function delete_account() {
       $('#confirmPasswordLabel').text(delete_account_label);
       confirm_password('delete_form');
   }
   
   function reset_account() {
       $('#confirmPasswordLabel').text(reset_account_label);
       confirm_password('reset_form');
   }
   
   function confirm_password(target_form) {
       $('#target_process').val(target_form);
       $('#openConfirmModal').trigger('click');
   }
   
   $('#confirm_process').on('click', function (e) {
       if (($('#user_password').val()).length > 0) {
           $('.password').val($('#user_password').val());
           $('#' + $('#target_process').val()).submit();
       } else {
           $('#alert_password').removeClass('hidden');
       }
   });
   
   $("#confirmPassword").on("hidden.bs.modal", function () {
       $('#user_password').val('');
   });
   
   function toggleEnableClientSalesOnSelectClientClick(){
       let value = $('[name="select_client"]:checked').val();
       if(+value){
           $('[name="enable_client_sales"]').removeAttr('disabled')
       } else {
           $('[type="radio"][name="enable_client_sales"]').prop("disabled", true).removeAttr('checked')
           $('[type="radio"][name="enable_client_sales"][value="0"]').prop('checked', true)
       }
   }
   
   $('[name="select_client"]').on('click', toggleEnableClientSalesOnSelectClientClick)
   toggleEnableClientSalesOnSelectClientClick();
   
</script>
@stop