<div class="tab-pane" id="bills">
    <hr>

    @if (get_session_val('apply_vats', 'integer'))

        <div class="row">
            <div class="col-md-6">
                <div class="d-flex">
                    <p  class="font marg w-50"> {{ trans('settings.einvoice') }} </p>

                    <div class="switch-field  w-100 h-75 ">
                        @if ($badrshop->getCountry->name_en == 'Egypt')
                            <input type="radio" id="radio-fr3" name="einvoice" value="1"
                                @if ($badrshop->einvoice == 1)checked @endif/>
                            <label for="radio-fr3"> {{ trans('settings.yes') }}</label>
                            <input type="radio" id="radio-fr4" name="einvoice" value="0"
                                @if ($badrshop->einvoice == 0)checked @endif />
                            <label for="radio-fr4"> {{ trans('settings.no') }}</label>
                        @else
                            <input type="hidden" name="einvoice" value="0" checked />
                            <small class="text-info font-weight-bold font-italic">
                                الفاتورة الالكترونية قريبا في
                                {{ $badrshop->getCountry->name_ar }}
                            </small>
                        @endif
                    </div>
                </div>
            </div>
            @if ($badrshop->einvoice == 1 && $badrshop->getCountry->name_en == 'Egypt')
                <div class="col-md-6">
                    <div class="d-flex">
                        <p
                           class="font marg w-50"> {{trans('settings.submit_einvoice')}} </p>
                        <div class="switch-field  ">
                            <input type="radio" id="radio-fr5" name="submit_einvoice"
                                   value="1"
                                   @if ($badrshop->submit_einvoice == 1)checked @endif/>
                            <label for="radio-fr5">{{trans('settings.manual')}}</label>
                            <input type="radio" id="radio-fr6" name="submit_einvoice"
                                   value="0"
                                   @if ($badrshop->submit_einvoice == 0)checked @endif/>
                            <label for="radio-fr6">{{trans('settings.auto')}}</label>

                        </div>
                    </div>
                </div>
            @endif

        </div>
        <hr>

    @endif

    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p  class="font marg w-50"> {{ trans('settings.pending_bills') }} </p>
                <div class="switch-field  w-50 h-75 ">
                    <input type="radio" id="radio-fr3" name="pending_bills" value="1"
                           @if ($badrshop->pending_bills == 1)checked @endif/>
                    <label for="radio-fr3"> {{ trans('settings.yes') }}</label>
                    <input type="radio" id="radio-fr4" name="pending_bills" value="0"
                           @if ($badrshop->pending_bills == 0)checked @endif />
                    <label for="radio-fr4"> {{ trans('settings.no') }}</label>

                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="d-flex">
                <p  class="font marg w-50"> {{ trans('settings.apply_vats') }} </p>
                <div class="switch-field  w-50 h-75 ">
                    <input type="radio" id="radio-fr3" name="apply_vats" value="1"
                            @if ($badrshop->apply_vats == 1)checked @endif/>
                    <label for="radio-fr3"> {{ trans('settings.yes') }}</label>
                    <input type="radio" id="radio-fr4" name="apply_vats" value="0"
                            @if ($badrshop->apply_vats == 0)checked @endif />
                    <label for="radio-fr4"> {{ trans('settings.no') }}</label>

                </div>
            </div>
        </div>

        @if ($badrshop->apply_vats)
            <div class="col-md-6">
                <div class="d-flex">
                    <p  class="font marg w-50"> @lang('settings.use_parts_cash_proforma_invoice') </p>
                    <div class="switch-field  w-50 h-75 ">
                        <input type="radio" id="use_parts_cash_proforma_invoice_yes" name="use_parts_cash_proforma_invoice" value="1"
                                @if ($badrshop->use_parts_cash_proforma_invoice == 1)checked @endif/>
                        <label for="use_parts_cash_proforma_invoice_yes"> {{ trans('settings.yes') }}</label>
                        <input type="radio" id="use_parts_cash_proforma_invoice_no" name="use_parts_cash_proforma_invoice" value="0"
                                @if ($badrshop->use_parts_cash_proforma_invoice == 0)checked @endif />
                        <label for="use_parts_cash_proforma_invoice_no"> {{ trans('settings.no') }}</label>

                    </div>
                </div>
            </div>
        @endif
    </div>
    <hr>

    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p  class="font marg w-50"> {{trans('settings.bills_sequance')}} </p>
                <div class="switch-field  w-50">
                    <select name="billno_show" id="billno_show" class="form-control w-100">
                        <option value="0"
                                @if ($badrshop->billno_show == 0)selected @endif>{{ trans('settings.auto') }}</option>
                        <option value="1"
                                @if ($badrshop->billno_show == 1)selected @endif>{{ trans('settings.manual') }}</option>
                        <option value="2"
                                @if ($badrshop->billno_show == 2)selected @endif>{{ trans('settings.daily') }}</option>
                        <option value="3"
                                @if ($badrshop->billno_show == 3)selected @endif>{{ trans('settings.monthly') }}</option>
                        <option value="4"
                                @if ($badrshop->billno_show == 4)selected @endif>{{ trans('settings.yearly') }}</option>

                    </select>
                </div>
            </div>
        </div>
    </div>
    <hr>

    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p
                   class="font marg w-50"> {{trans('settings.print_bill_shape')}} </p>
                <div class="switch-field  w-50">
                    <select name="bill_size" id="bill_size" class="form-control w-100">
                        @include('settings::partials.invoices_print_temps', ['bill_size' => $badrshop->bill_size])
                    </select>
                </div>
            </div>
        </div>

        <div class="col-md-6">
            <div class="d-flex">
                <p  class="font marg w-75"> {{ trans('native.auto_print') }} </p>
                <div class="switch-field  w-50 h-75 ">
                    <input type="radio" id="radio-fr3" name="auto_print" value="1"
                           @if ($badrshop->auto_print == 1)checked @endif/>
                    <label for="radio-fr3"> {{ trans('settings.yes') }}</label>
                    <input type="radio" id="radio-fr4" name="auto_print" value="0"
                           @if ($badrshop->auto_print == 0)checked @endif />
                    <label for="radio-fr4"> {{ trans('settings.no') }}</label>

                </div>
            </div>
        </div>
    </div>
    <hr>

    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p
                   class="font marg w-50"> {{ trans('settings.invoice_default_payment_type') }} </p>
                <div class="switch-field  w-50 h-75 ">
                    <input type="radio" id="radio-fr3" name="invoice_default_payment_type"
                           value="1"
                           @if ($badrshop->invoice_default_payment_type == 1)checked @endif/>
                    <label for="radio-fr3"> {{ trans('orders.cash') }}</label>
                    <input type="radio" id="radio-fr4" name="invoice_default_payment_type"
                           value="0"
                           @if ($badrshop->invoice_default_payment_type == 0)checked @endif />
                    <label for="radio-fr4"> {{ trans('orders.later') }}</label>

                </div>
            </div>
        </div>

    </div>
    <hr>

    <div class="row">
        <div class="col-md-7">
            <div class="d-flex">
                <p
                   class="font marg w-50"> {{ trans('settings.screen-type') }} </p>
                <div class="switch-field  w-75 h-75 mr-3">
                    <input type="radio" id="radio-fr4" name="screen_type" value="0"
                           @if ($badrshop->screen_type == 0)checked @endif />
                    <label for="radio-fr4"> {{ trans('settings.complete_screen') }}</label>
                    <input type="radio" class="mr-4" id="radio-fr3" name="screen_type"
                           value="1" @if ($badrshop->screen_type == 1)checked @endif/>
                    <label for="radio-fr3"> {{ trans('settings.press_screen') }}</label>
                </div>
            </div>
        </div>
    </div>
    <hr>


    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p
                   class="font marg w-50"> {{ trans('settings.show_input_keys') }} </p>
                <div class="switch-field  w-50 h-75 ">
                    <input type="radio" id="radio-fr3" name="show_input_keys" value="1"
                           @if ($badrshop->show_input_keys == 1)checked @endif/>
                    <label for="radio-fr3"> {{  trans('settings.yes') }}</label>
                    <input type="radio" id="radio-fr4" name="show_input_keys" value="0"
                           @if ($badrshop->show_input_keys == 0)checked @endif />
                    <label for="radio-fr4"> {{  trans('settings.no') }}</label>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="d-flex">
                <p
                   class="font marg w-50"> {{ trans('settings.printing_shop_info_src') }} </p>
                <div class="switch-field  w-50 h-75 ">
                    <input type="radio" id="radio-fr3" name="printing_shop_info_src"
                           value="0"
                           @if ($badrshop->printing_shop_info_src == 0)checked @endif/>
                    <label for="radio-fr3"> {{  trans('settings.default') }}</label>
                    <input type="radio" id="radio-fr4" name="printing_shop_info_src"
                           class="mx-1" value="1"
                           @if ($badrshop->printing_shop_info_src == 1)checked @endif />
                    <label
                        for="radio-fr4"> {{  trans('settings.depends_on_store') }}</label>
                </div>
            </div>
        </div>

    </div>

    <hr>
    <div class="form-group small text-muted">
        @lang('settings.save_warning')
    </div>
    <button type="submit" class="btn btn-primary w-25">{{trans('settings.save')}}</button>
</div>
