<?php

namespace Modules\SpendsAndIncoms\Entities;

use Illuminate\Database\Eloquent\Model;

class IncomeItem extends Model
{
    protected $table='imports_item';
    public $timestamps = false;
    protected $fillable = ['name', 'shop_id'];

    public function income(){
        return $this->belongsTo(Income::class ,'import_id','id');
    }

    public function users() {
        return $this->belongsToMany(User::class, 'import_user', 'user_id', 'import_item_id')->select('users.id', 'users.user_name');
    }

}
