@extends('master::layouts.master')
@section('css-scripts')
<link href="{{ url('css/master/manifact-style.css') }}" rel="stylesheet">
@endsection
@section('content')

<h5 class="font-weight-bold p-2 text-center text-info">
   عمليات التصنيع
</h5>
<!-- start in main-processes content -->
<form class="custome-form">
   <div class="card card-success mb-1_5 pt-1_5 pb-2 rounded">
      <div class="container">
         <div class="form-group row">
            <label
               for="supplier_id"
               class="col-sm-2 col-4 col-form-label pb-2"
               >
            من
            </label>
            <div class="col-sm-4 col-8">
               <input
                  type="text"
                  id="filterDate"
                  class="form-control input-sm input-light"
                  />
               <span>
               <i class="fa fa-calendar-alt calendar-icon mt-1"></i>
               </span>
            </div>
            <label
               for="supplier_id"
               class="col-sm-2 col-4 col-form-label pb-2"
               >
            إلى
            </label>
            <div class="col-sm-4 col-8">
               <input
                  type="text"
                  id="tofilterDate"
                  class="form-control input-sm input-light"
                  />
               <span>
               <i class="fa fa-calendar-alt calendar-icon mt-1"></i>
               </span>
            </div>
         </div>
         <div class="form-group row">
            <label
               for="supplier_id"
               class="col-sm-2 col-4 col-form-label pb-2"
               >
            رقم العمليه
            </label>
            <div class="col-sm-4 col-8">
               <select
                  name="supplier_id"
                  id="supplier_id"
                  data-live-search="true"
                  class="form-control input-sm input-light select2 padding-select selectpicker"
                  >
                  <option value="">-- اختار --</option>
                  <option value="1"> 102</option>
                  <option value="2">402 </option>
               </select>
            </div>
            <label
               for="supplier_id"
               class="col-sm-2 col-4 col-form-label pb-2"
               >
            اسم العامل
            </label>
            <div class="col-sm-3 col-8">
               <select
                  name="supplier_id"
                  id="supplier_id"
                  data-live-search="true"
                  class="form-control input-sm input-light select2 padding-select selectpicker"
                  >
                  <option value="">-- اختار --</option>
                  <option value="1">محمود محمد</option>
                  <option value="2">على السيد</option>
               </select>
            </div>
            <div class="col-sm-1">
               <button
                  type="submit"
                  class="text-center button-success w-60-per add-percent"
                  >
               <i class="fa fa-search"> </i>
               </button>
            </div>
         </div>
      </div>
   </div>
</form>
<!-- End card -->
<!-- table list -->
<div clas="col-md-12">
   <div class="tabl-list-part">
      <div class="table-responsive">
         <table class="zui-table zui-table-rounded">
            <thead>
               <tr>
                  <th scope="col">رقم العملية </th>
                  <th scope="col">تاريخ بدء العمليه</th>
                  <th scope="col">تاريخ انتهاء العملية </th>
                  <th scope="col">حالة العملية</th>
                  <th scope="col">الموديل</th>
                  <th scope="col">اللون </th>
                  <th scope="col">الماكينة</th>
                  <th scope="col">الوزن</th>
                  <th scope="col">العامل</th>
                  <th scope="col">اضافة خام</th>
                  <th scope="col">اضافة عامل</th>
               </tr>
            </thead>
            <tbody class="section">
               <tr>
                  <td> 14</td>
                  <td>3/5/2022</td>
                  <td>3/6/2022</td>
                  <td>مستمرة</td>
                  <td>1240</td>
                  <td>ازرق</td>
                  <td>asvf</td>
                  <td>120 جرام</td>
                  <td>محمد على</td>
                  <td>     <a
                     href="#"
                     data-toggle="modal"
                     data-target="#exampleModal"
                     class="delete bg-danger pt-1 pb-1 pr-2 pl-2 font-weight-light rounded text-white"
                     >
                     <i
                        class="fa fa-plus"
                        aria-hidden="true"
                        ></i>
                     </a>
                  </td>
                  <td>     <a
                     href="#"
                     data-toggle="modal"
                     data-target="#exampleModal2"
                     class="delete bg-danger pt-1 pb-1 pr-2 pl-2 font-weight-light rounded text-white"
                     >
                     <i
                        class="fa fa-plus"
                        aria-hidden="true"
                        ></i>
                     </a>
                  </td>
               </tr>
            </tbody>
         </table>
      </div>
   </div>
</div>
<!-- edit modal -->
<div
   class="modal fade"
   id="exampleModal"
   tabindex="-1"
   role="dialog"
   aria-labelledby="exampleModalLabel"
   aria-hidden="true"
   >
    <div class="modal-dialog" role="document">
      <div class="modal-content">
      <div class="modal-header text-center">
         <h5
            class="modal-title text-center text-info"
            id="exampleModalLabel"
            >
            اضافه مواد خام            
         </h5>
         <button
            type="button"
            class="close"
            data-dismiss="modal"
            aria-label="Close"
            >
         <span aria-hidden="true">&times;</span>
         </button>
      </div>
      <div class="modal-body tabl-list-part">
         <form class="custome-form">
            <div class="container">
               <div class="form-group row">
                  <label
                     for="supplier_id"
                     class="col-sm-4 col-4 col-form-label"
                     >
                  نوع الخام  (صنف )
                  </label>
                  <div class="col-sm-8 col-8">
                     <select name="supplier_id" id="supplier_id" data-live-search="true"
                        class="form-control input-sm input-normal select2 padding-select selectpicker">
                        <option value=""> -- اختار  -- </option>
                        <option value="1">  1524242 </option>
                        <option value="2"> 4542525  </option>
                     </select>
                  </div>
               </div>
               <div class="form-group row">
                  <label
                     for="supplier_id"
                     class="col-sm-4 col-4 col-form-label"
                     >
                  الوزن 
                  </label>
                  <div class="col-sm-8 col-8">
                     <input type="number"  class="form-control input-sm input-normal" min="1" >
                  </div>
               </div>
         </form>
         </div>
         <div class="modal-footer">
            <button
               type="button"
               class="btn btn-secondary"
               data-dismiss="modal"
               >
            رجوع
            </button>
            <button type="button" class="btn btn-success">اضافه </button>
         </div>
      </div>
   </div>
</div>
</div>




<div
   class="modal fade"
   id="exampleModal2"
   tabindex="-1"
   role="dialog"
   aria-labelledby="exampleModalLabel"
   aria-hidden="true"
   >
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header text-center text-info">
            <h5 class="modal-title text-center" id="exampleModalLabel">
            اضافه عامل              
            </h5>
            <button
               type="button"
               class="close"
               data-dismiss="modal"
               aria-label="Close"
               >
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body tabl-list-part">
         <form class="custome-form">
            <div class="container">
         <div class="form-group row">
                           <label
                              for="supplier_id"
                              class="col-4 col-form-label pb-2"
                              >
                           اسم العامل                     </label>
                           <div class="col-8">
                              <select name="supplier_id" id="supplier_id" data-live-search="true"
                                 class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار  -- </option>
                                 <option value="1">  محمد على السيد </option>
                                 <option value="2"> السيد على على  </option>
                              </select>
                           </div>
                        </div>
                        <div class="form-group row">
                           <label
                              for="supplier_id"
                              class="col-4 col-form-label pb-2"
                              >
                           الوردية                      </label>
                           <div class="col-8">
                              <select name="supplier_id" id="supplier_id" data-live-search="true"
                                 class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار  -- </option>
                                 <option value="1">  صباحية   </option>
                                 <option value="2"> مسائية    </option>
                              </select>
                           </div>
                        </div>
</div>
</div>


         <div class="modal-footer">
            <button
               type="button"
               class="btn btn-secondary"
               data-dismiss="modal"
               >
            رجوع
            </button>
            <button type="button" class="btn button-danger">اضافه</button>
         </div>
      </div>
   </div>
</div>
@stop