@extends('master::layouts.master')
@section('css-scripts')
<link href="{{ url('css/master/manifact-style.css') }}" rel="stylesheet">

@endsection
@section('content')
<div class="container">
<div class="row">
   <div class="col-md-12">
      <div class="machine-part">
         <h4 class="font-weight-bold p-2 text-center text-info">
            انتاج الماكينات
         </h4>
         <!-- start in main-processes content -->
         <div clas="col-md-12">
            <div class="tabl-list-part manifat-part">
               <div class="card card-success p-3 rounded">
                  <form class="custome-form">
                     <div class="container">
                        <div class="form-group row">
                           <label
                              for="supplier_id"
                              class="col-sm-2 col-4 col-form-label pb-2"
                              >
                           التاريخ
                           </label>
                           <div class="col-sm-4 col-8">
                              <input type="text" id="invoice_date"
                                 class="form-control input-sm input-normal date is-datepicker">
                              <span>
                              <i class="fa fa-calendar-alt calendar-icon mt-1"></i>
                              </span>
                           </div>
                           <label
                              for="supplier_id"
                              class="col-sm-2 col-4 col-form-label pb-2"
                              >
                           العدد
                           </label>
                           <div class="col-sm-4 col-8">
                              <select name="supplier_id" id="supplier_id" data-live-search="true"
                                 class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار  -- </option>
                                 <option value="1"> دستة  </option>
                                 <option value="2"> 2دسته  </option>
                              </select>
                           </div>
                        </div>
                        <div class="form-group row">
                           <label
                              for="supplier_id"
                              class="col-sm-2 col-4 col-form-label pb-2"
                              >
                           الفرز  (صنف )
                           </label>
                           <div class="col-sm-4 col-8">
                              <select name="supplier_id" id="supplier_id" data-live-search="true"
                                 class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار  -- </option>
                                 <option value="1">  فرز اول  </option>
                                 <option value="2"> فرز تانى  </option>
                              </select>
                           </div>
                           <label
                              for="supplier_id"
                              class="col-sm-2 col-4 col-form-label pb-2"
                              >
                           اللون
                           </label>
                           <div class="col-sm-4 col-8">
{{--                              <input type="color"  class="form-control input-sm input-normal" id="favcolor" name="favcolor" value="#ff0000">--}}


                               <select name="color_id" id="color_id" data-live-search="true"
                                       class="form-control input-sm input-normal select2 padding-select selectpicker">
                                   <option value=""> -- اختار  -- </option>
                                   <option value="1">  أحمر </option>
                                   <option value="2">  اسود </option>
                                   <option value="2">  كحلي </option>
                                   <option value="2">  بيج </option>
                               </select>

                           </div>
                        </div>
                        <div class="form-group row">
                           <label
                              for="supplier_id"
                              class="col-sm-2 col-4 col-form-label pb-2"
                              >
                           رقم العمليه                     </label>
                           <div class="col-sm-4 col-8">
                              <select name="supplier_id" id="supplier_id" data-live-search="true"
                                 class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار  -- </option>
                                 <option value="1">  عملية 1   </option>
                                 <option value="2"> عملية 2    </option>
                              </select>
                           </div>
                           <label
                              for="supplier_id"
                              class="col-sm-2 col-4 col-form-label pb-2"
                              >
                           الوردية                      </label>
                           <div class="col-sm-4 col-8">
                              <select name="supplier_id" id="supplier_id" data-live-search="true"
                                 class="form-control input-sm input-normal select2 padding-select selectpicker">
                                 <option value=""> -- اختار  -- </option>
                                 <option value="1">  صباحية   </option>
                                 <option value="2"> مسائية    </option>
                              </select>
                           </div>
                        </div>
                        <div class="form-group row justify-content-center mt-5">
                           <div class="col-sm-2">
                              <button
                                 type="submit"
                                 class="text-center button-success w-60-per add-percent"
                                 >
                              حفظ
                              </button>
                           </div>
                        </div>
                     </div>
               </div>
               <div>
               </form>
               </div>
            </div>
            <!-- End card -->
         </div>


                <!-- table list -->
                <div clas="col-md-12">
                <div class="tabl-list-part">
                  <h5 class="font-weight-bold  text-info">الانتاج   </h5>

              <form class="custome-form">
                  <div class="container">
                    <div class="form-group row">

                        <label
                          for="supplier_id"
                          class=" col-2 col-form-label pb-2"
                        >
                           رقم العمليه
                        </label>
                        <div class="col-4">
                        <input
                            type="number"
                            class="form-control input-sm input-normal"
                            id="invoice_supplier_id" min="1"
                            name=""
                          />
                        </div>



                      <div class="col-sm-1">
                        <div class="buttons mt-0">
                          <button
                            type="submit"
                            class="text-center button-success w-60-per add-percent "
                          >
                          <i class="fa fa-search"></i>

                          </button>
                        </div>
                      </div>
                  </div>
                </div>
              </form>
                  <div class="table-responsive mt-3">
                  <table class="zui-table zui-table-rounded">
                      <thead>
                        <tr>
                          <th scope="col">التاريخ</th>
                          <th scope="col">العدد</th>
                          <th scope="col">الفرز </th>
                          <th scope="col">اسم الموديل </th>

                          <th scope="col">اللون</th>
                          <th scope="col">الورديه </th>

                          <th scope="col">رقم العمليه</th>
                        </tr>
                      </thead>
                      <tbody class="section">
                        <tr>
                          <td> 10/5/2022</td>
                          <td>300</td>
                          <td>فرز اول</td>

                          <td>ماكينه </td>
                          <td>#0fff</td>
                          <td>صباحى</td>
                          <td>1000</td>
                        </tr>

                      </tbody>
                      <tfoot>
                        <tr>
                          <td>اجمالى عدد الدستات</td>
                          <td colspan="6">
                            <input
                              type="text"
                              class="form-control text-center font-weight-bold input-light w-35 "
                              name=""
                              value="1200"
                            />
                          </td>
                        </tr>
                      </tfoot>
                    </table>
                  </div>
                </div>
              </div>
      </div>
   </div>
</div>
@stop
