<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group([
    'middleware' => ['web', 'auth'],
    'prefix' => 'stagemaintenance',
],function() {
    Route::get('/', 'StageMaintenanceController@index');

    Route::resource('shifts', 'ShiftController');
    Route::resource('machine', 'MachineController');
    Route::resource('workers', 'WorkerController');

    Route::resource('manufacturing', 'ManufacturingController');

    Route::resource('mortal', 'MortalController');
    Route::resource('production', 'ProductionController');

    Route::resource('finishing', 'FinishingController');


    Route::resource('finishing-stages', 'FinishingStagesController');

    Route::resource('manufacturingReport', 'ManufacturingReportController');

    Route::resource('MortalReport', 'MortalReportController');

    Route::resource('workersReport', 'WorkersReportController');

    Route::resource('productionReport', 'ProductionReportController');

});
