<?php

namespace Modules\StageMaintenance\Transformers;

use Illuminate\Http\Resources\Json\JsonResource;

class FinishingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'is_enabled' => $this->is_enabled,
            'order' => $this->order,
            'previous_finishing' => $this->previous_finishing,
        ];
    }
}
