<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => 'statisticalreports', 'as' => 'statisticalreports', 'middleware'=> ['web','auth', 'accessingReports'] ], function() {
    Route::get('/expire_soon', 'StatisticalReportsController@expireSoon');
    Route::get('/cashReceiptReport', 'ReceiptsController@cashReceiptsReport')->name('.cashReceiptReport');
    Route::get('/paymentReceiptReport', 'ReceiptsController@paymentReceiptsReport')->name('.paymentReceiptReport');
    Route::get('/clientsIndebtednessReport', 'StatisticalReportsController@clientsIndebtednessReport')->name('.clientsIndebtednessReport');
});
