<?php

namespace Modules\Store\Entities;

use Illuminate\Database\Eloquent\Model;

class ItemTransaction extends Model
{
    protected $table = 'items_transaction';
    public $timestamps = false;
    protected $fillable = [];

    public function getItemName()
    {
        return Item::find($this->item_id)->item_name ?? '---';
    }

    public function getVatState(){
        return Item::find($this->item_id)->vat_state ?? 0;
    }

    public function getVatAmount(){
        $bill_add =  BillAdd::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where(function($q){
                $q->where('add_role', 0);
                $q->orWhere('add_role', 2);
            })->where('check_addition', 0)->first();

        if ($bill_add and $bill_add != null){
            return $bill_add->addition_value;
        }else {
            return 0;
        }
    }
}
