<?php

namespace Modules\Store\Entities;

use App\Models\User;
use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class StoreOrder extends Model
{
    use RoundingAttributesTrait;
    protected $table = 'store_order';
    public $timestamps = false;
    protected $guarded = ['id'];

    public function user()
    {
        return $this->belongsTo(User::class, 'add_user')->withDefault(['user_name' => '---']);
    }
}
