<?php

namespace Modules\User\Entities;

use Illuminate\Database\Eloquent\Model;

class ClientsGroups extends Model
{

	protected $table = 'clients_groups';
    protected $guarded = [];
    public $timestamps = false;
    public function scopeSelection($query)
    {
        return $query->select('id', 'name', 'group_discount', 'shop_id', 'add_user')->with('clients');
    }
    public function clients()
    {
        return $this->hasMany(Client::class, 'group_id', 'id');
    }
    public function users()
    {
        return $this->belongsToMany(Users::class,'users_groups','user_id');
    }
}
