<?php

namespace Modules\User\Entities;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\Clients\Entities\User as EntitiesUser;

class UserGroup extends Model
{
    public $timestamps = false;
    protected $guarded = [];
    protected $table = 'users_groups';
    public function users()
    {
        return $this->hasMany(EntitiesUser::class,'user_id','id');
    }
}
