<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script>
    $('.selectpicker').selectpicker()

    function getUserGoalsTable() {
        $.ajax({
            type: "GET",
            url: "{{ route('users.getUserGoalsTable') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            success: function (data) {
                $('#user_goals_table_body').html(data);
            }
        });
    }


    $('#editGoal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget)
        var id = button.data('id')
        let url = "{{ route('users.getDetails',':id') }}";
        url = url.replace(':id', id);
            // console.log(url);
        $.ajax({
            type: "GET",
            url: url,

            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: {
                user:id
            },
            success: function (response) {
                console.log(response);
                $('#edit_modal_body').html(response);
            }
        });
    })



    function editGoal() {
        $('button[type=submit], input[type=submit]').attr('disabled',true);
        let data = {
            user_id: $('#user_id').val(),
            goal: $('#user_goal').val(),
        }

        $.ajax({
            type: "PUT",
            url: "{{ route('users.goals.update') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: data,
            success: function (response) {
                window.location.href = "{{route('users.goals')}}"
                // console.log(response);
                // $('#editGoal').modal('hide');
                // getUserGoalsTable();
                // $('#alert_container').html(response);
            }
        });
    }

    function deleteGoal(id) {
        $('button[type=submit], input[type=submit]').attr('disabled',true);

        Swal.fire({
            title: '@lang('native.are_you_sure')',
            text: "@lang('native.cant_rollback_delete')",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: '@lang('native.delete')',
            cancelButtonText: '@lang('native.cancel')'
        }).then((result) => {
            if (result.isConfirmed) {
                $.ajax({
                    type: "put",
                    url: "{{ route('users.goals.destroy') }}",
                    data: {
                        user_id:id
                    },
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function (response) {
                        window.location.href = "{{route('users.goals')}}"
                        // console.log(response);
                        // getUserGoalsTable();
                        // $('#alert_container').html(response);
                    }
                });
            }
        })
    }


    $('#editGoal').on('hidden.bs.modal', function () {
        $('button[type="submit"]').attr('disabled', false);
    });
</script>
