<?php

namespace App\Scopes;
 
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;
 
class ShopIdScope implements Scope
{
    public function apply(Builder $builder, Model $model)
    {
        $builder->where('shop_id', get_session_val('serial_id', 'integer'));
    }
}

?>