<?php
    namespace App\Services;
    use App\Services\Invoice;
    use Modules\Invoices\Http\Requests\NewInvoiceRequest;
    use App\Services\Updaters\InvoicePosClient;
    use App\Services\Updaters\InvoiceNegSafe;

    class PurchaseInvoice extends Invoice{
        protected $type = 0;

        public function __construct(NewInvoiceRequest $request)
        {
            parent::__construct($request);
            $this->client = new InvoicePosClient($request);
            $this->safe = new InvoiceNegSafe($request->cash_safe_point_id);
        }
    }
?>