<?php
    namespace App\Services;
    use App\Services\Invoice;
    use App\Services\Updaters\InvoicePosClient;
    use App\Services\Updaters\InvoicePosSafe;
    use Modules\Invoices\Http\Requests\NewInvoiceRequest;

    class SellOfferInvoice extends Invoice{
        protected $type = 23;

        public function __construct(NewInvoiceRequest $request)
        {
            parent::__construct($request);
            $this->client = new InvoicePosClient($request);
            $this->safe = new InvoicePosSafe((float) $request->cash_safe_point_id);
        }
    }
?>