<?php
    namespace App\Services\Updaters;

    class InvoiceStoreItemIncUpdater extends InvoiceStoreItemUpdater{
        public function update()
        {
            $this->setNewQty();
            $this->updateQty();
        }

        protected function setNewQty()
        {
            if ($this->item_unit_id == $this->invoice_detail->input_details[2]) 
            {
                $this->new_qty = floatVal($this->old_qty) + floatVal($this->invoice_detail->input_details[1]);
            } 
            else 
            {
                $this->new_qty = floatVal($this->invoice_detail->input_details[1]) * $this->getItemUnitValue() + floatVal($this->old_qty);
            }  
        }
   }
?>