<?php
    namespace App\Services\Updaters;

    class PurchaseInvoiceItemUpdater extends InvoiceItemUpdater{
        
        public function update($new_price)
        {
            $updatedArray= [
                'lowest_price' =>$this->invoice_detail->input_details[6],
                'client_id' => $this->request->client_id,
                'shop_id' => get_session_val('serial_id', 'Integer'),
                'edit_user' => auth()->user()->id,
                'edit_date' => date('Y-m-d H:i:s'),
                'expire_date' =>$this->invoice_detail->input_details[7],
                'pay_price' => $new_price
            ];

            if (get_session_val('pay_price_update', 'Integer') == 2){ ## متوسط 
                if ($this->request->av_pay && is_array($this->request->av_pay) && isset($this->request->av_pay[$this->key])){
                    $updatedArray['pay_price'] = $this->request->av_pay[$this->key];
                }   
            }

            // update unit sale price
            if (get_session_val('income_saleprice', 'Integer') == 1 ){
            
                if ($this->item->unit_id == $this->invoice_detail->input_details[2]){
                    $updatedArray['sale_price'] =$this->invoice_detail->input_details[5];
                }else {
                    if (! is_null($this->item_unit)){
                        $this->item_unit->unit_price =$this->invoice_detail->input_details[5];
                        $this->item_unit->save();
                    }
                }
            }

            if (get_session_val('pay_price_update', 'Integer') == 2) {
                $updatedArray['pay_price'] = $this->item->pay_price;
            }

            $this->item->update($updatedArray);
        }
        
    }
?>