<?php
    namespace App\Services\Validators;

    class InvoiceValidate extends Validate{

        public function validate()
        {
            $details_validator = new InvoiceValidateDetails($this->request);
            $cash_safe_validator = new InvoiceValidateCashSafe($this->request);

            if (! $details_validator->validate())
            {
                $this->msg = $details_validator->msg;
                return false;
            }
            
            if (! $cash_safe_validator->validate())
            {
                $this->msg = $cash_safe_validator->msg;
                return false;
            }

            return true;
        }
    }
?>