<?php


function getSubCatOptionsWithSelected($cat_id, $sale_unit)
{
    $item = \Modules\Category\Entities\Category::find($cat_id);
    $subs = $item->subCategory();
    $options = '';
    if ($subs->count() > 0) {
        foreach ($subs as $sub) {
            if ($sub->id == $sale_unit) {
                $options .= '<option selected value="' . $sub->id . '" data-parent="' . $cat_id . '">' . $sub->name . '</option>';
            } else {
                $options .= '<option value="' . $sub->id . '" data-parent="' . $cat_id . '">' . $sub->name . '</option>';
            }
            $options .= getSubCatOptionsWithSelected($sub->id, $sale_unit);
        }
    }
    return $options;
}

function price_decimal($item)
{
    return round_money($item);
}

