<?php

return [
    ["code" => "2Z", "desc_en" => "Millivolt ( mV )", "desc_ar" => ""],
    ["code" => "4K", "desc_en" => "Milliampere ( mA )", "desc_ar" => ""],
    ["code" => "4O", "desc_en" => "Microfarad ( microF )", "desc_ar" => ""],
    ["code" => "A87", "desc_en" => "Gigaohm ( GOhm )", "desc_ar" => ""],
    [
        "code" => "A93",
        "desc_en" => "Gram/Cubic meter ( g/m3 )",
        "desc_ar" => "",
    ],
    [
        "code" => "A94",
        "desc_en" => "Gram/cubic centimeter ( g/cm3 )",
        "desc_ar" => "",
    ],
    ["code" => "AMP", "desc_en" => "Ampere ( A )", "desc_ar" => ""],
    ["code" => "ANN", "desc_en" => "Years ( yr )", "desc_ar" => ""],
    ["code" => "B22", "desc_en" => "Kiloampere ( kA )", "desc_ar" => ""],
    ["code" => "B49", "desc_en" => "Kiloohm ( kOhm )", "desc_ar" => ""],
    ["code" => "B75", "desc_en" => "Megohm ( MOhm )", "desc_ar" => ""],
    ["code" => "B78", "desc_en" => "Megavolt ( MV )", "desc_ar" => ""],
    ["code" => "B84", "desc_en" => "Microampere ( microA )", "desc_ar" => ""],
    ["code" => "BAR", "desc_en" => "bar ( bar )", "desc_ar" => ""],
    [
        "code" => "BBL",
        "desc_en" => "Barrel (oil 42 gal.)",
        "desc_ar" => "برميل",
    ],
    ["code" => "BG", "desc_en" => "Bag ( Bag )", "desc_ar" => ""],
    ["code" => "BO", "desc_en" => "Bottle ( Bt. )", "desc_ar" => ""],
    ["code" => "BOX", "desc_en" => "Box", "desc_ar" => "صندوق"],
    ["code" => "C10", "desc_en" => "Millifarad ( mF )", "desc_ar" => ""],
    ["code" => "C39", "desc_en" => "Nanoampere ( nA )", "desc_ar" => ""],
    ["code" => "C41", "desc_en" => "Nanofarad ( nF )", "desc_ar" => ""],
    ["code" => "C45", "desc_en" => "Nanometer ( nm )", "desc_ar" => ""],
    ["code" => "C62", "desc_en" => "Activity unit ( AU )", "desc_ar" => ""],
    ["code" => "CA", "desc_en" => "Canister ( Can )", "desc_ar" => ""],
    [
        "code" => "CMK",
        "desc_en" => "Square centimeter ( cm2 )",
        "desc_ar" => "",
    ],
    ["code" => "CMQ", "desc_en" => "Cubic centimeter ( cm3 )", "desc_ar" => ""],
    ["code" => "CMT", "desc_en" => "Centimeter ( cm )", "desc_ar" => ""],
    ["code" => "CS", "desc_en" => "Case ( Case )", "desc_ar" => ""],
    ["code" => "CT", "desc_en" => "Carton ( Car )", "desc_ar" => ""],
    ["code" => "CTL", "desc_en" => "Centiliter ( Cl )", "desc_ar" => ""],
    [
        "code" => "D10",
        "desc_en" => "Siemens per meter ( S/m )",
        "desc_ar" => "",
    ],
    ["code" => "D33", "desc_en" => "Tesla ( D )", "desc_ar" => ""],
    ["code" => "D41", "desc_en" => "Ton/Cubic meter ( t/m3 )", "desc_ar" => ""],
    ["code" => "DAY", "desc_en" => "Days ( d )", "desc_ar" => ""],
    ["code" => "DMT", "desc_en" => "Decimeter ( dm )", "desc_ar" => ""],
    ["code" => "DRM", "desc_en" => "DRUM", "desc_ar" => "أسطوانة"],
    ["code" => "EA", "desc_en" => "each (ST) ( ST )", "desc_ar" => ""],
    ["code" => "FAR", "desc_en" => "Farad ( F )", "desc_ar" => ""],
    ["code" => "FOT", "desc_en" => "Foot ( Foot )", "desc_ar" => ""],
    ["code" => "FTK", "desc_en" => "Square foot ( ft2 )", "desc_ar" => ""],
    ["code" => "FTQ", "desc_en" => "Cubic foot ( ft3 )", "desc_ar" => ""],
    [
        "code" => "G42",
        "desc_en" => "Microsiemens per centimeter ( microS/cm )",
        "desc_ar" => "",
    ],
    ["code" => "GL", "desc_en" => "Gram/liter ( g/l )", "desc_ar" => ""],
    ["code" => "GLL", "desc_en" => "gallon ( gal )", "desc_ar" => ""],
    [
        "code" => "GM",
        "desc_en" => "Gram/square meter ( g/m2 )",
        "desc_ar" => "",
    ],
    [
        "code" => "GPT",
        "desc_en" => "Gallon per thousand",
        "desc_ar" => "جالون/الف",
    ],
    ["code" => "GRM", "desc_en" => "Gram ( g )", "desc_ar" => ""],
    [
        "code" => "H63",
        "desc_en" => "Milligram/Square centimeter ( mg/cm2 )",
        "desc_ar" => "",
    ],
    [
        "code" => "HHP",
        "desc_en" => "Hydraulic Horse Power",
        "desc_ar" => "قوة حصان هيدروليكي",
    ],
    ["code" => "HLT", "desc_en" => "Hectoliter ( hl )", "desc_ar" => ""],
    ["code" => "HTZ", "desc_en" => "Hertz (1/second) ( Hz )", "desc_ar" => ""],
    ["code" => "HUR", "desc_en" => "Hours ( hrs )", "desc_ar" => ""],
    ["code" => "IE", "desc_en" => "Number of Persons ( PRS )", "desc_ar" => ""],
    ["code" => "INH", "desc_en" => "Inch ( “” )", "desc_ar" => ""],
    ["code" => "INK", "desc_en" => "Square inch ( Inch2 )", "desc_ar" => ""],
    ["code" => "IVL", "desc_en" => "Interval", "desc_ar" => "فترة"],
    ["code" => "JOB", "desc_en" => "JOB", "desc_ar" => "وظيفة"],
    ["code" => "KGM", "desc_en" => "Kilogram ( KG )", "desc_ar" => ""],
    ["code" => "KHZ", "desc_en" => "Kilohertz ( kHz )", "desc_ar" => ""],
    ["code" => "KMH", "desc_en" => "Kilometer/hour ( km/h )", "desc_ar" => ""],
    ["code" => "KMK", "desc_en" => "Square kilometer ( km2 )", "desc_ar" => ""],
    [
        "code" => "KMQ",
        "desc_en" => "Kilogram/cubic meter ( kg/m3 )",
        "desc_ar" => "",
    ],
    ["code" => "KMT", "desc_en" => "Kilometer ( km )", "desc_ar" => ""],
    [
        "code" => "KSM",
        "desc_en" => "Kilogram/Square meter ( kg/m2 )",
        "desc_ar" => "",
    ],
    ["code" => "KVT", "desc_en" => "Kilovolt ( kV )", "desc_ar" => ""],
    ["code" => "KWT", "desc_en" => "Kilowatt ( KW )", "desc_ar" => ""],
    ["code" => "LB", "desc_en" => "pounds ", "desc_ar" => "رطل"],
    ["code" => "LTR", "desc_en" => "Liter ( l )", "desc_ar" => ""],
    ["code" => "LVL", "desc_en" => "Level", "desc_ar" => "مستوي"],
    ["code" => "M", "desc_en" => "Meter ( m )", "desc_ar" => ""],
    ["code" => "MAN", "desc_en" => "Man", "desc_ar" => "رجل"],
    ["code" => "MAW", "desc_en" => "Megawatt ( VA )", "desc_ar" => ""],
    ["code" => "MGM", "desc_en" => "Milligram ( mg )", "desc_ar" => ""],
    ["code" => "MHZ", "desc_en" => "Megahertz ( MHz )", "desc_ar" => ""],
    ["code" => "MIN", "desc_en" => "Minute ( min )", "desc_ar" => ""],
    [
        "code" => "MMK",
        "desc_en" => "Square millimeter ( mm2 )",
        "desc_ar" => "",
    ],
    ["code" => "MMQ", "desc_en" => "Cubic millimeter ( mm3 )", "desc_ar" => ""],
    ["code" => "MMT", "desc_en" => "Millimeter ( mm )", "desc_ar" => ""],
    ["code" => "MON", "desc_en" => "Months ( Months )", "desc_ar" => ""],
    ["code" => "MTK", "desc_en" => "Square meter ( m2 )", "desc_ar" => ""],
    ["code" => "MTQ", "desc_en" => "Cubic meter ( m3 )", "desc_ar" => ""],
    ["code" => "OHM", "desc_en" => "Ohm ( Ohm )", "desc_ar" => ""],
    ["code" => "ONZ", "desc_en" => "Ounce ( oz )", "desc_ar" => ""],
    ["code" => "PAL", "desc_en" => "Pascal ( Pa )", "desc_ar" => ""],
    ["code" => "PF", "desc_en" => "Pallet ( PAL )", "desc_ar" => ""],
    ["code" => "PK", "desc_en" => "Pack ( PAK )", "desc_ar" => ""],
    ["code" => "PMP", "desc_en" => "pump", "desc_ar" => "مضخة"],
    ["code" => "RUN", "desc_en" => "run", "desc_ar" => "ركض"],
    ["code" => "SH", "desc_en" => "Shrink ( Shrink )", "desc_ar" => ""],
    ["code" => "SK", "desc_en" => "Sack", "desc_ar" => "كيس"],
    ["code" => "SMI", "desc_en" => "Mile ( mile )", "desc_ar" => ""],
    [
        "code" => "ST",
        "desc_en" => "Ton (short,2000 lb)",
        "desc_ar" => "طن (قصير,2000)",
    ],
    ["code" => "TNE", "desc_en" => "Tonne ( t )", "desc_ar" => ""],
    ["code" => "TON", "desc_en" => "Ton (metric)", "desc_ar" => "طن (متري)"],
    ["code" => "VLT", "desc_en" => "Volt ( V )", "desc_ar" => ""],
    ["code" => "WEE", "desc_en" => "Weeks ( Weeks )", "desc_ar" => ""],
    ["code" => "WTT", "desc_en" => "Watt ( W )", "desc_ar" => ""],
    ["code" => "X03", "desc_en" => "Meter/Hour ( m/h )", "desc_ar" => ""],
    ["code" => "YDQ", "desc_en" => "Cubic yard ( yd3 )", "desc_ar" => ""],
    ["code" => "YRD", "desc_en" => "Yards ( yd )", "desc_ar" => ""],
];
