<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateConvertMoneyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('convert_money', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('supplier_id');
            $table->integer('shop_id');
            $table->integer('order_no');
            $table->dateTime('date_convert');
            $table->decimal('total_money', 10);
            $table->integer('user_id');
            $table->timestamp('add_date')->useCurrentOnUpdate()->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('convert_money');
    }
}
