<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEinvoiceSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('einvoice_settings', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('shop_id');
            $table->string('company_name');
            $table->string('activity_id', 100);
            $table->string('branch_id', 100);
            $table->string('country_id', 100);
            $table->string('currency_id', 100);
            $table->string('registration_id', 100);
            $table->string('client_id', 200);
            $table->string('client_secret', 200);
            $table->string('thumbprint', 200);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('einvoice_settings');
    }
}
