<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateItemVatTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('item_vat', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('item_id');
            $table->integer('vat_id');
            $table->boolean('vat_use')->default(false)->comment('0 = both, 1 = sales, 2 = purchases');
            $table->integer('shop_id');
            $table->boolean('vat_type')->default(false)->comment('0 = increase, 1 = decrease');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('item_vat');
    }
}
