<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSpendingItemTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('spending_item', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('name', 50);
            $table->integer('linkitem')->default(0)->comment('0genearl 1percetage 2service3transport ');
            $table->integer('type')->nullable()->default(0)->comment('0 spend 1 import');
            $table->integer('shop_id');
            $table->integer('mobile_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('spending_item');
    }
}
