<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTypesCookingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('types_cooking', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('name', 50);
            $table->string('upload_img', 50);
            $table->decimal('price', 10, 4)->default(0);
            $table->integer('shop_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('types_cooking');
    }
}
