<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPermissionsToUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->tinyInteger('pay_by_installments')->default(0);
            $table->tinyInteger('show_debentures_cash_receipt')->default(0);
            $table->tinyInteger('show_debentures_payment_receipt')->default(0);
            $table->tinyInteger('edit_by_excel')->default(0);
            $table->tinyInteger('show_bad_balance')->default(0);
            $table->tinyInteger('show_stores')->default(0);
            $table->tinyInteger('show_employees')->default(0);
            $table->tinyInteger('show_maintenance')->default(0);
            $table->tinyInteger('show_manufacturing')->default(0);
            $table->tinyInteger('show_sales_offers')->default(0);
            $table->tinyInteger('add_sales_offers')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('badr_shop', function (Blueprint $table) {
            //
        });
    }
}
