<?php

return [
    "title"                    => "الفاتورة الإلكترونية",
    "clientID"                 => 'معرف العميل',
    "clientSecret"             => 'سر العميل',
    'all_einvoices'            => 'الفواتير',
    'typeName'                 => 'نوع المستند',
    'documentTypeName'         => 'اسم المستند',
    'issuerName'               => 'اسم البائع',
    'receiverName'             => 'اسم المستلم',
    'dateTimeIssued'           => 'تاريخ ووقت الإصدار',
    'dateTimeReceived'         => 'تاريخ ووقت الاستلام',
    'totalSales'               => 'إجمالي المبيعات',
    'totalDiscount'            => 'إجمالي الخصم',
    'netAmount'                => 'المبلغ الصافي',
    'total'                    => 'الإجمالي',
    'status'                   => 'حالة المستند',
    'einvoice_number'          => 'فاتورة رقم : :number',
    'Success'                  => 'نجاح',
    'Pending'                  => 'قيد الانتظار',
    'Error'                    => 'خطأ',
    'cancel'                   => 'إلغاء',
    'reject'                   => 'رفض',
    'Valid'                    => 'صحيحة',
    'Invalid'                  => 'غير صحيحة',
    'Rejected'                 => 'مرفوض',
    'Cancelled'                => 'ملغاه',
    'Submitted'                => 'تم الإرسال',
    'submit'                   => 'إرسال',
    'submit_success'           => 'تم إرسال الفاتورة بنجاح',
    'decline_cancel'           => 'رفض الإلغاء',
    'decline_reject'           => 'رفض الرفض',
    'enter_reason'             => 'أدخل السبب',
    'einvoice_id'              => 'رقم الفاتورة',
    'cancelRequestDate'        => 'تاريخ الإلغاء',
    'declineCancelRequestDate' => 'تاريخ رفض الإلغاء',
    'rejectRequestDate'        => 'تاريخ الرفض',
    'declineRejectRequestDate' => 'تاريخ رفض الرفض',
    'print'                    => 'طباعة',
    'issuer'                   => 'البائع',
    'receiver'                 => 'المستلم',
    'name'                     => 'الاسم',
    'type'                     => 'النوع',
    'branch_address'           => 'عنوان الفرع',
    'tax_activity_code'        => 'كود النشاط الضريبي',
    'tax_code'                 => 'الكود الضريبي',
    'national_id'              => 'الرقم القومي',
    'item_name'                => 'اسم الصنف',
    'item_code'                => 'كود الصنف',
    'item_description'         => 'وصف الصنف',
    'quantity'                 => 'الكمية',
    'unit'                     => 'الوحدة',
    'unit_price'               => 'سعر الوحدة',
    'discount'                 => 'الخصم',
    'total_price'              => 'السعر الكلي',
    'total_discount'           => 'إجمالي الخصم',
    'total_tax'                => 'إجمالي الضريبة',
    'total_net_price'          => 'إجمالي السعر الصافي',
    'total_sales'              => 'إجمالي المبيعات',
    'non_taxable_items_discount' => 'خصم الأصناف غير الخاضعة للضريبية',
    'extra_invoice_discount'   => 'خصم الفاتورة الإضافى',
    'total_amount'             => 'المبلغ الإجمالي',
    'invoice_totals'           => 'إجمالي الفاتورة',
    'invoice_id'               => 'رقم الفاتورة',
    'einvoice_id'              => 'رقم الفاتورة الضريبية',
    'sync_date'                => 'تاريخ المزامنة',
    'invoice_date'             => 'تاريخ الفاتورة',
    'invoice_search'           => 'اسم العميل أو رقم الفاتورة',
    'date_from'                => 'من',
    'date_to'                  => 'إلى',
    'search'                   => 'بحث',
    'client_name'              => 'اسم العميل',
    'invoice_details'          => 'تفاصيل الفاتورة',
    'supplier'                 => 'مورد',
    'client'                   => 'عميل',
    'invoice_link'             => 'الفاتورة عند الضرائب',
    'go_to_einvoice'           => 'الذهاب إلى الفاتورة الضريبية',
    'yes'                      => 'نعم',
    'no'                       => 'لا',
    'Approved'                 => 'موافق عليه',
    'Rejected'                 => 'مرفوض',
    'pending'                  => 'قيد الانتظار',
    'Submitted'                => 'تم الإرسال',
    'updated_successfully'     => 'تم تحديث البيانات بنجاح',
    'updated_failed'           => 'فشل تحديث البيانات',
    'deleted_successfully'     => 'تم حذف البيانات بنجاح',
    'deleted_failed'           => 'فشل حذف البيانات',
    'save_successfully'        => 'تم حفظ البيانات بنجاح',
    'save_failed'              => 'فشل حفظ البيانات',
    'send_successfully'        => 'تم إرسال البيانات بنجاح',
    'send_failed'              => 'فشل إرسال البيانات , حاول مرة أخرى',
    'sync'                     => 'مزامنة مع الضرائب',
    'select_cat_note'          => 'يرجى تحديد الحالة المراد البحث عنها اولاً.',
    'add_code'                 => 'إضافة كود',
    "null_einvoice"            => "لا يوجد فواتير ضريبية",
    "show_pdfFile"             => "عرض ملف الفاتورة",
    "download_pdfFile"         => "تحميل ملف الفاتورة",
    "settings"                 => "الإعدادات",
    "merchant_not_found"       => "لم يتم العثور على البائع",
    "buyer_not_found"          => "لم يتم العثور على المشتري",
    "branch_not_found"         => "لم يتم العثور على الفرع",
    "merchant_details_not_complete" => "تفاصيل التاجر غير مكتملة , يرجى استكمال التفاصيل الخاصة بالتاجر",
    "buyer_details_not_complete"    => "تفاصيل المشتري غير مكتملة , يرجى استكمال التفاصيل الخاصة بالمشتري",
    "einvoice_settings"        => "إعدادات الفاتورة الإلكترونية",
    'activity'                 => 'نشاط المؤسسة',
    'branch_code'              => 'كود الفرع',
    'invoice_note'             => 'ملاحظة: الكود موجود فى صفحة الضرائب الخاصة بكم.',
    'country'                  => 'الدولة',
    'currency'                 => 'العملة',
    'choose_activity'          => 'إختر نشاط المؤسسة',
    'choose_country'           => 'إختر الدولة',
    'choose_currency'          => 'إختر العملة',
    'company_name'             => 'إسم المؤسسة',
    'activity_id.required'     => 'كود النشاط مطلوب',
    'branch_id.required'       => 'كود الفرع مطلوب',
    'country_id.required'      => 'كود الدولة مطلوب',
    'currency_id.required'     => 'كود العملة مطلوب',
    'registration_id.required' => 'رقم التسجيل الضريبي مطلوب',
    'company_name.required'    => 'إسم الشركة مطلوب',
    'company_name.string'      => 'إسم الشركة يجب أن يكون حروف',
    'company_name.max'         => 'إسم الشركة يجب أن يكون أقل من 100 حرف',
    'registration_id'          => 'رقم التسجيل الضريبي',
    'invoice_details_is_empty' => 'تفاصيل الفاتورة فارغة',
    'error_in_update_invoice'  => 'حدث خطأ أثناء حفظ الفاتورة فى قواعد البيانات',
    'error_code_reuse'         => 'حدث خطأ أثناء حفظ الكود فى قواعد البيانات',
    'einvoice_added_successfully' => 'تم حفظ الفاتورة الإلكترونية بنجاح',
    "loading"                  => 'جاري الإرسال',
    "load_status"              => 'تحديث الحالة',
    "load_status_success"      => 'تم تحديث الحالة بنجاح',
    "load_status_failed"       => 'فشل تحديث الحالة',
    "all_status"               => 'كل الحالات',
    "wait_for_approval"        => 'في انتظار الموافقة',
    "no_vats"                  => 'لا يوجد ضرائب',
    "continue_sync"            => 'متابعة المزامنة',
    "payload_error"            => 'لا يمكن إرسال البيانات الا بعد :time دقائق',
    "invalid_bills"            => 'الفواتير :bills غير صالحة',
    "failedBills"              => 'الفاتورة رقم (:billNo) لم تتم مزامنتها للأسباب التالية : (:reason)',
    "notFoundBills"            => 'الفواتير ارقام (:notFoundBills) لم يتم العثور عليها',
    "rejectedBills"            => 'الفواتير ارقام :failedBillsNumbers رفضت للأسباب التالية :reasons, والفواتير ارقام :notFoundBills لم يتم العثور عليها',
    "sync_all"                 => 'مزامنة الكل',
    "some_documents_submitted_and_some_rejected" => 'تم إرسال بعض الفواتير وتم رفض بعضها, يرجى مراجعة الفواتير المرفوضة',
    'notifications'            => [
        'title'             => 'الإشعارات',
        'all'               => 'جميع الإشعارات',
        'null'              => 'لا يوجد إشعارات',
        'notificationId'    => 'رقم الإشعار',
        'finalMessage'      => 'رسالة الإشعار',
        'typeId'            => 'رقم النوع',
        'typeName'          => 'النوع',
        'attemptDateTime'   => 'تاريخ المحاولة',
        'eamil_address'     => 'البريد الإلكتروني',
        'receivedDateTime'  => 'تاريخ الاستلام',
        'deliveredDateTime' => 'تاريخ التسليم',
        'search'            => 'رقم الإشعار أو البريد الالكترونى او الرسالة',
        'type' => [
            'title'                 => 'النوع',
            'choose'                => 'اختر النوع',
            'delegationInvite'      => 'دعوة المندوب',
            'OTP'                   => 'رمز التحقق',
            'ProfileDataValidation' => 'التحقق من صحة البيانات الشخصية',
            'GenericNotification'   => 'إشعار عام',
            'ReceiveDownloadReady'  => 'تحميل مؤقت',
            'DocumentReceived'      => 'الوثيقة المستلمة',
            'DocumentValidated'     => 'الوثيقة المصادقة',
            'DocumentCancelled'     => 'الوثيقة الملغاة',
            'DocumentRejected'      => 'الوثيقة المرفوضة',
        ],
        'status' => [
            'title'     => 'الحالة',
            'choose'    => 'اختر الحالة',
            'pending'   => 'قيد الانتظار',
            'batched'   => 'مجموعة',
            'delivered' => 'تم التسليم',
            'error'     => 'خطأ',
        ],
        'channel' => [
            'title'  => 'القناة',
            'choose' => 'اختر القناة',
            'sms'    => 'الرسائل القصيرة',
            'email'  => 'البريد الإلكتروني',
            'push'   => 'الإرسال المباشر',
            'system' => 'النظام',
        ],
        'egscode' => [
            'title' => 'اكواد اصناف الضرائب',
        ]
    ],
    'itemcodes' => [
        'title'              => 'اكواد الضرائب للأصناف',
        'null'               => 'لا يوجد اكواد للأصناف',
        'edit'               => 'تعديل',
        'search'             => 'بحث في الأكواد',
        'codeUsageRequestID' => 'رقم طلب الاستخدام',
        'codeTypeName'       => 'نوع الكود',
        'codeID'             => 'رقم الكود',
        'itemCode'           => 'كود الصنف',
        'codeName'           => 'اسم الصنف',
        'description'        => 'وصف الصنف',
        'parentCodeAr'       => 'اسم التصنيف بالعربية',
        'parentCodeEn'       => 'اسم التصنيف بالإنجليزية',
        'parentCodeID'       => 'كود التصنيف',
        'parentItemCode'     => 'كود تصنيف الصنف',
        'parentCodeName'     => 'اسم التصنيف',
        'activeFrom'         => 'تاريخ التفعيل',
        'activeTo'           => 'تاريخ الإنتهاء',
        'active'             => 'مفعل',
        'NotActive'          => 'غير مفعل',
        'select_status'      => 'اختر الحالة',
        'select_active'      => 'اختر حالة التفعيل',
        'status'             => 'الحالة',
        'search_title'       => 'الحالة المراد البحث عنها',
        'search_cat'         => 'اختر الحالة المراد البحث عنها',
        'enter_comment'      => 'أدخل سبب اعادة الاستخدام',
        'search_codeType'    => 'اختر نوع الكود',
        'RequestCodeReuse'   => 'طلب اعادة استخدام',
        'ownerTaxpayer'      => [
            'rin'  => 'رقم الضريبي للمالك',
            'name'  => 'اسم المالك',
        ],
        'requesterTaxpayer'  => [
            'rint'  => 'رقم الضريبي للمرسل',
            'name'  => 'اسم المرسل',
        ],
        'codeCategorization' => [
            'name'  => 'اسم التصنيف',
        ],
        'published'          => [
            'title'                 => 'اكواد الضرائب المتاحة',
            'null'                  => 'لا يوجد اكواد متاحة',
            'CodeLookupValue'       => 'كود الصنف',
            'ParentCodeLookupValue' => 'كود التصنيف',
            'TaxpayerRIN'           => 'رقم الضريبي للمالك',
            'ParentLevelName'       => 'اسم التصنيف',
            'CodeID'                => 'رقم كود الصنف',
            'ParentCodeID'          => 'رقم كود التصنيف',
            'CodeTypeLevelNumber'   => 'رقم مستوى الكود',
        ],
    ],
    "packageRequests" => [
        'title'                     => 'حزم الوثائق',
        'null'                      => 'لا يوجد حزم الوثائق',
        'add'                       => 'إضافة حزمة',
        'packageId'                 => 'رقم الحزمة',
        'submissionDate'            => 'تاريخ الإرسال',
        'status'                    => 'الحالة',
        'type'                      => 'النوع',
        'format'                    => 'الصيغة',
        'requestorTypeId'           => 'نوع المرسل',
        'requestorTaxpayerRIN'      => 'رقم الضريبي للمرسل',
        'requestorTaxpayerName'     => 'اسم المرسل',
        'deletionDate'              => 'تاريخ الحذف',
        'isExpired'                 => 'منتهي',
        'select_type'               => 'اختر نوع الحزمة',
        'full'                      => 'تفاصيل كاملة',
        'summary'                   => 'ملخص',
        'select_format'             => 'اختر الصيغة',
        'documentTypeNames'         => 'انواع الوثائق',
        'select_documentTypeNames'  => 'اختر نوع الوثيقة',
        'statuses'                  => 'الحالات',
        'select_statuses'           => 'اختر الحالة',
        'receiverSenderId'          => 'رقم المرسل',
        'branchNumber'              => 'رقم الفرع',
        'codeValue'                 => 'كود الصنف',
        'codeType'                  => 'نوع الكود',
        'select_codeType'           => 'اختر نوع الكود',
        "select_receiverSenderType" => "اختر نوع المرسل",
        "supplier"                  => "مورد",
        "customer"                  => "عميل",
        "foreign"                   => "أجنبي",
        "inProgress"                => "قيد التنفيذ",
        "complete"                  => "مكتمل",
        "error"                     => "خطأ",
        "deleted"                   => "محذوف",
        "intermediary"              => "وسيط",
        "taxpayer"                  => "مالك",
        "internalUser"              => "مستخدم داخلي",
        "ERP"                       => "ERP",
    ],
    'egscode' => [
        'title'         => 'كود الضرائب للصنف :name',
        'CodeType'      => 'نوع الكود',
        'itemCode'      => 'كود الصنف',
        'CodeNameEN'    => 'اسم الصنف بالانجليزية',
        'CodeNameAR'    => 'اسم الصنف بالعربية',
        "CodeDescEN"    => "وصف الصنف بالانجليزية",
        "CodeDescAR"    => "وصف الصنف بالعربية",
        "ActiveFrom"    => "تاريخ التفعيل",
        "ActiveTo"      => "تاريخ الانتهاء",
        "Active"        => "فعال",
        "ParentCode"    => "كود التصنيف العالمي",
        "RequestReason" => "سبب الطلب",
    ],
];
