<?php
return [
    'new-invoice' => 'تفاصيل الطلب - إنشاء فاتورة :type',
    'balance' => 'رصيد :client',
    'no' => 'رقم فاتورة :client',
    'date' => 'تاريخ :type',
    'choose' => 'اختر :client',
    'invoice_title' => 'فاتورة :invoice',
    'purchases' => [
        'title' => 'شراء',
        'the-title' => 'الشراء',
        'client' => 'المورد',
    ],
    'sales' => [
        'title' => 'بيع',
        'the-title' => 'البيع',
        'client' => 'العميل',
    ],
    'sales offers' => [
        'title' => ' عرض سعر',
        'the-title' => 'البيع',
        'client' => 'العميل',
    ],
    'returned purchases' => [
        'title' => 'مرتجع مشتريات',
        'the-title' => 'مرتجع المشتريات',
        'client' => 'المورد',
    ],
    'returned sales' => [
        'title' => 'مرتجع مبيعات',
        'the-title' => 'مرتجع المبيعات',
        'client' => 'العميل',
    ],

    'invoices'    => [
        'title'       => 'فواتير ',
        'sales'   => 'فواتير مبيعات ',
        'returned sales'   => 'فواتير مرتجع مبيعات ',
        'purchases'   => 'فواتير مشتريات ',
        'returned purchases'   => 'فواتير مرتجع مشتريات ',
        "null"        => "لا يوجد فواتير",
        "invoiceNo"   => "رقم الفاتورة",
        "client"      => "العميل",
        "supplier"      => "المورد",
        "invoiceDate" => "تاريخ الفاتورة",
        "netPrice" => "السعر الصافي",
        "supplier_invoice_no" => 'رقم فاتورة المورد',
        "pendings" => [
            'sales'   => 'فواتير المبيعات المعلقة',
            'returned sales'   => 'فواتير مرتجع المبيعات المعلقة',
            'purchases'   => 'فواتير المشتريات المعلقة',
            'returned purchases'   => 'فواتير مرتجع المشتريات المعلقة',
        ]
    ],
    'invoice' => [
        'title' => 'الفاتورة رقم :no',
    ],
    'client' => [
        'title' => 'العميل',
        'name' => 'اسم العميل',
        'mobile' => 'رقم الهاتف',
        'address' => 'العنوان',
        'balance' => 'رصيد العميل',
    ],
    'issuer' => [
        'title' => 'البائع',
        'name' => 'اسم البائع',
        'mobile' => 'رقم الهاتف',
        'address' => 'العنوان',
    ],
    'details' => [
        "item_name" => "اسم الصنف",
        "item_description" => "وصف الصنف",
        "quantity" => "الكمية",
        "unit-price" => "سعر الوحده",
        "total-price" => "الإجمالي",
        "price" => "السعر",
        "title" => "تفاصيل الفاتورة",
        "invoiceNo" => "رقم الفاتورة",
        "invoiceType" => "نوع الفاتورة",
        "invoiceDate" => "تاريخ الفاتورة",
    ],
    "type" => [
        "purchase" => "فاتورة شراء",
        "sales" => "فاتورة بيع",
        "purchase_back" => "فاتورة شراء مرتجع",
        "sales_back" => "فاتورة بيع مرتجع",
        "sales_offers" => " عرض سعر",
    ],
    "totals" => [
        "title" => "إجمالي الفاتورة",
        "total_sales" => "الصافي",
        "total_discount" => "إجمالي الخصم",
        "total_vats" => "إجمالي الضريبة",
        "payment" => "المدفوع",
        "total_amount" => "إجمالي المبلغ",
        "rest" => "الباقي",
    ],
    'new-invoice' => 'تفاصيل الطلب - إنشاء فاتورة  :type',
    'balance' => 'رصيد :client',
    'no' => 'رقم فاتورة :client',
    'date' => 'تاريخ :type',
    'choose' => 'اختر :client',
    'store' => 'مخزن',
    'the' => 'ال',

    'purchases' => [
        'title' => 'شراء',
        'the-title' => 'الشراء',
        'client' => 'المورد',
    ],
    'sales' => [
        'title' => 'بيع',
        'the-title' => 'البيع',
        'client' => 'العميل',
    ],
    'returned purchases' => [
        'title' => 'مرتجع مشتريات',
        'the-title' => 'مرتجع المشتريات',
        'client' => 'المورد',
    ],
    'returned sales' => [
        'title' => 'مرتجع مبيعات',
        'the-title' => 'مرتجع المبيعات',
        'client' => 'العميل',
    ],
    'new-invoice' => 'تفاصيل الطلب - إنشاء فاتورة :type',
    'balance' => 'رصيد :client',
    'no' => 'رقم فاتورة :client',
    'date' => 'تاريخ :type',
    'choose' => 'اختر :client',
    'name' => 'اسم :client',
    'create_return_from_sales' => 'انشاء مرتجع',
    'delivery_fee' => 'رسوم التوصيل',
];
