<?php

return array (
  'accepted' => 'The :attribute must be accepted.',
  'accepted_if' => 'The :attribute must be accepted when :other is :value.',
  'active_url' => 'The :attribute is not a valid URL.',
  'after' => 'The :attribute must be a date after :date.',
  'after_or_equal' => 'The :attribute must be a date after or equal to :date.',
  'alpha' => 'The :attribute must only contain letters.',
  'alpha_dash' => 'The :attribute must only contain letters, numbers, dashes and underscores.',
  'alpha_num' => 'The :attribute must only contain letters and numbers.',
  'array' => 'The :attribute must be an array.',
  'attributes' => 
  array (
    'address' => 'Address',
    'age' => 'Age',
    'available' => 'Available',
    'balance_from' => 'Report start date',
    'balance_to' => 'Report end date',
    'barcode' => 'Barcode',
    'city' => 'City',
    'client' => 'Customer',
    'color' => 'Color',
    'content' => 'Content',
    'country' => 'Country',
    'date' => 'Date',
    'day' => 'Day',
    'description' => 'Description',
    'email' => 'Email',
    'excerpt' => 'Excerpt',
    'first_name' => 'First name',
    'gender' => 'Gender',
    'governmante' => 'Governorate',
    'hospital' => 'Hospital',
    'hour' => 'Hour',
    'image' => 'Image',
    'importance' => 'Importance',
    'issue_number' => 'Contact number',
    'issue_source' => 'Contact source',
    'issue_status' => 'Contact status',
    'issue_type' => 'Contact type',
    'last_name' => 'Sur name',
    'lat' => 'Latitude',
    'lon' => 'Logitude',
    'minute' => 'Minute',
    'mobile' => 'Mobile',
    'month' => 'Month',
    'name' => 'Name',
    'notes' => 'Notes',
    'password' => 'Password',
    'password_confirmation' => 'Confirm password',
    'patient_name' => 'Patient\'s name',
    'patient_phone' => 'Patient\'s mobile',
    'phone' => 'Phone',
    'price_' => 'Price',
    'priority' => 'Priority',
    'procedure' => 'Procedure',
    'purchase_date' => 'Purchasing date',
    'reason' => 'Reason',
    'report_type' => 'Report type',
    'salary' => 'Salary',
    'second' => 'Second',
    'seller_name' => 'Seller\'s name',
    'sex' => 'Sex',
    'sheet' => 'Reports sheet',
    'shop_id' => 'Store code',
    'size' => 'Size',
    'src' => 'Source',
    'status' => 'Status',
    'store_id' => 'Store',
    'sub_type' => 'Car model',
    'supplier_id' => 'Supplier',
    'tel' => 'Phone / Mobile number',
    'telephone' => 'Phone',
    'text' => 'Content',
    'time' => 'Time',
    'title' => 'Address',
    'trans_from' => 'Report start date',
    'trans_to' => 'Report end date',
    'type' => 'Type',
    'user_name' => 'Username',
    'username' => 'User\'s name',
    'year' => 'Year',
  ),
  'before' => 'The :attribute must be a date before :date.',
  'before_or_equal' => 'The :attribute must be a date before or equal to :date.',
  'between' => 
  array (
    'array' => 'The :attribute must have between :min and :max items.',
    'file' => 'The :attribute must be between :min and :max kilobytes.',
    'numeric' => 'The :attribute must be between :min and :max.',
    'string' => 'The :attribute must be between :min and :max characters.',
  ),
  'boolean' => 'The :attribute field must be true or false.',
  'confirmed' => 'The :attribute confirmation does not match.',
  'current_password' => 'The password is incorrect.',
  'custom' => 
  array (
    'attribute-name' => 
    array (
      'rule-name' => 'custom-message',
    ),
  ),
  'date' => 'The :attribute is not a valid date.',
  'date_equals' => 'The :attribute must be a date equal to :date.',
  'date_format' => 'The :attribute does not match the format :format.',
  'declined' => 'The :attribute must be declined.',
  'declined_if' => 'The :attribute must be declined when :other is :value.',
  'different' => 'The :attribute and :other must be different.',
  'digits' => 'The :attribute must be :digits digits.',
  'digits_between' => 'The :attribute must be between :min and :max digits.',
  'dimensions' => 'The :attribute has invalid image dimensions.',
  'distinct' => 'The :attribute field has a duplicate value.',
  'email' => 'The :attribute must be a valid email address.',
  'ends_with' => 'The :attribute must end with one of the following: :values.',
  'enum' => 'The selected :attribute is invalid.',
  'exists' => 'The selected :attribute is invalid.',
  'file' => 'The :attribute must be a file.',
  'filled' => 'The :attribute field must have a value.',
  'from_b' => 'You must insert the start of the deadline period for the urgent report',
  'from_o' => 'You must insert the start of the deadline period for the regular report',
  'gt' => 
  array (
    'array' => 'The :attribute must have more than :value items.',
    'file' => 'The :attribute must be greater than :value kilobytes.',
    'numeric' => 'The :attribute must be greater than :value.',
    'string' => 'The :attribute must be greater than :value characters.',
  ),
  'gte' => 
  array (
    'array' => 'The :attribute must have :value items or more.',
    'file' => 'The :attribute must be greater than or equal to :value kilobytes.',
    'numeric' => 'The :attribute must be greater than or equal to :value.',
    'string' => 'The :attribute must be greater than or equal to :value characters.',
  ),
  'image' => 'The :attribute must be an image.',
  'in' => 'The selected :attribute is invalid.',
  'in_array' => 'The :attribute field does not exist in :other.',
  'integer' => 'The :attribute must be an integer.',
  'ip' => 'The :attribute must be a valid IP address.',
  'ipv4' => 'The :attribute must be a valid IPv4 address.',
  'ipv6' => 'The :attribute must be a valid IPv6 address.',
  'json' => 'The :attribute must be a valid JSON string.',
  'ksa_phone' => 'Phone number should start with 966',
  'lt' => 
  array (
    'array' => 'The :attribute must have less than :value items.',
    'file' => 'The :attribute must be less than :value kilobytes.',
    'numeric' => 'The :attribute must be less than :value.',
    'string' => 'The :attribute must be less than :value characters.',
  ),
  'lte' => 
  array (
    'array' => 'The :attribute must not have more than :value items.',
    'file' => 'The :attribute must be less than or equal to :value kilobytes.',
    'numeric' => 'The :attribute must be less than or equal to :value.',
    'string' => 'The :attribute must be less than or equal to :value characters.',
  ),
  'mac_address' => 'The :attribute must be a valid MAC address.',
  'max' => 
  array (
    'array' => 'The :attribute must not have more than :max items.',
    'file' => 'The :attribute must not be greater than :max kilobytes.',
    'numeric' => 'The :attribute must not be greater than :max.',
    'string' => 'The :attribute must not be greater than :max characters.',
  ),
  'mimes' => 'The :attribute must be a file of type: :values.',
  'mimetypes' => 'The :attribute must be a file of type: :values.',
  'min' => 
  array (
    'array' => 'The :attribute must have at least :min items.',
    'file' => 'The :attribute must be at least :min kilobytes.',
    'numeric' => 'The :attribute must be at least :min.',
    'string' => 'The :attribute must be at least :min characters.',
  ),
  'multiple_of' => 'The :attribute must be a multiple of :value.',
  'not_in' => 'The selected :attribute is invalid.',
  'not_regex' => 'The :attribute format is invalid.',
  'numeric' => 'The :attribute must be a number.',
  'password' => 'The password is incorrect.',
  'points' => 'Level points should be inserted',
  'present' => 'The :attribute field must be present.',
  'prohibited' => 'The :attribute field is prohibited.',
  'prohibited_if' => 'The :attribute field is prohibited when :other is :value.',
  'prohibited_unless' => 'The :attribute field is prohibited unless :other is in :values.',
  'prohibits' => 'The :attribute field prohibits :other from being present.',
  'regex' => 'The :attribute format is invalid.',
  'required' => 'The :attribute field is required.',
  'required_array_keys' => 'The :attribute field must contain entries for: :values.',
  'required_if' => 'The :attribute field is required when :other is :value.',
  'required_unless' => 'The :attribute field is required unless :other is in :values.',
  'required_with' => 'The :attribute field is required when :values is present.',
  'required_with_all' => 'The :attribute field is required when :values are present.',
  'required_without' => 'The :attribute field is required when :values is not present.',
  'required_without_all' => 'The :attribute field is required when none of :values are present.',
  'same' => 'The :attribute and :other must match.',
  'size' => 
  array (
    'array' => 'The :attribute must contain :size items.',
    'file' => 'The :attribute must be :size kilobytes.',
    'numeric' => 'The :attribute must be :size.',
    'string' => 'The :attribute must be :size characters.',
  ),
  'starts_with' => 'The :attribute must start with one of the following: :values.',
  'string' => 'The :attribute must be a string.',
  'timezone' => 'The :attribute must be a valid timezone.',
  'to_b' => 'You must insert the end of the deadline period for the urgent report',
  'to_o' => 'You must insert the end of the deadline period for the regular report',
  'unique' => 'The :attribute has already been taken.',
  'uploaded' => 'The :attribute failed to upload.',
  'url' => 'The :attribute must be a valid URL.',
  'uuid' => 'The :attribute must be a valid UUID.',
);
