<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{{env('APP_NAME')}}</title>

    @yield('css-scripts')

    <link rel="stylesheet" type="text/css" href="{{ asset('css/master/bootstrap.min.css') }}">
    <link href="{{ asset('css/master/fontawesome-all.min.css') }}" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/master/style.css') }}">

   {{-- Laravel Mix - CSS File --}}
   {{-- <link rel="stylesheet" href="{{ mix('css/master.css') }}"> --}}
   <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" crossorigin="anonymous" referrerpolicy="no-referrer" />

</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-8" style="margin: auto">
                <div class="mt-4">
                    @if (Session::has('exception'))
                    <ul>
                        <li class="h4 alert alert-danger text-center list-unstyled">
                            {{ session::get('exception') }}
                        </li>
                    </ul>
                    @endif
                <img src="{{ asset('imgs/website-maintenance-abstract-concept-vector-illustration-website-service-webpage-seo-maintenance-web-design-corporate-site-professional-support-security-analysis-update-abstract.webp') }}" alt="" style="max-height: 85vh; min-width: 100%;">
            </div>
        </div>
    </div>
</body>
</html>