
<header class="global-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xl-3 col-12 text-center">
                <div class="logo d-block d-md-inline-block">
                    <a href="#" title=" <?php echo app('translator')->get('login.badr'); ?>">
                        <img src="<?php echo e(asset('imgs/logo.png')); ?>" alt=" <?php echo app('translator')->get('login.badr'); ?>"  title=" <?php echo app('translator')->get('login.badr'); ?>" />
                    </a>
                </div>

                <div class="md-logout logout  d-none d-md-inline-block d-lg-none float-left mt-5 ml-4">
                <a title="<?php echo app('translator')->get('native.logout'); ?>" onclick="event.preventDefault(); logout()" href="<?php echo e(route('logout')); ?>" >
                                <span class="icon-power"><img src="<?php echo e(asset('imgs/power.png')); ?>" alt=""></span>
                                <?php echo app('translator')->get('native.logout'); ?>
                            </a>
                </div>
            </div>
            <div class="col-xl-9 col-12">
                <div class="d-flex justify-content-xl-end align-self-center" >
                    <ul class="list-admin__info list-unstyled list-inline justify-content-center mt-3" >
                        <li class="list-inline-item m-2 text-center copy-issue" id="test-header" style="border-radius: 25px;">
                            <?php if(get_session_val('einvoice', 'integer') == 1 && isset($einvoice_mode)): ?>
                                <?php if((int) $einvoice_mode === 1): ?>
                                    <span class="text-success"><?php echo app('translator')->get('einvoice.actual-mode'); ?></span>
                                <?php elseif((int) $einvoice_mode === 0): ?>
                                    <span class="text-warning"><?php echo app('translator')->get('einvoice.test-mode'); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </li>

                        <li class="list-inline-item m-2 text-center" style="border-radius: 25px;">
                            <div class="dropdown">
                                <button class=" language-content__select dropdown-toggle" type="button" data-toggle="dropdown" aria-expanded="false" style="width: 200px">
                                    <?php echo e(LaravelLocalization::getCurrentLocaleNative()); ?>

                                </button>
                                <div class="dropdown-menu lang-dropdown">
                                    <?php $__currentLoopData = LaravelLocalization::getSupportedLocales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $localeCode => $properties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item <?php echo e(app()->getLocale() == $localeCode ? 'active' : ''); ?>" rel="alternate" hreflang="<?php echo e($localeCode); ?>"
                                            href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>">
                                            <?php echo e($properties['native']); ?>

                                        </a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>


                        </li>

                        <?php if( auth()->check() && \Modules\Item\Entities\BadrShop::where('online', 0)->where('serial_id', auth()->user()->shop_id)->count()): ?>
                            <li class="list-inline-item m-2 text-center" id="test-header" style="border-radius: 25px;">
                                <?php $lastSubDay = auth()->user()->getLastSubDay(); ?>
                                <?php if($lastSubDay <= 5): ?>
                                    <span class="alert <?php echo e($lastSubDay < 3 ? 'alert-danger' : 'alert-warning'); ?>">
                                        <?php echo app('translator')->get('einvoice.have-only-days', ['days' => $lastSubDay]); ?>
                                    </span>
                                <?php endif; ?>
                            </li>
                        <?php endif; ?>

                        <li class="list-inline-item m-2 text-center">
                            <a href="https://www.youtube.com/watch?v=LLYg-pGJ3oQ&list=PLVyNZweqnZAV_A4j3fAjw3hRpzFnAa_zX" target="_blank" title="<?php echo app('translator')->get('native.tutorial'); ?>" >
                                <span class="d-block icon-img"> <img src="<?php echo e(asset('imgs/youtube.png')); ?>" /> </span>
                                <?php echo app('translator')->get('native.tutorial'); ?> <?php echo e(config('app.app_version')); ?>

                            </a>
                        </li>
                        <li class="list-inline-item ml-1 item-admin-list-light f-weight-bold">
                            <a href="#" class="item-admin__content text-center">
                                <img src="<?php echo e(asset('imgs/boss.png')); ?>" class="" alt="" srcset="">
                                <p class="">
                                    <?php echo app('translator')->get('native.support_id'); ?>
                                </p>
                                <strong class="color-small">
                                    <?php echo e(Auth::user()->shop_id); ?>

                                </strong>
                            </a>
                        </li>

                        <li class="list-inline-item ml-1  item-admin-list-light f-weight-bold">
                            <a href="#">

                                <span class="color-small">
                                <?php echo app('translator')->get('native.hello'); ?>
                                </span>
                                 <?php echo e(Auth::user()->name); ?>

                            </a>
                        </li>

                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                            <?php echo csrf_field(); ?>
                        </form>

                        <li class="list-inline-item logout ml-1  d-lg-inline-block d-md-none">
                            <a title="<?php echo app('translator')->get('native.logout'); ?>" onclick="event.preventDefault(); logout()" href="<?php echo e(route('logout')); ?>" >
                                <span class="icon-power"><img src="<?php echo e(asset('imgs/power.png')); ?>" alt=""></span>
                                <?php echo app('translator')->get('native.logout'); ?>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Master/Resources/views/layouts/header.blade.php ENDPATH**/ ?>