<?php $__env->startSection('css-scripts'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/user/form.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

        <div class="container-fulid">
    <h2 class="title text-info mt-2 mb-4">
        <?php echo $__env->yieldContent('form_title'); ?>
        <a id="submit_form" class="btn btn-xs btn-success float-left mt-1 text-light edit-user">
            <?php echo $__env->yieldContent('submit_form_btn_title'); ?>
        </a>
    </h2>

    <div id="quick_edit">
        <div class="form-group row">
            <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                <input type="checkbox" class="custom-control-input" id="give_all_permissions" name="give_all_permissions">
                <label class="custom-control-label" for="give_all_permissions">
                    <?php echo app('translator')->get('users.grant_all_permissions'); ?>
                </label>
            </div>

            <div class="custom-control custom-checkbox col-sm-6 col-6">
                <input type="checkbox" class="custom-control-input" id="remove_all_permissions"
                    name="remove_all_permissions">
                <label class="custom-control-label" for="remove_all_permissions">
                    <?php echo app('translator')->get('users.revoke_all_permissions'); ?>
                </label>
            </div>
        </div>
    </div>

    <div id="main">
        <div class="accordion mt-4" id="faq">

            <?php echo $__env->make('user::layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>
    </div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('js/user/form.js')); ?>"></script>
    <script>

        $('.main-check:not(:checked)').each(function() {
            toggleCheckMain($(this));
        });
        $('form .main-check').on('click', function() {
            toggleCheckMain($(this));
        });

        function toggleCheckMain(mainCheckBox) {
            let parentRow = $(mainCheckBox).closest('.row');
            let dependentCheckBoxes = parentRow.find('input[type="checkbox"]:not(:first)');
            if (!$(mainCheckBox).is(':checked')) {
                dependentCheckBoxes.prop('checked', false)
                dependentCheckBoxes.parent().css('visibility', 'hidden')
            } else {
                dependentCheckBoxes.prop('checked', false)
                dependentCheckBoxes.parent().css('visibility', 'visible')
            }
        }
        $(function(){
            $('#can_show_employees').change(function (){
                console.log($(this), $(this).is(':checked'))
                $('#can_show_employees-related').css('display', $(this).is(':checked') ? 'block' : 'none');
            });

            $('#can_display_items').on('change', function (){
                $('#allowed_stores_section').css('display', $(this).is(':checked') ? 'block' : 'none');
            });

            $('#can_show_employees').trigger('change')
            $('#can_display_items').trigger('change')
        });


    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/User/Resources/views/layouts/master.blade.php ENDPATH**/ ?>