<div class="card my-3">
    <div class="card-header">
        <h3 class="card-title"> <i class="fa fa-info-circle"></i> معلومات عامة</h3>
    </div>
    <div class="card-body" style="background-color: #bee1ee4f">
        <div class="form-row row">
            
            <div class="form-group col-md-6">
                <label for="client_role" class="control-label col-xl-6 col-12 required"><?php echo e(trans('client.client_role.name')); ?>

                    :</label>
                <?php $selected_role = isset($client) ? $client->client_role : 3; ?>
                <select name="client_role" id="client_role" class="form-control input-normal selectpicker col-xl-9 col-12"
                    data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>"
                    title="<?php echo e(trans('client.choose_client_role')); ?>">
                    <?php if(authorized('can_add_supplier') &
                            authorized('can_add_client') &
                            authorized('can_display_clients') &
                            authorized('can_display_suppliers')): ?>
                        <?php if($invoice_type != null): ?>
                            <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                                <option <?php echo e(old('client_role', $selected_role) === 1 ? 'selected' : ''); ?> value="1">
                                    <?php echo e(trans('client.supplier')); ?></option>
                                <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?> value="2">
                                    <?php echo e(trans('client.both')); ?></option>
                            <?php endif; ?>
                            <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales'): ?>
                                <option value="0" <?php echo e(old('client_role', $selected_role) === 0 ? 'selected' : ''); ?>>
                                    <?php echo e(trans('client.client')); ?></option>
                                <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?> value="2">
                                    <?php echo e(trans('client.both')); ?></option>
                            <?php endif; ?>
                        <?php else: ?>
                            <option value="0" <?php echo e(old('client_role', $selected_role) === 0 ? 'selected' : ''); ?>>
                                <?php echo e(trans('client.client')); ?></option>
                            <option <?php echo e(old('client_role', $selected_role) === 1 ? 'selected' : ''); ?> value="1">
                                <?php echo e(trans('client.supplier')); ?></option>
                            <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?> value="2">
                                <?php echo e(trans('client.both')); ?></option>
                        <?php endif; ?>
                    <?php elseif(authorized('can_add_supplier')): ?>
                        <?php if($invoice_type != null): ?>
                            <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                                <option <?php echo e(old('client_role', $selected_role) === 1 ? 'selected' : ''); ?>

                                    value="1">
                                    <?php echo e(trans('client.supplier')); ?></option>
                                <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?>

                                    value="2">
                                    <?php echo e(trans('client.both')); ?></option>
                            <?php endif; ?>
                            <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales'): ?>
                                <option value="0"
                                    <?php echo e(old('client_role', $selected_role) === 0 ? 'selected' : ''); ?>>
                                    <?php echo e(trans('client.client')); ?></option>
                                <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?>

                                    value="2">
                                    <?php echo e(trans('client.both')); ?></option>
                            <?php endif; ?>
                        <?php else: ?>
                            <option <?php echo e(old('client_role', $selected_role) === 1 ? 'selected' : ''); ?> value="1">
                                <?php echo e(trans('client.supplier')); ?></option>
                            <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?> value="2">
                                <?php echo e(trans('client.both')); ?></option>

                        <?php endif; ?>
                    <?php elseif(authorized('can_add_client')): ?>
                        <?php if($invoice_type != null): ?>
                            <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                                <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?>

                                    value="2">
                                    <?php echo e(trans('client.both')); ?></option>
                            <?php endif; ?>
                            <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales'): ?>
                                <option value="0"
                                    <?php echo e(old('client_role', $selected_role) === 0 ? 'selected' : ''); ?>>
                                    <?php echo e(trans('client.client')); ?></option>
                                <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?>

                                    value="2">
                                    <?php echo e(trans('client.both')); ?></option>
                            <?php endif; ?>
                        <?php else: ?>
                            <option value="0" <?php echo e(old('client_role', $selected_role) == 0 ? 'selected' : ''); ?>>
                                <?php echo e(trans('client.client')); ?></option>
                            <option <?php echo e(old('client_role', $selected_role) === 2 ? 'selected' : ''); ?> value="2">
                                <?php echo e(trans('client.both')); ?></option>
                        <?php endif; ?>

                    <?php endif; ?>
                </select>
            </div>

            
            <div class="form-group col-md-6">
                <label for="code" class="control-label col-xl-6 col-12">كود <?php echo app('translator')->get('client.client'); ?> / <?php echo app('translator')->get('client.supplier'); ?>  :</label>
                <input type="text" class="form-control input-normal  col-xl-9 col-12" name="code"
                       value="<?php echo e($client->code ?? $client_code ?? old('code')); ?>">
            </div>

            
            
            <div class="form-group col-md-6">
                <label for="client_name" class="control-label col-xl-6 col-12 required"><?php echo e(trans('client.client_name.name')); ?>

                    :</label>
                <input type="text" class="form-control  input-normal col-xl-9 col-12" id="client_name" name="client_name"
                    value="<?php echo e(old('client_name', $client->client_name ?? '')); ?>" required>
            </div>

            
            <div class="form-group col-md-6">
                <label for="governate" class="control-label col-xl-6 col-12">البريد الإلكتروني:</label>
                <input type="text" class="form-control  input-normal col-xl-9 col-12" id="email" name="email"
                    value="<?php echo e($client->email ?? old('email')); ?>">
            </div>

            
            <div class="form-group col-xl-6 col-12 mt-4">
                <div class="d-md-flex justify-content-between align-items-center h-100">
                    <label class="control-label col-md-6 col-12"> إرسال رساله ببيانات الفاتورة عبر </label>

                    <label for="send_email" class="control-label col-md-3 col-12 btn btn-sm btn-dark ml-2 mt-1"> Email
                        <input type="checkbox" id="send_email" name="send_email" value="1" <?php echo e(old('send_email', ($client->send_email ?? 0)) == 1 ? 'checked' : ''); ?>>
                    </label>

                    <label for="send_whatsapp" class="control-label  col-md-3 col-12 btn btn-sm btn-dark mt-1"> WhatsApp
                        <input type="checkbox" id="send_whatsapp" name="send_whatsapp" value="1" <?php echo e(old('send_whatsapp', ($client->send_whatsapp ?? 0)) == 1 ? 'checked' : ''); ?>>
                    </label>
                </div>
            </div>

            <?php if($settings->client_limit == 1 || $settings->client_limit == 2): ?>
                <div class="form-group col-md-6">
                    <label for="credit_limit"
                        class="control-label col-md-6"><?php echo e(trans('native.Credit_limit')); ?>:</label>
                    <input type="number" class="form-control col-md-9" min="0" id="credit_limit" name="credit_limit"
                        <?php if(isset($client) && $client): ?> value="<?php echo e($client->credit_limit ?? old('email')); ?>"
                    <?php else: ?>
                    value="0" <?php endif; ?>>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Clients/Resources/views/layouts/includes/general-info.blade.php ENDPATH**/ ?>