<style>
    @print  {
        @page  {
            size: 700mm auto !important;
            margin: 0mm !important;
        }

        body {
            margin: 0px;
            padding: 0px;
        }
    }
</style>

<div style="width: 70mm; margin: auto; text-align: center; background: #f4f7fc !important; color: #262626 !important; font-family: var(--font-family-regular), 'serif'; font-size: '<?php echo e($invoice_settings->font_size); ?>px' !important; white-space: initial !important; direction: rtl;">
    <div style="padding: 20px 10px; margin: auto">
        <?php echo $__env->make('invoices::print.casher.title', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->make('invoices::print.casher.invoice-info', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->make('invoices::print.casher.items', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php if($invoice_settings->show_bill_message): ?>
            <div class="mt-2" style=" color: #000"> <?php echo $settings->message_bill; ?> </div>
        <?php endif; ?>
    </div>
</div>

<?php if(isset($url) && $url): ?>
    <p style="text-align: center; font-size: 15px; font-weight: bold; color: #595959;">
        <?php echo e(__('invoices.display_invoice_page_from')); ?>

        <a href="<?php echo e($url); ?>">  <?php echo e(__('native.here')); ?></a>
    </p>
<?php else: ?>
<script>
    window.print();
    window.onafterprint = window.close;
</script>
<?php endif; ?>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/print/view_price.blade.php ENDPATH**/ ?>