<?php if($settings->einvoice == 1): ?>
    
    <div class="card my-3">
        <div class="card-header">
            <h3 class="card-title"> <i class="fa fa-info-circle"></i> معلومات خاصة بالفاتورة الإلكترونية</h3>
        </div>
        <div class="card-body" style="background-color: #bee1ee4f">
            <div class="form-row row">
                <div class="form-group col-md-6">
                    <label for="regionCity" class="control-label col-md-6 required"><?php echo e(trans('client.regionCity')); ?>

                        :</label>
                    <input type="text" class="form-control col-md-9" id="regionCity" name="regionCity"
                        value="<?php echo e($client->regionCity ?? old('regionCity')); ?>" required>
                </div>

                <div class="form-group col-md-6">
                    <label for="street" class="control-label col-md-6 required"><?php echo e(trans('client.street')); ?> :</label>
                    <input type="text" class="form-control col-md-9" id="street" name="street"
                        value="<?php echo e($client->street ?? old('street')); ?>" required>
                </div>

                <div class="form-group col-md-6">
                    <label for="buildingNumber" class="control-label col-md-6 required"><?php echo e(trans('client.buildingNumber.name')); ?>

                        :</label>
                    <input type="number" class="form-control col-md-9" id="buildingNumber" name="buildingNumber"
                        value="<?php echo e($client->buildingNumber ?? old('buildingNumber')); ?>" required>
                </div>

                
                <div class="form-group col-md-6">
                    <label for="postalCode" class="control-label col-md-6 required"><?php echo e(trans('client.postalCode')); ?>

                        :</label>
                    <input type="number" class="form-control col-md-9" id="postalCode" name="postalCode"
                        value="<?php echo e($client->postalCode ?? old('postalCode')); ?>" required>
                </div>
                <div class="form-group col-md-6">
                    <label for="floor" class="control-label col-md-6 required"><?php echo e(trans('client.floor')); ?> :</label>
                    <input type="number" class="form-control col-md-9" id="floor" name="floor"
                        value="<?php echo e($client->floor ?? old('floor')); ?>" required>
                </div>

                
                <div class="form-group col-md-6">
                    <label for="room" class="control-label col-md-6 required"><?php echo e(trans('client.room')); ?> :</label>
                    <input type="number" class="form-control col-md-9" id="room" name="room"
                        value="<?php echo e($client->room ?? old('room')); ?>" required>
                </div>

                <div class="form-group col-md-6">
                    <label for="landmark" class="control-label col-md-6 required"><?php echo e(trans('client.landmark')); ?>

                        :</label>
                    <input type="text" class="form-control col-md-9" id="landmark" name="landmark"
                        value="<?php echo e($client->landmark ?? old('landmark')); ?>" required>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Clients/Resources/views/layouts/includes/einvoices.blade.php ENDPATH**/ ?>