<div style="padding: 10px;">
    
    <?php if(auth()->check()): ?>
        <div style="display: flex; justify-content: space-between; column-gap: 10px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> المستخدم : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> <?php echo e(auth()->user()?->user_name); ?> </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : User </span>
        </div>
    <?php endif; ?>

    
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> العميل : </span>
        <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> <?php echo e($client->client_name); ?> </span>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Customer </span>
    </div>

    
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> كود العميل : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> <?php echo e($client->code); ?> </span>
                <b> : Client Code </b>
                <b> نوع العميل : </b>
                <span> <?php echo e($client->type?->name); ?> </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Client Typete</span>
    </div>

    
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> الرقم الضريبي : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> <?php echo e($client->client_tax_number); ?> </span>
                <b> : VAT No. </b>
                <b> تاريخ إصدار الفاتورة : </b>
                <span>
                    <?php if($invoice->invoice_date): ?>
                        <span style="float: right;"> <?php echo e(\Carbon\Carbon::parse($invoice->invoice_date)->format('H:i:sA')); ?> </span>
                        <span style="float: left; padding: 0 20px;"> <?php echo e(\Carbon\Carbon::parse($invoice->invoice_date)->format('d/m/Y')); ?> </span>
                    <?php endif; ?>
                </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Invoice Issue Date </span>
    </div>

    
    <?php if($invoice_settings->show_client_address): ?>
        <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> العنوان : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> <?php echo e($client->address); ?> </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Address </span>
        </div>
    <?php endif; ?>

    
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> الهاتف : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> <?php echo e($client?->mobile1); ?> </span>
                <b> : Phone </b>
                <b> البريد الألكتروني : </b>
                <span> <?php echo e($client->email); ?> </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Email</span>
    </div>

    
    <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> المندوب : </span>
        <div style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999">
            <div style="display: flex; justify-content: space-around; ">
                <span> <?php echo e($collector->name); ?> </span>
                <b> : Salesman </b>
                <b> تاريخ الإستحقاق : </b>
                <span> <?php echo e($invoice->invoice_date ? \Carbon\Carbon::parse($invoice->invoice_date)->format('d/m/Y') : ''); ?> </span>
            </div>
        </div>
        <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Due Date</span>
    </div>

    
    <?php $payment_type = $invoice?->getPaymentType((bool) $invoice_settings->show_payment_type); ?>
    <?php if($payment_type): ?>
        <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> نوع الدفع : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> <?php echo e($payment_type); ?> </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Payment Type </span>
        </div>
    <?php endif; ?>

    
    <?php if($invoice_settings->notes): ?>
        <div style="display: flex; justify-content: space-between; column-gap: 10px; margin-top: 15px;">
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: left"> ملاحظات : </span>
            <span style="display: inline-block; flex: 5; font-size: 20px; text-align: center; border-bottom: 1px dotted #999"> <?php echo e($invoice->notes); ?> </span>
            <span style="display: inline-block; flex: 1; font-weight: bold; font-size: 20px; text-align: right"> : Comment </span>
        </div>
    <?php endif; ?>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/print/taxs/client-info.blade.php ENDPATH**/ ?>