<div style="padding: 10px 40px; display: flex; justify-content: space-between; column-gap: 15px; font-size: 20px;">
    <div style="align-self: center; flex: 1; text-align: right">
        <h2 style="margin: 0"><?php echo e($shop->shop_name); ?></h2>
        <span><?php echo e($shop->address); ?></span>  <br>
        <p>هاتف / فاكس: <?php echo e($shop->telephone); ?></p>
        <p style="font-weight: bold">  <?php echo e(__('invoices.Value_Added_Tax_No')); ?>    <?php echo e($invoice_settings->vat_number); ?> VAT </p>
        <p style="font-weight: bold">  <?php echo e(__('invoices.Tax_registration_number')); ?>  <?php echo e($invoice_settings->cr_number ?? $store->tax_number); ?></p>
    </div>

    <div style="align-self: center; flex: 1; text-align: center">
        <?php if($invoice_settings->show_logo): ?>
            <img src="<?php echo e(isset($message) ? $message->embed(asset($shop->logo_path)) : asset($shop->logo_path)); ?>" alt="logo" width="200px">
        <?php endif; ?>

        <div style="border: 2px solid #ccc; margin-top: 15px;">
            <?php if($shop->apply_vats): ?>
                <?php if(! $is_cash_bill && $shop->use_parts_cash_proforma_invoice): ?>
                    <h2 style="margin: 10px;"> فاتورة أولية </h2>
                    <h2 style="margin: 10px;"> Proforma Invoice </h2>
                <?php else: ?>
                    <?php if($shop->getCountry?->name_en != "Saudi Arabia"): ?>
                        <?php if($invoice_settings->bill_type == 1): ?>
                            <h2 style="margin: 10px;"> <?php echo e($invoice->type); ?> </h2>
                        <?php else: ?>
                            <h2 style="margin: 10px;"> <?php echo e(__('native.bill')); ?>   </h2>
                        <?php endif; ?>
                    <?php elseif($client->client_tax_number): ?>
                        <h2 style="margin: 10px;"> فاتورة ضريبية </h2>
                        <h2 style="margin: 10px;"> Tax Invoice </h2>
                    <?php else: ?>
                        <h2 style="margin: 10px;"> فاتورة ضريبية مبسطة </h2>
                        <h2 style="margin: 10px;"> Simplified Tax Invoice </h2>
                    <?php endif; ?>
                <?php endif; ?>
            <?php elseif($invoice_settings->bill_type == 1): ?>
                <h2 style="margin: 10px;"> <?php echo e($invoice->type); ?> </h2>
            <?php else: ?>
                <h2 style="margin: 10px;"> <?php echo e(__('native.bill')); ?></h2>
            <?php endif; ?>

            <h2 style="margin: 10px;"> SLO-<?php echo e($invoice->bill_no); ?> </h2>
        </div>
    </div>

    <div style="align-self: center; flex: 1; text-align: left">
        <h2 style="margin: 0"><?php echo e($shop->shop_name_en); ?></h2>
        <span><?php echo e($shop->address_en); ?></span>  <br>
        <p>fax/Phone <?php echo e($shop->telephone); ?></p>
        <p style="font-weight: bold"> VAT No: VAT <?php echo e($invoice_settings->vat_number); ?> </p>
        <p style="font-weight: bold"> CR No: <?php echo e($invoice_settings->cr_number ?? $store->tax_number); ?></p>
    </div>
</div>


<?php if($invoice_settings->show_bill_header): ?>
    <div style="color: #000; text-align: center"> <?php echo $settings->bill_header; ?> </div>
<?php endif; ?>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/print/taxs/header.blade.php ENDPATH**/ ?>