<?php
    $press_mode = '';
    if (get_session_val('screen_type', 'integer') == 1)
    {
        $press_mode = 'hidden';
    }
?>


<div class="table-responsive" id="spends">
    <table class="zui-table zui-table-rounded">
        <thead>
            <tr>
                <?php if(get_session_val('custom_invoice_details_table', 'integer') == 1): ?>
                    <th scope="col"><?php echo e(trans('orders.item')); ?></th>
                    <th scope="col"><?php echo e(trans('orders.price')); ?></th>
                    <th scope="col"><?php echo e(trans('orders.amount')); ?></th>
                    <th scope="col">الاضافة</th>
                    <th scope="col"><?php echo e(trans('orders.discount')); ?></th>
                    <th scope="col"><?php echo e(trans('orders.total')); ?></th>
                    <th scope="col"><?php echo app('translator')->get('native.notes'); ?></th>
                    <th scope="col"><?php echo e(trans('orders.delete')); ?></th>
                <?php else: ?>
                <th scope="col"><?php echo e(trans('orders.item')); ?></th>
                <th scope="col"  style="display:none;"><?php echo e(trans('native.purchase_item_code')); ?></th>
                <?php if($invoice_type == 'sales' || $invoice_type == 'sales offers' || $invoice_type == 'returned purchases'): ?>
                    <th class="<?php echo e($press_mode); ?>" scope="col"><?php echo e(trans('orders.about')); ?></th>
                <?php endif; ?>

                <?php if($invoice_type != 'purchases'): ?>
                    <th scope="col" class="<?php echo e($press_mode); ?>"
                    <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                        <?php if(! authorized('can_see_purchase_price') ): ?> style=" display: none;" <?php endif; ?>
                    <?php endif; ?>
                    ><?php echo e(trans('orders.main_price')); ?></th>
                <?php endif; ?>

                <th scope="col"  > <?php echo e(trans('orders.amount')); ?></th>
                <th scope="col"  > <?php echo e(trans('orders.current_amount')); ?></th>
                <th scope="col" class=" <?php echo e($press_mode); ?> <?php if(get_session_val('units_sup', 'Integer') == '0'): ?> hidden <?php endif; ?> "   ><?php echo e(trans('orders.unit')); ?></th>

                <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                <th scope="col"
                    class="<?php if( ! authorized('can_see_purchase_price')): ?> hidden <?php endif; ?>"> <?php echo e(trans('orders.pay_price')); ?></th>
                <?php endif; ?>

                <th scope="col"   class="<?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                                                    <?php if(! authorized('can_see_purchase_price')): ?> hidden <?php endif; ?>
                                                  <?php endif; ?> "
                                                  ><?php echo e(trans('orders.total')); ?></th>

                <?php if($invoice_type != 'returned purchases'): ?>
                    <th scope="col"
                    > <?php echo e(trans('orders.sale_price')); ?></th>
                    <?php if($invoice_type == 'sales' || $invoice_type == 'sales offers' || $invoice_type == 'returned sales' || $invoice_type == 'purchases'): ?>
                        <th scope="col" class=" <?php echo e($press_mode); ?> <?php if( get_session_val('check_lowest_price', 'Integer') == 0 ): ?> hidden <?php endif; ?> "    >
                            <?php echo e(trans('orders.lowest_price')); ?>

                        </th>
                    <?php endif; ?>
                <?php endif; ?>

                <?php if(get_session_val('show_expire_date', 'integer') == 1): ?>
                    <th scope="col" class=" <?php echo e($press_mode); ?>  <?php if( get_session_val('show_expire_date', 'Integer') == 0): ?> hidden <?php endif; ?> "  >
                        <?php echo e(trans('orders.expire_date')); ?>

                    </th>
                <?php endif; ?>

                <th scope="col" class=" <?php echo e($press_mode); ?>  <?php if(get_session_val('show_item_serial', 'Integer') == 0): ?> hidden <?php endif; ?> "  >
                    <?php echo app('translator')->get('invoices.details.item-series'); ?>
                </th>
                <th scope="col" class=" <?php echo e($press_mode); ?>  <?php if(get_session_val('show_item_serial', 'Integer') == 0): ?> hidden <?php endif; ?> "  >
                    <?php echo app('translator')->get('native.notes'); ?>
                </th>

                <?php if(get_session_val('enable_client_sales', 'integer') == 1 && ($invoice_type == 'sales' || $invoice_type == 'returned sales')): ?>
                    <th> <?php echo app('translator')->get('native.sales_total'); ?> </th>
                    <th><?php echo app('translator')->get('native.total_returned'); ?></th>
                <?php endif; ?>

                <th scope="col"  ><?php echo e(trans('orders.delete')); ?></th>
                <?php endif; ?>
            </tr>
        </thead>

        <tbody class="section" id="items_in_the_table" class="data">
            <?php if(isset($pendingInvoice)): ?>
                <?php $__currentLoopData = $pendingInvoice->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo $detail->rawHTML; ?>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            <?php echo $__env->renderWhen(!is_null($invoice) && $invoice_type == 'sales', 'invoices::layouts.create.generated_items', ['invoice' => $invoice], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
        </tbody>

        <tfoot>
            <tr>
                <td> <?php echo app('translator')->get('invoices.details.items-count'); ?> </td>
                <td Auto_Test = "added_items_items_count" colspan=" <?php if(get_session_val('screen_type', 'integer') == 1): ?> 2 <?php else: ?>  3 <?php endif; ?>">
                    <input type="number" step="1"
                        class="form-control text-center input-light  <?php if(get_session_val('screen_type', 'integer') == 1): ?> w-50 <?php else: ?>  w-35 <?php endif; ?>  input-sm" name="items_count" id="items_count" disabled>
                </td>

                <td> <?php echo app('translator')->get('native.total'); ?> </td>
                <td Auto_Test ="added_items_items_total" colspan=" <?php if(get_session_val('screen_type', 'integer') == 1): ?> 1 <?php else: ?>  3 <?php endif; ?>">
                    <input type="number" step="0.0001"
                        <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                            <?php if(! authorized('can_add_purchases_invoices') ): ?> style=" display: none;" <?php endif; ?>
                        <?php endif; ?>
                        class="form-control text-center input-light  <?php if(get_session_val('screen_type', 'integer') == 1): ?> w-100 <?php else: ?>  w-35 <?php endif; ?> input-sm" name="items_total" id="items_total" disabled>
                </td>
            </tr>
        </tfoot>
    </table>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/layouts/create/added_item.blade.php ENDPATH**/ ?>