
<?php $__env->startSection('content'); ?>

<div class="card card-light mb-1_5 p-3">

<div class="container-fluid">
   <div class="row">
      <div class="col-md-12 items-header">
         <h1 class="text-info  d-inline-block"><?php echo e(__('items.title')); ?></h1>
         <a class="btn btn-primary float-left mt-2" href="<?php echo e(route('items.create')); ?>"><span class="fa fa-plus"
            data-toggle="tooltip" data-placement="top" title="select Manufacturing prodcuts"></span>
         <?php echo e(__('items.addItem')); ?></a>
         <a href="<?php echo e(route('excel.export.items')); ?>" class="btn btn-info float-left mt-2 ml-2"> <i class="fa fa-download"></i> <?php echo app('translator')->get('native.export_excel'); ?></a>
      </div>
      <div class="card card-success mb-1_5 p-3 col-md-12">

      <form class=" mt-2 custome-form">
         <div class="form-row row mb-1">
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label d-inline-block"><?php echo e(__('items.search_on_item')); ?>  /</label>
                  <label for="barcode_only">
                  <?php echo e(__('items.barcode_only')); ?> :
                  <input type="checkbox" id="barcode_only" value="1" name="barcode" class="control-label" <?php if(request('barcode')): ?> checked <?php endif; ?>>
                  </label>
               </div>
            </div>
            <div class="col-md-10">
               <div class="form-group">
                  <input class="form-control input-normal" id="autocomplete_items" type="text" name="search"value="<?php echo e(request('search')); ?>">
               </div>
            </div>
         </div>
         <div class="form-row row">
            <div class="form-group col-md-4">
               <label class="control-label" for="select_cat"><?php echo e(__('items.categories')); ?> :</label>
               <select class="form-control selectpicker col-md-12" data-live-search="true" id="select_cat"
                  name="cat_id">
               <option value="0" <?php if(request('cat_id') == 0): ?> selected <?php endif; ?>>
               <?php echo e(trans('items.all')); ?></option>
               <?php $__currentLoopData = $cats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option <?php if(request('cat_id') == $cat->id): ?> selected <?php endif; ?> value="<?php echo e($cat->id); ?>">
               <?php echo e($cat->name); ?></option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </select>
            </div>
            <div class="form-group col-md-4">
               <label class="control-label" for="select_sup"><?php echo e(__('items.supplier')); ?> :</label>
               <select class="form-control selectpicker col-md-12" data-live-search="true" id="select_sup"
                  name="sup_id">
               <option value="0" <?php if(request('sup_id') == 0): ?> selected <?php endif; ?>>
               <?php echo e(trans('items.all')); ?></option>
               <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option <?php if(request('sup_id') == $supplier->id): ?> selected <?php endif; ?> value="<?php echo e($supplier->id); ?>">
               <?php echo e($supplier->client_name); ?>

               </option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </select>
            </div>
            <div class="form-group col-md-3 col-10">
               <label class="control-label" for="select_store"><?php echo e(__('items.stores.name')); ?> :</label>
               <select class="form-control selectpicker col-md-12" data-live-search="true" id="select_store"
                  name="store_id">
               <option value="0" <?php if(request('store_id') == 0): ?> selected <?php endif; ?>>
               <?php echo e(__('items.all')); ?></option>
               <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <option value="<?php echo e($store->id); ?>" <?php if(request('store_id') == $store->id || count($stores) == 1): ?> selected <?php endif; ?>>
               <?php echo e($store->store_name); ?></option>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
               </select>
            </div>

            <div class="form-group col-md-1 col-2">

<button type="submit" class="btn btn-success mt-4" id="search"><i class="fa fa-search d-sm-inline-block d-none"></i>
<?php echo e(__('extends.search')); ?></button>
</div>
         </div>

      </form>
</div>
      <div class="table-responsive">
         <table class="table table-hover  zui-table zui-table-rounded table-striped table-bordered bg-white mt-3">
            <thead>
               <tr class="bg-primary text-white">
                  <th scope="col">#</th>
                  <th scope="col"><?php echo e(__('items.name')); ?></th>
                  <th scope="col"><?php echo e(__('items.quantity.name')); ?></th>
                  <th scope="col"><?php echo e(__('items.price.name')); ?></th>
                  <?php if(authorized('can_see_purchase_price') ): ?>
                  <th scope="col"><?php echo e(__('items.pay_price.name')); ?></th>
                  <?php endif; ?>
                  <th scope="col"><?php echo e(__('items.barcode.name')); ?></th>
                  <th scope="col"><?php echo e(__('items.main_category')); ?></th>
                  <th scope="col"><?php echo e(__('items.supplier')); ?></th>
                  
                  <th scope="col"><?php echo e(__('extends.action')); ?></th>
               </tr>
            </thead>
            <tbody id="tbody">
               <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               <tr id="item-row-<?php echo e($item->id); ?>">
                  <td><?php echo e($loop->iteration + $items->firstItem() - 1); ?></td>
                  <td><a href="<?php echo e(route('items.show', $item->id)); ?>"><?php echo e($item->name); ?></a></td>
                  <td><?php echo e($item->quantity ?? 0); ?></td>
                  <td><?php echo e($item->price); ?></td>
                  <?php if(authorized('can_see_purchase_price')): ?>
                  <td><?php echo e($item->pay_price); ?></td>
                  <?php endif; ?>
                  <td><?php echo e($item->barcode); ?></td>
                  <td><?php echo e($item->category?->name); ?></td>
                  <td><?php echo e($item->supplier?->name); ?>

                  </td>
                  
                  <td class="d-flex flex-row">
                     <a class="btn btn-info btn-sm ml-1" href="<?php echo e(route('items.show', [ 'id' => $item->id])); ?>"
                        title="<?php echo e(__('extends.show')); ?>"><?php echo e(__('extends.show')); ?></a>
                     </a>
                     <a class="btn btn-warning btn-sm ml-1" href="<?php echo e(route('items.edit', [ 'id' => $item->id, 'store_id' => $item->store_id])); ?>"
                        title="<?php echo e(__('extends.edit')); ?>"><?php echo e(__('extends.edit')); ?></a>
                     </a>
                     <a class="btn btn-danger btn-sm ml-1 <?php if(!authorized('can_delete_items')): ?> hidden <?php endif; ?>"
                        data-toggle="modal" data-target="#deleteElementModal" data-id="<?php echo e($item->id); ?>"
                        title="<?php echo e(__('extends.delete')); ?>"><?php echo e(__('extends.delete')); ?></a>
                     </a>
                     <?php if($item->manufacturing == 1): ?>
                     <a class="btn btn-primary btn-sm ml-1"
                        href="<?php echo e(route('items.manufacturing-cats', [$item->id])); ?>"
                        title="<?php echo e(__('items.manufacturing_cats')); ?>"><?php echo e(__('items.manufacturing_cats')); ?></a>
                     </a>
                     <?php endif; ?>
                     <?php if($settings->einvoice == 1 && in_array($item->item_einvoice_code, ['', ' ', null])): ?>
                     <a class="btn btn-success btn-sm"
                        href="<?php echo e(route('items.einvoice.egscode', $item->id)); ?>"
                        title="<?php echo e(__('items.einvoice_code')); ?>"><?php echo e(__('items.einvoice_code')); ?></a>
                     </a>
                     <?php endif; ?>
                  </td>
               </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
         </table>
      </div>
   </div>
   <div class="row justify-content-center">
      <?php echo e($items->appends(request()->input())->links()); ?>

   </div>
</div>
                  </div>

<div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
   aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <form id="deleteElementForm" action="<?php echo e(route('items.destroy')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <div class="modal-body pb-0" id="modal-loader-u">
               <h4><?php echo e(__('extends.delete_message')); ?></h4>
               <p class="mt-3"><?php echo e(__('extends.delete_alert')); ?></p>
               <p><?php echo e(__('extends.confirm_delete')); ?></p>
               <div id="deleteElementLoader" class="align-center"></div>
               <div id="deleteElementErrors" class="float-left"></div>
            </div>
            <div class="modal-footer d-flex justify-content-end pt-0">
               <button type="submit" class="btn btn-danger ml-1"><?php echo e(__('extends.delete')); ?> </button>
               <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo e(__('extends.close')); ?>

               </button>
            </div>
         </form>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js-scripts'); ?>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
<script>
   $(document).ready(function() {
       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
           }
       });

       $('.selectpicker').selectpicker({
           style: 'btn-default',
           size: 8
       });
   });
</script>
<script>
   $(document).ready(function() {
       var loader =
           `<div align='center' id='loader'><i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i></div><br>`;

       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
               type: "GET",
               data: null,
               contentType: false,
               cache: false,
               processData: false,
               timeout: 3000,
           }
       });

       $('#deleteElementModal').on('show.bs.modal', function(e) {
           hashedID = $(e.relatedTarget).data('id');
           $('#deleteElementLoader').empty();
           $('#deleteElementErrors').empty();
           $('#error').remove();
           $('#modal-loader-u').append(`<input name="item_id" value="${hashedID}" type="hidden">`);
       });

       $(document).on('submit', '#deleteElementForm', function(e) {
           e.preventDefault();

           $('#deleteElementLoader').empty().append(loader);
           $.ajax({
               url: "<?php echo e(route('items.destroy')); ?>",
               type: "post",
               data: $('#deleteElementForm').serialize(),
               dataType: "json",
               success: function(data) {
                   $('#deleteElementModal').modal('toggle');
                   if (data.status == true) {
                       $('#item-row-' + hashedID).fadeOut('slow');
                       $('#success_messages').empty().removeClass('hidden').text(data
                           .message);
                       setTimeout(function() {
                           $('#success_messages').addClass('hidden');
                       }, 3000);
                   } else {
                       $('#error_messages').empty().removeClass('hidden').text(data
                           .message);
                       setTimeout(function() {
                           $('#error_messages').addClass('hidden');
                       }, 3000);
                   }
               },
               error: function(response) {
                   var error = '<ul class="list-unstyled mb-0 pr-0">';
                   $.each(response.responseJSON.errors, function(index, value) {
                       error += '<li>' + value + '</li>';
                   });
                   error += "</ul>";
                   $('#currentErrorMessage').append(error);
               },
           });

       });
   });
</script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css-scripts'); ?>
<link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('tickets/css/bootstrap-select.min.css')); ?>" rel="stylesheet">
<style>
   .special {
   font-weight: bold !important;
   color: #fff !important;
   background: #bc0000 !important;
   text-transform: uppercase;
   }
   .btn-danger {
   padding: 6px 12px !important;
   }
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Item/Resources/views/index.blade.php ENDPATH**/ ?>