

<?php $__env->startSection('page_title', 'albadr home page'); ?>

<?php $__env->startSection('content'); ?>

    <?php if($not_submit_einvoices['sale'] > 0): ?>
    <div class="alert alert-warning" role="alert">
        <?php echo app('translator')->get('einvoice.page-title.einvoices-not-synced', ['count' => $not_submit_einvoices['sale']]); ?>,
        <?php echo app('translator')->get('einvoice.page-title.click-to-show-einvoices', ['link' => route('invoices.index', 'sales')]); ?>
    </div>
    <?php endif; ?>

    <?php if($not_submit_einvoices['back'] > 0): ?>
    <div class="alert alert-warning" role="alert">
        <?php echo app('translator')->get('einvoice.page-title.reterned-einvoices-not-synced', ['count' => $not_submit_einvoices['back']]); ?>,
        <?php echo app('translator')->get('einvoice.page-title.click-to-show-einvoices', ['link' => route('invoices.index', 'returned sales')]); ?>
    </div>
    <?php endif; ?>

    <!-- End section -->

    <!-- start in main-processes content -->
    <section class="main-processes">
        <div class="row grey-row gx-2">
            <div class="col-lg-6 col-12">
                <div class="card light-card p-2 m-h-card">
                    <?php if(authorized('can_sale')): ?>
                        <a href="<?php echo e(route('invoices.new', 'sales')); ?>" title="<?php echo app('translator')->get('native.add-sales'); ?> " class="btn btn-dark w-100 d-block mb-3 btn-md">
                            <span class="icon-img bg-icon icon-img__flex ">
                                <img src="<?php echo e(asset('imgs/cart.png')); ?>" alt="<?php echo app('translator')->get('native.add-sales'); ?> " title="<?php echo app('translator')->get('native.add-sales'); ?> ">
                            </span>
                            <span  class="progress-content"><?php echo app('translator')->get('native.add-sales'); ?></span>
                        </a>
                    <?php endif; ?>
                    <div class="row">
                        <?php if(authorized('can_return_sales')): ?>
                            <div class="col-md-6 col-6">
                                <a href="<?php echo e(route('invoices.new', 'returned sales')); ?>" title="<?php echo app('translator')->get('native.add-return-sales'); ?>" class="btn btn-light btn-md w-100 d-flex flex-column ">
                                    <span class="icon-img bg-icon d-block">
                                        <img src="<?php echo e(asset('imgs/Component-19-1.png')); ?>" alt="<?php echo app('translator')->get('native.add-return-sales'); ?>" title="<?php echo app('translator')->get('native.add-return-sales'); ?>"  class="invice-reg"/>
                                    </span>
                                    <?php echo app('translator')->get('native.add-return-sales'); ?>
                                </a>
                            </div>
                        <?php endif; ?>

                        <?php if(authorized('can_display_reports')): ?>
                            <div class="col-md-6 col-6 no-padding-right">
                                <a href="<?php echo e(route('salesreports.items_sales_dusring_period_report')); ?>" title="<?php echo app('translator')->get('native.Today_sales_summary'); ?> "  class=" btn btn-light w-100 d-block btn-md">
                                    <span class="icon-img bg-icon ">
                                        <img src="<?php echo e(asset('imgs/profits.png')); ?>" alt="<?php echo app('translator')->get('native.Today_sales_summary'); ?>"/>
                                    </span>
                                    <?php echo app('translator')->get('native.Today_sales_summary'); ?>
                                </a>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <!-- // clip.png -->
            <!-- // delivery.png -->
            <div class="col-lg-6 col-12 no-padding-right">
                <div class="card light-card p-2">
                    <div class="row">
                        <?php if(authorized('can_add_purchases_invoices')): ?>
                            <div class="col-md-6 col-12">
                                <a href="<?php echo e(route('invoices.new', 'purchases')); ?>" title=" <?php echo app('translator')->get('native.add_income'); ?>" class="btn btn-dark d-block mb-3 btn-md btn-block-mob">
                                    <span class="icon-img bg-icon icon-img__flex">
                                        <img src="<?php echo e(asset('imgs/clip.png')); ?>" alt=" <?php echo app('translator')->get('native.add_income'); ?>  " title=" <?php echo app('translator')->get('native.add_income'); ?> "/>
                                    </span>
                                    <span  class="progress-content"><?php echo app('translator')->get('native.add_income'); ?></span>
                                </a>
                            </div>
                        <?php endif; ?>

                        <?php if(authorized('can_display_items')): ?>
                            <div class="col-md-6 col-12 no-padding-right pd-less- mb-2">
                                <a href="<?php echo e(route('items.index')); ?>" title=" <?php echo app('translator')->get('items.title'); ?>   " class="btn btn-dark d-block btn-md btn-block-mob">
                                    <span class="icon-img bg-icon icon-img__flex">
                                        <img src="<?php echo e(asset('imgs/delivery.png')); ?>" alt="  <?php echo app('translator')->get('items.title'); ?> " title="  <?php echo app('translator')->get('items.title'); ?>  	 "/>
                                    </span>
                                    <span  class="progress-content"> <?php echo app('translator')->get('items.title'); ?> </span>
                                </a>
                            </div>
                        <?php endif; ?>

                        <?php if(authorized('can_add_spend')): ?>
                            <div class="col-md-6 col-6">
                                <a href="<?php echo e(route("spendsandincoms.index")); ?>" title="<?php echo app('translator')->get('native.spend_regi'); ?>" class="btn btn-light d-block btn-md">
                                    <span class="icon-img bg-icon d-block">
                                        <img src="<?php echo e(asset('imgs/cash-payment.png')); ?>" alt=" <?php echo app('translator')->get('native.spend_regi'); ?>" title=" <?php echo app('translator')->get('native.spend_regi'); ?>"/>
                                    </span>
                                    <?php echo app('translator')->get('native.spend_regi'); ?>
                                </a>
                            </div>
                        <?php endif; ?>

                        <?php if(authorized('can_add_client')): ?>
                            <div class="col-md-6  col-6 no-padding-right">
                                <a href="<?php echo e(route('clients.create')); ?>" title="<?php echo app('translator')->get('client.add client-supplier'); ?>" class="btn btn-light d-block btn-md">
                                    <span class="icon-img bg-icon d-block">
                                        <img src="<?php echo e(asset('imgs/Component-10-1.png')); ?>" alt="<?php echo app('translator')->get('client.add client-supplier'); ?>" title="<?php echo app('translator')->get('client.add client-supplier'); ?>"/>
                                    </span>
                                    <?php echo app('translator')->get('client.add client-supplier'); ?>
                                </a>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            
        </div>
    </section>
    <!-- end main-processes -->
    <!-- start cash -->

    <section class="cash">
        <div class="container">
            <div class="row">
                <?php if(Auth::user()->show_points > 1): ?>
                    <?php $__currentLoopData = $sale_points; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale_point): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-xl-2 col-lg-3  col-md-4 col-6">
                            <div class="card cash__card text-center">
                                <div class="card-img index-card gray-bg">
                                    <img src=" <?php echo e(asset('imgs/money.png')); ?>">
                                </div>
                                <h4>
                                    <a href="<?php echo e(route('salesreports.sales_points_transactions_report', [
                                            'safe_point_id' => $sale_point->id,
                                            'store_id' => -1,
                                            'start_date' => date('Y-m-d'),
                                            'end_date' => date('Y-m-d'),
                                        ])); ?>">
                                        <?php echo e($sale_point->point_name); ?>

                                    </a>
                                </h4>
                                <span class="badge badge-secondary badge-md"><?php echo e($sale_point->money_point); ?></span>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                <?php endif; ?>

                <?php if(authorized('can_display_reports')): ?>
                    <div class="col-xl-2 col-lg-3  col-md-4 col-6">
                        <div class="card cash__card text-center">
                            <div class="card-img index-card yellow-bg">
                                <img src=" <?php echo e(asset('imgs/Component-11-1.png')); ?>">
                            </div>
                            <h4><a href="<?php echo e(route('salesreports.min-quantity-items')); ?>"> <?php echo app('translator')->get('items.end-stock'); ?> </a></h4>
                            <span class="badge badge-secondary badge-md"><?php echo e($items_reached_minimum); ?> <?php echo app('translator')->get('items.row'); ?></span>
                        </div>
                    </div>

                    <div class="col-xl-2 col-lg-3  col-md-4 col-6  <?php if(get_session_val('show_expire_date', 'integer') == 0): ?> hidden <?php endif; ?>">
                        <div class="card cash__card text-center">
                            <div class="card-img index-card danger-bg">
                                <img src=" <?php echo e(asset('imgs/contract.png')); ?>" class="contract">
                            </div>
                            <h4><a href="<?php echo e(route('salesreports.expired-items')); ?>"> <?php echo app('translator')->get('items.item-will-expire'); ?> </a></h4>
                            <span class="badge badge-secondary badge-md"><?php echo e($items_expired_soon); ?> <?php echo app('translator')->get('items.row'); ?></span>
                        </div>
                    </div>
                <?php endif; ?>

                

            </div>
        </div>
    </section>


    <?php echo $__env->make('master::sections.tables', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js_scripts'); ?>
    <script>
        $(".menu-link").click(function(){
            $(".global-aside").addClass("open-s")
        });

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Master/Resources/views/index.blade.php ENDPATH**/ ?>