<div class="table-responsive col-md-12 row" id="spends">
    <h1 class="text-info my-2">
        <?php if($invoice_type == 'sales offers'): ?>
            <?php echo app('translator')->get('invoices.today-offers'); ?>
        <?php else: ?>
            <?php echo app('translator')->get('invoices.today-bills'); ?>
        <?php endif; ?>
    </h1>
    <table class="zui-table zui-table-rounded">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col"> <?php echo app('translator')->get('invoices.bill-no'); ?> </th>
                <th scope="col">
                    <?php echo e(trans('invoices.name', ['client' => trans('invoices.'. $invoice_type .'.client')])); ?>

                </th>
                <th scope="col"> <?php echo app('translator')->get('invoices.invoice-net'); ?> </th>
                <th scope="col"> <?php echo app('translator')->get('native.processes'); ?> </th>
            </tr>
        </thead>   

        <tbody>

            <?php $__empty_1 = true; $__currentLoopData = $invoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i => $invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <tr>
                    <td><?php echo e($loop->iteration); ?></td>
                    <td Auto_Test ="daily_invoices_bill_no_<?php echo e(++$i); ?>"><?php echo e($invoice->bill_no); ?></td>
                    <td Auto_Test="daily_invoices_client_name_<?php echo e(++$i); ?>"><?php echo e($invoice->client?->client_name); ?></td>
                    <td Auto_Test="daily_invoice_net_price_<?php echo e(++$i); ?>"><?php echo e(round_money($invoice->net_price, true)); ?></td>
                    <td Auto_Test="daily_invoices_print_<?php echo e(++$i); ?>">
                        <a href="<?php echo e(route('invoices.print', ['invoice' => $invoice->id])); ?>" target="_blank" rel="noopener noreferrer">
                            <i class="fa fa-print">
                            </i>
                        </a>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <?php if($invoice_type == 'sales offers'): ?>
                    <tr>
                        <td colspan="5" Auto_Test="daily_invoices_no_offers_today" class="py-2" > 
                            <?php echo app('translator')->get('invoices.no-offers-today'); ?>
                        </td>
                    </tr>
                <?php else: ?>
                    <tr>
                        <td colspan="5" Auto_Test="daily_invoices_no_bill_today" class="py-2"> 
                            <?php echo app('translator')->get('invoices.no-bills-today'); ?>
                        </td>
                    </tr>
                <?php endif; ?>
            <?php endif; ?>
        </tbody>
    </table>
</div><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/layouts/create/daily_invoices.blade.php ENDPATH**/ ?>