

<?php $__env->startSection('content'); ?>
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12">

                    <h2 class="text-info"><?php echo e(trans('store.store_items')); ?> - <u
                                class="text-danger"><?php echo e($store->store_name); ?></u></h2>

                    <div class="pull-left my-4">
                        <a href="javascript:void(0)"
                           class="btn-print btn btn-success noprint"> <?php echo e(trans('extends.print')); ?> </a>
                        <a href="javascript:void(0)" id="convert_all"
                           class="btn btn-info noprint"><?php echo e(trans('store.trans_all')); ?></a>

                    </div>

                </div>

                <div class="row hidden col-md-12" id="hidden_div">
                    <div class="col-md-12 row">
                        <form id="transform_all" action="<?php echo e(route('stores.transform-all')); ?>" method="post" class="col-md-12 row custome-form">

                            <?php echo e(csrf_field()); ?>


                            <input type="hidden" name="current" value="<?php echo e($store->id); ?>">
                            <input type="hidden" name="date" class="date">
                            <div class="row col-md-12">
                                <div class="col-md-6 col-md-offset-6">
                                    <div class="well">
                                        <div class="row">
                                            <div class="col-md-8">
                                                <div class="form-group">
                                                    <label for=""><?php echo e(trans('store.trans_to')); ?>: </label>
                                                    <select name="store_id" id="store_id" class="form-control input-normal">
                                                        <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $st): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($st->id); ?>"><?php echo e($st->store_name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <label for="" class="text-white"><?php echo e(trans('store.trans_to')); ?>: </label>
                                                <button class="btn btn-danger"
                                                        id="do-transform" type="submit">
                                                    <?php echo e(trans('store.confirm_trans')); ?>

                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="col-md-4 width40">
                <img id="logo" style="display: none;" src="<?php echo e(config('main.badr').$img); ?>" height="60">
            </div>
            <div class="row col-xs-12 col-md-12 col-md-offset-1">

                <div class="row col-md-12 mt-4">
                    <div class="col-md-12 col-xs-12 table table-responsivetable-striped">
                        <table class="col-md-12 table-hover table-bordered text-center">
                            <thead>
                            <tr class="bg-info text-white">
                                <th scope="col">#</th>
                                <th scope="col"><?php echo e(trans('extends.store')); ?></th>
                                <th scope="col"><?php echo e(trans('extends.name')); ?></th>
                                <th scope="col"><?php echo e(trans('extends.quantity')); ?></th>
                                <th scope="col"><?php echo e(trans('native.sale_price')); ?></th>
                            </tr>
                            </thead>

                            <tbody id="content">
                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr data-toggle="collapse" data-target="#demo"
                                    <?php if (! ($item->store_quant > 0)): ?> class="noprint" <?php endif; ?>>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e($store->store_name); ?></td>
                                    <td><?php echo e($item->item_name); ?></td>
                                    <td><?php echo e($item->store_quant); ?></td>
                                    <td><?php echo e(round_money($item->price)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>

                        </table>
                    </div>

                </div>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>

    <script type="text/javascript">

        if ('<?php echo e(get_session_val('date_type', 'Integer')); ?>' == '2') {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
                selectDefaultDate: true

            });
        } else {
            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
                selectDefaultDate: true
            });
        }


        $('.btn-print').click(function (e) {
            e.preventDefault();
            window.print();
        });

        $('#convert_all').on('click', function () {
            if ($('#hidden_div').hasClass('hidden')) {
                $('#hidden_div').removeClass('hidden');
            } else {
                $('#hidden_div').addClass('hidden');
            }
        });

        var len = $('#content tr').length;

        if (len > 0) {
            $('#convert_all').removeClass('hidden');
            $('.btn-print').removeClass('hidden');
        } else {
            $('#convert_all').addClass('hidden');
            $('.btn-print').addClass('hidden');
        }

        $(document).on('submit', '#transform_all', function () {
            $('#do-transform').replaceWith('<span style="margin-top:1.7em;" class="fa fa-3x fa-spinner fa-spin"></span>')
        });

    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css-scripts'); ?>

    <style>
        @media  print {
            .noprint {
                display: none;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Store/Resources/views/show.blade.php ENDPATH**/ ?>