<div class="form-group" id="modal_unit_form_group">
    <label class="control-label" for="barcode"> <?php echo app('translator')->get('items.unit.title'); ?> :</label>
    <select data-live-search="true" class="form-control selectpicker" name="unit_id" id="edit_unit">
        <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($unit->id); ?>" data-unit_name="<?php echo e($unit->name); ?>"
            data-unit_einvoice_code="<?php echo e($unit->unit_einvoice_code); ?>" <?php if($unit->id == $sub_unit->unit_id): ?> selected
            <?php endif; ?>>
            <?php echo e($unit->name); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </select>
</div>

<input type='hidden' name='id' value="<?php echo e($sub_unit->id); ?>">

<?php if($settings->einvoice == 1): ?>
    <div class="form-group">
        <label class="control-label" for="modal_edit_unit_einvoice_code"><?php echo e(__('items.unit.einvoice_code')); ?>

            :</label>
        <input type="text" class="form-control" name="unit_einvoice_code" id="modal_edit_unit_einvoice_code"
            value="<?php echo e($sub_unit->unit_einvoice_code); ?>" readonly>
    </div>
<?php endif; ?>

<div class="form-group">
    <label class="control-label" for="modal_edit_unit_value"><?php echo e(__('items.unit.value')); ?> :</label>
    <input type="text" value="<?php echo e(quant_decimal($sub_unit->unit_value)); ?>" class="form-control" name="unit_value"
        id="modal_edit_unit_value" />
</div>

<div class="form-group">
    <label class="control-label" for="modal_edit_unit_price"><?php echo e(__('items.unit.price')); ?> :</label>
    <input type="text" value="<?php echo e(quant_decimal($sub_unit->unit_price)); ?>" class="form-control" name="unit_price"
        id="modal_edit_unit_price" />
</div>

<div class="form-group">
    <label class="control-label" for="modal_edit_unit_barcode"><?php echo e(__('items.unit.barcode')); ?> :</label>
    <input type="text" value="<?php echo e($sub_unit->unit_barcode); ?>" class="form-control" name="unit_barcode"
        id="modal_edit_unit_barcode" />
</div>

<div class="row">
    <div class="col-md-6 hidden">
        <div class="form-group">
            <label class="control-label" for="modal_edit_unit_value"><?php echo e(__('items.unit.type')); ?> :</label>
            <select class="form-control" name="unit_type" id="modal_edit_unit_value">
                <option <?php if($sub_unit->unit_type == 0): ?> selected <?php endif; ?> value="0"><?php echo e(__('items.unit.larger')); ?>

                </option>
                <option <?php if($sub_unit->unit_type == 1): ?> selected <?php endif; ?> value="1"><?php echo e(__('items.unit.smaller')); ?>

                </option>
            </select>
        </div>
    </div>

    <div class="col-md-6 hidden">
        <div class="form-inline">
            <label class="control-label" for="modal_edit_screenhidden"><?php echo e(__('items.show_in_store')); ?> :</label>
            <input type="checkbox" class="form-control" name="screenhidden" id="modal_edit_screenhidden"
                <?php if($sub_unit->Screenhidden == 1): ?> checked <?php endif; ?>>
        </div>
    </div>
</div>

<input type="hidden" name="current_id" id="modal_edit_current_id" value="<?php echo e($sub_unit->id); ?>">
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Item/Resources/views/item_subunit/edit_subunit_render.blade.php ENDPATH**/ ?>