<?php if(get_session_val('screen_type', 'integer') == 0): ?>
    <div class="card mb-1_5 pt-1_5 col-md-12" style="background-color: <?php echo e($bg_color); ?>">
        <div class="container">
            <?php if(get_session_val('barcode_reader', 'Integer') &&
                    (is_null($invoice) || $invoice_type == 'sales') &&
                    !(get_session_val('manufacturing', 'integer') == 2 &&
                        in_array($invoice_type, ['sales', 'returned sales']) &&
                        get_session_val('definite_while_selling', 'integer') == 1
                    )): ?>
                <div class="form-group row">
                    <label for="barcode" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('orders.barcode')); ?>

                    </label>
                    <div class="col-sm-4 col-8">
                        <input type="number" class="form-control input-sm input-normal" id="barcode" name="barcode" Auto_Test ="new_item_barcode" />
                        <small id="barcodeMessage"></small>
                    </div>

                    <?php if(get_session_val('screen_type', 'integer') == 1 && !(!is_null($invoice) && $invoice_type == 'returned sales')): ?>
                        <div class="col-md-6">
                            <div class="btn-group radio-group" role="group"
                                aria-label="Basic radio toggle button group">
                                <input type="radio" class="btn-check" name="barcode_reader" id="barcode_reader1" Auto_Test ="new_item_barcode_reader1"
                                    autocomplete="off" checked="checked" value="1">
                                <label class="btn btn-outline-light  active" for="barcode_reader1">
                                    <?php echo e(trans('extends.barcode_reader_one')); ?>

                                </label>
                            </div>
                        </div>
                    <?php else: ?>
                        <div class="col-md-6">
                            <div class="btn-group radio-group" role="group"
                                aria-label="Basic radio toggle button group">
                                <input type="radio" class="btn-check" name="barcode_reader" id="barcode_reader1" Auto_Test = "new_item_barcode_reader1_2"
                                    autocomplete="off" <?php if(get_session_val('barcode_reader', 'Integer') == 1): ?> checked="checked" <?php endif; ?>
                                    value="1">
                                <label
                                    class="btn btn-outline-light  <?php if(get_session_val('barcode_reader', 'Integer') == 1): ?> <?php echo e('active'); ?> <?php endif; ?>"
                                    for="barcode_reader1">
                                    <?php echo e(trans('extends.barcode_reader_one')); ?>

                                </label>

                                <input type="radio" class="btn-check" name="barcode_reader" id="barcode_reader2" Auto_Test = "new_item_barcode_reader2"
                                    autocomplete="off" <?php if(get_session_val('barcode_reader', 'Integer') == 2): ?> checked="checked" <?php endif; ?>
                                    value="2">
                                <label
                                    class="btn btn-outline-light  <?php if(get_session_val('barcode_reader', 'Integer') == 2): ?> <?php echo e('active'); ?> <?php endif; ?>"
                                    for="barcode_reader2">
                                    <?php echo e(trans('extends.barcode_reader_choose')); ?>

                                </label>
                            </div>
                        </div>
                    <?php endif; ?>

                </div>
            <?php endif; ?>

            <?php if(!get_session_val('screen_type', 'integer') || (!is_null($invoice) && $invoice_type == 'returned sales')): ?>

                <div class="form-group row">
                    <?php if(is_null($invoice) || $invoice_type == 'sales'): ?>
                        <label for="item_result" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('orders.item')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="text" class="form-control input-sm input-normal with-add-icon"
                                name="item_result" autocomplete="off" autofocus id="item_result" Auto_Test ="new_item_item_result" data-id=""
                                data-pay="" data-sale="" data-vat="" data-vatid="" data-vatvalue=""
                                data-main="" data-serial="" data-purchase_code="">
                            <span class="add-icon" data-toggle="modal" data-target="#addNewItemModal" id="new_item">
                                +
                            </span>
                        </div>
                        <small class="text-primary mt-2" style="font-weight: bolder;" id="itemMessage"></small>

                        <div class="col-sm-4 col-8" id="result">

                        </div>
                    <?php else: ?>
                        <label for="item_result" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('orders.item')); ?> </label>
                        <select name="item_result" id="item_result" Auto_Test ="new_item_item_result2"
                            class="form-control input-sm input-light select2 selectpicker padding-select col-md-9 with-add-icon mr-3"
                            data-live-search="true" data-id="" data-pay="" data-sale="" data-vat=""
                            data-vatid="" data-vatvalue="" data-main="" data-serial="" data-purchase_code="">
                            <option value="0" class="hidden" selected> <?php echo app('translator')->get('native.select_item'); ?> </option>

                            <?php
                                $invoice_discount = 0;

                                if ($invoice->invoice_total_disc_status == 0) {
                                    $invoice_discount = $invoice->invoice_total_disc / $invoice->bill_total;
                                }
                            ?>

                            <?php $__currentLoopData = $invoice->InvoiceDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $details): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $vats_ids = $vats_values = $vats_usage_status = $vats_types = $vats_opers = $vats_usage = $lists_prices = $lists_qtys = '';

                                    foreach ($invoice->vats as $vat) {
                                        $collection  = $invoice->vats->where('item_id', $details->item_id)->where('unit_id', $details->unit_id);
                                        $vats_ids    = $collection->implode('vat_id', ',');
                                        $vats_values = $collection->implode('vat_value', ',');
                                        $vats_types = $collection->implode('vat_type', ',');
                                        $vats_usage_status = trim( str_repeat('0,', $collection->count()), ',' );
                                        $vats_opers = trim( str_repeat('0,', $collection->count()), ',' );
                                        $vats_usage = trim( str_repeat('1,', $collection->count()), ',' );
                                    }

                                    $item_selected_unit_val = 1;

                                    if ($details->Item->unit_id == $details->unit_id) {
                                        $item_selected_unit = $details->Item->Unit;
                                    } else {
                                        foreach ($details->Item->subUnits as $sub_unit) {
                                            if ($sub_unit->unit_id == $details->unit_id) {
                                                $item_selected_unit = $sub_unit->Unit;
                                                $item_selected_unit_val = $sub_unit->unit_value;
                                                break;
                                            }
                                        }
                                    }

                                    // $sale_price = $details->price_without_vat - $details->price_without_vat * $invoice_discount;
                                    $sale_price = $details->sale_price - $details->sale_price * $invoice_discount;

                                    $item_selected_unit_details = '<option value="' . $item_selected_unit->id . '" data-price="' . $details->pay_price * $item_selected_unit_val . '" data-unit-val = "1" data-sale="' . $sale_price . '" data-item="' . $details->item_id . '" data-low="' . $details->Item->lowest_price . '" data-expire="' . $details->Item->expire_date . '"  selected> ' . $item_selected_unit->name . ' </option>';

                                    $details_net_qty = floatVal($details->quantity) - floatVal($invoice->childInvoiceDetails->where('item_id', $details->item_id)->first()->total_qty ?? 0);

                                    $sold_serials = $details->SoldSerials;
                                    $sold_serials_details = '';

                                    if (!is_null($sold_serials)) {
                                        $first = true;
                                        foreach ($sold_serials as $serial_details) {
                                            if ($first) {
                                                $sold_serials_details .= $serial_details->serial;
                                                $first = false;
                                            } else {
                                                $sold_serials_details .= ',' . $serial_details->serial;
                                            }
                                        }
                                    }

                                ?>

                                <?php if(!$details_net_qty) continue; ?>

                                <option  Auto_Test ="new_item_options" class="li_option" data-id="<?php echo e($details->item_id); ?>"
                                    data-pay="<?php echo e($details->pay_price); ?>" data-sale="<?php echo e($sale_price); ?>"
                                    data-vat="<?php echo e($details->Item->vat_state); ?>"
                                    data-purchase_vat="<?php echo e($details->purchase_vat_state); ?>"
                                    data-vats_ids="<?php echo e($vats_ids); ?>"
                                    data-lowest_sale_price="<?php echo e($details->Item->lowest_price); ?>"
                                    data-about="<?php echo e($details->item_about); ?>"
                                    data-purchase_code="<?php echo e($details->Item->purchase_code); ?>"
                                    data-vats_values="<?php echo e($vats_values); ?>" data-vats_types="<?php echo e($vats_types); ?>"
                                    data-vats_opers="<?php echo e($vats_opers); ?>" data-vats_usage="<?php echo e($vats_usage); ?>"
                                    data-vats_usage_status="<?php echo e($vats_usage_status); ?>"
                                    data-main="<?php echo e($details->unit_id); ?>" data-qty="<?php echo e($details_net_qty); ?>"
                                    data-serial="<?php echo e($details->Item->require_serial); ?>"
                                    data-company_income="<?php echo e($details->Item->income_ratio ?? 0); ?>"
                                    data-unit_details="<?php echo e($item_selected_unit_details); ?>"
                                    data-serials="<?php echo e($sold_serials_details); ?>">
                                    <?php echo e($details->Item->item_name . '-' . $item_selected_unit->name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    <?php endif; ?>

                </div>


                <div class="form-group row">
                    <label for="about" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('orders.about')); ?> </label>
                    <div class="col-sm-4 col-8">
                        <input type="text" class="form-control input-sm input-normal" id="about" Auto_Test ="new_item_about"
                            name="about" disabled />
                    </div>

                    <label for="item_unit" class="col-sm-2 col-4 col-form-label small-screen-margin">
                        <?php echo e(trans('orders.unit')); ?> </label>
                    <div class="col-sm-4 col-8">
                        <select data-item_id="4931" data-unit_id="1" data-val="1" id="item_unit" Auto_Test ="new_item_item_unit"
                            class="form-control   input-sm input-normal items-list-units col-sm-12 col-12" style="height: 38px;"
                            name="item_unit[4931]" <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> disabled <?php endif; ?>>

                        </select>
                    </div>
                </div>

                <div class="form-group row">
                    <label for="amount" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('orders.amount')); ?>

                    </label>
                    <div class="col-sm-4 col-8">
                        <input type="number" step="0.0001" class="form-control input-sm input-normal"
                            id="amount" name="amount" Auto_Test ="new_item_amount" />
                        <input type="hidden" class="form-control col-md-8" data-val="0.0" name="item"
                            id="item" Auto_Test ="new_item_item" />
                    </div>

                    <div class="col-sm-6">
                        <p class="mb-0" id="current_quantity"> <?php echo app('translator')->get('native.current_quantity'); ?> <span> 0.00 </span> </p>
                    </div>
                </div>

                <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?>
                    <div class="form-group row"
                        <?php if(!authorized('can_see_purchase_price')): ?> style=" display: none !important;" <?php endif; ?>>

                        <label for="purchase_price" class="col-sm-2 col-12 col-form-label">
                            <?php echo e(trans('native.pay_price')); ?>

                        </label>
                        <div class="col-sm-4 col-12">
                            <input type="number" step="0.0001" class="form-control input-sm input-normal "
                                data-purchase="0.0" id="purchase_price" Auto_Test ="new_item_purchase_price" name="purchase_price" value="0"
                                <?php if(get_session_val('incom_total_filed', 'Integer') == 1): ?> disabled <?php endif; ?> />
                        </div>

                        <label for="purchase_price" class="col-sm-2 col-4 col-form-label"> <?php echo app('translator')->get('invoices.middle'); ?>
                            <?php echo e(trans('native.pay_price')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="number" step="0.0001" class="form-control input-sm input-normal "
                                data-purchase="0.0" id="avg_price"  Auto_Test ="new_item_avg_price" name="avg_price" value="0" disabled />
                        </div>

                        <?php if(get_session_val('multi_currency', 'Integer') == 1): ?>
                            <div class="hidden form-group col-md-2">
                                <label class="first"></label>
                            </div>
                        <?php endif; ?>
                    </div>
                <?php else: ?>
                    <div class="form-group row">
                        <label for="sale_price" class="col-sm-2 col-4 col-form-label">
                            <?php echo e(trans('orders.sale_price')); ?>

                        </label>

                        <div class="col-sm-4 col-8">
                            <input type="number" step="0.0001" class="form-control input-sm input-normal"
                                data-sale="0.0" name="sale_price" id="sale_price"  Auto_Test ="new_item_sale_price" value="0"
                                <?php if(auth()->user()->sale_price != 1): ?> <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales' || $invoice_type == 'sales offers'): ?>
                                       disabled <?php endif; ?>
                                <?php endif; ?>
                            <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> readonly <?php endif; ?>
                            />
                        </div>

                        <label for="low_price" class="col-sm-2 col-12 col-form-label small-screen-margin"> <?php echo app('translator')->get('invoices.details.lower-sale-price'); ?> </label>
                        <div class="col-sm-4 col-12">
                            <input type="number" step="0.0001"
                                class="form-control input-sm input-normal small-screen-margin" data-sale="0.0"
                                id="low_price"  Auto_Test ="new_item_low_price" name="low_price" value="0" disabled />
                        </div>
                    </div>

                    <div class="form-group row bg-white alert px-4 mx-1 my-3 hidden" id="alert_sale_less_than_pay">

                    </div>

                    <div class="form-group row">

                        <?php if(get_session_val('multi_price', 'integer') == 1 && !in_array($invoice_type, ['purchases', 'returned purchases'])): ?>
                            <label for="multi_prices_selection"
                                class="col-sm-2 col-4 col-form-label small-screen-margin <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> hidden <?php endif; ?>">
                                <?php echo app('translator')->get('native.MultiPrice'); ?>
                            </label>
                            <div class="col-sm-4 col-8 <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> hidden <?php endif; ?>"">
                                <select class="form-control input-light"  Auto_Test ="new_item_multi_prices_selection" id="multi_prices_selection">

                                </select>
                            </div>
                        <?php endif; ?>

                        <?php if(get_session_val('client_last_saleprice', 'integer')): ?>
                            <label for="last_sale_price" class="col-sm-2 col-4 col-form-label"> <?php echo app('translator')->get('invoices.details.last-sale-price'); ?> </label>
                            <div class="col-sm-4 col-8">
                                <input type="number" step="0.0001" class="form-control input-sm input-normal"
                                    data-sale="0.0"  Auto_Test ="new_item_last_sale_price" name="last_sale_price" id="last_sale_price" value="0"
                                    disabled />
                            </div>

                            <label id="last_sale_price_msg" class="col-sm-2 col-4 col-form-label text-danger">
                            </label>
                        <?php endif; ?>

                    </div>
                <?php endif; ?>


                <div class="form-group row">
                    <label for="number" class="col-sm-6 col-md-2 col-12 col-form-label d-block"
                        <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales'): ?> <?php if(!authorized('can_see_sale_price')): ?> style=" display: none !important;" <?php endif; ?>
                    <?php else: ?> <?php if(!authorized('can_add_purchases_invoices')): ?> style=" display: none !important;" <?php endif; ?>
                        <?php endif; ?>
                        >

                        <p <?php if(!authorized('can_see_purchase_price')): ?> style=" display: none !important;" <?php endif; ?>> <?php echo app('translator')->get('invoices.main_price'); ?>
                        </p>
                        <p class="d-block" id="show_basic_price"
                            <?php if(!authorized('can_see_purchase_price')): ?> style=" display: none !important;" <?php endif; ?>> 0.00 </p>
                    </label>
                    <?php if(get_session_val('company_ratio', 'Integer') == 1): ?>
                        <?php if(
                            ($invoice_type != 'sales' && is_null($invoice)) ||
                                ($invoice_type == 'sales' && authorized('can_sale_with_discount'))): ?>
                            <div class="col-sm-4 col-12">
                                <label class="font-weight-bold">
                                    <?php echo app('translator')->get('native.discount'); ?>
                                    <input type="radio" value="0" name="operation" checked Auto_Test ="new_item_ratio_input">
                                </label>
                                <label class="font-weight-bold">
                                    الاضافة
                                    <input type="radio" value="1" name="operation" Auto_Test ="new_item_ratio_input">
                                </label>


                                <input class="form-control" type="number" step="0.0001" id="ratio_input" Auto_Test ="new_item_ratio_input"
                                    style=" width: 60%;float:left;">
                            </div>
                            <div class="input-sm input-normal  with-add-icon main-price col-sm-4 col-12">
                                <input type="radio" id="ratio_money" Auto_Test ="new_item_ratio_mony" name="ratio_type" value="1"> <?php echo app('translator')->get('native.money_amount'); ?>
                                <input type="radio" id="ratio_percent" Auto_Test ="new_item_ratio_percent" checked="" name="ratio_type"
                                    value="0"> <?php echo app('translator')->get('native.rate'); ?>
                            </div>


                            <!-- <div class="col-sm-4 col-5 mr-auto">
                                <span class="add-icon icon-main-price discount icon-small-screen">
                                    <input type="radio" name="ratio_type"
                                    class="value-button price-button amount-button" id="ratio_type" checked="" value="1">
                                    <label for="ratio_type">مبلغ</label>
                                    <input type="radio" name="ratio_percent"
                                    class="value-button price-button amount-button" id="ratio_percent" value="0">
                                    <label for="ratio_percent">نسبة</label>

                                </span>
                            </div> -->
                        <?php endif; ?>
                    <?php endif; ?>

                </div>

                <div class="form-group row"
                    <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales'): ?> <?php if(!authorized('can_see_sale_price')): ?> style=" display: none !important;" <?php endif; ?>
                <?php else: ?> <?php if(!authorized('can_add_purchases_invoices')): ?> style=" display: none !important;" <?php endif; ?> <?php endif; ?>
                    >
                    <label for="item_total" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('native.total')); ?>

                    </label>
                    <div class="col-sm-4 col-8">
                        <input type="number" step="0.0001" class="form-control input-sm input-normal "
                            data-purchase="0.0" id="item_total" Auto_Test ="new_item_item_total" name="item_total" value="0"
                            <?php if(get_session_val('incom_total_filed', 'Integer') == 0 || $invoice_type != 'purchases'): ?> disabled <?php endif; ?>
                            <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> readonly <?php endif; ?> />
                    </div>
                </div>

                <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales' || $invoice_type == 'sales offers'): ?>
                    <div class="form-group row"
                        <?php if(!authorized('can_see_purchase_price')): ?> style=" display: none !important;" <?php endif; ?>>
                        <label for="purchase_price" class="col-sm-2 col-4 col-form-label">
                            <?php echo e(trans('native.pay_price')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="number" step="0.0001" class="form-control input-sm input-normal "
                                data-purchase="0.0" Auto_Test ="new_item_purchases_price2" id="purchase_price" name="purchase_price" value="0"
                                disabled />
                        </div>
                        <?php if(get_session_val('multi_currency', 'Integer') == 1): ?>
                            <div class="hidden form-group col-md-2">
                                <label class="first"></label>
                            </div>
                        <?php endif; ?>
                    </div>
                <?php else: ?>
                    <div class="form-group row"
                        <?php if(!authorized('can_see_sale_price')): ?> style=" display: none !important;" <?php endif; ?>>
                        <label for="sale_price" class="col-sm-2 col-4 col-form-label">
                            <?php echo e(trans('orders.sale_price')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="number" step="0.0001" class="form-control input-sm input-normal"
                                data-sale="0.0" name="sale_price" Auto_Test ="new_item_sale_price2" id="sale_price" value="0"
                                <?php if(get_session_val('income_saleprice', 'Integer') == 0): ?> disabled <?php endif; ?>
                                <?php if(!authorized('can_change_sale_price')): ?> disabled <?php endif; ?>
                                <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> readonly <?php endif; ?> />
                        </div>

                        <label for="low_price" class="col-sm-2 col-4 col-form-label small-screen-margin"> <?php echo app('translator')->get('invoices.details.lower-sale-price'); ?> </label>
                        <div class="col-sm-4 col-8">
                            <input type="number" step="0.0001"
                                class="form-control input-sm input-normal small-screen-margin" data-sale="0.0"
                                id="low_price" Auto_Test ="new_item_low_price" name="low_price" value="0"
                                <?php if(get_session_val('income_saleprice', 'Integer') == 0): ?> disabled <?php endif; ?>
                                <?php if(!is_null($invoice) && $invoice_type == 'returned sales'): ?> readonly <?php endif; ?> />
                        </div>
                    </div>
                <?php endif; ?>

                <?php if(get_session_val('show_expire_date', 'integer') == 1): ?>
                    <div class="form-group row mb-4">
                        <label for="expire_date" class="col-sm-2 col-12 col-form-label">
                            <?php echo e(trans('items.expire_date')); ?>

                        </label>
                        <div class="col-sm-4 col-12">
                            <input type="text" id="expire_date" Auto_Test ="new_item_expire_date" name="expire_date"
                                <?php if($invoice_type != 'purchases'): ?> readonly  disabled <?php endif; ?>
                                class="form-control input-sm input-light date is-datepicker">
                            <span>
                                <i class="fa fa-calendar-alt calendar-icon"
                                    <?php if(get_session_val('screen_type', 'integer') == 1): ?> style="margin-bottom: 14px !important;" <?php endif; ?>></i>
                            </span>
                        </div>
                    </div>
                <?php endif; ?>

            <?php endif; ?>

            <div class="form-group row mb-4 mt-3">
                <textarea id="item_note" class="form-control" rows="5" placeholder="ملاحظات عن الصنف"></textarea>
            </div>

            <div class="form-group row">
                <div class="col-sm-6">
                    <a class="button button-danger w-100 text-white" id="addMe">
                        <?php echo e(trans('orders.add')); ?>

                        <span>
                            F1
                        </span>
                    </a>
                </div>
            </div>


            <input type="number" class="hidden" id="current_selection" Auto_Test ="new_item_current_selection" value="-1">
        </div>
    </div>
<?php else: ?>
    <div class="card mb-1_5 pt-1_5 col-md-12" style="background-color: <?php echo e($bg_color); ?>">
        <div class="container">
            <div class="form-group row">
                <label for="barcode" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('orders.barcode')); ?></label>
                <div class="col-sm-10 col-8">
                    <input type="number" class="form-control input-sm input-normal" id="barcode" Auto_Test ="new_item_barcode2" name="barcode" />
                    <small id="barcodeMessage"></small>
                </div>
            </div>

            <div class="row">
                <label for="item_result" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('orders.item')); ?></label>
                <div class="col-sm-10 col-8">
                    <input type="text" class="form-control input-sm input-normal"
                        name="item_result" autocomplete="off" autofocus id="item_result" Auto_Test ="new_item_item_result" data-id=""
                        data-pay="" data-sale="" data-vat="" data-vatid="" data-vatvalue=""
                        data-main="" data-serial="" data-purchase_code="">
                </div>
                <small class="text-primary mt-2" style="font-weight: bolder;" id="itemMessage"></small>
                <div class="col-sm-10 col-8" id="result"></div>
            </div>
        </div>
    </div>
<?php endif; ?>


<!-- Modal -->
<div class="modal fade" id="addNewItemModal" tabindex="-1" role="dialog" aria-labelledby="addNewItemModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addNewItemModalLabel"> <?php echo e(__('items.add_item')); ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="embed-responsive embed-responsive-21by9" id="adding_new_item_cont"
                    style="height: 400px;">
                    <iframe class="embed-responsive-item" Auto_Test ="new_item_adding_new_item_iframe" id="adding_new_item_iframe" src=""></iframe>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary"
                    data-dismiss="modal"><?php echo e(__('extends.close')); ?></button>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/layouts/create/new_item.blade.php ENDPATH**/ ?>