

<?php $__env->startSection('content'); ?>
<div class="card card-light mb-1_5 p-3">

    <div class="container-fluid">
        <div class="row">
            
            <div>
                <h2 class="text-info" id="title_text">
                    <?php echo e(__('reports.items_inventory_date', ['date' => now()->format('Y-m-d')])); ?>

                </h2>
            </div>
            <form class="col-md-12 mt-2 hidden-print custome-form">
                <div class="form-row row">
                    <div class="form-group col-md-4">
                        <label class="control-label"><?php echo e(__('reports.store')); ?> :</label>
                        <select class="form-control selectpicker col-md-12 items---" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="store_id" id="store_id">
                            <?php if(auth()->user()->change_store == '1'): ?>
                                <option <?php if(request('store_id') == '-1'): ?> selected <?php endif; ?>
                                    data-name="<?php echo e(__('reports.all_stores')); ?>" value="-1">
                                    <?php echo e(__('reports.all_stores')); ?></option>
                            <?php endif; ?>
                            <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php if($store->id == request('store_id')): ?> selected <?php endif; ?>
                                    data-name="<?php echo e($store->store_name); ?>" value="<?php echo e($store->id); ?>">
                                    <?php echo e($store->store_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label class="control-label"><?php echo e(__('reports.supplier')); ?> :</label>
                        <select class="form-control selectpicker col-md-12 items---" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="supplier_id" id="supplier_id">
                            <option <?php if(request('supplier_id') == '-1'): ?> selected <?php endif; ?>
                                data-name="<?php echo e(__('reports.all_suppliers')); ?>" value="-1">
                                <?php echo e(__('reports.all_suppliers')); ?></option>
                            <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php if($supplier->id == request('supplier_id')): ?> selected <?php endif; ?>
                                    data-name="<?php echo e($supplier->supplier_name); ?>" value="<?php echo e($supplier->id); ?>">
                                    <?php echo e($supplier->supplier_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label class="control-label"><?php echo e(__('reports.category')); ?> :</label>
                        <select class="form-control selectpicker col-md-12 items---" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="category_id" id="category_id">
                            <option <?php if(request('category_id') == '-1'): ?> selected <?php endif; ?>
                                data-name="<?php echo e(__('reports.all_categories')); ?>" value="-1">
                                <?php echo e(__('reports.all_categories')); ?></option>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php if($category->id == request('category_id')): ?> selected <?php endif; ?> data-name="<?php echo e($category->name); ?>"
                                    value="<?php echo e($category->id); ?>"><?php echo e($category->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="form-row row">
                    <div class="form-group col-md-4">
                        <label class="control-label"><?php echo e(__('reports.name_description')); ?> :</label>
                        <input class="form-control col-md-12" type="text" name="item_name"
                            value="<?php echo e(request('item_name')); ?>">
                    </div>
                    <div class="form-group col-md-4">
                        <label class="control-label"><?php echo e(__('reports.sort')); ?> :</label>
                        <select class="form-control col-md-12 selectpicker" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="order" id="order">
                            <option <?php if(request('order') == 'item_name'): ?> selected <?php endif; ?> value="item_name">
                                <?php echo e(__('reports.alphabetic')); ?></option>
                            <option <?php if(request('order') == 'barcode'): ?> selected <?php endif; ?> value="barcode">
                                <?php echo e(__('reports.barcode')); ?></option>
                            <option <?php if(request('order') == 'quantity'): ?> selected <?php endif; ?> value="quantity">
                                <?php echo e(__('reports.amount')); ?></option>
                            <option <?php if(request('order') == 'add_date'): ?> selected <?php endif; ?> value="add_date">
                                <?php echo e(__('reports.added_date')); ?></option>
                        </select>
                    </div>

                    <?php if($item_factory == 1): ?>
                        <div class="form-group col-md-4">
                            <label class="control-label"><?php echo e(__('reports.factory')); ?> :</label>
                            <select class="form-control col-md-12 selectpicker items---" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="factory" id="factory">
                                <option <?php if(request('factory') == '-1'): ?> selected <?php endif; ?> value="-1">
                                    <?php echo e(__('reports.all_factory')); ?></option>
                                <?php $__currentLoopData = $factories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $factory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if(request('factory') == $factory->id): ?> selected <?php endif; ?>
                                        value="<?php echo e($factory->id); ?>"><?php echo e($factory->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    <?php endif; ?>

                    <?php if($multi_price == 1): ?>
                        <div class="form-group col-md-4">
                            <label class="control-label"><?php echo e(__('reports.prices')); ?> :</label>
                            <select class="form-control col-md-12 selectpicker items---" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" name="prices" id="prices">
                                <option value="-1"><?php echo e(__('reports.all_prices')); ?></option>
                                <?php $__currentLoopData = $prices_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($list->id == request('prices')): ?> selected <?php endif; ?>
                                        value="<?php echo e($list->id); ?>"><?php echo e($list->list_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="form-row row justify-content-end">
                    <button type="submit" class="btn btn-primary hidden-print"><?php echo e(__('reports.search')); ?></button>
                    <?php if(auth()->user()->watch == 1): ?>
                        
                        
                    <?php endif; ?>
                </div>
            </form>
        </div>
        <div class="row hidden-print mt-3 mb-1">

    <div class="col-md-12">
            <div class="form-check form-check-inline check-list">
                <label class="ml-2"><input type="checkbox" id="item_colum" class="checkbox_item"checked>
                    <?php echo e(__('reports.item_name')); ?></label>
                <label class="ml-2"><input type="checkbox" id="barcode" class="checkbox_item" checked>
                    <?php echo e(__('reports.barcode')); ?></label>
                <label class="ml-2"><input type="checkbox" id="about" class="checkbox_item" checked>
                    <?php echo e(__('reports.description')); ?></label>
                <label class="ml-2"><input type="checkbox" id="category" class="checkbox_item" checked>
                    <?php echo e(__('reports.category')); ?></label>

                <?php if($color_size == 1): ?>
                    <label><input type="checkbox" id="size" class="checkbox_item" checked>
                        <?php echo e(__('reports.size')); ?></label>
                <?php endif; ?>

                <label class="ml-2"><input type="checkbox" id="quantity" class="checkbox_item" checked>
                    <?php echo e(__('reports.amount')); ?></label>
                <label class="ml-2"><input type="checkbox" id="sale_price" class="checkbox_item" checked>
                    <?php echo e(__('reports.item_pay_price')); ?></label>
                <label class="ml-2"><input type="checkbox" id="total_sale_price" class="checkbox_item" checked>
                    <?php echo e(__('reports.total_pay')); ?></label>

                <?php if(auth()->user()->show_pay_price == 1): ?>
                    <label class="ml-2"><input type="checkbox" id="pay_price" class="checkbox_item" checked>
                        <?php echo e(__('reports.item_sale_price')); ?></label>
                    <label class="ml-2"><input type="checkbox" id="total_pay_price" class="checkbox_item" checked>
                        <?php echo e(__('reports.total_sale')); ?></label>
                <?php endif; ?>

                <?php if($multi_price == 1): ?>
                    <label class="ml-2"><input type="checkbox" id="prices_list" class="checkbox_item" checked>
                        <?php echo e(__('reports.prices')); ?></label>
                <?php endif; ?>

                <label class="ml-2"><input type="checkbox" id="explanation_" class="checkbox_item" checked>
                    <?php echo e(__('reports.explanation')); ?></label>
                <label class="ml-2"><input type="checkbox" id="zero" class="checkbox_item">
                    <?php echo e(__('reports.hide_zero_amounts')); ?></label>

                <?php if($item_code == 1): ?>
                    <label class="ml-2"><input type="checkbox" id="sale_code" class="checkbox_item" checked>
                        <?php echo e(__('native.show_sale_code')); ?></label>
                    <label class="ml-2"><input type="checkbox" id="purchase_code" class="checkbox_item" checked>
                        <?php echo e(__('native.show_purchase_code')); ?></label>
                <?php endif; ?>
            </div>
    </div>
        
        </div>
        <div class="my-3 hidden-print row" style="display: flex; justify-content: space-evenly;">
            <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mb-2"><?php echo e(trans('extends.print')); ?> </button>
            <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mb-2"><?php echo e(trans('extends.toExcel')); ?> </button>
            
        </div>

           <div class="table-responsive transacton-table">

        <table class="table table-bordered table-striped table-hover bg-white table2excel">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th class="item_colum"><?php echo e(__('reports.item_name')); ?></th>

                    <?php if($show_item_serial == 1): ?>
                        <th class="item_colum">عدد مسلسلات الصنف</th>
                    <?php endif; ?>

                    <th class="barcode" width="7%"><?php echo e(__('reports.barcode')); ?></th>
                    <th class="about"><?php echo e(__('reports.description')); ?></th>
                    <th class="category"><?php echo e(__('reports.category')); ?></th>

                    <?php if($color_size == 1): ?>
                        <th class="size"><?php echo e(__('native.the_size')); ?></th>
                    <?php endif; ?>

                    <th class="quantity" width="7%"><?php echo e(__('reports.amount')); ?></th>
                    <th class="sale_price"><?php echo e(__('reports.item_pay_price')); ?></th>
                    <th class="total_sale_price"><?php echo e(__('reports.stock_sale_price')); ?></th>
                    <?php if(auth()->user()->show_pay_price == 1): ?>
                        <th class="pay_price"><?php echo e(__('reports.item_sale_price')); ?></th>
                        <th class="total_pay_price"><?php echo e(__('reports.stock_pay_price')); ?></th>
                    <?php endif; ?>

                    <?php if($multi_price == 1): ?>
                        <?php $__currentLoopData = $prices_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <th
                                <?php if(!in_array(request('prices'), ['-1', null, '', $list->id])): ?> class="prices_list hidden" <?php else: ?> class="prices_list" <?php endif; ?>>
                                <?php echo e($list->list_name); ?></th>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>

                    <?php if($item_code == 1): ?>
                        <th class="sale_code"><?php echo e(__('native.sale_item_code')); ?></th>
                        <th class="purchase_code"><?php echo e(__('native.purchase_item_code')); ?></th>
                    <?php endif; ?>
                    <th class="explanation_"><?php echo e(__('reports.explanation')); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php $__empty_1 = true; $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <tr <?php if($item->quantity == 0): ?> class="zero" <?php endif; ?>>
                        <td><?php echo e($loop->iteration); ?></td>
                        <td class="item_colum"><?php echo e(in_array($item->item_name, ['', null]) ? '---' : $item->item_name); ?>

                        </td>

                        <?php if($show_item_serial == 1): ?>
                            <td>
                                <?php if($item->require_serial == 1): ?>
                                    <a
                                        href="<?php echo e(route('reports.sold') . '?item_id=' . $item->id . '&is_sold=-1&serial=&from=&to='); ?>"><?php echo e($item->serials_count); ?></a>
                                <?php endif; ?>
                            </td>
                        <?php endif; ?>

                        <td class="barcode"><?php echo e(in_array($item->barcode, ['', null]) ? '---' : $item->barcode); ?></td>
                        <td class="about"><?php echo e(in_array($item->about, ['', null]) ? '---' : $item->about); ?></td>
                        <td class="category"><?php echo e(in_array($item->type_name, ['', null]) ? '---' : $item->type_name); ?></td>

                        <?php if($color_size == 1): ?>
                            <td class="size"><?php echo e(in_array($item->size_name, ['', null]) ? '---' : $item->size_name); ?>

                            </td>
                        <?php endif; ?>

                        <td class="quantity"><?php echo e(quant_decimal($item->quantity)); ?></td>
                        <td class="sale_price"><?php echo e(price_decimal($item->sale_price)); ?></td>
                        <td class="total_sale_price"><?php echo e(price_decimal($item->sale_price * $item->quantity)); ?></td>

                        <?php if(auth()->user()->show_pay_price == 1): ?>
                            <td class="pay_price"><?php echo e(price_decimal($item->pay_price)); ?></td>
                            <td class="total_pay_price"><?php echo e(price_decimal($item->pay_price * $item->quantity)); ?></td>
                        <?php endif; ?>

                        <?php if($multi_price == 1): ?>
                            <?php $__empty_2 = true; $__currentLoopData = $item->prices()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                <td
                                    <?php if(!in_array(request('prices'), ['-1', null, '', $v->list_id])): ?> class="prices_list hidden" <?php else: ?> class="prices_list" <?php endif; ?>>
                                    <?php echo e(in_array($v->price, ['', null, 0]) ? '---' : price_decimal($v->price)); ?></td>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                <?php for($i = 0; $i < count($prices_list); $i++): ?>
                                    <td class="prices_list">---</td>
                                <?php endfor; ?>
                            <?php endif; ?>
                        <?php endif; ?>

                        <?php if($item_code == 1): ?>
                            <td class="sale_code"><?php echo e($item->sale_code); ?></td>
                            <td class="purchase_code"><?php echo e($item->purchase_code); ?></td>
                        <?php endif; ?>

                        <td class="explanation_">
                            <?php echo e(__('reports.the_number')); ?> : <?php echo e(quant_decimal($item->quantity)); ?>

                            <?php echo e(__('reports.in')); ?>

                            <?php echo e($item->store_name == '0' ? __('reports.main_store') : $item->store_name); ?>

                        </td>
                    </tr>
                    <?php
                    $total_sale += price_decimal($item->sale_price * $item->quantity);
                    $total_pay += price_decimal($item->pay_price * $item->quantity);
                    $total_qty += quant_decimal($item->quantity);
                    ?>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <?php if(request('store_id')): ?>
                        <tr>
                            <td colspan="11" class="danger text-center"><?php echo e(__('reports.no_data')); ?></td>
                        </tr>
                    <?php endif; ?>
                <?php endif; ?>
            </tbody>
            <?php if(count($items)): ?>
                <tfoot>
                    <tr class="font-weight-bold">
                        <td colspan="<?php if($color_size == 1 && $show_item_serial == 1): ?> 7 <?php elseif($color_size == 1 || $show_item_serial == 1): ?> 6 <?php else: ?> 5 <?php endif; ?>" id="total_span">
                            <?php echo e(__('reports.total_amount')); ?> :</td>
                        <td class="quantity"><?php echo e($total_qty); ?></td>
                        <td class="sale_price"></td>
                        <td class="total_sale_price"><?php echo e($total_sale); ?></td>

                        <?php if(auth()->user()->show_pay_price == 1): ?>
                            <td class="pay_price"></td>
                            <td class="total_pay_price"><?php echo e($total_pay); ?></td>
                        <?php endif; ?>

                        <?php if($multi_price == 1): ?>
                            <?php $__currentLoopData = $prices_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <th
                                    <?php if(!in_array(request('prices'), ['-1', null, '', $list->id])): ?> class="prices_list hidden" <?php else: ?> class="prices_list" <?php endif; ?>>
                                </th>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                        <td class="explanation_"></td>
                    </tr>
                </tfoot>
            <?php endif; ?>
        </table>
                        </div>
    </div>
                        </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <?php echo $__env->make('master::js.export-functions', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
    <script src="<?php echo e(asset('js/jquery.table2excel.js')); ?>"></script>

    <script>
        $(".excelbtn").click(function() {
            $("table").table2excel({
                // exclude CSS class
                exclude: ".noExl",
                name: "Worksheet Name",
                filename: "<?php echo e(__('reports.items_inventory')); ?>" //do not include extension
            });
        });

        $(document).on('click', '.printed_details', function() {
            var date = $(document).find('#date').text(),
                store = $(document).find('select#store_id option:selected').data('name'),
                supplier = $(document).find('select#supplier_id option:selected').data('name'),
                category = $(document).find('select#category_id option:selected').data('name'),
                factory = $('#factory option:selected').text();
            var html = `
                <span id="date">${date}</span>
                /<?php echo e(__('reports.store')); ?>:${store}/<?php echo e(__('reports.supplier')); ?>:${supplier}/<?php echo e(__('reports.category')); ?>:${category}
            `;
            if ('<?php echo e($item_factory); ?>' == 1) {
                html += `/<?php echo e(__('reports.factory')); ?>:${factory}`;
            }
            $(document).find('#details').empty().html(html);
            window.print();
        });

        $(".checkbox_item").click(function() {
            var id = $(this).attr('id');

            if ($('#' + id).is(':checked')) {
                $("." + id).show();
                $('.' + id).removeClass('noExl');

                if (id == 'zero') {
                    $("." + id).hide();
                    $('.' + id).addClass('noExl');
                }
            } else {
                $("." + id).hide();
                $('.' + id).addClass('noExl');

                if (id == 'zero') {
                    $("." + id).show();
                    $('.' + id).removeClass('noExl');
                }
            }
        });

        $('#item_colum, #barcode, #about, #category').on('change', function(){
            
            if ($(this).is(':checked'))
            {
                changeSpan(true);
                
                if ($(this).attr('id') == 'item_colum')
                {
                    changeSpan(true);                    
                }
            }
            else {
                changeSpan();
                
                if ($(this).attr('id') == 'item_colum')
                {
                    changeSpan();                    
                }
            }

        });

        function changeSpan(increase = false)
        {
            var val = parseFloat($('#total_span').attr('colspan'));
            if (increase)
            {
                $('#total_span').attr('colspan', val + 1);
            }
            else {
                $('#total_span').attr('colspan', val - 1);
            }
        }

    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/css/bootstrap-select.min.css')); ?>" rel="stylesheet">
    <style>
        @media  print{
            .form-check-inline
            {
                display: none !important;
            }
            /* #details
            {
                display: block !important;
            } */
        }
    </style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/SalesReport/Resources/views/item_report/item_inventory.blade.php ENDPATH**/ ?>