<aside class="global-aside">
    <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">×</a>
    <ul class="sidebar list-group list-unstyled">
        <li class="list-group-item" Auto_Test="sidebar_home">
            <a href="<?php echo e(route('master.home')); ?>" title="<?php echo app('translator')->get('native.Home'); ?>" class="active">
                <span class="icon-img">
                    <img src="<?php echo e(asset('imgs/home.png')); ?>">
                </span>
                <?php echo app('translator')->get('native.Home'); ?>
            </a>
        </li>

        <?php if(
                authorized('can_display_suppliers') ||
                authorized('can_display_clients') ||
                authorized('can_add_supplier') ||
                authorized('can_add_client') ||
                authorized('can_show_debentures_payment_receipt') ||
                authorized('can_show_bad_balance') ||
                authorized('can_show_debentures_cash_receipt') ||
                authorized('can_edit_by_excel') ||
                authorized('can_sale_with_discount')
        ): ?>
        <li class="list-group-item dropdown" Auto_Test ="sidebar_client_suppliers">
            <a href="#" title="العملاء " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="<?php echo e(asset('imgs/man.png')); ?>">
                </span>
                <?php echo app('translator')->get('client.all clients-suppliers'); ?>
            </a>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="<?php echo e(route('clients.create')); ?>" Auto_Test ="sidebar_client_suppliers_create_client_supplier"> <?php echo app('translator')->get('client.add client-supplier'); ?></a>
                <?php if(auth()->user()->sale_discount == 1): ?>
                    <a class="dropdown-item" href="<?php echo e(route('clients.clients-groups')); ?>" Auto_Test ="sidebar_client_suppliers_client_group"> <?php echo app('translator')->get('client.clientGroup.client-group'); ?> </a>
                <?php endif; ?>

                <a class="dropdown-item" href="<?php echo e(route('clients.index')); ?>" Auto_Test ="sidebar_client_suppliers_all_client_supplier"><?php echo app('translator')->get('client.all clients-suppliers'); ?></a>
                <?php if((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))): ?>
                    <a class="dropdown-item" href="<?php echo e(route('clientinstalments.index')); ?>" Auto_Test ="sidebar_client_suppliers_rest_client_schedualer"> <?php echo app('translator')->get('client.rest.client-scheduler'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('supplierinstallment.index')); ?>" Auto_Test ="sidebar_client_suppliers_rest_supplier-scheduler"> <?php echo app('translator')->get('client.rest.supplier-scheduler'); ?> </a>
                <?php endif; ?>

                <?php if(authorized('can_show_debentures_cash_receipt')): ?>
                <a class="dropdown-item" href="<?php echo e(route('debentures.cash-receipt')); ?>" Auto_Test ="sidebar_client_suppliers_cash_reciept"> <?php echo app('translator')->get('client.cash-receipt'); ?> </a>
                <?php endif; ?>

                <?php if(authorized('can_show_debentures_payment_receipt')): ?>
                <a class="dropdown-item" href="<?php echo e(route('debentures.payment-receipt')); ?>" Auto_Test ="sidebar_client_suppliers_payment_receipt"> <?php echo app('translator')->get('client.payment-receipt'); ?> </a>
                <?php endif; ?>

                <?php if(authorized('can_edit_by_excel')): ?>
                <a class="dropdown-item" href="<?php echo e(route('excel.edit_clients')); ?>" Auto_Test ="sidebar_client_suppliers_client_excel_modification">
                    <?php echo app('translator')->get('client.excel-modification'); ?>
                </a>
                <?php endif; ?>

                <?php if(authorized('can_show_bad_balance')): ?>
                <a class="dropdown-item" href="<?php echo e(route('bad.balance')); ?>" Auto_Test ="sidebar_client_suppliers_bad_balance"> <?php echo app('translator')->get('client.culling-balances'); ?> </a>
                <?php endif; ?>
            </div>
        </li>
        <?php endif; ?>

        <?php if(get_session_val('module', 'integer') == 3): ?>


        <li class="list-group-item dropdown" Auto_Test ="sidebar_Manufacturing">
            <a href="#" title="العملاء " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="<?php echo e(asset('imgs/man.png')); ?>">
                </span>
                <?php echo app('translator')->get('native.Manufacturing'); ?>
            </a>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <a href="<?php echo e(route('shifts.create')); ?>" title="الورديات" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_shifts_create"> الورديات </a>
                <a href="<?php echo e(route('machine.create')); ?>" title="الماكينات" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_machine_create"> الماكينات </a>
                <a href="<?php echo e(route('colors.create')); ?>" title="الالوان" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_colors_create"> الالوان </a>
                <a href="<?php echo e(route('manufacturing.create')); ?>" title="عملية تصنيع جديدة" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_manufacturing_create"> عملية تصنيع جديدة </a>
                <a href="<?php echo e(route('manufacturing.index')); ?>" title="عرض عمليات التصنيع" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_manufacturing.index"> عرض عمليات التصنيع </a>
                
                <a href="<?php echo e(route('production.create')); ?>" title="عملية انتاج" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_production_create"> عملية انتاج </a>
                <a href="<?php echo e(route('finishing.create')); ?>" title="مراحل التشطيب" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_finishing_create"> مراحل التشطيب </a>
                <a href="<?php echo e(route('finishing-stages.create')); ?>" title="عملية تشطيب" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_finishing_stages_create"> عملية تشطيب </a>
                <a href="<?php echo e(route('manufacturingReport.index')); ?>" title="تقريرالتصنيع" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_manufacturingReport_index"> تقريرالتصنيع </a>
                <a href="<?php echo e(route('MortalReport.index')); ?>" title="تقرير الهالك" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_MortalReport_index"> تقرير الهالك </a>
                <a href="<?php echo e(route('productionReport.index')); ?>" title="تقرير الانتاج" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_productionReport_index"> تقرير الانتاج </a>
                <a href="<?php echo e(route('workersReport.index')); ?>" title="تقرير العمال" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_workersReport_index"> تقرير العمال </a>
            </div>
        </li>

        <?php endif; ?>
        <?php if(
            authorized('can_sale') ||
            authorized('can_return_sales') ||
            authorized('can_show_sales_offers') ||
            authorized('can_add_sales_offers')
        ): ?>
            <?php if(get_session_val('module', 'integer') != 2): ?>
                <li class="list-group-item dropdown"  Auto_Test ="sidebar_sales">
                    <a href="#" title="المبيعات " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                        <span class="icon-img">
                            <img src="<?php echo e(asset('imgs/cart.png')); ?>">
                        </span>
                        <?php echo app('translator')->get('native.Sales'); ?>
                    </a>
                    <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                        <?php if(authorized('can_sale')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('invoices.new', 'sales')); ?>"  Auto_Test ="sidebar_sales_add_sales">
                            <?php echo app('translator')->get('native.add-sales'); ?>
                        </a>
                        <?php endif; ?>
                        <?php if(authorized('can_display_sales')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('invoices.index', 'sales')); ?>"  Auto_Test ="sidebar_sales_list_sales"> <?php echo app('translator')->get('native.list-sales'); ?> </a>
                            
                            <?php if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer')): ?>
                                <a class="dropdown-item" href="<?php echo e(route('invoices.pendings', 'sales')); ?>"  Auto_Test ="sidebar_sales_list_pending_sales"> <?php echo app('translator')->get('native.list-pending-sales'); ?> </a>
                            <?php endif; ?>
                        <?php endif; ?>

                        <?php if(authorized('can_return_sales')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('invoices.new', 'returned sales')); ?>"  Auto_Test ="sidebar_sales_add_return_sales"> <?php echo app('translator')->get('native.add-return-sales'); ?> </a>
                        <?php endif; ?>
                        <?php if(authorized('can_display_sales')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('invoices.index', 'returned sales')); ?>"  Auto_Test ="sidebar_sales_list_returned sales"> <?php echo app('translator')->get('native.list-return-sales'); ?> </a>
                            
                            <?php if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer')): ?>
                                <a class="dropdown-item" href="<?php echo e(route('invoices.pendings', 'returned sales')); ?>"  Auto_Test ="sidebar_sales_list_returned_pending_sales"> <?php echo app('translator')->get('native.list-return-pending-sales'); ?> </a>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php if(authorized('can_add_sales_offers')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('invoices.new', 'sales offers')); ?>"  Auto_Test ="sidebar_sales_add_offers"> <?php echo app('translator')->get('native.add-offers'); ?> </a>
                        <?php endif; ?>

                        <?php if(authorized('can_show_sales_offers')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('invoices.index', 'sales offers')); ?>"  Auto_Test ="sidebar_sales_list_offers"> <?php echo app('translator')->get('native.list-offers'); ?> </a>
                        <?php endif; ?>

                        <?php if(get_session_val('home_delivery', 'integer') != 0 && get_session_val('einvoice', 'integer') != 1): ?>
                            <a class="dropdown-item" href="<?php echo e(route('delivery-report.index')); ?>"  Auto_Test ="sidebar_sales_delivery_orders_report"> <?php echo app('translator')->get('native.delivery-orders-report'); ?> </a>
                        <?php endif; ?>

                    </div>
                </li>
            <?php else: ?>
                <li class="list-group-item dropdown"  Auto_Test ="sidebar_sales2">
                    <a href="#" title="<?php echo app('translator')->get('native.Sales'); ?> " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/cart.png')); ?>">
                    </span>
                        <?php echo app('translator')->get('native.Sales'); ?>
                    </a>
                    <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                        <?php if(authorized('can_display_sales')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('dairy.sales.invoices.create')); ?>"  Auto_Test ="sidebar_sales2_add_sales2"> <?php echo app('translator')->get('native.add-sales'); ?> </a>
                        <?php endif; ?>

                        <?php if(authorized('can_display_sales')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('dairy.sales.invoices.index')); ?>"  Auto_Test ="sidebar_sales2_list_sales2"> <?php echo app('translator')->get('native.list-sales'); ?> </a>
                        <?php endif; ?>
                    </div>
                </li>
            <?php endif; ?>
        <?php endif; ?>

        <?php if(
            authorized('can_add_purchases_invoices') ||
            authorized('can_add_returned_purchases') ||
            authorized('can_see_purchase_price') ||
            authorized('can_display_purchases')
        ): ?>
        <?php if(get_session_val('module', 'integer') != 2): ?>
            <li class="list-group-item dropdown"  Auto_Test ="sidebar_income">
                <a href="#" title="<?php echo app('translator')->get('native.income'); ?>" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/capa.png')); ?>">
                    </span>
                    <?php echo app('translator')->get('native.income'); ?>
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">

                    <?php if(authorized('can_add_purchases_invoices')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('invoices.new', 'purchases')); ?>" Auto_Test ="sidebar_income_add_income">
                            <?php echo app('translator')->get('native.add_income'); ?>
                        </a>
                    <?php endif; ?>
                    <?php if(authorized('can_display_purchases')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('invoices.index', 'purchases')); ?>" Auto_Test ="sidebar_income_list_income"> <?php echo app('translator')->get('native.list-income'); ?> </a>
                        
                        <?php if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('invoices.pendings', 'purchases')); ?>" Auto_Test ="sidebar_income_list_pending_income"> <?php echo app('translator')->get('native.list-pending-income'); ?> </a>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php if(authorized('can_add_returned_purchases')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('invoices.new', 'returned purchases')); ?>" Auto_Test ="sidebar_income_returned_purchases"> <?php echo app('translator')->get('native.Returned_Purchases'); ?> </a>
                    <?php endif; ?>
                    <?php if(authorized('can_display_purchases')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('invoices.index', 'returned purchases')); ?>" Auto_Test ="sidebar_income_list_returned_purchases"> <?php echo app('translator')->get('native.list-returned-purchases'); ?> </a>
                        
                        <?php if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer')): ?>
                            <a class="dropdown-item" href="<?php echo e(route('invoices.pendings', 'returned purchases')); ?>" Auto_Test ="sidebar_income_list_rturned_pending_purchases"> <?php echo app('translator')->get('native.list-returned-pending-purchases'); ?> </a>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </li>
        <?php else: ?>
            <li class="list-group-item dropdown" Auto_Test ="sidebar_income2">
                <a href="#" title="<?php echo app('translator')->get('native.income'); ?>" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="<?php echo e(asset('imgs/cart.png')); ?>">
                </span>
                    <?php echo app('translator')->get('native.income'); ?>
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="<?php echo e(route('dairy.requests.index')); ?>" Auto_Test ="sidebar_income2_index"> <?php echo app('translator')->get('dairy.index-title'); ?> </a>

                    <?php if(authorized('can_add_purchases_invoices')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('dairy.purchases.invoices.create')); ?>" Auto_Test ="sidebar_income2_add_income2"> <?php echo app('translator')->get('dairy.add_income'); ?> </a>
                    <?php endif; ?>

                    <?php if(authorized('can_display_purchases')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('dairy.purchases.invoices.index')); ?>" Auto_Test ="sidebar_income2_show_income2"> <?php echo app('translator')->get('dairy.show_income'); ?> </a>
                    <?php endif; ?>

                    <a class="dropdown-item" href="<?php echo e(route('dairy.reports.supply.operations')); ?>" Auto_Test ="sidebar_income2_report_process"> <?php echo app('translator')->get('dairy.report-process'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('dairy.reports.client.balance')); ?>" Auto_Test ="sidebar_income2_report_client_balance"> <?php echo app('translator')->get('dairy.report-client-balance'); ?> </a>
                </div>
            </li>
        <?php endif; ?>
        <?php endif; ?>

        <?php if(authorized('can_display_items')): ?>
            <li class="list-group-item dropdown" Auto_Test ="sidebar_items">
                <a href="#" title="الاصناف" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/box.png')); ?>">
                    </span>
                    <?php echo app('translator')->get('items.title'); ?>
                </a>

                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="<?php echo e(route('items.index')); ?>" Auto_Test ="sidebar_items_list_items"><?php echo e(__('items.title')); ?></a>
                    <a class="dropdown-item" href="<?php echo e(route('category.index')); ?>" Auto_Test ="sidebar_items_categories"> <?php echo app('translator')->get('items.categories'); ?></a>
                    <a class="dropdown-item" href="<?php echo e(route('units.index')); ?>" Auto_Test ="sidebar_items_units"><?php echo e(__('units.title')); ?></a>
                    <?php if(get_session_val('units_sup', 'integer') == 1 && authorized('can_edit_by_excel')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('excel.units-excel')); ?>"  Auto_Test ="sidebar_items_add_unit_by_excel">
                            <?php echo app('translator')->get('items.add-units-by-excel'); ?>
                        </a>
                    <?php endif; ?>

                    <a class="dropdown-item"
                        href="<?php echo e(route('barcode.printBarcode')); ?>" Auto_Test ="sidebar_items_print_barcode"><?php echo e(__('items.barcode_ticket.tickets.title')); ?></a>
                    <a class="dropdown-item"
                        href="<?php echo e(route('barcode.settings')); ?>" Auto_Test ="sidebar_items_barcode_setting"><?php echo e(__('items.barcode_ticket.settings.title')); ?></a>
                    <?php if(get_session_val('multi_price', 'integer') == 1): ?>
                        <a class="dropdown-item"
                            href="<?php echo e(route('multiPrices.all')); ?>"  Auto_Test ="sidebar_items_multiprices_list_all"><?php echo e(__('multiPrices.view_list_of_all')); ?></a>
                    <?php endif; ?>

                    <?php if(authorized('can_edit_by_excel')): ?>
                    <a class="dropdown-item" href="<?php echo e(route('excel.edit_items')); ?>" Auto_Test ="sidebar_items_modify_items_by_excel">
                        <?php echo app('translator')->get('items.modify-items-excel'); ?>
                    </a>
                    <?php endif; ?>

                    <a class="dropdown-item" href="<?php echo e(route('perishes.index')); ?>" Auto_Test ="sidebar_items_products"> <?php echo app('translator')->get('items.products-depreciation'); ?> </a>
                </div>

            </li>
        <?php endif; ?>

        <?php if(authorized('can_show_stores')): ?>
        <li class="list-group-item dropdown"  Auto_Test ="sidebar_stores">
            <a href="#" title="المخازن" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="<?php echo e(asset('imgs/store.png')); ?>">
                </span>
                <?php echo app('translator')->get('native.stores'); ?>
            </a>
            <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="<?php echo e(route('stores.index')); ?>" Auto_Test ="sidebar_stores_list_stores"><?php echo app('translator')->get('store.show-stores'); ?> </a>
                <a class="dropdown-item" href="<?php echo e(route('stores.transform-items')); ?>" Auto_Test ="sidebar_stores_stores_transform_items"> <?php echo app('translator')->get('store.trans-stores'); ?> </a>
                <a class="dropdown-item" href="<?php echo e(route('stores.transform-list')); ?>" Auto_Test ="sidebar_stores_show_orders"> <?php echo app('translator')->get('store.show-orders'); ?></a>
            </div>
        </li>
        <?php endif; ?>

        <?php if(isset(Module::allEnabled()['Car'])): ?>
            <li class="list-group-item dropdown" Auto_Test ="sidebar_stores2">
                <a href="#" title="المخازن" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/store.png')); ?>">
                    </span>
                    <?php echo app('translator')->get('native.stores'); ?>
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="<?php echo e(route('stores.index')); ?>" Auto_Test ="sidebar_stores2_list_stores2"> <?php echo app('translator')->get('store.show-stores'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('stores.transform-items')); ?>" Auto_Test ="sidebar_stores2_transform_items"> <?php echo app('translator')->get('store.trans-stores'); ?></a>
                    <a class="dropdown-item" href="<?php echo e(route('stores.transform-list')); ?>" Auto_Test ="sidebar_stores2_show_order2"> <?php echo app('translator')->get('store.show-orders'); ?></a>
                </div>
            </li>
        <?php endif; ?>

        <?php if(authorized('can_list_spending') || authorized('can_add_spend')): ?>
            <li class="list-group-item dropdown" Auto_Test ="sidebar_expenses_revenues">
                <a href="#" title="<?php echo app('translator')->get('native.Expenses_revenues'); ?>" class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/business-and-finance.png')); ?>">
                    </span>
                    <?php echo app('translator')->get('native.Expenses_revenues'); ?>
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <?php if(authorized('can_list_spending')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('expenses.index')); ?>" Auto_Test ="sidebar_expenses_revenues_spend_item"><?php echo app('translator')->get('native.spend_item'); ?></a>
                        <a class="dropdown-item" href="<?php echo e(route('revenues.index')); ?>" Auto_Test ="sidebar_expenses_revenues_income_item"><?php echo app('translator')->get('native.income_item'); ?></a>
                    <?php endif; ?>

                    <?php if(authorized('can_add_spend')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('spendsandincoms.index')); ?>" Auto_Test ="sidebar_expenses_revenues_spend_regi"><?php echo app('translator')->get('native.spend_regi'); ?></a>
                        <a class="dropdown-item" href="<?php echo e(route('incomes.index-incomes')); ?>" Auto_Test ="sidebar_expenses_revenues_add_imports"><?php echo app('translator')->get('native.add_Imports'); ?></a>
                    <?php endif; ?>
                </div>
            </li>
        <?php endif; ?>

        <?php if(authorized('can_show_employees')): ?>
        <li class="list-group-item dropdown" Auto_Test ="sidebar_employeegroupmenu">
            <a href="#" title="<?php echo app('translator')->get('native.employeegroupmenu'); ?>" class="dropdown-toggle" data-toggle="dropdown"
                aria-expanded="false">
                <span class="icon-img">
                    <img src="<?php echo e(asset('imgs/man.png')); ?>">
                </span>
                <?php echo app('translator')->get('native.employeegroupmenu'); ?>
            </a>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="<?php echo e(route('employee.index')); ?>" Auto_Test ="sidebar_employeegroupmenu_EmployeeList"> <?php echo app('translator')->get('native.EmployeeList'); ?></a>
                <a class="dropdown-item" href="<?php echo e(route('employee.pay-sallery')); ?>" Auto_Test ="sidebar_employeegroupmenu_salary_disbursement"> <?php echo app('translator')->get('native.salary_disbursement'); ?></a>
                <a class="dropdown-item" href="<?php echo e(route('employee.pay-money-out')); ?>" Auto_Test ="sidebar_employeegroupmenu_Register_advances"> <?php echo app('translator')->get('native.Register_advances,_incentives_and_discounts'); ?> </a>
            </div>
        </li>
        <?php endif; ?>
        <?php if(authorized('can_display_reports')): ?>
        <li class="list-group-item dropdown"  Auto_Test ="sidebar_reports">
            <a href="#" title="<?php echo app('translator')->get('native.reports'); ?>" class="dropdown-toggle" data-toggle="dropdown"
                aria-expanded="false">
                <span class="icon-img">
                    <img src="<?php echo e(asset('imgs/diagram.png')); ?>">
                </span>
                <?php echo app('translator')->get('native.reports'); ?>
            </a>

            <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="<?php echo e(route('salesreports.index')); ?>" Auto_Test ="sidebar_reports_list_reports"> <?php echo app('translator')->get('native.reports'); ?> </a>
                
                <a class="dropdown-item" href="<?php echo e(route('salesreports.trial-balance')); ?>" Auto_Test ="sidebar_reports_trial_balance"> <?php echo app('translator')->get('native.trial-balance'); ?> </a>
            </div>
        </li>
        <?php endif; ?>
        <?php if(get_session_val('apply_vats', 'integer') == 1 && get_session_val('einvoice', 'integer') == 1): ?>
            <li class="list-group-item dropdown" Auto_Test ="sidebar_einvoice">
                <a href="#" title="<?php echo e(__('einvoice.title')); ?>"
                    class="dropdown-toggle <?php if(Request::is('einvoice/*')): ?> active <?php endif; ?>" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/diagram.png')); ?>">
                    </span>
                    <?php echo e(__('einvoice.title')); ?>

                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item"
                        href="<?php echo e(route('einvoice.documents.index')); ?>"  Auto_Test ="sidebar_einvoice_list_envoices"><?php echo e(__('einvoice.all_einvoices')); ?></a>
                    <a class="dropdown-item"
                        href="<?php echo e(route('einvoice.packageRequests.index')); ?>"  Auto_Test ="sidebar_einvoice_packageRequests"><?php echo e(__('einvoice.packageRequests.title')); ?></a>
                    <a class="dropdown-item"
                        href="<?php echo e(route('einvoice.settings.index')); ?>" Auto_Test ="sidebar_einvoice_settings"><?php echo e(__('einvoice.settings')); ?></a>
                    <a class="dropdown-item"
                        href="<?php echo e(route('einvoice.notifications.index')); ?>" Auto_Test ="sidebar_einvoice_notification"><?php echo e(__('einvoice.notifications.title')); ?></a>
                    <a class="dropdown-item"
                        href="<?php echo e(route('einvoice.itemcodes.index')); ?>" Auto_Test ="sidebar_einvoice_item_code"><?php echo e(__('einvoice.itemcodes.title')); ?></a>
                </div>
            </li>
        <?php endif; ?>

        <?php if(authorized('can_show_maintenance') && get_session_val('maintenance_module', 'integer')): ?>
            <li class="list-group-item dropdown"  Auto_Test ="sidebar_maintenance">
                <a href="#" title="<?php echo app('translator')->get('native.maintenance'); ?> " class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/maintenance.jpeg')); ?>">
                    </span>
                    <?php echo app('translator')->get('native.maintenance'); ?>
                </a>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="<?php echo e(route('maintenance.create')); ?>" Auto_Test ="sidebar_maintenance_New_orders"> <?php echo app('translator')->get('native.New_orders'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('maintenance.index')); ?>" Auto_Test ="sidebar_maintenance_All_orders"> <?php echo app('translator')->get('native.All_orders'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('maintenance.enquiry')); ?>" Auto_Test ="sidebar_maintenance_enquiry"> <?php echo app('translator')->get('maintenance.enquiry'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('components.index')); ?>" Auto_Test ="sidebar_maintenance_components">  <?php echo app('translator')->get('maintenance.components'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('status.index')); ?>" Auto_Test ="sidebar_maintenance_requests_status"> <?php echo app('translator')->get('maintenance.requests_status'); ?> </a>
                </div>
            </li>
        <?php endif; ?>

        <?php if(authorized('can_display_settings')): ?>
            <li class="list-group-item dropdown" Auto_Test ="sidebar_setting">
                <a href="#" title="<?php echo app('translator')->get('native.setting'); ?>" class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/setting.png')); ?>">
                    </span>
                    <?php echo app('translator')->get('native.setting'); ?>
                </a>
                <div class="dropdown-menu  dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <?php if(get_session_val('apply_vats', 'Integer') == 1): ?>
                        <a class="dropdown-item" href="<?php echo e(route('bill-adds.all')); ?>" Auto_Test ="sidebar_setting_bill_adds"> <?php echo app('translator')->get('native.bill-adds'); ?> </a>
                    <?php endif; ?>
                    <?php if(get_session_val('multi_currency', 'Integer') == 1 && app()->environment(['local', 'test'])): ?>
                        <a class="dropdown-item" href="<?php echo e(route('currencies.index')); ?>" Auto_Test ="sidebar_setting_currencies"> <?php echo app('translator')->get('currency::trans.title.name'); ?> </a>
                    <?php endif; ?>
                    <a class="dropdown-item" href="<?php echo e(route('users.all')); ?>" Auto_Test ="sidebar_setting_users">
                        <?php echo app('translator')->get('native.users'); ?>
                    </a>
                    <?php if(get_session_val('enable_commission_rates', 'integer')): ?>
                        <a class="dropdown-item" href="<?php echo e(route('users.goals')); ?>" Auto_Test ="sidebar_setting_users_goals"> <?php echo e(trans('users.add-users-goals')); ?> </a>
                        <a class="dropdown-item" href="<?php echo e(route('commissions.index')); ?>" Auto_Test ="sidebar_setting_commissions"> <?php echo e(trans('commissions.add-commission-percent')); ?> </a>
                    <?php endif; ?>
                    <?php if( Auth::user()->show_points == 2 ||  Auth::user()->show_points == 4 || Auth::user()->show_points == 3): ?>
                    <a class="dropdown-item" href="<?php echo e(route('salepoint.index')); ?>" Auto_Test ="sidebar_setting_salepoint"><?php echo app('translator')->get('settings.salepoints'); ?></a>
                    <?php endif; ?>
                    <a class="dropdown-item"
                        href="<?php echo e(route('settings.comapny.index')); ?>" Auto_Test ="sidebar_setting_company"><?php echo e(__('storeInfo.company_settings')); ?> </a>

                    <a class="dropdown-item" href="<?php echo e(route('settings.print.index')); ?>" Auto_Test ="sidebar_setting_print"><?php echo e(__('storeInfo.print_settings')); ?> </a>

                    <?php if(get_session_val('home_delivery', 'integer') != 0 && get_session_val('einvoice', 'integer') != 1): ?>
                        <a class="dropdown-item"
                            href="<?php echo e(route('delivery-man.index')); ?>" Auto_Test ="sidebar_setting_delivery"><?php echo e(__('delivery.delivery_man')); ?> </a>

                        <?php if(get_session_val('delivery_fee_type', 'Integer') == 1): ?>
                            <a class="dropdown-item" href="<?php echo e(route('regions.index')); ?>" Auto_Test ="sidebar_setting_regions"><?php echo e(__('delivery.regions')); ?>

                            </a>
                        <?php elseif(get_session_val('delivery_fee_type', 'Integer') == 2): ?>
                            <a class="dropdown-item" href="<?php echo e(route('services.index')); ?>" Auto_Test ="sidebar_setting_services" ><?php echo e(__('delivery.services')); ?>

                            </a>
                            <a class="dropdown-item"
                                href="<?php echo e(route('periods.index')); ?>" Auto_Test ="sidebar_setting_delivery_times"><?php echo e(__('delivery.delivery_times')); ?> </a>
                        <?php endif; ?>
                    <?php endif; ?>

                    <a class="dropdown-item" href="<?php echo e(route('settings.index')); ?>" Auto_Test ="sidebar_setting_settings"><?php echo app('translator')->get('settings.settings'); ?></a>
                </div>
            </li>
        <?php endif; ?>

        <?php if(get_session_val('manufacturing', 'integer') == 1 && authorized('can_show_manufacturing')): ?>
            <li class="list-group-item dropdown" Auto_Test ="sidebar_Manufacturing2">
                <a href="#" title="<?php echo app('translator')->get('native.Manufacturing'); ?> " class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/maintenance.jpeg')); ?>">
                    </span>
                    <?php echo app('translator')->get('native.Manufacturing'); ?>
                </a>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="<?php echo e(route('manufacture.init')); ?>"  Auto_Test ="sidebar_Manufacturing2_init"><?php echo app('translator')->get('native.Definition_of_manufacturing'); ?></a>
                    <a class="dropdown-item" href="<?php echo e(route('manufacture.index')); ?>" Auto_Test ="sidebar_Manufacturing2_list_manufacture"><?php echo app('translator')->get('native.Manufacturing_processes'); ?></a>
                    <a class="dropdown-item" href="<?php echo e(route('manufacture.create')); ?>" Auto_Test ="sidebar_Manufacturing2_create"><?php echo app('translator')->get('native.New_manufacturing_process'); ?></a>
                    <a class="dropdown-item" href="<?php echo e(route('manufacture.reports.index')); ?>" Auto_Test ="sidebar_Manufacturing2_reports"><?php echo app('translator')->get('native.report-Manufacturing'); ?></a>
                </div>
            </li>
        <?php endif; ?>

        <?php if(get_session_val('ecomme', 'integer') == 1 && authorized('can_edit_ecommerce_settings')): ?>
            <li class="list-group-item dropdown" style="margin-bottom: 100px;" Auto_Test ="sidebar_settings-e-store">
                <a href="#" title="الاعدادات" class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="<?php echo e(asset('imgs/settings.png')); ?>">
                    </span>
                    <?php echo app('translator')->get('native.settings-e-store'); ?>
                </a>
                <div class="dropdown-menu  dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="<?php echo e(route('requests.web-style')); ?>" Auto_Test ="sidebar_settings-e-store_Design_view"> <?php echo app('translator')->get('native.Design_view'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('requests.site-sliders.index')); ?>" Auto_Test ="sidebar_settings-e-store_slideshow"> <?php echo app('translator')->get('native.slideshow'); ?> </a>

                    <a class="dropdown-item" href="<?php echo e(route('badr-requests')); ?>" Auto_Test ="sidebar_settings-e-store_order-e-store"> <?php echo app('translator')->get('native.order-e-store'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('badr-requests.edit-settings')); ?>" Auto_Test ="sidebar_settings-e-store_Website_and_app_requests_settings"> <?php echo app('translator')->get('native.Website_and_app_requests_settings'); ?>
                    </a>
                    <a class="dropdown-item" href="<?php echo e(route('allStaticPages')); ?>" Auto_Test ="sidebar_settings-e-store_Fixed_page_settings"> <?php echo app('translator')->get('native.Fixed_page_settings'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('requests.shopbanks.index')); ?>" Auto_Test ="sidebar_settings-e-store_Banks accounts"> <?php echo app('translator')->get('native.Banks accounts'); ?> </a>

                    <a class="dropdown-item" href="<?php echo e(route('social-contacts')); ?>" Auto_Test ="sidebar_settings-e-store_social_media_accounts"> <?php echo app('translator')->get('native.social_media_accounts'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('requests.item-discount-index')); ?>" Auto_Test ="sidebar_settings-e-store_Discounts_on_products"> <?php echo app('translator')->get('native.Discounts_on_products'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('coupons.index')); ?>" Auto_Test ="sidebar_settings-e-store_coupons"> <?php echo app('translator')->get('native.coupons'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('web-contact.edit')); ?>" Auto_Test ="sidebar_settings-e-store_Show_contact_details"> <?php echo app('translator')->get('native.Show_contact_details'); ?> </a>
                    
                    <a class="dropdown-item" href="<?php echo e(route('messages.inbox')); ?>" Auto_Test ="sidebar_settings-e-store_Inbox"> <?php echo app('translator')->get('native.Inbox'); ?> </a>
                    <a class="dropdown-item" href="<?php echo e(route('messages.outbox')); ?>" Auto_Test ="sidebar_settings-e-store_outbox"> <?php echo app('translator')->get('native.outbox'); ?> </a>
                </div>
            </li>
        <?php endif; ?>
    </ul>

</aside>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Master/Resources/views/layouts/sidebar.blade.php ENDPATH**/ ?>