<p style="margin-bottom: 5px"> <?php echo e($shop->shop_name); ?> </p>

<p style="margin-bottom: 5px"> <?php echo e($store->address); ?> </p>

<table style="border: 1px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; margin: 10px 0">
    <thead>
        <tr>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e(__('native.Dat')); ?></th>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e(\Carbon\Carbon::parse($invoice->invoice_date)->format('Y-m-d')); ?></th>
        </tr>
        <tr>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e(__('native.TheTime')); ?></th>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e(\Carbon\Carbon::parse($invoice->invoice_date)->format('H:i:s')); ?></th>
        </tr>

        <?php if($invoice_settings->show_client_name): ?>
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e(in_array($invoice->invoice_type, [0, 2]) ? __('native.supplier_name') : __('native.client_name')); ?></th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($client->client_name); ?></th>
            </tr>
        <?php endif; ?>

        <?php if($invoice_settings->show_client_address): ?>
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> <?php echo e(__('native.address')); ?> </th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($client->address); ?></th>
            </tr>
        <?php endif; ?>

        <?php if($invoice_settings->show_client_code): ?>
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> <?php echo e(in_array($invoice->invoice_type, [0, 2]) ?  (__('native.code') . ' ' . __('native.supplier')) : __('native.client_code')); ?></th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($client->code); ?></th>
            </tr>
        <?php endif; ?>

        <?php if($invoice_settings->show_phone): ?>
            <?php if($client->mobile1): ?>
                <tr>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> <?php echo e(__('invoices.mobile')); ?> </th>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($client->mobile1); ?></th>
                </tr>
            <?php endif; ?>

            <?php if($client->tele): ?>
                <tr>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">   <?php echo e(__('invoices.Another_phone_number')); ?>    </th>
                    <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($client->tele); ?></th>
                </tr>
            <?php endif; ?>
        <?php endif; ?>

        <tr>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">  <?php echo e(__('invoices.bill-no')); ?>    </th>
            <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($invoice->bill_no); ?></th>
        </tr>

        <?php if($invoice_settings->show_salesman): ?>
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e(__('native.user')); ?></th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($user->user_name); ?></th>
            </tr>
        <?php endif; ?>

        <?php $payment_type = $invoice?->getPaymentType((bool) $invoice_settings->show_payment_type); ?>
        <?php if($payment_type): ?>
            <tr>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"> <?php echo e(__('native.PaymentType')); ?> </th>
                <th style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><?php echo e($payment_type); ?></th>
            </tr>
        <?php endif; ?>

        <?php if($invoice->notes && $invoice_settings->notes): ?>
            <tr>
                <th colspan="2"><?php echo e($invoice->notes); ?></th>
            </tr>
            <tr>
                <td colspan="2"><?php echo e($invoice->notes); ?></td>
            </tr>
        <?php endif; ?>
    </thead>
</table>

<?php if($invoice_settings->qr_code): ?>
    <div style="width: max-content; height: max-content; margin: auto"><?php echo $invoice->qr; ?></div>
<?php endif; ?>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/print/casher/invoice-info.blade.php ENDPATH**/ ?>