<script src="<?php echo e(asset('tickets/js/jquery-ui.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
<script src="<?php echo e(asset('tickets/jquery.timepicker.js')); ?>"></script>
<script src="<?php echo e(asset('tickets/bootstrap-datepicker.js')); ?>"></script>
<script src="<?php echo e(asset('tickets/datepair.js')); ?>"></script>
<script src="<?php echo e(asset('tickets/js/bootstrap-select.min.js')); ?>"></script>
<script src="<?php echo e(asset('tickets/scanner.js')); ?>"></script>

<script>

    items_vats = [];
    let items = [];
    decimal_quantity = decimal_price = 0;
    last_focused_id = null;

    $(function () {
        decimal_quantity = <?php echo e(get_session_val('decimal_num_quant', 'Integer')); ?>;
        decimal_price = <?php echo e(get_session_val('decimal_num_price', 'Integer')); ?>;

        var theUnit = 0;
        $('.selectpicker').selectpicker({
            style: 'btn-default',
            size: 'auto'
        })

        if ($('#print_me').attr('href') && '<?php echo e(get_session_val('auto_print', 'integer')); ?>' == 1) {
            window.open($('#print_me').attr('href'), '_blank');
        }

        if ('<?php echo e(get_session_val('date_type', 'Integer')); ?>' == '2') {

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
                selectDefaultDate: true
            });

            $(".other").calendarsPicker({
                calendar: $.calendars.instance('gregorian'),
                dateFormat: 'Y-mm-dd',
            });
        } else {

            $(".date").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
                defaultDate: "0",
                selectDefaultDate: true
            });

            $(".other").calendarsPicker({
                calendar: $.calendars.instance('ummalqura'),
                dateFormat: 'Y-mm-dd',
            });
        }

        client_id = $('#client_id').val();
        if (client_id > 0) {
            client_balance = $('#client_id option:selected').data('balance');
            $('.client_balance').text(parseFloat(client_balance).toFixed(decimal_price));

        }

        <?php if(get_session_val('screen_type', 'integer')): ?>
        setItemsStoreQty();
        <?php endif; ?>

        <?php if(! (!is_null($invoice) && $invoice_type == 'returned sales') ): ?>
            $('#adding_new_item_iframe').attr('src', '<?php echo e(route('items.create', ['embedded' => 1])); ?>');
            $('#adding_new_client_iframe').attr('src', "<?php echo e(route('clients.create', ['invoice_type' => $invoice_type,'embedded' => '1'])); ?>");
        <?php endif; ?>


        <?php if($invoice): ?>
        $('#invoice_discount').val(parseFloat('<?php echo e($invoice->invoice_total_disc); ?>').toFixed(decimal_price));
        $('#value').prop('checked', true);
        $('#invoice_discount').trigger('change');
        $('.new_qty').trigger('change');
        <?php endif; ?>

        <?php if($invoice_type == 'purchases'): ?>
        $('#expire_date').val(' ')
        <?php endif; ?>

        $('#expire_date').val(' ');
        $('#item_name').focus();


    });


    function validate_new_item() {
        let item_id = $(document).find('#item_result').data('id');
        let unit_id = $(document).find('#item_unit').val();
        if ($(document).find('#item_result').val() == '' || item_id == '') {
            alert('<?php echo app('translator')->get('invoices.select_item_first'); ?>');
            $('#item_result').focus();
            return false;
        }
        if ($('#amount').val().trim() == '' || $('#amount').val() == 0) {
            alert('<?php echo app('translator')->get('invoices.add_quantity_first'); ?>');
            $('#amount').focus();
            return false;
        }
        org_qty = $('#item_result').data('qty');
        unit_value = $('#item_unit').children('option:selected').data('unit-val');
        target_qty = $('#amount').val();
        is_service = $('#item_result').data('is_service');
        is_manufacturing_item = $('#item_result').data('manufacturing');

        if (!is_service && is_manufacturing_item != 1) {
            existing_qtys = $(`.new_qty[data-item="${item_id}"][data-main="${unit_id}"]`);
            existing_units_vals = $(`.unit_selection[data-item="${item_id}"][data-current="${unit_id}"]`);

            existing_qty_sum = 0;

            for (index = 0; index < existing_qtys.length; index++) {
                current_unit_val = $(existing_units_vals[index]).find('option:selected').attr('data-unit-val');
                existing_qty_sum += $(existing_qtys[index]).val() * current_unit_val;
            }

            if ('<?php echo e(get_session_val("sale_details", "Integer")); ?>' == 0 & ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned purchases') & ((unit_value * target_qty) + existing_qty_sum) > org_qty) {
                if ((org_qty - existing_qty_sum) < 0) {
                    alert('الكمية الحالية لا تكفي');
                    $('#amount').val(0);
                    emptyData();
                }
                else {
                    qtyAlert((org_qty - existing_qty_sum) / unit_value);
                    $('#amount').val((1).toFixed(decimal_quantity));
                }

                return false;
            }
        }

        return true;
    }

    // add new item
    // prepare details
    $(document).on('click', '#addMe', function () {

        if (!validate_new_item())
            return false;


        if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales')// lowest_sale_price
        {
            var pay = parseFloat($(document).find('#item_result').data('pay'));
            var low = parseFloat($(document).find('#item_result').data('lowest_sale_price'));
        } else {
            var pay = $(document).find('#purchase_price').val();
            var low = $(document).find('#low_price').val();
        }

        var sale = $(document).find('#sale_price').val();   // input
        var main_sale_price = parseFloat($(document).find('#item_result').data('sale')).toFixed(decimal_price);
        var qty = $(document).find('#amount').val();
        var expire = $(document).find('#expire_date').val();
        var item_name = $(document).find('#item_result').val();
        var item_id = $(document).find('#item_result').data('id');
        var vat_state = $(document).find('#item_result').data('vat');
        var purchase_vat_state = $(document).find('#item_result').data('purchase_vat_state');
        var vats_ids = $(document).find('#item_result').data('vats_ids');
        var vats_values = $(document).find('#item_result').data('vats_values'); // additions_values
        var vats_types = $(document).find('#item_result').data('vats_types');
        var vats_opers = $(document).find('#item_result').data('vats_opers');
        var vats_usage = $(document).find('#item_result').data('vats_usage');
        var vats_usage_status = $(document).find('#item_result').data('vats_usage_status');
        var org_qty = $(document).find('#item_result').data('org-qty');
        var main_unit = $(document).find('#item_result').data('main');
        var item_total = $(document).find('#item_total').val();
        var serial = $(document).find('#item_result').data('serial');
        var purchase_code = $(document).find('#item_result').data('purchase_code');
        var avg = 0;
        var currency = $('select#safe_point option:selected').data('currency');
        var currency_price = 0;
        var about = $(document).find('#about').val();
        var item_note = $('#item_note').val();
        var main_pay_price = parseFloat($(document).find('#item_result').data('pay')).toFixed(decimal_price);
        var is_service = $(document).find('#item_result').data('is_service');
        var manufacturing_status = $(document).find('#item_result').data('manufacturing');
        // added for list_price
        var temp_sale = sale;
        var lists_prices = '';
        var lists_qtys = '';

        if ('<?php echo e($invoice_type); ?>' == 'returned purchases') {
            sale = parseFloat($(document).find('#item_result').data('sale')).toFixed(decimal_price);
        }

        if ('<?php echo e($invoice_type); ?>' == 'returned sales' || '<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers') {
            lists_prices = $('#item_result').data('lists_prices');
            lists_qtys = $('#item_result').data('lists_qtys');
            sale = getSalePriceFromLists(lists_prices, lists_qtys, sale, qty, parseFloat($('#item_unit option:selected').data('unit-val')));
        }

        pay = parseFloat(pay);
        qty = parseFloat(qty);
        sale = parseFloat(sale).toFixed(decimal_price);
        low = parseFloat(low).toFixed(decimal_price);
        item_total = parseFloat(item_total).toFixed(decimal_price);
        currency_price = parseFloat(currency_price).toFixed(decimal_price);

        var unit_id = $(document).find('select.items-list-units option:selected').val();

        var detail_id = $(document).find(`#item-${item_id}-${unit_id}`).data('detail'),
            base_pay = parseFloat($(document).find('#item_result').data('pay')),
            old_pay_price = parseFloat($(document).find(`#pay-${detail_id}`).val()),
            items_count = $(`tr[id='item-${item_id}-${unit_id}']`).length;

        // added
        let discount_operation = $('input[name="operation"]:checked').val() ?? 0;

        let discount_value = $('#ratio_input').val() ?? 0;
        let discount_type = $('input[name="ratio_type"]:checked').val() ?? 0;

        var is_sells_manufacturing_allowed = 0;

        <?php if( get_session_val('manufacturing', 'integer') == 2 && in_array($invoice_type, ['sales', 'returned sales']) && get_session_val('definite_while_selling', 'integer') == 1 ): ?>
            is_sells_manufacturing_allowed = 1
        <?php endif; ?>

        if ((is_sells_manufacturing_allowed == 1 && manufacturing_status == 1) || items_count == 0) {
            var data = appendItem('insert', item_id, unit_id, pay, sale, item_name, qty, vat_state, vats_ids,
                vats_values, vats_types, vats_opers, vats_usage, vats_usage_status, low, expire, purchase_code, main_unit, item_total, serial, currency_price,
                discount_operation, discount_value, discount_type, about, main_sale_price, main_pay_price, org_qty, purchase_vat_state, lists_prices, lists_qtys, temp_sale, is_service, manufacturing_status, item_note);
            $(document).find('#items_in_the_table').append(data);
            $(document).find('.danger').removeClass('danger');
        } else {
            var itemsArr = [];
            var ids = [];

            $(`tr[id='item-${item_id}-${unit_id}']`).each(function (k, v) {
                var item_detail_id = $(this).data('detail'),
                    item_pay = parseFloat($(document).find(`#pay-${detail_id}`).val());
                itemsArr.push(item_pay);
                ids.push(item_detail_id)
            });


            var is_pay_exsist = itemsArr.includes(pay);


            if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
                pay = sale;
            }
            appendItem('update', item_id, unit_id, pay);
        }


        // company ratio equal discount type ( on invoice total, on each item, none)
        if ("<?php echo e(get_session_val('company_ratio', 'Integer')); ?>" == '2' & parseFloat($('#invoice_discount').val()) > 0) {
            calculateTotal();
            recalculateTotal();
        } else {
            calculateTotal();
        }

        if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
            // calculateInstallments();
        }

        <?php if( get_session_val('manufacturing', 'integer') == 2 && in_array($invoice_type, ['sales', 'returned sales']) && get_session_val('definite_while_selling', 'integer') == 1 ): ?>

            if(manufacturing_status == 1)
            {
                detail_id = $('#items_in_the_table tr:last').data('detail');
                // add
                showAddedItemIngrediants(detail_id);
                $('#item_unit').attr('readonly', false);
            }

        <?php endif; ?>

        emptyData();
        $('#item_result').focus();
    });

    // add new item
    // add to added items table
    function appendItem(type, item_id, unit_id, pay, sale, item_name, qty, vat_state, vats_ids, vats_values, vats_types, vats_opers, vats_usage, vats_usage_status, low,
                        expire, purchase_code, main_unit, item_total, serial, currency_price, discount_operation = 0, discount_value = 0, discount_type = 0,
                        about = '', main_sale_price = 0, main_pay_price = 0, org_qty, purchase_vat_state, lists_prices = '', lists_qtys = '', temp_sale = 0, is_service = 0, manufacturing_status = 0, item_note = '') {

        var detail_id = Math.floor((Math.random() * 1000000000000) + 1);
        var thisElem = $(document).find('tr[id="item-' + item_id + '-' + unit_id + '"]');
        var detail_unit_id = Math.floor((Math.random() * 100000444440000) + 1);
        var currency = $('select#safe_point_id option:selected').data('currency');
        var extra1 = '', extra2 = '';

        var press_mode = '';
        <?php if(get_session_val('screen_type', 'integer') == 1): ?>
            press_mode = 'hidden';
        <?php endif; ?>

        var return_from_sale = '';
        if ('<?php echo e(! is_null($invoice)); ?>' && '<?php echo e($invoice_type); ?>' == 'returned sales') {
            return_from_sale = 'disabled';
        }

        if (type == 'update') {

            detail_id = $(document).find('#item-' + item_id + '-' + unit_id).data('detail');
            $(document).find('.danger').removeClass('danger');
            var val = $(document).find('#qty-' + detail_id).val();
            val = parseFloat(val);
            <?php if(get_session_val('screen_type', 'integer') == 1): ?>
                val += parseFloat($('#choosen_item_qty').val());
            <?php else: ?>
                val += parseFloat($('#amount').val());
            <?php endif; ?>
            $(document).find('#qty-' + detail_id).val(val);
            $('#amount').val(' ');
            // scroll to div

            $('.new_qty').trigger('change');

            // added
            if (pay) {
                if ('<?php echo e($invoice_type); ?>' == 'purchases' || '<?php echo e($invoice_type); ?>' == 'returned purchases')// lowest_sale_price
                {
                    $(document).find('#pay-' + detail_id).val(parseFloat(pay).toFixed(decimal_price));
                } else {
                    $(document).find('#sale-' + detail_id).val(parseFloat(pay).toFixed(decimal_price));
                }
            }

            $('.new_qty').trigger('change');


            return false;
        } else {
            var serials = ``,
                serial_notes = ``
            unit_val = parseFloat($('#item_unit option:selected').attr('data-unit-val'));

            if (serial == 1) {
                for (i = 0; i < (qty * unit_val); i++) {
                    serials += '<input type="text" class="serial form-control input-sm w-75-px" name="serial" style="margin-bottom: 5px" data-item="' + item_id + '" value="">';
                    serial_notes += '<input type="text" class="serial_notes form-control input-sm w-75-px" name="serial_notes" style="margin-bottom: 5px" value="">';
                }
            }


            var data_item = `<tr id="item-${item_id}-${unit_id}" data-detail="${detail_id}"><td>${item_name}</td>`;
            var read_only_if_sales = '';
            var disabled = '';

            if ('<?php echo e($invoice_type); ?>' != 'purchases') {
                if ('<?php echo e($invoice_type); ?>' != 'returned sales')
                    data_item += `<td class="${press_mode}"> ${about} </td>`;

                if ('<?php echo e($invoice_type); ?>' == 'returned purchases')
                    data_item += `<td class="${press_mode}" <?php if( ! authorized('can_add_purchases_invoices') ): ?> style="display: none !important;" <?php endif; ?> > ${parseFloat(main_pay_price).toFixed(decimal_price)} </td>`;
                else
                    data_item += `<td class="${press_mode}" ${return_from_sale}> ${parseFloat($('#item_unit option:selected').data('sale')).toFixed(decimal_price)} </td>`;
                read_only_if_sales = 'readonly';
            } else {
                disabled = 'disabled';
            }

            data_item += `
                            <td>
                                <input type="number" step="0.0001" style="width: 100%" class="new_qty form-control input-sm w-75-px" data-val="1" data-id="${detail_id}" value="${parseFloat(qty).toFixed(decimal_quantity)}" id="qty-${detail_id}"
                                        data-vat="${vat_state}"
                                        data-purchase_vat_state = "${purchase_vat_state}"
                                        data-vats_ids="${vats_ids}"
                                        data-vats_values="${vats_values}"
                                        data-vats_types="${vats_types}"
                                        data-vats_opers="${vats_opers}"
                                        data-vats_usage="${vats_usage}"
                                        data-vats_usage_status="${vats_usage_status}"
                                        data-item="${item_id}"
                                        data-main="${main_unit}"
                                        data-serial="${serial}"
                                        data-disc-oper="${discount_operation}"
                                        data-disc-val="${discount_value}"
                                        data-disc-type="${discount_type}"
                                        data-about="${about}"
                                        data-main-sale-price="${main_sale_price}"
                                        data-main-pay-price="${main_pay_price}"
                                        data-pay="${pay}"
                                        data-sale="${sale}"
                                        data-low="${low}"
                                        data-org-qty="${org_qty}"
                                        data-lists-prices="${lists_prices}"
                                        data-lists-qtys="${lists_qtys}"
                                        data-temp-sale="${temp_sale}"
                                        data-is_service="${is_service}"
                                        data-manufacturing_status="${manufacturing_status}"
                                    >
                            </td>
                        `;


            data_item += `<td class="">${org_qty}</td>`;

            manufacturing_unit_status = '';
            if (manufacturing_status == 1) {
                manufacturing_unit_status = 'readonly';
            }

            if ('<?php echo e(get_session_val("units_sup", "Integer")); ?>' == '1') {

                <?php if(get_session_val('screen_type', 'integer') == 1): ?>
                var selected = $(document).find('#choosen_item_units_selection option:selected').val();
                var units = $(document).find('#choosen_item_units_selection').clone().html();
                <?php else: ?>
                    var selected = $(document).find('select.items-list-units option:selected').val();
                    var units = $(document).find('select.items-list-units').clone().html();
                <?php endif; ?>

                $(document).find('select#dump').empty().append(units);
                $('select#dump option').each(function () {
                    if ($(this).val() == selected) {
                        $(this).attr('selected', 'selected');
                    } else {
                        $(this).removeAttr('selected');
                    }
                    $(this).attr('data-detail', detail_id);
                });
                units = $(document).find('select#dump').clone().html();

                data_item += `<td class="${press_mode}">
                                <select data-item="${item_id}" ${return_from_sale}
                                            id="item_unit-${detail_id}" data-current="${selected}"
                                            class="form-control item_unit unit_selection"
                                            name="item_unit[${detail_id}]" ${manufacturing_unit_status}>
                                    ${units}
                                </select>
                            </td>
                            `;
            } else {
                let selected_unit_id = $(document).find('select.items-list-units').val();
                data_item += `<td class="${press_mode} hidden">
                        <select data-item="${item_id}" ${return_from_sale}
                                    id="item_unit-${detail_id}" data-current="${selected}"
                                    class="form-control item_unit unit_selection"
                                    name="item_unit[${detail_id}]">
                            ${units}
                            <option selected value="${selected_unit_id}"></option>
                        </select>
                    </td>
                    `;
            }

            if ('<?php echo e($invoice_type); ?>' == 'purchases' || '<?php echo e($invoice_type); ?>' == 'returned purchases') {
                data_item += `
                            <td class="<?php if(! authorized('can_see_purchase_price')): ?> hidden <?php endif; ?>">
                            <input type="number" step="0.0001" style="width: 100%" class="new_pay form-control input-sm w-75-px
                                <?php if(! authorized('can_see_purchase_price')): ?> hidden <?php endif; ?>
                " data-pay="${pay}" id="pay-${detail_id}"
                            data-id="${detail_id}" value="${pay}" <?php if( get_session_val("incom_total_filed", "Integer") == 1): ?> disabled <?php endif; ?>>
                            </td>
                            ${extra1}
                            <td class="<?php if(! authorized('can_see_purchase_price')): ?> hidden <?php endif; ?> total_price replace" id="total_price-${detail_id}">${pay}*${qty}</td>
                            ${extra2}
                            `;
            } else {
                data_item += `
                            ${extra1}
                            <td class="total_price replace

                " id="total_price-${detail_id}" ${return_from_sale} >${sale}*${qty}</td>
                            ${extra2}
                            `;
            }

            if ('<?php echo e($invoice_type); ?>' != 'returned purchases') {
                data_item += `
                            <td class="">
                                <input type="number" step="0.0001" style="min-width: 40px; width: 100%;" class="new_sale form-control input-sm w-75-px
                                " id="sale-${detail_id}" data-sale="${sale}" value="${sale}" ${disabled}
                                        <?php echo e(auth()->user()->sale_price == 1 ? '' : 'disabled'); ?> ${return_from_sale} >
                            </td>
                        `;
            }

            if (
                '<?php echo e($invoice_type); ?>' != 'returned purchases' & '<?php echo e(get_session_val("check_lowest_price", "Integer")); ?>' == '1') {
                    data_item += `<td class=" ${press_mode}">
                        <input type="number" step="0.0001" class="new_low form-control input-sm w-75-px " data-low="${low}" data-pay="${pay}" data-sale="${sale}" value="${low}" ${read_only_if_sales} ${disabled} ${return_from_sale}></td>`;
            }

            if ('<?php echo e(get_session_val("show_expire_date", "Integer")); ?>' == '1') {
                // $readonly = ' ';
                // if ('<?php echo e($invoice_type); ?>' != 'purchases')
                // {
                $readonly = 'readonly';
                // }

                data_item += `
                                <td class=" ${press_mode} " >
                                    <input type="text"  class="new_expire form-control input-sm w-75-px date_of_expire" name="expire_date" value="${expire}" ${$readonly}>
                                </td>
                                `;
            }


            if ('<?php echo e(get_session_val("show_item_serial", "Integer")); ?>' == '1') {

                data_item += `
                            <td class="new_serial ${press_mode}">
                                ${serials}
                            </td>
                            <td class="new_serial_notes ${press_mode}" serial_notes>
                                ${item_note}
                            </td>
                            `;
            }


            <?php if(get_session_val('enable_client_sales', 'integer') == 1 && ($invoice_type == 'sales' || $invoice_type == 'returned sales')): ?>
                let item_counts = getItemSaleCount(item_id);
                data_item += `
                    <td id="${'item_counts_sales_' + item_id}">${item_counts.sales}</td>
                    <td id="${'item_counts_returned_' + item_id}">${item_counts.returned}</td>
                `;
            <?php endif; ?>

            data_item += `
                    <td>
                        <a href="javascript:void(0)" class="btn btn-danger delete" data-id="${detail_id}"><i class="fa fa-trash"></i></a>
                    </td>
                    <input type="hidden" class="details" name="item_details[${detail_id}]">
            `;

            // if ('<?php echo e(get_session_val("show_item_serial", "Integer")); ?>' == '1') {
            //     if (serial == 1) {
            //         data_item += `
            //         <input type="hidden" class="serials" name="item_serials[${item_id}]">
            //                                 <input type="hidden" class="serials_notes" name="serials_notes[${item_id}]">
            // `;
            //     }
            // }
            data_item += `
                    <input type="hidden" class="actual" name="actual_prices[${detail_id}]">
                </tr>
            `;

            var item_serials = [];
            thisElem.find('.serial').each(function (k, This) {
                var val = $(This).val();
                var old_val = $(This).data('serial');
                var check = checkValue(val, old_val);

                if (check) {
                    item_serials.push(val);
                    $(This).data('serial', val)
                }
            });
            thisElem.find('.serials').val(item_serials);
            return data_item;
        }
        calculateTotal();
    }

    function getItemSaleCount(item_id) {
        let data = {sales: 0, returned: 0};
        $.ajax({
            url: '<?php echo e(route("invoices.item.count")); ?>',
            type: 'GET',
            async: true,
            data: {client_id: $('#client_id').val(), item_id: item_id},
            success: function(response) { data = response; console.log(data);}
        });
        return data;
    }

    // calculation of total

    function calculateTotal(discount_ratio = 0, type = 0, invoice_total_discount = 1) {

        var ratio = $(document).find('#safe_point option:selected').data('val');
        ratio = parseFloat(ratio);

        if ('<?php echo e(get_session_val("bill_adds", "Integer")); ?>' == 1) {
            $(document).find('.remove').remove();
        }

        var all_total = 0;
        var for_vat = 0;
        var no_vat = 0;
        purchase_total_vats = total_vat = 0;
        items_count = 0;

        items_vats.length = 0;
        var total_without_discount = 0;

        items = [];
        $(document).find('.new_qty').each(function (k, This) {


            var invoice_vat_use = '<?php echo e(($invoice_vat_use)); ?>'.split(',');

            let thisElem = $(this).closest('tr');
            var qty = $(This).val();
            var old_qty = $(This).data('val');
            var detail_id = $(This).data('id');
            var new_qty = checkValue(qty, old_qty);
            var item_id = $(This).data('item');
            var item_note = $(This).data('item_note');
            var temp_vat = 0;

            if (new_qty) {

                items_count++;

                var id = $(This).data('id');
                var rejected_type = 1;
                if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
                    var pay_price = parseFloat(thisElem.find('.new_sale').val());
                    var main_price = parseFloat(thisElem.find('.unit_selection option:selected').attr('data-sale'));
                    var purchase_price = parseFloat(thisElem.find('.unit_selection option:selected').attr('data-price'));
                    rejected_type = 2;
                } else {
                    var pay_price = parseFloat(thisElem.find('.new_pay').val());
                    var main_price = parseFloat(thisElem.find('.unit_selection option:selected').attr('data-price'));
                    var purchase_price = pay_price;
                }

                unit_id = thisElem.find('.unit_selection option:selected').attr('value');

                $(This).val(new_qty);
                qty = new_qty;
                $(This).data('val', qty);
                qty = parseFloat(qty);
                pay_price_before_discount = pay_price;
                pay_price = parseFloat(pay_price);

                var total = qty * pay_price;
                all_total += total;
                var vat_state = $(This).data('vat');
                var purchase_vat_state = $(This).data('purchase_vat_state');
                var n_total = 0;

                if (($(this).data('vat') != 2 && <?php echo e(get_session_val('apply_vats', 'Integer')); ?> == 1) || <?php echo e(get_session_val('apply_vats', 'Integer')); ?> == 0) {
                    $('#invoice_total').val((all_total).toFixed(decimal_price));

                    if (type)
                        total -= discount_ratio;
                    else {
                        temp_price = total * discount_ratio;
                        total -= temp_price;
                    }
                }

                if (<?php echo e(get_session_val('apply_vats', 'Integer')); ?> == 0) { // منع حساب القيمه المضاضه عندما تكون متوقف اللعمل بها
                    [purchase_total_vats, n_total] = calculate_vats(vats_usage, vats_usage_status, vats_ids, vats_types, vats_values, vats_opers, purchase_price, 0, item_id, 1, 1, 0, unit_id);
                    [temp_vat, n_total] = calculate_vats(vats_usage, vats_usage_status, vats_ids, vats_types, vats_values, vats_opers, total, 0, item_id, qty, rejected_type, 1, unit_id);
                } else {
                    // split vats_values & vats_types
                    var vats_values = $(This).data('vats_values');
                    var vats_ids = $(This).data('vats_ids');
                    var vats_types = $(This).data('vats_types');
                    var vats_opers = $(This).data('vats_opers');
                    var vats_usage = $(This).data('vats_usage');
                    var vats_usage_status = $(This).data('vats_usage_status');

                    if (vats_ids) {

                        if (vats_types.length > 2) {
                            vats_types = vats_types.split(',');
                            vats_opers = vats_opers.split(',');
                            vats_ids = vats_ids.split(',');
                            vats_values = vats_values.split(',');
                            vats_usage = vats_usage.split(',');
                            vats_usage_status = vats_usage_status.split(',');
                        } else {
                            vats_types = [vats_types];
                            vats_ids = [vats_ids];
                            vats_values = [vats_values];
                            vats_opers = [vats_opers];
                            vats_usage = [vats_usage];
                            vats_usage_status = [vats_usage_status];
                        }

                        temp_vat = 0;
                        [purchase_total_vats, n_total] = calculate_vats(vats_usage, vats_usage_status, vats_ids, vats_types, vats_values, vats_opers, purchase_price, purchase_vat_state, item_id, 1, 1, 0, unit_id);
                        [temp_vat, n_total] = calculate_vats(vats_usage, vats_usage_status, vats_ids, vats_types, vats_values, vats_opers, total, vat_state, item_id, qty, rejected_type, 1, unit_id);
                    } else {
                        n_total += total;
                    }
                }

                var discount_val = 0;
                if ($(this).data('vat') == 2 && <?php echo e(get_session_val('apply_vats', 'Integer')); ?> == 1) {
                    let vats_value_arr = $(this).data('vats_values');

                    if ( typeof vats_value_arr === 'string' && vats_value_arr.indexOf(',') > -1) {
                        vats_value_arr = $(this).data('vats_values').split(',');
                    } else {
                        vats_value_arr = [vats_value_arr];
                    }


                    if (type) {
                        discount_val = discount_ratio;
                        n_total -= discount_val;
                    } else {
                        discount_val = n_total * discount_ratio;
                        n_total -= discount_val;
                    }

                    for(i = 0; i < items_vats.length; i ++) {
                        var last_added = items_vats[i];
                        var keys = last_added.split('/');

                        if (keys[0] == item_id && keys[6] == unit_id) {
                            temp_vat = n_total * (vats_value_arr[0] / 100)
                            keys[4] = temp_vat;
                            items_vats[i] = keys.join('/');
                        }
                    }

                    total -= temp_vat;
                }

                if ($(this).data('vat') == 2 && <?php echo e(get_session_val('apply_vats', 'Integer')); ?> == 1) {
                    total_without_discount += n_total + discount_val;
                    $('#invoice_total').val((total_without_discount).toFixed(decimal_price));
                } else {
                    total_without_discount += total;
                }

                total_vat += temp_vat;


                if (discount_ratio) {
                    if (type == 0) {
                        // disc_val = discount_ratio * pay_price_before_discount;
                        disc_val = discount_ratio * 100;
                        disc_type = type;
                    } else {
                        disc_val = discount_ratio;
                        disc_type = type;
                    }
                } else {
                    disc_val = $(this).data('disc-val');
                    disc_type = $(this).data('disc-type');
                    disc_oper = $(this).data('disc-oper');

                    if (pay_price < main_price && disc_val > 0) {
                        if (disc_type == 0)  // %
                        {
                            if (disc_oper == 1) {
                                disc_val = 100 + ((pay_price / main_price) * 100);
                            } else {
                                disc_val = 100 - ((pay_price / main_price) * 100);
                            }
                        } else {
                            if (disc_oper == 1) {
                                disc_val = main_price + pay_price;
                            } else {
                                disc_val = main_price - pay_price;
                            }
                        }
                    } else if (pay_price >= main_price && disc_oper == 0) {
                        disc_val = 0;
                    }
                }

                $(this).attr('data-disc-val', disc_val);
                $(this).attr('data-disc-type', disc_type);

                $(this).attr('data-disc-val', disc_val);
                $(this).attr('data-disc-type', disc_type);
                $(this).attr('data-disc-val', disc_val);

                for_vat += n_total;
                thisElem.find('#total_price-' + id).text(total.toFixed(decimal_price));

                var item_id = thisElem.find('.new_qty').data('item'),
                    item_disc_oper = thisElem.find('.new_qty').data('disc-oper'),
                    item_disc_val = disc_val,
                    item_disc_type = disc_type,
                    item_qty = parseFloat(thisElem.find('.new_qty').val()),
                    item_unit = parseFloat(thisElem.find('.item_unit').val()),
                    item_pay = parseFloat(thisElem.find('.new_pay').val()),
                    item_total = parseFloat(thisElem.find('.total_price').text()),
                    item_sale = parseFloat(thisElem.find('.new_sale').val()),
                    item_low = parseFloat(thisElem.find('.new_low').val()),
                    basic_sale_price = parseFloat(thisElem.find('option:selected').data('sale')),
                    basic_pay_price = parseFloat(thisElem.find('option:selected').data('price')),
                    item_date_expire = thisElem.find('.new_expire').val();
                thisElem.find('.actual').val(item_pay);

                if (!basic_sale_price) {
                    basic_sale_price = parseFloat(thisElem.find('.new_qty').data('main-sale-price'));
                }
                if (!basic_pay_price) {
                    basic_pay_price = parseFloat(thisElem.find('.new_qty').data('main-pay-price'));
                }

                if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
                    item_pay = thisElem.find('option:selected').data('price');

                    if (!item_pay) {
                        item_pay = parseFloat(thisElem.find('.new_qty').data('pay'));
                    }

                    item_total = item_qty * item_sale;
                }
                if ('<?php echo e($invoice_type); ?>' == 'returned purchases' || '<?php echo e($invoice_type); ?>' == 'purchases') {
                    item_total = item_qty * item_pay;
                    item_sale = thisElem.find('option:selected').data('sale');
                    item_low = thisElem.find('option:selected').data('low');

                    if (!item_sale) {
                        item_sale = parseFloat(thisElem.find('.new_qty').data('sale'));
                    }
                    if (!item_low) {
                        item_low = parseFloat(thisElem.find('.new_qty').data('low'));
                    }
                }

                if ('<?php echo e(get_session_val("show_expire_date", "Integer")); ?>' == 0) {
                    item_date_expire = '0000-00-00';
                }
                if ('<?php echo e(get_session_val("check_lo", "Integer")); ?>' == 0) {
                    item_low = 0;
                }
                if ('<?php echo e(get_session_val("units_sup", "Integer")); ?>' == 0) {
                    item_unit = thisElem.find('.new_qty').data('main');
                }
                var new_item = thisElem.find('.new_details');
                // send details
                if (!item_total) {
                    item_total = item_pay * item_qty;
                }


                if (!new_item.length) {
                    thisElem.find('.details').val(item_id + '/' + item_qty + '/' + item_unit + '/' +
                        item_pay + '/' + item_total + '/' + item_sale + '/' + item_low + '/' +
                        item_date_expire + '/' + item_disc_oper + '/' + item_disc_val + '/' + item_disc_type + '/' + basic_sale_price + '/' + basic_pay_price + '/' + purchase_total_vats + '/' + detail_id + '/' + item_note);
                } else {
                    thisElem.find('.new_details').val(item_id + '/' + item_qty + '/' + item_unit + '/' +
                        item_pay + '/' + item_total + '/' + item_sale + '/' + item_low + '/' +
                        item_date_expire + '/' + item_disc_oper + '/' + item_disc_val + '/' + item_disc_type + '/' + basic_sale_price + '/' + basic_pay_price + '/' + purchase_total_vats + '/' + detail_id + '/' + item_note);
                }

                items.push({
                    item_id,
                    quantity: item_qty,
                    unit_id: item_unit,
                    pay_price: item_pay,
                    sale_price: item_sale,
                    cashier_alert: item_low,
                    item_date_expire,
                    item_disc_oper,
                    item_disc_val,
                    item_disc_type,
                    basic_sale_price,
                    basic_pay_price,
                    purchase_total_vats,
                    detail_id: detail_id,
                    price: $(`[name="actual_prices[${detail_id}]"]`).val(),
                    rawHTML: thisElem[0].outerHTML,
                })
            }
        }); // .new_qty ended


        var sub_total = for_vat + no_vat;
        sub_total = parseFloat(sub_total);
        var t = 0;

        $('#items_total').val(sub_total.toFixed(decimal_price));
        $('#items_count').val(items_count);

        if ("<?php echo e(get_session_val('company_ratio', 'Integer')); ?>" == '2') {
            var inp_discount = parseFloat($('#invoice_discount').val());
            if (isNaN(inp_discount)) {
                inp_discount = 0;
            }

            if (parseFloat($('input[name="invoice_discount_type"]:checked').val()) == 0) {
                var discount = (inp_discount / 100) * parseFloat(total_without_discount);
                var val = for_vat + discount;
                val.toFixed(decimal_price);
                // $('#invoice_total').val(val.toFixed(decimal_price));
            } else {
                var val = for_vat + inp_discount;
                val.toFixed(decimal_price);
                // $('#invoice_total').val(val.toFixed(decimal_price));
            }
        } else {
            // $('#invoice_total').val((for_vat).toFixed(decimal_price));
        }

        $(document).find('#calculated_total').val(sub_total.toFixed(decimal_price));
        $('#calculated_total').data('main', total_without_discount);

        // $('#invoice_total').val((total_without_discount).toFixed(decimal_price));


        $('#items_total').val(total_without_discount.toFixed(decimal_price));

        var for_vat_after_discount_total = for_vat;

        $('#vats_total').val(total_vat.toFixed(decimal_price));


        let delivery_fees = 0;
        <?php if(get_session_val('home_delivery', 'integer') != 0 && get_session_val('einvoice', 'integer') != 1): ?>
            <?php if(get_session_val('add_delivery_fees_to_the_cash_drawer', 'Integer')): ?>
                delivery_fees = $('#delivery_fees').length ? parseFloat($('#delivery_fees').val()) : 0;
            <?php endif; ?>
        <?php endif; ?>
        let net_total = (for_vat_after_discount_total + total_vat + delivery_fees).toFixed(decimal_price);
        $('#net').val(net_total);

        var net2 = net_total;
        var paid = $('#paid').val();
        var cash_paid = $('#cash_paid').val();

        var old_paid = $('#paid').data('paid');
        // var old_paid = paid;
        var new_paid = checkValue(paid, old_paid);


        // if (new_paid) {
        //     console.log(8777887878787);
        //     $('#paid').val(parseFloat(new_paid).toFixed(decimal_price));
        //     $('#paid').data('paid', parseFloat(new_paid).toFixed(decimal_price));
        //     paid = new_paid;
        // }

        var rest = $('#rest').val();
        paid = parseFloat(paid);
        rest = net2 - paid;
        $(document).find('#paid').val(paid.toFixed(decimal_price));
        $(document).find('#rest').val(rest.toFixed(decimal_price));

        if (parseFloat($('#rest').val()) <= 0) {
            $('#cash').prop('checked', true);
            $('#paid').val(net2);
            $('#rest').val(0);

            if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
                hideInstallments();
            }

        } else {
            $('#later').prop('checked', true);
            if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
                showInstallments();
            }
        }

        $('#show_invoice_net').text(net2);

        if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
            if ('<?php echo e(! authorized('can_sale_later')); ?>') {
                autoCashClick();
            }
        }

        if (('<?php echo e(get_session_val('invoice_default_payment_type', 'integer')); ?>' == 1 && $('#cash').attr('data-user_choice') == 1) || $('#cash').is(':checked')) {
            autoCashClick();

            if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
                hideInstallments();
            }

        } else {
            if ($('#later').attr('data-user_choice') == 0 || $('#later').is(':checked')) {
                autoLaterClick();

                if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
                    showInstallments();
                }

            }
        }
        updatePendingInvoiceData();
    }

    function autoCashClick() {
        cashProcess();
    }

    function autoLaterClick() {
        laterProcess();
    }

    function cashProcess(auto = true) {
        var paid = parseFloat($(document).find('#net').val());
        $(document).find('#paid').val(parseFloat(paid).toFixed(decimal_price));

        if ('<?php echo e(get_session_val('netowrk_payment', 'integer')); ?>' == 1 && '<?php echo e($invoice_type); ?>' == 'sales') {
            $('#cash_paid').val(((paid) - parseFloat($('#network_paid').val())).toFixed(decimal_price));
        } else {
            $('#cash_paid').val((paid).toFixed(decimal_price));
        }

        if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
            hideInstallments();
        }

        if (!auto) {
            changePaymentType();
            recalculateTotal();
        }

        $('#rest').val(0);

        $('#cash').prop('checked', true);

    }

    function laterProcess(auto = true) {
        var paid = 0;
        if ('<?php echo e(get_session_val('netowrk_payment', 'integer')); ?>' == 1 && '<?php echo e($invoice_type); ?>' == 'sales') {
            var cash_pay = parseFloat($('#cash_paid').val());
            var network_pay = parseFloat($('#network_paid').val());
            var net = parseFloat($('#net').val());
            if (cash_pay + network_pay >= net) {
                $('#cash_paid').val(0);
                paid = network_pay;
            } else {
                paid = cash_pay + network_pay;
            }
        } else {
            if (!auto) {
                $('#cash_paid').val(0);
            } else {
                paid = parseFloat($('#cash_paid').val());
            }
        }

        $(document).find('#paid').val(paid.toFixed(decimal_price));

        if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
            showInstallments();
        }

        if (!auto) {
            changePaymentType();
            recalculateTotal();
        }

        $('#later').prop('checked', true);

    }

    function recalculateTotal(reculculated = false) {
        if (reculculated) {
            return false;
        }


        if (<?php echo e(get_session_val('company_ratio', 'Integer')); ?> == 2) {

            if (parseFloat($('input[name="invoice_discount_type"]:checked').val()) == 0) {
                discount_amount = (parseFloat($('#invoice_discount').val()) / 100);
                type = 0;
            } else {
                // let total = parseFloat($('#calculated_total').data('main'));
                let total = parseFloat($('#invoice_total').val());

                if (total) {
                    discount_amount = (parseFloat($('#invoice_discount').val()) / total);
                } else {
                    discount_amount = (parseFloat($('#invoice_discount').val()));
                }
                type = 0;
            }
            $('#sent_discount_type').val(type);

            if (isNaN(discount_amount)) {
                discount_amount = 0;
            }

            calculateTotal(discount_amount, type);
        } else {
            $('#sent_discount_type').val(1);
            calculateTotal();
        }
        return recalculateTotal(true);
    }

    function calculateItemTotal() {
        const decimal_price = '<?php echo e(get_session_val("decimal_num_price", "Integer")); ?>';
        var qty = $('#amount').val();
        var old = $('#amount').data('val');
        var new_qty = checkValue(qty, old);

        if (new_qty) {
            new_qty = parseFloat(new_qty);
            $('#amount').val(new_qty.toFixed(decimal_quantity));
            $('#amount').data('val', new_qty);

            if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
                var sale_price = $(document).find('#sale_price').val();
                var total = parseFloat(new_qty) * parseFloat(sale_price);
            } else {
                if (('<?php echo e(get_session_val("incom_total_filed", "Integer")); ?>' == 1 & '<?php echo e($invoice_type); ?>' == 'purchases')) {
                    var total = parseFloat($('#item_total').val());
                    var purchase_price = total / new_qty;
                    $('#purchase_price').val(purchase_price.toFixed(decimal_price));
                } else {
                    var purchase_price = $(document).find('#purchase_price').val();
                    var total = parseFloat(new_qty) * parseFloat(purchase_price);
                }
            }

            total = parseFloat(total);

            $(document).find('#item_total').val(total.toFixed(decimal_price));
            ratio = $(document).find('#safe_point option:selected').data('val');
            ratio = parseFloat(ratio);
            total_n = total * ratio;
            $(document).find('#total_currency').val(total_n.toFixed(decimal_price));

            theUnit = $(document).find('select#item_unit').find('option:selected').val();
            show_pay_price();
        }
    }


    // ajax requests

    // search items with name
    // $('#item_result').on('keyup',function() {
    //     getItemsByName();
    // });

    // new item
    $(document).on('click', 'li.option', function () {

        $('#item_result').val($(this).text().trim());
        $('#item_result').data('id', $(this).data('id'));
        $('#item_result').data('pay', $(this).data('pay'));
        $('#item_result').data('sale', $(this).data('sale'));
        $('#item_result').data('vat', $(this).data('vat'));
        $('#item_result').data('purchase_vat_state', $(this).data('purchase_vat'));
        $('#item_result').data('vats_ids', $(this).data('vats_ids'));
        $('#item_result').data('vats_values', $(this).data('vats_values'));
        $('#item_result').data('vats_types', $(this).data('vats_types'));
        $('#item_result').data('vats_opers', $(this).data('vats_opers'));
        $('#item_result').data('vats_usage', $(this).data('vats_usage'));
        $('#item_result').data('vats_usage_status', $(this).data('vats_usage_status'));
        $('#item_result').data('main', $(this).data('main'));
        $('#item_result').data('serial', $(this).data('serial'));
        $('#item_result').data('qty', $(this).data('qty'));
        $('#item_result').data('org-qty', $(this).data('qty'));
        $('#item_result').data('lowest_sale_price', $(this).data('lowest_sale_price'));
        $('#item_result').data('purchase_code', $(this).data('purchase_code'));
        $('#item_result').data('company_income', $(this).data('company_income'));
        $('#item_result').data('about', $(this).data('about'));
        $('#item_result').data('is_service', $(this).data('is_service'));
        $('#about').val($(this).data('about'));
        $('#result').empty();
        $('#item_result').data('manufacturing', $(this).data('manufacturing'));

        <?php if(get_session_val('screen_type', 'integer') == 1): ?>
            $('#item_result').val('');
            $('body').find(`.item[data-id="${$(this).data('id')}"]`).click();
            return true;
        <?php endif; ?>

        if ($(this).data('is_service')) {
            $('#current_quantity').children('span').html(' بلا حدود ');
        } else {
            let current_quantity = $(this).data('qty').trim().length > 0 ? $(this).data('qty') : 0;
            $('#current_quantity span').text( parseFloat( current_quantity ).toFixed(decimal_quantity));
        }

        <?php if('<?php echo e(get_session_val("show_expire_date", "Integer")); ?>' == '1'): ?>
        $('#expire_date').val($(this).data('expire'));
        $('#expire_date').selectpicker('refresh');
        <?php endif; ?>

        const decimal_price = <?php echo e(get_session_val('decimal_num_price', 'string')); ?>;

        var value = $(this).text();
        var qty = 1;
        var id = $(this).data('id');
        var invoice_id = 0;

        $.ajax({


            url: '<?php echo e(route("invoices.item-units", $invoice_type)); ?>',
            data: {
                '_token': '<?php echo e(csrf_token()); ?>',
                'item_id': id,
                'invoice_id': invoice_id
            },
            type: 'post',
            success: function (res) {
                if (res.status == '1') {
                    $(document).find('select.items-list-units').empty().append(res.data).trigger('change');

                    var is_sells_manufacturing_allowed = 0;

                    <?php if( get_session_val('manufacturing', 'integer') == 2 && in_array($invoice_type, ['sales', 'returned sales']) && get_session_val('definite_while_selling', 'integer') == 1 ): ?>
                        is_sells_manufacturing_allowed = 1;
                    <?php endif; ?>

                    if ((is_sells_manufacturing_allowed == 1 || $(document).find('#item-' + id).length <= 0) && value != '0') {
                        var pay = parseFloat($(document).find('select.items-list-units').find('option:selected').data('price'));
                        var sale = parseFloat($(document).find('select.items-list-units').find('option:selected').data('sale'));
                        var low = parseFloat($(document).find('select.items-list-units').find('option:selected').data('low'));
                        var expire = $(document).find('select.items-list-units').find('option:selected').data('expire');
                        var item_name = $(this).text();
                        var item_total = parseFloat($(document).find('#item_total').val());
                        item_total = parseFloat(item_total);
                        pay = parseFloat(pay);
                        company_income = parseFloat($('#item_result').data('company_income'));


                        if ('<?php echo e($invoice_type); ?>' == 'returned sales' || '<?php echo e($invoice_type); ?>' == 'sales') {
                            $(document).find('#item_total').val(sale.toFixed(decimal_price));
                            $(document).find('#show_basic_price').html(sale.toFixed(decimal_price)); //company ratio label
                        } else {
                            $(document).find('#item_total').val(pay.toFixed(decimal_price));
                            $(document).find('#show_basic_price').html(pay.toFixed(decimal_price)); //company ratio label
                        }

                        $(document).find('#purchase_price').val(pay.toFixed(decimal_price));
                        $(document).find('#sale_price').val(sale.toFixed(decimal_price));
                        $(document).find('#item').val(id);
                        <?php if(get_session_val('enter_quant', 'integer') == 0): ?>
                            $(document).find('#amount').val(qty);
                        <?php else: ?> // enter_quant = 1
                            $(document).find('#amount').val('');
                        <?php endif; ?>
                        $(document).find('#low_price').val(low.toFixed(decimal_price));
                        $(document).find('#expire_date').val(expire);

                        // added
                        pay = parseFloat(pay).toFixed(decimal_price);
                        sale = parseFloat(sale).toFixed(decimal_price);

                        $(document).find('#ratio_input').val(company_income.toFixed(decimal_price)); //company ratio


                        if ('<?php echo e(get_session_val("enter_quant", "Integer")); ?>' == '0') {
                            $('#addMe').click(); // *********
                        } else {
                            notifyNegativeSale(sale, pay);
                        }

                        $('#amount').focus();

                        unit_id = $('#item_unit').val();
                        get_last_sale_price(id, unit_id);

                    } else {
                        if ($(document).find('#item-' + id).length > 0) {
                            appendItem('update', id);
                        }

                        if (value == '0') {
                            alert('اختر صنف اولا')
                        }
                        return false;
                    }

                    theUnit = $(document).find('select#item_unit').find('option:selected').val();
                    show_pay_price();
                }
            },
            error: function (xhr) {

            }
        });
        getItemPrices($(this).data('id'));

        // manufacturing
        <?php if(get_session_val('manufacturing', 'integer') == 2 && in_array($invoice_type, ['sales', 'returned sales']) && get_session_val('definite_while_selling', 'integer') == 1): ?>

            if( $(this).data('manufacturing') == 1 )
            {
                $('#new_ingrediant').val('');
                $('#fireIngrediantsModal').trigger('click');
                $('#item_unit').attr('readonly', true);
            }
        <?php endif; ?>

    });

    function getData() {
        var client_id = $(document).find('select#client_id option:selected').val();
        $.get('<?php echo e(route('items-data')); ?>', {
            'client_id': client_id
        }, function (data) {
            if (client_id != '' || client_id != null) {
                if (data.status == 1) {
                    $('#item').empty().append(data.data);
                    $('.selectpicker').selectpicker('refresh');
                } else {
                    $('#item').empty().append(data.data);
                    $('.selectpicker').selectpicker('refresh');
                }
            } else {
                $('#item').empty();
                $('.selectpicker').selectpicker('refresh');
            }
            emptyData()
        });
    }

    function show_pay_price() {
        if ($('#avg_price').length == 0) return;
        var item_id = $(document).find('#item').val(),
            new_pay = parseFloat($(document).find('#purchase_price').val() || $(document).find('#sale_price').val() ),
            new_qty = parseFloat($(document).find('#amount').val()),

            new_unit_value = parseFloat($('#item_unit option:selected').attr('data-unit-val'));

        if (isNaN(new_qty) || isNaN(new_unit_value)) return ;

        if ('<?php echo e(in_array($invoice_type, ["returned purchases", "sales"])); ?>') {
            new_qty *= -1;
        }

        $.get('<?php echo e(route("avg-pay-price")); ?>', {
            'item_id': item_id,
            'new_qty': new_qty,
            'new_pay': new_pay,
            'new_unit_value': new_unit_value
        }, function (data) {

            if (data.status == 1) {
                if ('<?php echo e(in_array($invoice_type, ["returned purchases", "purchases"])); ?>' == true) {
                    $(document).find('#avg_price').val(parseFloat(data.data * new_unit_value).toFixed(decimal_price));
                } else {
                    $(document).find('#avg_price').val(parseFloat(data.data).toFixed(decimal_price));
                }
            } else {
                $('#item').empty().append(data.data);
            }
        });
    }

    function get_last_sale_price(item_id, unit_id) {
        client_id = $('#client_id').val();

        if (client_id > 0 && '<?php echo e(get_session_val('client_last_saleprice', 'integer')); ?>' == 1) {
            $.get('<?php echo e(route("last-sale-price")); ?>', {
                'item_id': item_id,
                'invoice_type': '<?php echo e($invoice_type); ?>',
                'unit_id': unit_id,
                'client_id': client_id
            }, function (data) {
                if (data.status == 1) {
                    $(document).find('#last_sale_price').val(parseFloat(data.data).toFixed(decimal_price));
                } else {
                    $(document).find('#last_sale_price').val(0);
                }
            });
        } else {
            $('#last_sale_price_msg').text("<?php echo app('translator')->get('invoices.choose_client_to_get_lowest_price'); ?>");
        }
    }

    // detect changing

    $(document).on('change', '#store_id', function () {
        const url = new URL(window.location.href);
        url.searchParams.set('store_id', $('#store_id').val());
        url.searchParams.delete('param2');
        window.history.replaceState(null, null, url); // or pushState
        if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned purchases') {
            if ($('#items_count').val().trim() > 0) {
                $('#reset').trigger('click');
            } else {
                emptyData();
            }
        }

        <?php if(get_session_val('screen_type', 'integer')): ?>
            setItemsStoreQty();
        <?php endif; ?>
    });

    $(document).on('change', 'select.items-list-units', function () {
        var val = $(this).find('option:selected').val();
        var pay = $(this).find('option:selected').data('price');
        var sale = $(this).find('option:selected').data('sale');
        pay = parseFloat(pay);
        sale = parseFloat(sale);
        $(document).find('#purchase_price').val(pay.toFixed(decimal_price));
        $(document).find('#sale_price').val(sale.toFixed(decimal_price));
        $(document).find('#purchase_price').trigger('change');
    });

    // change amount
    $(document).on('change', '#amount, #item_unit', function () {

        org_qty = $('#item_result').data('qty');
        unit_value = $('#item_unit').children('option:selected').data('unit-val');
        target_qty = $('#amount').val();

        if (!target_qty) {
            target_qty = 0;
            // $(this).val(0);
            $('#amount').val(0);
        }

        is_service = $('#item_result').data('is_service') ?? 0;
        manufacturing_status = $('#item_result').data('manufacturing_status') ?? 0;

        if (is_service) {
            $('#current_quantity').children('span').html(' بلا حدود ');
        } else if (manufacturing_status != 1) {
            existing_qtys = $('.new_qty[data-item="' + $(document).find('#item_result').data('id') + '"]');
            existing_units_vals = $('.unit_selection[data-item="' + $(document).find('#item_result').data('id') + '"]');

            existing_qty_sum = 0;

            for (index = 0; index < existing_qtys.length; index++) {
                current_unit_val = $(existing_units_vals[index]).find('option:selected').attr('data-unit-val');
                existing_qty_sum += $(existing_qtys[index]).val() * current_unit_val;
            }

            if (
                (
                    ('<?php echo e(get_session_val("sale_details", "Integer")); ?>' == 0 & ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned purchases'))
                    ||
                    ('<?php echo e($invoice_type); ?>' == 'returned sales' && '<?php echo e(!is_null($invoice)); ?>')
                )
                & ((unit_value * target_qty) + existing_qty_sum) > org_qty) {
                qtyAlert((org_qty - existing_qty_sum) / unit_value);
                if($(this).attr('id') == 'amount' && ((org_qty - existing_qty_sum) / unit_value) == 0)
                {
                    emptyData();
                }
                else{
                    $('#amount').val(1 * unit_value);
                }
                return false;
            }

            var maximum_qty = parseFloat($('#item_result').data('qty')) / parseFloat(unit_value);
            maximum_qty = isNaN(maximum_qty) ? 0 : maximum_qty;
            $('#current_quantity').children('span').html(maximum_qty.toFixed(decimal_quantity));
        }

        if ($(this).attr('id') == 'item_unit' & ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales')) {
            item_id = $(this).children('option:selected').data('item');
            unit_id = $(this).val();

            get_last_sale_price(item_id, unit_id);
        }

        calculateItemTotal();
    });

    $(document).on('change', '#purchase_price', function () {
        var purchase = $(this).val();

        if (!purchase) {
            purchase = 0;
            $(this).val(0);
        }
        else if(purchase < 0)
        {
            purchase = 0;
            $(this).val(0);
        }

        var old = $(this).data('purchase');
        var new_purchase = checkValue(purchase, old);
        if (new_purchase) {
            new_purchase = parseFloat(new_purchase);
            $(this).val(new_purchase.toFixed(decimal_price));
            $(this).data('purchase', new_purchase);
            var qty = $(document).find('#amount').val();
            var total = parseFloat(new_purchase) * parseFloat(qty);
            total = parseFloat(total);
            $(document).find('#item_total').val(total.toFixed(decimal_price));

            theUnit = $(document).find('select#item_unit').find('option:selected').val();
            show_pay_price();
        }
    });

    $(document).on('change', '#sale_price', function () {

        var old = parseFloat($(this).data('sale'));

        if ('<?php echo e(get_session_val("income_saleprice", "Integer")); ?>' == 0 & ('<?php echo e($invoice_type); ?>' == 'purchases' || '<?php echo e($invoice_type); ?>' == 'returned purchases')) {
            $(this).val(parseFloat(old).toFixed(decimal_price));
            return false;
        }

        const check_lowest_price = <?php echo e(get_session_val('check_lowest_price', 'Integer')); ?>;

        var sale = $(this).val();
        if (!sale || sale < 0) {
            sale = 0;
            $(this).val(0);
        }

        var old = parseFloat($(this).data('sale'));
        var new_sale = checkValue(sale, old);
        if (new_sale) {
            if (check_lowest_price == 1 & ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales')) {
                var low = parseFloat($(document).find('#item_result').data('lowest_sale_price'));

                main = $('#item_unit option:selected').attr('data-sale');

                if (new_sale < low) {
                    alert('أ<?php echo app('translator')->get('invoices.details.lower-sale-price'); ?> ' + low);
                    $(this).val(parseFloat(main).toFixed(decimal_price));
                    return false;
                }
            } else {
                if ('<?php echo e($invoice_type); ?>' != 'purchases')// lowest_sale_price
                {
                    var pay = parseFloat($(document).find('#item_result').data('pay'));
                    var low = parseFloat($(document).find('#item_result').data('lowest_sale_price'));
                } else {
                    var pay = $(document).find('#purchase_price').val();
                    var low = $(document).find('#low_price').val();
                }
            }
            $(this).data('sale', new_sale);
            calculateItemTotal();
        }

        var pay = parseFloat($('#item_unit option:selected').data('price'));

        notifyNegativeSale(new_sale, pay);
    });

    $(document).on('change', 'select.unit_selection', function () {

        var This = $(this);

        // added
        if (('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned purchases')) {
            detail_id = $(this).data('id');

            if (!isQtyAvailable(detail_id)) {
                $('input[data-id="' + detail_id + '"]').val(1);
                // $('input[data-item="'+ item_id +'"]').trigger('change');
            }
        }

        var item_id = This.find('option:selected').data('item');
        var unit_id = This.find('option:selected').val();
        var current = This.data('current');
        var current_div = $(document).find('tr#item-' + item_id + '-' + current);
        var detail_id = This.find('option:selected').data('detail');
        // added
        var quantity_input = $(this).parent().parent().find('.new_qty');
        var discount_type = quantity_input.data('disc-type');
        var discount_value = quantity_input.data('disc-val');

        if (discount_type == 0) {
            discount_value = 1 - (discount_value / 100);
        }

        if ($(document).find('#item-' + item_id + '-' + unit_id).length > 0) {

            base_item = $(document).find('#item-' + item_id + '-' + unit_id);

            base_qty = base_item.find('.new_qty');

            new_val = parseFloat($(base_qty).val()) + 1;

            $(base_qty).val(new_val);

            $('tr[data-detail="' + detail_id + '"]').remove();
            $('.new_qty').trigger('change');

        } else {
            var price = This.find('option:selected').data('price');
            var sale = This.find('option:selected').data('sale');

            quantity_input.attr('data-main-pay-price', price);
            quantity_input.attr('data-main-sale-price', sale);

            if (discount_value) {
                if (discount_type) {

                    if (('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales')) {
                        sale -= discount_value;
                    } else {
                        price -= discount_value;
                    }

                } else {
                    if (('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales')) {
                        sale *= discount_value;
                    } else {
                        price *= discount_value;
                    }
                }
            }

            quantity_input.attr('data-pay', price);
            quantity_input.attr('data-sale', sale);

            $.each(This.find('option'), function () {
                if ($(this).val() == unit_id) {
                    $(this).attr('selected', 'selected');
                } else {
                    $(this).removeAttr('selected');
                }
            });
            price = parseFloat(price);
            sale = parseFloat(sale);
            var detail_id = This.find('option:selected').data('detail');
            $(document).find('#pay-' + detail_id).val(price.toFixed(decimal_price));
            $(document).find('#sale-' + detail_id).val(sale.toFixed(decimal_price));
            This.attr('data-current', unit_id);
            This.closest('tr').attr('id', 'item-' + item_id + '-' + unit_id);
        }

        calculateTotal();
    });

    $(document).on('change', '#client_id', function () {
        var client_id = $(document).find('select#client_id option:selected').val();
        var balance = parseFloat($(document).find('select#client_id option:selected').data('balance'));
        var client_limit = parseFloat($(document).find('select#client_id option:selected').data('creditlimit'));
        $('#client-sales-count').show().find('#show-count').text($(this).find('option:selected').data('sales-count'));
        if('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' ||  '<?php echo e($invoice_type); ?>' == 'returned sales')
        {
            var discounts = $(document).find('select#client_id option:selected').data('discount');
            $('.credit_limit').text(client_limit.toFixed(decimal_price));
            $('body').find('#invoice_discount').val(discounts).change();
            $('body').find('#percent').prop('checked', true);

        }
        if (client_id > 0) {
            if ($('#item_unit').val()) {
                item_id = $('#item_unit').children('option:selected').data('item');
                unit_id = $('#item_unit').val();
                get_last_sale_price(item_id, unit_id);
            }
            $('.client_balance').text(balance.toFixed(decimal_price));
            $('last_sale_price_msg').text('');
        }

        <?php if(get_session_val('enable_client_sales', 'integer') == 1 && ($invoice_type == 'sales' || $invoice_type == 'returned sales')): ?>
        let itemsId = items.map(i => i.item_id);
        $.ajax({
            url: '<?php echo e(route("invoices.item.count")); ?>',
            type: 'GET',
            async: true,
            data: {client_id: $('#client_id').val(), item_id: itemsId},
            success: function(response) {
                let sales = response.sales;
                let returned = response.returned;
                itemsId.forEach(i => {
                    $(`${'#item_counts_sales_' + i}`).text(sales[i] ? sales[i].quantity : 0);
                    $(`${'#item_counts_returned_' + i}`).text(returned[i] ? returned[i].quantity : 0);
                });
            }
        });
        <?php endif; ?>
    });

    $('#client_id').change();

    // added
    $(document).on('change', 'input[name="invoice_discount_type"],#invoice_discount', function () {

        if ($('#invoice_discount').val().trim().length < 1) {
            $('#invoice_discount').val(0);
        }

        if ($(this).attr('type') != 'radio') {
            checkValue($(this).val(), 0);
        }

        if (parseFloat($('input[name="invoice_discount_type"]:checked').val()) == 1) {
            if (parseFloat($('#invoice_discount').val()) > parseFloat($('#invoice_total').val())) {
                $('#invoice_discount').val(parseFloat($('#invoice_total').val()));
            } else if (parseFloat($('#invoice_discount').val()) < 0) {
                $('#invoice_discount').val(0);
            }
        } else {
            if (parseFloat($('#invoice_discount').val()) > 100) {
                $('#invoice_discount').val(100);
            } else if (parseFloat($('#invoice_discount').val()) < 0) {
                $('#invoice_discount').val(0);
            }
        }

        recalculateTotal();
    });

    $(document).on('change', '.new_sale', function () {
        var sale = $(this).val();
        var old_sale = $(this).data('sale');

        if ( '<?php echo e(! authorized("can_change_sale_price")); ?>')
        {
            $(this).val(old_sale);
        }
        else {

            var new_sale = checkValue(sale, old_sale);

            if(new_sale <= 0)
            {
                new_sale = 1;
                $(this).val(1);
            }

            if (new_sale) {

                if (<?php echo e(get_session_val('check_lowest_price', 'Integer')); ?> == 1 & ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales')) {
                    var low = parseFloat($(this).closest('tr').find('.new_qty').data('low'));

                    var selected_unit_low = parseFloat($(this).closest('tr').find('.item_unit option:selected').data('low'));

                    if (selected_unit_low.isNaN) {
                        low = selected_unit_low;
                    }

                    if (new_sale < low) {
                        alert('أ<?php echo app('translator')->get('invoices.details.lower-sale-price'); ?> ' + low);
                        $(this).val(parseFloat(low).toFixed(decimal_price));
                    } else {
                        new_sale = parseFloat(new_sale);
                        $(this).val(new_sale.toFixed(decimal_price));
                        $(this).data('sale', new_sale);
                    }
                } else {
                    new_sale = parseFloat(new_sale);
                    $(this).val(new_sale.toFixed(decimal_price));
                    $(this).data('sale', new_sale);
                }

            }

            if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
                $('#installment_add_precent').trigger('change');
            }

            recalculateTotal();
        }
    });

    $(document).on('change', '.new_pay', function () {
        let thisElem = $(this).closest("tr");
        var pay = $(this).val();
        var old_pay = $(this).data('pay');
        var new_pay = checkValue(pay, old_pay);
        if (new_pay) {
            new_pay = parseFloat(new_pay);

            if(new_pay <= 0)
            {
                new_pay = 1;
                $(this).val(1);
            }

            $(this).val(new_pay.toFixed(decimal_price));
            $(this).data('pay', new_pay);
            pay = new_pay;
            var qty = thisElem.find('.new_qty').val(),
                total_income = 0;

            calculateTotal();
        }

        if ('<?php echo e((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'purchases')) {
            $('#installment_add_precent').trigger('change');
        }

    });

    $(document).on('change', '#paid', function () {
        if ('<?php echo e(! authorized("can_change_payment")); ?>') {
            $('#cash').trigger('click');
            $('#paid').attr('disabled', 'disabled');
        } else {
            if (parseFloat($(this).val()) > parseFloat($('#net').val())) {
                $(this).val($('#net').val());
            }
            else if( parseFloat($(this).val()) < 0)
            {
                $(this).val(0);
            }
            recalculateTotal();
        }

    });

    $(document).on('change', '#later', function () {
        laterProcess(false);
    });

    $(document).on('change', '.paid', function () {
        recalculateTotal();
    });

    // change new_qty
    $(document).on('change', '.new_qty', function () {

        var qty = parseFloat($(this).val()),
            old_qty = parseFloat($(this).data('val')),
            is_service = $(this).data('is_service'),
            manufacturing_status = $(this).data('manufacturing_status');

        if (Number(qty) > Number( $(this).data('org-qty') ) && <?php echo e(get_session_val('sale_details', 'integer')); ?> == 0) {
            <?php if(!in_array($invoice_type, ['purchases'])): ?>
                alert("الكمية لا تكفي");
                $(this).val( $(this).data('org-qty') ).change();
                return;
            <?php endif; ?>
        }


        if (!is_service && manufacturing_status != 1) {
            if (qty <= 0) {
                $(this).val(old_qty.toFixed(decimal_quantity));
                return;
            }

            if (
                ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned purchases')
                ||
                ('<?php echo e($invoice_type); ?>' == 'returned sales' && '<?php echo e(!is_null($invoice)); ?>')
            ) {
                if (!isQtyAvailable($(this).data('id'))) {
                    $(this).val(old_qty.toFixed(decimal_quantity));
                    return false;
                }
            }
        }

        if (manufacturing_status == 1) {
            var detail_id = $(this).data('id'),
                all_related_ingrediants = $('.added_ingrediant_qty[data-main="' + detail_id + '"]');  // get all related items

            for (let index = 0; index < all_related_ingrediants.length; index++) {
                // get id, quantity of current item
                var current_item_id = $(all_related_ingrediants[index]).data('id'),
                    current_item_qty = $(all_related_ingrediants[index]).val();

                var status = checkIfTargetQtyEnough(current_item_id, current_item_qty, old_qty, qty);

                if(! status) {
                    alert(' الكمية الحالية لا تكفي ');
                    $(this).val(old_qty.toFixed(decimal_quantity));
                    return false;
                }
            }
        }


        var new_qty = checkValue(qty, old_qty);

        // new_sale
        if ('<?php echo e($invoice_type); ?>' == 'returned sales' || '<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers') {
            let thisElem = $(this).closest("tr");
            sale = parseFloat(thisElem.find('.new_sale').val());
            temp_sale = parseFloat($(this).data('temp-sale'));
            lists_prices = $(this).data('lists-prices');
            lists_qtys = $(this).data('lists-qtys');

            let selected_unit_value = parseFloat(thisElem.find('.unit_selection option:selected').data('unit-val'));

            if (sale == temp_sale || true) {
                sale = getSalePriceFromLists(lists_prices, lists_qtys, sale, new_qty, selected_unit_value);
            } else {
                sale = getSalePriceFromLists(lists_prices, lists_qtys, temp_sale, new_qty, selected_unit_value);
            }

            thisElem.find('.new_sale').val(sale.toFixed(decimal_price));
        }


        if (new_qty) {
            let thisElem = $(this).closest("tr");
            new_qty = parseFloat(new_qty);


            <?php if(get_session_val('screen_type', 'integer') == 1 && get_session_val('show_input_keys', 'integer') == 1): ?>
            $(this).val(new_qty);
            <?php else: ?>
            $(this).val(new_qty.toFixed(decimal_price));
            <?php endif; ?>

            $(this).data('val', new_qty);
            var pay = thisElem.find('.new_pay').val();
            var total = parseFloat(new_qty) * parseFloat(pay);
            total = parseFloat(total);
            var unit_value = parseFloat(thisElem.find('.unit_selection option:selected').attr('data-unit-val'));

            var extendSerialInputs = $(this).data('serial');

            if ('<?php echo e(get_session_val('show_item_serial', 'Integer')); ?>' == '1' && extendSerialInputs == 1) {
                var serials = ``,
                    serial_notes = ``;
                for (i = 0; i < (new_qty * unit_value); i++) {
                    serials += '<input type="text" class="serial form-control" name="serial" style="margin-bottom: 5px">';
                    serial_notes += '<input type="text" class="serial_notes form-control" name="serial_notes" style="margin-bottom: 5px">';
                }
                thisElem.find('.new_serial').empty().append(serials);
                thisElem.find('.serials').val('');
                thisElem.find('.new_serial_notes').empty().append(serial_notes);
                thisElem.find('.serials_notes').val('');
            }

            calculateTotal();
            recalculateTotal();

        }
    });

    function checkIfTargetQtyEnough(item_id, item_qty, old_main_qty, new_main_qty)
    {
        if(new_main_qty < old_main_qty)
        {
            return true;
        }

        var qtys = $(".added_ingrediant_qty[data-id='"+ item_id +"']"),
            sum_exists_qtys = 0,
            max_qty = qtys.length > 0 ? parseFloat($(qtys[qtys.length - 1]).data('max')) : 0,
            remain = 0;

        for (let index = 0; index < qtys.length; index++) {
            sum_exists_qtys += (parseFloat($(qtys[index]).val()) * parseFloat($('.new_qty[data-id="' + $(qtys[index]).data('main') + '"]').val()));
        }

        sum_exists_qtys -= ((new_main_qty- old_main_qty) * item_qty)
        remain = max_qty - sum_exists_qtys ;

        if (remain > 0) {
            target_difference_qty = (new_main_qty - old_main_qty) * item_qty;

            return remain >= target_difference_qty ? true : false;
        }

        return false;
    }

    $(document).on('change', '#low_price', function () {
        var low = $(this).val();
        var old_low = $(this).data('low');
        var pay = $(document).find('#purchase_price').val();
        var sale = $(document).find('#sale_price').val();
        var new_low = checkLow(low, old_low);

            if (new_low) {
                new_low = parseFloat(new_low);

                if(new_low < 0)
                {
                    new_low = 0;
                }

                $(this).val(new_low.toFixed(decimal_price));
                $(this).data('low', new_low);
                if (new_low < pay) {
                    $(this).css({
                        'border-color': 'red'
                    });
                    $(document).find('#purchase_price').css({
                        'border-color': 'red'
                    });
                }
                if (new_low > sale) {
                    $(this).css({
                        'border-color': 'red'
                    });
                    $(document).find('#sale_price').css({
                        'border-color': 'red'
                    });
                }
            }

        calculateTotal()
    });

    $(document).on('change', '#cash', function () {
        cashProcess(false);
    });

    $(document).on('change', '#item_total', function () {
        var total = $(this).val();
        var old_total = $(this).data('total');
        var new_total = checkLow(total, old_total);
        if (new_total) {
            new_total = parseFloat(new_total);

            if(new_total <= 0)
            {
                new_total = 1;
            }

            $(this).val(new_total.toFixed(decimal_price));
            $(this).data('total', new_total);

            if ('<?php echo e($invoice_type); ?>' == 'purchases' & '<?php echo e(get_session_val("incom_total_filed", "Integer")); ?>' == 1) {
                $('#purchase_price').val(parseFloat(new_total / $('#amount').val()).toFixed(decimal_price));
                $("#purchase_price").trigger('change');
            }
        }
    });

    // ON CLICK
    $(document).on('click', '.delete', function () {
        var id = $(this).data('id');
        if (confirm('هل انت متأكد من الحذف؟')) {
            var id = $(this).data('id');
            $(document).find("tr[data-detail='" + id + "']").remove();

            <?php if( get_session_val('manufacturing', 'integer') == 2 && in_array($invoice_type, ['sales', 'returned sales']) && get_session_val('definite_while_selling', 'integer') == 1 ): ?>
            $(document).find("tr[data-header='" + id + "']").remove();
            $(document).find("tr[data-main='" + id + "']").remove();
            <?php endif; ?>

            recalculateTotal();
            remove_vats(id);
        } else {
            return false;
        }
    });

    let check_bill_no = false;

    $(document).on('click', '#submit-form', function (e) {
        e.preventDefault();
        loading('do');

        if (! check_bill_no && "<?php echo e(get_session_val('billno_show', 'integer')); ?>" == 1) {
            checkBillNumber();
            loading('no');
            return true;
        }
        
        if ($('#client_id').val() == undefined || $('#client_id').val() <= 0 || $('#client_id').val() == '') {
            alert("اختر عميل");
            loading('no');
            return true;
        }

        check_bill_no = false;
        $(document).find('input[name=serial][value=""]').removeClass('danger');
        checkValidation('alert');

        if (checkValidation('') == true) {
            if ('<?php echo e($invoice_type); ?>' == 'sales')
            {
                var paid = parseFloat($(document).find('#paid').val());
                var net = parseFloat($(document).find('#net').val());
                var balance = parseFloat($(document).find('select#client_id option:selected').data('balance'));
                var client_limit = parseFloat($(document).find('select#client_id option:selected').data('creditlimit'));

                if ('<?php echo e(get_session_val("client_limit", "Integer")); ?>' == '1') {
                    if (document.getElementById('later').checked) {
                        var total= net - paid;
                        if ((total+balance) > client_limit) {
                            $("#credit_notes").fadeIn(200).fadeOut(100).fadeIn(200).fadeOut(100).fadeIn(100);
                            loading('no');
                        return false;
                        }
                    }
                }
                if ('<?php echo e(get_session_val("client_limit", "Integer")); ?>' == '2') {
                    if (document.getElementById('later').checked) {
                        var total= net - paid;
                        if ((total+balance) > client_limit) {
                            alert('سيتم انشاء الفاتوره والاجمالي اكبر من حد الائتمان');
                        }
                    }
                }
            }

            checkCertificateToken(function (cert_token = '') {
                $('#new-invoice-form').append(`<input name="cert_token" hidden value='${cert_token}'>`);
                // append invoice details vats
                $('#new-invoice-form').append('<input name="items_vats" style="display:none;" type="text" value="' + items_vats + '">');

                if ('<?php echo e(get_session_val("show_item_serial", "Integer")); ?>' == '1') {
                    var checkSerials = $(document).find('input[name=serial][value=""]').length;

                    var c = 0;
                    $(document).find('input[name=serial][value=""]').each(function () {
                        if ($(this).val().length <= 0) {
                            c++;
                            $(this).addClass('danger');
                        }
                    })
                    if (c > 0) {
                        alert('برجاء ادخال قيم السريال');
                        loading('no');
                        return false;
                    }

                    $('.new_qty').each(function (k, This) {
                        var serial = $(This).data('serial');
                        var thisElem = $(This).closest('tr');
                        if (serial == 1) {
                            thisElem.find('.serial').each(function (i, v) {
                                var val = $(v).val();
                                if (val == '' || val == null) {
                                    alert('برجاء ادخال قيم السريال');
                                    $(v).css({'border-color': 'red'});
                                    loading('no');
                                    return false;
                                }
                            });
                        }
                    });

                    $('#new-invoice-form').submit();

                } else {
                    $('#new-invoice-form').submit();
                }
            })


            // This for get Certificate Token, after select one will make submit

        } else {
            loading('no');
            false;
        }
    });

    function checkBillNumber()
    {
        if ($("#bill_no").val() == '') {
            alert('من فضلك ادخل رقم الفاتورة');
            check_bill_no = false;
            return ;
        }

        $.ajax({
            url: "<?php echo e(route('invoice.check.bill.number')); ?>",
            type: "get",
            data: {bill_no: $("#bill_no").val(), type: "<?php echo e($invoice_type); ?>"},
            success: function (response) {
                check_bill_no = true;
                $('#submit-form').click();
            },
            error: function(response) {
                check_bill_no = false;
                alert('رقم الفاتورة مسجل من قبل');
            }
        });
    }

    $('.image').change(function () {
        if (this.files && this.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('.image_preview').attr('src', e.target.result);
            }
            reader.readAsDataURL(this.files[0]);
        }
    });

    // company ratio change event
    $(document).on('change', '#ratio_input, input[name=operation], input[name=ratio_type]', function () {
        if ($('#ratio_input').val().trim().length < 1) {
            $('#ratio_input').val(0);
        }
        calculateCompanyRatio();
        calculateItemTotal();
    });

    // company ratio fuction
    function calculateCompanyRatio() {

        var operation = $('input[name=operation]:checked').val(), // 1 add | 0 discount
            moneyRatioType = $('input[name=ratio_type]:checked').val(), // percentage 0 | amount 1
            // purchasePrice = parseFloat($('#item_result').data('pay')),
            purchasePrice = parseFloat($('#item_unit option[value="' + $('#item_unit').val() + '"]').data('price')),
            salePrice = parseFloat($('#item_unit option[value="' + $('#item_unit').val() + '"]').data('sale')),
            ratioAmount = parseFloat($('#ratio_input').val()),
            vat_status = $('#item_result').data('vat'),
            vatid = $('#item_result').data('vatid')
            vatvalue = $('#item_result').data('vatvalue');

        if (moneyRatioType == 0) {
            if (ratioAmount > 100) {
                $('#ratio_input').val(100);
                ratioAmount = 100;
            } else if (ratioAmount < 0) {
                $('#ratio_input').val(0);
                ratioAmount = 0;
            }
        } else {
            if (('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales')) {
                if (ratioAmount > salePrice) {
                    $('#ratio_input').val(salePrice);
                    ratioAmount = salePrice;
                } else if (ratioAmount < 0) {
                    $('#ratio_input').val(0);
                    ratioAmount = 0;
                }
            } else {
                if (ratioAmount > purchasePrice) {
                    $('#ratio_input').val(purchasePrice);
                    ratioAmount = purchasePrice;
                } else if (ratioAmount < 0) {
                    $('#ratio_input').val(0);
                    ratioAmount = 0;
                }
            }
        }

        let item_price = purchasePrice,
            show_price_element = $('#purchase_price'),
            vat_value = 0;

        if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
            item_price         = salePrice;
            show_price_element = $('#sale_price');
        }


        // صنف شامل الضريبة
        if (vat_status == 2 && "<?php echo e(get_session_val('apply_vats', 'integer')); ?>" == 1) {
            vat_value = 14;
            item_price = item_price / (1 + (vat_value / 100) );
        }


        // calculate money ratio
        if (moneyRatioType == 0) { // percentage
            var amount = item_price * (ratioAmount / 100);
        } else { // amount
            var amount = ratioAmount;
        }
        if (operation == 0 ) {
            var new_item_price = item_price - amount;
        } else {
            var new_item_price = item_price + amount;
        }
        new_item_price = new_item_price * (1 + (vat_value / 100));

        show_price_element.val(new_item_price.toFixed(decimal_price));

        // if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
        //     // calculate money ratio
        //     if (moneyRatioType == 0) { // percentage
        //         var amount = salePrice * ratioAmount / 100;
        //     } else { // amount
        //         var amount = ratioAmount;
        //     }
        //     var newSalePrice = salePrice - amount;

        //     $('#sale_price').val(newSalePrice.toFixed(decimal_price));
        // } else {
        //     // calculate money ratio
        //     if (moneyRatioType == 0) { // percentage
        //         var amount = purchasePrice * ratioAmount / 100;
        //     } else { // amount
        //         var amount = ratioAmount;
        //     }
        //     var newPurchasePrice = purchasePrice - amount;

        //     $('#purchase_price').val(newPurchasePrice.toFixed(decimal_price));
        // }

    }

    // navigation
    $(document).keydown(function (e) {
        if (e.keyCode === 38) {
            navigate('up');
        }

        if (e.keyCode === 40) {
            navigate('down');
        }

        if (e.keyCode === 13) {
            let check = $(document).find('.liSelected');
            if (check.length) {
                let el = check.closest('li');
                if (el.hasClass('option')) {
                    el.trigger('click');
                    $('#amount').focus();
                }
            }
        }
    });


    function navigate(direction) {

        var currentSelection = $('#current_selection').val();

        // if ($(document).find("ul li.liSelected").length == 0) {
        //     currentSelection = -1;
        // }

        let parent = $(document).find('ul li.option');
        // child = $(document).find('ul li.option a');

        if (direction == 'up') {
            if (currentSelection != 0) {
                --currentSelection;
            }
        }

        if (direction == 'down') {
            if (currentSelection != parent.length - 1) {
                currentSelection++;
            }
        }

        parent.removeClass('liSelected');
        parent.eq(currentSelection).addClass('liSelected');

        $('#current_selection').val(currentSelection);

        // if (parent.hasClass('offers')) {
        //     $('#item_result').val($(document).find('.liSelected').text());
        // }

        $('#discount').focus();
    }

    // serials
    $(document).on('change', '.serial', function () {
        var thisElem = $(this).closest('tr');
        var item_serials = [];
        thisElem.find('.serial').each(function (k, This) {
            $(This).css({
                'border-color': ''
            });
            var val = String($(This).val()).trim();

            if ('<?php echo e(! is_null($invoice)); ?>' && '<?php echo e($invoice_type); ?>' == 'returned sales') {
                var item_id = $(This).data('item');
                var sold_serials = $('#item_result option[data-id="' + item_id + '"]').data('serials');

                if (sold_serials.length > 0 && String($(This).val()).length > 0) {
                    var sold_serials_arr = sold_serials.split(',');
                    var exists = false;

                    for (let index = 0; index < sold_serials_arr.length; index++) {
                        if (String(sold_serials_arr[index]) == String(val)) {
                            exists = true;
                            break;
                        }
                    }

                    if (!exists) {
                        $(This).val(' ');
                        alert('السريال غير مسجل أو غير مباع من قبل');
                    } else {
                        $(This).val(val);
                    }
                }
            } else {
                $.get('<?php echo e(route('invoices.check-serial', $invoice_type)); ?>', {
                    'serial': val
                }, function (data) {

                    if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned sales' || '<?php echo e($invoice_type); ?>' == 'returned purchases') {
                        if (data.status == 0) {
                            $(This).val('');
                            alert('السريال غير مسجل أو مباع من قبل');
                        } else {
                            $(This).val(val);
                        }
                    } else {
                        if (data.status == 1) {
                            $(This).val('');
                            alert('السريال مسجل من قبل');
                        } else {
                            $(This).val(val);
                        }
                    }

                });
            }

            item_serials.push(val);
        });
        thisElem.find('.serials').val(item_serials);
    });

    $(document).on('change', '.serial_notes', function () {
        var thisElem = $(this).closest('tr');
        var item_serials_notes = [];
        thisElem.find('.serial_notes').each(function (k, This) {
            var val = $(This).val();
            if (val.length == 0) {
                val = '-*-';
            }
            item_serials_notes.push(val);
        });
        thisElem.find('.serials_notes').val(item_serials_notes);
    });


    // barcode
    $(document).on('change', '#barcode', function () {
        var code = $(this).val();
        getBarcodeData(code);

        if ($("input[name='barcode_reader']:checked").val() == 1) {
            $('#barcode').focus();
            $('#barcode').get(0).focus();
            $('#barcode').trigger('focus');
        } else {
            $('#amount').focus();
            $('#amount').get(0).focus();
            $('#amount').trigger('focus');
        }
    });

    function getBarcodeData(code, embedded = false, type = "barcode") {
        var data = new FormData();
        var store_id = $(document).find('select#store_id').find('option:selected').val();
        data.append('_token', '<?php echo e(csrf_token()); ?>');
        data.append('barcode', code);
        if (type == 'id') {
            data.append('item_id', code);
        }
        data.append('store_id', store_id);
        data.append('embedded', embedded);

        $.ajax({
            url: '<?php echo e(route("invoices.barcode-search", $invoice_type)); ?>',
            type: 'post',
            data: data,
            async: true,
            contentType: false,
            cache: false,
            processData: false,
            beforeSend: function () {
                $('#barcodeMessage').empty().append('<span class="fa fa-spinner"></span>');
            },
            success: function (data) {
                emptyData();
                $('#barcodeMessage').empty();
                if (data.status == true) {
                    $(document).find('#item_unit').html(data.units);
                    theUnit = $(document).find('select#item_unit').find('option:selected').val();

                    $('#amount').data('unit', theUnit);

                    $('#barcode').val('');
                    var check = $(document).find('#item-' + data.item_id + '-' + data.unit).length;
                    if (check > 0) {
                        $('#amount').val(1);
                        appendItem('update', data.item_id, data.unit);
                    } else if (<?php echo e(get_session_val('screen_type', 'integer')); ?> == 1) {
                        $(`button[data-id="${data.item_id}"]`).click();
                    } else {
                        // append options
                        $(document).find('.items-list-units').empty().append(data.units);

                        $(document).find('#purchase_price').val((parseFloat(data.pay)).toFixed(decimal_price));
                        $(document).find('#sale_price').val((parseFloat(data.sale)).toFixed(decimal_price));
                        // $(document).find('#amount').val(1);
                        $(document).find('#low_price').val((parseFloat(data.low)).toFixed(decimal_price));
                        $(document).find('#expire_date').val(data.expire);
                        $(document).find('#item_result').val(data.name);
                        $(document).find('#item_result').data('id', data.item_id);
                        $(document).find('#item_result').data('vat', data.vat_state);
                        $(document).find('#item_result').data('purchase_vat_state', data.purchase_vat);
                        $(document).find('#item_result').data('vats_ids', data.vats_ids);
                        $(document).find('#item_result').data('vats_values', data.vats_values);
                        $(document).find('#item_result').data('vats_types', data.vats_types);
                        $(document).find('#item_result').data('vats_opers', data.vats_opers);
                        $(document).find('#item_result').data('vats_usage', data.vats_usage);
                        $(document).find('#item_result').data('vats_usage_status', data.vats_usage_status);
                        $(document).find('#item_result').data('main', data.unit);
                        $(document).find('#item_total').val(parseFloat(data.pay));
                        $(document).find('#item_result').data('pay', data.pay);
                        $(document).find('#item_result').data('sale', data.sale);
                        $(document).find('#item_result').data('serial', data.serial);
                        $(document).find('#item_result').data('purchase_code', data.purchase_code);
                        $(document).find('#item_result').data('company_income', data.company_income);
                        $(document).find('#item_result').data('lowest_sale_price', data.low);
                        $(document).find('#item_result').data('org-qty', data.qty);
                        $(document).find('#item_result').data('qty', data.qty);
                        $(document).find('#item_result').data('is_service', data.is_service);
                        $(document).find('#item_result').data('manufacturing', data.manufacturing);
                        $(document).find('#item').val(data.item_id);

                        if (data.is_service) {
                            $('#current_quantity').children('span').html(' بلا حدود ');
                        } else {
                            $('#current_quantity').text(parseFloat( (data.qty > 0 ? data.qty : 0) ).toFixed(decimal_price));
                        }

                        <?php if('<?php echo e(get_session_val("show_expire_date", "Integer")); ?>' == '1'): ?>
                        $('#expire_date').val(data.expire);
                        $('#expire_date').selectpicker('refresh');
                        <?php endif; ?>

                        var company_income = parseFloat($('#item_result').data('company_income')).toFixed(decimal_price);
                        // added
                        pay = parseFloat(data.pay).toFixed(decimal_price);
                        sale = parseFloat(data.sale).toFixed(decimal_price);

                        if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers')
                            $(document).find('#show_basic_price').html(parseFloat(sale).toFixed(decimal_price)); //company ratio label
                        else
                            $(document).find('#show_basic_price').html(parseFloat(pay).toFixed(decimal_price)); //company ratio label

                        $(document).find('#ratio_input').val(company_income); //company ratio

                        getItemPrices(data.item_id);

                        if ('<?php echo e(get_session_val("enter_quant", "Integer")); ?>' == '0') {
                            var serial = data.serial;
                            var main_unit = data.unit;
                            var item_total = $(document).find('#item_total').val();
                            var org_qty = $(document).find('#item_result').data('org-qty');

                            // added for list_price
                            var temp_sale = sale;
                            var lists_prices = '';
                            var lists_qtys = '';

                            if ('<?php echo e($invoice_type); ?>' == 'returned sales' || '<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers') {
                                lists_prices = $('#item_result').data('lists_prices');
                                lists_qtys = $('#item_result').data('lists_qtys');
                                sale = getSalePriceFromLists(lists_prices, lists_qtys, sale, 1, parseFloat($('#item_unit option:selected').data('unit-val')));
                            }


                            var data = appendItem('insert', data.item_id, data.unit, data.pay, data.sale,
                                data.name,
                                1, data.vat_state, data.vat_id, data.addition_value, data.vats_types, data.vats_opers, data.vats_usage, data.vats_usage_status,
                                data.low, data.expire, data.purchase_code, main_unit, item_total, serial, null,
                                0, 0, 0, data.about, data.sale, data.pay, org_qty, data.purchase_vat_state, lists_prices, lists_qtys, temp_sale, data.is_service, data.manufacturing);


                            $(document).find('#items_in_the_table').append(data);
                            emptyData();

                        } else {
                            $(document).find('#amount').change();
                        }

                        if ('<?php echo e(get_session_val("enter_quant", "Integer")); ?>' == '0' || $("input[name='barcode_reader']:checked").val() == 1) {
                            $('#amount').val((1).toFixed(decimal_quantity));
                            $('#sale_price').val(data.sale);
                            $('#purchase_price').val(data.pay);
                            $('#addMe').click();
                            $('#barcode').focus();
                        } else {
                            notifyNegativeSale(sale, pay);
                            $('#amount').focus();
                        }
                        // $('#addMe').click();


                        /*
                        var data = appendItem('insert', data.item_id, data.unit, data.pay, data.sale, data.name, 1, data.vat, data.vats_ids, data.vats_values, data.low, data.expire);
                        */
                        $('#amount').val(' ');

                        if ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'sales offers' || '<?php echo e($invoice_type); ?>' == 'returned sales') {
                            unit_id = $('#item_unit').val();
                            get_last_sale_price(data.item_id, unit_id);
                        }

                    }
                    calculateTotal();
                } else {
                    $('#barcodeMessage').append(data.msg);
                }

            },

            complete: function (data) {

            }
        });
    }

    $(document).scannerDetection({

        timeBeforeScanTest: 2000, // wait for the next character for upto 200ms
        avgTimeByChar: 40, // it's not a barcode if a character takes longer than 100ms
        // preventDefault: false,

        endChar: [13],
        onKeyDetect: function (barcode, qty) {
            validScan = true;
        } // main callback function	,
        ,
        onComplete: function (barcode) {
            $('#barcode').val(barcode);
            var code = $('#barcode').val();
            getBarcodeData(code);

            if ('<?php echo e(get_session_val("enter_quant", "Integer")); ?>' == '0') {
                $('#addMe').click(); // *********
            }

            if ($("input[name='barcode_reader']:checked").val() == 1) {
                $('#barcode').focus();
                $('#barcode').get(0).focus();
            } else {
                $('#amount').focus();
                $('#amount').get(0).focus();
            }

        },
        onError: function (string, qty) {
            $('#barcode').val('');
        }

    });

    // QUANTITY
    function isQtyAvailable(detail_id) {
        if (
            ('<?php echo e(get_session_val("sale_details", "Integer")); ?>' == 0 & ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned purchases'))
            ||
            ('<?php echo e(!is_null($invoice)); ?>' && '<?php echo e($invoice_type); ?>' == 'returned sales')
        ) {

            item = $('input[data-id="' + detail_id + '"]');
            target_qty = parseFloat($(item).val());
            org_qty = parseFloat($(item).data('org-qty'));
            unit_value = parseFloat($('select[id="' + 'item_unit-' + detail_id + '"]').find('option:selected').data('unit-val'));

            is_service = parseFloat($(item).data('is_service'));

            if (!is_service) {
                existing_qtys = $('.new_qty[data-item="' + detail_id + '"]');
                existing_units_vals = $('.unit_selection[data-item="' + detail_id + '"]');

                existing_qty_sum = 0;


                for (index = 0; index < existing_qtys.length; index++) {
                    current_unit_val = $(existing_units_vals[index]).find('option:selected').attr('data-unit-val');
                    existing_qty_sum += parseFloat($(existing_qtys[index]).val() * current_unit_val);
                }

                old_qty = parseFloat($(item).data('val'));

                if (existing_qty_sum > 0) {
                    existing_qty_sum -= target_qty;
                }
                // existing_qty_sum += old_qty;

                if (!unit_value) {
                    unit_value = 1;
                }

                if (((unit_value * target_qty) + existing_qty_sum) > org_qty) {
                    qtyAlert((org_qty - existing_qty_sum) / unit_value);
                    return false;
                }
            }
            return true;
        }
        return true;
    }

    function qtyAlert(qty)
    {
        if($('#amount').val() != '' && qty == 0)
        {
            alert('الكمية الحالية لا تكفي');
            emptyData();
        }
        else{
            alert('<?php echo app('translator')->get('invoices.add_quantity_less_than_or_equal'); ?>  ' + qty);
        }
    }

    function totalQuantities() {
        total_qty = 0;
        $(document).find('.new_qty').each(function (k, This) {
            total_qty += parseFloat($(This).val());
        });
        return total_qty;
    }

    // form validation
    function checkValidation(e) {

        var client_id = $(document).find('select#client_id').find('option:selected').val();
        var invoice_date = $(document).find('#invoice_date').val();
        var store_id = $(document).find('select#store_id').find('option:selected').val();
        var data = $(document).find('#items_in_the_table tr').length;
        var netValue = $(document).find('#net').val();
        var paid = $(document).find('#paid').val();

        var cash_safe_point = $(document).find('select#cash_safe_point_id').find('option:selected').val();
        var cash_money_point = $(document).find('select#cash_safe_point_id').find('option:selected').data('money');

        if (cash_safe_point == '' || cash_safe_point == undefined || cash_safe_point == 0) {
            if (e == 'alert') {
                alert("برجاء تحديد الخزينة النقدي")
            }
            return false;
        }
        if (('<?php echo e($invoice_type); ?>' == 'purchases' || '<?php echo e($invoice_type); ?>' == 'returned sales') & parseFloat(cash_money_point) - parseFloat(paid) < 0 && parseFloat(paid) > 0 && parseFloat("<?php echo e(get_session_val('negative_money', 'Integer')); ?>") == 0) {
            if (e == 'alert') {
                alert("رصيد الخزينة النقدي لا يسمح برجاء تحديد خزينة نقدي أخري")
            }
            return false;
        }

        if ('<?php echo e(get_session_val('netowrk_payment', 'integer')); ?>' == 1 && '<?php echo e($invoice_type); ?>' == 'sales') {
            var network_safe_point = $(document).find('select#network_safe_point_id').find('option:selected').val();
            var network_money_point = $(document).find('select#network_safe_point_id').find('option:selected').data('money');

            if ((network_safe_point == '' || network_safe_point == undefined || network_safe_point == 0) && network_money_point > 0) {
                if (e == 'alert') {
                    alert("برجاء تحديد الخزينة الشبكة")
                }
                return false;
            }
            // if ( ('<?php echo e($invoice_type); ?>' == 'purchases' || '<?php echo e($invoice_type); ?>' == 'returned sales') & parseFloat(network_money_point) - parseFloat(paid) < 0 && parseFloat(paid) > 0 && parseFloat("<?php echo e(get_session_val('negative_money', 'Integer')); ?>") == 0) {
            //     if (e == 'alert') {
            //         alert("رصيد الخزينة الشبكة لا يسمح برجاء تحديد خزينة شبكة أخري")
            //     }
            //     return false;
            // }
        }

        <?php if(get_session_val('select_client', 'integer')): ?>
        if (client_id == '' || client_id == undefined || client_id < 1) {
            if (e == 'alert') {
                alert('<?php echo app('translator')->get('invoices.please_select'); ?> <?php echo e(trans('invoices.'. $invoice_type .'.client')); ?>');
            }
            return false;
        }
        <?php endif; ?>

        if (invoice_date == '' || invoice_date == undefined || invoice_date == 0) {
            if (e == 'alert') {
                alert('رجاء تحديد تاريخ <?php echo e(trans('invoices.'. $invoice_type .'.the-title')); ?>');
            }
            return false;
        }
        if (data == '' || data == undefined || data == 0) {
            if (e == 'alert') {
                alert('برجاء اختيار صنف واحد علي الاقل')
            }
            return false;
        }
        if (store_id == '' || store_id == undefined) {
            if (e == 'alert') {
                alert("برجاء تحديد مخزن ")
            }
            return false;
        }

        return true;
    }

    //
    function saveItemVats(item_id, vat_id, vat_type, vat_value, vat_weight, vat_operation, unit_id) {
        generated_details = item_id + '/' + vat_id + '/' + vat_type + '/' + vat_value + '/' + vat_weight + '/' + vat_operation + '/' + unit_id;
        push_vats(items_vats, generated_details);
    }

    function push_vats(target, value) {
        if (target.indexOf(value) === -1)
            target.push(value);
    }

    function remove_vats(value) {
        var indexes = [];

        // removing invoices_details_vats for item
        for (var i = 0; i < items_vats.length; i++) {
            value_length = value.toString().length;
            if (items_vats.slice(0, value_length) != -1) {
                indexes.push(i);
            }
        }
        for (var i = 0; i < indexes.length; i++) {
            items_vats.splice(indexes[i] - 1, 1);
        }

    }

    function calculate_vats(vats_usage, vats_usage_status, vats_ids, vats_types, vats_values, vats_opers, total, vat_state, item_id, qty = 1, rejected_type = 1, save_vats = 0, unit_id) {
        total_vats = 0;
        n_total = 0;

        if (vat_state == 0) {
            n_total += total;
        } else {
            for (let index = 0; index < vats_values.length; index++) {

                if (vats_usage[index] != rejected_type) {
                    if (vats_usage_status[index] == 0) {
                        if (vat_state == 2) {
                            if (vats_types[0] == 0) {
                                n_total += (total / (1 + (parseFloat(vats_values[0]) / 100)));
                                total_vats += ((total - n_total));
                                if (save_vats == 1) {
                                    saveItemVats(item_id, vats_ids[0], 0, parseFloat(vats_values[0]), (total - n_total), null, unit_id);
                                }
                            } else {
                                n_total += (total - (parseFloat(vats_values[0]) * qty));
                                total_vats += (parseFloat(vats_values[0]) * qty);
                                if (save_vats == 1) {
                                    saveItemVats(item_id, vats_ids[0], 1, parseFloat(vats_values[0]), (parseFloat(vats_values[0]) * qty), null, unit_id);
                                }
                            }
                            break;
                        } else {
                            if (vats_types[index] == 0) {
                                n_total += ((vats_opers[index] == 0 ? 1 : -1) * (total * (1 + (parseFloat(vats_values[index]) / 100))));
                                total_vats += ((n_total - total * (vats_opers[index] == 0 ? 1 : -1)));

                                if (save_vats == 1) {
                                    saveItemVats(item_id, vats_ids[index], 0, parseFloat(vats_values[index]), (n_total - total), vats_opers[index], unit_id);
                                }
                            } else {
                                total_vats += (vats_opers[index] == 0 ? 1 : -1) * (parseFloat(vats_values[index]) * qty);
                                if (save_vats == 1) {
                                    saveItemVats(item_id, vats_ids[index], 1, parseFloat(vats_values[index]), ((vats_opers[index] == 0 ? 1 : -1) * parseFloat(vats_values[index]) * qty), vats_opers[index], unit_id);
                                }
                            }
                            n_total = 0;
                        }
                    }
                }
            }
            if (vat_state == 2)
                n_total = total - total_vats
            else
                n_total = total;
        }

        return [total_vats, n_total];
    }

    function checkValue(val, old) {
        if ($.isNumeric(val) && parseFloat(val) >= 0) {
            return val;
        } else {
            return old;
        }
    }

    function checkMoney(val, old) {
        var t = $('#invoice_total').val();
        if ($.isNumeric(val) && parseFloat(val) >= 0 && parseFloat(val) < t) {
            return val;
        } else {
            return old;
        }
    }

    function checkRatio(val, old) {
        if ($.isNumeric(val) && parseFloat(val) >= 0 && parseFloat(val) < 100) {
            return val;
        } else {
            if (old > 99) {
                old = 99;
            }
            return old;
        }
    }

    function checkLow(val, old) {
        if ($.isNumeric(val) && parseFloat(val) >= 0) {
            return val;
        } else {
            return old;
        }
    }

    function emptyData() {
        $(document).find('#purchase_price').val('');
        $(document).find('#sale_price').val('');
        $(document).find('#amount').val('');
        $(document).find('#item_total').val('');
        $(document).find('#low_price').val('');
        $(document).find('#expire_date').val('');
        $(document).find('#total_currency').val('');
        $(document).find('#currency_price').val('');
        $(document).find('span#avg_pay_price').html('');
        $(document).find('#item_unit').empty();
        $('#current_quantity').children('span').text('0');

        $(document).find('#item_result').val('');
        $(document).find('#about').val('');
        $(document).find('#avg_price').val('');
        $(document).find('#ratio_input').val(0);
        $(document).find('#show_basic_price').html('');
        $(document).find('#last_sale_price').val(0);
        $(document).find('#item_note').val('');

        if ('<?php echo e(!is_null($invoice)); ?>' && '<?php echo e($invoice_type); ?>' == 'returned sales') {
            $('#item_result').val(0);
            $('#item_result').selectpicker('refresh');
        }

        $('#multi_prices_selection').html(' ');

        $('#alert_sale_less_than_pay').addClass('hidden');

        <?php if(get_session_val('manufacturing', 'integer') == 2 && in_array($invoice_type, ['sales', 'returned sales']) && get_session_val('definite_while_selling', 'integer') == 1): ?>

        // empty table data
        $("#ingrediants_table tbody").html('');

        <?php endif; ?>
    }

    function validateInputs(val) {
        if (val == null || val == '') {
            return 1;
        }
        return 0;
    }

    function valitator() {
        var supplier = $('#client_id'),
            invoice_date = $('#invoice_date'),
            store_id = $('#store_id'),
            safe_point = $('#safe_point'),
            no = $('#effected_bill_id');
        if (validateInputs($(supplier).val()) == 1) {
            alert('اختر المورد');
            $(supplier).css({
                'border-color': 'red'
            }).animate({
                scrollTop: $(supplier).offset().top
            }, 2000);
        }
        if (validateInputs($(invoice_date).val()) == 1) {
            alert('اختر تاريخ');
        }
        if (validateInputs($(store_id).val()) == 1) {
            alert('اختر مخزن');
        }
        if (validateInputs($(safe_point).val()) == 1) {
            alert('اختر خزينة دفع');
        }
        if (validateInputs($(no).val()) == 1) {
            alert('اختر المورد');
            $(no).css({
                'border-color': 'red'
            }).animate({
                scrollTop: $(no).offset().top
            }, 2000);
        }
    }

    // radio-toggle
    $(document).on('click', 'input[name="barcode_reader"]', function () {
        if ($(this).val() == 1) {
            $('label[for="barcode_reader1"]').addClass('active');
            $('label[for="barcode_reader2"]').removeClass('active');
        } else {
            $('label[for="barcode_reader2"]').addClass('active');
            $('label[for="barcode_reader1"]').removeClass('active');
        }
    });

    // watch out
    function loading(type) {
        if (type == 'do') {
            $('#reset').addClass('hidden');
            $('#submit-form').addClass('hidden');
            $('#loader').removeClass('hidden');
        } else {
            $('#reset').removeClass('hidden');
            $('#submit-form').removeClass('hidden');
            $('#loader').addClass('hidden');
        }
    }

    $('#reset').on('click', function () {
        location.reload();
    });

    $(document).keydown(function (e) {
        if (e.keyCode === 112) {    // f1
            $('#addMe').trigger('click');
            return false;
        } else if (e.keyCode === 113) {    // f2
            $('#submit-form').trigger('click');
        } else if (e.keyCode === 119) {    // f8
            $('#reset').trigger('click');
        }

    });

    $('#addNewItemModal').on('hidden.bs.modal', function () {
        getBarcodeData('', true);
    });

    function getItemPrices(item_id) {
        if ('<?php echo e(get_session_val('multi_price', 'integer')); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned sales' || '<?php echo e($invoice_type); ?>' == 'sales offers')) {
            $.ajax({
                type: "GET",
                data: {
                    'id': item_id
                },
                url: "<?php echo e(route('invoices.getItemPrices', $invoice_type)); ?>",
                success: function (data) {
                    $('#item_result').data('lists_prices', data['data']['lists_prices']);
                    $('#item_result').data('lists_qtys', data['data']['lists_qtys']);
                    $('#item_result').data('lists_names', data['data']['lists_names']);
                    $('#item_result').data('lists_ids', data['data']['lists_ids']);
                    builtMultiPricesSelect();
                }
            });
        }
    }

    function getSalePriceFromLists(lists_prices, lists_qtys, input_sale, qty, unit_value) {
        var temp_max_qty = 0;
        var sale = input_sale;

        if (lists_prices && '<?php echo e(get_session_val('multi_price', 'integer')); ?>' == 1 && ('<?php echo e($invoice_type); ?>' == 'sales' || '<?php echo e($invoice_type); ?>' == 'returned sales' || '<?php echo e($invoice_type); ?>' == 'sales offers')) {

            if (lists_prices.length > 0) {
                lists_prices = lists_prices.split(',');
            }

            if (lists_qtys.length > 0) {
                lists_qtys = lists_qtys.split(',');
            }

            if (!unit_value) {
                unit_value = 1;
            }

            for (let index = 0; index < lists_qtys.length; index++) {
                if (parseFloat(lists_qtys[index]) <= parseFloat(qty * unit_value) && parseFloat(lists_qtys[index]) > parseFloat(temp_max_qty)) {
                    // sale = (parseFloat(lists_prices[index]) / parseFloat(lists_qtys[index])) * unit_value;
                    sale = (parseFloat(lists_prices[index])) * unit_value;
                    temp_max_qty = parseFloat(lists_qtys[index]);
                }
            }
        }

        return sale;
    }

    function builtMultiPricesSelect() {
        // multi_prices_selection
        var new_html = '<option data-id="0" data-qty="1" value="' + parseFloat($('#item_result').data('sale')) + '"> <?php echo app('translator')->get('invoices.general_price'); ?> </option>';

        var prices_list_names = $('#item_result').data('lists_names');
        if (prices_list_names) {
            prices_list_names = prices_list_names.split(',');
            var prices_list_prices = ($('#item_result').data('lists_prices')).split(',');
            var prices_list_qtys = ($('#item_result').data('lists_qtys')).split(',');
            var prices_list_ids = ($('#item_result').data('lists_ids')).split(',');
            var check_selected = '';

            for (let index = 0; index < prices_list_names.length; index++) {
                check_selected = prices_list_ids[index] == $('#client_id option:selected').data("type") ? 'selected' : '';
                new_html += `<option data-id="${prices_list_ids[index]}" data-qty="${prices_list_qtys[index]}" value="${prices_list_prices[index]}" ${check_selected}>${prices_list_names[index]}</option>`;
            }
        }


        $('#multi_prices_selection').html(new_html);
        $('#multi_prices_selection').change();
    }

    $('#multi_prices_selection').on('change', function () {
        $('#sale_price').val(parseFloat($(this).val()).toFixed(decimal_price));
        $('#amount').val(parseFloat($(this).find('option:selected').data('qty')).toFixed(decimal_price));
        $('#amount').change();
    });

    function notifyNegativeSale(sale, pay) {
        if (parseFloat(pay) > parseFloat(sale) && '<?php echo e($invoice_type); ?>' == 'sales') {
            var msg = '<i class="fa fa-exclamation-circle text-danger mx-2"></i>';
            msg += 'تنبية سعر الشراء أكبر من سعر البيع';
            msg += '<br><span class="mx-4">';
            msg += 'سعر الشراء = ' + parseFloat(pay).toFixed(decimal_price);
            msg += '</span>';
            $('#alert_sale_less_than_pay').html(
                '<div class="text-danger">' + msg + '</div>'
            );
            $('#alert_sale_less_than_pay').removeClass('hidden');
        } else if ('<?php echo e($invoice_type); ?>' == 'sales') {
            $('#alert_sale_less_than_pay').addClass('hidden');
        }
    }

    $('#cash_paid').on('change', function () {


        if ('<?php echo e(!authorized("can_change_payment")); ?>') {
            $('#cash').trigger('click');
            $('#paid').attr('disabled', 'disabled');
        } else {
            if('<?php echo e($invoice_type); ?>' == 'sales' )
            {
                if(parseFloat($('#cash_paid').val()) >= parseFloat($('#net').val()) )
                {
                    var net = parseFloat($('#net').val());
                    var cash_pay = parseFloat($('#cash_paid').val());
                    console.log({net,cash_pay});
                    $('#cash').trigger('click');
                    $('#cash_paid').val(net);
                    $('#paid').val(net);
                    $('#rest').val(0);
                    if(cash_pay > net )
                    {
                        alert("المدفوع اكبر من قيمه الفاتوره");
                    }
                }
                if(parseFloat($('#cash_paid').val()) < parseFloat($('#net').val()))
                {
                    if ('<?php echo e(authorized("can_sale_later")); ?>') {
                        var cash_pay = parseFloat($(this).val());
                        var net = parseFloat($('#net').val());
                        var paid = parseFloat($('#paid').val());
                        var new_rest = net - cash_paid;
                        $('#later').trigger('click');
                        $('#cash_paid').val(cash_pay);
                        $('#paid').val(cash_pay);
                        $('#rest').val(new_rest);
                        console.log(122222222222,net,cash_pay,paid,new_rest);
                    }
                    else{
                        var net = parseFloat($('#net').val());
                        console.log({net,cash_pay});
                        $('#cash').trigger('click');
                        $('#cash_paid').val(net);
                        $('#paid').val(net);
                        $('#rest').val(0);
                        alert("المدفوع اقل من قيمه الفاتوره ولا يمكن البيع باجل");
                    }
                }
            }
            if($(this).val() < 0)
            {
                $(this).val(0)   ;
            }
            if (parseFloat($(this).val()) > parseFloat($('#net').val()) && '<?php echo e(get_session_val('netowrk_payment', 'integer')); ?>' == 0)
            {
                $(this).val($('#net').val());
                $('#paid').val($('#net').val());
                alert("المدفوع اكبر من قيمه الفاتوره");
            } else {
                var network_pay = parseFloat($('#network_paid').val());
                if ('<?php echo e(get_session_val('netowrk_payment', 'integer')); ?>' == 0 || $('#use_ntwork_safe').val() == 0) {
                    network_pay = 0;
                }

                var cash_pay = parseFloat($(this).val());
                var total = cash_pay + network_pay;
                var net = parseFloat($('#net').val());

                if (total > net) {
                    $(this).val(net - network_pay);
                    $('#paid').val(net);
                } else {
                    $('#paid').val(network_pay + cash_pay);

                }
            }
            if('<?php echo e($invoice_type); ?>' == 'sales offers'
            || '<?php echo e($invoice_type); ?>' == 'returned sales'
            || '<?php echo e($invoice_type); ?>' == 'purchases'
            ||'<?php echo e($invoice_type); ?>' == 'returned purchases' ){
                if(parseFloat($('#cash_paid').val()) >= parseFloat($('#net').val()) )
                {
                    var net = parseFloat($('#net').val());
                    var cash_pay = parseFloat($('#cash_paid').val());
                    console.log({net,cash_pay});
                    $('#cash').trigger('click');
                    $('#cash_paid').val(net);
                    $('#paid').val(net);
                    $('#rest').val(0);
                    if(cash_pay > net )
                    {
                        alert("المدفوع اكبر من قيمه الفاتوره");
                    }
                }
                if(parseFloat($('#cash_paid').val()) < parseFloat($('#net').val()))
                {
                    if ('<?php echo e(authorized("can_sale_later")); ?>') {
                        var cash_pay = parseFloat($(this).val());
                        var net = parseFloat($('#net').val());
                        var paid = parseFloat($('#paid').val());
                        var new_rest = net - cash_paid;
                        $('#later').trigger('click');
                        $('#cash_paid').val(cash_pay);
                        $('#paid').val(cash_pay);
                        $('#rest').val(new_rest);
                        console.log(122222222222,net,cash_pay,paid,new_rest);
                    }
                    else{
                        var net = parseFloat($('#net').val());
                        console.log({net,cash_pay});
                        $('#cash').trigger('click');
                        $('#cash_paid').val(net);
                        $('#paid').val(net);
                        $('#rest').val(0);
                        alert("المدفوع اقل من قيمه الفاتوره ولا يمكن البيع باجل");
                    }
                }
            }

        }




        if ((parseFloat($('#paid').val()) == parseFloat($('#net').val()) && '<?php echo e(get_session_val('invoice_default_payment_type', 'integer')); ?>' == 0)||('<?php echo e(get_session_val('invoice_default_payment_type', 'integer')); ?>' == 1)) {
            changePaymentType();
        }
        recalculateTotal();
    });

    // $('#delivery_fees').on('change keydown', function (event) {
    //     var regex = /^([0-9])*.([0-9]{0,4})/g;

    //     if ( ! $(this).val().match( regex ) ) {
    //         event.preventDefault();
    //         return ;
    //     }

    //     $(this).val( $(this).val().match( regex ) );
    //     var value = $(this).val();
    //     $(this).val( value.toFixed(<?php echo e(get_session_val('decimal_num_price', 'Integer')); ?>) );

    //     recalculateTotal();
    // });


    $('#delivery_fees').on('change', function (event) {
        var value = parseFloat($(this).val());
        $(this).val( value.toFixed(<?php echo e(get_session_val('decimal_num_price', 'Integer')); ?>) );

        recalculateTotal();
    });


    <?php if(get_session_val('delivery_fee_type', 'Integer') == 1): ?>
    $('#region').on('change', function () {
        let fee = parseFloat($(this).find(':selected').data('fee') ?? 0);
        $('#delivery_fees').val(fee);
    })
    <?php elseif(get_session_val('delivery_fee_type', 'Integer') == 2): ?>
    $('#service').on('change', function () {
        let serviceFee = parseFloat($(this).find(':selected').data('fee') ?? 0),
            isEnabled = $(this).find(':selected').data('enabled');

        if (isEnabled) {
            $('#delivery_period').removeClass('hidden');
        } else {
            $('#delivery_period').addClass('hidden');
            $('#delivery_fees').val(serviceFee);
            $('#delivery_fees').trigger('change');
        }
    })

    $('#period').on('change', function () {
        let periodFee = parseFloat($(this).find(':selected').data('fee') ?? 0);
        $('#delivery_fees').val(periodFee);
        $('#delivery_fees').trigger('change');
    });
    <?php endif; ?>

    $('#network_paid').on('change', function () {

        if ('<?php echo e(! authorized("can_change_payment")); ?>') {
            $('#cash').trigger('click');
            $('#paid').attr('disabled', 'disabled');
        } else if (!$('#use_ntwork_safe').is(':checked')) {
            $('#network_paid').val(0);
        } else {

            if($(this).val() < 0)
            {
                $(this).val(0)   ;
            }

            if (parseFloat($(this).val()) > parseFloat($('#net').val()) && $('#use_ntwork_safe').is(':checked'))
            {
                $(this).val($('#net').val());
            } else {
                var cash_pay = parseFloat($('#cash_paid').val());
                var network_pay = parseFloat($(this).val());
                var total = cash_pay + network_pay;
                var net = parseFloat($('#net').val());

                if (total >= net) {
                    $('#cash_paid').val(net - network_pay);
                    $('#paid').val(net);
                } else {
                    $('#paid').val(network_pay + cash_pay);
                }
            }
        }

        if (
            (parseFloat($('#paid').val()) == parseFloat($('#net').val()) && '<?php echo e(get_session_val('invoice_default_payment_type', 'integer')); ?>' == 0)
            ||
            ('<?php echo e(get_session_val('invoice_default_payment_type', 'integer')); ?>' == 1)
        ) {
            changePaymentType();
        }

        recalculateTotal();
    });

    function changePaymentType() {
        $('#cash').attr('data-user_choice', 0);
        $('#later').attr('data-user_choice', 1);
    }

    var search_queue = '';

    function getItemsByName(viewer = 'result', ingrediants = 0) {
        var item_name = ingrediants == 0 ? $('#item_result').val() : ($('#ingrediants_target_detail_id').val() > 0 ? $('#new_more_ingrediant').val() : $('#new_ingrediant').val());
        var store_id = $(document).find('#store_id').find('option:selected').val();

        if (search_queue != '') {
            search_queue.abort();
        }

        search_queue = $.get('<?php echo e(route('invoices.search-items', $invoice_type)); ?>', {
            'item_name': item_name,
            store_id: store_id,
            ingrediants: ingrediants
        }, function (data) {
            if (data.status == 1) {
                $('#' + viewer).html(data.data);
            } else {
                $('#' + viewer).html(data.data);
            }
        });
    }

    $('#item_result').bind('input propertychange', function () {
        getItemsByName();
    });


    $('#use_ntwork_safe').on('change', function () {
        if (!$(this).is(':checked')) {
            $('#network_paid').val(0);
            recalculateTotal();
        }
    });

    $('.pending-invoice-data').on('change keyup', function(){
        calculateTotal();
    });
    let acceptUpdatePendingInvoiceDataRequest = false;
    let updatePendingInvoiceDataRequest = null;
    // to Avoid Duplicate Pending Request for the same page;
    let randomPageNumber = <?php echo e(rand(1, 1000000)); ?>;
    function updatePendingInvoiceData(){
        <?php if(!get_session_val('pending_bills', 'integer')): ?>
            return;
        <?php endif; ?>
        if(!acceptUpdatePendingInvoiceDataRequest) return;
        if(updatePendingInvoiceDataRequest){
            updatePendingInvoiceDataRequest.abort();
        }

        // #cash prop checked changes alot
        setTimeout(() => {
        let client_id = $('#client_id').val();
        let total = $('#invoice_total').val();
        let calculatedTotal = $('#calculated_total').val();
        let no_bill = $("<?php echo e(stripos($invoice_type, 'purchases') !== false ? '#supplier_invoice_no' : '#bill_no'); ?>").val();
        let net = $('#net').val();
        let paid = $('#paid').val();
        let rest = $('#rest').val();
        let payment_type = $('[name="pay_method"]:checked').val();
        let notes = $('[name="notes"]').val();
        let store_id = $('#store_id').val();
        let invoice_date = $('#invoice_date').val();
        let sale_point_id = $('#cash_safe_point_id').val();
        let cash_paid = $('#cash_paid').val();
        let vats_total = $('#vats_total').val();
        let installment_add_precent = NaNToZero($('#installment_add_precent').val());
        let installment_add_value = NaNToZero($('#installment_add_value').val());
        let installment_value = NaNToZero($('#installment_value').val());
        let installment_type = $('#installment_type').val();
        let installment_count = $('#installment_count').val();
        let installment_rest = $('#installment_rest').val();
        let installment_dates = $('[name="installment_dates[]"]').map((i, el) => el.value).toArray();
        let installment_notes = $('#installment_notes').val();
        let region = $('#region').val();
        let delivery_type = $('#service').val();
        let delivery_period = $('#period').val();
        let delivery_fees = $('#delivery_fees').val();
        let delivery_man = $('#delivery_man').find('option:selected').val();
        let cash_safe_point_id = $('#cash_safe_point_id').val();
        let network_safe_point_id = $('#network_safe_point_id').val();
        updatePendingInvoiceDataRequest = $.ajax({
            url: ("<?php echo e(route('invoices.updatePendingInvoiceData', [$invoice_type, 'pendingInvoiceId0'])); ?>").replace('pendingInvoiceId0', $('#pending_invoice_id').val()),
            type: 'PUT',
            headers: {
                'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>",
            },
            data: {
                client_id: client_id > 0 ? client_id : null,
                total,
                no_bill,
                net,
                paid,
                rest,
                payment_type,
                notes,
                store_id,
                invoice_date: invoice_date ?? null,
                sale_point_id,
                cash_paid,
                calculatedTotal,
                vats_total,
                installment_add_precent,
                installment_add_value,
                installment_value,
                installment_type,
                installment_count,
                installment_rest,
                installment_dates,
                installment_notes,
                region,
                delivery_type,
                delivery_period,
                delivery_fees,
                delivery_man,
                cash_safe_point_id,
                network_safe_point_id,
                items,
                randomPageNumber
            },
            success: function (response) {
                if (response.status) {
                    $('#pending_invoice_id').val(response.data.id);
                }
            },
        })
        }, 100);

    }

    function NaNToZero(value) {
        return isNaN(value) ? 0 : value;
    }

   //Wait for DatePicker to trigger Change Event Before Accepting Update Pending Invoice Data Request
    $(function(){
        setTimeout(() => {
            acceptUpdatePendingInvoiceDataRequest = true;
        }, 100);
    })
</script>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/js/new_js.blade.php ENDPATH**/ ?>