

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row mb-3">
            <h1 class="text-info"><?php echo e(__('items.barcode_ticket.settings.title')); ?></h1>
        </div>

        <div class="row">
            <form class="form-horizontal w-100 custome-form" method="POST" action="<?php echo e(route('barcode.settings')); ?>">
                <?php echo csrf_field(); ?>
                <div class="bg-white p-4 rounded">

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="support_barcode_reader"><?php echo e(__('items.barcode_ticket.settings.support_barcode_reader')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="barcode_reader" id="support_barcode_reader_yes"
                                value="1" <?php if(isset($settings->support) && $settings->support == 1): ?> checked <?php endif; ?>>
                            <label for="support_barcode_reader_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="barcode_reader" id="support_barcode_reader_no"
                                value="0" <?php if(isset($settings->support) && $settings->support == 0): ?> checked <?php endif; ?>>
                            <label for="support_barcode_reader_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="show_item_name"><?php echo e(__('items.barcode_ticket.settings.show_item_name')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_item_name" id="show_item_name_yes"
                                value="1" <?php if(isset($settings->showitem) && $settings->showitem == 1): ?> checked <?php endif; ?>>
                            <label for="show_item_name_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_item_name" id="show_item_name_no" value="0"
                                <?php if(isset($settings->showitem) && $settings->showitem == 0): ?> checked <?php endif; ?>>
                            <label for="show_item_name_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="show_item_description"><?php echo e(__('items.barcode_ticket.settings.show_item_description')); ?> :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_item_description" id="show_item_description_yes"
                                value="1" <?php if(isset($settings->show_about) && $settings->show_about == 1): ?> checked <?php endif; ?>>
                            <label for="show_item_description_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_item_description" id="show_item_description_no"
                                value="0" <?php if(isset($settings->show_about) && $settings->show_about == 0): ?> checked <?php endif; ?>>
                            <label for="show_item_description_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="show_price"><?php echo e(__('items.barcode_ticket.settings.show_item_price')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_price" id="show_price_yes" value="1"
                                <?php if(isset($settings->price) && $settings->price == 1): ?> checked <?php endif; ?>>
                            <label for="show_price_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_price" id="show_price_no" value="0"
                                <?php if(isset($settings->price) && $settings->price == 0): ?> checked <?php endif; ?>>
                            <label for="show_price_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="show_shop_name"><?php echo e(__('items.barcode_ticket.settings.show_shop_name')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_shop_name" id="show_shop_name_yes"
                                value="1" <?php if(isset($settings->show_shop_name) && $settings->show_shop_name == 1): ?> checked <?php endif; ?>>
                            <label for="show_shop_name_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_shop_name" id="show_shop_name_no" value="0"
                                <?php if(isset($settings->show_shop_name) && $settings->show_shop_name == 0): ?> checked <?php endif; ?>>
                            <label for="show_shop_name_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="print_barcode_number"><?php echo e(__('items.barcode_ticket.settings.print_barcode_number')); ?> :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="print_barcode_number"
                                id="print_barcode_number_yes" value="1"
                                <?php if(isset($settings->print_barcode) && $settings->print_barcode == 1): ?> checked <?php endif; ?>>
                            <label for="print_barcode_number_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="print_barcode_number"
                                id="print_barcode_number_no" value="0"
                                <?php if(isset($settings->print_barcode) && $settings->print_barcode == 0): ?> checked <?php endif; ?>>
                            <label for="print_barcode_number_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="barcode_scale_support"><?php echo e(__('items.barcode_ticket.settings.barcode_scale_support')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="barcode_scale_support"
                                id="barcode_scale_support_yes" value="1"
                                <?php if(isset($settings->support_scale) && $settings->support_scale == 1): ?> checked <?php endif; ?>>
                            <label for="barcode_scale_support_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="barcode_scale_support"
                                id="barcode_scale_support_no" value="0"
                                <?php if(isset($settings->support_scale) && $settings->support_scale == 0): ?> checked <?php endif; ?>>
                            <label for="barcode_scale_support_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>



                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                   for="barcode_scale_support"><?php echo e(__('items.barcode_ticket.settings.show_unit_name')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_unit_name"
                                   id="show_unit_name_yes" value="1"
                                   <?php if(isset($settings->show_unit_name) && $settings->show_unit_name == 1): ?> checked <?php endif; ?>>
                            <label for="show_unit_name_yes"><?php echo e(__('extends.yes')); ?></label>
                        </div>
                        <div class="form-group col-md-2">
                            <input class="ml-2" type="radio" name="show_unit_name"
                                   id="show_unit_name_no" value="0"
                                   <?php if(isset($settings->show_unit_name) && $settings->show_unit_name == 0): ?> checked <?php endif; ?>>
                            <label for="show_unit_name_no"><?php echo e(__('extends.no')); ?></label>
                        </div>
                    </div>

                </div>

                <div class="bg-white p-4 mt-3 rounded">

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="barcode_number"><?php echo e(__('items.barcode_ticket.settings.barcode_number')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-3">
                            <input class="form-control input-normal" type="number" name="barcode_number" id="barcode_number"
                                value="<?php echo e($settings->barcodecount ?? ''); ?>">
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold" for="text_size"><?php echo e(__('items.barcode_ticket.settings.text_size')); ?>

                                :</label>
                        </div>
                        <div class="form-group col-md-3">
                            <input class="form-control input-normal" type="number" name="text_size" id="text_size"
                                value="<?php echo e($settings->fontsize ?? 14); ?>">
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="barcode_template"><?php echo e(__('items.barcode_ticket.settings.barcode_template')); ?> :</label>
                        </div>
                        <div class="form-group col-md-3">
                            <input class="form-control input-normal" type="number" name="barcode_template" id="barcode_template"
                                value="<?php echo e($settings->barcodestyle ?? ''); ?>">
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="scale_start_code"><?php echo e(__('items.barcode_ticket.settings.scale_start_code')); ?> :</label>
                        </div>
                        <div class="form-group col-md-3">
                            <input class="form-control input-normal" type="number" name="scale_start_code" id="scale_start_code"
                                value="<?php echo e($settings->scale_start ?? ''); ?>" disabled>
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <div class="form-group col-md-2">
                            <label class="font-weight-bold"
                                for="item_code_digits"><?php echo e(__('items.barcode_ticket.settings.item_code_digits')); ?> :</label>
                        </div>
                        <div class="form-group col-md-3">
                            <input class="form-control input-normal" type="number" name="item_code_digits" id="item_code_digits"
                                value="<?php echo e($settings->scale_item ?? 2); ?>">
                        </div>
                    </div>
                </div>

                <div class="bg-white p-4 mt-3 rounded">

                    
                    <div class="form-row row">
                        <h6 class="col-md-12 text-primary" for="barcode_size">
                            <?php echo e(__('items.barcode_ticket.settings.barcode_size')); ?> :
                        </h6>
                        <div class="form-group col-md-6">
                            <label class="font-weight-bold col-md-4"
                                for="barcode_height"><?php echo e(__('items.barcode_ticket.settings.barcode_height')); ?> :</label>
                            <input class="form-control input-normal col-md-7 d-inline" type="number" name="barcode_height"
                                id="barcode_height" value="<?php echo e(quant_decimal($settings->barcodeheight ?? 0)); ?>">
                        </div>
                        <div class="form-group col-md-6">
                            <label class="font-weight-bold col-md-4"
                                for="barcode_width"><?php echo e(__('items.barcode_ticket.settings.barcode_width')); ?> :</label>
                            <input class="form-control input-normal col-md-7 d-inline" type="number" name="barcode_width"
                                id="barcode_width" value="<?php echo e(quant_decimal($settings->barcodewidth ?? 0)); ?>">
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <h6 class="col-md-12 text-primary" for="logo_size"><?php echo e(__('items.barcode_ticket.settings.logo_size')); ?> :
                        </h6>
                        <div class="form-group col-md-6">
                            <label class="font-weight-bold col-md-4"
                                for="logo_height"><?php echo e(__('items.barcode_ticket.settings.logo_height')); ?> :</label>
                            <input class="form-control input-normal col-md-7 d-inline" type="number" name="logo_height"
                                id="logo_height" value="<?php echo e(quant_decimal($settings->logoheight ?? 0)); ?>">
                        </div>
                        <div class="form-group col-md-6">
                            <label class="font-weight-bold col-md-4"
                                for="logo_width"><?php echo e(__('items.barcode_ticket.settings.logo_width')); ?> :</label>
                            <input class="form-control input-normal col-md-7 d-inline" type="number" name="logo_width"
                                id="logo_width" value="<?php echo e(quant_decimal($settings->logowidth ?? 0)); ?>">
                        </div>
                    </div>

                    
                    <div class="form-row row">
                        <h6 class="col-md-12 text-primary" for="barcode_reader_code_size">
                            <?php echo e(__('items.barcode_ticket.settings.barcode_reader_code_size')); ?> :</h6>
                        <div class="form-group col-md-6">
                            <label class="font-weight-bold col-md-4"
                                for="barcode_reader_code_height"><?php echo e(__('items.barcode_ticket.settings.barcode_reader_code_height')); ?>

                                :</label>
                            <input class="form-control input-normal col-md-7 d-inline" type="number"
                                name="barcode_reader_code_height" id="barcode_reader_code_height"
                                value="<?php echo e(quant_decimal($settings->codimgheight ?? 0)); ?>">
                        </div>
                        <div class="form-group col-md-6">
                            <label class="font-weight-bold col-md-4"
                                for="barcode_reader_code_width"><?php echo e(__('items.barcode_ticket.settings.barcode_reader_code_width')); ?>

                                :</label>
                            <input class="form-control input-normal col-md-7 d-inline" type="number" name="barcode_reader_code_width"
                                id="barcode_reader_code_width" value="<?php echo e(quant_decimal($settings->codimgwidth ?? 0)); ?>">
                        </div>
                    </div>
                </div>

                <div class="bg-white p-4 mt-3 mb-4 rounded">

                    
                    <div class="form-row row">

                        
                        <div class="col-md-6">
                            <h6 class="col-md-6 text-primary" for="tickets_margins_settings">
                                <?php echo e(__('items.barcode_ticket.settings.tickets_margins_settings')); ?> :</h6>
                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="top_margin"><?php echo e(__('items.barcode_ticket.settings.top_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="ticket_top_margin"
                                    id="top_margin" value="<?php echo e(quant_decimal($settings->itemup ?? 0)); ?>">
                            </div>

                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="bottom_margin"><?php echo e(__('items.barcode_ticket.settings.bottom_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="ticket_bottom_margin"
                                    id="bottom_margin" value="<?php echo e(quant_decimal($settings->itemdown ?? 0)); ?>">
                            </div>

                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="left_margin"><?php echo e(__('items.barcode_ticket.settings.left_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="ticket_left_margin"
                                    id="left_margin" value="<?php echo e(quant_decimal($settings->itemleft ?? 0)); ?>">
                            </div>

                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="right_margin"><?php echo e(__('items.barcode_ticket.settings.right_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="ticket_right_margin"
                                    id="right_margin" value="<?php echo e(quant_decimal($settings->itemright ?? 0)); ?>">
                            </div>
                        </div>

                        
                        <div class="col-md-6">
                            <h6 class="col-md-6 text-primary" for="page_margins_settings">
                                <?php echo e(__('items.barcode_ticket.settings.page_margins_settings')); ?> :</h6>

                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="top_margin"><?php echo e(__('items.barcode_ticket.settings.top_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="page_top_margin"
                                    id="top_margin" value="<?php echo e(quant_decimal($settings->pageup ?? 0)); ?>">
                            </div>

                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="bottom_margin"><?php echo e(__('items.barcode_ticket.settings.bottom_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="page_bottom_margin"
                                    id="bottom_margin" value="<?php echo e(quant_decimal($settings->pagedown ?? 0)); ?>">
                            </div>

                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="left_margin"><?php echo e(__('items.barcode_ticket.settings.left_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="page_left_margin"
                                    id="left_margin" value="<?php echo e(quant_decimal($settings->pageleft ?? 0)); ?>">
                            </div>

                            
                            <div class="form-group">
                                <label class="font-weight-bold col-md-4"
                                    for="right_margin"><?php echo e(__('items.barcode_ticket.settings.right_margin')); ?>

                                    :</label>
                                <input class="form-control input-normal col-md-7 d-inline" type="number" name="page_right_margin"
                                    id="right_margin" value="<?php echo e(quant_decimal($settings->pageright ?? 0)); ?>">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-row justify-content-center mb-3">
                    <button type="submit" class="btn btn-success"><?php echo e(__('extends.save')); ?></button>
                </div>
            </form>
        </div>
    </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>

    <script>
        $(function() {
            $("input[name='barcode_scale_support']").on('change', function() {
                $(this).val() == 1 ?
                    $("#scale_start_code").removeAttr('disabled') :
                    $("#scale_start_code").attr('disabled', 'disabled');
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Item/Resources/views/barcode/settings.blade.php ENDPATH**/ ?>