<script src="<?php echo e(asset('js/jquery.table2excel.js')); ?>"></script>

<script>
    $(function() {
        $('#print-table').on('click', function() {
            window.print();
            var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);
            if (isChrome == false) window.close();
        });

        $('#export-table').on('click', function() {
            var table = $('#table2excel');

            var title = document.getElementById('title_text');

            title = title ? title.innerHTML : 'excel';
            if (!$(table).length) {

                table = $('.table2excel');
            }
            if (table && table.length) {
                var preserveColors = (table.hasClass('table2excel_with_colors') ? true : false);
                $(table).find('.currency').text('');
                $(table).table2excel({
                    exclude: ".noExl",
                    name: "Excel Document Name",
                    filename: title /* + new Date().toISOString().replace(/[\-\:\.]/g, "") */ + ".xls",
                    fileext: ".xls",
                    exclude_img: true,
                    exclude_links: true,
                    exclude_inputs: true,
                    preserveColors: preserveColors
                });
                $(table).find('.currency').text('<?php echo e(get_session_val('currency', 'string')); ?>');
            }
        });

        $('#pdf-table').on('click', function() {
            var content = $('#left_content').html();
            var the_content = $('html').clone();
            the_content.find('nav').remove();
            the_content.find('.noprint').remove();
            the_content.find('.hidden-print').remove();
            the_content.find('script').remove();
            the_content.find('.warning').removeClass('warning');
            the_content.find('#table2excel').removeAttr('class');
            the_content.find('#table2excel').attr('border', '1');
            the_content.find('td').css('vertical-align', 'middle');
            the_content.find('th').css('vertical-align', 'middle');
            the_content.find('#logo').remove();
            the_content.find('.title-page').remove();
            content = the_content.html();

            var _token = '<?php echo e(csrf_token()); ?>';
            var shop_id = '<?php echo e(auth()->user()->shop_id); ?>';
            $.post('<?php echo e(route('print-pdf')); ?>', {
                _token,
                content,
                shop_id
            }, function(result) {
                var id = 'pdf-' + result;
                var link = "<?php echo e(asset('/')); ?>" + result;
                var btn = '<a id="' + id + '" class="hidden" download href="' + link + '"></a>';
                $('body').append(link);
                setTimeout(function() {
                    window.open(link);
                    $('.pdfBtn').html('تصدير الي PDF').removeAttr('disabled');
                }, 3500);
            });
        });
    })
</script>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Master/Resources/views/js/export-functions.blade.php ENDPATH**/ ?>