<?php

namespace Modules\Api\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Favorite extends Model
{
    use HasFactory;
    protected $table = 'favorites';
    protected $guarded = [];

    public function item()
    {
        return $this->belongsTo(Item::class, 'product_id', 'id');
    }
}
