<?php

namespace Modules\Api\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class ItemVat extends Model
{
    use HasFactory, RoundingAttributesTrait;

    protected $table = 'item_vat';
    protected $guarded = [];

    public function items()
    {
        return $this->belongsTo(Item::class, 'item_id', 'id');
    }
    public function billAdd(){

        return $this->belongsTo(BillAdd::class , 'vat_id' ,'id');
    }

}
