<?php

namespace Modules\Api\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Traits\HelperTrait;
use Modules\Api\Entities\RequestSetting;

class RequestSettingController extends Controller
{
    use HelperTrait;

    public function __invoke(int $shop_id)
    {
        $settings = RequestSetting::where('shop_id', $shop_id)->first()->toArray();
        return $this->responseJson(null, null, $settings, null, 200);
    }
}
