<?php

namespace Modules\Api\Transformers;

use Illuminate\Http\Resources\Json\JsonResource;

class AllOrderResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->id,
            'created_at' => \Carbon\Carbon::parse($this->created_at)->format('d/m/Y'),
            'status' => $this->status,
            'order_number' => $this->order_no,
            'quantity' => round_money($this->details()->sum('quantity')),
            'total_invoice'=>round_money($this->net),
        ];
    }
}
