<?php

namespace Modules\Api\Transformers;

use Illuminate\Http\Resources\Json\JsonResource;

class ItemUnitResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */
    public function toArray($request)
    {
        return array(
            'id' => $this->id,
            'name' => $this->name,
            'price' => (float)$this->unit_price,
            'qty' => (float) $this->qty,
            'unit_value' => (int) $this->unit_value,
            'discount_price' => (float) ( ($this->unit_price ==  0) ? (round_money(($this->sale_price) - (($this->sale_price * $this->discount_percent) / 100)))
                : (round_money(($this->unit_price) - (($this->unit_price * $this->discount_percent) / 100))) ),
        );
    }
}
