<?php

namespace Modules\Api\Transformers;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class NotifyResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */
    public function toArray($request)
    {
        return array(
            'user_name' =>auth()->guard('api')->user()->user_name,
            'data' => json_decode($this->data)->msg ?? '',
            'time' => Carbon::parse($this->created_at)->format('h:i:s'),
            'date'=>Carbon::parse($this->created_at)->format('m-d-Y'),

        );
    }
}
