<?php

namespace Modules\Api\Transformers;

use Illuminate\Http\Resources\Json\JsonResource;

class ReactResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request
     * @return array
     */
    public function toArray($request)
    {
        return [
              'name'=>$this->clients->user_name,
               'img'=>$this->clients->image,
            'comment'=> $this->comment,
            'created_at'=>$this->created_at,
            'updated_at'=>$this->updated_at,
            'rate'=>number_format($this->rate ,2),


        ];
    }
}
