<?php

namespace Modules\BadrRequest\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\BadrRequest\Entities\SocialContact;

class SocialController extends Controller
{
    public function socialContact()
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $social = SocialContact::where('shop_id', $shop_id)->first();
        if (is_null($social)) {
            $social = SocialContact::emptySocial();
        }
        return view('badrrequest::social-contact', compact('social'));
    }

    public function updateSocialContact(Request $request)
    {
        $shop_id  = get_session_val('serial_id', 'integer');
        $social = SocialContact::where('shop_id', $shop_id)->where('id', $request->social_id)->first();
        if ($social) {
            $social->facebook = $request->facebook;
            $social->twitter = $request->twitter;
            $social->google = $request->google;
            $social->instagram = $request->instagram;
            $social->youtube = $request->youtube;
            $social->save();
            session()->flash('success', 'تم حفظ البيانات بنجاح');
        } else {
            session()->flash('error', 'خطأ في الحفظ');
        }
        return back();
    }
}
