<?php

namespace Modules\BadrRequest\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RequestSettingRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'fee' => 'required',
            'min_purchase' => 'required',
            'max_charge' => 'required',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
