<div id="payfort_div" >

    {!! Form::open([
    'route'=>'badr-requests.update-checkout-settings',
    'method'=>'POST'
    ])!!}

    {!! Form::hidden('settings_id', $settings->id) !!}
    {!! Form::hidden('shop_id', $settings->shop_id) !!}
    {!! Form::hidden('type', 'payfort') !!}

    <div class="col-md-11 col-md-offset-1">

        <h3 class="text-primary">اعدادات PAYFORT </h3>
        <table class="table table-bordered">

            <tr class="text-center">
                <td colspan="2">
                    اعدادت باي فورت التجريبية <b>(Sandbox)</b>
                </td>
                <td colspan="2">
                    اعدادت باي فورت الفعلية <b>(LIVE)</b>
                </td>
            </tr>
            <tr>
                <td colspan="2">

                    <div class="form-group">
                        <label class="control-label" for="payfort_s_merchant_identifier">رقم التاجر (merchant_identifier)
                        </label>
                        <input class="form-control" id="payfort_s_merchant_identifier" name="payfort_s_merchant_identifier"
                               value="{{ $settings->payfort_s_merchant_identifier }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_s_access_code">رقم التاجر (access_code)
                        </label>
                        <input class="form-control" id="payfort_s_access_code" name="payfort_s_access_code"
                               value="{{ $settings->payfort_s_access_code }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_s_SHARequest_phrase">رقم التاجر (SHARequest_phrase)
                        </label>
                        <input class="form-control" id="payfort_s_SHARequest_phrase" name="payfort_s_SHARequest_phrase"
                               value="{{ $settings->payfort_s_SHARequest_phrase }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_s_SHAResponse_phrase">رقم التاجر (SHAResponse_phrase)
                        </label>
                        <input class="form-control" id="payfort_s_SHAResponse_phrase" name="payfort_s_SHAResponse_phrase"
                               value="{{ $settings->payfort_s_SHAResponse_phrase }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_s_command">رقم التاجر (command)
                        </label>
                        <input class="form-control" id="payfort_s_command" name="payfort_s_command"
                               value="{{ $settings->payfort_s_command }}">
                    </div>

                </td>

                <td colspan="2">

                    <div class="form-group">
                        <label class="control-label" for="payfort_merchant_identifier">رقم التاجر (merchant_identifier)
                        </label>
                        <input class="form-control" id="payfort_merchant_identifier" name="payfort_merchant_identifier"
                               value="{{ $settings->payfort_merchant_identifier }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_access_code">رقم التاجر (access_code)
                        </label>
                        <input class="form-control" id="payfort_access_code" name="payfort_access_code"
                               value="{{ $settings->payfort_access_code }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_SHARequest_phrase">رقم التاجر (SHARequest_phrase)
                        </label>
                        <input class="form-control" id="payfort_SHARequest_phrase" name="payfort_SHARequest_phrase"
                               value="{{ $settings->payfort_SHARequest_phrase }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_SHAResponse_phrase">رقم التاجر (SHAResponse_phrase)
                        </label>
                        <input class="form-control" id="payfort_SHAResponse_phrase" name="payfort_SHAResponse_phrase"
                               value="{{ $settings->payfort_SHAResponse_phrase }}">
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="payfort_command">رقم التاجر (command)
                        </label>
                        <input class="form-control" id="payfort_command" name="payfort_command"
                               value="{{ $settings->payfort_command }}">
                    </div>

                </td>

            </tr>


            <tr>
                <td colspan="4">
                    <div class="row">
                        <div class="col-sm-5">
                            <label class="h3" for="payfort_sandbox"> تفعيل الحساب التجريبي (ٍSandbox)؟</label>
                        </div>
                        <div class="col-sm-1">
                            <input type="checkbox" class="form-control" id="payfort_sandbox"
                                   @if($settings->payfort_sandbox) checked @endif name="payfort_sandbox">
                        </div>
                    </div>

                </td>
            </tr>

        </table>

        <hr>

        <button class="btn btn-success">{{ trans('extends.save-btn') }}</button>

    </div>

    {!! Form::close()!!}

</div>