<div id="paypal_div">

    {!! Form::open([
    'route'=>'badr-requests.update-checkout-settings',
    'method'=>'POST'
    ])!!}

    {!! Form::hidden('settings_id', $settings->id) !!}
    {!! Form::hidden('shop_id', $settings->shop_id) !!}
    {!! Form::hidden('type', 'paypal') !!}

    <div class="col-md-11 col-md-offset-1">

        <h3 class="text-primary">اعدادات PAYPAL </h3>
        <table class="table table-bordered">

            <tr class="text-center">
                <td colspan="2">
                    اعدادت باي بال التجريبية <b>(Sandbox)</b>
                </td>
                <td colspan="2">
                    اعدادت باي بال الفعلية <b>(LIVE)</b>
                </td>
            </tr>
            <tr>
                <td colspan="2">

                    <div class="form-group">
                        <label class="control-label" for="paypal_s_client_id">رقم التاجر (client_id)
                        </label>
                        <textarea class="form-control" id="paypal_s_client_id" name="paypal_s_client_id"
                                  rows="2">{{ $settings->paypal_s_client_id }}</textarea>
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="paypal_s_client_secret">
                            الرقم السري (client_secret)
                        </label>
                        <textarea class="form-control" id="paypal_s_client_secret" name="paypal_s_client_secret"
                                  rows="2">{{ $settings->paypal_s_client_secret }}</textarea>
                    </div>

                </td>

                <td colspan="2">

                    <div class="form-group">
                        <label class="control-label" for="paypal_client_id">رقم التاجر (client_id)
                        </label>
                        <textarea class="form-control" id="paypal_client_id" name="paypal_client_id"
                                  rows="2">{{ $settings->paypal_client_id }}</textarea>
                    </div>

                    <div class="form-group">
                        <label class="control-label" for="paypal_client_secret">
                            الرقم السري (client_secret)
                        </label>
                        <textarea class="form-control" id="paypal_client_secret" name="paypal_client_secret"
                                  rows="2">{{ $settings->paypal_client_secret }}</textarea>
                    </div>

                </td>

            </tr>

            <tr>
                <td colspan="4">
                    <div class="row">
                        <div class="col-sm-5">
                            <label class="h3" for="paypal_sandbox"> تفعيل الحساب التجريبي (ٍSandbox)؟</label>
                        </div>
                        <div class="col-sm-1">
                            <input type="checkbox" class="form-control" id="paypal_sandbox"
                                   @if($settings->paypal_sandbox) checked @endif name="paypal_sandbox">
                        </div>
                    </div>

                </td>
            </tr>
        </table>
        <hr>
        <button class="btn btn-success">{{ trans('extends.save-btn') }}</button>

    </div>

    {!! Form::close()!!}

</div>
