@extends('master::layouts.master')
{{-- @stack('location-picker') --}}
@section('content')



    <div class="container">

        <div class="col-md-12 " style="margin-top: 30px;margin-bottom: 20px;">
            <h1 class="title-page "> {{ trans('badrrequests.request_details') }} {{ $model->order_no }} </h1>

        </div>

        {{-- </div> --}}
        <div class="col-md-12">

            <div style="display: flex;margin-bottom: 10px;">

                <div class="col-md-6">
                    {{ trans('badrrequests.order_number') }}: <span class="text-navy"> {{ $model->order_no }} </span>
                </div>

                <div class="col-md-6">
                    {{ trans('badrrequests.bill_number') }}: <span class="text-navy"> {{ $model->no_bill }} </span>
                </div>

            </div>

            <div style="display: flex;margin-bottom: 10px;">
                <div class="col-md-6">
                    {{ trans('badrrequests.client_name') }} : <span class="text-navy">
                       {{ $model->client->client_name}}
                    </span>

                </div>
                <div class="col-md-6">
                    {{ trans('badrrequests.email') }}: <span class="text-navy"> {{ $model->email ?? $model->client->email }}
                    </span>
                </div>


            </div>

            <div style="display: flex;margin-bottom: 10px;">
                <div class="col-md-6">
                    {{ trans('badrrequests.phone') }} :<span class="text-navy"> {{ $model->mobile ?? $model->client->tele }} </span>
                </div>


                <div class="col-md-6">
                    {{ trans('badrrequests.city') }}: <span class="text-navy"> {{ $model->getCity() }} </span>
                </div>
            </div>


            <div class="clearfix"></div>
            <br>
        </div>



        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <h2 class="title-page"> {{ trans('badrrequests.location') }} </h2>
                @include('badrrequest::map')

            </div>
        </div>
    </div>
@stop
@section('js-scripts')

    <script src="{{ asset('public/tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('public/tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('public/tickets/datepair.js') }}"></script>
    <script src="{{ asset('public/tickets/js/bootstrap-select.min.js') }}"></script>
    <script type="text/javascript"
        src='https://maps.google.com/maps/api/js?libraries=places&key=AIzaSyCmT97qMPjKdidWGuTUr8c9KC2l4sVUcNs'></script>
    <script src="{{ asset('public/tickets/locationpicker/locationpicker.jquery.min.js') }}"></script>
    <script>
        $(document).ready(function() {
            $('#us3').locationpicker({
                location: {
                    latitude: '{{ $model->lon }}',
                    longitude: '{{ $model->lat }}'
                },
                radius: 300,
                zoom: 9,
                inputBinding: {
                    latitudeInput: $('#us3-lat'),
                    longitudeInput: $('#us3-lon'),
                    radiusInput: $('#us3-radius'),
                    locationNameInput: $('#us3-address')
                },
                enableAutocomplete: true,

            });
        });
    </script>

@stop
