@extends('master::layouts.master')

@section('content')
    <div class="wrapper card card-light mb-1_5 p-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div style="">
                        <h3  class="text-info d-inline-block"> {{ trans('badrrequests.Edit_page') }} {{ $page->title }}</h3>
                        <a style="margin-right: 44%;" href="{{ route('allStaticPages') }}"
                            class="float-left btn d-inline-block btn-primary">{{ trans('badrrequests.back') }} </a>
                    </div>

                    <form method="POST" action="{{ route('updateStaticPage', $page->id) }}" enctype="multipart/form-data" class="custome-form">
                        {{ csrf_field() }}

                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="name"> {{ trans('badrrequests.Tag_in_English') }} </label>
                                <input class="form-control" maxlength="100" name="name" type="text" id="name"
                                    value="{{ $page->name }}">
                            </div>

                            <div class="form-group">
                                <label for="title"> {{ trans('badrrequests.page_title') }} </label>
                                <input class="form-control" maxlength="100" name="title" type="text" id="title"
                                    value="{{ $page->title }}">
                            </div>


                            <div class="form-group">
                                <label for="title"> {{ trans('badrrequests.main_image') }} </label>
                                <input class="form-control" maxlength="100" name="image" type="file" id="file">

                            </div>
                        <div class="col-md-2">

                            <br>
                            <div class="form-group">
                                <img class="img-responsive" width="100px" src="{{ $page->image }}" alt="">
                            </div>
                        </div>
                        <div class="clearfix"></div>


                        <div class="form-group" >
                            <label for="title"> {{ trans('badrrequests.details') }}</label>
                            <textarea style="" class="form-control" id="editor" name="text">{{ $page->text }} </textarea>
                        </div>

                        <br>
                        <div class="form-group text-center" style="">
                            <input type="submit" name="submitbtn" value="{{ trans('badrrequests.save') }}   "
                                class="btn btn-success">

                        </div>
                 

                        <div id="for-loader" class="pull-right"></div>
                        <div id="for-errors" class="pull-left"></div>
                        <div>
                    </form>
                </div>
            </div>

        </div>
    </div>




@stop
@section('js-scripts')

    <script src="{{ asset('public/tickets/js/jquery.tinymce.min.js') }}"></script>
    <script src="{{ asset('public/tickets/js/tinymce.min.js') }}"></script>
    <script src="{{ asset('public/js/pages.js') }}"></script>

@stop
