@extends('master::layouts.master')
@section('css-scripts')
<style>
   .title {
   color: #31B0D5;
   padding-bottom: 15px;
   font-size: 20px !important;
   }
   .button_s {
   float: left !important;
   }
   .form-group {
   padding-top: 5px;
   }
</style>
@stop
@section('content')
<div class="container  card card-light mb-1_5 p-3">
   <div class="col-md-12 ">
      <h2 style="margin-top: 30px;" class="title-page text-info">  {{ trans('badrrequests.shop_contact') }}</h2>
   </div>
   <div class="col-md-9" style="margin-bottom: 139px;">
      <div class="form-area">
         <form method="POST" class="custome-form" action="{{route('web-contact.update',$badrshop->serial_id)}}" enctype="multipart/form-data">
            @csrf
            <div class="form-group row mb-3">
               <label class="control-label col-md-3" style="font-size: 20px;">    {{ trans('badrrequests.shop_name') }}</label>
               <div class="col-sm-9">
                  <input type="text" class="form-control" value="{{ $badrshop->shop_name }}" id="shop_name"
                     name="shop_name" placeholder="   {{ trans('badrrequests.shop_name') }}" >    
               </div>
            </div>
            <div class="form-group row mb-3">
                  <label class="control-label col-md-3" style="font-size: 18px;">    {{ trans('badrrequests.shop_email') }}</label>
               <div class="col-md-9">
                  <input type="email" class="form-control" value="{{ $badrshop->email }}" id="email"
                     name="email" placeholder="    {{ trans('badrrequests.shop_email') }} " >
               </div>
            </div>
            <div class="form-group row mb-3">
                  <label class="control-label col-md-3" style="font-size: 18px;">   {{ trans('badrrequests.shop_phone') }}</label>
               <div class="col-md-9">
                  <input type="text" class="form-control" value="{{ $badrshop->telephone }}" id="phone"
                     name="phone" placeholder="     {{ trans('badrrequests.shop_phone') }} " >
               </div>
            </div>
            <div class="form-group row mb-3">
                  <label class="control-label col-md-3" style="font-size: 18px;">   {{ trans('badrrequests.shop_address') }} </label>
               <div class="col-md-9">
                  <input type="text" class="form-control" value="{{ $badrshop->address }}" id="address"
                     name="address" placeholder=" {{ trans('badrrequests.shop_address') }}  " >
               </div>
            </div>
            <div class="form-group row mb-3 " >
                  <label class="control-label col-md-3" style="font-size: 18px;">{{ trans('badrrequests.shop_description') }}</label>
               <div class="col-md-9" >
                  <textarea rows="3" type="text" class="form-control container-editor" name="about" id="editor">
                  {{ $badrshop->about }}
                  </textarea>
               </div>
            </div>
            <div class="form-group row mb-3">
                  <label class="control-label col-md-3" style="font-size: 18px;">  {{ trans('badrrequests.shop_terms') }}  </label>
               <div class="col-md-9" style="">
                  <textarea rows="5" type="text" class="form-control container-editor clear" name="shop_terms" id="editor">
                  {{ $badrshop->shop_terms }}
                  </textarea>
               </div>
            </div>
            <div  class="form-group row justify-content-center mb-3">
                <div class="col-md-2">
                  <button type="submit" class="btn btn-success w-100">  {{ trans('badrrequests.save') }}</button>

                </div>
            </div>
         </form>
      </div>
   </div>
</div>
@endsection
@section('js-scripts')
<script src="{{ asset('tickets/js/tinymce.min.js') }}"></script>
<script src="{{ asset('js/pages.js') }}"></script>
@endsection