@forelse ($rows as $row)
    <tr>
        <td>{{ $loop->iteration }}</td>
        <td class="text-center">{{ $row->car_type }}</td>
        <td class="text-center">{{ $row->car_model }}</td>
        <td class="text-center">{{ $row->plate_number }}</td>
        <td class="text-center">
            @if ($row->avatar)
                <img src="{{ asset($row->avatar) }}" width="50px">
            @endif
        </td>
        <td class="text-center">
            @include('car::includes.table.options')
        </td>
    </tr>
@empty
    <tr>
        <td colspan="10" class="alert alert-warning text-center">@lang('car::trans.title.no-data')</td>
    </tr>
@endforelse
