@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div id="show-alerts"></div>
            <h1 class="text-primary">
                @lang('car::trans.title.name')
                <a class="btn btn-primary text-white float-left mt-2 show-modal-form" href="{{ route('cars.create') }}">@lang('car::trans.buttons.create') <i class="fa fa-plus"></i> </a>
            </h1>

            @include('car::includes.table.header')

        </div>
    </div>

    <div class="modal" id="load-form" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content"></div>
        </div>
    </div>
@endsection

@include('car::includes.js')