<?php

namespace Modules\Category\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Item extends Model
{
    use RoundingAttributesTrait;
    protected $table = 'items';
//    public $incrementing = false;
    public $timestamps = false;
    protected $fillable = [];

    public function categoryName()
    {
        $cat = Category::where('id', $this->sale_unit);
        return $cat->name;
    }

    public function getImages()
    {
        $images = ItemImage::where('shop_id', get_session_val('serial_id', 'integer'))
            ->where('item_id', $this->id)
            ->get();

        return $images;
    }

}
