@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            <div class="row">

                <div class="box_report box1 hidden-print ">
                    <div class="form-group">

                        <div class="form-group">
                            <h2 class="text-primary">الاضافات علي المبيعات</h2>
                            <div class="col-md-1">
                                نوع الاضافه
                            </div>
                            <div class="col-md-2">
                                <select class="form-control" id="add_type">
                                    <option value="0">معفى من القيمه المضافه</option>
                                    <option value="1">غير شامل القيمة المضافه</option>
                                    <option value="2">شامل القيمة المضافه</option>
                                </select>
                            </div>

                            <div id="addContainer">
                                <div class="col-md-1">
                                    الاضافات
                                </div>

                                <div class="col-md-2">
                                    <select class="form-control" id="add">
                                        @foreach($billsAdd as $add)
                                            <option value="{{ $add->id }}">{{ $add->Addition_name }}
                                                - {{ $add->addition_value }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <a href="#" id="postBtn" class="btn btn-info"> تطبيق </a>
                            </div>


                            <h2 class="text-primary">الاضافات علي المشتريات</h2>
                            <div class="col-md-1">
                                نوع الاضافه
                            </div>
                            <div class="col-md-2">
                                <select class="form-control" id="purchase_add_type">
                                    <option value="0">معفى من القيمه المضافه</option>
                                    <option value="1">غير شامل القيمة المضافه</option>
                                    <option value="2">شامل القيمة المضافه</option>
                                </select>
                            </div>

                            <div id="addContainer2">
                                <div class="col-md-1">
                                    الاضافات
                                </div>

                                <div class="col-md-2">
                                    <select class="form-control" id="purchase_add">
                                        @foreach($billsAdd as $add)
                                            <option value="{{ $add->id }}">{{ $add->Addition_name }}
                                                - {{ $add->addition_value }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <a href="#" id="postBtn2" class="btn btn-info"> تطبيق </a>
                            </div>



                        </div>

                    </div>
                </div>
            </div>
        </div>
        @stop

        @section('js-scripts')
            <script>
                $(document).ready(function () {
                    $('#addContainer').hide();
                    $('#addContainer2').hide();

                    $("#add_type").on('change', function (e) {
                        var addType2 = $("#add_type option:selected").val();
                        if (addType2 == 0 || addType2 == 1) {
                            $('#addContainer').hide();
                        } else {
                            $('#addContainer').show();
                        }
                    });

                    $("#purchase_add_type").on('change', function (e) {
                        var addType3 = $("#purchase_add_type option:selected").val();
                        if (addType3 == 0 || addType3 == 1) {
                            $('#addContainer2').hide();
                        } else {
                            $('#addContainer2').show();
                        }
                    });

                    $("#postBtn").on('click', function (e) {
                        var add = $("#add option:selected").val();
                        var addType = $("#add_type option:selected").val();
                        var purchaseAdd = $("#purchase_add option:selected").val();
                        var purchaseAddType = $("#purchase_add_type option:selected").val();
                        $.ajax({
                            type: 'POST',
                            url: '{{route('items-vat.apply')}}',
                            headers: {
                                'X-CSRF-TOKEN': '{{ csrf_token() }}'
                            },
                            data: {add, addType, purchaseAdd, purchaseAddType},
                            success: function (res) {
                                alert(res);
                            }
                        });
                    });


                    // purchase
                    $("#postBtn2").on('click', function (e) {
                        var purchaseAdd = $("#purchase_add option:selected").val();
                        var purchaseAddType = $("#purchase_add_type option:selected").val();
                        $.ajax({
                            type: 'POST',
                            url: '{{route('items-vat-purchase.apply')}}',
                            headers: {
                                'X-CSRF-TOKEN': '{{ csrf_token() }}'
                            },
                            data: {purchaseAdd, purchaseAddType},
                            success: function (res) {
                                alert(res);
                            }
                        });
                    });




                });

            </script>


        @stop

        @section('css-scripts')
            <style>

            </style>
@stop
