<li class="list-group-item cursor-move mb-2" data-id="{{ $category->id }}" style="border: 2px solid #1e1e2d4a; display: inline; width: calc(100% / 3)">
    <span class="order fs-3">{{ $category->display_order }}</span> -
    <span class="fs-2"> {{ $category->name }} </span>



    <div class="float-left">
        <a class="btn btn-success btn-sm ml-3 text-light" data-toggle="modal" data-target="#updateElementModal" data-href="{{ $category->id }}">
            <span class="glyphicon glyphicon-pencil" data-toggle="tooltip" data-placement="top" title="Remove this Element">{{ trans('extends.edit') }} </span>
        </a>

        <a class="btn btn-danger btn-sm ml-3 text-light" data-toggle="modal" data-target="#deleteElementModal" data-href="{{ $category->id }}">
            <span class="glyphicon glyphicon-trash" data-toggle="tooltip" data-placement="top" title="Remove this Element">{{ trans('extends.delete') }} </span>
        </a>
    </div>



    <ul class="mt-7 nested-sortable" style="margin-right: 40px; min-height: 20px; margin-top: 12px;" data-parent-id="{{ $category->id }}">
        @if ($category->subs->count())
            @foreach ($category->subs as $sub)
                @include('category::main.subs', ['category' => $sub])
            @endforeach
        @endif
    </ul>
</li>
