<?php

namespace Modules\ClientInstallments\Entities;

use Carbon\Carbon;

class Helper
{
    public static function getColumns($p, $today)
    {
        $data = '';
        for ($i = 0; $i < $p; $i++) {

//            $month = Carbon::parse($today)->format('Y-m-d');
            $month = Carbon::parse($today)->addMonths($i)->format('Y-m-t');
            $m_arr = explode('-', $month);

                    $type = get_session_val('date_type', 'integer');

            if ($type == '1'){

                if ($m_arr[2] == 31){
                    $m_arr[2] = 30;
                    $n_month = $m_arr[0].'-'.$m_arr[1].'-'.$m_arr[2];
                }else {
                    $n_month = $month;
                }

            }else {
                $n_month = $month;
            }

            $data .= '<th>' . $n_month . '</th>';
        }
        return $data;
    }

    public static function getColumnsData($p, $today, $c_id)
    {
        $data = '';
        for ($i = 0; $i < $p; $i++) {
            $month = Carbon::parse($today)->addMonths($i)->format('Y-m-d');
            $last = Carbon::parse($month)->format('Y-m-t');
            $first = Carbon::parse($month)->format('Y-m-01');

            if ($i == 0){
                $installment = Instalment::whereDate('installment_date','<=',$last)
                    ->whereDate('installment_date','>=', Carbon::parse($today)->format('Y-m-d'))
                    ->where('client_id', $c_id)
                    ->where('type', 0)
                    ->where('installment_pay', 0)
                    ->sum('installment_amount');
            }else {
                $installment = Instalment::whereDate('installment_date','<=',$last)
                    ->whereDate('installment_date','>=',$first)
                    ->where('client_id', $c_id)
                    ->where('type', 0)
                    ->where('installment_pay', 0)
                    ->sum('installment_amount');
            }

            $data .= '<td class="data-'.$i.'">' . price_decimal($installment) . '</td>';
        }
        return $data;
    }



    public static function getSubColumns($p)
    {
        $data = '';
        for ($i = 0; $i < $p; $i++) {

            $data .= '<td class="sum-'.$i.'"></td>';
        }
        return $data;
    }
}
