<style>
    @media print {
        .noprint {
            display: none;
        }

        .print {
            display: block !important;
        }

        #logo {
            display: block !important;

        }

        .width40 {
            width: 40% !important;
            float: left;
            margin-top: -3em !important;
            margin-bottom: 1em !important;
        }

        .width60 {
            width: 60% !important;
        }

    }
</style>


<div style="background: #eee; padding: 1em; margin: 0 1em 0 1em;">


    <table class="table table-bordered table-condensed" role="presentation">
        <tbody>
        <tr>
            <td colspan="2" class="text-center">
                <label>
                    ايصال استلام قسط
                </label>
            </td>
        </tr>
        <tr>
            <td>
                <label>اسم العميل : </label><br>
            </td>
            <td>
                <label>{{ $instalments->client_name }}</label><br>
            </td>
        </tr>
        <tr>

            <td>
                <label> تاريخ السداد :</label><br>
            </td>
            <td>
                <label> {{ $instalments->pay_date }}</label><br>
            </td>

        </tr>
        <tr>

            <td>
                <label> تاريخ الاستحقاق :</label><br>
            </td>
            <td>
                <label> {{ $instalments->installment_date }}</label><br>
            </td>

        </tr>
        <tr>
            <td>
                <label> رقم الفاتورة : </label><br>
            </td>
            <td>
                <label>{{ optional($instalments->bill)->bill_no ?? '--'}}</label><br>
            </td>
        </tr>

        <tr>
            <td>
                <label> تسلسل القسط :</label><br>
            </td>
            <td>
                <label>{{ $instalments->installmentSequence() }}</label><br>
            </td>
        </tr>

        <tr>
            <td>
                <label> المبلغ المدفوع :</label>
            </td>
            <td>
                <label>{{ $instalments->installment_amount }}</label>
            </td>
        </tr>
        @if ($instalments->user_name )
            <tr>
                <td>
                    <label> المحصل :</label>
                </td>
                <td>
                    <label>{{ $instalments->user_name }}</label>
                </td>
            </tr>
        @endif
        </tbody>
    </table>




    <div style="border: 2px solid #000; border-radius: 10px; margin-bottom: 10px; font-size: 17px">
        <table style="width: 100%;" dir="ltr">
            <thead style="text-align: left">
                <tr>
                    <td style="padding: 10px; padding: 10px 20px; border-bottom: 2px solid #000; text-align: center"> ايصال استلام قسط </td>
                </tr>

            </tbody>
        </table>
    </div>
    


</div>

<script> window.print(); </script>