<?php

namespace Modules\Clients\Entities;

use Illuminate\Database\Eloquent\Model;

class Supplier extends Model
{
    protected $fillable = [];
    protected $table = 'supplier';
    public $timestamps = false;

    public function transactions()
    {
        return $this->hasMany(ClientTransaction::class);
    }

    public function currency()
    {
        return $this->belongsTo(Currency::class);
    }


    




}
