<style>
    .required:after {
        content: '*';
        color: #ff0000;
    }
</style>

@if (isset($client) && $client)
    <form class="form-horizontal custome-form" method="post" action="{{ route('clients.update') }}" enctype="multipart/form-data">
    @else
        <form class="form-horizontal custome-form" method="post" action="{{ route('clients.store') }}" enctype="multipart/form-data">
@endif

{{ csrf_field() }}

<input type="hidden" id="embedded" name="embedded" value="{{ $embedded ?? '' }}">
<input name="client_id" value="{{ $client->id ?? '' }}" type="hidden">

@include('clients::layouts.inputs')
<div class="clearfix"></div>

<div class="form-row row justify-content-center mb-3" style="margin-top: 15px">
<div class="col-sm-2">
                     
    <!-- <button type="submit" class="btn btn-primary aaa w-25 center"> حفظ</button> -->
    <button type="submit" class="text-center button-success w-60-per add-percent mt-3">
    حفظ
                          </button>
</div>
</div>

<div class="error_box"></div>
</form>


<script>
    $("body").on('change', '#client_role', function(e) {
        e.preventDefault();
        var role = $("#client_role option:selected").val(); // 0=> Client , 1=> Supplier , 2=>Both
        if (role == 1) {
            $("#credit_limit").attr('disabled', 'disabled').closest('.form-group').slideUp();
            $("#client_type").attr('disabled', 'disabled').closest('.form-group').slideUp();
        } else {
            $("#credit_limit").removeAttr('disabled').closest('.form-group').slideDown();
            $("#client_type").removeAttr('disabled').closest('.form-group').slideDown();
        }

        // if (role == 2) {
        //     $("#national_id").removeAttr('disabled').closest('.form-group').removeClass('hidden');
        //     $("#client_tax_number").removeAttr('disabled').closest('.form-group').removeClass('hidden');
        // } else if (role == 1) {
        //     // Hide National ID Input
        //     $("#national_id").attr('disabled', 'disabled').closest('.form-group').addClass('hidden');
        //     // Show Tax Number Input
        //     $("#client_tax_number").removeAttr('disabled').closest('.form-group').removeClass('hidden');
        // } else {
        //     // Show Tax Number Input
        //     $("#client_tax_number").attr('disabled', 'disabled').closest('.form-group').addClass('hidden');
        //     // Hide National ID Input
        //     $("#national_id").removeAttr('disabled').closest('.form-group').removeClass('hidden');
        // }
    });

    $("body").on('change', '#client_type', function() {
        var role = $("#client_role option:selected").val(); // 0=> Client , 1=> Supplier , 2=>Both
        if (role == 1 ) {
            $("#credit_limit").attr('disabled', 'disabled').closest('.form-group').slideUp();
        } else {
            $("#credit_limit").removeAttr('disabled').closest('.form-group').slideDown();

        }
    });
    $("body").on('change', '#client_type', function() {
        if ($(this).val() == 0) {
            $("#collector_id").attr('disabled', 'disabled').closest('.form-group').slideUp();
        } else {
            $("#collector_id").removeAttr('disabled').closest('.form-group').slideDown();
        }
    });

    $(function() {
        $("body").find('#client_role, #client_type').trigger('change');
    });
</script>
