<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title>{!! trans('extends.page-title') !!}</title>
    <link rel="shortcut icon" href="http://www.badrsystems.com/wp-content/uploads/2015/10/logobadr.png">

    <!-- Bootstrap core CSS -->
    <link href="{{ asset('tickets/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ config('main.badr') }}style_general.css">

    @if (App::isLocale('ar'))
        <link href="{{ asset('tickets/css/bootstrap.rtl.min.css') }}" rel="stylesheet">
    @endif

    {{-- header in laravel --}}

    <script type="text/javascript" src="jquery.min.js"></script>
    <script src="<?php echo $actual_link;?>js/redirect.js"></script>

    <link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
    <script type="text/javascript" src="jquery-ui.min.js"></script>
    <link href="jquery-ui.css" rel="stylesheet" type="text/css"/>
    <script src="js/Chart.js"></script>
    <link rel="stylesheet" type="text/css" href="css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="css/jquery.calendars.picker.css">

    <script type="text/javascript" src="js/alertify.js"></script>
    <link rel="stylesheet" type="text/css"
          href="<?php echo $actual_link;?>js/bootstrap-fileinput/css/fileinput.min.css">

    <script type="text/javascript">
        alertify.defaults.glossary.title = '<?php echo $lang['AppName'];?>';
        alertify.defaults.glossary.ok = '<?php echo $lang['ok'];?>';
        alertify.defaults.glossary.cancel = '<?php echo $lang['cancel'];?>';

        alertify.defaults.theme.ok = "btn btn-primary";
        alertify.defaults.theme.cancel = "btn btn-danger";
        alertify.defaults.theme.input = "form-control";
    </script>

    <script type="text/javascript" src="js/jquery.calendars.js"></script>
    <script type="text/javascript" src="js/jquery.calendars.plus.js"></script>
    <script type="text/javascript" src="js/jquery.plugin.js"></script>
    <script type="text/javascript" src="js/jquery.calendars.picker.js"></script>
    <script type="text/javascript" src="js/jquery.calendars.ummalqura.js"></script>
    <script type="text/javascript" src="js/jquery.calendars.ummalqura-ar.js"></script>
    <script type="text/javascript" src="js/bootstrap.min.js"></script>
    <script src="<?php echo $actual_link;?>js/bootstrap-fileinput/js/fileinput.min.js"></script>

    <?php

    if ($_SESSION['lang_choos'] == "ar") {

        echo '
             <link rel="stylesheet" type="text/css" href="css/bootstrap-rtl.css" media="all" />
             <link rel="stylesheet" type="text/css" href="css/alertify.rtl.min.css">
             ';

        if ($badr_style == 1 || $badr_style == 0) {

            echo '<link rel="stylesheet" type="text/css" href="style.css" media="all" />';

        } else {
            echo '<link rel="stylesheet" type="text/css" href="style' . $badr_style . '.css" media="all" />';

        }

    } else {

        echo '
               <link rel="stylesheet" type="text/css" href="css/bootstrap.css" media="all" />
               <link rel="stylesheet" type="text/css" href="style-en.css" media="all" />
               <link rel="stylesheet" type="text/css" href="' . $actual_link . 'css/alertify.min.css">
               ';

        $_SESSION['lang_choos'] = 'en';

    }




    $calender_type = "";

    // user date_type

    $date_type = 1;
    if ($date_type == 1) //islamic
    {

        $calender_type = "'ummalqura','ar'";

    } else {
        //o ther
        $calender_type = "'gregorian','ar'";

    }

    ?>
<!--select style-->

    <script src="js/jquery.table2excel.min.js"></script>
    <script src="js/bootstrap-select.js"></script>
    <link rel="stylesheet" type="text/css" href="./css/bootstrap-select.css"/>
    <script type="text/javascript" src="<?php echo $actual_link;?>js/scanner.js"></script>
    <!--<link rel="stylesheet" type="text/css" href="bootstrapnew.min.css" />
    <!--select style-->
    <script type="text/javascript">
        var Server_link = "<?php echo $actual_link;?>";
        $(document).ready(function () {
            $.calendarsPicker.setDefaults({
                calendar: $.calendars.instance(<?php echo $calender_type;?>),
                prevText: '<?php echo $lang['prev'];?>',
                nextText: '<?php echo $lang['next'];?>',
                todayText: '<?php echo $lang['today'];?>',
                clearText: '<?php echo $lang['clear'];?>',
                closeText: '<?php echo $lang['hide'];?>',
                dateFormat: 'yyyy/mm/dd',
                showOnFocus: true,
                defaultDate: '0', selectDefaultDate: true,
                isRTL: true,
                howTrigger: '#calImg'
            });
            //items menu
            $(".items_menu").click(function () {
                $.post(Server_link + 'items_menu.php', function (data) {

                    $(".sub_list").html(data);
                });
                return false;
            });
            //sales menu
            $(".sales").click(function () {
                $.post(Server_link + 'sales_menu.php', function (data) {

                    $(".sub_list").html(data);
                });
                return false;
            });
            //incoming suppliers menu
            <?php
            $_SESSION['edit_incom_price'] = 2;
            if ($_SESSION['edit_incom_price'] == 2) {

                echo '  $(".incoming").click(function(){
            $.post(Server_link+"incoming_menu_2.php",function(data){

                $(".sub_list").html(data);
            });
            return false;
        });
        ';

            } else {


                echo '

                
                $(".incoming").click(function(){
                    $.post(Server_link+"incoming_menu.php",function(data){

                    $(".sub_list").html(data);
                });
                return false;
        });
        ';


            }

            ?>
            $(".incoming_bill").click(function () {
                $.post(Server_link + 'incoming_bill.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
            $('select').keyup(function () {
                var newSelect = $(this).clone(true).val($(this).val());
                $(this).replaceWith(newSelect);
                newSelect.focus();
            });

// icons handle
//new sales for quick
            $("#new_sale_quick").click(function () {
                $.post(Server_link + 'new_sale_quick.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });

//new sales for public
            $("#new_sale_public").click(function () {
                $.post(Server_link + 'new_sale_public.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
            //return sales
            $(".return_sales").click(function () {
                $.post(Server_link + 'sales/new_return_quick.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
            //pay sales
            $(".pay_sales").click(function () {
                $.post(Server_link + 'pay_sales.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
//day sales

            $(".day_sales").click(function () {
                var data = "";
                $.post(Server_link + 'day_sales.php', function (data) {

                    $("#left_content").empty();
                    $("#left_content").html(data);
                });
                return false;
            });
            $(".types").click(function () {
                $.post(Server_link + 'types.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
            $(".sales_man").click(function () {
                $.post(Server_link + 'sales_man.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
            $(".bolla").click(function () {
                $.post(Server_link + 'bolla.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
            $(".support_link").click(function () {
                $.post(Server_link + 'support.php', function (data) {

                    $("#left_content").html(data);
                });
                return false;
            });
        });//document

        function close_window(id) {
            $(".pop_body").html("");
            $("." + id).hide();
            return false;
        }

        /// get bii by id
        function bill_sales_id(id) {

            var data = {"id": id, "action": "search_bill"};
            $.post(Server_link + 'day_sales_bill.php', data, function (message) {
                var header = '<table role="presentation" class="table table-striped table-responsive table-bordered table-hover table-heading show_quick">';
                header += '<thead class="bg-primary sales_color">';
                header += '<th scope="col"><?php echo $lang['item_name'];
                    ?></th>';
                header += '<th scope="col"><?php echo $lang['item'];
                    ?></th>';
                header += '<th scope="col"><?php echo $lang['number'];
                    ?></th>';
                header += '<th scope="col"><?php echo $lang['The-price'];
                    ?></th>';
                header += '<th scope="col"><?php echo $lang['the_total'];
                    ?></th>';
                header += '<th scope="col">حذف</th>';
                header += '<th scope="col"><?php echo $lang['notes'];?></th></thead>';
                header += message;
                $("#left_content").html('<h2><?php echo $lang['Statement_bill_number'];
                    ?> ' + id + '</h2>');
                $("#left_content").append(header);
            });
            return false;
        }

        function bill_incom_id(id) {

            var data = {"id": id, "action": "search_bill"};

            $.post(Server_link + 'incom_items/incoming_show.php', data, function (message) {
                var header = '<h2><?php echo $lang['Statement_bill_number'];?> ' + id + '</h2><table role="presentation" class="table table-striped table-responsive table-bordered table-hover table-heading show_quick">';
                header += '<thead class="bg-primary sales_color">';
                header += '<th scope="col"><?php echo $lang['item_name'];?></th>';
                header += '<th scope="col"><?php echo $lang['item'];?></th>';
                header += '<th scope="col"><?php echo $lang['number'];?></th>';
                header += '<th scope="col"><?php echo $lang['The-price'];?></th>';
                header += '<th scope="col"><?php echo $lang['the_total'];?></th></thead>';
                header += message;
                console.log(message);
                $("#left_content").html(header);


            });
            return false;
        }

        //print bill

        function print_bill(id) {

            <?php
            //print pill
            $bill_size = 1;
            if ($bill_size == 1) {

                echo "window.open(Server_link+'bill/print_bill_80mm.php?id='+id,'_blank');";

            } elseif ($bill_size == 2) {

                echo "window.open(Server_link+'bill/Receipt.php?id='+id,'_blank');";

            } elseif ($bill_size == 3) {

                echo "window.open(Server_link+'bill/new_receipt.php?id='+id,'_blank');";

            } elseif ($bill_size == 4) {

                echo "window.open(Server_link+'bill/invoce3.php?id='+id,'_blank');";

            } elseif ($bill_size == 5) {

                echo "window.open(Server_link+'bill/print_bill_a4_report.php?id='+id,'_blank');";

            } elseif ($bill_size == 6) {

                echo "window.open(Server_link+'bill/receipt_ceramic.php?id='+id,'_blank');";

            }


            ?>

                return false;
        }


        function print_return(id) {

            window.open(Server_link + 'bill/new_receipt_return.php?id=' + id, '_blank');
            return false;
        }

        function print_offer(id) {
            window.open(Server_link + 'bill/Receipt_offer.php?id=' + id, '_blank');
            return false;
        }



        {{--function event_user(id){--}}
        {{--var today="<?php //echo day_only($_SESSION['date_type']); ?>";--}}

        {{--var id=id ;--}}
        {{--var data={"select":id,"day":today};--}}

        {{--$(".loading_prog").show();--}}
        {{--$.post(Server_link+"users_log.php",data,function(message)--}}
        {{--{--}}
        {{--$(".loading_prog").hide();--}}
        {{--$("#left_content").html(message);--}}
        {{--return false;--}}
        {{--});--}}
        {{--}--}}
        ////***********//////

        //var d = new Date();
        //var utc = d.getTime() + (d.getTimezoneOffset() * 60000);
        //var gtime= new Date(utc + (3600000 * <?php //echo $utc_offset;?>));
        ////**********
    </script>


    {{-- end header in laravel  --}}

<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->

    <!-- Custom styles for this template -->
    <link rel="stylesheet" type="text/css" href="{{ asset('tickets/css/font-awesome.min.css') }}">
    <link href="{{ asset('tickets/css/style.css') }}" rel="stylesheet">
    @if (App::isLocale('ar'))
        <style>
            .navbar-nav {
                float: left !important;
            }
        </style>
    @else
        <style>
            .navbar-nav {
                float: right !important;
            }
        </style>
    @endif
<!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]>
    <script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
    {{--<script src="{{ asset('tickets/js/ie-emulation-modes-warning.js') }}"></script>--}}

<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    @yield('styles')
</head>