

<nav class="navbar navbar-default">
    <div class="containear">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                    aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

            <a class="navbar-brand over-hidden" href="{{ config('main.badr') }}"> <img
                        src="{{ config('main.badr') }}images/logo.png" alt="" title=""> </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav mg-top-30">

                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><b class="caret"></b>
                        {!! trans('extends.branch-module') !!}            </a>
                    <ul class="dropdown-menu">
                        <li>
                            <a href="{{ route('branches.create') }}">
                                {!! trans('extends.new-branch') !!}
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('branches.index') }}">
                                {!! trans('extends.all-branches') !!}
                            </a>
                        </li>

                    </ul>
                </li>

                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><b class="caret"></b>
                        {!! trans('extends.video-module') !!}            </a>
                    <ul class="dropdown-menu">
                        <li>
                            <a href="{{ route('videos.create') }}">
                                {!! trans('extends.new-video') !!}
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('videos.index') }}">
                                {!! trans('extends.all-videos') !!}
                            </a>
                        </li>

                    </ul>
                </li>

                <li>
                    <a href="{{ config('main.badr') }}login.php?lan=ar" class="btn btn-sm btn-danger text-xs "
                       data-toggle="tooltip" data-placement="right" title=""
                       data-original-title="{!! trans('extends.logout') !!}">
                        <span class="fa fa-power-off fa-fw"></span> {!! trans('extends.logout') !!}</a>
                </li>


            </ul>
        </div>
    </div>
</nav>
<style>
    .navbar-nav > li {
        float: right;
    }

    .navbar-nav > li a {
        font-size: 12px;
    }

    .open {
        width: auto !important;
    }

    .navbar-default .navbar-nav > li > a {
        color: #0c0c0c;
    }

    div {
        /*overflow: visible;*/
    }

    .top_menu, div#navbar, .visiable {
        overflow: visible !important;
    }

    /* sub menu */

    .dropdown-submenu {
        position: relative;
    }

    .dropdown-submenu > .dropdown-menu {
        top: 0;
        right: 100%;
        margin-top: -6px;
        margin-left: -1px;
        -webkit-border-radius: 0 6px 6px 6px;
        -moz-border-radius: 0 6px 6px;
        border-radius: 0 6px 6px 6px;
    }

    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }

    .dropdown-submenu > a:after {
        display: block;
        content: " ";
        float: left;
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 5px 7px 5px 0;
        border-color: transparent #0c0c0c transparent transparent;
        margin-top: 5px;
        margin-right: -10px;
    }

    .dropdown-submenu:hover > a:after {
        border-left-color: #fff;
    }

    .dropdown-submenu.pull-left {
        float: none;
    }

    .dropdown-submenu.pull-left > .dropdown-menu {
        left: -100%;
        margin-left: 10px;
        -webkit-border-radius: 6px 0 6px 6px;
        -moz-border-radius: 6px 0 6px 6px;
        border-radius: 6px 0 6px 6px;
    }
</style>

<div class="top_menu" id="collapseExample">
    <nav class="navbar navbar-default">
        <div class="container-fluid visiable">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                        aria-expanded="false" aria-controls="navbar">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <div id="navbar" class="navbar-collapse collapse">
                <ul class="nav navbar-nav navbar-right pull-right">
                    <li class="active"><a href="../index.php"> الرئيسيه </a></li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"> الفواتير <span class="caret"></span></a>
                        <ul class="dropdown-menu">

                            <?php

                            //sales new_sale_quick
                            if ($_SESSION['new_sale_puplic'] == '1') // privilage for sales
                            {

                                if ($module == 3) // for safty
                                {
                                    echo '<li><a href="javascript:void(0)" onclick="sales_services()" id="new_sale_service">' . $lang['sale_point'] . ' </a> </li>';
                                    echo '<li><a href="#" id="offer_sale_service">' . $lang['View_prices'] . '</a></li>';
                                } else if ($module == 6)  //resutrant
                                {
                                    echo '<li><a  href="' . $actual_link . 'cooking/sales_Buttons.php"  > ' . $lang['sale_point'] . ' </a></li>';
                                } else {
                                    //general sales
                                    echo '<li><a  href="' . $actual_link . 'sales/newsales.php"> ' . $lang['sale_point'] . ' </a></li>';
                                }


                                //point monye

                                //change points
                                $show_change = "";
                                if ($_SESSION['bolla'] != 2) {
                                    $show_change = 'style="display:none;"';
                                }

                                echo '<li><a  href="javascript:void(0)" ' . $show_change . ' onclick="sale_change_point()"> ' . $lang['points_change'] . ' </a></li>';
                                $show_game = "";
                                if ($bill_time_alert == 0) {
                                    $show_game = 'style="display:none;"';
                                }

                                //games by time
                                echo '<li><a  href="javascript:void(0)" ' . $show_game . ' onclick="games_time()">   ' . $lang['sales_games'] . ' </a></li>';

                            }

                            if ($_SESSION['delivery'] == 1 && $module == 6) {
                                echo '<li><a  href="' . $actual_link . 'cooking/delivery_show.php"  >' . $lang['delivery'] . ' </a></li>';

                            }

                            if ($_SESSION['cooking'] == 1 & $module == 6) {
                                echo '<li><a  href="javascript:void(0)" onclick="cook_show()" > ' . $lang['kitchen'] . ' </a></li>';

                            }

                            //echo '<a  href="javascript:void(0)" onclick="new_manufaction()" id="new_sale_disc"><i class="fa fa-cart-plus"></i>  امر تصنيع </a>';
                            //return sales


                            if ($_SESSION['return_sales_insert'] == '1' && $_SESSION['return_bill'] == 1) {
                                echo '<li><a href="javascript:void(0)" onclick="newReturnBill()" >
                     ' . $lang['Bill_Returned'] . ' </a></li>';
                                /*   if ($_SESSION['shop_id'] !=2)
                                   {
                                      echo '<a href="javascript:void(0)" onclick="return_details()" class="return_sales_details"><i class="fa fa-cart-arrow-down"></i>  '.$lang['sales_return'].'</a>';
                                   }else {

                                        echo '<a href="javascript:void(0)" onclick="newReturnBill()" ><i class="fa fa-cart-arrow-down"></i>
                                    '.$lang['Bill_Returned'].' </a>';
                                   }*/


                            }

                            //day report
                            if ($_SESSION['show_day_total'] == '1') {
                                if ($_SESSION['sale_quick'] == '1') {
                                    echo '<li><a href="javascript:void(0)" class="day_sales">' . $lang['report_today'] . '</a></li>';
                                } else {
                                    echo '<li><a href="javascript:void(0)" onclick="sales_day_report()">  ' . $lang['report_today'] . '</a></li>';
                                }


                            }


                            if ($show_item_serial == 1) {
                                echo '<li><a  href="' . $actual_link . 'serial_details.php" id="store"> ' . $lang['item_serila_search'] . '</a></li>';
                            }

                            //cards

                            ?>


                        </ul>
                    </li>

                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"> <?php echo $lang['calculations']; ?>
                            <span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <?php
                            //cards
                            if ($module == 8) {
                                include_once 'cards_menu.php';
                            }
                            if ($_SESSION['show_clients'] == '1') {
                                echo '

                                    <li><a href="' . $actual_link . 'sales/clients.php" > ' . $lang['Clients'] . '</a> </li>
                                    <li><a href="javascript:void(0)" onclick="clients_groups()"  > ' . $lang['Clients_groups'] . '</a> </li>


                                ';
                                //http://localhost/Badrshop/payments/pay.php?type=1      //Withdraw_from_the_safe  //   safe_deposit
                                echo '   <li><a href="' . $actual_link . 'payments/receipt.php?type=1" >' . $lang['safe_deposit'] . '</a> </li>';
                                if ($_SESSION['show_supplier'] == '1') {
                                    echo '<li> <a href="javascript:void(0)"  onclick="show_supplier()">   ' . $lang['suppliers'] . '</a> </li>';
                                }
                                echo '   <li><a href="' . $actual_link . 'payments/pay.php?type=1" >' . $lang['Withdraw_from_the_safe'] . '</a> </li>';


                                echo '   <li><a href="' . $actual_link . 'payments/discount.php?type=1" >' . $lang['register_discountbalance'] . ' </a> </li>';
                                if ($insatllments == 1) {
                                    echo ' <li><a   href="' . $actual_link . 'sales/installment_show.php"  >' . $lang['Installment_show'] . '</a> </li>';
                                }

                            }

                            ?>
                        </ul>
                    </li>

                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"> <?php echo $lang['safe']; ?> <span
                                    class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <?php
                            if ($_SESSION['data'] == '1') {
                                echo '<li> <a href="javascript:void(0)" onclick="store_points()">  ' . $lang['sale_points'] . '</a> </li>';
                            }

                            if ($_SESSION['new_sale_puplic'] == '1') // privilage for sales
                            {
                                echo '<li><a  href="javascript:void(0)" onclick="point_money()">  ' . $lang['money_point_today'] . ' </a></li>';
                            }
                            ?>
                            <li><a href="#"> تقرير عمليات درج اليوم </a></li>
                        </ul>
                    </li>

                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"> <?php echo $lang['stores']; ?> <span
                                    class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="#">الاصناف</a></li>
                            <?php
                            include_once 'items_menu.php';
                            ?>

                            <li class="divider"></li>
                            <?php
                            if ($plan > 0) //for multi stories
                            {
                            ?>
                            <li><a href="javascript:void(0)" onclick="stores()"
                                   id="store"> <?php echo $lang['stores']; ?></a></li>
                            <li><a href="javascript:void(0)" onclick="stores_trans()"
                                   id="store">  <?php echo $lang['send_recive']; ?></a></li>
                            <?php
                            }
                            ?>
                        </ul>
                    </li>
                    <?php if ($_SESSION['spending'] == '1') { ?>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle"
                           data-toggle="dropdown"> <?php echo $lang['Expenses_revenues'] ?> <span
                                    class="caret"></span></a>
                        <ul class="dropdown-menu multi-level" role="menu" aria-labelledby="dropdownMenu">

                            <li><a href="javascript:void(0)"
                                   onclick="add_spending()"> <?php echo $lang['spend_regi'] ?></a></li>
                            <li><a href="javascript:void(0)"
                                   onclick="spend_item()"> <?php echo $lang['spend_item'] ?></a></li>
                            <li><a href="javascript:void(0)" onclick="add_Imports_item()">

                                    <?php echo $lang['add_Imports_item'] ?>
                                </a></li>
                            <li><a href="javascript:void(0)" onclick="add_imports()">
                                    <?php echo $lang['add_Imports'] ?>
                                </a></li>
                            <?php
                            //check_plan_spends
                            if ($_SESSION['spending'] == '1') {
                                echo '

                            <li class="dropdown-submenu">
                                <a class="main_menu" href="javascript:void(0)" onclick="show_spend_g()">
                                    <span class="menu-title">' . $lang['Expenses_revenues'] . '</span>
                                </a>
                                <ul class="dropdown-menu">
                                    <li> <a href="javascript:void(0)" onclick="add_spending()">' . $lang['spend_regi'] . '</a> </li>
			 <li><a href="javascript:void(0)" onclick="spend_item()"> ' . $lang['spend_item'] . '</a> </li>
			 <li> <a href="javascript:void(0)" onclick="add_Imports_item()">
                     ' . $lang['add_Imports_item'] . '
                 </a> </li>
                 <li> <a href="javascript:void(0)" onclick="add_imports()">
                    ' . $lang['add_Imports'] . '
                 </a>
                 </li>
                                </ul>
                            </li>
                            ';
                            } ?>
                        </ul>
                    </li>
                    <?php } ?>

                    <?php if ($_SESSION['show_report'] == '1') { ?>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"> <?php echo $lang['reports']; ?>
                            <span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li class="dropdown-submenu">
                                <a tabindex="-1" href="#"> <?php echo $lang['sales_reports']; ?> </a>
                                <ul class="dropdown-menu">
                                    <li><a href="javascript:void(0)"
                                           onclick="add_spending()"> <?php echo $lang['spend_regi'] ?></a></li>
                                    <li>
                                        <a href="<?php echo $actual_link; ?>reports/report15.php"> <?php echo $lang['report15']; ?> </a>
                                    </li>
                                    <li>
                                        <a href="<?php echo $actual_link; ?>reports/report99.php"> <?php echo $lang['sales_reports']; ?> </a>
                                    </li>
                                    <li>
                                        <a href="<?php echo $actual_link; ?>reports/report14.php"> <?php echo $lang['report14']; ?> </a>
                                    </li>
                                    <li><a href="#"
                                           onclick="report(9)"> <?php echo $lang['daily_sales_report_period_time']; ?> </a>
                                    </li>
                                    <li><a href="#"
                                           onclick="report(32)"> <?php echo $lang['item_group_time']; ?> </a></li>
                                    <li><a href="#" onclick="report(10)"> <?php echo $lang['reportgroups']; ?> </a>
                                    </li>
                                    <li><a href="#"
                                           onclick="report(20)"> <?php echo $lang['seller_commissions_report']; ?> </a>
                                    </li>
                                    <li><a href="#"
                                           onclick="report(21)"> <?php echo $lang['VendorSalesReport']; ?> </a></li>
                                    <li><a href="#"
                                           onclick="report(22)"> <?php echo $lang['UsersSalesReport']; ?>  </a></li>
                                    <li><a href="#"
                                           onclick="report(70)"> <?php echo $lang['addingamountReport']; ?> </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="dropdown-submenu">
                                <a href="#" onclick="report(1)"> <?php echo $lang['purchases']; ?> </a>
                                <ul class="dropdown-menu">
                                    <li>
                                        <a href="<?php echo $actual_link; ?>reports/report61.php"> <?php echo $lang['report61']; ?> </a>
                                    </li>
                                    <li>
                                        <a href="<?php echo $actual_link; ?>reports/report62.php"> <?php echo $lang['report62']; ?> </a>
                                    </li>

                                </ul>
                            </li>
                            <li class="dropdown-submenu">
                                <a href="#"> <?php echo $lang['profit_loss_reports']; ?>  </a>
                                <ul class="dropdown-menu">
                                    <li><a onclick="report(6)"
                                           href=""> <?php echo $lang['Gross_profit_report_in_aperiod']; ?> </a></li>
                                    <li><a onclick="report(7)"
                                           href=""> <?php echo $lang['net_profit_report_in_aperiod']; ?> </a></li>

                                </ul>
                            </li>

                            <li class="dropdown-submenu">
                                <a href="#"> <?php echo $lang['report'] . $lang['safe_main']; ?> </a>
                                <ul class="dropdown-menu">
                                    <li><a onclick="report(17)"
                                           href=""> <?php echo $lang['staircase_Report_operations_during_time_period']; ?></a>
                                    </li>
                                    <li><a onclick="report(18)"
                                           href=""> <?php echo $lang['mainsave_report_in_aperiod']; ?> </a></li>
                                </ul>
                            </li>


                            <li><a href="#" onclick="report(1)"> تقارير المصروفات </a></li>
                            <li class="dropdown-submenu">
                                <a href="#"> <?php echo $lang['back_bill']; ?> </a>
                                <ul class="dropdown-menu">
                                    <li><a href=""
                                           onclick="report(25)"> <?php echo $lang['imports_report_in_aperiod']; ?></a>
                                    </li>
                                    <li><a href=""
                                           onclick="report(26)"> <?php echo $lang['imports_section_report']; ?> </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="dropdown-submenu">
                                <a href="#"> <?php echo $lang['back_bill']; ?> </a>
                                <ul class="dropdown-menu">
                                    <li><a href=""
                                           onclick="report(22)"> <?php echo $lang['UsersSalesReport']; ?>  </a></li>
                                    <li><a href=""
                                           onclick="report(70)"> <?php echo $lang['addingamountReport']; ?> </a>
                                    </li>
                                </ul>
                            </li>

                            <li class="dropdown-submenu">
                                <a href="#"> <?php echo $lang['Usersreports']; ?>  </a>
                                <ul class="dropdown-menu">
                                    <li><a href=""
                                           onclick="report(22)"> <?php echo $lang['UsersSalesReport']; ?>  </a></li>
                                    <li>
                                        <a href="<?php echo $actual_link; ?>reports/report23.php"> <?php echo $lang['UsersSalesReport_pay']; ?> </a>
                                    </li>
                                    <li><a href="#"
                                           onclick="report(20)"> <?php echo $lang['seller_commissions_report']; ?> </a>
                                    </li>
                                </ul>
                            </li>


                        </ul>
                    </li>
                    <?php } ?>


                    <?php

                    if ($manufacturing != 0) //manufacturing
                    {
                        include_once 'manufacturing_menu.php';
                    }

                    if ($distributor == 2) //smalstore
                    {

                        include_once 'store_request_menu.php';
                    }

                    if ($sms_scrip == 1) {
                        include_once 'smsmenu.php';
                    }

//                    $lang['setting'] = "asasasasa";
                    ?>


                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"> <?php echo $lang['setting']; ?>
                            <span
                                    class="caret"></span></a>

                        <ul class="dropdown-menu">
                            <?php
                            //setting
                            if ($_SESSION['setting'] == '1') {
                                if ($bill_adds == 0) {
                                    echo '<li><a  href="javascript:void(0)" onclick="Bill_add()"> ' . $lang['bill_adds'] . '</a></li>';
                                }
                                if ($_SESSION['bolla'] == '1') {

                                    echo '<li><a href="#" class="sales_man">' . $lang['sales_men'] . '</a></li>';
                                }


                                if ($items_company == '1') {

                                    echo '<li><a href="javascript:void(0)" onclick="companies()" > ' . $lang['discount_lists'] . ' </a></li>';
                                }


                                if ($_SESSION['users_p'] == '1') {
                                    echo '<li><a href="javascript:void(0)" onclick="users_setting()" class="users">' . $lang['users'] . '</a></li>';
                                }


                                if ($_SESSION['data'] == '1') {
                                    echo '<li><a href="javascript:void(0)" onclick="store_points()"> ' . $lang['sale_points'] . '</a></li>
	            				  <li><a href="javascript:void(0)" onclick="pharm_data()"> ' . $lang['shop_data'] . '</a></li>
	            				  ';
                                }
                                if ($multi_price == 1) {
                                    echo '<li><a href="javascript:void(0)" onclick="price_list_page()">  ' . $lang['prices_list'] . '</a></li>';
                                }


                                echo '<li><a href="javascript:void(0)" onclick="add_cities()">' . $lang['add_cities'] . '</a></li>';

                                if ($_SESSION['data'] == '1') {
                                    echo '<li><a href="javascript:void(0)" onclick="badr_setting()">' . $lang['setting_shop'] . '</a></li>';
                                    echo '<li><a href="javascript:void(0)" onclick="barcode_setting()">' . $lang['barcode'] . '</a></li>';
                                    echo '<li><a style="display:none;" href="javascript:void(0)" onclick="bill_setting()">' . $lang['bills'] . '</a></li>';

                                }


                            }
                            ?>

                        </ul>
                    </li>
                    <li><a href="#"> دعم فني </a></li>
                    <li><a href="<?php echo $actual_link; ?>login.php"> <?php echo $lang['LogOut']; ?> </a></li>
                </ul>
            </div><!--/.nav-collapse -->
        </div><!--/.container-fluid -->
    </nav>
</div>
<script>
    $('#show_hide').click(function () {
        if ($(".left_menu").width() == 50) {
            $(".left_menu").css("width", "auto");
            $(".menu-title").show();

            $('#show_hiden_row').addClass('fa-fast-forward');
            $('#show_hiden_row').removeClass('fa-fast-backward');
        } else {
            $(".left_menu").css("width", "50px");
            $(".menu-title").hide();
            $('#show_hiden_row').removeClass('fa-fast-forward');
            $('#show_hiden_row').addClass('fa-fast-backward');
        }

    });

    // var dropLi = $('.nav>li');
    // dropLi.hover(function() {
    //     var subMenu = $(this).find('.dropdown-menu');
    //     subMenu.show();
    //     subMenu.stop(true, false).animate({
    //         'top': '100%',
    //         'opacity': 1
    //     }, 400);
    // }, function() {
    //     var subMenu = $(this).find('.dropdown-menu');
    //     subMenu.stop(true, false).animate({
    //         'top': '150%',
    //         'opacity': 0
    //     }, 400, function() {
    //         $(this).hide();
    //     });
    // });
</script>

{{--<div class="wrapper" style="margin-top: 50px; !important;">--}}
    {{--<div class="container">--}}
        {{--<div class="row">--}}
            {{--<div class="col-md-12">--}}
                {{--<div class="cont"></div>--}}
                {{--@include('branch::layouts.messages')--}}
            {{--</div>--}}
        {{--</div>--}}
    {{--</div>--}}
{{--</div>--}}
<!-- end global header -->
