<div class="card my-3">
    <div class="card-header">
        <h3 class="card-title"> <i class="fa fa-id-card"></i> بيانات شخصية</h3>
    </div>
    <div class="card-body" style="background-color: #bee1ee4f">
        <div class="form-row row">
            {{-- ADDESS --}}
            <div class="form-group col-md-6">
                <label for="address" class="control-label col-xl-6 col-12 {{ get_session_val('client_address_required', 'integer') == 1 ? 'required' : '' }}">{{ trans('client.address') }}:</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12 " id="address" name="address"
                    {{ get_session_val('client_address_required', 'integer') == 1 ? 'required' : '' }}
                    value="{{ old('address', $client->address ?? '') }}">
            </div>

            {{-- NATIONAL ID --}}
            <div class="form-group col-md-6" id="national_input">
                <label for="national_id" class="control-label  col-xl-6 col-12 {{ $settings->einvoice == 1 ? 'required' : '' }}">{{ trans('client.national_id.name') }}:</label>
                <input type="number" class="form-control input-normal  col-xl-9 col-12" id="national_id" name="national_id"
                    {{ $settings->einvoice == 1 ? 'required' : '' }}
                    value="{{ old('national_id', $client->info1 ?? '') }}">
            </div>

            @if($settings->apply_vats)
                {{-- TAX NUMBER --}}
                <div class="form-group col-md-6" id="tax_number_input">
                    <label for="client_tax_number" class="control-label  col-xl-6 col-12">{{ trans('client.tax_number') }}:</label>
                    <input type="number" class="form-control input-normal  col-xl-9 col-12" id="client_tax_number" name="client_tax_number" value="{{ $client->client_tax_number ?? old('client_tax_number') }}">
                </div>
            @endif

            {{-- Mobile --}}
            <div class="form-group col-md-6">
                <label for="mobile1" class="control-label col-xl-6 col-12 {{ $settings->einvoice == 1 || $settings->telephone_required == 1 ? 'required' : '' }}">{{ trans('client.mobile') }} :</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12" id="mobile1" name="mobile1"
                    value="{{ old('mobile1', $client->mobile1 ?? '') }}"
                    @if ($settings->telephone_required == 1) required @endif>
            </div>

            {{-- PHONE --}}
            <div class="form-group col-md-6">
                <label for="tele" class="control-label col-xl-6 col-12">{{ trans('client.other-mobile') }} :</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12" name="tele"
                    value="{{ $client->tele ?? old('tele') }}">
            </div>
        </div>
    </div>
</div>
