@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">
            @include('clients::layouts.messages')
            <form class="form-horizontal" method="post" action="{{route('suppliers.update')}}">
                {{ csrf_field() }}
                <div class="row">
                    <h3> تعديل مورد </h3>
                </div>
                <input name="supplier_id" value="{{ $supplier->id }}" type="hidden">
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label>اسم الشركة   :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="supplier_name" name="supplier_name" value="{{$supplier->supplier_name}}">
                    </div>

                </div>
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label>اسم المسؤل   :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="supplier_person" name="supplier_person" value="{{$supplier->supplier_person}}">
                    </div>

                </div>
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label>كود المورد   :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="supplier_code" name="supplier_code" value="{{$supplier->supplier_code}}">
                    </div>

                </div>
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label> رقم التليفون   :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="tel" name="tel" value="{{$supplier->tel}}">
                    </div>

                </div>
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label>جوال  :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="mobile" name="mobile" value="{{$supplier->mobile}}">
                    </div>

                </div>
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label>العنوان   :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="address" name="address" value="{{$supplier->address}}">
                    </div>

                </div>
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label> رصيد للمورد   :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="balance" name="balance" value="{{$supplier->balance}}">
                    </div>

                </div>
                <div class="row form-group mg-bottom" >
                    <div class="col-md-3">
                        <label>الرقم الضريبى    :</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="tax_number" name="tax_number" value="{{$supplier->tax_number}}">
                    </div>

                </div>

                <div class="col-sm-offset-2 col-sm-10">
                    <button type="submit" class="btn btn-primary aaa"> حفظ </button>
                </div>

                <div class="error_box"></div>
            </form>
        </div>
    </div>
@stop