<script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
<script>
    $('.selectpicker').selectpicker()

    function getCommissionsTable() {
        $.ajax({
            type: "GET",
            url: "{{ route('commissions.get_all_commissions') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            success: function (data) {
                $('#commissions_table_body').html(data);
            }
        });
    }


    $('#editCommission').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget)
        var id = button.data('id')
        let url = "{{ route('commissions.get_commission_details',':id') }}";
            url = url.replace(':id',id);
            // console.log(url);
        $.ajax({
            type: "GET",
            url: url,

            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: {
                id
            },
            success: function (response) {
                // console.log(response);
                $('#edit_modal_body').html(response);
            }
        });
    })



    function editCommission() {
        $('button[type=submit], input[type=submit]').attr('disabled',true);
        let data = {
            commission_id: $('#commission_id').val(),
            from: $('#edit_from_input').val(),
            to: $('#edit_to_input').val(),
            percent: $('#edit_percent_input').val(),
        }

        $.ajax({
            type: "PUT",
            url: "{{ route('commissions.update') }}",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: data,
            success: function (response) {
                window.location.href = "{{route('commissions.index')}}"
                // console.log(response);
                // $('#editCommission').modal('hide');
                // getCommissionsTable();
                // $('#alert_container').html(response);
            },error: function(res){
                console.log(res);
            }
        });
    }

    function deleteCommission(id) {
        $('button[type=submit], input[type=submit]').attr('disabled',true);

        Swal.fire({
            title: 'هل أنت متأكد؟',
            text: "لن تستطيع التراجع عن عملية الحذف",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'نعم, حذف!',
            cancelButtonText: 'تراجع'
        }).then((result) => {
            if (result.isConfirmed) {
                $.ajax({
                    type: "delete",
                    url: "{{ route('commissions.destroy') }}",
                    data: {
                        commission_id:id
                    },
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function (response) {
                        window.location.href = "{{route('commissions.index')}}"
                        // console.log(response);
                        // getCommissionsTable();
                        // $('#alert_container').html(response);
                    }
                });
            }
        })

    }


    $('#editCommission').on('hidden.bs.modal', function () {
        $('button[type="submit"]').attr('disabled', false);
    });
</script>
