<?php

return [
    'note' => 'NOTE',
    'deleted-currency' => 'Deleted Currency',
    'title' => [
        'name'    => 'Multiple Currencies Lists',
        'create'  => 'Create New Currency',
        'created' => 'The Currency Has Been Created Successfully',
        'update'  => 'Edit Currency',
        'updated' => 'The Currency Has Been Updated Successfully',
        'deleted' => 'The Currency Has Been Deleted Successfully',
        'confirm-delete' => "Are You Sure To Delete The Currency",
        'cannot-delete-main' => 'The Main Currency Cannot Be Deleted',
        'no-data' => 'No Data Found',
        'excel-update-data' => 'Update Currencies Data By Excel',
        'data updated' => 'Rows Have Been Updated Successfully',
        'cannot-save' => "Cannot Save This Currency ':name'",
        'pluck-updated' => ":count Currencies Are Updated",
        'pluck-failed' => "There Are :count Currencies With An Error In The Data",
        'error-line' => "Line [:line] : :message",
        'cannot-delete-has-relation' => 'The Currency Cannot Be Deleted Because It Is Linked To Other Data',
        'exchange-ratio-notes' => 'Exchange rate based on the home page',
        'cannot-update-main' => 'The Currency Cannot Be Updated Because It Is Linked To Other Data',
        'synced' => 'The Exchange Rate For <b>:currency</b> Has Been Updated',
        'all-synced' => 'The Exchange Rate For All Currencies Has Been Updated',
    ],

    'logs' => [
        'date'   => 'Date',
        'change' => 'Changes',
        'title'  => 'Currency Logs',
        'deleted' => 'The <i style="color: #f00">:name</i> Currency Has Been <b>Deleted</b>',
        'created' => 'The Currency <i style="color: #f00">:name</i> Has Been <b>Created</b> With Exchange Rate :value',
        'updated' => 'The <i style="color: #f00">:column</i> Was <b>Changed</b> from :old to :new',
    ],

    'buttons' => [
        'create'       => 'Create Currency',
        'edit'         => 'Edit',
        'delete'       => 'Delete',
        'export-excel' => 'Export Excel',
        'import-excel' => 'Import Excel',
        'save' => 'Save',
        'close' => 'Close',
        'reload-table' => 'Reload Table',
    ],

    'columns' => [
        'name'    => 'Currency',
        'code'    => 'Currency Code',
        'value'   => 'The exchange rate in the main currency',
        'options' => 'Setting',
        'main_currency' => 'Main Currency',
        'file'    => 'File',
        'select-file' => 'Select File',
        'sync' => 'Sync',
        'sync-all' => 'Sync All',
    ],
];
