<div class="card">
    <div class="card-header bg-info">
        <h5 class="card-title text-white m-0">@lang('currency::trans.title.excel-update-data')</h5>
    </div>

    <div class="card-body">
        <form method="post" id="submit-form" action="{{ route('currencies.excel.import.save') }}" enctype="multipart/form-data">
            @csrf

            <div class="form-group">
                <label for="excel_file" class="required">@lang('currency::trans.columns.select-file')</label>
                <input type="file" class="form-control-file" id="excel_file" name="excel_file" data-label="test" title="files: xlx, xls, xlsx">
                <span class="validation-errors text-danger d-block text-center font-weight-bold" id="excel_file_error"></span>
            </div>
            <i class="bg-warning text-white d-block w-100 px-3">
                <i class="fas fa-info-circle mx-2"></i>
                <b>@lang('currency::trans.note')</b> :
                @lang('currency::trans.title.cannot-update-main')
            </i>

            @include('currency::includes.form.buttons')
        </form>
    </div>
</div>
