@forelse ($rows as $row)
    <tr class="{{ !$row->currency->id ? 'deleted-currency' : '' }}">
        <td class="text-center">{{ $loop->iteration }}</td>
        <td class="text-center">{{ $row->created_at }}</td>
        <td class="text-center">{{ $row->name }}</td>
        <td>{!! $row->message !!}</td>
    </tr>
@empty
    <tr>
        <td colspan="10" class="alert alert-warning text-center">@lang('currency::trans.title.no-data')</td>
    </tr>
@endforelse

@if ( $rows->nextPageUrl() )
    <tr>
        <td colspan="4"> <a href="{{ $rows->nextPageUrl() }}" class="btn btn-info d-block w-50 m-auto" id="load-more-logs">Load More</a> </td>
    </tr>
@endif
