<?php

namespace Modules\Dairy\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Badrshop extends Model
{
    protected $table = 'badr_shop';

    protected $fillable = [];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shopID', function (Builder $builder) {
            $builder->where(app(__CLASS__)->getTable().'.serial_id', auth()->user()->shop_id);
        });
    }
}
