@push('js')
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/scanner.js') }}"></script>
    <script src="{{ asset('js/reports/columnsControls.js') }}"></script>

    @if (session('invoice-print'))
        <script>
            window.open("{{ session('invoice-print') }}", '_blank');
        </script>
    @endif

    <script>
        $(function() {
            $(".date").calendarsPicker({calendar: $.calendars.instance('gregorian'), dateFormat: 'Y-mm-dd'});

            let ajax_request = {abort: function() {}};
            $('#filter-form').on('submit', function(e) {
                e.preventDefault();
                ajax_request.abort();
                let form = $(this);
                $('#load-data').addClass('load');

                ajax_request = $.ajax({
                    url: form.attr('href'),
                    type: form.attr('method'),
                    data: form.serialize(),
                    success: function(response) {
                        $('#load-data').empty().append(response);
                        $('#load-data').removeClass('load');
                    }
                });
            });

            $('body').on('click', '.pagination-nav a.page-link', function(e) {
                e.preventDefault();
                const url    = new URL($(this).attr('href'));
                const params = new URLSearchParams(url.search);
                $('#filter-form').find('#page').val( params.get("page") );
                $('#filter-form').submit();
            })

            $('#filter-form').submit();
        });
    </script>
@endpush

@push('css-stack')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
@endpush
