<div class="table-responsive">
    <table class="table table-striped table-responsive" id="requests-table">
        <thead class="bg-info text-light">
            <tr class="font-weight-bold">
                <td scope="col" >#</td>
                <td scope="col" > {{ trans('dairy.car_number') }}</td>
                <td scope="col" > {{ trans('dairy.receipt_number') }}</td>
                <td scope="col" > {{ trans('dairy.date') }}</td>
                @if (request()->is('*/sales/*'))
                    <td scope="col" > {{ trans('dairy.company_name') }}</td>
                @else
                    <td scope="col" > {{ trans('dairy.client_name') }}</td>
                @endif
                <td scope="col" > {{ trans('dairy.qty') }}</td>
                <td scope="col" > {{ trans('dairy.per_water') }}</td>
                <td scope="col" > {{ trans('dairy.water_disc') }}</td>
                <td scope="col" > {{ trans('dairy.net_qty') }}</td>

                <td scope="col" > {{ trans('dairy.per_fats') }}</td>
                <td scope="col" > {{ trans('dairy.fats') }}</td>

                <td scope="col" > {{ trans('dairy.per_protein') }}</td>
                <td scope="col" > {{ trans('dairy.protein') }}</td>

                <td scope="col" > {{ trans('dairy.price') }}</td>
                <td scope="col" > {{ trans('dairy.end_price') }}</td>
                <td scope="col" > {{ trans('dairy.trans_cost') }}</td>
                <td scope="col" > {{ trans('dairy.total') }}</td>
                @if (request()->is('*/requests'))
                    <td scope="col"  class="text-center">{{ trans('dairy.edit') }}</td>
                    <td scope="col"  class="text-center">{{ trans('dairy.confirm') }}</td>
                @else
                    <td scope="col"  class="text-center">{{ trans('dairy.print') }}</td>
                    <td scope="col"  class="text-center">{{ trans('native.show') }}</td>
                @endif
            </tr>
        </thead>
        <tbody id="load-data">
            @include('dairy::includes.rows')
        </tbody>
    </table>
</div>
