
@extends('master::layouts.master')

@section('content')
    <h2 class="title text-info mt-2 mb-4"> تقرير كشف الحساب </h2>

    @include('dairy::reports.client-balance.filter')

    <table class="table table-striped table-bordered" id="requests-table">
        <thead class="bg-info text-light">
            <tr class="font-weight-bold">
                <th scope="col" >#</th>
                <th scope="col" > {{ trans('dairy.date') }}</th>
                <th scope="col" > {{ trans('dairy.client-company_name') }}</th>

                <th scope="col" > {{ trans('dairy.qty') }}</th>
                <th scope="col" > {{ trans('dairy.per_water') }}</th>
                <th scope="col" > {{ trans('dairy.net_qty') }}</th>
                <th scope="col" > {{ trans('dairy.per_fats') }}</th>
                <th scope="col" > {{ trans('dairy.per_protein') }}</th>

                <th scope="col" > {{ trans('dairy.water_disc') }}</th>
                <th scope="col" > {{ trans('dairy.fats') }}</th>
                <th scope="col" > {{ trans('dairy.protein') }}</th>

                <th scope="col" > {{ trans('dairy.total') }}</th>
                <th scope="col" > {{ trans('dairy.invoice_price') }}</th>
                <th scope="col" > {{ trans('dairy.payed') }}</th>
                <th scope="col" > {{ trans('dairy.rest') }}</th>
            </tr>
        </thead>
        <tbody id="load-data">
            @include('dairy::reports.client-balance.rows')
        </tbody>
    </table>
@endsection

@section('js-scripts')
    @include('dairy::includes.filter-js')
@endsection
