<?php

namespace Modules\Debentures\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    protected $table   = 'users';
    protected $guarded = ['id'];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('employees', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id)->where('is_employee', true)->where('collecting', true);
        });
    }
}
