@php
    $padding = "10px";
    $font_size = "17px";
    $width   = "calc(50% - ($font_size + ($padding * 2)))";
@endphp
<div style="border: 2px solid #000; border-radius: 10px; padding: 0 20px; margin-bottom: 10px; font-size: {{ $font_size }}">
    <h3 style="position: relative; overflow: hidden;">
        <u style="float: left;"> : Client Details </u>
        <u style="float: right;" dir='rtl'> تفاصيل العميل : </u>
    </h3>

    <div style="">
        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <span>الأسم : </span>
                <b> {{ $client->client_name }} </b>
                <span> : Name</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div  style="display: flex; justify-content: space-around;">
                <span>كود العميل : </span>
                <b> {{ $client->id }} </b>
                <span> : Client Code</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <span>العنوان : </span>
                <b> {{ $client->address }} </b>
                <span> : Address</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div  style="display: flex; justify-content: space-around;">
                <span>تلفون : </span>
                <b> {{ $client->tele != '' ? $client->tele : $client->mobile1 }} </b>
                <span> : Tel</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <span>الرقم الضريبي : </span>
                <b> {{ $client->client_tax_number }} </b>
                <span> : VAT Number</span>
            </div>
        </div>

        <div style="display: inline-block; width: {{ $width }}; padding: {{ $padding }};">
            <div style="display: flex; justify-content: space-around;">
                <span>نوع العميل : </span>
                <b> {{ $client->type?->name }} </b>
                <span> : Client Type</span>
            </div>
        </div>
    </div>
</div>
