<div style="padding: 10px 40px; display: flex; justify-content: space-between; column-gap: 15px; font-size: 20px;" dir="rtl">
    <div style="align-self: center; flex: 1; text-align: right">
        <h2 style="margin: 0">{{ $shop->shop_name }}</h2>
        <span>{{ $shop->address }}</span>  <br>
        <p style="font-weight: bold">هاتف / فاكس : {{ $shop->telephone }}</p>
        <p style="font-weight: bold">  ضريبة القيمة المضافة رقم : {{ $invoice_settings->vat_number }} VAT </p>
        <p style="font-weight: bold">رقم السجل الضريبي : {{ $invoice_settings->cr_number ?? $store->tax_number }}</p>
    </div>

    <div style="align-self: center; flex: 1; text-align: center">
        @if ($invoice_settings->show_logo)
            <img src="{{ isset($message) ? $message->embed(asset($shop->logo_path)) : asset($shop->logo_path) }}" alt="logo" width="200px">
        @endif

        <div style="margin-top: 15px;">
            <div style="border: 2px solid #000; text-align: center; padding: 10px; box-shadow: 5px 5px 0px #000; font-weight: bold; direction: rtl;">
                سنــــــــد صرف <br>
                Payment Voucher
            </div>
        </div>
    </div>

    <div style="align-self: center; flex: 1; text-align: left">
        <h2 style="margin: 0">{{ $shop->shop_name_en }}</h2>
        <span>{{ $shop->address_en }}</span>  <br>
        <p style="font-weight: bold">fax/Phone : {{ $shop->telephone }}</p>
        <p style="font-weight: bold"> VAT No : VAT {{ $invoice_settings->vat_number }} </p>
        <p style="font-weight: bold"> CR No : {{ $invoice_settings->cr_number ?? $store->tax_number }}</p>
    </div>
</div>


@if ($invoice_settings->show_bill_header)
    <div style="color: #000; text-align: center"> {!! $settings->bill_header !!} </div>
@endif


<div style="padding: 20px; overflow: hidden;">
    <span style="float: left;"> <b> Date : {{ \Carbon\Carbon::parse($row->pay_date)->format('d/m/Y') }} </b> </span>
    <span style="float: right;"> <b> التاريخ : {{ \Carbon\Carbon::parse($row->pay_date)->format('d/m/Y') }} </b> </span>
</div>
