@extends('master::layouts.master')

@section('content')
    <style>
        .top_menu {
            margin-bottom: 3px;
        }
    </style>
    <div class="container">
        <div class="row">
            <div class="col-md-12 well">
                <h1 class="text-center title-page">ايصال استلام نقدية</h1>
                <a href="javascript:void(0)" onclick="window.print()"
                   class="btn btn-primary pull-left"><i
                            class="fa fa-print"></i>طباعه</a>
                <table class="table table-hover table-stripped" role="presentation">
                    <tbody>
                    <tr>
                        <td width="50%">مسلسل :</td>
                        <td>التاريخ : {{ $pay_date }}</td>
                    </tr>
                    <tr>
                        <td width="50%">مسلسل :</td>
                        <td>التاريخ : {{ $pay_date }}</td>
                    </tr>
                    <tr>
                        <td>جهة التوريد : عملاء</td>
                        <td>الخزينة : {{ $point_name }}</td>
                    </tr>
                    </tbody>
                </table>
                <table class="table table-hover table-stripped text-center">
                    <thead class="bg-info">
                    <tr>
                        <th class="text-center">البيان</th>
                        <th class="text-center">القيمة</th>
                        <th class="text-center">ملاحظات</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($transactions as $transaction)
                        <tr>
                            <td>{{ $transaction->client->client_name }}</td>
                            <td>{{ price_decimal($transaction->amount) }}</td>
                            <td>{{ $transaction->notes }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
                <div>
                    <p>الاجمالى : {{ price_decimal($transactions->sum('amount')) }} فقط {{ convert_number_to_words($transactions->sum('amount')) }} لا غير</p>
                    <p style="float: left; text-align: right">المستلم :
                        ..................................................................................</p>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('js-scripts')
    <script>
        $(function () {
            window.print();
        });
    </script>
@endsection
