<!-- start delivery man table -->
<div class="table-responsive">
    <table class="zui-table zui-table-rounded table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">{{ __('delivery.name') }}</th>
            <th scope="col">{{ __('delivery.phone') }}</th>
            <th scope="col">{{ __('delivery.edit') }}</th>
            <th scope="col">{{ __('delivery.delete') }}</th>
        </tr>
        </thead>
        <tbody class="section">
        @foreach($delivery_men as $delivery_man)
            <tr>
                <td>{{ $loop->iteration }}</td>
                <td>{{ $delivery_man->name }}</td>
                <td>{{ $delivery_man->phone }}</td>
                <td>
                    <a href="#" data-id="{{ $delivery_man->id }}" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#edit">
                        {{ __('delivery.edit') }}
                        <i class="fas fa-edit"></i>
                    </a>
                </td>
                <td>
                    <a href="#" onclick="destroy({{ $delivery_man->id }})" class="btn btn-danger btn-sm" >
                        {{ __('delivery.delete') }}
                        <i class="fas fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>
<!-- start delivery man table -->
