<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class EinvoiceDetail extends Model
{
    use HasFactory, RoundingAttributesTrait;

    protected $table   = 'einvoice_details';
    protected $guarded = [];
    public $timestamps = false;

    public function vats()
    {
        return $this->hasMany(EinvoiceDetailVat::class, 'item_id', 'id');
    }

    protected static function newFactory()
    {
        return \Modules\EInvoice\Database\factories\EinvoiceDetailFactory::new();
    }
}
