<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class EinvoiceDetailVat extends Model
{
    use HasFactory, RoundingAttributesTrait;

    protected $table   = 'einvoice_detail_vats';
    protected $guarded = [];
    public $timestamps = false;

    protected static function newFactory()
    {
        return \Modules\EInvoice\Database\factories\EinvoiceDetailVatFactory::new();
    }
}
