<?php

namespace Modules\EInvoice\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class InvoiceVat extends Model
{
    use RoundingAttributesTrait;
    protected $table   = 'invoices_details_vats';
    protected $appends = ['add'];
    protected $guarded = [];

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'invoice_id');
    }

    public function getAddAttribute(){
        return Vat::where('id', $this->vat_id)->first()->toArray();
    }
}
