<div id="show-mode-error-message"></div>

<div class="form-row row">
    <div class="form-group col-md-4">
        <label class="control-label"> إختر نوع النسخة </label>
        <div style="display: flex; justify-content: space-evenly;" class="m-0">
            <label class="control-label text-success" style="cursor: pointer">
                النسخة الفعلية
                <input type="radio" name="is_live" value="1" {{ (bool) $settings->is_live ? 'checked' : '' }}>
            </label>
            <label class="control-label text-warning" style="cursor: pointer">
                النسخة التجريبية
                <input type="radio" name="is_live" value="0" {{ (bool) !$settings->is_live ? 'checked' : '' }}>
            </label>
        </div>
        @if ( (bool) $settings->is_live )
            <p class="m-0 text-center text-success">أنت الأن تعمل علي النسخة الفعلية</p>
        @else
            <p class="m-0 text-center text-warning">أنت الأن تعمل علي النسخة التجريبية</p>
        @endif
    </div>
</div>

<div class="card mb-3" data-mode="live">
    @php $live_settings = $general_einvoice_settings->where('is_live', true)->first(); @endphp
    <div class="card-header">
        <h4 class="m-0 card-title text-center text-success">
            بيانات النسخة الفعلية
            <small class="btn btn-sm btn-info">( {{ $live_settings->version }} )</small>
        </h3>
    </div>

    <div class="card-body">
        <div class="row">
            <div class="form-group col-md-6">
                <label for="client_id" class="control-label">{{ __('einvoice.clientID') }} :</label>
                <input type="text" name="client_id_live" id="client_id_live" class="form-control col-md-12" value="{{ $settings->client_id_live ?? '' }}">
            </div>

            <div class="form-group col-md-6">
                <label class="control-label">{{ __('einvoice.clientSecret') }} :</label>
                <input type="password" name="client_secret_live" id="client_secret_live" class="form-control col-md-12" value="{{ $settings->client_secret_live ?? '' }}">
            </div>

            <div class="form-group col-md-6">
                <label class="control-label">رابط تسجيل الدخول</label>
                <input type="text" class="form-control" readonly value="{{ $live_settings->login_domain }}">
            </div>

            <div class="form-group col-md-6">
                <label class="control-label">رابط التعامل مع الضرائب</label>
                <input type="text" class="form-control" readonly value="{{ $live_settings->api_domain }}">
            </div>
        </div>
    </div>
</div>

<div class="card mb-3" data-mode="test">
    @php $test_settings = $general_einvoice_settings->where('is_live', false)->first(); @endphp
    <div class="card-header">
        <h4 class="m-0 card-title text-center text-warning">
            بيانات النسخة التجريبية
            <small class="btn btn-sm btn-info">( {{ $test_settings->version }} )</small>
        </h4>
    </div>

    <div class="card-body">
        <div class="row">
            <div class="form-group col-md-6">
                <label for="client_id" class="control-label">{{ __('einvoice.clientID') }} :</label>
                <input type="text" name="client_id" id="client_id" class="form-control col-md-12" value="{{ $settings->client_id ?? '' }}">
            </div>

            <div class="form-group col-md-6">
                <label class="control-label">{{ __('einvoice.clientSecret') }} :</label>
                <input type="password" name="client_secret" id="client_secret" class="form-control col-md-12" value="{{ $settings->client_secret ?? '' }}">
            </div>

            <div class="form-group col-md-6">
                <label class="control-label">رابط تسجيل الدخول</label>
                <input type="text" class="form-control" readonly value="{{ $test_settings->login_domain }}">
            </div>

            <div class="form-group col-md-6">
                <label class="control-label">رابط التعامل مع الضرائب</label>
                <input type="text" class="form-control" readonly value="{{ $test_settings->api_domain }}">
            </div>
        </div>
    </div>
</div>
