<?php

namespace Modules\Employee\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    protected $fillable = [];
    protected $table = 'clients';
    public $timestamps = false;

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop', function (Builder $builder) {
            $builder->where('shop_id', auth()->user()->shop_id)->whereIn('client_role', [0, 2])->where('client_type', '!=', 0);
        });
    }
}
