@extends('master::layouts.master')

@section('content')
    <div class="wrapper">
        <div class="container">

                    <div class="row">
                        <div class="col-md-12">
{{--                            <h2 class="title-page">--}}
{{--                                    تقرير الراتب للموظف شهر  {{ $employee->add_date->format('M') }} سنه {{ $employee->add_date->format('y') }}--}}
{{--                            </h2>--}}
                        </div>

                        <div class="col-md-12 col-xs-12">
                            <table class="table table-responsive table-hover table-bordered" role="presentation"
                                   style="background: rgba(49,48,255,0.13); color: #000;">

                                <thead>

                                @foreach($employees as $employee)
                                    <h2 class="title-page">
                                        تقرير الراتب للموظف  {{ $employee->monthe }}
                                    </h2>

                                <tr>
                                    <th scope="col">{{ trans('native.employee_name') }}</th>
                                    <td>{{ $employee->name }}</td>
                                    <th scope="col"> {{ trans('native.job') }}</th>
                                    <td>{{ $employee->job }}</td>
                                </tr>

                                <tr>
                                    <th scope="col">{{ trans('native.basic_salary') }}</th>
                                    <td>{{ $employee->salary }}</td>
                                    <th scope="col">{{ trans('native.total_advance') }}</th>
                                    <td>{{ $employee->money_out }}</td>
                                </tr>

                                <tr>
                                    <th scope="col"> الحوافز</th>
                                    <td>{{ price_decimal($employee->addition) }}</td>
                                    <th scope="col"> الخصومات</th>
                                    <td>{{ price_decimal($employee->deduct) }}</td>
                                </tr>

                                <tr>
                                    <th scope="col"> السلف</th>
                                    <td>{{ price_decimal($employee->month_deduct) }}</td>
                                    <th scope="col"> الصافي</th>
                                    <td>{{ price_decimal($employee->amount) }}</td>
                                </tr>
                                </thead>
                                @endforeach

                            </table>
                        </div>
                    </div>

{{--            <button onclick="myFunction()"--}}
{{--                    class="hidden-print noprint btn btn-success col-sm-2">{{ trans('extends.print') }} </button>--}}
        </div>


@stop


@section('js-scripts')
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>

    <script type="text/javascript">
        // $('.btn-print').click(function (e) {
        //     e.preventDefault();
            window.print();
        // });


        function myFunction() {
            window.print();
            var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);

            if (isChrome == false) window.close();
        }

    </script>

@stop

@section('css-scripts')
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">

    <style>
        .for_print {
            display: none !important;
            margin: 20px;
        }

        @media print {
            .noprint {
                display: none;
            }

            .for_print {
                display: block !important;
            }

            #logo {
                display: block !important;

            }

            .width40 {
                width: 40% !important;
                float: left;
                margin-top: -3em !important;
                margin-bottom: 1em !important;
            }

            .width60 {
                width: 60% !important;
            }

        }
    </style>

@stop
