<?php

namespace Modules\Excel\Entities\Scopes;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;

class ShopIdScope implements Scope
{

    /**
     * apply shop id scope to all queries
     *
     * @param Builder $builder
     * @param Model $model
     * @return void
     */
    public function apply(Builder $builder, Model $model)
    {
        $builder->where('shop_id', get_session_val('serial_id', 'integer'));
    }
}
