<?php

namespace Modules\Installer\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Concerns\HasEvents;

class Badrshop extends Model
{
    use HasEvents;

    protected $table = 'badr_shop';
    public $timestamps = false;
    public $primaryKey = 'serial_id';
    protected $guarded = [];

    protected static function boot()
    {
        parent::boot();

        self::creating(function($model) {
            $model->run_date = $model->run_date ?? now()->addDays(5);
        });
    }
}
