<?php

namespace Modules\Invoices\Entities;

use Illuminate\Database\Eloquent\Model;
use Modules\Clients\Entities\Country;

class BadrShop extends Model
{
    protected $guarded = ['id'];
    protected $table = 'badr_shop';

    public function getCountry()
    {
        return $this->belongsTo(Country::class, 'country', 'id')->withDefault(['currency_code' => 'EGP', 'name_en', 'Egypt']);
    }
}
