<?php

namespace Modules\Invoices\Entities;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;

class BillAdd extends Model
{
    protected $guarded = ['id'];
    protected $table = 'bills_add';

    public function User()
    {
        return $this->belongsTo(User::class, 'add_user');
    }

    public function itemVats()
    {
        return $this->hasMany(ItemVats::class, 'vat_id', 'id');
    }
}
