<?php

namespace Modules\Invoices\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class ItemUnit extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    protected $table = 'items_unit';
    public $timestamps = false;
    
    public function Unit()
    {
        return $this->belongsTo(Unit::class, 'unit_id', 'id');
    }
}
