<script>
    var thumbprint = '{{ $thumbprint }}';
    var cert_token = '';
    var check_einvoice_settings = "{{ (bool) in_array($invoice_type, ['sales', 'returned sales']) && get_session_val('einvoice', 'integer') == true && get_session_val('submit_einvoice', 'Integer') == 0 }}";

    if ( check_einvoice_settings )
        checkExtension(',please make refresh page after extention installed');

    function checkCertificateToken(callback) {
        if (check_einvoice_settings != 1 || !checkExtension(', after install extention please make submit for invoice form einvoice list')) {
            callback();
            return false;
        }

        new Promise(function(resolve, reject){
            SignerDigital.getSelectedCertificate(thumbprint).then(function (signDataResp) {
                    let certificateDetails = JSON.parse(signDataResp);
                    if (! thumbprint) {
                        setThumbprint(certificateDetails.CertThumbPrint);
                    }
                    callback(certificateDetails.Cert);
                },
                function () { callback(); }
            );
        });
    }

    function checkExtension(append_message = 'and refresh page!')
    {
        if (typeof SignerDigital == 'undefined') {
            if (!confirm(`Please Install This Extension 'SignerDigital' ${append_message}`)) return false;

            window.open("{{ config('app.signer_extension_url') }}", '_blank');
            return false;
        }
        return true;
    }

    function setThumbprint(thumbprint)
    {
        $.ajax({
            url: '{{ route("invoices.set.thumbprint") }}',
            type: 'get',
            data: {thumbprint: thumbprint}
        });
    }
</script>
