<script>
    $('.main_category').on('click', function(){

        $('.main_category').addClass('btn-primary').removeClass('btn-info btn-success');
        $(this).removeClass('btn-primary').addClass('btn-info');

        $(this).parent('.sub_categories_sec').find('button').not($(this)).addClass('d-none');

        $(this).parent().nextAll('.sub_categories_sec').addClass('d-none');
        $(this).parent().nextAll('.items_sec').addClass('d-none');
        $(`.sub_categories_sec[data-category="${$(this).data('id')}"]`).removeClass('d-none').find('button').removeClass('d-none');
        $(`.items_sec[data-category="${$(this).data('id')}"]`).removeClass('d-none');

        saveOldPressColor($(this).parent().data('category'));
    });

    function saveOldPressColor(category_id)
    {
        $(`.main_category[data-id="${category_id}"]`).each(function() {
            $(this).addClass('btn-success');
            saveOldPressColor($(this).parent().data('category'));
        });
    }

    function setItemsStoreQty()
    {
        var items = $('.item')
            selected_store = $('#store_id').val();

        for (let index = 0; index < items.length; index++) {
            
            var qtys = $(items[index]).data('stores-qtys').toString().split(',');
            var stores_ids = $(items[index]).data('stores-ids').toString().split(',');
            
            var selected_qty_index = stores_ids.indexOf(selected_store);
            $(items[index]).attr('data-qty', qtys[selected_qty_index] ?? 0);
            
        }
    }

    $(document).on('click', '.item', function(){
        
        $('#choosen_item_id').val( $(this).data('id') );
        $('#choosen_item_name').val($(this).text());
        $('#choosen_item_origin_qty').val( $(this).data('qty') );
        $('#add_choosen_item').prop('disabled', false);

        @if ( get_session_val('select_client', 'integer') == 1 )
            if ($('#client_id').val() == '' || $('#client_id').val() == -1) {
                alert('يرجي اختيار العميل اولا !');
                return true;
            }
        @endif


        @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
            $('#choosen_item_pay_price').val( parseFloat($(this).data('pay')).toFixed(decimal_price) );
        @elseif(isset($invoice) && $invoice_type == 'returned sales')
            $('#choosen_item_about').val($(this).data('about'));
            $('#choosen_item_sale_price').val($(this).data('invoice-sale-price'));
            $('#choosen_item_low_price').val($(this).data('lowest_sale_price'));
            $('#choosen_item_purchase_price').val($(this).data('invoice-purchase-price'));
            $('#choosen_item_expire_date').val($(this).data('invoice-expire-date'));
            $('#choosen_item_units_selection').html($(this).data('units_details'));
            $(`#choosen_item_units_selection option[value="${$(this).data('invoice-unit')}"]`).attr('selected', 'selected');
            $('#choosen_item_current_quantity span').text(( +$(this).data('invoice-qty') ?? 0 ).toFixed(decimal_quantity));
        @else
            var sale_price = parseFloat($(this).data('sale')).toFixed(decimal_price);
            $('#choosen_item_sale_price').val( sale_price );

            @if ( get_session_val('multi_price', 'integer') == 1)
                builtChoosenMultiPricesRadio( sale_price, $(this).data('lists-prices'), $(this).data('lists-qtys'));
            @endif

            $('#choosen_item_units_selection').html($(this).data('units_details'));
            
        @endif

        @if(in_array($invoice_type, ['sales', 'returned purchases']))
            if (parseFloat($(this).data('qty')) == 0 && '{{ get_session_val("sale_details", "Integer") }}' == 0 ){ 
                let qty = $(this).data('qty');
                if (qty <= 0) {
                    alert('لا يوجد كمية متاحة في المخزن');
                } else {
                    alert('الكمية الحالية لا تكفي ' + $(this).data('qty'));
                }
                return false;
            }
        @endif
        
        $('#choosen_item_qty').val(1);
        $('#choosen_item_qty').attr('max', $(this).data('qty'));
        $('#choosen_item_qty').focus();
        calculateChoosenItemTotal();

        @if (! get_session_val('multi_price', 'integer') && get_session_val('company_ratio', 'Integer') != 1)
            $('#add_choosen_item').trigger('click');
        @else
            if (choosenItemAdded())
            {
                $('#add_choosen_item').trigger('click');
            }
            else {
                $('#fire_choose_model').trigger('click');
            }
        @endif

    });

    function builtChoosenMultiPricesRadio(general_sale_price, multi_prices, multi_qtys)
    {
        var prices_list_names = $('input[name="choosen_item_multi_prices_selection"]'),
            multi_prices_arr = multi_prices.toString().split(','),
            multi_qtys_arr = multi_qtys.toString().split(',');

        $(prices_list_names[0]).attr('value', general_sale_price);
        $('#mp-0').text(general_sale_price);
        $(prices_list_names[0]).attr('checked', true)

        if (prices_list_names.length > 1)
        {
            for (let index = 1; index < prices_list_names.length; index++) {
                $(prices_list_names[index]).attr('data-qty', multi_qtys_arr[index]);
                $(prices_list_names[index]).attr('value', multi_prices_arr[index]);
                var val = parseFloat(multi_prices_arr[index]);
                $('#mp-' + index).text( isNaN(val) ? 0 : val.toFixed(decimal_price));
            } 
        }
    }

    $('input[name="choosen_item_multi_prices_selection"]').on('change', function(){
        $('#choosen_item_sale_price').val( parseFloat($(this).val()).toFixed(decimal_price) );
        calculateChoosenItemTotal();
    });

    $('#add_choosen_item').on('click', function(){
        $(this).prop('disabled', true);
        var item_details = $('.item[data-id="'+ $('#choosen_item_id').val() +'"]');
        
        validateChoosenItem(item_details);

        var sale = parseFloat($(item_details).data('sale'));
        var main_sale_price = parseFloat($(item_details).data('sale'));
        var qty = parseFloat($('#choosen_item_qty').val());
        var expire = parseFloat($(item_details).data('expire'));
        var item_name = $('#choosen_item_name').val();
        var item_id = parseFloat($(item_details).data('id'));
        var vat_state = parseFloat($(item_details).data('vat'));
        var purchase_vat_state = parseFloat($(item_details).data('purchase_vat'));
        var vats_ids = parseFloat($(item_details).data('vats_ids'));
        var vats_values = parseFloat($(item_details).data('vats_values'));
        var vats_types = parseFloat($(item_details).data('vats_types'));
        var vats_opers = parseFloat($(item_details).data('vats_opers'));
        var vats_usage = parseFloat($(item_details).data('vats_usage'));
        var vats_usage_status = parseFloat($(item_details).data('vats_usage_status'));
        var org_qty = parseFloat($(item_details).data("{{isset($invoice) ? 'invoice-qty' : 'qty'}}"));
        var main_unit = parseFloat($(item_details).data('main'));
        var item_total = parseFloat($('#choosen_item_total').val()); // item_total
        var serial = parseFloat($(item_details).data('serial'));
        var purchase_code = parseFloat($(item_details).data('purchase_code'));
        var avg = parseFloat(0);
        var currency = $('select#safe_point option:selected').data('currency');
        var currency_price = parseFloat(0);
        var about = $(item_details).data('about');
        var main_pay_price = parseFloat($(item_details).data('pay'));
        var pay = parseFloat($(item_details).data('pay'));
        var is_service = $(item_details).data('is_service');
        
        // added for list_price
        var temp_sale = sale;
        var lists_prices = parseFloat($(item_details).data('lists-prices'));
        var lists_qtys = parseFloat($(item_details).data('lists-qtys'));

        console.log({org_qty});
        if(qty > org_qty){
            alert('{{ trans('reports.enter_amount') }} :  ' + org_qty);
            $(this).prop('disabled', false);
            return;
        }
        if ('{{ $invoice_type }}' == 'returned sales' || '{{ $invoice_type }}' == 'sales' || '{{ $invoice_type }}' == 'sales offers')
        {
            var low = parseFloat($(item_details).data('lowest_sale_price'));
            sale = parseFloat($('#choosen_item_sale_price').val());
            sale = getSalePriceFromLists(lists_prices, lists_qtys, sale, qty , parseFloat($('#choosen_item_units_selection option:selected').data('unit-val')));
        }
        else {
            var low = parseFloat($('choosen_item_low_price').val());
            pay = parseFloat($('#choosen_item_pay_price').val());
        }

        var unit_id = $(document).find('#choosen_item_units_selection option:selected').val();

        var detail_id = $(document).find(`#item-${item_id}-${unit_id}`).data('detail'),
            base_pay = main_pay_price,
            old_pay_price =  parseFloat($(item_details).data('pay')),
            items_count = $(`tr[id='item-${item_id}-${unit_id}']`).length  ;

        // added
        discount_operation = discount_value = discount_type = 0;
        if ($('#choosen_ratio_input').val())
        {
            discount_value = $('#choosen_ratio_input').val();
            discount_type = $('input[name="choosen_ratio_type"]:checked').val();
        }

        if (items_count != 0) {
            var itemsArr = [];
            var ids = [];
            
            $(`tr[id='item-${item_id}-${unit_id}']`).each(function(k,v){
                var item_detail_id =  $(this).data('detail'),
                item_pay = parseFloat($(document).find(`#pay-${detail_id}`).val());
                itemsArr.push(item_pay);
                ids.push(item_detail_id )
            });


            var is_pay_exsist =  itemsArr.includes(pay);

            if ( '{{ $invoice_type }}' == 'sales' || '{{$invoice_type}}' == 'sales offers' || '{{ $invoice_type }}' == 'returned sales')
            {
                sale = getSalePriceFromLists(lists_prices, lists_qtys, $('#sale-' + detail_id).val(), qty , parseFloat($('#choosen_item_units_selection option:selected').data('unit-val')));
                pay = sale ;
            }

            appendItem('update', item_id, unit_id, pay);

        } else {
            var data = appendItem('insert', item_id, unit_id, pay, sale, item_name, qty, vat_state, vats_ids,
            vats_values, vats_types, vats_opers, vats_usage, vats_usage_status, low, expire, purchase_code, main_unit, item_total, serial, currency_price,
            discount_operation, discount_value, discount_type, about, main_sale_price, main_pay_price, org_qty, purchase_vat_state, lists_prices, lists_qtys, temp_sale, is_service);
            $(document).find('#items_in_the_table').append(data);
            $(document).find('.danger').removeClass('danger');
        }
        // company ratio equal discount type ( on invoice total, on each item, none)
        if ( "{{ get_session_val('company_ratio', 'Integer') }}" == '2' & parseFloat($('#invoice_discount').val()) > 0) {
            calculateTotal();
            recalculateTotal();
        }
        else {
            calculateTotal();
        }

        $('#close_choosen_item_modal').trigger('click');
    });

    $(document).on('change', '.new_qty', function(){
        calculateTotal();
    });

    $(document).on('change', '#choosen_ratio_input, input[name=choosen_ratio_type]', function(){
        calculateChoosenDiscount();
    });

    // merge this
    function calculateChoosenDiscount()
    {
        var operation = 0, // 1 add | 0 discount
        moneyRatioType = $('input[name=choosen_ratio_type]:checked').val(), // percentage 0 | amount 1
        purchasePrice = parseFloat($('#choosen_item_units_selection option[value="'+ $('#choosen_item_units_selection').val() +'"]').data('price')),
        salePrice = parseFloat($('#choosen_item_units_selection option[value="'+ $('#choosen_item_units_selection').val() +'"]').data('sale')),
        ratioAmount = parseFloat($('#choosen_ratio_input').val());

        if (moneyRatioType == 0)
        {
            if (ratioAmount > 100)
            {
                $('#choosen_ratio_input').val(100);
                ratioAmount = 100;
            }
            else if (ratioAmount < 0)
            {
                $('#choosen_ratio_input').val(0);
                ratioAmount = 0;
            }
        }
        else {
            if ( ('{{ $invoice_type }}' == 'sales' || '{{$invoice_type}}' == 'sales offers' || '{{ $invoice_type }}' == 'returned sales') )
            {
                if (ratioAmount > salePrice)
                {
                    $('#choosen_ratio_input').val(salePrice);
                    ratioAmount = salePrice;
                }
                else if (ratioAmount < 0)
                {
                    $('#choosen_ratio_input').val(0);
                    ratioAmount = 0;
                }
            }
            else {
                if (ratioAmount > purchasePrice)
                {
                    $('#choosen_ratio_input').val(purchasePrice);
                    ratioAmount = purchasePrice;
                }
                else if (ratioAmount < 0)
                {
                    $('#choosen_ratio_input').val(0);
                    ratioAmount = 0;
                }
            }
        }

        if ('{{ $invoice_type }}' == 'sales' || '{{$invoice_type}}' == 'sales offers' || '{{ $invoice_type }}' == 'returned sales')
        {
            // calculate money ratio
            if (moneyRatioType == 0){ // percentage
                var amount = salePrice * ratioAmount / 100;
            } else { // amount
                var amount = ratioAmount;
            }
            var newSalePrice = salePrice - amount;

            $('#choosen_item_sale_price').val(newSalePrice.toFixed(decimal_price));
        }
        else {
            // calculate money ratio
            if (moneyRatioType == 0){ // percentage
                var amount = purchasePrice * ratioAmount / 100;
            } else { // amount
                var amount = ratioAmount;
            }
            var newPurchasePrice = purchasePrice - amount;

            $('#choosen_item_pay_price').val(newPurchasePrice.toFixed(decimal_price));
        }

        calculateChoosenItemTotal();
    }

    $('#choosen_item_qty').on('click', function(){
        $(this).val('');
    });

    function validateChoosenItem(item_details)
    {
        if (item_details)
        {
            if (isNaN(parseFloat($('#choosen_item_qty').val())))
            {
                $('#choosen_item_qty').val(1);
            }
        }
        else {
             alert(' {{ trans('invoices.Enter_item_first') }}');
            return false;
        }

        return true
    }

    $(document).on('change', '#choosen_item_sale_price, #choosen_item_pay_price, #choosen_item_qty', function(){
        var item_details = $('.item[data-id="'+ $('#choosen_item_id').val() +'"]');
        @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
            pay = parseFloat($('#choosen_item_pay_price').val());
            $(item_details).data('pay', pay);
        @else
            sale = parseFloat($('#choosen_item_sale_price').val());
            $(item_details).data('sale', sale);
        @endif
        calculateChoosenItemTotal();
    });

    function calculateChoosenItemTotal()
    {
        var quantity = parseFloat($('#choosen_item_qty').val());

        if (isNaN(quantity))
        {
            $('#choosen_item_qty').val(1);
            quantity = 1;
        }

        var price = 0;
        @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
            price = parseFloat($('#choosen_item_pay_price').val());
        @else
            price = parseFloat($('#choosen_item_sale_price').val());
        @endif

        $('#choosen_item_total').val( (price * quantity).toFixed(decimal_price) );
    }

    $('#choosen_item_units_selection').on('change', function(){
        @if ($invoice_type == 'purchases' || $invoice_type == 'returned purchases')
            $('#choosen_item_pay_price').val(parseFloat($(this).children('option:selected').data('price')).toFixed(decimal_price));
        @else
        $('#choosen_item_sale_price').val(parseFloat($(this).children('option:selected').data('sale')).toFixed(decimal_price));
        @endif

        calculateChoosenItemTotal();
    });

    function choosenItemAdded()
    {
        var unit_id = $(document).find('#choosen_item_units_selection option:selected').val();
        var detail_id = $(document).find(`#item-${item_id}-${unit_id}`).data('detail'),
            item_id = $('#choosen_item_id').val(),
            items_count = $(`tr[id='item-${item_id}-${unit_id}']`).length;
        return items_count > 0 ;
    }

    $('#choosen_item_qty').on('change', function(){

        var max = parseFloat($(this).attr('max')),
            target = parseFloat($(this).val())
            is_service = $('.item[data-id="'+ $('#choosen_item_id').val() +'"]').data('is_service');

        @if ( in_array($invoice_type, ['sales', 'returned purchases']) && get_session_val("sale_details", "Integer") == 0)
            if (target > max && ! is_service){
                $(this).val(max);
            }
        @endif
         
        if (target < 0)
        {
            $(this).val(1);
        }
    });
</script>