@foreach($invoice->InvoiceDetails as $details)
    @php
        $details_id = floor((random_int(pow(2, 0), pow(2, 32)) * 1000000000000) + 1);
        $vats_ids = $vats_values = $vats_usage_status = $vats_types = $vats_opers = $vats_usage = $lists_prices = $lists_qtys = '';

        // vats
        foreach($details->Item->vats as $vat)
        {
            if ($loop->first)
            {
                $vats_ids .= $vat->vat_id;
                $vats_values .= $vat->invoiceAdd->addition_value;
                $vats_usage_status .= $vat->invoiceAdd->add_role;
                $vats_types .= $vat->invoiceAdd->check_addition;
                $vats_opers .= $vat->invoiceAdd->vat_type;
                $vats_usage .= $vat->invoiceAdd->vat_use;
            }
            else
            {
                $vats_ids .= ',' . $vat->vat_id;
                $vats_values .= ',' . $vat->invoiceAdd->addition_value;
                $vats_usage_status .= ',' . $vat->invoiceAdd->add_role;
                $vats_types .= ',' . $vat->invoiceAdd->check_addition;
                $vats_opers .= ',' . $vat->invoiceAdd->vat_type;
                $vats_usage .= ',' . $vat->invoiceAdd->vat_use;
            }

        }

        // multi price
        $iter = 0;
        foreach ($details->Item->prices as $list_price)
        {
            if ($iter == 0)
            {
                $lists_prices .= $list_price->price;
                $lists_qtys .= $list_price->list_quant;
                                $iter = 1;
            }
            else
            {
                $lists_prices .= (',' . $list_price->price);
                $lists_qtys .= (',' . $list_price->list_quant);
            }
        }
        // discount
        $discount_operation = 0;
        $discount_value = 0;
        $discount_type = 1;
        if ($invoice->invoice_total_disc_status == 1)
        {
            // distribute it
            $discount_operation = 0;
            $discount_value = $details->basic_sale_price - $details->sale_price;
            $discount_type = 1;
        }

        // units

        $selected_unit_value = 1;
        $selected_unit = $details->unit_id;

        foreach ($details->Item->subUnits as $sub_unit) {
            if ($sub_unit->unit_id == $details->unit_id)
            {
                $selected_unit_value = $sub_unit->unit_value;
                $selected_unit = $sub_unit->unit_id;
            }
        }

        $details_qty = $details->quantity;
        $alert_qty_input = '';
        $store_available_qty = $details->Item->availableQty->where('store_id', $invoice->store_id)->first()->store_quant ?? 0;

        if ($store_available_qty < $details->quantity * $selected_unit_value)
        {
            if ($selected_unit_value > $store_available_qty)
            {
                $details_qty = $store_available_qty;
                $alert_qty_input = 'border border-danger ';
                $selected_unit = $details->Item->unit_id;
            }
            else {
                $details_qty = $store_available_qty / $selected_unit_value;
                $alert_qty_input = 'border border-danger ';
            }
        }


        $units_options_html = '<option value="'. $details->Item->unit_id .'" data-price="'. $details->Item->pay_price .'" data-unit-val="1"'
            .'data-sale="' .  $details->Item->sale_price . '" data-item="' . $details->Item->id . '" data-low="' . $details->Item->lowest_price 
            . '" data-expire="' . $details->Item->expire_date . '"' .
            ( $selected_unit == $details->Item->unit_id ? 'selected' : ' ')  .' > '. $details->Item->Unit->name .' </option>';

        foreach ($details->Item->subUnits as $sub_unit) {
            $units_options_html .= '<option value="'. $sub_unit->unit_id .'" data-price="'. ($details->Item->pay_price * $sub_unit->unit_value)
                .'" data-unit-val="'. $sub_unit->unit_value . '" data-sale="' . $sub_unit->unit_price . '" data-item="' . $sub_unit->item_id
                .'" data-low="' . $details->Item->lowest_price . '" data-expire="' . $details->Item->expire_date . '"'
                . ($sub_unit->unit_id == $details->unit_id ? 'selected' : ' ') .' > '. $sub_unit->Unit->name .' </option>';
        }

    @endphp
    
    <tr id="item-{{$details->item_id}}-{{$details->unit_id}}" data-detail="{{$details_id}}">
        <td Auto_Test ="generated_items_item_name">
            {{$details->Item->item_name}}
        </td>
        <td Auto_Test ="generated_items_item_about">
            {{$details->Item->about}}
        </td>
        <td Auto_Test ="generated_items_basic_sale_price">
            {{$details->basic_sale_price}}
        </td>
        <td Auto_Test ="generated_items_item_inputs>
            <input type="number" step="0.0001" style="width: 100%" class="new_qty form-control input-sm w-75-px {{$alert_qty_input}}" 
                data-val="1" data-id="{{$details_id}}" 
                value="{{round_quantity($details_qty)}}" 
                id="qty-{{$details_id}}"
                data-vat="{{$details->Item->vat_state}}"
                data-purchase_vat_state = "{{$details->Item->purchase_vat_state}}"
                data-vats_ids="{{$vats_ids}}"
                data-vats_values="{{$vats_values}}" 
                data-vats_types="{{$vats_types}}" 
                data-vats_opers="{{$vats_opers}}" 
                data-vats_usage="{{$vats_usage}}" 
                data-vats_usage_status="{{$vats_usage_status}}" 
                data-item="{{$details->Item->id}}" 
                data-main="{{$details->Item->unit_id}}" 
                data-serial=""
                data-disc-oper="${discount_operation}"
                data-disc-val="${discount_value}"
                data-disc-type="${discount_type}"
                data-about="{{$details->Item->about}}"
                data-main-sale-price="{{$details->basic_sale_price}}"
                data-main-pay-price="{{$details->basic_pay_price}}"
                data-pay="{{$details->pay_price}}"
                data-sale="{{$details->sale_price}}"
                data-low="{{$details->Item->lowest_price}}"
                data-org-qty="{{ $store_available_qty }}"
                data-lists-prices="{{$lists_prices}}"
                data-lists-qtys="{{$lists_qtys}}"
                data-temp-sale="{{$details->sale_price}}"
        >
        </td>

        @if (get_session_val("units_sup", "Integer") == 1)
            <td Auto_Test ="generated_items_data_item>
                <select data-item="{{$details->Item->id}}"
                            id="item_unit-{{$details_id}}" data-current="{{$details->unit_id}}"
                            class="form-control item_unit unit_selection"
                            name="item_unit[{{$details_id}}]">
                    {!!$units_options_html!!}
                </select>
            </td>
        @endif

        <td class="total_price replace" Auto_Test ="generated_items_total_price" id="total_price-{{$details_id}}"> {{round_money($details->sale_price * $details_qty)}} </td>

        <td Auto_Test ="generated_items_sale_detailes">
            <input type="number" step="0.0001" style="min-width: 40px; width: 100%;" class="new_sale form-control input-sm w-75-px
            "  id="sale-{{$details_id}}" data-sale="{{$details->sale_price}}" value="{{round_money($details->sale_price)}}"
                        {{ auth()->user()->sale_price == 1 ? '' : 'disabled' }}>

        </td>
        @if (get_session_val("check_lowest_price", "Integer") == 1)
            <td Auto_Test ="generated_items_lowest_price">
                <input type="number" step="0.0001" class="new_low form-control input-sm w-75-px" data-low="{{$details->Item->lowest_price}}" data-pay="{{$details->pay_price}}" 
                    data-sale="{{$details->sale_price}}" value="{{round_money($details->Item->lowest_price)}}" readonly>
            </td>
        @endif

        @if (get_session_val("show_item_serial", "Integer") == 1)
            @if ( $details->Item->require_serial == 1)
                <td class="new_serial" Auto_Test ="generated_items_serial">
                    @for ($i = 0; $i < ($selected_unit_value * $details_qty); $i++)
                        <input type="text" class="serial form-control input-sm w-75-px" name="serial" style="margin-bottom: 5px" value="">
                    @endfor
                </td>
                <td class="new_serial_notes" Auto_Test ="generated_items_serial_notes">
                    @for ($i = 0; $i < ($selected_unit_value * $details_qty); $i++)
                        <input type="text" class="serial_notes form-control input-sm w-75-px" name="serial_notes" style="margin-bottom: 5px" value="">
                    @endfor            
                </td>
            @else
                <td></td>
                <td></td>
            @endif
        @endif

        <td Auto_Test ="generated_items_details_id">
            <a href="javascript:void(0)" class="btn btn-danger delete" data-id="{{$details_id}}"><i class="fa fa-trash"></i>
            </a>
        </td>
        <input Auto_Test ="generated_items_item_details2" type="hidden" class="details" name="item_details[{{$details_id}}]">

        @if ( get_session_val("show_item_serial", "Integer") == 1)
            <input Auto_Test ="generated_items_item_serials" type="hidden" class=" serials" name="item_serials[{{$details->Item->id}}]">
            <input Auto_Test ="generated_items_serials_notes" type="hidden" class=" serials_notes" name="serials_notes[{{$details->Item->id}}]">
        @endif

        <input Auto_Test ="generated_items_actual_prices" type="hidden" class="actual" name="actual_prices[{{$details_id}}]">

    </tr>

    <input Auto_Test ="generated_items_reference_id" class="hidden" name="reference_id" value="{{ request('id') }}">
@endforeach