<div class="col-md-12 row d-none sub_categories_sec" data-category="{{$category->id}}">
    @foreach ($category->pressSubCategory as $sub_category)
        @if(!isset($invoice) || (isset($invoice) && in_array($sub_category->id, $invoiceNeededCategories ?? [])))
            <button type="button" Auto_Test ="press_categories_sub_category_name" data-type="0" data-id='{{$sub_category->id}}' class="main_category btn btn-primary btn-lg col-md-3 col-sm-4 m-2 p-4 {{$randomClassName ?? ''}}"
            > {{ $sub_category->name }} </button>
        @endif
    @endforeach
</div>

@php
    $randomClassName = "c" . substr(md5(rand()), 0, 6);
    $cachedRandomColors = cache()->get('press_categories_random_colors');
    $cachedRandomColors = $cachedRandomColors ? $cachedRandomColors : ($randomColors ?? []);
    $randomColor = array_shift($cachedRandomColors);
    cache()->set('press_categories_random_colors', $cachedRandomColors);

@endphp
@push('css-stack')
    <style>
        .{{ $randomClassName }}:not(.btn-success, .btn-info) {
            background-color: {{$randomColor}} !important;
            border-color: {{$randomColor}} !important;
        }
    </style>
@endpush

@foreach ($category->pressSubCategory as $sub_category)
    @if(!isset($invoice) || (isset($invoice) && in_array($sub_category->id, $invoiceNeededCategories ?? [])))
        @include('invoices::layouts.create.partials.press-categories', [ 'category' => $sub_category, 'randomClassName' => $randomClassName ])
    @endif
@endforeach
