@php
    $vats_ids = $vats_values = $vats_types = $vats_opers =
    $vats_usage = $vats_usage_status = $stores_qtys = $stores_ids =
    $lists_prices = $lists_qtys = $units = '';

    $vats_iter = $qtys_iter = $multi_prices_iter = 0;

    foreach ($item->itemVats as $item_vat) {
        if (! $vats_iter)
        {
            $vats_ids .= $item_vat->vat_id;
            $vats_opers .= $item_vat->vat_type;
            $vats_usage .= $item_vat->vat_use;

            $vats_values .= $item_vat->invoiceAdd->addition_value;
            $vats_usage_status .= $item_vat->invoiceAdd->add_role;
            $vats_types .= $item_vat->invoiceAdd->check_addition;

            $vats_iter = 1;
        }
        else {
            $vats_ids .= ',' . $item_vat->vat_id;
            $vats_opers .= ',' . $item_vat->vat_type;
            $vats_usage .= ',' . $item_vat->vat_use;

            $vats_values .= ',' . $item_vat->invoiceAdd->addition_value;
            $vats_usage_status .= ',' . $item_vat->invoiceAdd->add_role;
            $vats_types .= ',' . $item_vat->invoiceAdd->check_addition;
        }
    }

    foreach ($item->storeQty as $store_details) {
        if (! $qtys_iter)
        {
            $stores_qtys .= $store_details->store_quant;
            $stores_ids .= $store_details->store_id;

            $qtys_iter = 1;
        }
        else {
            $stores_qtys .= ',' . $store_details->store_quant;
            $stores_ids .= ',' . $store_details->store_id;
        }
    }

    foreach ($item->multiPrices as $list_price)
    {
        if (! $multi_prices_iter)
        {
            $lists_prices .= $list_price->price;
            $lists_qtys .= $list_price->list_quant;

            $multi_prices_iter = 1;
        }
        else
        {
            $lists_prices .= (',' . $list_price->price);
            $lists_qtys .= (',' . $list_price->list_quant);
        }
    }

    $units = '<option value="'. $item->unit_id .'" data-price="'. $item->pay_price .'" data-unit-val="1"'
            .'data-sale="' .  $item->sale_price . '" data-item="' . $item->id . '" data-low="' . $item->lowest_price
            . '" data-expire="' . $item->expire_date . '">'. $item->Unit->name .' </option>';

    foreach($item->subUnits AS $sub_unit)
    {
        $units .= '<option value="'. $sub_unit->unit_id .'" data-price="'. ($item->pay_price * $sub_unit->unit_value)
                .'" data-unit-val="'. $sub_unit->unit_value . '" data-sale="' . $sub_unit->unit_price . '" data-item="' . $sub_unit->item_id
                .'" data-low="' . $item->lowest_price . '" data-expire="' . $item->expire_date . '">'. $sub_unit->unitName->name .' </option>';
    }
@endphp

<button type="button"
        class="item btn btn-success btn-lg m-2 p-4 col-md-3 col-sm-4"
        data-type="2"
        data-category="{{$item->sale_unit}}"
        data-id='{{$item->id}}'

        data-pay="{{ $item->pay_price }}"
        data-sale="{{ $item->sale_price }}"
        data-vat="{{ $item->vat_state }}"
        data-purchase_vat="{{ $item->purchase_vat_state }}"

        data-lowest_sale_price = "{{ $item->lowest_price }}"
        data-about="{{ $item->about }}"
        data-purchase_code="{{ $item->purchase_code }}"

        data-main="{{ $item->unit_id }}"
        data-serial="{{ $item->require_serial }}"
        data-expire="{{ $item->expire_date }}"
        data-company_income="{{ $item->income_ratio ?? 0 }} "

        data-vats_ids="{{ $vats_ids }}"
        data-vats_values="{{ $vats_values }}"
        data-vats_types="{{ $vats_types }}"
        data-vats_opers="{{ $vats_opers }}"
        data-vats_usage="{{ $vats_usage }}"
        data-vats_usage_status="{{ $vats_usage_status }}"

        data-qty="0"

        data-stores-qtys = "{{ $stores_qtys }}"
        data-stores-ids = "{{ $stores_ids }}"

        data-lists-prices="{{$lists_prices}}"
        data-lists-qtys="{{$lists_qtys}}"

        data-units_details="{{$units}}"

        data-about="{{$item->about}}"
        data-is_service="{{$item->is_service}}"

        @if ($item->img && get_session_val('show_item_image_in_press_sale', 'integer') == 1)
            style="background-image: url({{asset( in_array(trim($item->img), ["", null]) ? "imgs/img.jpg" : $item->img )}}); background-color: #{{ $bg_color }}; padding-top: 100px !important; vertical-align: middle; white-space: revert;"
            onError="this.src='{{asset("imgs/img.jpg")}}'"
        @endif
        @if(isset($invoice) && isset($invoiceItems[$item->id]))
            data-invoice-unit = "{{ $invoiceItems[$item->id]->unit_id }}"
            data-invoice-sale-price = "{{ $invoiceItems[$item->id]->sale_price }}"
            data-invoice-purchase-price = "{{ $invoiceItems[$item->id]->pay_price }}"
            data-invoice-expire-date = "{{ $invoiceItems[$item->id]->expire_date }}"
            data-invoice-qty = "{{ floatVal($invoice->InvoiceDetails->where('item_id', $item->id)->first()->quantity) - floatVal($invoice->childInvoiceDetails->where('item_id', $item->id)->first()->total_qty ?? 0)  }}"
        @endif
        >
    {{ $item->item_name }}
</button>
