<div class="col-md-12">
    <div class="card card-light mb-1_5 pt-1_5 mb-4 pb-2">
        <div class="container">
            <div class="row py-2 mb-2">
                <h6 class="mt-2 col-md-6">
                    @lang('invoices.reference_invoice.title')
    
                </h6>
                <div class="col-md-6">
                    <a class="btn btn-info float-left text-white mr-3" target="_blank" rel="noopener noreferrer" Auto_Test = "reference_invoice_invoices_print" href="{{route('invoices.print', [ 'invoice' => $invoice->id ])}}">
                        @lang('native.print')
                    </a>
                    <a class="btn btn-success float-left text-white" Auto_Test ="reference_invoice_invoices_show" target="_blank" rel="noopener noreferrer" href="{{route('invoices.show', [ 'invoice' => $invoice->id ])}}">
                        @lang('native.show')
                    </a>
                </div>
            </div>
    
            <input class="hidden" type="number" Auto_Test ="reference_invoice_reference_id" name="reference_id" value="{{$invoice->id}}" readonly>
    
            <div class="form-group row mb-2">
                <label for="invoice_date" class="col-sm-2 col-4 col-form-label"> 
                    @lang('invoices.bill-no')
                </label>
                <div class="col-sm-4 col-8">
                    <input  Auto_Test ="reference_invoice_bill_no" class="form-control" type="number" value="{{$invoice->bill_no}}" disabled>                
                </div>
    
                <label for="invoice_date" class="col-sm-2 col-4 col-form-label"> 
                    @lang('invoices.invoices.invoiceDate')
                </label>
                <div class="col-sm-4 col-8">
                    @php
                        $invoice_min_date = strtotime($invoice->invoice_date);
                    @endphp
                    <input type="text" Auto_Test ="reference_invoice_invoice_min_date" value="{{date('Y-m-d', $invoice_min_date)}}" disabled
                        class="form-control input-sm input-light date is-datepicker">
                    <span>
                        <i class="fa fa-calendar-alt calendar-icon"></i>
                    </span>
    
                </div>
            </div>
    
        </div>
    </div>
</div>