@if ($invoice_settings->bill_type)
    @if ($settings->apply_vats && $settings->getCountry?->name_en == "Saudi Arabia")
        <h5>{{ __('native.tax_number') }}  : {{ $invoice_settings?->vat_number }} :{{ __('native.tax_number_en') }}  </h5>
        @if ($invoice_settings->vat_number != $store->tax_number)
            <h5>{{ __('invoices.Commercial_Registration_No') }}  : {{ $store->tax_number }} :{{ __('invoices.Commercial_Registration_No_en') }}  </h5>
        @endif

        @if ($invoice->client && $invoice->client->client_tax_number)
            <h3> {{ __('invoices.TAX_INVOICE_en') }}  </h3>
            <h3> {{ $invoice->client->client_tax_number }} </h3>
        @else
            <h3>{{ __('invoices.Simplified_tax_invoice') }}  </h3>
        @endif
    @elseif ($invoice_settings->bill_type == 1)
        <h2 style="margin-top: 0px"> {{ $invoice->type }} </h2>
    @else
        <h2 style="margin-top: 0px">{{ __('native.bill_id') }}   </h2>
    @endif
@endif

@if ($invoice_settings->show_bill_header)
    <p> {!! $settings->bill_header !!} </p>
@endif

@if ($invoice_settings->show_logo)
    <div>
        <img src="{{ isset($message) ? $message->embed(asset($shop->logo_path)) : asset($shop->logo_path) }}" alt="logo" width="200px">
    </div>
@endif
