@php
    $invoice_discount = $invoice->invoice_total_disc_type == 1 ? (float)$invoice->invoice_total_disc : (float)$total_basic_price * ( (float)$invoice->invoice_total_disc / 100);
    $total = $invoice->payment + $invoice->rest;
    // $total = $invoice->InvoiceDetails->sum('item_price_with_discount');
    // $total = $invoice->invoice_total_disc_status ? ($invoice->InvoiceDetails->sum('price_without_vat') + $invoice_discount) : $invoice->InvoiceDetails->sum('price_without_vat');
@endphp

<tfoot>
    <tr>
        <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><b> {{ __('native.total') }}  </b></td>
        <th colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ round_money((float) $total - $total_vats + $invoice_discount, true) }}</th>
    </tr>
    <tr>
        <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('native.discount') }}</td>
        <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ round_money((float) $invoice_discount, true) }}</td>
    </tr>
    <tr>
        <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><b>   {{ __('installment.total-after-discount') }} </b></td>
        <th colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ round_money((float) $total - $total_vats) }}</th>
    </tr>

    @if ($shop->apply_vats)
        <tr>
            <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('native.addition_value') }} </td>
            <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{  round_money((float) $total_vats , true) }}</td>
        </tr>
    @endif

    @if($invoice->invoice_type == 1 &&  get_session_val('show_delivery_charges_in_the_invoice', 'Integer') == 1)
    <tr>
        <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('invoices.delivery_fee') }}  </td>
        <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{  round_money((float) $invoice->fee , true) }}</td>
    </tr>
    @endif

    <tr>
        <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><b> {{ __('invoices.total_sales') }}  </b></td>
        <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important"><strong> {{ round_money((float)$invoice->net_price, true) }} </strong></td>
    </tr>
    <tr>
        <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('native.paid') }}</td>
        <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ round_money((float)$invoice->payment, true) }}</td>
    </tr>
    @if($invoice_settings->show_invoice_rest)
    <tr>
        <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">  {{ __('native.Remaining') }}</td>
        <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ round_money((float)$invoice->rest, true) }}</td>
    </tr>
    @endif

    @if ($settings->show_client_balance)
        @php $client_type = in_array($invoice->invoice_type, [0, 2]) ? __('native.to-supplier') : __('native.to-client'); @endphp
        <tr>
            <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('invoices.previous_balance') }}  {{ $client_type }}</td>
            @if ($invoice->balance > 0)
                @php $old_balance = eval("return $invoice->balance - $invoice->rest;"); @endphp
            @else
                @php $old_balance = eval("return $invoice->balance + $invoice->rest;"); @endphp
            @endif
            <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important" colspan="3">{{ round_money((float) $old_balance, true) }}</td>
        </tr>
        <tr>
            <td colspan="4" style="border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ __('native.current_balance') }}  {{ $client_type }}</td>
            <td colspan="3" style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 5px 10px !important">{{ round_money((float)$invoice->balance, true) }}</td>
        </tr>
    @endif

    <tr>
        <th colspan="7" style="border: 2px solid #a6a6a6 !important; padding: 10px !important; text-align: center">{{ transLatNumbers((float) $invoice->net_price) }}</th>
    </tr>
</tfoot>
