<style>
    * {
        font-size: {{ $invoice_settings->font_size }}px !important;
    }
</style>

<div style="color: #000 !important; font-family: var(--font-family-regular), 'serif'; !important; white-space: initial !important; max-width: 100%; direction: rtl; padding: 20px 10px;">
    <div style="width: 100%">
        @php $is_cash_bill = $invoice->payment == $invoice->net_price; @endphp

        @include('invoices::print.taxs.header')

        @include('invoices::print.taxs.client-info')

        @include('invoices::print.taxs.items')

        @include('invoices::print.taxs.footer')

    </div>
</div>

@if (isset($url) && $url)
<p style="text-align: center; font-size: 15px; font-weight: bold; color: #595959;">
    {{ __('invoices.display_invoice_page_from') }}
    <a href="{{ $url }}">  {{ __('native.here') }}</a>
</p>
@else
<script>
    window.print();
    window.onafterprint = window.close;
</script>
@endif
