<div style="margin: 5px 0; display: flex; width: 100%">
    @if ($is_cash_bill || !$shop->use_parts_cash_proforma_invoice)
        @if ($invoice_settings->show_logo)
            <img src="{{ isset($message) ? $message->embed(asset($shop->logo_path)) : asset($shop->logo_path) }}" alt="logo" width="200px" height="100%">
        @endif

        @if ($invoice_settings->qr_code)
            <div style="width: max-content; height: max-content; margin: auto">{!! $invoice->qr !!}</div>
        @endif
    @endif

    <div style="width: 70%; margin-right: auto;">
        <table style="border: 1px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; margin-top: 10px">
            <tr>
                <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: right"> فاتورة </th>
                <td style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: center"> {{ $invoice?->bill_no }} </td>
                <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: left"> Invoice Number </th>
            </tr>
            <tr>
                <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: right"> تاريخ إصدار الفاتورة </td>
                <td style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: center"> {{ $invoice->invoice_date ? \Carbon\Carbon::parse($invoice->invoice_date)->format('Y-m-d') : '' }} </td>
                <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: left"> Invoice Issue Date </td>
            </tr>
            <tr>
                <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: right"> وقت إصدار الفاتورة </th>
                <td style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: center"> {{ $invoice->invoice_date ? \Carbon\Carbon::parse($invoice->invoice_date)->format('H:i:s-A') : '' }} </td>
                <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: left"> Invoice Issue Time </th>
            </tr>

            @php $payment_type = $invoice?->getPaymentType((bool) $invoice_settings->show_payment_type); @endphp
            @if ($payment_type)
                <tr>
                    <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: right"> نوع الدفع </td>
                    <td style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: center">{{ $payment_type }} </td>
                    <th style="border: 2px solid #000 !important; padding: 3px 10px !important; text-align: left"> Payment Type </td>
                </tr>
            @endif
        </table>
    </div>
</div>
