<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class EinvoiceItemCode extends Model
{
    use HasFactory;

    protected $table   = 'einvoice_item_codes';
    protected $guarded = [];
    public $timestamps = false;
    protected $dates   = ['requestCreationDateTimeUtc', 'codeCreationDateTimeUtc', 'activeFrom', 'activeTo'];

    protected static function newFactory()
    {
        return \Modules\EInvoice\Database\factories\EinvoiceItemCodeFactory::new();
    }
}
