<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;
use Modules\Category\Entities\ItemImage;
use Modules\Collection\Entities\Item;

class ItemType extends Model
{
    protected $table = 'items_type';

    public function items()
    {
        return $this->hasMany(Item::class,'sale_unit');
    }
    public function getLimitedItemsAttribute($value)
    {
        return $this->items()->where('online',1)->get();
    }

    protected $appends = ['limited_items'];
}
