<?php

namespace Modules\Item\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class ItemVat extends Model
{
    use RoundingAttributesTrait;
    protected $table = 'item_vat';

    protected $fillable = ['item_id', 'vat_id', 'vat_use', 'shop_id', 'vat_type'];

    public $timestamps = false;

    public function invoiceAdd()
    {
        return $this->belongsTo(BillAdd::class, 'vat_id');
    }

}
