<?php

namespace Modules\Item\Entities;

use Illuminate\Database\Eloquent\Model;

class Slider extends Model
{
    protected $fillable = [];
    public $timestamps = false;
    protected $table = 'slider';

    public function getImage()
    {
        return config('main.badr').$this->src;
    }

    public function getUrl()
    {
        if ($this->outside_link == 1) {
            return $this->image_link;
        } else {
            $item = Item::find($this->item_id);
            if ($item) {
                return config('main.store_url').get_session_val('serial_id', 'integer').'/item/'.$this->item_id;
            } else {
                return '#';
            }
//
        }

    }

    public function getType()
    {
        if ($this->outside_link == 1) {
            return 'رابط خارجي';
        } else {
            return 'صنف';
        }

        $itemId = $request->itemId_;
        $shop_id = $request->shop_id;
        $item = Item::where('id',$itemId)->where('shop_id',$shop_id)->first();
        $units = ItemsUnit::where('item_id', $itemId)->where('shop_id', $shop_id)
            ->select('unit_id', 'unit_price')
            ->get();

        $main_unit = Units::where('id', $item->unit_id)->select('name', 'id')->first();
        $main_unit->unit_price = $item->sale_price;

        $main_unit->unit_id = $main_unit->id;
        foreach ($units as $unit) {
            $unit_ = Units::find($unit->unit_id);
            $unit->name = $unit_->name;
        }
        $units->push($main_unit);

        // return response()->json($main_unit);

        $item_units = ItemsUnit::where('shop_id',$shop_id)->where('item_id',$itemId)->select('id','unit_price','unit_id')->get();

        foreach ($item_units as $item){
            $item->unit = Units::where('id',$item->unit_id)->first()->name;
        }

        $units_list = "";
        if ($main_unit->count() > 0) {
            $units_list.='<label for="name" class="col-md-2"> الوحدة </label>
                    <div class="col-sm-7">';
            $units_list.='<select class="form-control " name="size" title="المقاس" id="unit_select">';

            foreach ($main_unit as $item) {
                $units_list.= '<option value="' . $item->unit_id . '" data-unite="'.$item->unit_price.'"> ' . $item->unit . ' </option>';
            }
            $units_list.='</select>';
            $units_list.='</div>';
        }
//        return $units_list;
        return response()->json([
            'units_list' => $units_list,
            'status' => 1,
        ]);


    }
}
