<?php

namespace Modules\Maintenance\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class BillAddHistory extends Model
{
    use RoundingAttributesTrait;
    
    protected $guarded = ['id'];
    protected $table = 'bills_add_history';
    public $timestamps = false;

    public function vat()
    {
        return $this->belongsTo(BillAdd::class, 'addition_id')->select('id', 'Addition_name')->withDefault([
            'Addition_name' => '---'
        ]);
    }
}
