<?php

namespace Modules\Maintenance\Entities;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Component extends Model
{
    protected $table = 'components';
    protected $guarded = ['id'];

    public function orders()
    {
        return $this->belongsToMany(Order::class, 'component_request', 'component_id','request_id');
    }
}
