<?php

namespace Modules\Maintenance\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    protected $table = 'invoices_';
    public $timestamps = false;

    public function details()
    {
        return $this->hasMany(InvoiceDetail::class, 'invoice_id');
    }

    public function adds()
    {
        return $this->hasMany(BillAddHistory::class, 'bill_id')->where('type', 1);
    }
}
