<?php

namespace Modules\Maintenance\Entities;

use Illuminate\Database\Eloquent\Model;

class OrderNote extends Model
{
    protected $guarded = ['id'];
    protected $table = 'request_notes';
    public $timestamps = false;

    public function employee()
    {
        return $this->belongsTo(Employee::class, 'employee_id')->select('id', 'name')->withDefault([
            'name' => '---'
        ]);
    }
}
