<?php

namespace Modules\Maintenance\Entities;

use Illuminate\Database\Eloquent\Model;

class SaleProcess extends Model
{
    protected $guarded = ['id'];
    protected $table = 'sale_process';
    public $timestamps = false;

    public function details()
    {
        return $this->hasMany(SaleDetail::class, 'sale_id');
    }

    public function adds()
    {
        return $this->hasMany(BillAddHistory::class, 'bill_id')->where('type', 1);
    }
}
