<?php

namespace Modules\Maintenance\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class User extends Model
{
    use RoundingAttributesTrait;
    protected $guarded = ['id'];
    protected $table = 'users';
    public function salePoint()
    {
        return $this->belongsTo(SalePoint::class,'sale_point','id');
    }
}
