@extends('master::layouts.master')

@section('content')
    <style>
        .top_menu {
            margin-bottom: 3px;
        }
    </style>
    <div class="container-fluid" style="margin: 10px 10px 0 10px">
        <h1>
            حالات الطلبات

            <button type="button" class="btn btn-primary btn-sm float-left text-white" style="margin-right: 12px; float:left;" data-toggle="modal" data-target="#createModal"
                style="padding: 5px 16px 3px 15px" title="  جديد  " id="new_status">
                <i class="fa fa-plus"></i> 
                جديد
            </button>

            <a class="btn btn-warning btn-sm float-left text-white" style="margin-right: 12px; float:left;"
            style="padding: 5px 16px 3px 15px" title="  تعديل الترتيب  " id="rearrange_status">
                <i class="fa fa-edit"></i> 
                تعديل الترتيب
            </a>

            <a class="btn btn-info hidden btn-sm float-left text-white" style="margin-right: 12px; float:left;"
            style="padding: 5px 16px 3px 15px" title="  تحديث الترتيب  " id="save_new_order">
                تحديث الترتيب
            </a>

            <a class="btn btn-danger hidden btn-sm float-left text-white" style="margin-right: 12px; float:left;"
            style="padding: 5px 16px 3px 15px" title="  الغاء الترتيب  " id="decline_new_order">
                الغاء الترتيب
            </a>
        </h1>


        <div id="general_messages" class="my-4">

        </div>
        

        <table class="table table-hover table-stripped" id="status_table" style="margin-top: 12px;">
            <thead class="bg-info text-white">
                <tr class="text-center">
                    <th class="text-center"> #</th>
                    <th class="text-center">الاسم</th>
                    <th class="text-center"> ترتيب الظهور</th>
                    <th class="text-center"> عمليات</th>
                </tr>
            </thead>
            <tbody>
                @foreach($requests_status as $status)
                    <tr class="text-center" data-id="{{$status->id}}">
                        <td>{{$loop->iteration}}</td>
                        <td class="status_name" data-id="{{$status->id}}">{{$status->name}}</td>
                        <td class="current_order" data-id="{{$status->id}}">
                            {{$status->view_order}}
                        </td>
                        <td class="hidden rearrange_cell">
                            <a class="btn btn-primary rearrange_up btn-sm" style="margin-right: 12px;"
                                style="padding: 5px 16px 3px 15px" title="تعديل الترتيب   ">
                                <i class="fa fa-sort-up"></i>
                            </a>

                            
                            <a class="btn btn-primary rearrange_down btn-sm"
                                style="padding: 5px 16px 3px 15px" title="تعديل الترتيب   ">
                                <i class="fa fa-sort-down"></i>
                            </a>
                        </td>
                        <td>

                            <a class="btn btn-warning btn-sm text-white" onClick="fireUpdate({{$status->id}})"
                                style="padding: 5px 16px 3px 15px" title="تعديل اسم الحالة  ">
                                <i class="fa fa-edit"></i>
                            </a>

                            @if(! $status->hold)
                            <a  class="btn btn-danger btn-sm text-white" onClick="deleteStatus({{$status->id}})"
                                style="padding: 5px 16px 3px 15px" title="  حذف الحالة">
                                <i class="fa fa-trash"></i>
                            </a>
                            @endif
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>

    @include('maintenance::status.modals')
@endsection

@section('css-scripts')
    <link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
    <link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
    <link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
@endsection

@section('js-scripts')
    <script src="{{ asset('tickets/js/jquery-ui.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.plus.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.plugin.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.picker.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('js/calenders/jquery.calendars.ummalqura-ar.js') }}"></script>
    <script src="{{ asset('tickets/jquery.timepicker.js') }}"></script>
    <script src="{{ asset('tickets/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('tickets/datepair.js') }}"></script>
    <script src="{{ asset('tickets/js/bootstrap-select.min.js') }}"></script>
    
    @include('maintenance::status.js')
@endsection