<script>

    $(function(){
        var original_order = [];
        var current_order = $('.current_order');

        for (let index = 0; index < current_order.length; index++) {
            original_order.push( $(current_order[index]).data('id') );
        }

        Object.freeze(original_order);
    });

    $('#rearrange_status').on('click', function(){
        $('.rearrange_cell').removeClass('hidden');
        $('.current_order').addClass('hidden');

        $('#save_new_order').removeClass('hidden');
        $('#decline_new_order').removeClass('hidden');

        $('#new_status').addClass('hidden');
        $(this).addClass('hidden');
    });

    $('#decline_new_order').on('click', function(){

        $('#save_new_order').addClass('hidden');
        $('#decline_new_order').addClass('hidden');

        $('#new_status').removeClass('hidden');
        $('#rearrange_status').removeClass('hidden');

        $('.rearrange_cell').addClass('hidden');
        $('.current_order').removeClass('hidden');
    });

    $('#addNewStatus').on('click',function(){
        let data = {
            name: $('#newStatusName').val()
        }

        $.ajax({
            url: "{{ route('status.store') }}",
            type: "POST",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: data,
            success: function (data) {
                insertMessages(data.status, data.msg)
            }
        });
    });

    $('#new_status').on('click',function(){
        $('.validate_messages').empty();
    });

    $('#updateStatus').on('click',function(){
        let data = {
            name: $('#updtatedStatusName').val(),
            id: $('#currentStatusid').val()
        }

        $.ajax({
            url: "{{ route('status.update') }}",
            type: "POST",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: data,
            success: function (data) {
                insertMessages(data.status, data.msg)
            }
        });
    });

    $('#decline_new_order').on('click', function(){
            location.reload();
    });

    $('#save_new_order').on('click', function(){


        var new_order = [];
        var current_order = $('.current_order');

        for (let index = 0; index < current_order.length; index++) {
            new_order.push( $(current_order[index]).data('id') );
        }

        let data = {
            new_order: new_order
        }

        $.ajax({
            url: "{{ route('status.reArrange') }}",
            type: "POST",
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: data,
            success: function (data) {
                insertMessages(data.status, data.msg, false);
            }
        });

    });

    function deleteStatus(target_id)
    {
        var status_name = $()
        var decision_status = confirm(  " : تأكيد حذف الحالة " + $('.status_name[data-id="'+ target_id +'"]').text());
        if(decision_status)
        {

            let data = {
                id: target_id
            };

            $.ajax({
                url: "{{ route('status.destroy') }}",
                type: "POST",
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                data: data,
                success: function (data) {
                    insertMessages(data.status, data.msg, false);
                }
            });

        }
    }

    function insertMessages(status, message, in_modal = true)
    {
        if(in_modal)
        {
            $(".validate_messages").addClass( status == true ? 'alert-success' : 'alert-danger');
            $(".validate_messages").html(message);
        }
        else{

            $("#general_messages").removeClass(status == false ? 'alert-success' : 'alert-danger');

            $("#general_messages").addClass( status == true ? 'alert-success' : 'alert-danger');
            $('#general_messages').html(message);
            document.getElementById("general_messages").scrollIntoView();
        }


        setTimeout(function () {
            if(status)
            {
                location.reload();
            }
        }, 300)
    }

    function fireUpdate(target_id)
    {
        $('.validate_messages').empty();
        if(target_id > 0)
        {
            $('#currentStatusName').val($('.status_name[data-id="'+ target_id +'"]').text());
            $('#currentStatusid').val(target_id);
            $('#updateModal').modal('show');
        }
    }

    $('.rearrange_up').on('click', function(e) {
        var wrapper = $(this).closest('tr')
        wrapper.insertBefore(wrapper.prev())
    })

    $('.rearrange_down').on('click', function(e) {
        var wrapper = $(this).closest('tr')
        wrapper.insertAfter(wrapper.next())
    })


</script>
