<form class="hidden-print autocomplete-target" id="submit_form" autocomplete="off" method="post" action="{{ route('manufacture.load.data') }}" style="background-color: #fff; padding: 10px 15px 0;">
    @csrf
    <div class="form_1" style="display: flex;">
        <div class="form-group col-md-3">
            <label> {{ __('manufacture::trans.select_product') }} </label>
            <input type="text" class="form-control autocomplete" data-manufacturing="1" placeholder="{{ __('manufacture::trans.select_product') }}">
            <input type="hidden" name="item_id" id="item_id">
            <input type="hidden" name="page" id="page_number" value="1">
            <div class="load-items" style="width: 100%; position: absolute; z-index: 10; background-color: #fff"></div>
        </div>
        <div class="form-group col-md-2">
            <label> {{ __('manufacture::trans.manufacture_order') }} </label>
            <input type="text" class="form-control" name="order_id" id="order_id" placeholder="{{ __('manufacture::trans.manufacture_order') }}">
        </div>
        <div class="form-group col-md-2">
            <label> {{ __('manufacture::trans.from_date') }} </label>
            <input type="text" class="form-control input-sm input-light date" name="from_date" id="from_date" placeholder="{{ __('manufacture::trans.from_date') }}" value="{{ request('from_date', now()->firstOfMonth()->format('Y-m-d')) }}">
        </div>
        <div class="form-group col-md-2">
            <label> {{ __('manufacture::trans.to_date') }} </label>
            <input type="text" class="form-control input-sm input-light date" autocomplete="off" name="to_date" id="to_date" placeholder="{{ __('manufacture::trans.to_date') }}" value="{{ request('to_date', now()->lastOfMonth()->format('Y-m-d')) }}">
        </div>

        <div class="form-group col-md-3" style="padding-top: 30px">
            <button type="submit" class="btn btn-sm btn-info d-inline w-25" autocomplete="off">{{ __('manufacture::trans.show') }}</button>
            <button type="button" id="export-table" class="btn btn-sm btn-success d-inline">{{ trans('extends.toExcel') }} </button>
        </div>
    </div>
</form>
