<div class="col-md-12 well mt-4 pt-3" style="border-top: 2px solid #17a2b8">
    <h2 class="text-info font-weight-bold">
        تعريف مكونات التصنيع / التجميع
{{--        <a href="{{ route('manufacture.reports.index') }}" class="btn btn-info float-left">عرض التقرير</a>--}}
    </h2>

    <table class="table table-striped table-bordered table-hover table-heading">
        <thead class="bg-info text-white">
            <tr>
                <th>م</th>
                <th>الصنف</th>
                <th>الوصف</th>
                <th>الكمية</th>
                <th>  التكلفه </th>
                <th>تعديل</th>
                <th>إلغاء</th>
            </tr>
        </thead>
        <tbody>
            @forelse ($list_items as $list_item)
                <tr style="border-bottom: 2px solid #337ab7">
                    <td> {{ $loop->iteration }} </td>
                    <td>
                        {{ $list_item->item_name }} <br>
                        ناتج التصنيع للمرة الواحدة
                        {{ $list_item->collection->first()->main_result }}
                    </td>
                    <td colspan="3">
                        @foreach($list_item->collection as $index => $collection)
                            <div class="row" style=" {{ ($index + 1) < count($list_item->collection) ? 'border-bottom: 1px solid #17a2b8; margin-bottom: 3px; border-radius: 8px;' : '' }}">
                                <div class="col-md-4"> {{ $collection->item->item_name }} </div>
                                <div class="col-md-4"> {{ round_quantity($collection->quant, true) }} </div>
                                <div class="col-md-4"> {{ is_numeric($collection->item->pay_price) && is_numeric($collection->quant) ?  round_quantity($collection->item->pay_price * $collection->quant , true) : 0 }} </div>
                            </div>
                        @endforeach
                    </td>
                    <td>
                        <a class="btn btn-success btn-large" href="{{ route('manufacture.edit', $list_item->id) }}">تعديل</a>
                    </td>
                    <td>
                        <form method="post" action="{{ route('manufacture.destroy', $list_item->id) }}" class="delete-row">
                            @method('DELETE') @csrf
                            <button type="submit" class="btn btn-danger">حذف</button>
                        </form>
                    </td>
                </tr>
            @empty
                <tr>
                    <td class="text-center text-warning font-weight-bold" colspan="10">لا يوجد بيانات</td>
                </tr>
            @endforelse
        </tbody>
    </table>
</div>
