@forelse($orders as $order)
    <tr>
        <td> {{ $loop->iteration }} </td>
        <td> {{ $order->add_date }} </td>
        <td>
            <p>             مخزن الإنتاج:  {{ $order->store->store_name }} </p>
            <p> مخزن الخامات:  {{ $order->details->first()?->productionStore?->store_name }} </p>
        </td>
        <td>
            {{ $order->item->item_name }} <br>
            أمر التصنيع: {{ $order->order_id }} <br>
            بواسطة: {{ $order->user->name }}
        </td>

        <td colspan="2">
            @foreach($order->details as $details)
                <div class="row mb-1">
                    <div class="col-md-7" style="border: 1px solid #17a2b8; border-radius: 8px; padding: 5px 5px;">
                        {{ $details->item->item_name }}
                    </div>
                    <div class="col-md-5 text-center" style="border: 1px solid #17a2b8; border-radius: 8px; padding: 5px 5px; border-right: unset">
                        {{ $details->quantity }}
                    </div>
                </div>
            @endforeach
        </td>
        <td class="text-center hidden-print">
            <form method="post" action="{{ route('manufacture.orders', $order->order_id) }}" class="delete-row">
                @csrf
                @method('DELETE')
                <button type="submit" class="btn btn-danger btn-sm d-block w-100">
                    <i class="fa fa-trash-o"></i> حذف
                </button>
            </form>
        </td>
    </tr>
@empty
    <tr>
        <td colspan="10" class="text-center">
            لا يوجد بيانات
        </td>
    </tr>
@endforelse

<tr>
    <td colspan="10"> {{ $orders->links() }} </td>
</tr>
