<script>
    $(function () {
        $('#add-item').on('click', function (e) {
            e.preventDefault();
            if ($(this).data('id') == '' || $(this).data('qty') == '' || $(this).data('qty') <= 0) return;
            let check_row = $(`tbody tr#row-${$(this).data('id')}`);
            if (check_row.length > 0) {
                let qty = Number(check_row.find('.qty').val()) + Number($(this).data('qty'));
                console.log(qty)
                check_row.find('.qty').val( qty );
                check_row.find('.show-qty').text( qty );
            } else {
                $('#list-new-items').prepend(itemTemplate( $(this) ));
            }

            resetBtn($(this));
        });

        $('body').on('click', '.remove-new-item', function () {
            $(this).closest('tr').remove();
        });

        function resetBtn(btn)
        {
            btn.data('id', '')
                .data('name', '')
                .data('details', '')
                .data('qty', '')
                .closest('td').siblings('td')
                .find('input').val('')
                .closest('tr').find('input').val('');
        }


    });
</script>
