<script>
    $(function () {
        $('body').on('submit', 'form.delete-row', function (e) {
            e.preventDefault();
            $('#show-message').empty();
            if ( ! confirm('هل أنت متأكد من عملية الحذف ؟') )
                return;

            let form = $(this);
            form.find('button[type="submit"]').prop('disabled', true);
            $.ajax({
                url: form.attr('action'),
                type: form.attr('method'),
                data: form.serialize(),
                success: function (response) {
                    form.closest('tr').remove();
                    $('#show-message').append(`<div class="alert alert-success alert-dismissible fade show" role="alert"> ${response.message}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true"> <i class="fa fa-check"></i> </span>
                                    </button>
                                </div>`);
                },
                error: function (response) {
                    $('#show-message').append(`<div class="alert alert-danger alert-dismissible fade show" role="alert">
                                    <strong>خطأ!</strong> هناك خطأ ما
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>`);
                },
                complete: function () {
                    form.find('button[type="submit"]').prop('disabled', false);
                }
            });
        });
    })
</script>
