<script>
    $(function () {
        $('#submit-form').on('submit', function (e) {
            e.preventDefault();
            let form = $(this);
            $('#show-message').empty();
            form.find('button').prop('disabled', true);

            $.ajax({
                url: form.attr('action'),
                type: form.attr('method'),
                data: form.serialize(),
                success: function (response) {
                    if (response.reload == true) {
                        window.location.reload(true);
                    }
                },
                error: function (error) {
                    form.find('button').prop('disabled', false);
                    let messages = "<strong>خطأ!</strong> هناك خطأ ما";
                    if (error.status == 500) {
                        messages = `<strong>خطأ!</strong> ${error.responseJSON.message}`;
                    }
                    if (error.status == 422) {
                        messages = '';
                        $.each(error.responseJSON.errors, function (key, value) { messages += '<p>' + value[0] + '</p>'; });
                    }

                    $('#show-message').append(`<div class="alert alert-danger alert-dismissible fade show" role="alert"> ${messages}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>`);
                },
                complete: function () {
                    form.find('button').prop('disabled', false);
                }
            });
        });
    });
</script>
