@forelse($items as $item)
    @php
        $qty = $item->orders->sum('quantity');
        $price = number_format($item->sale_price, true);
    @endphp
    <tr>
        <td>{{ $loop->iteration }}</td>
        <td>{{ $item->item_name }}</td>
        @php
            $cost = $price * $qty;
            $price = $item->sale_price * $qty;
        @endphp
        <td class="items-qty" data-value="{{ price_decimal( $qty ) }}">{{ price_decimal( $qty ) }}</td>
        <td class="item-cost" data-value="{{ price_decimal( $price ) }}">{{ price_decimal( $price ) }}</td>
        <td class="items-cost" data-value="{{ price_decimal( $price * $qty ) }}">{{ price_decimal( $cost ) }}</td>
        <td class="item-price" data-value="{{ price_decimal( $item->sale_price ) }}">{{ price_decimal( $item->sale_price ) }}</td>
        <td class="items-price" data-value="{{ price_decimal( $item->sale_price * $qty ) }}">{{ price_decimal( $price ) }}</td>

        <td>{{ number_format($cost / $price * 100, 2) }} %</td>
    </tr>
@empty
    <tr>
        <td colspan="8" class="text-center">
            لا يوجد بيانات
        </td>
    </tr>
@endforelse
