
<header class="global-header">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xl-3 col-12 text-center">
                <div class="logo d-block d-md-inline-block">
                    <a href="#" title=" @lang('login.badr')">
                        <img src="{{ asset('imgs/logo.png') }}" alt=" @lang('login.badr')"  title=" @lang('login.badr')" />
                    </a>
                </div>

                <div class="md-logout logout  d-none d-md-inline-block d-lg-none float-left mt-5 ml-4">
                <a title="@lang('native.logout')" onclick="event.preventDefault(); logout()" href="{{ route('logout') }}" >
                                <span class="icon-power"><img src="{{ asset('imgs/power.png') }}" alt=""></span>
                                @lang('native.logout')
                            </a>
                </div>
            </div>
            <div class="col-xl-9 col-12">
                <div class="d-flex justify-content-xl-end align-self-center" >
                    <ul class="list-admin__info list-unstyled list-inline justify-content-center mt-3" >
                        <li class="list-inline-item m-2 text-center copy-issue" id="test-header" style="border-radius: 25px;">
                            @if(get_session_val('einvoice', 'integer') == 1 && isset($einvoice_mode))
                                @if ((int) $einvoice_mode === 1)
                                    <span class="text-success">@lang('einvoice.actual-mode')</span>
                                @elseif ((int) $einvoice_mode === 0)
                                    <span class="text-warning">@lang('einvoice.test-mode')</span>
                                @endif
                            @endif
                        </li>

                        <li class="list-inline-item m-2 text-center" style="border-radius: 25px;">
                            <div class="dropdown">
                                <button class=" language-content__select dropdown-toggle" type="button" data-toggle="dropdown" aria-expanded="false" style="width: 200px">
                                    {{ LaravelLocalization::getCurrentLocaleNative() }}
                                </button>
                                <div class="dropdown-menu lang-dropdown">
                                    @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
                                        <a class="dropdown-item {{ app()->getLocale() == $localeCode ? 'active' : '' }}" rel="alternate" hreflang="{{ $localeCode }}"
                                            href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}">
                                            {{ $properties['native'] }}
                                        </a>
                                    @endforeach
                                </div>
                            </div>


                        </li>

                        @if ( auth()->check() && \Modules\Item\Entities\BadrShop::where('online', 0)->where('serial_id', auth()->user()->shop_id)->count())
                            <li class="list-inline-item m-2 text-center" id="test-header" style="border-radius: 25px;">
                                @php $lastSubDay = auth()->user()->getLastSubDay(); @endphp
                                @if ($lastSubDay <= 5)
                                    <span class="alert {{ $lastSubDay < 3 ? 'alert-danger' : 'alert-warning' }}">
                                        @lang('einvoice.have-only-days', ['days' => $lastSubDay])
                                    </span>
                                @endif
                            </li>
                        @endif

                        <li class="list-inline-item m-2 text-center">
                            <a href="https://www.youtube.com/watch?v=LLYg-pGJ3oQ&list=PLVyNZweqnZAV_A4j3fAjw3hRpzFnAa_zX" target="_blank" title="@lang('native.tutorial')" >
                                <span class="d-block icon-img"> <img src="{{ asset('imgs/youtube.png') }}" /> </span>
                                @lang('native.tutorial') {{ config('app.app_version') }}
                            </a>
                        </li>
                        <li class="list-inline-item ml-1 item-admin-list-light f-weight-bold">
                            <a href="#" class="item-admin__content text-center">
                                <img src="{{ asset('imgs/boss.png') }}" class="" alt="" srcset="">
                                <p class="">
                                    @lang('native.support_id')
                                </p>
                                <strong class="color-small">
                                    {{ Auth::user()->shop_id }}
                                </strong>
                            </a>
                        </li>

                        <li class="list-inline-item ml-1  item-admin-list-light f-weight-bold">
                            <a href="#">

                                <span class="color-small">
                                @lang('native.hello')
                                </span>
                                 {{ Auth::user()->name }}
                            </a>
                        </li>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>

                        <li class="list-inline-item logout ml-1  d-lg-inline-block d-md-none">
                            <a title="@lang('native.logout')" onclick="event.preventDefault(); logout()" href="{{ route('logout') }}" >
                                <span class="icon-power"><img src="{{ asset('imgs/power.png') }}" alt=""></span>
                                @lang('native.logout')
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>
