<aside class="global-aside">
    <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">×</a>
    <ul class="sidebar list-group list-unstyled">
        <li class="list-group-item" Auto_Test="sidebar_home">
            <a href="{{ route('master.home') }}" title="@lang('native.Home')" class="active">
                <span class="icon-img">
                    <img src="{{ asset('imgs/home.png') }}">
                </span>
                @lang('native.Home')
            </a>
        </li>

        @if(
                authorized('can_display_suppliers') ||
                authorized('can_display_clients') ||
                authorized('can_add_supplier') ||
                authorized('can_add_client') ||
                authorized('can_show_debentures_payment_receipt') ||
                authorized('can_show_bad_balance') ||
                authorized('can_show_debentures_cash_receipt') ||
                authorized('can_edit_by_excel') ||
                authorized('can_sale_with_discount')
        )
        <li class="list-group-item dropdown" Auto_Test ="sidebar_client_suppliers">
            <a href="#" title="العملاء " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="{{ asset('imgs/man.png') }}">
                </span>
                @lang('client.all clients-suppliers')
            </a>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="{{ route('clients.create') }}" Auto_Test ="sidebar_client_suppliers_create_client_supplier"> @lang('client.add client-supplier')</a>
                @if (auth()->user()->sale_discount == 1)
                    <a class="dropdown-item" href="{{ route('clients.clients-groups') }}" Auto_Test ="sidebar_client_suppliers_client_group"> @lang('client.clientGroup.client-group') </a>
                @endif

                <a class="dropdown-item" href="{{ route('clients.index') }}" Auto_Test ="sidebar_client_suppliers_all_client_supplier">@lang('client.all clients-suppliers')</a>
                @if ((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')))
                    <a class="dropdown-item" href="{{ route('clientinstalments.index') }}" Auto_Test ="sidebar_client_suppliers_rest_client_schedualer"> @lang('client.rest.client-scheduler') </a>
                    <a class="dropdown-item" href="{{ route('supplierinstallment.index') }}" Auto_Test ="sidebar_client_suppliers_rest_supplier-scheduler"> @lang('client.rest.supplier-scheduler') </a>
                @endif

                @if(authorized('can_show_debentures_cash_receipt'))
                <a class="dropdown-item" href="{{ route('debentures.cash-receipt') }}" Auto_Test ="sidebar_client_suppliers_cash_reciept"> @lang('client.cash-receipt') </a>
                @endif

                @if(authorized('can_show_debentures_payment_receipt'))
                <a class="dropdown-item" href="{{ route('debentures.payment-receipt') }}" Auto_Test ="sidebar_client_suppliers_payment_receipt"> @lang('client.payment-receipt') </a>
                @endif

                @if(authorized('can_edit_by_excel'))
                <a class="dropdown-item" href="{{ route('excel.edit_clients') }}" Auto_Test ="sidebar_client_suppliers_client_excel_modification">
                    @lang('client.excel-modification')
                </a>
                @endif

                @if(authorized('can_show_bad_balance'))
                <a class="dropdown-item" href="{{ route('bad.balance') }}" Auto_Test ="sidebar_client_suppliers_bad_balance"> @lang('client.culling-balances') </a>
                @endif
            </div>
        </li>
        @endif

        @if (get_session_val('module', 'integer') == 3)


        <li class="list-group-item dropdown" Auto_Test ="sidebar_Manufacturing">
            <a href="#" title="العملاء " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="{{ asset('imgs/man.png') }}">
                </span>
                @lang('native.Manufacturing')
            </a>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <a href="{{ route('shifts.create') }}" title="الورديات" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_shifts_create"> الورديات </a>
                <a href="{{ route('machine.create') }}" title="الماكينات" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_machine_create"> الماكينات </a>
                <a href="{{ route('colors.create') }}" title="الالوان" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_colors_create"> الالوان </a>
                <a href="{{ route('manufacturing.create') }}" title="عملية تصنيع جديدة" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_manufacturing_create"> عملية تصنيع جديدة </a>
                <a href="{{ route('manufacturing.index') }}" title="عرض عمليات التصنيع" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_manufacturing.index"> عرض عمليات التصنيع </a>
                {{-- <a href="{{ route('mortal.create') }}" title="عملية اهلاك" class="dropdown-item"> عملية اهلاك </a> --}}
                <a href="{{ route('production.create') }}" title="عملية انتاج" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_production_create"> عملية انتاج </a>
                <a href="{{ route('finishing.create') }}" title="مراحل التشطيب" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_finishing_create"> مراحل التشطيب </a>
                <a href="{{ route('finishing-stages.create') }}" title="عملية تشطيب" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_finishing_stages_create"> عملية تشطيب </a>
                <a href="{{ route('manufacturingReport.index') }}" title="تقريرالتصنيع" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_manufacturingReport_index"> تقريرالتصنيع </a>
                <a href="{{ route('MortalReport.index') }}" title="تقرير الهالك" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_MortalReport_index"> تقرير الهالك </a>
                <a href="{{ route('productionReport.index') }}" title="تقرير الانتاج" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_productionReport_index"> تقرير الانتاج </a>
                <a href="{{ route('workersReport.index') }}" title="تقرير العمال" class="dropdown-item" Auto_Test ="sidebar_Manufacturing_workersReport_index"> تقرير العمال </a>
            </div>
        </li>

        @endif
        @if(
            authorized('can_sale') ||
            authorized('can_return_sales') ||
            authorized('can_show_sales_offers') ||
            authorized('can_add_sales_offers')
        )
            @if (get_session_val('module', 'integer') != 2)
                <li class="list-group-item dropdown"  Auto_Test ="sidebar_sales">
                    <a href="#" title="المبيعات " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                        <span class="icon-img">
                            <img src="{{ asset('imgs/cart.png') }}">
                        </span>
                        @lang('native.Sales')
                    </a>
                    <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                        @if(authorized('can_sale'))
                        <a class="dropdown-item" href="{{ route('invoices.new', 'sales') }}"  Auto_Test ="sidebar_sales_add_sales">
                            @lang('native.add-sales')
                        </a>
                        @endif
                        @if(authorized('can_display_sales'))
                            <a class="dropdown-item" href="{{ route('invoices.index', 'sales') }}"  Auto_Test ="sidebar_sales_list_sales"> @lang('native.list-sales') </a>
                            
                            @if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer'))
                                <a class="dropdown-item" href="{{ route('invoices.pendings', 'sales') }}"  Auto_Test ="sidebar_sales_list_pending_sales"> @lang('native.list-pending-sales') </a>
                            @endif
                        @endif

                        @if(authorized('can_return_sales'))
                            <a class="dropdown-item" href="{{ route('invoices.new', 'returned sales') }}"  Auto_Test ="sidebar_sales_add_return_sales"> @lang('native.add-return-sales') </a>
                        @endif
                        @if(authorized('can_display_sales'))
                            <a class="dropdown-item" href="{{ route('invoices.index', 'returned sales') }}"  Auto_Test ="sidebar_sales_list_returned sales"> @lang('native.list-return-sales') </a>
                            
                            @if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer'))
                                <a class="dropdown-item" href="{{ route('invoices.pendings', 'returned sales') }}"  Auto_Test ="sidebar_sales_list_returned_pending_sales"> @lang('native.list-return-pending-sales') </a>
                            @endif
                        @endif
                        @if(authorized('can_add_sales_offers'))
                            <a class="dropdown-item" href="{{ route('invoices.new', 'sales offers') }}"  Auto_Test ="sidebar_sales_add_offers"> @lang('native.add-offers') </a>
                        @endif

                        @if(authorized('can_show_sales_offers'))
                        <a class="dropdown-item" href="{{ route('invoices.index', 'sales offers') }}"  Auto_Test ="sidebar_sales_list_offers"> @lang('native.list-offers') </a>
                        @endif

                        @if (get_session_val('home_delivery', 'integer') != 0 && get_session_val('einvoice', 'integer') != 1)
                            <a class="dropdown-item" href="{{ route('delivery-report.index') }}"  Auto_Test ="sidebar_sales_delivery_orders_report"> @lang('native.delivery-orders-report') </a>
                        @endif

                    </div>
                </li>
            @else
                <li class="list-group-item dropdown"  Auto_Test ="sidebar_sales2">
                    <a href="#" title="@lang('native.Sales') " class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/cart.png') }}">
                    </span>
                        @lang('native.Sales')
                    </a>
                    <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                        @if(authorized('can_display_sales'))
                            <a class="dropdown-item" href="{{ route('dairy.sales.invoices.create') }}"  Auto_Test ="sidebar_sales2_add_sales2"> @lang('native.add-sales') </a>
                        @endif

                        @if(authorized('can_display_sales'))
                            <a class="dropdown-item" href="{{ route('dairy.sales.invoices.index') }}"  Auto_Test ="sidebar_sales2_list_sales2"> @lang('native.list-sales') </a>
                        @endif
                    </div>
                </li>
            @endif
        @endif

        @if(
            authorized('can_add_purchases_invoices') ||
            authorized('can_add_returned_purchases') ||
            authorized('can_see_purchase_price') ||
            authorized('can_display_purchases')
        )
        @if (get_session_val('module', 'integer') != 2)
            <li class="list-group-item dropdown"  Auto_Test ="sidebar_income">
                <a href="#" title="@lang('native.income')" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/capa.png') }}">
                    </span>
                    @lang('native.income')
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">

                    @if(authorized('can_add_purchases_invoices'))
                        <a class="dropdown-item" href="{{ route('invoices.new', 'purchases') }}" Auto_Test ="sidebar_income_add_income">
                            @lang('native.add_income')
                        </a>
                    @endif
                    @if(authorized('can_display_purchases'))
                        <a class="dropdown-item" href="{{ route('invoices.index', 'purchases') }}" Auto_Test ="sidebar_income_list_income"> @lang('native.list-income') </a>
                        
                        @if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer'))
                            <a class="dropdown-item" href="{{ route('invoices.pendings', 'purchases') }}" Auto_Test ="sidebar_income_list_pending_income"> @lang('native.list-pending-income') </a>
                        @endif
                    @endif
                    @if(authorized('can_add_returned_purchases'))
                        <a class="dropdown-item" href="{{ route('invoices.new', 'returned purchases') }}" Auto_Test ="sidebar_income_returned_purchases"> @lang('native.Returned_Purchases') </a>
                    @endif
                    @if(authorized('can_display_purchases'))
                        <a class="dropdown-item" href="{{ route('invoices.index', 'returned purchases') }}" Auto_Test ="sidebar_income_list_returned_purchases"> @lang('native.list-returned-purchases') </a>
                        
                        @if(authorized('show_pending_invoice') && get_session_val('pending_bills', 'integer'))
                            <a class="dropdown-item" href="{{ route('invoices.pendings', 'returned purchases') }}" Auto_Test ="sidebar_income_list_rturned_pending_purchases"> @lang('native.list-returned-pending-purchases') </a>
                        @endif
                    @endif
                </div>
            </li>
        @else
            <li class="list-group-item dropdown" Auto_Test ="sidebar_income2">
                <a href="#" title="@lang('native.income')" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="{{ asset('imgs/cart.png') }}">
                </span>
                    @lang('native.income')
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="{{ route('dairy.requests.index') }}" Auto_Test ="sidebar_income2_index"> @lang('dairy.index-title') </a>

                    @if(authorized('can_add_purchases_invoices'))
                        <a class="dropdown-item" href="{{ route('dairy.purchases.invoices.create') }}" Auto_Test ="sidebar_income2_add_income2"> @lang('dairy.add_income') </a>
                    @endif

                    @if(authorized('can_display_purchases'))
                        <a class="dropdown-item" href="{{ route('dairy.purchases.invoices.index') }}" Auto_Test ="sidebar_income2_show_income2"> @lang('dairy.show_income') </a>
                    @endif

                    <a class="dropdown-item" href="{{ route('dairy.reports.supply.operations') }}" Auto_Test ="sidebar_income2_report_process"> @lang('dairy.report-process') </a>
                    <a class="dropdown-item" href="{{ route('dairy.reports.client.balance') }}" Auto_Test ="sidebar_income2_report_client_balance"> @lang('dairy.report-client-balance') </a>
                </div>
            </li>
        @endif
        @endif

        @if (authorized('can_display_items'))
            <li class="list-group-item dropdown" Auto_Test ="sidebar_items">
                <a href="#" title="الاصناف" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/box.png') }}">
                    </span>
                    @lang('items.title')
                </a>

                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="{{ route('items.index') }}" Auto_Test ="sidebar_items_list_items">{{ __('items.title') }}</a>
                    <a class="dropdown-item" href="{{ route('category.index') }}" Auto_Test ="sidebar_items_categories"> @lang('items.categories')</a>
                    <a class="dropdown-item" href="{{ route('units.index') }}" Auto_Test ="sidebar_items_units">{{ __('units.title') }}</a>
                    @if (get_session_val('units_sup', 'integer') == 1 && authorized('can_edit_by_excel'))
                        <a class="dropdown-item" href="{{ route('excel.units-excel') }}"  Auto_Test ="sidebar_items_add_unit_by_excel">
                            @lang('items.add-units-by-excel')
                        </a>
                    @endif

                    <a class="dropdown-item"
                        href="{{ route('barcode.printBarcode') }}" Auto_Test ="sidebar_items_print_barcode">{{ __('items.barcode_ticket.tickets.title') }}</a>
                    <a class="dropdown-item"
                        href="{{ route('barcode.settings') }}" Auto_Test ="sidebar_items_barcode_setting">{{ __('items.barcode_ticket.settings.title') }}</a>
                    @if (get_session_val('multi_price', 'integer') == 1)
                        <a class="dropdown-item"
                            href="{{ route('multiPrices.all') }}"  Auto_Test ="sidebar_items_multiprices_list_all">{{ __('multiPrices.view_list_of_all') }}</a>
                    @endif

                    @if(authorized('can_edit_by_excel'))
                    <a class="dropdown-item" href="{{ route('excel.edit_items') }}" Auto_Test ="sidebar_items_modify_items_by_excel">
                        @lang('items.modify-items-excel')
                    </a>
                    @endif

                    <a class="dropdown-item" href="{{ route('perishes.index') }}" Auto_Test ="sidebar_items_products"> @lang('items.products-depreciation') </a>
                </div>

            </li>
        @endif

        @if(authorized('can_show_stores'))
        <li class="list-group-item dropdown"  Auto_Test ="sidebar_stores">
            <a href="#" title="المخازن" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <span class="icon-img">
                    <img src="{{ asset('imgs/store.png') }}">
                </span>
                @lang('native.stores')
            </a>
            <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="{{ route('stores.index') }}" Auto_Test ="sidebar_stores_list_stores">@lang('store.show-stores') </a>
                <a class="dropdown-item" href="{{ route('stores.transform-items') }}" Auto_Test ="sidebar_stores_stores_transform_items"> @lang('store.trans-stores') </a>
                <a class="dropdown-item" href="{{ route('stores.transform-list') }}" Auto_Test ="sidebar_stores_show_orders"> @lang('store.show-orders')</a>
            </div>
        </li>
        @endif

        @if (isset(Module::allEnabled()['Car']))
            <li class="list-group-item dropdown" Auto_Test ="sidebar_stores2">
                <a href="#" title="المخازن" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/store.png') }}">
                    </span>
                    @lang('native.stores')
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="{{ route('stores.index') }}" Auto_Test ="sidebar_stores2_list_stores2"> @lang('store.show-stores') </a>
                    <a class="dropdown-item" href="{{ route('stores.transform-items') }}" Auto_Test ="sidebar_stores2_transform_items"> @lang('store.trans-stores')</a>
                    <a class="dropdown-item" href="{{ route('stores.transform-list') }}" Auto_Test ="sidebar_stores2_show_order2"> @lang('store.show-orders')</a>
                </div>
            </li>
        @endif

        @if (authorized('can_list_spending') || authorized('can_add_spend'))
            <li class="list-group-item dropdown" Auto_Test ="sidebar_expenses_revenues">
                <a href="#" title="@lang('native.Expenses_revenues')" class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/business-and-finance.png') }}">
                    </span>
                    @lang('native.Expenses_revenues')
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    @if (authorized('can_list_spending'))
                        <a class="dropdown-item" href="{{ route('expenses.index') }}" Auto_Test ="sidebar_expenses_revenues_spend_item">@lang('native.spend_item')</a>
                        <a class="dropdown-item" href="{{ route('revenues.index') }}" Auto_Test ="sidebar_expenses_revenues_income_item">@lang('native.income_item')</a>
                    @endif

                    @if (authorized('can_add_spend'))
                        <a class="dropdown-item" href="{{ route('spendsandincoms.index') }}" Auto_Test ="sidebar_expenses_revenues_spend_regi">@lang('native.spend_regi')</a>
                        <a class="dropdown-item" href="{{ route('incomes.index-incomes') }}" Auto_Test ="sidebar_expenses_revenues_add_imports">@lang('native.add_Imports')</a>
                    @endif
                </div>
            </li>
        @endif

        @if(authorized('can_show_employees'))
        <li class="list-group-item dropdown" Auto_Test ="sidebar_employeegroupmenu">
            <a href="#" title="@lang('native.employeegroupmenu')" class="dropdown-toggle" data-toggle="dropdown"
                aria-expanded="false">
                <span class="icon-img">
                    <img src="{{ asset('imgs/man.png') }}">
                </span>
                @lang('native.employeegroupmenu')
            </a>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="{{ route('employee.index') }}" Auto_Test ="sidebar_employeegroupmenu_EmployeeList"> @lang('native.EmployeeList')</a>
                <a class="dropdown-item" href="{{ route('employee.pay-sallery') }}" Auto_Test ="sidebar_employeegroupmenu_salary_disbursement"> @lang('native.salary_disbursement')</a>
                <a class="dropdown-item" href="{{ route('employee.pay-money-out') }}" Auto_Test ="sidebar_employeegroupmenu_Register_advances"> @lang('native.Register_advances,_incentives_and_discounts') </a>
            </div>
        </li>
        @endif
        @if(authorized('can_display_reports'))
        <li class="list-group-item dropdown"  Auto_Test ="sidebar_reports">
            <a href="#" title="@lang('native.reports')" class="dropdown-toggle" data-toggle="dropdown"
                aria-expanded="false">
                <span class="icon-img">
                    <img src="{{ asset('imgs/diagram.png') }}">
                </span>
                @lang('native.reports')
            </a>

            <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="{{ route('salesreports.index') }}" Auto_Test ="sidebar_reports_list_reports"> @lang('native.reports') </a>
                {{-- <a class="dropdown-item" href="{{route('salesreports.spend_report')}}">  المصروفات </a>
                <a class="dropdown-item" href="{{route('salesreports.incom_report')}}">  الايرادات </a> --}}
                <a class="dropdown-item" href="{{ route('salesreports.trial-balance') }}" Auto_Test ="sidebar_reports_trial_balance"> @lang('native.trial-balance') </a>
            </div>
        </li>
        @endif
        @if (get_session_val('apply_vats', 'integer') == 1 && get_session_val('einvoice', 'integer') == 1)
            <li class="list-group-item dropdown" Auto_Test ="sidebar_einvoice">
                <a href="#" title="{{ __('einvoice.title') }}"
                    class="dropdown-toggle @if (Request::is('einvoice/*')) active @endif" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/diagram.png') }}">
                    </span>
                    {{ __('einvoice.title') }}
                </a>
                <div class="dropdown-menu dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item"
                        href="{{ route('einvoice.documents.index') }}"  Auto_Test ="sidebar_einvoice_list_envoices">{{ __('einvoice.all_einvoices') }}</a>
                    <a class="dropdown-item"
                        href="{{ route('einvoice.packageRequests.index') }}"  Auto_Test ="sidebar_einvoice_packageRequests">{{ __('einvoice.packageRequests.title') }}</a>
                    <a class="dropdown-item"
                        href="{{ route('einvoice.settings.index') }}" Auto_Test ="sidebar_einvoice_settings">{{ __('einvoice.settings') }}</a>
                    <a class="dropdown-item"
                        href="{{ route('einvoice.notifications.index') }}" Auto_Test ="sidebar_einvoice_notification">{{ __('einvoice.notifications.title') }}</a>
                    <a class="dropdown-item"
                        href="{{ route('einvoice.itemcodes.index') }}" Auto_Test ="sidebar_einvoice_item_code">{{ __('einvoice.itemcodes.title') }}</a>
                </div>
            </li>
        @endif

        @if(authorized('can_show_maintenance') && get_session_val('maintenance_module', 'integer'))
            <li class="list-group-item dropdown"  Auto_Test ="sidebar_maintenance">
                <a href="#" title="@lang('native.maintenance') " class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/maintenance.jpeg') }}">
                    </span>
                    @lang('native.maintenance')
                </a>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="{{ route('maintenance.create') }}" Auto_Test ="sidebar_maintenance_New_orders"> @lang('native.New_orders') </a>
                    <a class="dropdown-item" href="{{ route('maintenance.index') }}" Auto_Test ="sidebar_maintenance_All_orders"> @lang('native.All_orders') </a>
                    <a class="dropdown-item" href="{{ route('maintenance.enquiry') }}" Auto_Test ="sidebar_maintenance_enquiry"> @lang('maintenance.enquiry') </a>
                    <a class="dropdown-item" href="{{ route('components.index') }}" Auto_Test ="sidebar_maintenance_components">  @lang('maintenance.components') </a>
                    <a class="dropdown-item" href="{{ route('status.index') }}" Auto_Test ="sidebar_maintenance_requests_status"> @lang('maintenance.requests_status') </a>
                </div>
            </li>
        @endif

        @if(authorized('can_display_settings'))
            <li class="list-group-item dropdown" Auto_Test ="sidebar_setting">
                <a href="#" title="@lang('native.setting')" class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/setting.png') }}">
                    </span>
                    @lang('native.setting')
                </a>
                <div class="dropdown-menu  dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    @if (get_session_val('apply_vats', 'Integer') == 1)
                        <a class="dropdown-item" href="{{ route('bill-adds.all') }}" Auto_Test ="sidebar_setting_bill_adds"> @lang('native.bill-adds') </a>
                    @endif
                    @if (get_session_val('multi_currency', 'Integer') == 1 && app()->environment(['local', 'test']))
                        <a class="dropdown-item" href="{{ route('currencies.index') }}" Auto_Test ="sidebar_setting_currencies"> @lang('currency::trans.title.name') </a>
                    @endif
                    <a class="dropdown-item" href="{{ route('users.all') }}" Auto_Test ="sidebar_setting_users">
                        @lang('native.users')
                    </a>
                    @if (get_session_val('enable_commission_rates', 'integer'))
                        <a class="dropdown-item" href="{{ route('users.goals') }}" Auto_Test ="sidebar_setting_users_goals"> {{trans('users.add-users-goals')}} </a>
                        <a class="dropdown-item" href="{{ route('commissions.index') }}" Auto_Test ="sidebar_setting_commissions"> {{trans('commissions.add-commission-percent')}} </a>
                    @endif
                    @if ( Auth::user()->show_points == 2 ||  Auth::user()->show_points == 4 || Auth::user()->show_points == 3)
                    <a class="dropdown-item" href="{{ route('salepoint.index') }}" Auto_Test ="sidebar_setting_salepoint">@lang('settings.salepoints')</a>
                    @endif
                    <a class="dropdown-item"
                        href="{{ route('settings.comapny.index') }}" Auto_Test ="sidebar_setting_company">{{ __('storeInfo.company_settings') }} </a>

                    <a class="dropdown-item" href="{{ route('settings.print.index') }}" Auto_Test ="sidebar_setting_print">{{ __('storeInfo.print_settings') }} </a>

                    @if (get_session_val('home_delivery', 'integer') != 0 && get_session_val('einvoice', 'integer') != 1)
                        <a class="dropdown-item"
                            href="{{ route('delivery-man.index') }}" Auto_Test ="sidebar_setting_delivery">{{ __('delivery.delivery_man') }} </a>

                        @if (get_session_val('delivery_fee_type', 'Integer') == 1)
                            <a class="dropdown-item" href="{{ route('regions.index') }}" Auto_Test ="sidebar_setting_regions">{{ __('delivery.regions') }}
                            </a>
                        @elseif(get_session_val('delivery_fee_type', 'Integer') == 2)
                            <a class="dropdown-item" href="{{ route('services.index') }}" Auto_Test ="sidebar_setting_services" >{{ __('delivery.services') }}
                            </a>
                            <a class="dropdown-item"
                                href="{{ route('periods.index') }}" Auto_Test ="sidebar_setting_delivery_times">{{ __('delivery.delivery_times') }} </a>
                        @endif
                    @endif

                    <a class="dropdown-item" href="{{ route('settings.index') }}" Auto_Test ="sidebar_setting_settings">@lang('settings.settings')</a>
                </div>
            </li>
        @endif

        @if (get_session_val('manufacturing', 'integer') == 1 && authorized('can_show_manufacturing'))
            <li class="list-group-item dropdown" Auto_Test ="sidebar_Manufacturing2">
                <a href="#" title="@lang('native.Manufacturing') " class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/maintenance.jpeg') }}">
                    </span>
                    @lang('native.Manufacturing')
                </a>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="{{ route('manufacture.init') }}"  Auto_Test ="sidebar_Manufacturing2_init">@lang('native.Definition_of_manufacturing')</a>
                    <a class="dropdown-item" href="{{ route('manufacture.index') }}" Auto_Test ="sidebar_Manufacturing2_list_manufacture">@lang('native.Manufacturing_processes')</a>
                    <a class="dropdown-item" href="{{ route('manufacture.create') }}" Auto_Test ="sidebar_Manufacturing2_create">@lang('native.New_manufacturing_process')</a>
                    <a class="dropdown-item" href="{{ route('manufacture.reports.index') }}" Auto_Test ="sidebar_Manufacturing2_reports">@lang('native.report-Manufacturing')</a>
                </div>
            </li>
        @endif

        @if (get_session_val('ecomme', 'integer') == 1 && authorized('can_edit_ecommerce_settings'))
            <li class="list-group-item dropdown" style="margin-bottom: 100px;" Auto_Test ="sidebar_settings-e-store">
                <a href="#" title="الاعدادات" class="dropdown-toggle" data-toggle="dropdown"
                    aria-expanded="false">
                    <span class="icon-img">
                        <img src="{{ asset('imgs/settings.png') }}">
                    </span>
                    @lang('native.settings-e-store')
                </a>
                <div class="dropdown-menu  dropdown-menu-side" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="{{ route('requests.web-style') }}" Auto_Test ="sidebar_settings-e-store_Design_view"> @lang('native.Design_view') </a>
                    <a class="dropdown-item" href="{{ route('requests.site-sliders.index') }}" Auto_Test ="sidebar_settings-e-store_slideshow"> @lang('native.slideshow') </a>

                    <a class="dropdown-item" href="{{ route('badr-requests') }}" Auto_Test ="sidebar_settings-e-store_order-e-store"> @lang('native.order-e-store') </a>
                    <a class="dropdown-item" href="{{ route('badr-requests.edit-settings') }}" Auto_Test ="sidebar_settings-e-store_Website_and_app_requests_settings"> @lang('native.Website_and_app_requests_settings')
                    </a>
                    <a class="dropdown-item" href="{{ route('allStaticPages') }}" Auto_Test ="sidebar_settings-e-store_Fixed_page_settings"> @lang('native.Fixed_page_settings') </a>
                    <a class="dropdown-item" href="{{ route('requests.shopbanks.index') }}" Auto_Test ="sidebar_settings-e-store_Banks accounts"> @lang('native.Banks accounts') </a>

                    <a class="dropdown-item" href="{{ route('social-contacts') }}" Auto_Test ="sidebar_settings-e-store_social_media_accounts"> @lang('native.social_media_accounts') </a>
                    <a class="dropdown-item" href="{{ route('requests.item-discount-index') }}" Auto_Test ="sidebar_settings-e-store_Discounts_on_products"> @lang('native.Discounts_on_products') </a>
                    <a class="dropdown-item" href="{{ route('coupons.index') }}" Auto_Test ="sidebar_settings-e-store_coupons"> @lang('native.coupons') </a>
                    <a class="dropdown-item" href="{{ route('web-contact.edit') }}" Auto_Test ="sidebar_settings-e-store_Show_contact_details"> @lang('native.Show_contact_details') </a>
                    {{-- <a class="dropdown-item" href="{{ route('badr-requests.edit-checkout-settings') }}">       اعدادات الدفع الالكتروني  </a> --}}
                    <a class="dropdown-item" href="{{ route('messages.inbox') }}" Auto_Test ="sidebar_settings-e-store_Inbox"> @lang('native.Inbox') </a>
                    <a class="dropdown-item" href="{{ route('messages.outbox') }}" Auto_Test ="sidebar_settings-e-store_outbox"> @lang('native.outbox') </a>
                </div>
            </li>
        @endif
    </ul>

</aside>
