@extends('master::layouts.master')

@section('content')
<div class="wrapper card card-light mb-1_5 p-3">

    <div class="container">


        <div class="row">
            <div class="col-md-12">
                <h1 class="title-page"> {{ trans('notifications.outbox') }}</h1>
                <hr />
            </div>

            <div class="col-md-12">
                <div class="clearfix"></div>
                <div class="table-responsive">

<table class="table zui-table zui-table-rounded  table-bordered">                    <thead>
                        <tr class="info">
                            <th> {{ trans('notifications.receiver_name') }}</th>
                            <th> {{ trans('notifications.email') }}</th>
                            <th> {{ trans('notifications.phone') }}</th>
                            <th> {{ trans('notifications.Title') }}</th>
                            <th>  {{ trans('notifications.preview') }}</th>
                            <th>{{ trans('notifications.reply') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($messages as $message)
                            <tr>
                                <td>{{ $message->name }}</td>
                                <td>{{ $message->email }}</td>
                                <td>{{ $message->phone }}</td>
                                <td>{{ $message->title }}</td>
                                <td><a href="{{ route('messages.show', $message->id) }}" class="btn btn-circle"> <i
                                            class="fa fa-eye"></i></a></td>
                                <td>
                                    <form method="post" action="{{ route('messages.delete') }}">

                                        {{ csrf_field() }}
                                        <input type="hidden" name="request_id" value="{{ $message->id }}">
                                        <button onclick="return confirm('{{ trans('notifications.sure_delete') }}')"
                                            class="btn btn-danger">{{ trans('notifications.delete') }}</button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>

                </table>
</div>
                <div class="text-center">
                    {!! $messages->links() !!}
                </div>
            </div>
        </div>
    </div>

</div>
@stop
