@extends('master::layouts.master')

@section('content')
    <div class="container">
        <div class="row" style="display: block;margin-top: 30px;">
            <h3> {{ trans('notifications.reply_message') }}</h3>
            <div class="col-md-9 col-md-offset-1" style="margin-right: 60px;margin-top: 30px;">
                <form method="POST" action="{{ route('messages.postReply', $message->id) }}" class="form">
                    {{ csrf_field() }}
                    <div class="form-group">
                        <label for="">{{ trans('notifications.email') }}</label>
                        <input type="email" class="form-control" name="email" value="{{ $message->email }}" />
                    </div>
                    <div class="form-group">
                        <label for=""> {{ trans('notifications.Title') }}</label>
                        <input type="text" class="form-control" name="title" />
                    </div>
                    <div class="form-group">
                        <label for=""> {{ trans('notifications.content') }}</label>
                        <textarea name="description" class="form-control" id="" cols="30" rows="10"></textarea>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="{{ trans('notifications.send') }}" class="btn btn-success" />
                    </div>
                </form>

            </div>

        </div>

    </div>
@stop
