<?php

namespace Modules\Perish\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class StoreItem extends Model
{
    use RoundingAttributesTrait;
    
    protected $table = "store_items";
    protected $fillable = [];
    public $timestamps = false;
    public function item()
    {
        return $this->belongsTo(Item::class,'item_id' , 'id');
    }
}
