@extends('master::layouts.master')

@section('css-scripts')
<link href="{{ asset('tickets/css/jquery-ui.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/jquery.calendars.picker.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/bootstrap-datetimepicker-standalone.css') }}" rel="stylesheet">
<link href="{{ asset('css/calenders/datepicker3.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.ptTimeSelect.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/jquery.timepicker.css') }}" rel="stylesheet">
<link href="{{ asset('tickets/css/bootstrap-select.min.css') }}" rel="stylesheet">
<style>
    .filter-option-inner-inner {
        text-align: right;
    }
</style>
@endsection

@section('content')
<div class="card card-light mb-1_5 p-3">

    <div class="container">
<!-- start alert -->
<div id="alert_container"></div>
<!-- end alert -->

<h2 class="text-info">الخزن /نقاط البيع</h2>


<!-- start add modal -->
@include('salepoints::partials.addModal.salepoint_add_modal')
<!-- end add modal -->

<!-- start edit modal -->
@include('salepoints::partials.editModal.salepoint_edit_modal')
<!-- end edit modal -->

<!-- start salepoints table -->
<div id="salepoints_table_container">
    @include('salepoints::partials.salepoints_table')
</div>
<!-- end salepoints table -->

<!-- start salepoints money transfer table -->
<div id="salepoints_table_container">
    @include('salepoints::partials.transferModal.salepoint_transfer_modal')
</div>
<!-- end salepoints money transfer table -->

</div>
</div>
@endsection


@section('js-scripts')
@include('salepoints::js.js')
@endsection
