<input type="hidden" id="salepoint_id" value="{{ $salePoint->id }}">

<div class="form-group row">
    <div class="col">
        <label  for="point_from">من</label>
        <div class="col">
            <select id="point_from" class="selectpicker" data-live-search="true" data-width="100%" disabled>
                <option selected>{{ $salePoint->point_name  }} - {{ $salePoint->money_point }}</option>
            </select>
        </div>
    </div>
    <div class="col">
        <label  for="point_to">الي</label>
        <div class="col">
            <select id="point_to" class="selectpicker" data-live-search="true" data-width="100%">
                @foreach ($allSalePoints as $salePoint)
                  <option value="{{ $salePoint->id }}">{{ $salePoint->point_name }}</option>
                @endforeach
            </select>
        </div>
    </div>
</div>

<div class="form-group row">
    <label class="col-3" for="transfer_amount">المبلغ</label>
    <div class="col-8">
        <input type="number" class="form-control" id="transfer_amount" min="0" value="0" required>
    </div>
</div>

<div class="form-group row">
    <label class="col-3" for="transfer_notes">ملاحظات</label>
    <div class="col-8">
        <input type="text" class="form-control" id="transfer_notes">
    </div>
</div>


