<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => ['web', 'auth']], function () {
    Route::group(['prefix' => 'salepoints', 'as' => 'salepoint.'], function () {
        Route::get('/', 'SalePointsController@index')->name('index');
        Route::post('/store', 'SalePointsController@store')->name('store');
        Route::post('/update', 'SalePointsController@update')->name('update');
        Route::post('/destroy', 'SalePointsController@destroy')->name('destroy');
        Route::post('/transfer-money', 'SalePointsController@transferMoney')->name('transfer_money');

        Route::get('/get-salepoints-table', 'SalePointsController@getSalePointsTable')->name('get_salepoints_table');
        Route::post('/get-salepoint-modal-edit-body', 'SalePointsController@getSalepointModalEditBody')->name('get_salepoint_modal_edit_body');
        Route::post('/get-salepoint-modal-transfer-body', 'SalePointsController@getSalepointModalTransferBody')->name('get_salepoint_modal_transfer_body');
    });
});
