<?php

namespace Modules\SalesReport\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Factory extends Model
{
    use HasFactory;

    protected $table   = 'factories';
    protected $guarded = [];

    protected static function newFactory()
    {
        return \Modules\SalesReport\Database\factories\FactoryFactory::new();
    }
    
    public function items()
    {
        return $this->hasMany(Item::class);
    }
}
