
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover table-heading mt-4" id="table2excel">
    <thead>
        <tr class="bg-info text-white">
            <th class="text-center">#</th>
            <th class="text-center">اسم التصنيف</th>
            <th class="text-center" colspan="3">مبيعات</th>
            <th class="text-center" colspan="3">مرتجعات</th>
            <th class="text-center" rowspan="2" style="vertical-align: middle;">
                هالك
            </th>
            <th class="text-center">الربح </th>
        </tr>
        <tr class="bg-warning">
            <th scope="col"></th>
            <th scope="col"></th>
            <th scope="col">إجمالي بسعر البيع</th>
            <th scope="col">إجمالي بسعر الشراء</th>
            <th scope="col">الربح</th>
            <th scope="col">إجمالي بسعر المرتجع</th>
            <th scope="col">إجمالي بسعر الشراء</th>
            <th scope="col">تراجع الربح</th>
            <th scope="col">إجمالي ربح</th>
        </tr>
    </thead>

    <tbody>
        @php
            $total_sales = 0;
            $total_sales_pay = 0;
            $total_returned_sales = 0;
            $total_returned_sales_pay = 0;
            $total_sales_profit = 0;
            $total_returned_sales_profit = 0;
            $total_perish = 0;
        @endphp
        @foreach($items as $item)
        @php
            // if ($item->vat_state == 1) {
            //     $item->total_return_sale_price -= $item->vat_weight;
            // }
            $total_sales += $item->total_sale_price;
            $total_sales_pay += $item->total_sale_pay_price;
            $total_returned_sales += $item->total_return_sale_price;
            $total_returned_sales_pay += $item->total_return_sale_pay_price;
            $total_perish += $item->total_perish_price;
        @endphp
        <tr>
            <td>{{$loop->iteration ?? 0}}</td>
            <td>{{$item->category_name}}</td>
            <td>{{ round_money($item->total_sale_price) }}</td>
            <td>{{ round_money($item->total_sale_pay_price) }}</td>
            <td>{{ round_money((float)$item->total_sale_price - (float)$item->total_sale_pay_price) }}</td>
            <td>{{ round_money($item->total_return_sale_price) }}</td>
            <td>{{ round_money($item->total_return_sale_pay_price) }}</td>
            <td>{{ round_money((float)$item->total_return_sale_price - (float)$item->total_return_sale_pay_price) }}</td>
            <td>{{ round_money($item->total_perish_price) }}</td>
            <td>{{round_money( ((float)$item->total_sale_price  - (float)$item->total_sale_pay_price)  - ((float)$item->total_return_sale_price- (float)$item->total_return_sale_pay_price)) - (float)($item->total_perish_price)}}</td>
        </tr>
        @endforeach
        @php
            $total_sales_profit = (float)$total_sales - (float)$total_sales_pay;
            $total_returned_sales_profit = (float)$total_returned_sales - (float)$total_returned_sales_pay;
        @endphp
        <tr class="bg-info text-white">
            <td colspan="2">الإجمالي</td>
            <td>{{ round_money($total_sales) }}</td>
            <td>{{ round_money($total_sales_pay) }}</td>
            <td>{{ round_money($total_sales_profit) }}</td>
            <td>{{ round_money($total_returned_sales) }}</td>
            <td>{{ round_money($total_returned_sales_pay) }}</td>
            <td>{{ round_money($total_returned_sales_profit) }}</td>
            <td>{{ round_money($total_perish) }}</td>
            <td >{{ round_money($total_sales_profit - $total_returned_sales_profit - $total_perish) }}</td>
        </tr>
    </tbody>
</table>
</div>


