<?php

namespace Modules\SpendsAndIncoms\Entities;

use App\Traits\RoundingAttributesTrait;
use Illuminate\Database\Eloquent\Model;

class ClientTransaction extends Model
{
    use RoundingAttributesTrait;
    
    protected $fillable = [
        'shop_id',
        'date_time',
        'amount',
        'type',
        'effect',
        'pay_day',
        'safe_balance',
        'safe_point_id',
        'notes',
        'spend_id',
        'user_id',
    ];


    protected $table = 'client_transaction';
    public $timestamps = false;
}
