<?php

namespace Modules\SpendsAndIncoms\Entities;

use Illuminate\Database\Eloquent\Model;

class SpendingItem extends Model
{
    protected $table='spending_item';
    public $timestamps = false;
    protected $fillable = ['name', 'shop_id'];

    public function Spending(){
        return $this->belongsTo(Spending::class ,'spend_id','id');
    }

    public function users(){
        return $this->belongsToMany(User::class, 'spending_user', 'user_id', 'spending_item_id')->select('users.id', 'users.user_name');
    }
}
