<?php

namespace Modules\StageMaintenance\Entities;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Item extends Model
{
    protected $table = 'items';

    public $timestamps = false;


    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('shop_id', function (Builder $builder) {
            $builder->where('items.shop_id', get_session_val('serial_id' ,'integer'));
        });
    }
}
