<?php

namespace Modules\StageMaintenance\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\StageMaintenance\Traits\isEnabledScope;

class Worker extends Model
{
    use HasFactory;
    use isEnabledScope;

    protected $fillable = [
        'name',
        'is_enabled',
    ];

    protected static function newFactory()
    {
        return \Modules\StageMaintenance\Database\factories\WorkerFactory::new();
    }
}
