@extends('master::layouts.master')
@section('css-scripts')
<link href="{{ url('css/master/manifact-style.css') }}" rel="stylesheet">
@endsection
@section('content')
<div class="container">
<div class="row">
   <div class="col-md-12">
      <div class="machine-part">
         <h4 class="font-weight-bold p-2 text-center text-info">
            مراحل التشطيب
         </h4>
         <!-- start in main-processes content -->
         <div clas="col-md-12">
            <div class="tabl-list-part manifat-part">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                           <form action="#" class="custome-form">
                                 <div class="row justify-content-center" >
                                    <div class="col-xs-12">
                                       <h4 class="text-center  text-info">
                                          بدء مرحله التشطيب
                                       </h4>

                                    </div>
                                 </div>

                                 <div class="step ">
                                    <div class="row">
                                       <div class="col-sm-6">
                                          <div class="form-group">
                                             <label for="firstname" class="col-form-label mb-2">التاريخ :</label>
                                             <input type="text" class="form-control input-sm input-normal" id="firstname">
                                             <span>
                              <i class="fa fa-calendar-alt calendar-icon mt-1"></i>
                              </span>
                                          </div>
                                       </div>
                                       <div class="col-sm-6">
                                          <div class="form-group">
                                             <label for="password" class="col-form-label mb-2">المرحلة:</label>
                                             <select name="supplier_id" id="stage_id" data-live-search="true"
                                                class="form-control input-sm input-normal select2 padding-select selectpicker">
                                                <option value=""> -- اختار  -- </option>
                                                <option value="1">  الخياطة   </option>
                                                <option value="2"> الكوى   </option>
                                                <option value="3"> التعبئة والتجهيز   </option>
                                             </select>
                                          </div>
                                       </div>

                                    </div>
                                    <div class="row">
                                       <div class="col-sm-6">
                                          <div class="form-group">
                                             <label for="lastname" class="col-form-label mb-2"> اسم العامل:</label>
                                             <select name="supplier_id" id="supplier_id" data-live-search="true"
                                                class="form-control input-sm input-normal select2 padding-select selectpicker">
                                                <option value=""> -- اختار  -- </option>
                                                <option value="1">  محمد على  </option>
                                                <option value="2"> على على  </option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-sm-6">
                                          <div class="form-group">
                                             <label for="email" class="col-form-label mb-2"> اسم المساعد :</label>
                                             <select name="supplier_id" id="supplier_id" data-live-search="true"
                                                class="form-control input-sm input-normal select2 padding-select selectpicker">
                                                <option value=""> -- اختار  -- </option>
                                                <option value="1">  محمد على  </option>
                                                <option value="2"> على على  </option>
                                             </select>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="row">

                                       <div class="col-sm-6">
                                          <div class="form-group">
                                             <label for="num" class="col-form-label mb-2">العدد:</label>
                                             <input type="number" class="form-control  input-sm input-normal" id="num" min="1">
                                          </div>
                                       </div>

                                          <!-- تظهر فى مرحله التجهيز والتعبئه -->
                                          <div class="col-sm-6 tocan">
                                          <div class="form-group">
                                             <label for="firstname" class="col-form-label mb-2">الفرز :</label>
                                             <select name="supplier_id" id="supplier_id" data-live-search="true"
                                                class="form-control input-sm input-normal select2 padding-select selectpicker">
                                                <option value=""> -- اختار  -- </option>
                                                <option value="1">  اول   </option>
                                                <option value="2"> ثانى    </option>
                                             </select>
                                          </div>
                                       </div>
                                    </div>

                                      <!-- تظهر فى مرحله التجهيز والتعبئه -->

                                    <div class="row tocan">
                                       <div class="col-sm-6">
                                          <div class="form-group">
                                             <label for="password" class="col-form-label mb-2">الموديل:</label>
                                             <select name="supplier_id" id="supplier_id" data-live-search="true"
                                                class="form-control input-sm input-normal select2 padding-select selectpicker">
                                                <option value=""> -- اختار  -- </option>
                                                <option value="1">  انكل   </option>
                                                <option value="2"> طويل   </option>
                                                <option value="2"> قصير    </option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-sm-6">
                                          <div class="form-group">
                                             <label for="num" class="col-form-label mb-2">اللون:</label>
{{--                                             <input type="color"  class="form-control input-sm input-normal" id="favcolor" name="favcolor" value="#ff0000">--}}
                                              <select name="color_id" id="color_id" data-live-search="true"
                                                      class="form-control input-sm input-normal select2 padding-select selectpicker">
                                                  <option value=""> -- اختار  -- </option>
                                                  <option value="1">  أحمر </option>
                                                  <option value="2">  اسود </option>
                                                  <option value="2">  كحلي </option>
                                                  <option value="2">  بيج </option>
                                              </select>
                                          </div>
                                       </div>
                                    </div>

                                    <div class="form-group row justify-content-center mt-5">
                           <div class="col-sm-2">
                              <button
                                 type="submit"
                                 class="text-center button-success w-60-per add-percent"
                                 >
                              حفظ
                              </button>
                           </div>
                        </div>
                                 </div>

                           </form>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>


    <script>
        $('.tocan').hide();

    $(document).on('change', '#stage_id', function(){
        $('.tocan').hide();

        if($(this).val() == '3'){
            $('.tocan').show();
        }



    });
    </script>
@stop
