@extends('master::layouts.master')
@section('css-scripts')
<link href="{{ url('css/master/manifact-style.css') }}" rel="stylesheet">

@endsection
@section('content')
<div class="container">
   <div class="row">
      <div class="col-md-12">
         <div class="machine-part mortal-part">
            <h4 class="font-weight-bold p-2 text-center text-info">
               اضافه هالك
            </h4>
            <!-- start in main-processes content -->
            <form class="custome-form">
               <div class="card card-success p-3 rounded">
                  <div class="container">
                     <div class="form-group row">
                        <label
                           for="supplier_id"
                           class="col-sm-2 col-4 col-form-label pb-2"
                           >
                        التاريخ
                        </label>
                        <div class="col-sm-4 col-8">
                           <input type="text" id="invoice_date"
                              class="form-control input-sm input-normal date is-datepicker">
                           <span>
                           <i class="fa fa-calendar-alt calendar-icon mt-1"></i>
                           </span>
                        </div>
                        <label
                           for="supplier_id"
                           class="col-sm-2 col-4 col-form-label pb-2"
                           >
                        رقم العملية                        </label>
                        <div class="col-sm-4 col-8">
                           <select name="supplier_id" id="supplier_id" data-live-search="true"
                              class="form-control input-sm input-normal select2 padding-select selectpicker">
                              <option value=""> -- اختار  -- </option>
                              <option value="1">  1524242 </option>
                              <option value="2"> 4542525  </option>
                           </select>
                        </div>
                     </div>
                     <div class="form-group row">
                        <label
                           for="supplier_id"
                           class="col-sm-2 col-4 col-form-label pb-2"
                           >
                        وزن الهالك
                        </label>
                        <div class="col-sm-4 col-8">
                           <input type="number" min="1"  class="form-control input-sm input-normal">
                        </div>
                        <label
                           for="supplier_id"
                           class="col-sm-2 col-4 col-form-label pb-2"
                           >
                        الوردية                         </label>
                        <div class="col-sm-4 col-8">
                           <select name="supplier_id" id="supplier_id" data-live-search="true"
                              class="form-control input-sm input-normal select2 padding-select selectpicker">
                              <option value=""> -- اختار  -- </option>
                              <option value="1">  صباحى </option>
                              <option value="2"> مسائي  </option>
                           </select>
                        </div>
                     </div>
                     <div class="form-group row justify-content-center mt-5">
                        <div class="col-sm-2">
                           <button
                              type="submit"
                              class="text-center button-success w-60-per add-percent"
                              >
                           حفظ
                           </button>
                        </div>
                     </div>
                  </div>
               </div>
         </form>
         <!-- End card -->
         <!-- table list -->
         <div clas="col-md-12">
            <div class="tabl-list-part">
               <h5 class="font-weight-bold  text-info">الهالك   المضاف</h5>
               <form class="custome-form">
                  <div class="container">
                     <div class="form-group row">
                        <label
                           for="supplier_id"
                           class=" col-2 col-form-label pb-2"
                           >
                        رقم العملية
                        </label>
                        <div class=" col-6">
                           <input
                              type="text"
                              class="form-control input-sm input-normal"
                              id="invoice_supplier_id"
                              name=""
                              />
                        </div>
                        <div class="col-sm-2">
                           <div class="buttons mt-0">
                              <button
                                 type="submit"
                                 class="text-center button-success w-60-per add-percent "
                                 >
                              <i class="fa fa-search"></i>
                              بحث
                              </button>
                           </div>
                        </div>
                     </div>
                  </div>
               </form>
               <div class="table-responsive mt-3">
                  <table class="zui-table zui-table-rounded">
                     <thead>
                        <tr>
                           <th scope="col">رقم العملية  </th>
                           <th scope="col"> التاريخ  </th>
                           <th scope="col"> وزن الهالك</th>
                           <th scope="col"> الوردية</th>
                           <th scope="col">تعديل</th>
                           <th scope="col">حذف</th>
                        </tr>
                     </thead>
                     <tbody class="section">
                        <tr>
                           <td>lg124 cd45  </td>
                           <td>12/5/2022   </td>
                           <td>120 جرام</td>
                           <td> صباحية </td>
                           <td>
                              <a
                                 href="#"
                                 class="delete"
                                 data-toggle="modal"
                                 data-target="#exampleModal"
                                 >
                              <i
                                 class="fa fa-edit text-success"
                                 aria-hidden="true"
                                 ></i>
                              </a>
                           </td>
                           <td>
                              <a
                                 href="#"
                                 class="delete"
                                 data-toggle="modal"
                                 data-target="#exampleModal2"
                                 >
                              <i
                                 class="fa fa-trash text-danger"
                                 aria-hidden="true"
                                 ></i>
                              </a>
                           </td>
                        </tr>
                        <tr>
                           <td>lg124 cd45  </td>
                            <td>12/5/2022   </td>
                            <td>120 جرام</td>
                            <td> صباحية </td>
                           <td>
                              <a
                                 href="#"
                                 class="delete"
                                 data-toggle="modal"
                                 data-target="#exampleModal"
                                 >
                              <i
                                 class="fa fa-edit text-success"
                                 aria-hidden="true"
                                 ></i>
                              </a>
                           </td>
                           <td>
                              <a
                                 href="#"
                                 class="delete"
                                 data-toggle="modal"
                                 data-target="#exampleModal2"
                                 >
                              <i
                                 class="fa fa-trash text-danger"
                                 aria-hidden="true"
                                 ></i>
                              </a>
                           </td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
         <!--  -->


         <!-- edit Modal -->

<div
   class="modal fade"
   id="exampleModal"
   tabindex="-1"
   role="dialog"
   aria-labelledby="exampleModalLabel"
   aria-hidden="true"
   >
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header text-center">
            <h5
               class="modal-title text-center text-info"
               id="exampleModalLabel"
               >
               تعديل الهالك
            </h5>
            <button
               type="button"
               class="close"
               data-dismiss="modal"
               aria-label="Close"
               >
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <form class="custome-form">
               <div class="container">
                  <div class="form-group row mt-4">
                     <label
                        for="supplier_id"
                        class="col-sm-4 col-4 col-form-label"
                        >
                     وزن الهاك
                     </label>
                     <div class="col-sm-8 col-8">
                        <input
                           type="number"
                           class="form-control input-sm input-normal"
                           id="invoice_supplier_id"
                           name=""
                           />
                     </div>
                  </div>
                  <div class="form-group row mt-4">
                     <label
                        for="supplier_id"
                        class=" col-4 col-form-label"
                        >
                     الوردية
                     </label>
                     <div class=" col-8">
                        <select name="supplier_id" id="supplier_id" data-live-search="true"
                           class="form-control input-sm input-normal select2 padding-select selectpicker">
                           <option value=""> -- اختار  -- </option>
                           <option value="1">  صباحى </option>
                           <option value="2"> مسائي  </option>
                        </select>
                     </div>
                  </div>
               </div>
            </form>
         </div>
         <div class="modal-footer">
            <button
               type="button"
               class="btn btn-secondary"
               data-dismiss="modal"
               >
            رجوع
            </button>
            <button type="button" class="btn btn-success">تعديل</button>
         </div>
      </div>
   </div>
</div>
<!-- delete Modal -->
<div
   class="modal fade"
   id="exampleModal2"
   tabindex="-1"
   role="dialog"
   aria-labelledby="exampleModalLabel"
   aria-hidden="true"
   >
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header text-center text-info">
            <h5 class="modal-title text-center" id="exampleModalLabel">
               حذف الهالك
            </h5>
            <button
               type="button"
               class="close"
               data-dismiss="modal"
               aria-label="Close"
               >
            <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <div class="modal-body">
            <p class="text-center font-weight-bold">
               هل تريد                 حذف
               <span class="text-danger"> " 2000"</span>
               ؟؟
            </p>
         </div>
         <div class="modal-footer">
            <button
               type="button"
               class="btn btn-secondary"
               data-dismiss="modal"
               >
            رجوع
            </button>
            <button type="button" class="btn button-danger">تحديث</button>
         </div>
      </div>
   </div>
</div>


      </div>
   </div>
</div>
</div>


@stop
