@extends('master::layouts.master')
@section('css-scripts')
<link href="{{ url('css/master/manifact-style.css') }}" rel="stylesheet">

@endsection
@section('content')
<div class="container">
<div class="row">
    <div class="col-md-12">
<div class="machine-part">
<h4 class="font-weight-bold p-2 text-center text-info">
                اضافه عامل
              </h4>
              <!-- start in main-processes content -->
              <form class="custome-form ajax-form" action="{{route('workers.store')}}" method="POST" success="addWorker">
                <div class="card card-success p-3 rounded">
                  <div class="container">
                    <div class="form-group row">

                        <label
                          for="name"
                          class=" col-2 col-form-label pb-2"
                        >
                          اسم العامل
                        </label>
                        <div class=" col-6">
                        <input
                            type="text"
                            class="form-control input-sm input-normal"
                            id="name"
                            name="name"
                          />
                        </div>



                      <div class="col-sm-2">
                        <div class="buttons mt-0">
                          <button
                            type="submit"
                            class="text-center button-success w-60-per add-percent "
                          >
                            اضافة
                          </button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </form>



              <!-- End card -->

              <!-- table list -->
              <div clas="col-md-12">
                <div class="tabl-list-part">
                  <h5 class="font-weight-bold  text-info">الورديات  المضافه</h5>

                  <form class="custome-form">
                  <div class="container">
                    <div class="form-group row">

                        <label
                          for="name"
                          class=" col-2 col-form-label pb-2"
                        >
                          اسم العامل
                        </label>
                        <div class=" col-6">
                        <input
                            type="text"
                            class="form-control input-sm input-normal"
                            id="name"
                            name="name"
                          />
                        </div>



                      <div class="col-sm-2">
                        <div class="buttons mt-0">
                          <button
                            type="submit"
                            class="text-center button-success w-60-per add-percent "
                          >
                          <i class="fa fa-search"></i>
                            بحث
                          </button>
                        </div>
                      </div>
                  </div>
                </div>
              </form>
                  <div class="table-responsive mt-3">
                    <table class="zui-table zui-table-rounded" id="workers-table">
                      <thead>
                        <tr>
                          <th scope="col">اسم العامل</th>
                          <th scope="col">الحالة</th>
                          <th scope="col">تعديل</th>

                          <th scope="col">حذف</th>
                        </tr>
                      </thead>
                      <tbody class="section">
                      @foreach($workers as $worker)
                          <tr id="worker-{{$worker->id}}">
                              <td>{{$worker->name}}</td>
                              <td>{{\Modules\StageMaintenance\Enums\isEnabled::from($worker->is_enabled)->toString()}}</td>
                              <td>
                                  <a
                                      href="#"
                                      class="update-modal-btn"
                                      data-toggle="modal"
                                      data-target="#updateModal"
                                      data-dataUrl="{{route('workers.show',$worker->id)}}"
                                      data-url="{{route('workers.update',$worker->id)}}"
                                  >
                                      <i
                                          class="fa fa-edit text-success"
                                          aria-hidden="true"
                                      ></i>
                                  </a>
                              </td>
                              <td>
                                  <a
                                      href="#"
                                      class="delete-modal-btn"
                                      data-toggle="modal"
                                      data-target="#deleteModal"
                                      data-url="{{route('workers.destroy',$worker->id)}}"
                                  >
                                      <i
                                          class="fa fa-trash text-danger"
                                          aria-hidden="true"
                                      ></i>
                                  </a>
                              </td>
                          </tr>
                      @endforeach
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <!--  -->



            </div>
    </div>
</div>
</div>

<div
        class="modal fade"
        id="updateModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="updateModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header text-center">
              <h5
                class="modal-title text-center text-info"
                id="updateModalLabel"
              >
                تعديل العامل
              </h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
          <form class="custome-form ajax-form" method="POST" success="updateWorker">
            <div class="modal-body">
                  @method('PUT')
                <div class="container">

                  <div class="form-group row">
                    <label
                      for="name"
                      class="col-sm-4 col-4 col-form-label"
                    >
                      اسم العامل
                    </label>
                    <div class="col-sm-8 col-8">
                      <input
                        type="text"
                        class="form-control input-sm input-normal"
                        id="name"
                        name="name"
                      />
                    </div>
                  </div>

                    <div class="form-group row">
                        <label
                            for="is_enabled"
                            class="col-sm-4 col-4 col-form-label"
                        >
                            التفعيل
                        </label>
                        <div class="col-sm-8 col-8">
                            <input
                                type="checkbox"
                                class="input-sm input-normal"
                                id="is_enabled"
                                name="is_enabled"
                            />
                        </div>
                    </div>

                </div>
            </div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-secondary"
                data-dismiss="modal"
              >
                رجوع
              </button>
              <button type="submit" class="btn btn-success">تحديث</button>
            </div>
          </form>
          </div>
        </div>
      </div>

      <!-- delete Modal -->
      <div
        class="modal fade"
        id="deleteModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="deleteModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header text-center text-info">
              <h5 class="modal-title text-center" id="deleteModalLabel">
حذف العامل              </h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <form method="POST" class="ajax-form">
                @method('DELETE')
            <div class="modal-body">
              <p class="text-center font-weight-bold">هل تريد حذف العامل ؟؟</p>
            </div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-secondary"
                data-dismiss="modal"
              >
                رجوع
              </button>
              <button type="submit" class="btn button-danger">حذف</button>
            </div>
            </form>
          </div>
        </div>
      </div>

@stop

@include('stagemaintenance::includes.scripts')

@push('js')
    <script>
        function addWorker(data, res){
            let worker = res.data;
            let table = $('#workers-table tbody');
            let row = `
                <tr id="worker-${worker.id}">
                    <td>${worker.name}</td>
                    <td>{{\Modules\StageMaintenance\Enums\isEnabled::from(1)->toString()}}</td>
                    <td>
                        <a
                            href="#"
                            class="update-modal-btn"
                            data-toggle="modal"
                            data-target="#updateModal"
                            data-dataUrl="{{route('workers.show',"0000")}}"
                            data-url="{{route('workers.update',"0000")}}"
                        >
                            <i
                                class="fa fa-edit text-success"
                                aria-hidden="true"
                            ></i>
                        </a>
                    </td>
                    <td>
                      <a
                          href="#"
                          class="delete-modal-btn"
                          data-toggle="modal"
                          data-target="#deleteModal"
                          data-url="{{route('workers.destroy',"0000")}}"
                      >
                          <i
                              class="fa fa-trash text-danger"
                              aria-hidden="true"
                          ></i>
                      </a>
                    </td>
                </tr>
            `;
            table.append(row.replaceAll('0000', worker.id));
        }

        function updateWorker(data, res){
            let worker = res.data;
            let row = $(`tr#worker-${worker.id}`);
            let rowData = row.find('td');
            rowData[0].innerText = worker.name;
            rowData[1].innerText = worker.is_enabled ?
                "{{\Modules\StageMaintenance\Enums\isEnabled::from(1)->toString()}}" :
                "{{\Modules\StageMaintenance\Enums\isEnabled::from(0)->toString()}}";
        }
    </script>
@endpush
