<!DOCTYPE html>
<html lang="en">
<?php
$root_link = $_SERVER['DOCUMENT_ROOT'] . '/' . config('main.name') . "/";
?>
@if (app()->getLocale() == 'ar')
    <?php
    $ar = $root_link . "lang/ar.php";
    include_once $ar;

    ?>
@elseif (app()->getLocale() == "en")
    <?php
    $en = $root_link . "lang/en.php";
    include_once $en;
    ?>
@endif

<?php
$actual_link = config('main.badr');
?>
@include('main::layouts.head')

<style>
    .no-js #loader { display: none;  }
    .js #loader { display: block; position: absolute; left: 100px; top: 0; }
    .se-pre-con {
        position: fixed;
        left: 0px;
        top: 0px;
        width: 100%;
        height: 100%;
        z-index: 9999;
        background: url(tickets/Preloader_3.gif) center no-repeat #fff;
    }
</style>
<body>

<div class="se-pre-con"></div>

@include('main::layouts.header')
<div id="left_content">
    @include('supplierinstallments::layouts.messages')
    @yield('content')
</div>
@include('main::layouts.footer')
<script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
<script>
    $(document).ready(function() {
        $(window).keydown(function(event){
            if (event.keyCode == 13) {
                event.preventDefault();
                return false;
            }
        });
    });

    $(window).load(function() {
        // Animate loader off screen
        $(".se-pre-con").fadeOut("slow");
    });

</script>

</body>
</html>
