<?php

namespace Modules\User\Entities;

use App\Models\systemLog;
use Illuminate\Database\Eloquent\Model;


class User extends Model
{
    protected $fillable = [];
    protected $table = 'users';

    public function groups()
    {
        return $this->belongsToMany(ClientsGroups::class, 'users_groups', 'user_id', 'group_id');
    }

    public  function createLog($date, $event)
    {
        $log = new systemLog();
        $log->user_id = auth()->id();
        $log->shop_id = get_session_val('serial_id', 'integer');
        $log->date_event = $date;
        $log->event = $event;
        $log->save();
    }
}
