<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\VersionUpdating\Http\Controllers\VersionController;

Route::prefix('version')->as('versions.')->group(function() {
    Route::get('/', [VersionController::class, 'index'])->name('index');
    Route::post('/update', [VersionController::class, 'update'])->name('update');
    // Route::get('/', [VersionController::class, 'getVersion']);
    // Route::get('/', [VersionController::class, 'checkUpdate']);
});
