<?php

namespace App\Exceptions;

use Exception;

class CreatingInvoiceException extends Exception
{
    private $invoice_type, $exception_details;
    //
    public function __construct($invoice_type, $exception_type, $exception_msg)
    {
        $this->invoice_type = $invoice_type;
        $this->exception_details = $exception_type . '||' . $exception_msg;
    }

    public function render()
    {
        return redirect(route('invoices.save_exception', $this->invoice_type))->with([ 'exception' => $this->exception_details]);
    }
}
