<?php

namespace App\Exceptions;

use Exception;

class RegisteringException extends Exception
{

    // private const exception_details = [
    //     'not active' => trans('auth.not_active'),
    //     'not clinet' => trans('auth.not_clinet'),
    //     'Not register PC' => trans('auth.not_register_PC'),
    //     'not complate data' =>trans('auth.not_complate_data')
    // ];

    protected $msg, $exception_type; 



    //
    public function __construct($exception_type)
    {
        $this->exception_type = $exception_type;
        $this->msg = $this->getMessageDetails();
    }

    public function render()
    {
        return redirect(route('registering_exception'))->with([ 'exception' => $this->msg]);
    }

    protected function getMessageDetails()
    {
        $exception_details = [
            'not active' => trans('auth.not_active'),
            'not clinet' => trans('auth.not_clinet'),
            'Not register PC' => trans('auth.not_register_PC'),
            'not complate data' =>trans('auth.not_complate_data')
        ];

        return $exception_details[$this->exception_type] ?? $this->getMessage();
    }
}
