<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class AccessPoints
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if (!authorized('can_display_points')) {
            return unAuthorized(trans('users.show_sale_points'));
        }
        return $next($request);
    }
}
