<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class NewAccountRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //
            'shop_id' => ['required', 'integer', 'unique:badr_shop,serial_id'],
            'store_name' => ['required', 'string', 'min:3'],
            'user_name' => ['required', 'string', 'min:3', 'unique:users,user_name'],
            'password' => ['required', 'string', 'min:8']
        ];
    }
}
