<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Session;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Modules\Excel\Entities\Item;
use Modules\Excel\Entities\ItemUnit;
use Modules\Excel\Entities\Unit;
use Illuminate\Support\Facades\Validator;
use Illuminate\Validation\Rule;
use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\WithValidation;
use Maatwebsite\Excel\Concerns\SkipsOnFailure;
use Maatwebsite\Excel\Validators\Failure;

class ItemUnitImport implements ToCollection, WithHeadingRow, SkipsOnFailure
{
    /**
     * @param Collection $collection
     */
    use Importable;

    public function collection(Collection $rows)
    {
        if ($rows->count() == 0) {
            return redirect()->route('excel.units-excel')->with('error', 'الملف فارغ');
        }

        foreach ($rows as $row) {
            $item_name = $row['item_name'];
            $unit_name = $row['unit_name'];
            $unit_barcode = $row['unit_barcode'];
            $unit_price = $row['unit_price'];
            $unit_value = $row['unit_value'];
            dd($item_name);
            // $ItemUnits = ItemUnit::where('shop_id', get_session_val('serial_id', 'integer'))->get();
            // $item = Item::where('shop_id', get_session_val('serial_id', 'integer'))
            //     ->where('item_name', $row['item_name'])->first();
            // $unit = Unit::where('shop_id', get_session_val('serial_id', 'integer'))
            //     ->where('name', $row['unit_name'])->first();
            // // if (!preg_match("~^[a-z0-9٠-٩\-+,()/'\s\p{Arabic}]{1,60}$~iu", $row['unit_name'])) {
            // //     $errors[] =  'صيغه اسم الوحده غير صحيحه للصنف ' . '  ' . $row['item_name'] . '';
            // // }
            // // if ($row['unit_barcode'] != null) {
            // //     if (strpos($row['unit_barcode'], '.' || is_numeric($row['unit_barcode']))) {
            // //         $errors[] =  'صيغه باركود الوحده غير صحيحه للصنف ' . '  ' . $row['item_name'] . '';
            // //     }
            // // }
            // // if ($unit  != null) {
            // //     if ($item->unit_id == $unit->id) {
            // //         $errors[] = 'لا يمكن تسجيل الوحده الفرعيه بنفس الوحده الاساسيه للصنف ' . '  ' . $row['item_name'] . '';
            // //     }
            // // }
            // if ($unit != null) {

            //     $item_unit = ItemUnit::where([
            //         'item_id' => $item->id,
            //         'unit_id' => $unit->id,
            //         'shop_id' => get_session_val('serial_id', 'integer')
            //     ])->first();
            //     foreach ($ItemUnits as $ItemUnit) {
            //         if ($item->unit_id == $unit->id) {
            //             return redirect()->route('excel.units-excel')->with('error', 'لا يمكن تسجيل الوحده الفرعيه بنفس الوحده الاساسيه للصنف ' . '  ' . $row['item_name'] . '');
            //         }
            //         if ($row['unit_barcode'] == $ItemUnit->unit_barcode) {
            //             return redirect()->route('excel.units-excel')->with('error', ' باركود الوحده' . '  ' . $row['unit_name'] . '  ' . 'مسجل من قبل'  . ' ');
            //         }
            //         if ($row['unit_barcode'] != null) {
            //             if (strpos($row['unit_barcode'], '.')) {
            //                 $errors[] =  'صيغه باركود الوحده غير صحيحه للصنف ' . '  ' . $row['item_name'] . '';
            //             }
            //         }
            //         if (!preg_match("~^[a-z0-9٠-٩\-+,()/'\s\p{Arabic}]{1,60}$~iu", $row['unit_name'])) {
            //             return redirect()->route('excel.units-excel')->with('error', 'صيغه اسم الوحده غير صحيحه للصنف ' . '  ' . $row['item_name'] . '');
            //         }
            //     }

            //     if ($item_unit) {
            //         $existed_barcode = $item_unit->unit_barcode;
            //         if ($existed_barcode == $row['unit_barcode']) {
            //             $item_unit->unit_value = $row['unit_value'];
            //             $item_unit->unit_price = $row['unit_price'];
            //             $item_unit->save();
            //         } else {
            //             $item_unit->unit_barcode = $row['unit_barcode'];
            //             $item_unit->unit_value = $row['unit_value'];
            //             $item_unit->unit_price = $row['unit_price'];
            //             $item_unit->save();
            //         }
            //     } else {
            //         $item_unit = new ItemUnit();
            //         $item_unit->item_id = $item->id;
            //         $item_unit->unit_id = $unit->id;
            //         $item_unit->unit_value = $row['unit_value'];
            //         $item_unit->unit_price = $row['unit_price'];
            //         $item_unit->unit_barcode = $row['unit_barcode'];
            //         $item_unit->shop_id =  get_session_val('serial_id', 'integer');
            //         $item_unit->save();
            //     }
            // } else {

            //     $new_unit = new Unit();
            //     $new_unit->name = $row['unit_name'];
            //     $new_unit->shop_id = get_session_val('serial_id', 'integer');
            //     $new_unit->save();
            //     $unit = Unit::where('shop_id', get_session_val('serial_id', 'integer'))
            //         ->where('name', $row['unit_name'])->first();

            //     $item_unit = new ItemUnit();

            //     $item_unit->item_id = $item->id;
            //     $item_unit->unit_id = $unit->id;
            //     $item_unit->unit_value = $row['unit_value'];
            //     $item_unit->unit_price = $row['unit_price'];
            //     $item_unit->unit_barcode = $row['unit_barcode'];
            //     $item_unit->shop_id =  get_session_val('serial_id', 'integer');
            //     $item_unit->save();
            // }
        }
        // return redirect()->route('excel.units-excel')->with(['success' => trans('native.process_success')])->with('items_unit', $rows);
    }

    // public function rules(): array
    // {

    //     return [
    //         'item_name' => 'required|exists:items,item_name',
    //         'unit_barcode' => [
    //             'nullable',
    //             'numeric',
    //         ],

    //         'unit_value' => 'required|numeric',
    //         'unit_price' => 'required|numeric',
    //         'unit_name' => 'required',
    //     ];
    // }

    // public function customValidationMessages(): array
    // {
    //     return [
    //         'item_name.required'               => __('items.item_name.required'),
    //         'unit_barcode.numeric' => 'باركود الوحده يجب ان يكون ارقام فقط',
    //         'unit_barcode.unique' => 'باركود الوحده  مستخدم من قبل',
    //         'item_name.exists'                 => __('items.item_name.exists'),
    //         'unit_barcode.required'            => __('items.unit_barcode_required'),
    //         'unit_value.required'                 => __('items.unit_value_required'),
    //         'unit_value.numeric'                 => __('items.unit_value_numeric'),

    //         'unit_price.required' => __('items.unit_price_required'),
    //         'unit_price.numeric' => __('items.unit_price_numeric'),
    //         'unit_name.required'   => __('units.unit_name_required'),
    //         'unit_name.regex'   => 'صيغه اسم الوحده غير صحيحه',
    //     ];
    // }

    public function onFailure(Failure ...$failures)
    {
        // Handle the failures how you'd like.
    }
}
