<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class OrderNotify extends Notification
{
    use Queueable;

    public $data;
    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct($data)
    {
        $this->data = $data;
        //
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['database'];
    }

    public function toArray($notifiable)
    {
        return [
            'msg'         =>  $this->data['msg'],
        ];
        //FCM api URL
        // $url = 'https://fcm.googleapis.com/fcm/send';

        //  //api_key available in Firebase Console -> Project Settings -> CLOUD MESSAGING -> Server key

        //  // this is souq albadr firebase key
        // $server_key = 'AAAAu7mjg4A:APA91bFDbLcZCz3_vfTrKnuFgfoCwklZmdHSbKNMEil_lFLtbH_TLqmWrO8FAJkeUlFXXbYsUyC-CcrjLlQymauxGNdCbNVrWgxZV4AAoT9rC6uED485lLEdvBmHQSTphxbic55VmDMs';

        //  //header with content_type api key
        // $headers = array(
        //     'Content-Type:application/json; charset=utf-8',
        //     'Authorization:key=' . $server_key
        // );

        // $notification = [
        //     'title'        => $this->data['type'],
        //     'body'         =>  $this->data['msg'],
        //     // 'sound'        => true,
        //     // 'click_action' => 'MAIN_ACTIVITY',
        //  ];
        //  $fields = [
        //      'registration_ids' => $notifiable->player_id, //multiple token array
        //      'notification'     => $notification,
        //      'data'             => $extraNotificationData,
        //     //  'extra_data'       => $data
        //  ];

        //  $ch = curl_init();
        //  curl_setopt($ch, CURLOPT_URL, $url);
        //  curl_setopt($ch, CURLOPT_POST, true);
        //  curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        //  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //  curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        //  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        //  curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
        //  $result = curl_exec($ch);
        //  curl_close($ch);
        // return $notification;

    }
}
