<?php

namespace App\Services\Einvoice;

use Illuminate\Support\Facades\Facade;

/**
 * @method static setDocument(int $int)
 * @method static submitDocuments(mixed $documents)
 * @method static getDocumentTypes()
 * @method static initEinvoiceDocument(int $int)
 * @method static submitEinvoice(int $int)
 * @method static getDocumentStatus(string $uuid)
 * @method static getDocumentDetails(string $uuid)
 * @method static getPackageRequests(int $pageSize, mixed $page)
 * @method static getDocumentPackage($id)
 * @method static requestDocumentPackage(array $data)
 * @method static updateEgsCode(mixed $codeUsageRequestID, array $data)
 * @method static updateCode(mixed $itemCode, array $data, mixed $codeTypeName)
 * @method static requestCodeReuse(array $toArray)
 * @method static searchPublishedCodes(\Illuminate\Http\Response $query, mixed $param)
 * @method static getNotification(\Illuminate\Http\Response $query)
 * @method static logEinvoiceStage(string $string, mixed $itemCode)
 */
class Einvoice extends Facade
{
    public static function getFacadeAccessor()
    {
        return 'einvoice';
    }
}
