<?php
    namespace App\Services;

use Modules\Invoices\Entities\InvoiceDetailsVats;
use Modules\Invoices\Http\Requests\NewInvoiceRequest;

    class InvoiceDetailVat{

        private $invoice_id, $items_vats;
        public function __construct($invoice_id, $items_vats)
        {
            $this->invoice_id = $invoice_id;
            $this->items_vats = preg_split('/,/', $items_vats);
        }

        public function createMany()
        {
            foreach($this->items_vats as $single_item_vat)
            {
                InvoiceDetailsVats::createNew($this->invoice_id, explode('/', $single_item_vat));
            }
        }
    }
?>