<?php
    namespace App\Services\Updaters;

    class InvoiceStoreItemDescUpdater extends InvoiceStoreItemUpdater{
        public function update()
        {
            $this->setNewQty();
            $this->updateQty();
        } 

        protected function setNewQty()
        {
            if(!  (get_session_val('manufacturing', 'integer') == 2 && get_session_val('definite_while_selling', 'integer') == 1 && $this->item->manufacturing == 1) )
            {
                 if ($this->item_unit_id == $this->invoice_detail->input_details[2]) 
                {
                    $this->new_qty = floatVal($this->old_qty) - floatVal($this->invoice_detail->input_details[1]);
                } 
                else 
                {
                    $this->new_qty =  floatVal($this->old_qty) - floatVal($this->invoice_detail->input_details[1] * $this->getItemUnitValue());
    
                }   
            }
            
 
        }

        public function fakeNewQty()
        {
            $this->setNewQty();
            return $this->new_qty;
        }
   }
?>