<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEinvoiceDetailVatsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('einvoice_detail_vats', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->integer('einvoice_id')->index('einvoices_einvoice_id_foreign');
            $table->integer('item_id')->index('einvoices_details_item_id_foreign');
            $table->decimal('amountForeign', 20, 4);
            $table->string('taxType', 100);
            $table->decimal('amount', 20, 4);
            $table->string('subType', 100);
            $table->decimal('rate', 20, 4);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('einvoice_detail_vats');
    }
}
