<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmpTransactionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('emp_transaction', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->decimal('salary', 10, 4);
            $table->string('monthe', 191);
            $table->decimal('deduct', 10, 4);
            $table->integer('em_id');
            $table->date('spend_date');
            $table->decimal('amount', 10, 4);
            $table->string('resson', 191);
            $table->text('note')->nullable();
            $table->integer('type');
            $table->integer('client_transaction');
            $table->integer('add_user');
            $table->timestamp('add_date')->useCurrent();
            $table->integer('edit_user');
            $table->dateTime('edit_date');
            $table->integer('shop_id');
            $table->decimal('month_deduct', 10, 4)->default(0);
            $table->decimal('addition', 10, 4)->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('emp_transaction');
    }
}
