<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSalesManTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sales_man', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->string('sales_name', 191);
            $table->boolean('hide')->default(false);
            $table->integer('shop_id');
            $table->integer('client_group_id')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sales_man');
    }
}
