<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTicketsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tickets', function (Blueprint $table) {
            $table->bigIncrements('id');	
            $table->unsignedInteger('client_id');
            $table->unsignedInteger('ticket_reason_id');
            $table->unsignedInteger('ticket_type_id');
            $table->unsignedInteger('ticket_status_id');
            $table->text('description')->nullable();
            $table->timestamps();
            $table->unsignedInteger('employee_id');
            $table->unsignedInteger('shop_id');
            $table->string('email', 191)->nullable();
            $table->string('title', 191)->nullable();
            $table->boolean('type')->nullable();
            $table->string('phone', 191)->nullable();
            $table->integer('ticket_id')->nullable();
            $table->string('name', 191)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tickets');
    }
}
