let old_rejected_cols = [];

function getColsControls(start = 1, table_id = 'main_table') {
    let cols = $(`#${table_id} thead th`);
    let generated_html = '';

    for (let index = start; index <= cols.length; index++) {
        generated_html += createOption(index, $(cols[index]).text());
    }

    return generated_html;
}

function createOption(index, value)
{
    index += 1;
    return '<option value="'+ index +'">'+ value +'</option>';
}

$('#select_viewed_cols').on('change', function(){
    rejected_cols = $(this).val();
    for (let index = 0; index < rejected_cols.length; index++) {
        hideColumn(rejected_cols[index]);
    }
    reShowHiddenColumns(rejected_cols);
});

function reShowHiddenColumns(rejected_cols) {
    let difference = old_rejected_cols.filter(index => ! rejected_cols.includes(index));
    old_rejected_cols = rejected_cols;

    for (let index = 0; index < difference.length; index++) {
        showColumn(difference[index]);
    }
}

function hideColumn(index)
{
    $('th:nth-child('+ index +')').hide();
    $('td:nth-child('+ index +')').hide();
}

function showColumn(index)
{
    $('th:nth-child('+ index +')').show();
    $('td:nth-child('+ index +')').show();
}
