<?php

return [
    'activity'          => 'نشاط المؤسسة',
    'branch_code'       => 'كود الفرع',
    'invoice_note'      => 'ملاحظة: الكود موجود فى صفحة الضرائب الخاصة بكم.',
    'country'           => 'الدولة',
    'currency'          => 'العملة',
    'invoice_code'      => 'كود الفاتورة',
    'credit_code'       => 'كود الائتمان',
    'debit_code'        => 'كود المدينة',
    'receipt_code'      => 'كود الإيصال',
    'r_receipt_code'    => 'كود إيصال مرتجع',
    'registration_id'   => 'رقم التسجيل الضريبي',
    'einvoice-settings' => 'إعدادت الفاتورة الإلكترونية',
    'submit'            => 'حفظ',
    'choose_activity'   => 'إختر نشاط المؤسسة',
    'choose_country'    => 'إختر الدولة',
    'choose_currency'   => 'إختر العملة',
    'company_name'      => 'إسم الشركة',
    'activity_id.required'  => 'كود النشاط مطلوب',
    'branch_id.required'    => 'كود الفرع مطلوب',
    'country_id.required'   => 'كود الدولة مطلوب',
    'currency_id.required'  => 'كود العملة مطلوب',
    'registration_id.required' => 'رقم التسجيل الضريبي مطلوب',
    'company_name.required'    => 'إسم الشركة مطلوب',
    'company_name.string'      => 'إسم الشركة يجب أن يكون حروف',
    'company_name.max'         => 'إسم الشركة يجب أن يكون أقل من 100 حرف',
    'success'               => 'تم الحفظ بنجاح',
    'error'                 => 'حدث خطأ ما',
    'unit_name'             => 'اسم الوحدة',
    'add_unit'              => 'إضافة وحدة جديدة',
    'close'                 => 'إغلاق',
    'einvoice_code'         => 'كود الفاتورة الإلكترونية',
    'item_einvoice_code'    => 'كود الفاتورة الإلكترونية للصنف',
    'unit_einvoice_code'    => 'كود الفاتورة الإلكترونية للوحدة',
    'unit_name.required'    => 'اسم الوحدة مطلوب',
    'unit_name.string'      => 'اسم الوحدة يجب أن يكون عبارة عن نص',
    'unit_name.max'         => 'اسم الوحدة يجب أن لا يزيد عن 255 حرف',
    'unit_name.unique'      => 'اسم الوحدة موجود من قبل',
    'unit_einvoice_code.required' => 'كود الفاتورة الإلكترونية مطلوب',
    'unit_einvoice_code.string'   => 'كود الفاتورة الإلكترونية يجب أن يكون عبارة عن نص',
    'added_successfully'       => 'تمت الإضافة بنجاح',
    'updated_successfully'     => 'تم التعديل بنجاح',
    'deleted_successfully'     => 'تم الحذف بنجاح',
    'no_einvoice_code'         => 'لا يوجد كود الفاتورة الإلكترونية',
    'edit'                     => 'تعديل',
    'delete'                   => 'حذف',
    'show'                     => 'عرض',
    'create'                   => 'إضافة',
    'null_einvoice'            => 'لا يوجد فواتير إلكترونية',
    'gpc'                      => 'كود تصنيف المنتج العالمى',
    'choose_einvoice_code'     => 'إختر كود الفاتورة الإلكترونية',
    'choose_unit'              => 'إختر الوحدة الأساسية',
    'choose_category'          => 'إختر التصنيف العالمى',
    'gpc_code_note'            => 'ملحوظة: يجب البحث عن كود تصنيف المنتج (GPC).',
    'item_taxs'                => 'ضرائب الصنف',
    'choose_tax'               => 'إختر ضريبة',
    'tax_name'                 => 'اسم الضريبة',
    'tax_value'                => 'قيمة الضريبة',
    'tax_use'                  => 'إستخدام الضريبة',
    'client_name'              => 'اسم الشركة / المزرعة',
    'address'                  => 'العنوان',
    'governate'                => 'المحافظة',
    'regionCity'               => 'المنطقة / المدينة',
    'street'                   => 'الشارع',
    'buildingNumber'           => 'رقم المبنى',
    'postalCode'               => 'الرمز البريدي',
    'floor'                    => 'الطابق',
    'room'                     => 'الغرفة',
    'landmark'                 => 'إشارة معروفة',
    'additionalInformation'    => 'معلومات إضافية',
    'client_role'              => 'دور الشركة / المزرعة',
    'customer'                 => 'شركة',
    'supplier'                 => 'مزرعة',
    'both'                     => 'كلاهما',
    'choose_client_role'       => 'إختر دور الشركة / المزرعة',
    'mobile'                   => 'رقم الموبايل',
    'phone'                    => 'رقم الهاتف',
    'other-mobile'             => 'رقم موبايل آخر',
    'client_type'              => 'نوع الشركة',
    'rest_balance'             => 'رصيد مستحق على الشركة / المزرعة',
    'customer_group'           => 'مجموعة الشركة',
    'choose_customer_group'    => 'إختر مجموعة الشركة',
    'national_id'              => 'الرقم القومى',
    'tax_number'               => 'الرقم الضريبى',
    'customer_image'           => 'صورة الشركة',
    'image_order'              => 'ترتيب الصور',
    'notes'                    => 'ملاحظات',
    'address'                  => 'العنوان',
    'client_role.required'     => 'دور الشركة مطلوب',
    'client_role.in'           => 'دور الشركة غير صحيح',
    'client_name.required'     => 'اسم الشركة مطلوب',
    'client_name.string'       => 'اسم الشركة يجب أن يكون عبارة عن نص',
    'client_name.max'          => 'اسم الشركة يجب أن لا يزيد عن 255 حرف',
    'governate.required'       => 'المحافظة مطلوبة',
    'governate.string'         => 'المحافظة يجب أن يكون عبارة عن نص',
    'governate.max'            => 'المحافظة يجب أن لا يزيد عن 255 حرف',
    'regionCity.required'      => 'المنطقة / المدينة مطلوبة',
    'regionCity.string'        => 'المنطقة / المدينة يجب أن يكون عبارة عن نص',
    'regionCity.max'           => 'المنطقة / المدينة يجب أن لا يزيد عن 255 حرف',
    'street.required'          => 'الشارع مطلوب',
    'street.string'            => 'الشارع يجب أن يكون عبارة عن نص',
    'street.max'               => 'الشارع يجب أن لا يزيد عن 255 حرف',
    'buildingNumber.required'  => 'رقم المبنى مطلوب',
    'buildingNumber.numeric'   => 'رقم المبنى يجب أن يكون رقم',
    'postalCode.required'      => 'الرمز البريدي مطلوب',
    'postalCode.numeric'       => 'الرمز البريدي يجب أن يكون رقم',
    'floor.required'           => 'الطابق مطلوب',
    'floor.numeric'            => 'الطابق يجب أن يكون رقم',
    'room.required'            => 'الغرفة مطلوبة',
    'room.numeric'             => 'الغرفة يجب أن يكون رقم',
    'landmark.required'        => 'إشارة معروفة مطلوبة',
    'landmark.string'          => 'إشارة معروفة يجب أن يكون عبارة عن نص',
    'landmark.max'             => 'إشارة معروفة يجب أن لا يزيد عن 255 حرف',
    'mobile1'                  => 'رقم الموبايل',
    'mobile1.required'         => 'رقم الموبايل مطلوب',
    'mobile1.numeric'          => 'رقم الموبايل يجب أن يكون رقم',
    'mobile1.regex'            => 'رقم الموبايل يجب أن يكون 11 رقم',
    'mobile1.unique'           => 'رقم الموبايل موجود بالفعل',
    'national_id.numeric'      => 'الرقم القومى يجب أن يكون رقم',
    'national_id.unique'       => 'الرقم القومى موجود بالفعل',
    'client_tax_number.numeric' => 'الرقم الضريبى يجب أن يكون رقم',
    'client_tax_number.unique' => 'الرقم الضريبى موجود بالفعل',
    'image.image'              => 'صورة الشركة يجب أن تكون صورة',
    'image.max'                => 'صورة الشركة يجب أن لا يزيد عن 2 ميغابايت',
    'client_id.required'       => 'معرف الشركة مطلوب',
    'client_secret.required'   => 'مفتاح الشركة مطلوب',
    'client_name.unique'       => 'اسم الشركة موجود بالفعل',
    'supplier_name.required'   => 'اسم الشركة مطلوب',
    'supplier_name.string'     => 'اسم الشركة يجب أن يكون عبارة عن نص',
    'supplier_name.max'        => 'اسم الشركة يجب أن لا يزيد عن 255 حرف',
    'mobile1.required'         => 'رقم الموبايل مطلوب',
    'mobile1.regex'            => 'رقم الموبايل يجب أن يكون 11 رقم',
    'mobile1.unique'           => 'رقم الموبايل موجود بالفعل',
    'egscode' => [
        'title'         => 'كود الضرائب للصنف :name',
        'CodeType'      => 'نوع الكود',
        'itemCode'      => 'كود الصنف',
        'CodeNameEN'    => 'اسم الصنف بالانجليزية',
        'CodeNameAR'    => 'اسم الصنف بالعربية',
        "CodeDescEN"    => "وصف الصنف بالانجليزية",
        "CodeDescAR"    => "وصف الصنف بالعربية",
        "ActiveFrom"    => "تاريخ التفعيل",
        "ActiveTo"      => "تاريخ الانتهاء",
        "Active"        => "فعال",
        "ParentCode"    => "كود التصنيف العالمي",
        "RequestReason" => "سبب الطلب",
    ],
    'credit_limit' => [
        'numeric' =>'حد الائتمان يجب ان يكون ارقام',
        'min' =>'حد الائتمان يجب ان يكون مساوية أو أكبر لـ الصفر',
    ],
    "exempt"             => 'معفى',
    "not_include"        => 'غير شامل',
    "include"            => 'شامل',
    "sales_item_vats"    => 'ضريبة المبيعات',
    "purchase_item_vats" => 'ضريبة المشتريات',
    "choose_item_cat"    => 'اختر تصنيف الصنف',
    'client-group'      => 'مجموعه الشركة ',
    'clientGroup' => [
        'title'         => 'اضافه مجموعه جديده',
        'client-group'      => 'مجموعات العملاء',
        'group_name'      => 'اسم المجموعه',
        'discount'    => 'خصم المبيعات ',
        'save'    => 'حفظ',
        "clientCount"    => "عدد العملاء",
        "editGroup"    => "تعديل المجموعه" ,
        "deleteGroup"      => "حذف المجموعه",
        "edit"    => "تعديل " ,
        "delete"      => "حذف ",
        "clientName"        => "اسم الشركة",
        "cancel"    => "الغاء",
        "sureDelete" => "هل انت متاكد من الحذف ؟؟",
        "changeGroup"      => "تحويل العملاء الي  " ,
        "WithoutGroup"    => "بدون مجموعه " ,
        "suredelete"      => "تاكيد وحذف  ",
        "clientName"        => "اسم الشركة",
        'all_groups' =>'كل المجموعات',
        'choose_client_group' =>'اختر مجموعه',
        "cancel"    => "الغاء",
        "all"    => "كل العملاء",
        'process'=>"العمليات",
        'client_name'=>'اسم الشركة ',
        'valid'=>'المجموعه مفعله',
        'groupName_required'=>'اسم المجموعه مطلوب',
        'groupName_unique'=>'اسم المجموعه موجود من قبل',
        'discount_between'=>'نسبه الخصم يجب ان تكون بين 0 و 100',
        'cliantgroup_hidden'=>'اخفاء المجموعه من المبيعات',
        'client_create'=>'تم انشاء المجموعه بنجاح',
        'client_edit'=>'تم تعديل المجموعه ',
        'save_done'=>' تم الحفظ',
        'edit_done'=>' تم التعديل بنجاح',
        'delete_group'=> 'تم حذف المجموعه بنجاح ',
        'delete_group_to_nogroup'=>'تم حذف المجموعه وتحويل العملاء الي بدون مجموعه',
        'choose_group'=>'لا يمكن حذف المجموعه لارتباطها بعملاء يجب تحويلهم الي مجموعه اخري ',
    ],
    'code' => 'رقم الكود',
    'client' => 'شركة',
    'client-name' => 'اسم الشركة',
    'supplier' => 'مزرعة',
    'supplier-name' => 'اسم المزرعة',
    'client or supplier' => 'شركة او مزرعة',

    'clients-suppliers' => 'الشركات والمزارع',
    'add client-supplier' => 'اضافة شركة أو مزرعة',
    'all clients-suppliers' => 'كل الشركات والمزارع',
    'type client-supplier' => 'نوع الشركة أو المزرعة',
//    'There was an error on row :row. :message' => 'يوجد مشكلة في الصف :row. :message',
];
