<?php

return [
    'title'                       => 'الاصناف',
    'name'                        => 'اسم الصنف',
    'about'                       => 'وصف الصنف',
    'code'                        => 'كود الصنف',
    'quantity'                    => 'الكمية',
    'min_quantity'                => 'الحد الأدنى للكمية',
    'price'                       => 'السعر',
    'barcode'                     => 'الباركود',
    'main_category'               => 'التصنيف الرئيسى',
    'sub_category'                => 'التصنيف الفرعى',
    'supplier'                    => 'المورد',
    'item_name.required'          => 'اسم الصنف مطلوب',
    'item_name.string'            => 'اسم الصنف يجب ان يكون حروف',
    'item_name.max'               => 'اسم الصنف يجب ان لا يزيد عن 255 حرف',
    'item_name.unique'            => 'اسم الصنف موجود مسبقا',
    'barcode.required'            => 'الباركود مطلوب',
    'barcode.unique'              => 'الباركود موجود مسبقا',
    'supplier_id.required'        => 'المورد مطلوب',
    'quantity.required'           => 'الكمية مطلوبة',
    'sale_unit.required'          => 'التصنيف مطلوب',
    'category.required'           => 'التصنيف مطلوب',
    'unit_id.required'            => 'الوحدة مطلوبة',
    'pay_price.required'          => 'سعر الشراء مطلوب',
    'sale_price.required'         => 'سعر البيع مطلوب',
    'image.mimes'                 => 'صورة غير صالحة',
    'parent_code.nullable'        => 'كود التصنيف العالمى مطلوب',
    'item_einvoice_code.unique'   => 'كود الفاتورة الإلكترونية موجود مسبقاً',
    'vats.required'               => 'الضريبة مطلوبة',
    'item_einvoice_code.required' => 'كود الفاتورة الإلكترونية مطلوب',
    'item_einvoice_code.unique'   => 'كود الفاتورة الإلكترونية موجود مسبقاً',
    'all'                         => 'الكل',
    'chooseSupplier'              => 'اختر المورد',
    'store_shelf'                 => 'رف المخزن',
    'supplier'                    => 'المورد',
    'chooseShelf'                 => 'اختر رف مخزن',
    'addItem'                     => 'اضافة صنف',
    'search_on_item'              => 'بحث عن صنف',
    'barcode_only'                => 'باركود فقط',
    'categories'                  => 'التصنيفات',
    'stores'                      => 'المخازن',
    'main_store'                  => 'المخزن الرئيسي',
    'manufacturing_cats'          => 'تحديد تصنيفات التصنيع',
    'einvoice_code'               => 'كود الفاتورة الإلكترونية',
    'sale_price'                  => 'سعر البيع',
    'pay_price'                   => 'سعر الشراء',
    'vat'                         => 'الضريبة',
    'sale_unit'                   => 'التصنيف',
    'unit_id'                     => 'الوحدة',
    'main_unit'                   => 'الوحدة الاساسية',
    'item'                        => 'صنف',
    'show_in_store'               => 'عرض فى المتجر الإلكترونى',
    'purchase_date'               => 'تاريخ الشراء',
    'expire_date'                 => 'تاريخ إنتهاء الصلاحية',
    'item_details'                => 'تفاصيل الصنف',
    'image'                       => 'صورة الصنف',
    'image_text'                  => 'نص الصورة',
    'add_barcode'                 => 'اضافة باركود',
    'edit_item'                   => 'تعديل صنف',
    'add_shelf'                   => 'اضافة رف مخزن',
    'add_supplier'                => 'اضافة مورد',
    'add_sub_units'               => 'اضافة وحدة فرعية',
    'min_sale_price'              => 'سعر البيع الأدنى',
    'variable_price_list'         => 'قائمة أسعار متغيرة',
    'add_variable_price_list'     => 'اضافة قائمة أسعار',
    'exempt'                      => 'معفى',
    'not_include'                 => 'غير شامل',
    'include'                     => 'شامل',
    'sales_item_vats'             => 'ضريبة المبيعات',
    'purchase_item_vats'          => 'ضريبة المشتريات',
    'sales_item_vats_type'        => 'نوع ضريبة المبيعات',
    'purchase_item_vats_type'     => 'نوع ضريبة المشتريات',
    "tax_name"                    => "اسم الضريبة",
    "tax_value"                   => "قيمة الضريبة",
    "tax_use"                     => "استخدام الضريبة",
    "unit_einvoice_code"          => "كود الفاتورة الإلكترونية",
    "item_einvoice_code"          => "كود الصنف الإلكتروني",
    'item_taxs'                   => 'ضرائب الصنف',
    'choose_tax'                  => 'إختر ضريبة',
    'tax_name'                    => 'اسم الضريبة',
    'tax_value'                   => 'قيمة الضريبة',
    'tax_use'                     => 'إستخدام الضريبة',
    'choose_item_store'           => 'اختر مخزن الصنف',
    'choose_item_store_alert'     => 'برجاء اختيار مخزن الصنف',
    'store'                       => 'المخزن',
    'stores.unique'               => 'اسم المخزن موجود مسبقاً',
    'store_note'                  => 'هذه الكمية الموجودة فى المخزن :store',
    'edit_store_note'             => 'سيتم تعديل الكمية الموجودة فى المخزن',
    'add_store_note'              => 'سيتم اضافة الكمية إلى المخزن',
    "unit"                        => [
        "title"         => "الوحدة",
        "value"         => "مقابل الوحدة الاساسية",
        "price"         => "سعر الوحدة",
        "barcode"       => "باركود الوحدة",
        "einvoice_code" => 'كود الفاتورة الإلكترونية',
        "type"          => 'نوع الوحدة',
        "larger"        => 'الوحدة اكبر',
        "smaller"       => 'الوحدة اقل',
        "not_found"     => 'الوحدة غير موجودة',
        "delete_success" => 'تم حذف الوحدة بنجاح',
        "delete_error"  => 'حدث خطأ أثناء حذف الوحدة',
    ],
    "select_item_color_Size"      => "تحديد مقاسات والوان الصنف",
    "sizes"                       => "المقاسات",
    "colors"                      => "الالوان",
    "add_size"                    => "اضافة مقاس",
    "add_color"                   => "اضافة لون",
    "size"                        => "المقاس",
    "color"                       => "اللون",
    "price_list"                  => "قائمة أسعار",
    "choose_variable_list"        => "اختر قائمة أسعار متغيرة",
    "list_name"                   => "اسم القائمة",
    "percentage_on_purchases"     => "نسبة على المشتريات",
    "percentage_on_sales"         => "نسبة على المبيعات",
    "choose_size"                 => "اختر مقاس",
    "choose_color"                => "اختر لون",
    "seller_commission"           => "عمولة البائع",
    "meters_per_carton"           => "الأمتار بالكرتونة",
    "background_color"            => "لون الخلفية",
    "order_show"                  => "ترتيب العرض",
    "details"                     => "تفاصيل",
    "amount_used_for_small_cars"  => "الكمية المستهلكة للسيارات الصغيرة",
    "amount_used_for_medium_cars" => "الكمية المستهلكة للسيارات المتوسطة",
    "amount_used_for_large_cars"  => "الكمية المستهلكة للسيارات الكبيرة",
    "shipping_companies"          => "شركات الشحن",
    "add_shipping_company"        => "اضافة شركة شحن",
    "select_shipping_company"     => "اختر شركة الشحن",
    "main_item"                   => "الصنف الرئيسي",
    "main_manufacturer"           => "منتج تصنيع",
    "item_manufacturer"           => "مكون تصنيع",
    "item_options"                => "خيارات الصنف",
    "gpc"                         => "كود التصنيف العالمي",
    "show_inventory"              => "إظهار بالجرد",
    "show_online_store"           => "إظهار في المتجر",
    "service_item"                => "صنف خدمة",
    "game_with_time"              => "لعبة بالوقت",
    "add_on_item"                 => "إضافة علي الصنف",
    "require_serial"              => "طلب رقم المسلسل",
    "new_barcode"                 => "باركود جديد",
    "new_supplier"                => "مورد جديد",
    "phone_number"                => "رقم الهاتف",
    "size_code"                   => "كود المقاس",
    "color_code"                  => "كود اللون",
    "update_sub_unit"             => "تعديل الوحدة الفرعية",
    "shelf"                       => "رف",
    "card_company"                => "شركة اتصالات جديدة",
    "company_name"                => "اسم الشركة",
    "card_count"                  => "عدد بطاقات الشحن",
    "show_barcodes"               => "إظهار جميع الباركود",
    "new_sub_unit"                => "وحدة فرعية جديدة",
    "add_item"                    => "اضافة صنف جديد",
    "item_name.required"          => "اسم الصنف مطلوب",
    "item_name.unique"            => "اسم الصنف موجود مسبقا",
    "item_name.string"            => "اسم الصنف يجب ان يكون سلسلة",
    "item_name.max"               => "اسم الصنف يجب ان يكون اقل من :max حرف",
    "barcode.required"            => "باركود مطلوب",
    "barcode.unique"              => "باركود موجود مسبقا",
    "n_barcode.unique"            => "الباركود الفرعى موجود مسبقا",
    "supplier_id.required"        => "المورد مطلوب",
    "quantity.required"           => "الكمية مطلوبة",
    "sale_unit.required"          => "وحدة البيع مطلوبة",
    "unit_id.required"            => "وحدة الشراء مطلوبة",
    "pay_price.required"          => "سعر الدفع مطلوب",
    "sale_price.required"         => "سعر البيع مطلوب",
    "image.mimes"                 => "يجب ان يكون صورة من نوع :values",
    "manufacturing.nullable"      => "مصدر الصنف مطلوب",
    "parent_code.nullable"        => "كود الصنف الرئيسي مطلوب",
    "item_einvoice_code.unique"   => "كود الصنف موجود مسبقا",
    "unit_barcode_required"       => "باركود الوحدة مطلوب",
    "unit_barcode_unique"         => "باركود الوحدة موجود مسبقا",
    "unit_id_required"            => "الوحدة الفرعية مطلوبة",
    "unit_id_unique"              => "الوحدة الفرعية موجود مسبقا",
    "unit_price_required"         => "سعر الوحدة مطلوب",
    "unit_price_numeric"          => "سعر الوحدة يجب ان يكون رقم",
    "unit_type_required"          => "نوع الوحدة مطلوب",
    "unit_value_required"         => "قيمة الوحدة مطلوبة",
    "unit_value_numeric"          => "قيمة الوحدة يجب ان يكون رقم",
    "shelf_name.required"         => "اسم الرف مطلوب",
    "shelf_name.unique"           => "اسم الرف موجود مسبقا",
    "supplier_name.required"      => "اسم المورد مطلوب",
    "supplier_name.string"        => "اسم المورد يجب ان يكون سلسلة",
    "supplier_name.max"           => "اسم المورد يجب ان يكون اقل من :max حرف",
    "supplier_name.unique"        => "اسم المورد موجود مسبقا",
    "mobile1.required"            => "رقم الهاتف مطلوب",
    "mobile1.regex"               => "رقم الهاتف يجب ان يكون رقم صحيح",
    "mobile1.unique"              => "رقم الهاتف موجود مسبقا",
    "company_name.required"       => "اسم الشركة مطلوب",
    "company_name.unique"         => "اسم الشركة موجود مسبقا",
    "income_ratio.required"       => "نسبة المشتريات مطلوبة",
    "income_ratio.numeric"        => "نسبة المشتريات يجب ان يكون رقم",
    "sale_ratio.required"         => "نسبة المبيعات مطلوبة",
    "sale_ratio.numeric"          => "نسبة المبيعات يجب ان يكون رقم",
    "card_count.required"         => "عدد البطاقات مطلوب",
    "card_count.numeric"          => "عدد البطاقات يجب ان يكون رقم",
    "color_name.required"         => "اسم اللون مطلوب",
    "color_name.unique"           => "اسم اللون موجود مسبقا",
    "color_code.required"         => "كود اللون مطلوب",
    "color_code.unique"           => "كود اللون موجود مسبقا",
    "size_name.required"          => "اسم المقاس مطلوب",
    "size_name.unique"            => "اسم المقاس موجود مسبقا",
    "size_code.required"          => "كود المقاس مطلوب",
    "size_code.unique"            => "كود المقاس موجود مسبقا",
    "category"                    => [
        "not_found"      => "التصنيف غير موجودة",
        "delete_success" => "تم حذف التصنيف بنجاح",
        "delete_error"   => "حدث خطأ أثناء حذف التصنيف"
    ],
];
