<?php

return [
    'title'                       => 'الاصناف',
    'name'                        => 'اسم الصنف',
    'about'                       => 'وصف الصنف',
    'code'                        => 'كود الصنف',
    'quantity.name'               => 'الكمية',
    'min_quantity'                => 'الحد الأدنى للكمية',
    'price.name'                  => 'السعر',
    'barcode.name'                => 'الباركود',
    'main_category'               => 'التصنيف الرئيسى',
    'sub_category'                => 'التصنيف الفرعى',
    'supplier'                    => 'المورد',
    'item_name.required'          => 'اسم الصنف مطلوب',
    'item_name.string'            => 'اسم الصنف يجب ان يكون حروف',
    'item_name.max'               => 'اسم الصنف يجب ان لا يزيد عن 255 حرف',
    'item_name.unique'            => 'اسم الصنف موجود مسبقا',
    'barcode.required'            => 'الباركود مطلوب',
    'barcode.unique'              => 'الباركود موجود مسبقا',
    'supplier_id.required'        => 'المورد مطلوب',
    'quantity.required'           => 'الكمية مطلوبة',
    'sale_unit.required'          => 'التصنيف مطلوب',
    'category.required'           => 'التصنيف مطلوب',
    'unit_id.required'            => 'الوحدة مطلوبة',
    'pay_price.required'          => 'سعر الشراء مطلوب',
    'sale_price.required'         => 'سعر البيع مطلوب',
    'image.mimes'                 => 'صورة غير صالحة',
    'parent_code.nullable'        => 'كود التصنيف العالمى مطلوب',
    'item_einvoice_code.unique'   => 'كود الفاتورة الإلكترونية موجود مسبقاً',
    'vats.required'               => 'الضريبة مطلوبة',
    'item_einvoice_code.required' => 'كود الفاتورة الإلكترونية مطلوب',
    'item_einvoice_code.unique'   => 'كود الفاتورة الإلكترونية موجود مسبقاً',
    'all'                         => 'الكل',
    'chooseSupplier'              => 'اختر المورد',
    'store_shelf'                 => 'رف المخزن',
    'supplier'                    => 'المورد',
    'chooseShelf'                 => 'اختر رف مخزن',
    'addItem'                     => 'اضافة صنف',
    'search_on_item'              => 'بحث عن صنف',
    'barcode_only'                => 'باركود فقط',
    'categories'                  => 'التصنيفات',
    'stores.name'                 => 'المخازن',
    'main_store'                  => 'المخزن الرئيسي',
    'manufacturing_cats'          => 'تحديد تصنيفات التصنيع',
    'einvoice_code'               => 'كود الفاتورة الإلكترونية',
    'sale_price.name'             => 'سعر البيع',
    'pay_price.name'              => 'سعر الشراء',
    'vat'                         => 'الضريبة',
    'sale_unit.name'              => 'التصنيف',
    'unit_id.name'                => 'الوحدة',
    'main_unit'                   => 'الوحدة الاساسية',
    'item'                        => 'صنف',
    'show_in_store'               => 'عرض فى المتجر الإلكترونى',
    'purchase_date'               => 'تاريخ الشراء',
    'expire_date'                 => 'تاريخ إنتهاء الصلاحية',
    'item_details'                => 'تفاصيل الصنف',
    'image.name'                  => 'صورة الصنف',
    'image_text'                  => 'نص الصورة',
    'add_barcode'                 => 'اضافة باركود',
    'edit_item'                   => 'تعديل صنف',
    'add_shelf'                   => 'اضافة رف مخزن',
    'add_supplier'                => 'اضافة مورد',
    'add_sub_units'               => 'اضافة وحدة فرعية',
    'min_sale_price'              => 'سعر البيع الأدنى',
    'variable_price_list'         => 'قائمة أسعار متغيرة',
    'add_variable_price_list'     => 'اضافة قائمة أسعار',
    'exempt'                      => 'معفى',
    'not_include'                 => 'غير شامل',
    'include'                     => 'شامل',
    'sales_item_vats'             => 'ضريبة المبيعات',
    'purchase_item_vats'          => 'ضريبة المشتريات',
    'sales_item_vats_type'        => 'نوع ضريبة المبيعات',
    'purchase_item_vats_type'     => 'نوع ضريبة المشتريات',
    "tax_name"                    => "اسم الضريبة",
    "tax_value"                   => "قيمة الضريبة",
    "tax_use"                     => "استخدام الضريبة",
    "unit_einvoice_code"          => "كود الوحدة الخاص يالفاتورة الإلكترونية",
    "item_einvoice_code"          => "كود الصنف الخاص بالفاتورة الإلكترونية",
    'item_taxs'                   => 'ضرائب الصنف',
    'choose_tax'                  => 'إختر ضريبة',
    'tax_name'                    => 'اسم الضريبة',
    'tax_value'                   => 'قيمة الضريبة',
    'tax_use'                     => 'إستخدام الضريبة',
    'choose_item_store'           => 'اختر مخزن الصنف',
    'choose_item_store_alert'     => 'برجاء اختيار مخزن الصنف',
    'choose_item_cat'             => 'اختر تصنيف الصنف',
    'store'                       => 'المخزن',
    'stores.unique'               => 'اسم المخزن موجود مسبقاً',
    'store_note'                  => 'هذه الكمية الموجودة فى المخزن :store',
    'edit_store_note'             => 'سيتم تعديل الكمية الموجودة فى المخزن',
    'add_store_note'              => 'سيتم اضافة الكمية إلى المخزن',
    "unit"                        => [
        "title"         => "الوحدة",
        "value"         => "مقابل الوحدة الاساسية",
        "price"         => "سعر الوحدة",
        "pay-price"     => "سعر الشراء",
        "barcode"       => "باركود الوحدة",
        "einvoice_code" => 'كود الفاتورة الإلكترونية',
        "type"          => 'نوع الوحدة',
        "larger"        => 'الوحدة اكبر',
        "smaller"       => 'الوحدة اقل',
        "not_found"     => 'الوحدة غير موجودة',
        "delete_success" => 'تم حذف الوحدة بنجاح',
        "delete_error"  => 'حدث خطأ أثناء حذف الوحدة',
    ],
    "select_item_color_Size"      => "تحديد مقاسات والوان الصنف",
    "sizes"                       => "المقاسات",
    "colors"                      => "الالوان",
    "add_size"                    => "اضافة مقاس",
    "add_color"                   => "اضافة لون",
    "size.name"                   => "المقاس",
    "color.name"                  => "اللون",
    "price_list"                  => "قائمة أسعار",
    "choose_variable_list"        => "اختر قائمة أسعار متغيرة",
    "list_name"                   => "اسم القائمة",
    "percentage_on_purchases"     => "نسبة على المشتريات",
    "percentage_on_sales"         => "نسبة على المبيعات",
    "choose_size"                 => "اختر مقاس",
    "choose_color"                => "اختر لون",
    "seller_commission"           => "عمولة البائع",
    "meters_per_carton"           => "الأمتار بالكرتونة",
    "background_color"            => "لون الخلفية",
    "order_show"                  => "ترتيب العرض",
    "details"                     => "تفاصيل",
    "amount_used_for_small_cars"  => "الكمية المستهلكة للسيارات الصغيرة",
    "amount_used_for_medium_cars" => "الكمية المستهلكة للسيارات المتوسطة",
    "amount_used_for_large_cars"  => "الكمية المستهلكة للسيارات الكبيرة",
    "shipping_companies"          => "شركات الشحن",
    "add_shipping_company"        => "اضافة شركة شحن",
    "select_shipping_company"     => "اختر شركة الشحن",
    "main_item"                   => "الصنف الرئيسي",
    "main_manufacturer"           => "منتج تصنيع",
    "item_manufacturer"           => "مكون تصنيع",
    "item_options"                => "خيارات الصنف",
    "gpc"                         => "كود التصنيف العالمي",
    "show_inventory"              => "إظهار بالجرد",
    "show_online_store"           => "إظهار في المتجر",
    "service_item"                => "صنف خدمة",
    "game_with_time"              => "لعبة بالوقت",
    "add_on_item"                 => "إضافة علي الصنف",
    "require_serial"              => "طلب رقم المسلسل",
    "new_barcode"                 => "باركود جديد",
    "new_supplier"                => "مورد جديد",
    "phone_number"                => "رقم الهاتف",
    "size_code.name"              => "كود المقاس",
    "color_code.name"             => "كود اللون",
    "update_sub_unit"             => "تعديل الوحدة الفرعية",
    "shelf"                       => "رف",
    "card_company"                => "شركة اتصالات جديدة",
    "company_name.name"           => "اسم الشركة",
    "card_count.name"             => "عدد بطاقات الشحن",
    "show_barcodes"               => "إظهار جميع الباركود",
    "new_sub_unit"                => "وحدة فرعية جديدة",
    "add_item"                    => "اضافة صنف جديد",
    "item_name.required"          => "اسم الصنف مطلوب",
    "item_name.unique"            => "اسم الصنف موجود مسبقا",
    "item_name.string"            => "اسم الصنف يجب ان يكون سلسلة",
    "item_name.exists"            => "هذا الصنف غير موجود ",
    "item_name.max"               => "اسم الصنف يجب ان يكون اقل من :max حرف",
    "barcode.required"            => "باركود مطلوب",
    "barcode.unique"              => "باركود موجود مسبقا",
    "n_barcode.unique"            => "الباركود الفرعى موجود مسبقا",
    "sub_unit_barcode.unique"            => "الباركود الاضافي للوحده الفرعيه موجود مسبقا",
    "supplier_id.required"        => "المورد مطلوب",
    "quantity.required"           => "الكمية مطلوبة",
    "sale_unit.required"          => "التصنيف مطلوب",
    "unit_id.required"            => "وحدة الشراء مطلوبة",
    "pay_price.required"          => "سعر الدفع مطلوب",
    "sale_price.required"         => "سعر البيع مطلوب",
    "image.mimes"                 => "يجب ان يكون صورة من نوع :values",
    "manufacturing.nullable"      => "مصدر الصنف مطلوب",
    "parent_code.nullable"        => "كود الصنف الرئيسي مطلوب",
    "item_einvoice_code.unique"   => "كود الصنف موجود مسبقا",
    "unit_barcode_required"       => "باركود الوحدة مطلوب",
    "unit_barcode_unique"         => "باركود الوحدة موجود مسبقا",
    "unit_id_required"            => "الوحدة الفرعية مطلوبة",
    "unit_id_unique"              => "الوحدة الفرعية موجود مسبقا",
    "unit_price_required"         => "سعر الوحدة مطلوب",
    "unit_price_numeric"          => "سعر الوحدة يجب ان يكون رقم",
    "unit_type_required"          => "نوع الوحدة مطلوب",
    "unit_value_required"         => "قيمة الوحدة مطلوبة",
    "unit_value_numeric"          => "قيمة الوحدة يجب ان يكون رقم",
    "shelf_name.required"         => "اسم الرف مطلوب",
    "shelf_name.unique"           => "اسم الرف موجود مسبقا",
    "supplier_name.required"      => "اسم المورد مطلوب",
    "supplier_name.string"        => "اسم المورد يجب ان يكون سلسلة",
    "supplier_name.max"           => "اسم المورد يجب ان يكون اقل من :max حرف",
    "supplier_name.unique"        => "اسم المورد موجود مسبقا",
    "mobile1.required"            => "رقم الهاتف مطلوب",
    "mobile1.regex"               => "رقم الهاتف يجب ان يكون رقم صحيح",
    "mobile1.unique"              => "رقم الهاتف موجود مسبقا",
    "company_name.required"       => "اسم الشركة مطلوب",
    "company_name.unique"         => "اسم الشركة موجود مسبقا",
    "income_ratio.required"       => "نسبة المشتريات مطلوبة",
    "income_ratio.numeric"        => "نسبة المشتريات يجب ان يكون رقم",
    "sale_ratio.required"         => "نسبة المبيعات مطلوبة",
    "sale_ratio.numeric"          => "نسبة المبيعات يجب ان يكون رقم",
    "card_count.required"         => "عدد البطاقات مطلوب",
    "card_count.numeric"          => "عدد البطاقات يجب ان يكون رقم",
    "color_name.required"         => "اسم اللون مطلوب",
    "color_name.unique"           => "اسم اللون موجود مسبقا",
    "color_code.required"         => "كود اللون مطلوب",
    "color_code.unique"           => "كود اللون موجود مسبقا",
    "size_name.required"          => "اسم المقاس مطلوب",
    "size_name.unique"            => "اسم المقاس موجود مسبقا",
    "size_code.required"          => "كود المقاس مطلوب",
    "size_code.unique"            => "كود المقاس موجود مسبقا",
    "item_einvoice_code_required" => "كود الفاتورة الإلكترونية الخاص بالصنف مطلوب",
    "item_einvoice_code_unique"   => "كود الفاتورة الإلكترونية الخاص بالصنف موجود مسبقا",
    "parent_code_required"        => "كود التصنيف العالمي مطلوب",
    "unit_einvoice_code_required" => "كود الفاتورة الإلكترونية الخاص بالوحدة مطلوب",
    "einvoice_vat_state"          => "نوع الضريبة",
    "category"                    => [
        "not_found"      => "التصنيف غير موجودة",
        "delete_success" => "تم حذف التصنيف بنجاح",
        "delete_error"   => "حدث خطأ أثناء حذف التصنيف"
    ],
    "sub_unit"                    => [
        "unit_id_required"      => "الوحدة الفرعية مطلوبة",
        "unit_id_integer"       => "الوحدة الفرعية يجب ان تكون رقم",
        "unit_id_unique"        => "الوحدة الفرعية موجودة مسبقا",
        "unit_value_required"   => "مقابل الوحدة الاساسية مطلوب",
        "unit_value_numeric"    => "مقابل الوحدة الاساسية يجب ان يكون رقم",
        "unit_price_required"   => "سعر الوحدة الفرعية مطلوب",
        "unit_price_numeric"    => "سعر الوحدة الفرعية يجب ان يكون رقم",
        "unit_barcode_required" => "باركود الوحدة الفرعية مطلوب",
        "unit_barcode_string"   => "باركود الوحدة الفرعية يجب ان يكون سلسلة",
        "unit_barcode_unique"   => "باركود الوحدة الفرعية موجود مسبقا",
        "unit_type_required"    => "نوع الوحدة الفرعية مطلوب",
        "unit_type_integer"     => "نوع الوحدة الفرعية يجب ان يكون رقم",
        "current_id_required"   => "الوحدة الحالية مطلوبة",
        "current_id_integer"    => "الوحدة الحالية يجب ان تكون رقم",
        "sub_id_required"       => "الوحدة الفرعية مطلوبة",
        "sub_id_integer"        => "الوحدة الفرعية يجب ان تكون رقم",
        "already_exists"        => "الوحدة الفرعية موجودة مسبقا",
    ],
    "barcode_ticket"              => [
        "settings"              => [
            "title"                               => "إعدادات الباركود",
            "support_barcode_reader"              => "الدعم لقارئ الباركود",
            "show_unit_name"                      => "عرض اسم الوحدة",
            "show_item_name"                      => "عرض اسم الصنف",
            "show_item_price"                     => "عرض سعر الصنف",
            "show_item_description"               => "عرض وصف الصنف",
            "show_shop_name"                      => "عرض اسم المحل",
            "print_barcode_number"                => "طباعة رقم الباركود",
            "barcode_number"                      => "عدد الباركود فى الصفحة",
            "barcode_scale_support"               => "دعم ميزان الباركود",
            "scale_start_code"                    => "كود البداية المميز للميزان",
            "item_code_digits"                    => "عدد الأرقام لكود الصنف",
            "text_size"                           => "حجم الخط",
            "barcode_template"                    => "نموذج الباركود",
            "barcode_size"                        => "مقاس الباركود",
            "barcode_height"                      => "طول الباركود mm",
            "barcode_width"                       => "عرض الباركود mm",
            "logo_size"                           => "مقاس الشعار",
            "logo_height"                         => "طول الشعار mm",
            "logo_width"                          => "عرض الشعار mm",
            "barcode_reader_code_size"            => "مقاس رمز القارئ",
            "barcode_reader_code_height"          => "طول رمز القارئ mm",
            "barcode_reader_code_width"           => "عرض رمز القارئ mm",
            "tickets_margins_settings"            => "إعدادات هامش الباركود",
            "page_margins_settings"               => "إعدادات هامش الصفحة",
            "top_margin"                          => "الهامش العلوي mm",
            "bottom_margin"                       => "الهامش السفلي mm",
            "left_margin"                         => "الهامش الأيسر mm",
            "right_margin"                        => "الهامش الأيمن mm",
            "barcode_reader_required"             => "قارئ الباركود مطلوب",
            "barcode_reader_boolean"              => "الدعم لقارئ الباركود يجب ان يكون صحيح او خطأ",
            "show_item_name_required"             => "عرض اسم الصنف مطلوب",
            "show_item_name_boolean"              => "عرض اسم الصنف يجب ان يكون صحيح او خطأ",
            "show_item_description_required"      => "عرض وصف الصنف مطلوب",
            "show_item_description_boolean"       => "عرض وصف الصنف يجب ان يكون صحيح او خطأ",
            "show_price_required"                 => "عرض سعر الصنف مطلوب",
            "show_price_boolean"                  => "عرض سعر الصنف يجب ان يكون صحيح او خطأ",
            "show_shop_name_required"             => "عرض اسم المحل مطلوب",
            "show_shop_name_boolean"              => "عرض اسم المحل يجب ان يكون صحيح او خطأ",
            "print_barcode_number_required"       => "طباعة رقم الباركود مطلوب",
            "print_barcode_number_boolean"        => "طباعة رقم الباركود يجب ان يكون صحيح او خطأ",
            "barcode_scale_support_required"      => "دعم ميزان الباركود مطلوب",
            "barcode_scale_support_boolean"       => "دعم ميزان الباركود يجب ان يكون صحيح او خطأ",
            "barcode_number_required"             => "عدد الباركود فى الصفحة مطلوب",
            "barcode_number_integer"              => "عدد الباركود فى الصفحة يجب ان يكون رقم",
            "barcode_template_required"           => "نموذج الباركود مطلوب",
            "barcode_template_integer"            => "نموذج الباركود يجب ان يكون رقم",
            "scale_start_code_required"           => "كود البداية المميز للميزان مطلوب",
            "scale_start_code_integer"            => "كود البداية المميز للميزان يجب ان يكون رقم",
            "text_size_required"                  => "حجم الخط مطلوب",
            "text_size_numeric"                   => "حجم الخط يجب ان يكون رقم",
            "item_code_digits_required"           => "عدد ارقام كود الصنف مطلوب",
            "item_code_digits_numeric"            => "عدد ارقام كود الصنف يجب ان يكون رقم",
            "barcode_height_required"             => "طول الباركود مطلوب",
            "barcode_height_numeric"              => "طول الباركود يجب ان يكون رقم",
            "barcode_width_required"              => "عرض الباركود مطلوب",
            "barcode_width_numeric"               => "عرض الباركود يجب ان يكون رقم",
            "logo_height_required"                => "طول الشعار مطلوب",
            "logo_height_numeric"                 => "طول الشعار يجب ان يكون رقم",
            "logo_width_required"                 => "عرض الشعار مطلوب",
            "logo_width_numeric"                  => "عرض الشعار يجب ان يكون رقم",
            "barcode_reader_code_height_required" => "طول زمز القارئ مطلوب",
            "barcode_reader_code_height_numeric"  => "طول زمز القارئ يجب ان يكون رقم",
            "barcode_reader_code_width_required"  => "عرض زمز القارئ مطلوب",
            "barcode_reader_code_width_numeric"   => "عرض زمز القارئ يجب ان يكون رقم",
            "ticket_top_margin_required"          => "هامش الباركود من الاعلى مطلوب",
            "ticket_top_margin_numeric"           => "هامش الباركود من الاعلى يجب ان يكون رقم",
            "ticket_bottom_margin_required"       => "هامش الباركود من الاسفل مطلوب",
            "ticket_bottom_margin_numeric"        => "هامش الباركود من الاسفل يجب ان يكون رقم",
            "ticket_left_margin_required"         => "هامش الباركود من اليسار مطلوب",
            "ticket_left_margin_numeric"          => "هامش الباركود من اليسار يجب ان يكون رقم",
            "ticket_right_margin_required"        => "هامش الباركود من اليمين مطلوب",
            "ticket_right_margin_numeric"         => "هامش الباركود من اليمين يجب ان يكون رقم",
            "page_top_margin_required"            => "هامش الصفحة من الاعلى مطلوب",
            "page_top_margin_numeric"             => "هامش الصفحة من الاعلى يجب ان يكون رقم",
            "page_bottom_margin_required"         => "هامش الصفحة من الاسفل مطلوب",
            "page_bottom_margin_numeric"          => "هامش الصفحة من الاسفل يجب ان يكون رقم",
            "page_left_margin_required"           => "هامش الصفحة من اليسار مطلوب",
            "page_left_margin_numeric"            => "هامش الصفحة من اليسار يجب ان يكون رقم",
            "page_right_margin_required"          => "هامش الصفحة من اليمين مطلوب",
            "page_right_margin_numeric"           => "هامش الصفحة من اليمين يجب ان يكون رقم",
        ],
        "tickets"               => [
            "title"                    => "طباعة التكت",
            "count"                    => "عدد التكت",
            "total"                    => "مجموع التكت الكلي",
            "no_rows"                  => "لا يوجد تكتات للطباعة",
            "select_item_and_quantity" => "اختر الصنف والكمية",
        ],
    ],
        "choose_unit" => 'اختر الوحدة',
        'There was an error on row :row. :message'=>'يوجد مشكله في الصف ',

    'products-depreciation' => 'اهلاك منتجات',
    'modify-items-excel' => 'تعديل اصناف بالاكسيل',
    'add-units-by-excel' => 'اضافة الوحدات <br> فرعية  بالاكسل',
];
