<?php

return [
    'from' => 'من',
    'to' => 'الي',
    'store' => 'المخزن',
    'clients_groups' => 'مجموعة العملاء',
    'select_client' => 'اختر عميل',
    'subtract_adds_value' => 'خصم القيمة المضافة',
    'search' => 'بحث',
    'yes' => 'نعم',
    'no' => 'لا',
    'all_clients' => 'كل العملاء',
    'gross_profit_report' => 'تقرير مجمل الربح',
    'items_sales_dusring_period_report' => 'تقرير مبيعات أصناف خلال فترة ',
    'sales_points_transactions' => 'تقرير عمليات درج',
    'deposit' => 'ايداع',
    'withdraw' => 'سحب',
    'select_user' => 'اختر المستخدم',
    'select_category' => 'اختر التصنيف',
    'title'                => 'التقارير',
    'items_inventory_date' => 'تقرير جرد الأصناف بتاريخ :date',
    'gross_profit_report'  => 'تقرير مجمل الربح',
    'store'                => 'المخزن',
    'all_stores'           => 'كل المخازن',
    'main_store'           => 'المخزن الرئيسى',
    'supplier'             => 'المورد',
    'all_suppliers'        => 'كل الموردين',
    'category'             => 'التصنيف',
    'all_categories'       => 'كل التصنيفات',
    'item_name'            => 'اسم الصنف',
    'search'               => 'بحث',
    'barcode'              => 'الباركود',
    'description'          => 'وصف الصنف',
    'amount'               => 'الكمية',
    'pay_price'            => 'سعر البيع',
    'sale_price'           => 'سعر الشراء',
    'explanation'          => 'البيان',
    'hide_zero_amounts'    => 'إخفاء الكميات بصفر',
    'excel_sheet'          => 'تصدير لملف اكسل',
    'print'                => 'طباعة',
    'item_pay_price'       => 'سعر بيع القطعة',
    'net_sale'             => 'صافي المبيعات',
    'stock_sale_price'     => 'المخزون بسعر البيع',
    'stock_pay_price'      => 'المخزون بسعر الشراء',
    'net_purchase'         => 'صافي المشتريات',
    'total_sale'           => 'اجمالى المبيعات',
    'total_sale2'          => 'اجمالى البيع : ',
    'item_sale_price'      => 'سعر شراء القطعة',
    'total_pay'            => 'اجمالى المشتريات',
    'total_pay2'           => 'اجمالى الشراء : ',
    'items_inventory'      => 'جرد الأصناف',
    'net'                  => 'الصافى : ',
    'total_qty'            => 'اجمالى الكمية : ',
    'alphabetic'           => 'ابجدى',
    'added_date'           => 'تاريخ الإضافة',
    'no_data'              => 'لا يوجد سجلات',
    'name_description'     => 'اسم او وصف الصنف',
    'item_name'            => 'اسم الصنف',
    'client_name'          => 'اسم العميل',
    'dateFrom'             => 'من',
    'dateTo'               => 'الى',
    'transaction_type'     => 'نوع العملية',
    'search'               => 'بحث',
    'select_details'       => 'اختر التفاصيل',
    'no_results'           => 'لا يوجد نتائج',
    'stores'               => 'اسم المخزن',
    'default_store'        => 'المخزن الرئيسى',
    'item_transaction'     => [
        'title'                   => 'تقرير حركة صنف',
        'date_time'               => 'التاريخ والوقت',
        'quantity'                => 'الكمية',
        'price'                   => 'السعر',
        'report'                  => 'بيان',
        'remaining_balance'       => 'الرصيد المتبقى',
        'by'                      => 'بواسطة',
        'print'                   => 'طباعة',
        'export_excel'            => 'تصدير لملف اكسل',
        'export_pdf'              => 'تصدير لملف PDF',
        'choose_item'             => 'اختر صنف',
        'choose_client'           => 'اختر عميل',
        'choose_client_or_supplier'           => 'اختر عميل او مورد',
        'choose_store'            => 'اختر مخزن',
        'choose_transaction_type' => 'اختر نوع العملية',
        'transaction_type'        => [
            'all'              => 'الكل',
            'sales'            => 'المبيعات',
            'return_sales'     => 'مرتجعات المبيعات',
            'purchase'         => 'المشتريات',
            'return_purchase'  => 'مرتجعات المشتريات',
            'store_conversion' => 'تحويل مخزن',
        ]
    ],

    'sort'                    => 'الترتيب',
    'prices'                  => 'الأسعار',
    'all_prices'              => 'كل الأسعار',
    'factory'                 => 'المصنع',
    'all_factories'           => 'كل المصانع',
    'size'                    => 'المقاس',
    'the_number'              => 'العدد',
    'in'                      => 'في',
    'total_amount'            => 'الاجمالى',
    "select_item"             => "اختر صنف",
    "select_start_date"       => "اختر تاريخ البداية",
    "select_end_date"         => "اختر تاريخ النهاية",
    'convert_to_store'        => 'تحويل إلى مخزن',
    'convert_from_store'      => 'تحويل من مخزن',
    'to'                      => 'الى',
    'from'                    => 'من',
    'remaining_items'         => [
        'title'            => 'تقرير المتبقى من المشتريات فى المخزن',
        'incom_date'       => 'تاريخ الشراء',
        'supplier'         => 'المورد',
        'item_name'        => 'اسم الصنف',
        'quant_at_bill'    => 'الكمية بالفاتورة',
        'Remaining'        => 'المتبقى',
        'unit_pay_price'   => 'سعر شراء الوحدة',
        'expire_date'      => 'تاريخ إنتهاء الصلاحية',
        'bill_number'      => 'رقم الفاتورة',
        'invoice_search'   => 'اسم الصنف او رقم الفاتورة او اسم المورد',
    ],
    'expired_items'           => [
        'title'       => 'تقرير الأصناف المنتهية الصلاحية',
        'item_name'   => 'اسم الصنف',
        'quantity'    => 'الكمية',
        'expire_date' => 'تاريخ إنتهاء الصلاحية',
        'search'      => 'البحث باسم الصنف',
        'rows_count'  => 'عدد الأصناف التى يجب مراجعتها :count',
        'items'       => 'أصناف',
        'item'        => 'صنف',
    ],
    'min_quantity_items'     => [
        'title'        => 'تقرير الحد الادنى للأصناف',
        'search'       => 'البحث باسم الصنف او اسم التصنيف',
        'item_name'    => 'اسم الصنف',
        'store_name'   => 'اسم المخزن',
        'cat_name'     => 'اسم التصنيف',
        'unit_name'    => 'اسم الوحدة',
        'quantity'     => 'الكمية',
        'min_quantity' => 'الحد الادنى',
        'pay_price'    => 'سعر الشراء',
        'stores'       => 'المخازن',
        'units'        => 'الوحدات',
        'cats'         => 'التصنيفات',
        'rows_count'   => 'عدد الأصناف التى وصلت الى الحد الادنى :count',
        'items'        => 'أصناف',
        'item'         => 'صنف',
    ],
    'rejected_previewed_columns' => 'عدم عرض',
    'client_role' => 'نوع العملاء',
        'net_profit_report' => 'تقرير صافي الربح',
    'cash_receipts_report' => 'تقرير ايصالات الاستلام',
    'payment_receipts_report' => 'تقرير سندات الصرف',
    'indebtedness_report' => 'تقرير مديونية العملاء و الموردين',
    'main_unit'    => 'الوحده الرئسيه',
    'sub_unit'    => 'الوحده الفرعيه',
    'rejected_previewed_columns' => 'عدم عرض',
    "select_store"         => "اختر  المخزن",
    "no_thing_selected" => "لم يتم تحديد اي خيار ",
    "returned_sales_total" => 'اجمالي مرتجع مبيعات',
    "returned_purchases_total" => 'اجمالي مرتجع مشتريات',
    "sales_net" => 'صافي المبيعات ',
    "purchases_net" => 'صافي المشتريات  ',
    "client_or_supplier_name" => ' اسم العميل او المورد  ',

    'users' => [
        'users_total_sales_report' => 'تقرير اجمالى مبيعات المندوبين',
        'user_sales_report' => 'تقرير مبيعات أصناف المندوبين',
        'user' => 'المندوب',
        'user_name' => 'اسم المندوب',
        'item' => 'الصنف',
        'item_name' => 'اسم الصنف',
        'goal' => 'الهدف',
        'achieved_percent' => 'نسبة المحقق',
        'total_sales' => 'اجمالى المبيعات',
        'total_comission' => 'اجمالى عمولة',
        'total_car_profit' => 'اجمالى ربح سيارة',
        'net_car_profit' => 'صافى ربح السيارة',
        'comission_percent' => 'نسبة العمولة',
        'comission' => 'العمولة',
        'select_user' => 'اسم المندوب',
        'quantity'     => 'الكمية',
        'amount'               => 'الكمية',
        'sale_price'            => 'سعر البيع',
        'purchase_price'           => 'سعر الشراء',
        'profit'               => 'الربح',
        'profit_percent'       => 'نسبة الربح',
    ],
    'user_name' => 'اسم المستخدم',
    'installed' => [
        'sales' => 'تقرير الفواتير الآجلة للمبيعات',
        'purchases' => 'تقرير الفواتير الآجلة للمشتريات',
        'no' => 'رقم الفاتورة',
        'client' => 'اسم العميل',
        'supplier' => 'اسم المورد',
        'net' => 'صافي الفاتورة',
        'paid' => 'المدفوع',
        'rest' => 'الباقى',
        'actions' => 'العمليات',
    ],
    'sales-imports-total' => 'تقرير اجمالي المبيعات و المحصل',
    'date' => 'التاريخ',
    'sales-total' => 'اجمالي المبيعات',
    'imports-total' => 'اجمالي المحصل',
    '_no' => 'مسلسل',
    'invoice-no' => 'رقم الفاتورة',
    'total' => 'الاجمالى',
    'add' => 'الزياده',

    'installments-add' => 'تقرير الزيادة بالأقساط',
    'main_unit'    => 'الوحده الرئسيه',
    'sub_unit'    => 'الوحده الفرعيه',
    'client_balance_report'=>' تقرير مديونيه حسب مجموعه العملاء',
];
