@extends('layouts.app')

@section('content')
<div class="row ">
    <div class="col-md-8 offset-md-2">
        <h1 class="h3 text-center d-block d-sm-none">  انشاء حساب جديد </h1>

        @include('master::layouts.messages')

        {{-- @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif --}}

        <div class="col-md-6 d-block d-sm-none">
            <div class="logo text-center">
                <a href="#" title=" البدر للمبيعات ">
                    <img src=" {{ asset('imgs/logo.png') }}" alt="البدر للمبيعات " title="البدر للمبيعات " />
                </a>
            </div>
        </div>
        <div class="login-content">
            <h1 class="h3 text-center d-none d-sm-block"> تسجيل حساب جديد </h1>
            <div class="login-content__form">
                <form method="POST" action="{{ route('store_account') }}">
                    @csrf
                    <div class="login-content__form_top">

                        <div class="login-form-group">
                            <span>
                                <i class="fa-solid fa-shop"></i>
                            </span>
                            <label for="shop_id">
                                كود المتجر   
                            </label>
                            <input type="text" class="form-control" name="shop_id" id="shop_id" value="{{ old('shop_id') }}"
                                required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <i class="fa-solid fa-shop"></i>
                            </span>
                            <label for="store_name">
                                اسم المتجر   
                            </label>
                            <input type="text" class="form-control" name="store_name" id="store_name" value="{{ old('store_name') }}"
                                required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <img src=" {{ asset('imgs/login/Profile.png') }}" alt="  " title="  " />
                            </span>
                            <label for="user_name">
                                اسم المستخدم او البريد الالكتروني
                            </label>
                            <input type="text" class="form-control" name="user_name" id="user_name"
                                required>
                        </div>

                        <div class="login-form-group">
                            <span>
                                <img src=" {{ asset('imgs/login/Group117.png') }}" alt="  " title="  " />
                            </span>
                            <label for="password-field">
                                كلمه المرور
                            </label>
                            <input type="password" class="form-control" name="password" id="password"
                                required>
                            <span class="fa fa-eye-slash toggle-password" id="togglePassword"></span>

                        </div>
                    </div>


                    <div class="form-group row mt-5">
                        <div class="col-md-6 col-12">
                            <button type="submit"
                                class="btn btn-primary d-block w-100 btn-xlg rounded-10 auth-submit">
                                <i class="fa  fa-angle-right"></i>
                                تسجيل
                            </button>
                        </div>

                        {{-- <div class="col-md-6 col-12">

                            <a href="{{ route('register') }}" class="btn btn-secondary d-block w-100 btn-xlg rounded-10 new-account">
                                انشاء حساب جديد
                            </a>
                        </div> --}}
                    </div>
{{-- 
                    <div class="col-12  d-block  d-sm-none d-flex justify-content-center">
                        <a href="#" class="text-danger">
                            <strong>
                                نسيت كلمه المرور
                                <i class="fa fa-info-circle fa-x" aria-hidden="true"></i>
                            </strong>
                        </a>
                    </div> --}}
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-12 mt-5">
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-12  d-block d-sm-none">
                <div class="language-content">
                    <label for="language"> اللغه Language </label>
                    <select name="" id="language" class="language-content__select w-70">
                        <option value="1"> العربيه </option>
                        <option value="2"> English </option>
                    </select>
                </div>
            </div>
            <div class="col-md-6">
                <div class="text-center for-contact">
                    <p>
                        للتواصل مع الدعم الفني يمكنك الاتصال على
                    </p>
                    <p>
                        01061660342 - 0402970833
                    </p>
                </div>
            </div>

            <div class="col-md-3">
                <div class="explanation">
                    <a href="">
                        <img src="{{ asset('imgs/youtube.png') }}" alt="">
                        <p> فيديو تعليمي لشرح البرنامج </p>
                    </a>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection