<header class="global-header auth-header">
    <div class="container">
        <div class="row">
            <div class="col-md-3 d-sm-block">
                <div class="dropdown">
                    <button class="btn btn-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-expanded="false" style="width: 200px">
                        {{ LaravelLocalization::getCurrentLocaleNative() }}
                    </button>
                    <div class="dropdown-menu">
                        @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
                            <a class="dropdown-item {{ app()->getLocale() == $localeCode ? 'active' : '' }}" rel="alternate" hreflang="{{ $localeCode }}"
                                href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}">
                                {{ $properties['native'] }}
                            </a>
                        @endforeach
                    </div>
                </div>
            </div>
            <div class="col-md-6 d-none d-sm-block">
                <div class="logo text-center">
                    <a href="#" title=" البدر للمبيعات ">
                        <img src="{{ asset('imgs/logo.png') }}" alt="البدر للمبيعات " title="البدر للمبيعات " />
                    </a>
                </div>
            </div>
            <div class="col-md-3 d-none d-sm-block">
                <div class="text-left badge-company">
                    <a href="https://albadrsales.com/ar/" target="_blank">
                        <img src="{{ asset('imgs/logobadr.png') }}" alt="" srcset="">
                        <h4>
                            <span>
                                تصميم و برمجة
                            </span>
                            البدر للنظم الذكية
                        </h4>
                    </a>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- end header -->
<!-- start in main content -->


