<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware('web')->group(function () {
    Route::get('/test', function () {
    // Artisan::call('storage:link');
    
    // dd(\Artisan::output());
        $x = 'ysdsa';
        return view('welcome');
    });
    
    Auth::routes(['register' => false]);
    
    // Route::get('/new_account', [HomeController::class, 'createAccount'])->name('create_account');
    // Route::post('/new_account', [HomeController::class, 'new_account'])->name('store_account');
    
    Route::get('/error while registering', function(){
        return view('auth.register_exception');
    })->name('registering_exception');
    
    Route::match(['get', 'post'], 'compare-database', function () {
        return \App\Services\Database\CompareChainer::index();
    })->name('db-compare-apply');
    
    
    
    Route::get('invoice/{hash_id}', [\Modules\Invoices\Http\Controllers\ShareInvoiceController::class, 'show'])->name('show.invoice');
    Route::get('debenture/{hash_id}', [\Modules\Debentures\Http\Controllers\DebentureReportController::class, 'show'])->name('show.debenture');
});
