

<?php $__env->startSection('list-items'); ?>
    <?php $bill_total_without_vat = $bill_total_discounts = 0; ?>
    <?php $__currentLoopData = $invoice->InvoiceDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
            <?php
                $item_vat   = $invoice->vats?->where('item_id', $row->item_id)->where('unit_id', $row->unit_id) ?? collect();
                $vat_value  = $item_vat->sum('vat_value');
                $vat_weight = $item_vat->sum('vat_weight');
                $item_price = in_array($invoice->invoice_type, [0, 2]) ? $row->pay_price : $row->sale_price;

                if ($row->Item?->vat_state == 2 && $shop->apply_vats) {
                    $item_price = $item_price / (1 + $vat_value / 100);
                }

                $total_item_price = $item_price * $row->quantity;
                $bill_total_without_vat += $total_item_price;

                $item_discount  = 0;

                if ($row->discount > 0) {
                    if ($row->discount_type) {
                        $item_discount = $row->discount;
                    } else {
                        $item_discount = $total_item_price * ($row->discount / 100);
                    }
                }

                $bill_total_discounts += $item_discount;
                $net_item_price = $total_item_price - $item_discount + $vat_weight
            ?>

            <td style="padding: 20px 1px;"></th>
            <?php if($invoice_settings->show_item_serial): ?>
                <td style="border-left: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e($loop->iteration); ?> </td>
            <?php endif; ?>
            <?php if($invoice_settings->show_item_name): ?>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: right; padding-right: 10;"> <?php echo e($row->Item?->item_name); ?> </td>
            <?php endif; ?>
            <?php if($invoice_settings->show_item_barcode): ?>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e($row->Item?->barcode); ?> </td>
            <?php endif; ?>
            <?php if($invoice_settings->show_about): ?>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: right; padding-right: 10;"> <?php echo e($row->Item?->about); ?> </td>
            <?php endif; ?>
            <?php if($invoice_settings->show_unites): ?>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e($row->Unit?->name); ?> </td>
            <?php endif; ?>
            <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e(round_quantity((float) $row->quantity)); ?> </td>
            <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e(round_money((float) $item_price)); ?> </td>
            <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e(round_money((float) $total_item_price)); ?> </td>
            <?php if($shop->company_ratio): ?>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e(round_money((float) $item_discount)); ?> </td>
            <?php endif; ?>
            <?php if($shop->apply_vats): ?>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e(round_money((float) $vat_value)); ?>% </td>
                <td style="border-left: 1px solid #000 !important; border-right: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e(round_money((float) $vat_weight)); ?> </td>
            <?php endif; ?>
            <?php if($shop->company_ratio): ?>
                <td style="border-right: 1px solid #000 !important; border-left: 1px solid #000 !important; border-bottom: 2px dashed #cccccc; text-align: center"> <?php echo e(round_money((float) $net_item_price)); ?> </td>
            <?php endif; ?>
            <th></th>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('invoices::print.taxs.table', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/print/taxs/items.blade.php ENDPATH**/ ?>