<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title><?php echo $__env->yieldContent('page_title'); ?></title>

        <?php echo $__env->yieldContent('css-scripts'); ?>

        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/master/bootstrap.min.css')); ?>">
        <link href="<?php echo e(asset('css/master/fontawesome-all.min.css')); ?>" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/master/style.css')); ?>">

       
       
       <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" crossorigin="anonymous" referrerpolicy="no-referrer" />

        <?php if(! in_array(app()->getLocale(), ['ar', 'ksa'])): ?>
            <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/style-ltr.css')); ?>">
        <?php endif; ?>

    </head>
    <body>
        <?php echo $__env->make('layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
        <!--<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>-->
        
        
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
        <script src="<?php echo e(asset('js/master/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/master/svg-loader.min.js')); ?>" async></script>
        

        <?php echo $__env->yieldContent('js-scripts'); ?>
        <script>
            $(document).on('change', '#language', function(){
                var action = $(this).children('option:selected').data('href');
                $('#lang_form').attr('action', action);
                $('#lang_form').submit();
            });

            $(document).on('click', '#togglePassword', function () {
                if ($(this).hasClass('fa-eye-slash')) {
                    $(this).removeClass('fa-eye-slash').addClass('fa-eye').parent().find('input[type=password]').attr('type', 'text');
                } else {
                    $(this).removeClass('fa-eye').addClass('fa-eye-slash').parent().find('input[type=text]').attr('type', 'password');
                }
            });
        </script>
    </body>
</html>

<?php echo $__env->make('layouts.body', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/resources/views/layouts/app.blade.php ENDPATH**/ ?>