<?php $__env->startSection('content'); ?>
<div class="wrapper card card-light mb-1_5 p-3">
        <div class="container-fulid">
    <h2 class="title text-info mt-2 mb-4"> 
        <?php echo e(trans('users.users')); ?> 
        <a href="<?php echo e(route('users.new')); ?>"
            class="btn btn-xs btn-success float-left mt-1 edit-user">
            <?php echo e(trans('users.add_new_user')); ?> 
            <i class="fa fa-plus pr-2"></i>
        </a>
    </h2>

<div class="table-responsive">
  <table class="table table-striped zui-table zui-table-rounded">
    <thead class="bg-info text-light">
        <tr class="font-weight-bold">
            <th scope="col" >#</th>
            <th scope="col" >  <?php echo e(trans('users.user_name')); ?></th>
            <th scope="col" > <?php echo e(trans('users.full_name')); ?></th>
            <th scope="col" > <?php echo e(trans('users.sale_point')); ?></th>
            <th scope="col"  class="text-center"><?php echo e(trans('users.activity')); ?></th>
            <th scope="col"  class="text-center"><?php echo e(trans('users.edit')); ?></th>
            <th scope="col"  class="text-center"><?php echo e(trans('users.delete')); ?></th>
        </tr>
    </thead>
    <tbody>

        <?php $__empty_1 = true; $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <tr>
                <td> <?php echo e($loop->iteration); ?> </td>
                <td> <?php echo e($user->user_name); ?> </td>
                <td> <?php echo e($user->name); ?> </td>
                <td> <?php echo e($user->point_name); ?> </td>
                <td class="text-center"><a href="<?php echo e(route('users.activity', ['user_id' => $user->id])); ?>"
                    class="btn btn-xs btn-info"><i class="fa fa-user"></i></a>
                </td>
                <td class="text-center"><a href="<?php echo e(route('users.edit', ['user_id' => $user->id])); ?>"
                                    class="btn btn-xs btn-warning text-white"><i class="fa fa-edit"></i></a>
                </td>
                <td class="text-center">
                    <?php if($user->login): ?>
                        <a href="javascript:void(0);" class="btn btn-xs btn-danger delete_user" data-user-id="<?php echo e($user->id); ?>">
                            <i class="fa fa-trash"></i>
                        </a>
                    <?php endif; ?>
                </td>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
            <tr>
                <td colspan="7">
                    لا يوجد مستخدمين
                </td>
            </tr>
        <?php endif; ?>


    </tbody>
   </table>
</div>


</div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>

    <script>
        
        $('.delete_user').on('click', function(){

            var user_id = $(this).attr('data-user-id');
            $.ajax({

                url: '<?php echo e(route("users.delete")); ?>',
                data: {
                    '_token': '<?php echo e(csrf_token()); ?>',
                    'id': user_id,
                },
                type: 'POST',
                success: function(res) {
                    appendMessage(res.msg, res.status);

                    if (res.status == 1)
                    {
                        $('tr td a[data-user-id="'+ user_id +'"]').parentsUntil('tbody').remove();
                    }
                },
                error: function(xhr) {
                    console.log('error');
                }
            });

        });

        function appendMessage( message, status = 0)
        {
            var alert_type = status == 1 ? 'alert-success' : 'alert-danger';

            if (document.getElementById('messages'))
            {
                html = '<li> ' + message + '</li>' ;
                $('#messages ul.alert').append(html);
            }
            else {
                var html = '    <div class="row" id="messages">' +
                                '<div class="col-xs-12 col-sm-12">' +
                                    '<ul class="h4 alert '+ alert_type +' text-center list-unstyled"> ' +
                                        '<li> ' + message + '</li>' +
                                     '</ul>'+
                                '</div>'+
                            '</div>';
            
                $('.main-content').prepend(html);
            }
            
        }

    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/User/Resources/views/index.blade.php ENDPATH**/ ?>