<div class="card card-light mb-1_5 pt-1_5">
    <div class="container row">
        <div class="col-md-6"
        <?php if($invoice_type == 'purchases' || $invoice_type == 'returned purchases'): ?> <?php if(!authorized('can_add_purchases_invoices')): ?> style=" display: none;" <?php endif; ?>
            <?php endif; ?>
            >
            <div class="form-group row">
                <label for="invoice_total" class="col-sm-3 col-12 col-form-label"> <?php echo e(__('native.total_before_discount')); ?>

                </label>
                <div class="col-sm-9 col-12">
                    <input type="number" step="0.0001" class="form-control input-light input-sm" id="invoice_total" Auto_Test= "bill_mony_info_invoice_total"
                        name="invoice_total" value="<?php echo e(isset($pendingInvoice) ? $pendingInvoice->total : 0); ?>" readonly />
                </div>
                <input type="hidden" name="calculated_total" Auto_Test ="bill_mony_info_calculated_total" id="calculated_total" value="<?php echo e(isset($pendingInvoice) ? $pendingInvoice->fees + $pendingInvoice->total : 0); ?>" data-main="0"
                    readonly>
            </div>

            <?php if(get_session_val('company_ratio', 'Integer') == 2): ?>
                <div class="form-group row">
                    <label for="supplier_id" class="col-sm-3 col-12 col-form-label"> <?php echo app('translator')->get('invoices.total-discount'); ?>
                    </label>
                    <div class="col-sm-4 col-12">
                        <input type="number" step="0.0001" class="form-control input-light input-sm"
                            id="invoice_discount" Auto_Test ="bill_mony_info_invoice_discount" name="invoice_discount" value="0"
                            <?php if(!is_null($invoice) && $invoice_type == 'returned sales' || ( ! authorized('can_sale_with_discount')) ): ?> disabled <?php endif; ?> />
                    </div>

                    <?php if( authorized('can_sale_with_discount')): ?>
                        <div class="col-sm-4 col-5">
                            <span class="add-icon icon-main-price discount">
                                <input type="radio" class="value-button amount-button" id="value" Auto_Test= "bill_mony_info_value"
                                    name="invoice_discount_type" value="1" <?php if( ! authorized('can_sale_with_discount')): ?> disabled <?php else: ?> checked <?php endif; ?>>
                                <label for="value"><?php echo app('translator')->get('native.money_amount'); ?></label>
                                <input type="radio" name="invoice_discount_type" class="value-button amount-button"
                                    id="percent"  Auto_Test= "bill_mony_info_percent" value="0" <?php if( ! authorized('can_sale_with_discount')): ?> disabled <?php endif; ?> >
                                <label for="percent"><?php echo app('translator')->get('native.rate'); ?></label>

                            </span>
                        </div>
                    <?php endif; ?>

                    <div class="hidden" style="display: none;">
                        <input type="number" name="sent_discount_amount" Auto_Test="bill_mony_info_sent_discount_amount" id="sent_discount_amount" value="0">
                        <input type="number" name="sent_discount_type" id="sent_discount_type"Auto_Test="bill_mony_info_sent_discount_type" value="0">
                    </div>
                </div>

            <?php endif; ?>


            <?php if($settings?->apply_vats): ?>
                <div class="form-group row">
                    <label for="vats_total" class="col-sm-3 col-12 col-form-label"> <?php echo app('translator')->get('native.total_tax'); ?>
                    </label>
                    <div class="col-sm-9 col-12">
                        <input type="number" step="0.0001" class="form-control input-light input-sm" id="vats_total"
                            name="vats_total" Auto_Test="bill_mony_info_vats_total" value="<?php echo e(isset($pendingInvoice) ? $pendingInvoice->vats_total : 0); ?>" readonly />
                    </div>
                </div>
            <?php endif; ?>


            <div class="form-group row">
                <div class="col-md-12">
                    <div class="form-group row">
                        <label for="net" class="col-sm-3 col-form-label"> <?php echo e(__('orders.net')); ?>

                        </label>
                        <div class="col-sm-9">
                            <input type="number" step="0.0001" class="form-control input-light input-sm"
                                id="net"Auto_Test="bill_mony_info_net"  name="net" value="<?php echo e(isset($pendingInvoice) ? $pendingInvoice->net : 0); ?>" readonly />
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <label for="pay_method" class="col-sm-3 col-form-label"> <?php echo app('translator')->get('native.payment_method'); ?>
                </label>
                <div class="col-sm-9 col-5" id="pay_method">
                    <span class="add-icon icon-main-price discount">
                        <input type="radio" class="value-button amount-button pending-invoice-data" id="cash" Auto_Test="bill_mony_info_cash"  name="pay_method"
                            value="1"
                            data-user_choice="<?php echo e((isset($pendingInvoice) && $pendingInvoice->payment_type !== null)? $pendingInvoice->payment_type : get_session_val('invoice_default_payment_type', 'integer')); ?>"
                           <?php if(isset($pendingInvoice)): ?>
                               <?php if( $pendingInvoice->payment_type == 1): ?> checked <?php endif; ?>
                            <?php else: ?>
                                <?php if(get_session_val('invoice_default_payment_type', 'integer')): ?> checked <?php endif; ?>
                           <?php endif; ?>>
                        <label for="cash"><?php echo e(__('orders.cash')); ?></label>

                        <input type="radio" name="pay_method" Auto_Test="bill_mony_info_pay_method"  class="value-button amount-button pending-invoice-data" id="later"
                            value="0"
                            <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales' || $invoice_type =='sales offers' ): ?> <?php if(!authorized('can_sale_later')): ?> style=" display: none;" <?php endif; ?>
                            <?php endif; ?>
                        data-user_choice="<?php echo e((isset($pendingInvoice) && $pendingInvoice->payment_type !== null)? $pendingInvoice->payment_type : get_session_val('invoice_default_payment_type', 'integer')); ?>"
                               <?php if(isset($pendingInvoice)): ?>
                                   <?php if( $pendingInvoice->payment_type == 0): ?> checked <?php endif; ?>
                               <?php else: ?>
                                    <?php if(!get_session_val('invoice_default_payment_type', 'integer')): ?> checked <?php endif; ?>
                               <?php endif; ?>
                        >
                        <label for="later"
                            <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales' ||$invoice_type =='sales offers'): ?> <?php if(!authorized('can_sale_later')): ?> style=" display: none;" <?php endif; ?>
                            <?php endif; ?>
                            ><?php echo e(__('orders.later')); ?></label>

                    </span>
                </div>

            </div>


            <?php if(
                $invoice_type == 'sales' &&
                    get_session_val('home_delivery', 'integer') != 0 &&
                    get_session_val('einvoice', 'integer') != 1): ?>

                <?php if(get_session_val('delivery_fee_type', 'Integer') == 1): ?>
                    <div class="form-group row">
                        <label for="region" class="col-sm-3 col-form-label"> <?php echo e(__('orders.regions')); ?>

                        </label>
                        <div class="col-sm-9">
                            <select id="region" Auto_Test="bill_mony_info_region" name="region"
                                class="form-control col-sm-12 col-8 select2 selectpicker pending-invoice-data" data-live-search="true">
                                <option value=""><?php echo e(__('orders.choose_region')); ?></option>
                                <?php $__currentLoopData = $regions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $region): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option data-fee="<?php echo e($region->fee); ?>" id="<?php echo e($region->id); ?>" value="<?php echo e($region->id); ?>"
                                            <?php if(isset($pendingInvoice) && $pendingInvoice->region == $region->id): ?> selected <?php endif; ?>
                                    >
                                        <?php echo e($region->city_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                <?php elseif(get_session_val('delivery_fee_type', 'Integer') == 2): ?>
                    <div class="form-group row">
                        <label for="service" class="col-sm-3 col-form-label">
                            <?php echo e(__('orders.delivery_type')); ?></label>
                        <div class="col-sm-4">
                            <select id="service" Auto_Test="bill_mony_info_service" name="service"
                                class="form-control col-sm-12 col-8 select2 selectpicker pending-invoice-data" data-live-search="true">
                                <option><?php echo e(__('orders.choose_service')); ?></option>
                                <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option data-fee="<?php echo e($service->price); ?>" data-enabled="<?php echo e($service->enabled); ?>"
                                        value="<?php echo e($service->id); ?>-<?php echo e($service->price); ?>"
                                            <?php if(isset($pendingInvoice) && $pendingInvoice->service == ($service->id . '-' . $service->price)): ?> selected <?php endif; ?>
                                    ><?php echo e($service->name); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div id="delivery_period" class="col-sm-4 hidden">
                            <select id="period" Auto_Test="bill_mony_info_period"  name="period"
                                class="form-control col-sm-12 col-8 select2 selectpicker pending-invoice-data" data-live-search="true">
                                <option><?php echo e(__('orders.choose_period')); ?></option>
                                <?php $__currentLoopData = $periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option data-fee="<?php echo e($period->fee); ?>"
                                        value="<?php echo e($period->id); ?>-<?php echo e($period->fee); ?>"
                                            <?php if(isset($pendingInvoice) && $pendingInvoice->delivery_period == ($period->id . '-' . $period->fee)): ?> selected <?php endif; ?>
                                    ><?php echo e($period->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                <?php endif; ?>

                <div class="form-group row">
                    <label for="rest" class="col-sm-3 col-form-label"> <?php echo e(__('orders.delivery_fees')); ?>

                    </label>
                    <div class="col-sm-9">
                        <input type="number" step="0.0001" class="form-control input-light input-sm pending-invoice-data"
                            id="delivery_fees" Auto_Test="bill_mony_info_delivery_fees"  name="delivery_fees" value="<?php echo e(isset($pendingInvoice) && $pendingInvoice->delivery_fees ? $pendingInvoice->delivery_fees : 0); ?>" />
                    </div>
                </div>

                <?php if(get_session_val('home_delivery', 'Integer') == 2): ?>
                    <div class="form-group row">
                        <label for="delivery_man" class="col-sm-3 col-form-label">
                            <?php echo e(__('orders.delivery_man')); ?></label>
                        <div id="delivery_man" class="col-sm-4">
                            <select id="delivery_man"Auto_Test="bill_mony_info_delivery_man"  name="delivery_man"
                                class="form-control col-sm-12 col-8 select2 selectpicker pending-invoice-data" data-live-search="true">
                                <option value=""><?php echo e(__('orders.choose_delivery_man')); ?></option>
                                <?php $__currentLoopData = $delivery_men; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $delivery_man): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($delivery_man->id); ?>"
                                                <?php if(isset($pendingInvoice) && $pendingInvoice->delivery_man == $delivery_man->id): ?> selected <?php endif; ?>
                                    ><?php echo e($delivery_man->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endif; ?>

            <div class="form-group row">

                <div class="col-md-12">
                    <div class="form-group row">

                        <label for="supplier_id" class="col-sm-3 col-form-label">
                            <?php echo e(__('orders.choose_cash_safe_point')); ?>

                        </label>
                        <div class="col-sm-3">
                            <select class="form-control col-md-12 input-light pending-invoice-data pending-invoice-data" name="cash_safe_point_id"
                                id="cash_safe_point_id" Auto_Test ="bill_mony_info_cash_safe_point_id" >

                                <?php $__currentLoopData = $sale_points; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale_point): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($sale_point->point_type == 1): ?>
                                    <option
                                        <?php if(isset($pendingInvoice)): ?>
                                            <?php if($pendingInvoice->cash_safe_point_id == $sale_point->point_id): ?> selected <?php endif; ?>
                                        <?php else: ?>
                                            <?php if($sale_point->point_id == auth()->user()->sale_point): ?> selected <?php endif; ?>
                                        <?php endif; ?>
                                        value="<?php echo e($sale_point->point_id); ?>"
                                        data-currencyId="<?php echo e($sale_point->currency_id); ?>"
                                        data-currency="<?php echo e($sale_point->currency ?? $currency); ?>"
                                        data-val="<?php echo e($sale_point->value); ?>"
                                        data-money="<?php echo e($sale_point->money_point); ?>"
                                        data-name="<?php echo e($sale_point->name); ?>"> <?php echo e($sale_point->point_name); ?>

                                    </option>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                            </select>
                        </div>

                        <label for="supplier_id"
                            class="col-sm-3 col-form-label"><?php echo e(__('orders.cash_payment')); ?></label>
                        <div class="col-sm-3" style="padding: 0px;">
                            <input type="number" step="0.0001" class="form-control input-light input-sm"
                                id="cash_paid" Auto_Test ="bill_mony_info_cash_paid" name="cash_paid" data-paid="0" value="<?php echo e(isset($pendingInvoice) ? $pendingInvoice->cash_paid : 0); ?>"
                                <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales'
                                ||  $invoice_type =='sales offers'): ?>
                                <?php if(!authorized('can_change_payment')): ?>
                                readonly
                                <?php endif; ?>
                                <?php endif; ?>
                            />
                        </div>
                    </div>
                </div>
            </div>

            <?php if(get_session_val('netowrk_payment', 'integer') == 1 && $invoice_type == 'sales'): ?>
                <div class="form-group row <?php if($sale_points->where('point_type', 2)->count() == 0): ?> hidden <?php endif; ?>">

                    <div class="col-md-12">
                        <div class="form-group row">
                            <label for="supplier_id" class="col-sm-3 col-form-label">
                                <input type="checkbox" id="use_ntwork_safe" Auto_Test ="bill_mony_info_usse_network_safe" class="custom-control-input-bg ml-2">
                                <?php echo e(__('orders.choose_network_safe_point')); ?>

                            </label>
                            <div class="col-sm-3">
                                <select class="form-control col-md-12 input-light pending-invoice-data" name="network_safe_point_id"
                                    id="network_safe_point_id" Auto_Test ="bill_mony_info_network_safe_point_id">
                                    <?php $__currentLoopData = $sale_points; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale_point): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($sale_point->point_type == 2): ?>
                                            <option <?php if(isset($pendingInvoice)): ?>
                                                        <?php if($pendingInvoice->network_safe_point_id == $sale_point->point_id): ?> selected <?php endif; ?>
                                                    <?php else: ?>
                                                        <?php if($sale_point->id == auth()->user()->sale_point): ?> selected <?php endif; ?>
                                                    <?php endif; ?>
                                                value="<?php echo e($sale_point->point_id); ?>"
                                                data-currencyId="<?php echo e($sale_point->currency_id); ?>"
                                                data-currency="<?php echo e($sale_point->currency ?? $currency); ?>"
                                                data-val="<?php echo e($sale_point->value); ?>"
                                                data-money="<?php echo e($sale_point->money_point); ?>"
                                                data-name="<?php echo e($sale_point->name); ?>"> <?php echo e($sale_point->point_name); ?>

                                            </option>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>

                            <label for="network_paid" class="col-sm-3 col-form-label">
                                <?php echo e(__('orders.network_payment')); ?>

                            </label>
                            <div class="col-sm-3" style="padding: 0px;">
                                <input type="number" step="0.0001" class="form-control input-light input-sm"
                                    id="network_paid" Auto_Test ="bill_mony_info_network_paid" name="network_paid" data-paid="0" value="0"
                                    <?php if($invoice_type == 'sales' || $invoice_type == 'returned sales' || $invoice_type =='sales offers'): ?> <?php if(!authorized('can_add_purchases_invoices') || !authorized('can_change_payment')): ?> readonly <?php endif; ?>
                                    <?php endif; ?>
                                />
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>

            <div class="form-group row">
                <label for="paid" class="col-sm-3 col-form-label"> <?php echo e(__('orders.paid')); ?>

                </label>
                <div class="col-sm-9">
                    <input type="number" step="0.0001" class="form-control input-light input-sm" id="paid"
                        name="paid" Auto_Test ="bill_mony_info_paid" data-paid="0" value="<?php echo e(isset($pendingInvoice) ? $pendingInvoice->paid : 0); ?>" readonly />
                </div>
            </div>

            <div class="form-group row">
                <label for="rest" class="col-sm-3 col-form-label"> <?php echo e(__('orders.rest')); ?>

                </label>
                <div class="col-sm-9">
                    <input type="number" step="0.0001" class="form-control input-light input-sm" id="rest"
                        name="rest" Auto_Test ="bill_mony_info_reset" value="<?php echo e(isset($pendingInvoice) ? $pendingInvoice->rest : 0); ?>" readonly />
                </div>
            </div>

        </div>

        <div class="col-md-6">
            <?php if($invoice_type == 'sales'): ?>
                <?php if(get_session_val('client_limit', 'Integer') == 1 || get_session_val('client_limit', 'Integer') == 2): ?>
                    <h2 class=" col-sm-12 text-danger" id="credit_notes">
                        <?php echo e(trans('native.Credit_limit')); ?> :
                        <span class="credit_limit mr-2">0</span>
                        <?php echo e($currency); ?>

                        <?php echo e(trans('invoices.balance', ['client' => trans('invoices.' . $invoice_type . '.client')])); ?> :
                        <span class="client_balance mr-2">0</span>
                        <?php echo e($currency); ?>

                    </h2>
                <?php endif; ?>
            <?php endif; ?>

            <?php echo $__env->renderWhen((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments')) == 1 && in_array($invoice_type, ['sales', 'purchases']),
                'invoices::layouts.create.installments', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
        </div>

        <div class="form-group col-md-12">
            <textarea rows="3" class="form-control input-light pending-invoice-data" name="notes" Auto_Test ="bill_mony_info_notes" placeholder="<?php echo e(__('orders.notes')); ?>...."><?php echo e(isset($pendingInvoice) ? $pendingInvoice->notes : ""); ?></textarea>
        </div>

        <div class="form-group ">

            <div class=" pt-3">
                <div class="col-12">
                    <a id="submit-form" Auto_Test ="bill_mony_info_link1_save" class="button button-success text-white button-print-or-save-document"
                        accesskey="F2">
                        <?php echo e(__('orders.save')); ?>

                        <span>
                            F2
                        </span>
                    </a>

                    <a href="#" Auto_Test ="bill_mony_info_link2_cancle" class="button button-danger mr-2 reset-button" id="reset">
                        <?php echo e(__('orders.cancel')); ?>

                        <span>
                            F8
                        </span>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/layouts/create/bill_money_info.blade.php ENDPATH**/ ?>