
<?php $__env->startSection('content'); ?>

    <div class="container" style="margin-top: 20px;">
        <h2 style="color: #0b4bff;margin-bottom: 20px;"><?php echo e(trans('badrrequests.web_title')); ?></h2>
        <div class="row">

            <div class="col-md-4">
                <div class="mg-10 row border_blue main-div">
                    <div class="col-md-12 ">
                        <div class="row">
                            <img class="width-100  img" src="<?php echo e(asset('imgs/menu-img.webp')); ?>" alt="">
                        </div>
                    </div>
                    <div class="col-md-12 down-button">
                        <div class="row">
                            <div class="col-md-6">
                                <form action="<?php echo e(route('requests.change-style')); ?>" method="post">
                                    <input type="hidden" name="style" id="style" value="1">
                                    <?php echo e(csrf_field()); ?>

                                    <button type="submit" class="mg-bottom-15 mg-top-15 button-border button-width button-choose"><?php echo e(trans('badrrequests.choose_style')); ?>

                                    </button>
                                </form>

                            </div>
                            <div class="col-md-6">
                                <a href="<?php echo e(get_session_val('serial_id', 'integer')); ?>?style=1" target="_blank" class="btn btn-block mg-bottom-15  mg-top-15 button-border button-width button-preview"> <?php echo e(trans('badrrequests.preview')); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="session"></div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('css-scripts'); ?>
    <style>

        .main-div:hover {
            border: #6BC0DF solid 2px;
        }

        .main-div{
            margin: 10px 0px 10px 0px;
        }

        .img {

            min-height: 350px;
        }

        .border_blue {
            border: #C4C4C4 solid 2px;
        }

        .mg-bottom-15 {

            margin-bottom: 15px;
        }

        .mg-top-15 {
            margin-top: 15px;
        }

        .width-100 {

            width: 100%;
        }

        .down-button {

            background-color: #F5F5F5;
        }

        .button-border {
            border: #6BC0DF solid 1px;
            border-radius: 50px !important;
            padding: 10px 0px 10px 0px;
        }

        .button-width {
            width: 100%;
        }

        .button-choose {
            background-color: #6BC0DF;
            color: white;
        }

        .button-preview {

            color: #6BC0DF;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/BadrRequest/Resources/views/web-style.blade.php ENDPATH**/ ?>