<div class="card my-3">
    <div class="card-header">
        <h3 class="card-title"> <i class="fa fa-building"></i> بيانات خاصة بالمؤسسة</h3>
    </div>
    <div class="card-body" style="background-color: #bee1ee4f">
        <div class="form-row row">

            
            <div class="form-group col-md-6">
                <label for="country_id" class="control-label col-xl-6 col-12 required"><?php echo e(trans('client.country')); ?>:</label>
                <select name="country_id" id="country_id" class="form-control selectpicker col-xl-9 col-12 input-normal" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>"
                    data-live-search="true" title="<?php echo e(trans('client.choose_country')); ?>" required>
                    
                    <?php $__currentLoopData = $countryLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $countryList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($countryList->id); ?>"
                            <?php echo e(isset($client) && $client->country_id == $countryList->id ? 'selected' : (old('country_id', get_session_val('country', 'integer')) == $countryList->id ? 'selected' : '')); ?>>
                            <?php echo e($countryList->name_ar); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>

            
            <div class="form-group col-md-6">
                <label for="governate" class="control-label col-xl-6 col-12 <?php echo e($settings->einvoice == 1 ? 'required' : ''); ?>"><?php echo e(trans('client.governate.name')); ?>:</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12" id="governate" name="governate" value="<?php echo e($client->governate ?? old('governate')); ?>" <?php echo e($settings->einvoice == 1 ? 'required' : ''); ?>>
            </div>

            <?php if(get_session_val('multi_price', 'integer') == 1): ?>
                
                <div class="form-group col-md-6" style="display: none;">
                    <label for="client_type" class="control-label col-xl-6 col-12"><?php echo e(trans('client.client_type')); ?>:</label>
                    <select name="client_type" id="client_type" class="form-control selectpicker input-normal col-xl-9 col-12" data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>"
                            data-live-search="true" title="<?php echo e(trans('client.client_type')); ?>">
                        <?php $__currentLoopData = $list_prices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $list_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($id); ?>" <?php echo e(isset($client) && $client->client_type == $id ? 'selected' : (old("client_type") === $id ? 'selected' : '')); ?>><?php echo e($list_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            <?php endif; ?>

            <?php if(isset($collectors) && count($collectors)): ?>
                
                <div class="form-group col-md-6" style="display: none;">
                    <label for="collector_id" class="control-label col-xl-6 col-12">إختر محصل:</label>
                    <select name="collector_id" id="collector_id" class="form-control selectpicker col-xl-9 col-12 input-normal" data-live-search="true" title="إختر محصل">
                        <?php $__currentLoopData = $collectors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $collector): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($collector->id); ?>" <?php echo e(isset($client) && $client->collector_id == $collector->id ? 'selected' : (old("collector_id") == $collector->id ? 'selected' : '')); ?>><?php echo e($collector->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            <?php endif; ?>

            
            <div class="form-group col-md-6">
                <label class="control-label col-xl-6 col-12 required"> <?php echo e(trans('client.client-group')); ?>:</label>
                <div class="col-md-9" style="margin-right: -5px;">
                    <select id="client_group" class="form-control input-normal col-xl-9 col-12" name="group_id">
                        <?php if(auth()->user()->clients_group == 0): ?>
                            <option value=""><?php echo e(trans('client.clientGroup.choose_client_group')); ?></option>
                            <option value="0" <?php echo e(isset($client) && (int) $client->group_id == 0 ? 'selected' : (old('group_id') == 0 ? 'selected' : '')); ?>><?php echo e(trans('client.clientGroup.WithoutGroup')); ?></option>
                            <?php $__currentLoopData = $groupLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $groupList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($groupList->id); ?>" <?php echo e(isset($client) && $client->group_id == $groupList->id ? 'selected' : (old('group_id') == $groupList->id ? 'selected' : '')); ?>><?php echo e($groupList->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                            <option><?php echo e(trans('client.clientGroup.choose_client_group')); ?></option>
                            <?php $__currentLoopData = $groupLists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $groupList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($groupList->id); ?>" <?php echo e(isset($client) && (int) $client->group_id == $groupList->id ? 'selected' : (old('group_id') == $groupList->id ? 'selected' : '')); ?>><?php echo e($groupList->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </select>
                </div>
            </div>

            
            <div class="form-group col-md-6">
                <label for="balance" class="control-label col-xl-6 col-12"><?php echo e(trans('client.rest_balance')); ?> :</label>
                <?php if( isset($client) && $client->id ): ?>
                    <input disabled readonly class="form-control input-normal col-xl-9 col-12" id="balance" value="<?php echo e($client->balance ?? old('balance', 0)); ?>">
                <?php else: ?>
                    <input type="number" class="form-control input-normal col-xl-9 col-12" id="balance" name="balance" value="<?php echo e($client->balance ?? old('balance', 0)); ?>">
                <?php endif; ?>
            </div>

            <?php if(get_session_val('module', 'integer') == 2): ?>
                <div class="form-group col-md-6">
                    <label for="buildingNumber" class="control-label col-md-6 required">السعر الاساسي:</label>
                    <input type="text" class="form-control col-md-9 use-only-numbers" id="price" name="price"
                        value="<?php echo e($client->price ?? old('price')); ?>" required>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Clients/Resources/views/layouts/includes/shop-info.blade.php ENDPATH**/ ?>