<input type="hidden" id="salepoint_id" value="<?php echo e($salePoint->id); ?>">
<div class="form-group row">
    <label class="col-3" for="edit_point_name">اسم الخزنه</label>
    <div class="col-8">
        <input type="text" class="form-control" id="edit_point_name" value="<?php echo e($salePoint->point_name); ?>">
    </div>
</div>

<div class="form-group row">
    <input type="hidden" id="old_balance" value="<?php echo e($salePoint->money_point); ?>" >
    <label class="col-3" for="edit_money_point">المبلغ الحالي</label>
    <div class="col-8">
        <input type="number" class="form-control" id="edit_money_point" value="<?php echo e($salePoint->money_point); ?>">
    </div>
    <div>
        <p><?php echo e(get_session_val('currency', 'string')); ?></p>
    </div>
</div>

<div class="form-group row">
    <label class="col-3" for="edit_point_type">نوع نقطه البيع</label>
    <div class="col-8">
        <select id="edit_point_type" class="selectpicker" data-live-search="true" data-width="100%">
            <option <?php if($salePoint->point_type == 1): ?> selected <?php endif; ?> value="1">الخزن /نقاط البيع</option>
            <option <?php if($salePoint->point_type == 2): ?> selected <?php endif; ?> value="2"> دفع الشبكه </option>
        </select>
    </div>
</div>

<div
class="<?php echo \Illuminate\Support\Arr::toCssClasses([
    'form-group',
    'row',
    'hidden' => !get_session_val('multi_currency', 'integer'),
    ]) ?>"
>
    <label class="col-3" for="edit_currency">تحديد العملة</label>
    <div class="col-8">
        <select id="edit_currency" class="selectpicker" data-live-search="true" data-width="100%">
            <option <?php if($salePoint->currency_id == 0): ?> selected <?php endif; ?> value="0"><?php echo e(get_session_val('currency', 'string')); ?></option>
            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option <?php if($salePoint->currency_id == $currency->id): ?> selected <?php endif; ?> value="<?php echo e($currency->id); ?>"><?php echo e($currency->name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/SalePoints/Resources/views/partials/editModal/salepoints_edit_modal_body.blade.php ENDPATH**/ ?>