

<?php $__env->startSection('content'); ?>
    <h2 class="title text-info my-4"> <?php echo e(trans('storeInfo.print_settings')); ?> </h2>

    <div class="row">
        <div class="card col-md-12 ml-4">
            <div class="card-body ">
                <form method="post" action="<?php echo e(route('settings.print.update')); ?>">
                    <?php echo csrf_field(); ?>
                    <?php $__currentLoopData = $html; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $title => $inputs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="card mb-4">
                            <div class="card-header">
                                <h3 class="card-title"> <?php echo e($title); ?> </h3>
                            </div>
                            <div class="card-body">
                                <div class="row text-center">
                                    <?php $__currentLoopData = $inputs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $label => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-4 px-4" style="border-bottom: 1px solid #adadad; margin-bottom: 20px; padding-bottom: 10px;">
                                            <div>
                                                <div class="d-flex">
                                                    <p class="font marg w-50"> <b> <?php echo e($label); ?> </b> </p>
                                                    <div class="switch-field  w-50 h-75 ">
                                                        <label class="px-2 form-check-label" style="cursor: pointer;" for="<?php echo e($name); ?>-yes">
                                                            <?php echo e(trans('settings.yes')); ?>

                                                            <input type="radio" id="<?php echo e($name); ?>-yes" name="<?php echo e($name); ?>" value="1" <?php echo e(old($name, $invoice_setting->$name) == 1 ? 'checked' : ''); ?> />
                                                        </label>

                                                        <label class="px-2 form-check-label" style="cursor: pointer;" for="<?php echo e($name); ?>-no">
                                                            <?php echo e(trans('settings.no')); ?>

                                                            <input type="radio" id="<?php echo e($name); ?>-no" name="<?php echo e($name); ?>" value="0" <?php echo e(old($name, $invoice_setting->$name) == 0 ? 'checked' : ''); ?> />
                                                        </label>
                                                    </div>
                                                </div>
                                                <?php $__errorArgs = [$name];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <span class="text-danger" role="alert"> <strong><?php echo e($message); ?></strong> </span>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <button type="submit" class="btn btn-primary d-block m-auto w-25"> <?php echo app('translator')->get('native.save'); ?> <i class="fas fa-save"></i> </button>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Settings/Resources/views/print/index.blade.php ENDPATH**/ ?>