<section class="tables">
    <div class="row">
        <?php if((int) (get_session_val('insatllments', 'integer') && authorized('can_pay_by_installments'))): ?>
            <div class="col-lg-6 col-12">
            <div class="text-center caption-table mt-3">
                <?php echo app('translator')->get('native.insatllments_late_title'); ?>
                <span class="float-right">
                    <i style="width: 10px; height: 10px; background-color: #fcff00; display: inline-block; border-radius: 50%;"></i>
                    <?php echo app('translator')->get('client.supplier'); ?>
                </span>

                <span class="float-right mx-3">
                    <i style="width: 10px; height: 10px; background-color: #1177aae3; display: inline-block; border-radius: 50%;"></i>
                    <?php echo app('translator')->get('client.client'); ?>
                </span>
            </div>
            <div class="table-responsive">
            <table class="table text-center custome-table">
                <thead>
                    <tr>
                        <th> # </th>
                        <th> <?php echo app('translator')->get('client.name client or supplier'); ?> </th>
                        <th> <?php echo app('translator')->get('installment.date'); ?> </th>
                        <th> <?php echo app('translator')->get('installment.days-delay'); ?> </th>
                        <th> <?php echo app('translator')->get('installment.amount'); ?> </th>
                        <th> <?php echo app('translator')->get('installment.payed'); ?>
                    </tr>
                </thead>
                <tbody>
                    <?php $__empty_1 = true; $__currentLoopData = $instalments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $instalment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr
                            style="border-bottom: 1px solid #878787; background-color: <?php echo e($instalment->type ? '#fcff0054' : '#0060ff26'); ?>">
                            <td> <?php echo e($loop->iteration); ?> </td>
                            <td>
                                <?php if($instalment->client): ?>
                                    <a href="<?php echo e(route('clients.show', $instalment->client_id)); ?>" target="_blank"
                                        class="btn btn-default">
                                        <?php echo e($instalment->client->name); ?>

                                    </a>
                                <?php elseif($instalment->invoice?->client): ?>
                                    <a href="<?php echo e(route('clients.show', $instalment->invoice->client_id)); ?>"
                                        target="_blank" class="btn btn-default">
                                        <?php echo e($instalment->invoice->client->name); ?>

                                    </a>
                                <?php endif; ?>
                            </td>
                            <td> <?php echo e($instalment->installment_date); ?> </td>
                            <td class="text-danger"> <?php echo app('translator')->get('installment.day-delay', ['days' => $instalment->days]); ?></td>
                            <td> <?php echo e(round_money($instalment->installment_amount, true)); ?> </td>
                            <td>
                                <a href="<?php echo e(route(($instalment->type ? 'supplierinstallment' : 'clientinstalments') . '.payingTheDebtView', $instalment->id)); ?>"
                                    class="btn btn-info btn-sm" target="_blank">
                                    <i class="fas fa-money-bill-alt"></i>
                                </a>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td colspan="6" class="alert alert-info text-center"> <?php echo app('translator')->get('installment.no-data'); ?> </td>
                        </tr>
                    <?php endif; ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="3">
                            <a href="<?php echo e(route('supplierinstallment.index', ['format' => 2])); ?>"
                                class="read-more btn btn-warning d-block text-white" target="_blank">
                                <?php echo app('translator')->get('installment.all-supplier-installments'); ?>
                                <i class="fa fa-angle-double-left" aria-hidden="true"></i>
                            </a>
                        </td>
                        <td colspan="3">
                            <a href="<?php echo e(route('clientinstalments.index', ['format' => 2])); ?>"
                                class="read-more btn btn-info d-block text-white" target="_blank">
                                <i class="fa fa-angle-double-right" aria-hidden="true"></i>
                                <?php echo app('translator')->get('installment.all-client-installments'); ?>
                            </a>
                        </td>
                    </tr>
                </tfoot>
            </table>
            </div>

        </div>
        <?php endif; ?>

        <div class="col-md-6 hidden">
            <div class="text-center caption-table mt-3">
                تنبيهات الموظفين
                <a href="#" class="float-left read-more" target="_blank">المزيد <i class="fa fa-angle-double-left"
                        aria-hidden="true"></i>
                </a>
            </div>
            <ul class="list-unstyled staff-alerts">
                <?php $__empty_1 = true; $__currentLoopData = $alerts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $alert): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <li>
                        <!--  style="background: #ccc; margin:5px" -->
                        <div class="row">
                            <div class="col-7">
                                <h5> <?php echo e($alert->alert_name); ?> </h5>
                                <small> <?php echo e($alert->para); ?> </small>
                            </div>
                            <div class="col-5 border-right">
                                <p class="mb-0 h6"><?php echo e($alert->date); ?></p>
                                <small>
                                    بواسطه : <?php echo e($alert->added->name); ?>

                                </small>
                            </div>
                        </div>
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <li class="text-center text-white bg-info">
                        لا يوجد تنبيهات
                    </li>
                <?php endif; ?>
            </ul>
        </div>
    </div>
</section>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Master/Resources/views/sections/tables.blade.php ENDPATH**/ ?>