<!-- start add modal -->

<!-- Button trigger modal -->
<button href="" class="btn btn-info btn-lg m-2" data-toggle="modal" data-target="#addSalePoint"> اضف خزنة او درج نقدية جديد 
    <i class="fas fa-plus-circle"></i>
</button>

<!-- add Modal -->
<div class="modal fade" id="addSalePoint" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">اضف خزنة او درج نقدية جديد</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            
            <form class="modal-body" id="form">
                <div class="form-group row">
                    <label class="col-3" for="point_name">اسم الخزنه</label>
                    <div class="col-8">
                        <input type="text" class="form-control" id="point_name">
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-3" for="money_point">المبلغ الحالي</label>
                    <div class="col-8">
                        <input type="number" value="0" class="form-control" id="money_point">
                    </div>
                    <div>
                        <p><?php echo e($main_currency); ?></p>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-3" for="store_id">حدد المخزن</label>
                    <div class="col-8">
                        <select id="store_id" class="selectpicker" data-live-search="true" data-width="100%">
                            <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store_id => $store_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($store_id); ?>"><?php echo e($store_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-3" for="point_type">نوع نقطه البيع</label>
                    <div class="col-8">
                        <select id="point_type" class="selectpicker" data-live-search="true" data-width="100%">
                            <option value="1">الخزن /نقاط البيع</option>
                            <option value="2">دفع الشبكه</option>
                        </select>
                    </div>
                </div>

                <div
                class="<?php echo \Illuminate\Support\Arr::toCssClasses([
                    'form-group',
                    'row',
                    'hidden' => !get_session_val('multi_currency', 'integer'),
                    ]) ?>"
                >
                    <label class="col-3" for="currency">تحديد العملة</label>
                    <div class="col-8">
                        <select id="currency" class="selectpicker" data-live-search="true" data-width="100%">
                            <option selected value="0"><?php echo e(get_session_val('currency', 'string')); ?></option>
                            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($currency->id); ?>" <?php echo e($currency->is_main == 1 ? 'selected' : ''); ?>><?php echo e($currency->code . ' | ' .$currency->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

            </form>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">الغاء</button>
                <button type="button" onclick="addPoint()" class="btn btn-success">حفظ</button>
            </div>
        </div>
    </div>
</div>
<!-- end add modal -->
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/SalePoints/Resources/views/partials/addModal/salepoint_add_modal.blade.php ENDPATH**/ ?>