
<div class="modal fade" id="new-supplier-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.new_supplier')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-supplier-form-modal" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="supplier_name"><?php echo e(__('items.supplier')); ?> :</label>
                        <input type="text" class="form-control" name="supplier_name" id="supplier_name" autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="tele"><?php echo e(__('items.phone_number')); ?> :</label>
                        <input type="text" class="form-control" name="tele" id="tele" />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit"><?php echo e(__('extends.save')); ?></button>
                    <button type="button" class="btn btn-secondary mr-1" data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="new-barcode-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.new_barcode')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body pb-0" id="modal-loader-u">
                <div class="form-group">
                    <label class="control-label" id="new-barcode-label" for="barcode"><?php echo e(__('items.barcode.name')); ?>

                        :</label>
                    <input type="text" class="form-control" name="barcode[]" id="new-barcode" autofocus>
                </div>
            </div>
            <div class="modal-footer d-flex justify-content-end">
                <button type="button" class="btn btn-primary" id="add-barcode-btn"><?php echo e(__('extends.save')); ?></button>
                <button type="button" class="btn btn-secondary mr-1" id="barcode-close-modal"
                    data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                </button>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="new-sub-unit-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.new_sub_unit')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-sub-unit-form-modal" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div id="show-modal-errors" class="hidden"></div>

                    <div class="form-group" id="modal_unit_form_group">
                        <label class="control-label" for="unit_id"><?php echo e(__('items.unit.title')); ?> :</label>
                        <select data-live-search="true" class="form-control" name="unit_id" id="unit">
                            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($unit->id); ?>" data-name="<?php echo e($unit->name); ?>"
                                    data-unit_einvoice_code="<?php echo e($unit->unit_einvoice_code); ?>">
                                    <?php echo e($unit->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <?php if($settings->einvoice == 1): ?>
                        <div class="form-group">
                            <label class="control-label" for="unit_einvoice_code"><?php echo e(__('items.unit.einvoice_code')); ?>

                                :</label>
                            <input type="text" class="form-control" name="unit_einvoice_code"
                                id="modal_unit_einvoice_code" readonly>
                        </div>
                    <?php endif; ?>

                    <div class="form-group">
                        <label class="control-label" for="modal_unit_value"><?php echo e(__('items.unit.value')); ?> :</label>
                        <input type="text" class="form-control" name="unit_value" id="modal_unit_value">
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="modal_unit_price"><?php echo e(__('items.unit.price')); ?> :</label>
                        <input type="number" class="form-control" name="unit_price" id="modal_unit_price">
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="modal_unit_barcode"><?php echo e(__('items.unit.barcode')); ?>

                            :</label>
                        <input type="number" class="form-control" name="unit_barcode" id="modal_unit_barcode">
                    </div>
                    <div class="form-row row">
                        <div class="form-group col-md-6 hidden">
                            <label class="control-label" for="barcode"><?php echo e(__('items.unit.type')); ?> :</label>
                            <select class="form-control selectpicker" name="unit_type">
                                <option value="0" selected><?php echo e(__('items.unit.larger')); ?></option>
                                <option value="1"><?php echo e(__('items.unit.smaller')); ?></option>
                            </select>
                        </div>
                        <div class="form-group col-md-6 hidden">
                            <div class="form-inline">
                                <label class="control-label" for="barcode"><?php echo e(__('items.show_in_store')); ?> :</label>
                                <input type="checkbox" class="form-control" name="Screenhidden" checked />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <a href="javascript:void(0)" class="btn btn-primary"
                        id="add-new-sub-unit-btn"><?php echo e(__('extends.save')); ?></a>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="new-company-modal" tabindex="-1" role="dialog"
    aria-labelledby="new-company-modalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.variable_price_list')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-company-form-modal" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="company_name"><?php echo e(__('items.list_name')); ?> :</label>
                        <input type="text" class="form-control" name="company_name" id="company_name"
                            autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="income_ration"><?php echo e(__('items.percentage_on_purchases')); ?>

                            :</label>
                        <input type="text" class="form-control" name="income_ratio" id="income_ration" />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="sale_ratio"><?php echo e(__('items.percentage_on_sales')); ?> :</label>
                        <input type="text" class="form-control" name="sale_ratio" id="sale_ratio" />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end ">
                    <button class="btn btn-primary ml-1" type="submit"><?php echo e(__('extends.save')); ?></button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="new-card-company-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"><?php echo e(__('items.card_company')); ?></h4>
            </div>
            <form id="new-card-company-form-modal" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="company_name"><?php echo e(__('items.company_name.name')); ?> :</label>
                        <input type="text" class="form-control" name="company_name" id="company_name" autofocus>
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="card_count"><?php echo e(__('items.card_count.name')); ?> :</label>
                        <input type="text" class="form-control" name="card_count" id="card_count"
                            value="0">
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" type="submit"><?php echo e(__('extends.save-btn')); ?> </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="new-size-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.add_size')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-size-form-modal" action="" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="size_name"><?php echo e(__('items.size.name')); ?> :</label>
                        <input type="text" class="form-control" name="size_name" id="size_name" autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="size_code"><?php echo e(__('items.size_code.name')); ?> :</label>
                        <input type="text" class="form-control" name="size_code" id="size_code" value="0">
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit"><?php echo e(__('extends.save')); ?> </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="new-color-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.add_color')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-color-form-modal" action="" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="color_name"><?php echo e(__('items.color.name')); ?> :</label>
                        <input type="text" class="form-control" name="color_name" id="color_name" autofocus />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="color_code"><?php echo e(__('items.color_code.name')); ?> :</label>
                        <input type="text" class="form-control jscolor" name="color_code" id="color_code" />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit"><?php echo e(__('extends.save')); ?> </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                    </button>
                </div>
            </form>
        </div>

    </div>
</div>


<div class="modal fade" id="updateSubUnitElementModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.update_sub_unit')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="edit-sub-unit-form-modal" action="" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body updateElementWell pb-0" id="modal-loader-u"></div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" id="edit-sub-unit-btn"><?php echo e(__('extends.save')); ?></button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="new-shelf-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
    aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><?php echo e(__('items.add_shelf')); ?></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <form id="new-shelf-form-modal" action="" method="post">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0" id="modal-loader-u">
                    <div class="form-group">
                        <label class="control-label" for="shelf_name"><?php echo e(__('items.shelf')); ?> :</label>
                        <input type="text" class="form-control" name="shelf_name" id="size_name" autofocus />
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button class="btn btn-primary" type="submit"><?php echo e(__('extends.save')); ?> </button>
                    <button type="button" class="btn btn-secondary mr-1"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?>

                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<div class="modal fade" id="printBarcodeModal" tabindex="-1" role="dialog"
    aria-labelledby="printBarcodeModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="printBarcodeModalLabel"><?php echo e(__('items.barcode_ticket.tickets.title')); ?>

                </h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <form id="printBarcodeForm" action="<?php echo e(route('barcode.printBarcode')); ?>" method="POST" target="_blank" rel="noopener noreferrer">
                <?php echo csrf_field(); ?>
                <div class="modal-body pb-0">
                    <div class="form-group">
                        <label class="control-label" for="quantity"><?php echo e(__('items.quantity.name')); ?> :</label>
                        <input type="number" class="form-control" name="quantity" value="1">
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-end">
                    <button type="submit" class="btn btn-primary ml-1"><?php echo e(__('extends.print')); ?></button>
                    <button type="button" class="btn btn-secondary"
                        data-dismiss="modal"><?php echo e(__('extends.close')); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Item/Resources/views/popups.blade.php ENDPATH**/ ?>