<?php if($errors->any()): ?>
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!-- if there are any errors, show them here -->
            <ul class="alert alert-danger text-center list-unstyled">
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    </div>
<?php endif; ?>

<?php if(session()->has('success')): ?>
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is a success message, show it here -->
            <ul class='h4 alert alert-success text-center list-unstyled'>
                <?php echo session()->get('success'); ?>

            </ul>
        </div>
    </div>
<?php endif; ?>

<?php if(session()->has('error')): ?>
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is an error, it will show here -->
            <ul class='h4 alert alert-danger text-center list-unstyled'>
                <?php echo session()->get('error'); ?>

            </ul>
        </div>
    </div>
<?php endif; ?>

<?php if(session()->has('warning')): ?>
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is an warning, it will show here -->
            <ul class='h4 alert alert-warning text-center list-unstyled'>
                <?php echo session()->get('warning'); ?>

            </ul>
        </div>
    </div>
<?php endif; ?>

<?php if(session()->has('message')): ?>
    <div class="row w-100">
        <div class="col-xs-12 col-sm-12">
            <!--- if there is an message, it will show here -->
            <ul class='h4 alert alert-info text-center list-unstyled'>
                <?php echo session()->get('message'); ?>

            </ul>
        </div>
    </div>
<?php endif; ?>

<?php if(session()->has('einvoiceErrors')): ?>
    <div class="row">
        <div class="col-xs-12 col-sm-12">
            <ul class='h4 alert alert-danger text-center list-unstyled'>
                <!--- if there are einvoice errors, they will show here -->
                <?php if(is_array(session()->get('einvoiceErrors')) && count(session()->get('einvoiceErrors')) > 0): ?>
                    <?php $__currentLoopData = session()->get('einvoiceErrors'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error['message'] ?? $error['Message']); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <li><?php echo e(session()->get('einvoiceErrors')); ?></li>
                <?php endif; ?>

            </ul>
        </div>
    </div>
<?php endif; ?>

<?php if(session()->has('einvoiceCodeErrors')): ?>
    <div class="row">
        <div class="col-xs-12 col-sm-12">
            <ul class='h4 alert alert-danger text-center list-unstyled'>
                <!--- if there are einvoice errors, they will show here -->
                <?php if(is_array(session()->get('einvoiceCodeErrors')) && count(session()->get('einvoiceCodeErrors')) > 0): ?>
                    <?php $__currentLoopData = session()->get('einvoiceCodeErrors'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>

            </ul>
        </div>
    </div>
<?php endif; ?>

<div class="w-100 hidden text-center" id="messages"></div>
<div class="alert alert-danger w-100  text-center hidden"   id="error_messages"></div>
<div class="alert alert-success w-100  text-center hidden"  id="success_messages"></div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Master/Resources/views/layouts/messages.blade.php ENDPATH**/ ?>