<div class="card my-3">
    <div class="card-header">
        <h3 class="card-title"> <i class="fa fa-id-card"></i> بيانات شخصية</h3>
    </div>
    <div class="card-body" style="background-color: #bee1ee4f">
        <div class="form-row row">
            
            <div class="form-group col-md-6">
                <label for="address" class="control-label col-xl-6 col-12 <?php echo e(get_session_val('client_address_required', 'integer') == 1 ? 'required' : ''); ?>"><?php echo e(trans('client.address')); ?>:</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12 " id="address" name="address"
                    <?php echo e(get_session_val('client_address_required', 'integer') == 1 ? 'required' : ''); ?>

                    value="<?php echo e(old('address', $client->address ?? '')); ?>">
            </div>

            
            <div class="form-group col-md-6" id="national_input">
                <label for="national_id" class="control-label  col-xl-6 col-12 <?php echo e($settings->einvoice == 1 ? 'required' : ''); ?>"><?php echo e(trans('client.national_id.name')); ?>:</label>
                <input type="number" class="form-control input-normal  col-xl-9 col-12" id="national_id" name="national_id"
                    <?php echo e($settings->einvoice == 1 ? 'required' : ''); ?>

                    value="<?php echo e(old('national_id', $client->info1 ?? '')); ?>">
            </div>

            <?php if($settings->apply_vats): ?>
                
                <div class="form-group col-md-6" id="tax_number_input">
                    <label for="client_tax_number" class="control-label  col-xl-6 col-12"><?php echo e(trans('client.tax_number')); ?>:</label>
                    <input type="number" class="form-control input-normal  col-xl-9 col-12" id="client_tax_number" name="client_tax_number" value="<?php echo e($client->client_tax_number ?? old('client_tax_number')); ?>">
                </div>
            <?php endif; ?>

            
            <div class="form-group col-md-6">
                <label for="mobile1" class="control-label col-xl-6 col-12 <?php echo e($settings->einvoice == 1 || $settings->telephone_required == 1 ? 'required' : ''); ?>"><?php echo e(trans('client.mobile')); ?> :</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12" id="mobile1" name="mobile1"
                    value="<?php echo e(old('mobile1', $client->mobile1 ?? '')); ?>"
                    <?php if($settings->telephone_required == 1): ?> required <?php endif; ?>>
            </div>

            
            <div class="form-group col-md-6">
                <label for="tele" class="control-label col-xl-6 col-12"><?php echo e(trans('client.other-mobile')); ?> :</label>
                <input type="text" class="form-control input-normal col-xl-9 col-12" name="tele"
                    value="<?php echo e($client->tele ?? old('tele')); ?>">
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Clients/Resources/views/layouts/includes/personal-info.blade.php ENDPATH**/ ?>