
<?php $__env->startSection('content'); ?>


    <div class="card card-light mb-1_5 pt-1_5 p-4">


        <div class=" form-border" style="display: block;">



            <h2 class="text-info"> <?php echo e(trans('client.clientGroup.client-group')); ?></h2>
            <div class="well well-lg" style="margin-bottom: 30px;margin-top:10px;">
                <h3 class="well-head"> <?php echo e(trans('client.clientGroup.title')); ?></h3>
                <form method="POST" class="custome-form" action="<?php echo e(route('clients.clients-groups.store')); ?>" >
                    <div class="row">

                 
                    <?php echo e(csrf_field()); ?>

                    <div class="col-md-5 col-12">
                        <div class="form-group">
                            <div class="col-md-4 col-12">
                                <label for="group_name" class="control-label"><?php echo e(trans('client.clientGroup.group_name')); ?></label>
                            </div>
                            <div class="col-md-8 col-12">
                                <input type="text" class="form-control input-normal" autocomplete="on"
                                    onkeypress="return CheckArabicCharactersOnly(event);" name="groupName" id="group_name">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5 col-12">
                        <div class="form-group">
                            <div class="col-md-4 col-12">
                                <label for="discount-percent" class="control-label"> <?php echo e(trans('client.clientGroup.discount')); ?></label>
                            </div>
                            <div class="col-md-8 col-12">
                                <input value="0" min="0" max="100" type="number" step=any
                                    class="form-control input-normal" name="discountPercent" id="discount-percent">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 col-12">

                    <input class="btn btn-success pull" style="margin:24px;" type="submit"
                        value="<?php echo e(trans('client.clientGroup.save')); ?>">
                 </div>
                 </div>
                </form>
            </div>
          <div class="table-responsive">
            <table class="table zui-table zui-table-rounded  table-heading show_quick" role="presentation">
                <thead class="text-center">
                    <tr>
                        <th scope='col'>#</th>
                        <th scope='col'> <?php echo e(trans('client.clientGroup.group_name')); ?></th>
                        <th scope='col'> <?php echo e(trans('client.clientGroup.discount')); ?></th>
                        <th scope='col'><?php echo e(trans('client.clientGroup.clientCount')); ?></th>
                        <th scope='col'><?php echo e(trans('client.clientGroup.valid')); ?></th>
                        <th scope='col'><?php echo e(trans('client.clientGroup.process')); ?> </th>
                    </tr>
                </thead>
                <tbody class="">
                    <?php $__currentLoopData = $groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td> <?php echo e($loop->iteration); ?> </td>
                            <td> <?php echo e($group->name); ?> </td>
                            <td> <?php echo e($group->group_discount); ?> % </td>
                            <td>
                                <a href="#" class="btn btn-default clients-number" data-toggle="modal"
                                    data-target="#ShowUsers<?php echo e($group->id); ?>">
                                    <?php echo e(count($group->clients)); ?>

                                </a>
                                <div class="modal fade" id="ShowUsers<?php echo e($group->id); ?>" tabindex="-1" role="dialog"
                                    aria-labelledby="basicModal" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                            <h4 class="modal-title" id="myModalLabel">
                                                    <?php echo e(trans('client.clientGroup.clientCount')); ?></h4>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">&times;</button>
                                               
                                            </div>
                                            <div class="modal-body">
                                                <table role="presentation"
                                                    class="table  table-heading show_quick">

                                                    <thead class="bg-primary text-center">
                                                        <tr>
                                                            <th scope='col'>#</th>
                                                            <th scope='col'><?php echo e(trans('client.clientGroup.clientName')); ?>

                                                            </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody class="">

                                                        <?php $__currentLoopData = $group->clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <tr>
                                                                <th scope='col'><?php echo e($loop->iteration); ?></th>
                                                                <th scope='col'><?php echo e($client->client_name); ?></th>
                                                            </tr>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </tbody>

                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                            </td>
                            <td><?php echo e($group->getValid()); ?></td>
                            <td>
                            <a href="javascript:void(0)" id="<?php echo e($group->id); ?>" class="btn btn-success btnEdit"
                                    data-toggle="modal" data-target="#EditModel" data-name="<?php echo e($group->name); ?>"
                                    data-id="<?php echo e($group->id); ?>" data-discount="<?php echo e($group->group_discount); ?>"
                                    data-edit_is_hidden_installments_menu=<?php echo e($group->valid); ?>>
                                    <i class="fa fa-edit"></i>
                                    <?php echo e(trans('client.clientGroup.edit')); ?>

                                </a>

                                <a href="" class="btn btn-danger btnDelete" data-toggle="modal"
                                    data-target="#DeleteModel" data-name="<?php echo e($group->name); ?>"
                                    data-id="<?php echo e($group->id); ?>" data-discount="<?php echo e($group->group_discount); ?>">
                                    <i class="fa fa-trash"></i>
                                    <?php echo e(trans('client.clientGroup.delete')); ?>

                                </a>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
</div>
          



            <div class="modal fade" id="EditModel" tabindex="-1" role="dialog" aria-labelledby="basicModal"
                aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                        <h4 class="modal-title text-center" id="myModalLabel">
                                <?php echo e(trans('client.clientGroup.editGroup')); ?></h4>
                            <button type="button" class="close" data-dismiss="modal"
                                aria-hidden="true">&times;</button>
                         
                        </div>
                        <div class="modal-body">
                            <form method="POST"  class="custome-form" action="<?php echo e(route('clients.clients-groups.update')); ?>">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-group">
                                    <div class="col-md-4">
                                        <label for="editGroupName" class="control-label" > <?php echo e(trans('client.clientGroup.group_name')); ?></label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" class="form-control input-normal"
                                            onkeypress="return CheckArabicCharactersOnly(event);" name="name"
                                            id="editGroupName">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                                <div class="form-group">
                                    <div class="col-md-4">
                                        <label for="edit-discount-percent" class="control-label">
                                            <?php echo e(trans('client.clientGroup.discount')); ?></label>
                                    </div>
                                    <div class="col-md-8">
                                        <input min="0" max="100" type="number" step=any name="discount"
                                            class="form-control  input-normal" id="edit-discount-percent">
                                    </div>
                                    <input type="hidden" name="id" id="editGroupId">
                                </div>
                                <div class="form-group" style="display: flex;margin-right: 15px">
                                    <input type="checkbox" class=" col-sm-1 is_hidden_installments_menu"
                                        name="is_hidden_installments_menu" value="0"
                                        id="edit_is_hidden_installments_menu">
                                    <label for="display_order col-sm-3" style="margin-top: 10px;margin-right: 10px;">
                                        <?php echo e(trans('client.clientGroup.cliantgroup_hidden')); ?>

                                    </label>
                                </div>
                                <div class="modal-footer text-left">
                                    <button type="submit" class="btn btn-success">
                                        <?php echo e(trans('client.clientGroup.edit')); ?></button>
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                        <?php echo e(trans('client.clientGroup.cancel')); ?></button>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>
            <div class="modal fade" id="DeleteModel" tabindex="-1" role="dialog" aria-labelledby="basicModal"
                aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                        <h4 class="modal-title" id="myModalLabel"> <?php echo e(trans('client.clientGroup.deleteGroup')); ?>

                            </h4>
                            <button type="button" class="close" data-dismiss="modal"
                                aria-hidden="true">&times;</button>
                         
                        </div>
                        <div class="modal-body">
                            <form action="<?php echo e(route('clients.clients-groups.destroy')); ?>" method="POST" class="custome-form">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-group">
                                    <div class="col-md-8">
                                        <input type="hidden" name="id" id="deleteGroupId">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                                <h3 class="color-red">* <?php echo e(trans('client.clientGroup.sureDelete')); ?></h3>
                                <div class="form-group">
                                    <div class="col-md-4">
                                        <label for="newClientGroup" class="control-label"> <?php echo e(trans('client.clientGroup.changeGroup')); ?></label>
                                    </div>
                                    <div class="col-md-8">
                                        <select name="newGroup" class="form-control input-normal" id="newClientGroup">
                                            <option selected="selected" value="-1">---</option>
                                            <?php if(auth()->user()->clients_group == 0): ?>
                                                <option  value="0">
                                                    <?php echo e(trans('client.clientGroup.WithoutGroup')); ?></option>
                                                <?php $__currentLoopData = $groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option da value="<?php echo e($group->id); ?>"><?php echo e($group->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <?php $__currentLoopData = $groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option da value="<?php echo e($group->id); ?>"><?php echo e($group->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                            
                                        </select>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="submit" class="btn btn-success">
                                        <?php echo e(trans('client.clientGroup.suredelete')); ?></button>
                                    <button type="button" class="btn btn-secondary"
                                        data-dismiss="modal"><?php echo e(trans('client.clientGroup.cancel')); ?></button>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>
                  
        
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('css-scripts'); ?>
    <style>
        .well-head {
            margin-top: 0;
            margin-bottom: 40px;
            color: #337AB7;
        }

        .clients-number {
            background-color: transparent;
            border: transparent;
            color: #337AB7;
            font-weight: bold;
            width: 80px;
        }

        .color-red {
            color: red;
            font-weight: bold;
            margin-bottom: 35px;
            margin-top: 0;
        }
    </style>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('js/jquery.table2excel.js')); ?>"></script>
    <script>
        function myFunction() {
            window.print();
            var isChrome = /Chrome/.test(navigator.userAgent) && /Google Inc/.test(navigator.vendor);

            if (isChrome == false) window.close();
        }

        function toExcel() {
            $("#table2excel").table2excel({

                // exclude CSS class

                exclude: ".noExl",

                name: "Report",
                filename: "sell_vat" //do not include extension

            });
        }
    </script>
    <script src="<?php echo e(asset('tickets/js/bootstrap-select.min.js')); ?>"></script>
    <script>
        $('.picker').selectpicker({
            size: 8
        });
    </script>
    <script>
        $(document).on("click", ".btnEdit", function() {
            $("#editGroupId").val($(this).data("id"));
            $("#editGroupName").val($(this).data("name"));
            $("#edit-discount-percent").val($(this).data("discount"));
            var edit_is_hidden_installments_menu = $(this).data("edit_is_hidden_installments_menu"),
                hiddenStatus = edit_is_hidden_installments_menu == 0 ? true : false;
            $('#edit_is_hidden_installments_menu').prop('checked', hiddenStatus);
        });

        $(document).on("click", ".btnDelete", function() {
            var id = $(this).data("id");
            $("#deleteGroupId").val(id);
            // ## loop select options to remove option vale=id
            $('#newClientGroup option').removeClass('hidden');
            $('#newClientGroup option[value=' + id + ']').addClass('hidden');
        });
    </script>
    <script type="text/javascript">
        // Allow Arabic Characters only
        function CheckArabicCharactersOnly(e) {
            var unicode = e.charCode ? e.charCode : e.keyCode
            if (unicode != 8) {
                if (unicode == 32 || unicode >= 65 && unicode <= 90 || unicode >= 97 && unicode <= 122)
                    return true;
                else {
                    if ((unicode < 48 || unicode > 57) && (unicode < 0x0600 || unicode >
                            0x06FF)) //if not a number or arabic
                        return false;
                }
            }


        }
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Clients/Resources/views/groups/clients-groups.blade.php ENDPATH**/ ?>