
<?php $__env->startSection('content'); ?>
<link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('tickets/css/jquery.bootstrap.treeselect.css')); ?>" rel="stylesheet" type="text/css">
<style>
   .special {
   font-weight: bold !important;
   color: #fff !important;
   background: #bc0000 !important;
   text-transform: uppercase;
   }
   .table-responsive{
   display: table;
   }
   .modal-content{
   padding: 4%;
   border: 10px #959595 solid;
   }
   .style{
   background-color: #e7e7e7;
   padding: 19px;
   }
   .form-group{
   margin-bottom: 0;
   }
   .styl{
   margin-right: 3%;
   }
</style>
<div class="wrapper">
   <div class="container-fluid bg-white p-4">
      <div class="row">
         <div class="col-md-12 mb-3">
            <h1 class="text-info d-inline-block"><?php echo e(trans('category.all_cats')); ?></h1>
            <button
               class="btn btn-primary mt-2 <?php if(app()->getLocale() == 'ar'): ?> float-left <?php else: ?> float-right <?php endif; ?>"
               id="btn" style="margin-bottom: 1em;"><?php echo e(trans('category.new_cat')); ?></button>
         </div>
      </div>
      <div class="row">
         <?php echo $__env->make('category::main.table', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
         <?php echo $__env->make('category::main.drag-drop', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
      </div>
   </div>
</div>
<div class="modal fade" id="create_modal" tabindex="-1" role="dialog"
   aria-labelledby="myModalLabel"
   aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel"><?php echo e(trans('category.new_cat')); ?> </h4>
         </div>
         <form role="form" action="<?php echo e(route('category.store')); ?>" method="post" enctype="multipart/form-data" class="style custome-form">
            <?php echo csrf_field(); ?>

            <div class="modal-body" id="modal-loader-u">
               
               <div class="row">
                  <div class="col-xs-12">
                     <div class="well">
                        <div class="form-group">
                           <label for="name"><?php echo e(trans('category.cat_name')); ?></label>
                           <input class="form-control input-normal" name="name" id="name" required>
                        </div>
                        <div class="form-group">
                           <label for="image"><?php echo e(trans('category.image')); ?></label>
                           <input type="file" class="form-control input-normal" name="image" id="image">
                        </div>
                        
                        <div class="form-group" id="sale_unit_div">
                           <label for="type"><?php echo e(trans('category.cat')); ?></label>
                           <select class="form-control input-normal" name="type" id="sale_unit"
                              data-live-search="true">
                              <option value="0" selected><?php echo e(trans('category.main_cat')); ?></option>
                              <?php $__currentLoopData = \Modules\Category\Entities\Category::select('id', 'name')->pluck('name', 'id')->toArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat_id => $cat_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <option value="<?php echo e($cat_id); ?>"><?php echo e($cat_name); ?></option>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                           </select>
                           
                        </div>
                        <div class="form-group d-flex">
                           <input type="checkbox" class="form-control input-normal col-sm-1" name="published"
                              id="published" checked>
                           <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;"> اظهار التصنيف
                           اونلاين</label>
                        </div>
                        <div class="form-group d-flex">
                           <input type="checkbox" class="form-control input-normal col-sm-1" name="arrange_type"
                              id="arrange_type" >
                           <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;">
                           عرض الوحدات الفرعية</label>
                        </div>
                        <div class="form-group d-flex">
                           <input type="checkbox" class="form-control input-normal col-sm-1" name="hiddentouch"
                              id="hiddentouch" >
                           <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;">
                           اخفاء بالمبيعات</label>
                        </div>
                        
                        <div class="form-group d-flex">
                           <input checked type="checkbox" class="form-control input-normal col-sm-1" name="show_min_qty"
                              id="show_min_qty" >
                           <label for="display_order col-sm-3" class="styl" style="margin-top: 10px;">
                           اظهار في تقرير النواقص</label>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="modal-footer">
               <button type="button"
                  class="btn btn-light"
                  data-dismiss="modal"><?php echo e(trans('extends.close')); ?>

               </button>
               <button class="btn btn-primary"><?php echo e(trans('extends.save')); ?></button>
            </div>
         </form>
      </div>
   </div>
</div>
<div class="modal fade" id="updateElementModal" tabindex="-1" role="dialog"
   aria-labelledby="myModalLabel"
   aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <div id="currentErrorMessage2"></div>
         <form id="updateElementForm" method="post" action="<?php echo e(route('category.update')); ?>" class="custome-form"
            enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>

            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>
            <div class="modal-body" id="modal-loader-u">
               <div id="updateElementLoader" style="alignment: center;"></div>
               <div id="updateElementErrors" style="alignment: left;"></div>
               <div class="row">
                  <div class="col-xs-12">
                     <div class="well" id="updateElementWell">
                        
                     </div>
                  </div>
               </div>
            </div>
            <div class="modal-footer">
               <button type="button"
                  class="btn btn-default"
                  data-dismiss="modal"><?php echo e(trans('extends.close')); ?>

               </button>
               <button class="btn btn-primary" type="submit"> <?php echo e(trans('extends.edit')); ?></button>
            </div>
         </form>
      </div>
   </div>
</div>
<div class="modal fade" id="deleteElementModal" tabindex="-1" role="dialog"
   aria-labelledby="myModalLabel"
   aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <form id="deleteElementForm" action="<?php echo e(route('category.destroy')); ?>" method="post">
            <?php echo e(csrf_field()); ?>

            <div class="modal-body" id="modal-loader-u">
               <?php if(app()->getLocale() == 'ar'): ?>
               <p>انت علي وشك الحذف. </p>
               <p>عند التأكيد سوف يتم حذف هذا البيان والبيانات الاخري المرتبطة به</p>
               <p>هل تريد الحذف؟</p>
               <?php else: ?>
               <p>You're about to delete data </p>
               <p>on confirmation, items and it's relative data will be gone.</p>
               <p>Do you want to continue?</p>
               <?php endif; ?>
               <div id="deleteElementLoader" style="alignment: center;"></div>
               <div id="deleteElementErrors" style="alignment: left;"></div>
            </div>
            <div class="deleteRef"></div>
            <div class="modal-footer">
               <button type="button"
                  class="btn btn-default"
                  data-dismiss="modal"><?php echo e(trans('extends.close')); ?>

               </button>
               <button class="btn btn-danger" type="submit"><?php echo e(trans('extends.delete')); ?> </button>
            </div>
         </form>
      </div>
   </div>
</div>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
<script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
<script src="<?php echo e(asset('tickets/js/jquery.bootstrap.treeselect.js')); ?>"></script>
<!--set tree select on item id-->
<!--set tree select on item id-->
<script>
   $('#sale_unit').treeselect();
   $('#sale_unit_div').find("button").css("width", "100%");
</script>
<script>
   $(document).ready(function () {
   
       var loader = "<div align='center' id='loader'>" +
           "<i class='fa fa-spinner fa-pulse fa-3x fa-fw'></i>" +
           "</div><br>";
   
   
       $.ajaxSetup({
           headers: {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
               type: "GET",
               data: null,
               contentType: false,
               cache: false,
               processData: false,
           }
       });
   
       $(document).on('click', '#btn', function () {
           $('#create_modal').modal();
       });
   
   
       $('#deleteElementModal').on('show.bs.modal', function (e) {
   
           hashedID = $(e.relatedTarget).data('href');
   
           $('#deleteElementLoader').empty();
           $('#deleteElementErrors').empty();
           $('#error').remove();
           $('.deleteRef').empty().append('<input name="category_id" value="' + hashedID + '" type="hidden">');
   
       });
   
   
       $('#updateElementModal').on('show.bs.modal', function (e) {
           hashedID = $(e.relatedTarget).data('href');
   
           var data = {id: hashedID};
           $.ajax({
               url: '<?php echo e(route('category.edit')); ?>',
               type: "get",
               data: data,
               contentType: false,
               cache: false,
               processData: true, // <==
               beforeSend: function () {
                   $('#updateElementLoader').empty().prepend(loader);
                   $('#updateElementErrors').empty();
                   $('#error').remove();
                   $('#updateElementWell').empty()
               },
               success: function (data) {
                   $('#updateElementLoader').empty();
                   $('#updateElementWell').empty().prepend(data.data);
   
               },
               error: function (data) {
                   $('#updateElementLoader').empty();
                   $('#updateElementWell').empty().prepend(error);
               },
               complete: function () {
   
               }
           });
   
       });
   
       $('body').on("click", '.collapse-section', function() {
           let ele = $(this).closest('[data-toggle="collapse"]');
           let collapsed = ! ele.data('collapsed');
           $(this).toggleClass('fa-caret-down').toggleClass('fa-caret-left');
           ele.data('collapsed', collapsed);
           makeCollapse(ele.data('id'), collapsed);
       });
   
       function makeCollapse(id, collapsed = true) {
           $(`[data-parent="${id}"]`).each(function() {
               $(this).data('collapsed', collapsed);
               if (collapsed) {
                   $(this).fadeOut();
                   $(this).find('i.fa').removeClass('fa-caret-down').addClass('fa-caret-left');
               } else {
                   $(this).fadeIn();
                   $(this).find('i.fa').addClass('fa-caret-down').removeClass('fa-caret-left');
               }
               makeCollapse($(this).data('id'), collapsed);
           });
       }
   
       $('table.table tbody tr.info').each(function(index) {
           $(this).find('.iteration').text( index + 1 );
       });
   });
   
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Category/Resources/views/main/index.blade.php ENDPATH**/ ?>