
<?php $__env->startSection('css-scripts'); ?>
<style>
   .d__flex {
   display: flex;
   justify-content: space-between;
   }
</style>
<style type="text/css">
   @media  print {
   th {
   color: #444141;
   }
   #export-table {
   display: none !important;
   }
   .excelbtn {
   display: none;
   }
   .print_btn {
   display: none !important;
   }
   #submit {
   display: none !important;
   }
   #hide_zero {
   display: none !important;
   }
   }
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="card card-light mb-1_5 p-3">

<div>
   <h2 class="text-info" id="title_text">
      تقرير جرد الأصناف بالوحدات
   </h2>
</div>
<form method="get" class="well" style="overflow: visible;">
   <div class="row my-4">
      <div class="col-md-4 form-inline mb-3">
         <label class="col-4">
         <?php echo e(__('native.store')); ?>

         </label>
         <select id="store" name="store" class="form-control selectpicker items--- col-8"
            data-none-selected-text="<?php echo e(trans('native.no-selected')); ?>" data-live-search="true"
            data-none-selected-text="<?php echo e(__('native.choose_store')); ?>">
            <option value="0"><?php echo e(__('native.must_choose_store')); ?></option>
            <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($store->id); ?>"
            <?php echo e(request('store') && request('store') == $store->id ? 'selected' : ''); ?>>
            <?php echo e($store->store_name); ?>

            </option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         </select>
      </div>
      <div class="col-md-4 form-inline mb-3">
         <label class="col-4">
         <?php echo e(__('native.item')); ?>

         </label>
         <select id="item" name="item" class="form-control col-8">
            <?php if( request('store')): ?>
            <option value="0"><?php echo e(__('native.All')); ?></option>
            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($item->id); ?>"
            <?php echo e(request('item') && request('item') == $item->id ? 'selected' : ''); ?>>
            <?php echo e($item->item_name); ?>

            </option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
         </select>
      </div>
      <div class="col-md-2  form-inline mb-3">
         <label class="text-white col-4">
         -
         </label>
         <button type="submit" id="submit" class="btn btn-info col-8"><?php echo e(__('native.show')); ?></button>
      </div>
   </div>
</form>
<label style="margin-right: 75px;" id="hide_zero">
<input type="checkbox" id="toggle-hidden-zero-qty">
إخفاء الصفوف التي تحتوي على كمية صفر
</label>

<div class="my-3 hidden-print" style="display: flex; justify-content: space-evenly;">
   <button id="print-table" class="hidden-print noprint btn btn-success col-sm-2 mr-2"><?php echo e(trans('extends.print')); ?>

   </button>
   <button id="export-table" class="hidden-print noprint btn btn-primary col-sm-2 mr-2"><?php echo e(trans('extends.toExcel')); ?>

   </button>
   
</div>
<div class="row">
   <div class="table-responsive col-md-12 ">
       <table class="table table-bordered table-striped table-hover bg-white table2excel" id="main_table">
      <thead class="bg-info text-white">
         <tr>
            <th scope="col">#</th>
            <th scope="col"> اسم الصنف</th>
            <th class="item_colum"><?php echo e(__('reports.main_unit')); ?></th>
            <th class="item_colum"><?php echo e(__('reports.sub_unit')); ?></th>
            
         </tr>
      </thead>
      <tbody style="text-align: center;">
         <?php $__empty_1 = true; $__currentLoopData = $results; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $result): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
         <tr data-total-qty="<?php echo e($result->quantity != 0 ? $result->quantity : 0); ?>">
            <td><?php echo e($loop->iteration); ?></td>
            <td><?php echo e($result->item_name); ?></td>
            <td><?php echo e('(' . quant_decimal($result->quantity) . ')     ' . $result->units->name); ?></td>
            <td><?php echo e($result->unit_group ? '(' . $result->unit_group . ')' : 'لا يوجد للصنف وحده فرعيه'); ?></td>
            
         </tr>
         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
         <tr>
            <td colspan="4">
               لا يوجد نتائج
            </td>
         </tr>
         <?php endif; ?>
      </tbody>
   </table>
   </div>
  
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js-scripts'); ?>
<?php echo $__env->make('master::js.export-functions', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script>
   $(function() {
       $('#toggle-hidden-zero-qty').on('change', function() {
           if ($(this).is(':checked')) {
               $(document).find('tr[data-total-qty="0"]').hide();
           } else {
               $(document).find('tr[data-total-qty="0"]').show();
           }
       });
       $('#store').on('change', function() {
           var store = this.value;
           if (store == '') return ;
           $('#item').html('');
           $.ajax({
               url: "<?php echo e(route('salesreports.getItems')); ?>?store=" + store,
               type: 'get',
               success: function(res) {
                   $('#item').html('<option value="0"><?php echo e(__('native.All')); ?></option>');
                   let selected_id = "<?php echo e(request('item')); ?>";
                   $.each(res, function(key, value) {
                       $('#item').append(`<option  ${selected_id == value.id ? 'selected' : ''} value="${value.id}">${value.item_name}</option>`);
                   });
               }
           });
       });
   
       $('#store').change();
   });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/SalesReport/Resources/views/item_report/item_unit_qty_report.blade.php ENDPATH**/ ?>