
<?php $__env->startSection('content'); ?>
    <div class="card card-light mb-1_5 p-3">
        <div class="container-fluid">
            <h2 class="text-info" id="title_text">
                <?php echo e(trans('native.spend_item')); ?>

                <a href="<?php echo e(route('expenses.create')); ?>" class="btn btn-success float-left open-modal"> <?php echo e(trans('native.a_new_item')); ?> <i class="fas fa-plus"></i> </a>
            </h2>
            <div class="table-responsive">
                <table class=" table table-bordered zui-table zui-table-rounded w-100 table-hover table-striped">
                    <thead class="table-primary">
                        <th scope="col">#</th>
                        <th scope="col"><?php echo e(trans('native.spend')); ?></th>
                        <?php if(get_session_val('assign_users_to_expenses', 'integer')): ?>
                            <th scope="col"><?php echo e(trans('native.users')); ?></th>
                        <?php endif; ?>
                        <th scope="col"><?php echo e(trans('native.Edit')); ?></th>
                        <th scope="col"><?php echo e(trans('native.delete')); ?></th>
                    </thead>
                    <tbody class="">
                        <?php $__currentLoopData = $rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($row->name); ?></td>
                                <?php if(get_session_val('assign_users_to_expenses', 'integer')): ?>
                                    <td>
                                        <?php if($row->users): ?>
                                            <?php echo e($row->users->implode('user_name', ' | ')); ?>

                                        <?php else: ?>
                                            <b class="text-muted"> لا يوجد مستخدمين مرتبطين بالمصورف </b>
                                        <?php endif; ?>
                                    </td>
                                <?php endif; ?>
                                <td>
                                    <a href="<?php echo e(route('expenses.edit', $row->id)); ?>" class="btn btn-sm btn-primary open-modal"> <i class="fas fa-edit"></i> </a>
                                </td>
                                <td>
                                    <form method="POST" action="<?php echo e(route("expenses.destroy", $row->id)); ?>" class="form-destroy">
                                        <?php echo csrf_field(); ?>
                                        <?php echo method_field('DELETE'); ?>
                                        <button type="submit" class="btn btn-sm btn-danger"> <i class="fas fa-trash"></i> </button>
                                    </form>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
        <?php echo $__env->make('spendsandincoms::includes.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('spendsandincoms::includes.js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/SpendsAndIncoms/Resources/views/expenses/index.blade.php ENDPATH**/ ?>