

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <h1 class="text-primary"><?php echo e(__('invoices.invoices.pendings.' . $invoice_type)); ?> </h1>

        <div class="row">
            <form method="get" class="col-md-12 mt-2">

                <div class="form-row">
                    <div class="form-group col-md-4">
                        <input Auto_Test="pendings_search_search" type="text" name="search" id="search" class="form-control col-md-12"
                            value="<?php echo e(request('search')); ?>"
                            placeholder=" <?php echo e(__('invoices.name_title')); ?> <?php echo e(in_array($invoice_type, ['sales', 'returned sales']) ? __('invoices.invoices.client') : __('invoices.invoices.supplier')); ?><?php echo e(__('invoices.or_invoice_number')); ?> ">
                    </div>
                    <div class="form-group col-md-2">
                        <div class="col-md-12">
                            <input type="text" Auto_Test = "search_datefrom" id="dateFrom" name="dateFrom"
                                class="form-control input-light date is-datepicker col-md-12"
                                value="<?php echo e(request('dateFrom')); ?>" placeholder="<?php echo e(__('extends.from')); ?>">
                            <span><i class="fa fa-calendar-alt calendar-icon"></i></span>
                        </div>
                    </div>

                    <div class="form-group col-md-2">
                        <div class="col-12">
                            <input type="text" Auto_Test="search_dateto" id="dateTo" name="dateTo"
                                class="form-control input-light date is-datepicker col-md-12"
                                value="<?php echo e(request('dateTo')); ?>" placeholder="<?php echo e(__('extends.to')); ?>">
                            <span><i class="fa fa-calendar-alt calendar-icon"></i></span>
                        </div>
                    </div>
                    <div class="form-group col-md-2 d-flex">
                        <button Auto_Test="search_btn1" class="btn btn-primary w-50 ml-1" type="submit"><?php echo e(__('einvoice.search')); ?></button>
                    </div>
                </div>


            </form>
        </div>
        <div class="table-responsive">

            <table class="table table-hover table-bordered table-striped bg-white ">
                <thead>
                    <tr class="info">
                        <th scope="col">#</th>

                        <th scope="col">
                            <?php echo e(in_array($invoice_type, ['sales', 'returned sales']) ? __('invoices.invoices.client') : __('invoices.invoices.supplier')); ?>

                        </th>
                        <th scope="col"><?php echo e(__('invoices.invoices.netPrice')); ?></th>
                        <th scope="col"><?php echo e(__('invoices.invoices.invoiceDate')); ?></th>
                        <th scope="col"><?php echo e(__('extends.action')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php if (isset($pendingInvoices) && count($pendingInvoices) > 0) { ?>
                        <?php $__currentLoopData = $pendingInvoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i => $pendingInvoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td Auto_Test ="exception_table_iteration_<?php echo e(++$i); ?>"><?php echo e(request('page') == 1 || !request('page') ? $loop->iteration : $loop->iteration + $pendingInvoices->perPage()); ?></td>

                                <td Auto_Test = "exception_table_client_<?php echo e(++$i); ?>"><?php echo e($pendingInvoice->client_id ? ($pendingInvoice->client->client_name ?? '-') : '-'); ?></td>
                                <td Auto_Test= "eception_table_net_<?php echo e(++$i); ?>"><?php echo e($pendingInvoice->net ? number_format($pendingInvoice->net, get_session_val('decimal_num_price', 'integer')) : '-'); ?></td>
                                <td Auto_Test= "exception_table_date_<?php echo e(++$i); ?>"><?php echo e($pendingInvoice->invoice_date ? ($pendingInvoice->invoice_date ?? '-') : '-'); ?></td>
                                <td Auto_Test= "exception_table_type_<?php echo e(++$i); ?>">
                                    <a Auto_Test= "exception_table_create_<?php echo e(++$i); ?>" href="<?php echo e(route('invoices.pendings.create', [ $invoice_type, $pendingInvoice->id ])); ?>" class="btn btn-primary"
                                       target="_blank" rel="noopener noreferrer"
                                       title="<?php echo e(__('extends.show')); ?>"><?php echo e(__('extends.show')); ?></a>
                                    <form action="<?php echo e(route('invoices.pendings.destroy', [$invoice_type, $pendingInvoice->id])); ?>" class="d-inline" method="POST">
                                        <?php echo csrf_field(); ?>
                                        <?php echo method_field('DELETE'); ?>
                                        <button Auto_Test= "exception_table_btn_<?php echo e(++$i); ?>" type="submit" class="btn btn-danger">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </form>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php } ?>
                </tbody>
            </table>
        </div>

        
        <?php if (isset($pendingInvoices) && count($pendingInvoices) > 0) { ?>
            <div Auto_Test= "exception_table_div" class="row justify-content-center"><?php echo e($pendingInvoices->appends(request()->query())->links()); ?></div>
        <?php } ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.plus.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.plugin.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.picker.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura.js')); ?>"></script>
    <script src="<?php echo e(asset('js/calenders/jquery.calendars.ummalqura-ar.js')); ?>"></script>
    <script src="<?php echo e(asset('tickets/js/bootstrap-select.min.js')); ?>"></script>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('css-scripts'); ?>
    <link href="<?php echo e(asset('css/calenders/jquery.calendars.picker.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/bootstrap-datetimepicker-standalone.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/calenders/datepicker3.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/css/bootstrap-select.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/css/jquery-ui.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/jquery.ptTimeSelect.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('tickets/jquery.timepicker.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/pendings.blade.php ENDPATH**/ ?>