    <form method="POST" action="<?php echo $__env->yieldContent('form_action'); ?>" id="user_form">
        <?php echo csrf_field(); ?>

        
        <div class="card">
            <div class="card-header" id="basic_info">
                <a href="#" class="btn btn-header-link" data-toggle="collapse" data-target="#report-1"
                    aria-expanded="true" aria-controls="report-1">
                    <?php echo app('translator')->get('users.user_information'); ?>
                </a>
            </div>

            <div id="report-1" class="collapse show" aria-labelledby="basic_info" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <label for="user_name" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('users.user_name')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="text" class="form-control input-sm input-normal input-light"
                                name="user_name" id="user_name"
                                value="<?php if(old('user_name')): ?> <?php echo e(old('user_name')); ?><?php elseif(isset($user)): ?><?php echo e($user->user_name); ?> <?php endif; ?>"
                                required />
                            <?php $__errorArgs = ['user_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <label for="user_full_name" class="col-sm-2 col-4 col-form-label small-screen-margin">
                            <?php echo e(trans('users.full_name')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="text"
                                class="form-control input-sm input-normal input-light small-screen-margin"
                                id="user_full_name" name="user_full_name"
                                value="<?php if(old('user_full_name')): ?> <?php echo e(old('user_full_name')); ?><?php elseif(isset($user)): ?><?php echo e($user->name); ?> <?php endif; ?>"
                                required />
                            <?php $__errorArgs = ['user_full_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="user_password" class="col-sm-2 col-4 col-form-label"> <?php echo e(trans('users.password')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="password" class="form-control input-sm input-normal input-light"
                                name="user_password" id="user_password"
                                value="<?php if(old('user_password')): ?> <?php echo e(old('user_password')); ?> <?php endif; ?>" required />
                            <?php $__errorArgs = ['user_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <label for="user_pasword_confirm" class="col-sm-2 col-4 col-form-label small-screen-margin">
                            <?php echo e(trans('users.confirm_password')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <input type="password"
                                class="form-control input-sm input-normal input-light small-screen-margin"
                                id="user_pasword_confirm" name="user_pasword_confirm"
                                value="<?php if(old('user_pasword_confirm')): ?> <?php echo e(old('user_pasword_confirm')); ?> <?php endif; ?>"
                                required />
                            <?php $__errorArgs = ['user_pasword_confirm'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="user_sale_point" class="col-sm-2 col-4 col-form-label">
                            <?php echo e(trans('users.sale_point')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <select name="user_sale_point" id="user_sale_point"
                                class="form-control select2 input-light input-sm padding-select small-screen-margin"
                                value="<?php echo e(old('user_sale_point')); ?>">
                                <?php $__currentLoopData = $points; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $point): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($point->id); ?>"
                                        <?php if(old('user_sale_point') == $point->id): ?> selected
                                                                      <?php elseif(isset($user)): ?>
                                                                        <?php if($user->sale_point == $point->id): ?>
                                                                            selected <?php endif; ?>
                                        <?php endif; ?>> <?php echo e($point->point_name); ?> </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <label for="user_sale_point" class="col-sm-2 col-4 col-form-label">
                            <?php echo e(trans('settings.print_bill_shape')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <select name="invoice_print_template" id="invoice_print_template"
                                class="form-control select2 input-light input-sm padding-select small-screen-margin"
                                value="<?php echo e(old('user_sale_point')); ?>">
                                <?php echo $__env->make('settings::partials.invoices_print_temps', [
                                    'bill_size' => isset($user)
                                        ? $user->invoice_print_template
                                        : get_session_val('bill_size', 'integer'),
                                ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </select>
                        </div>


                        <label for="user_sale_point" class="col-sm-2 col-4 col-form-label">
                            <?php echo e(trans('settings.print_receipt_shape')); ?>

                        </label>
                        <div class="col-sm-4 col-8">
                            <select name="debentures_print_template"
                                id="debentures_print_template"class="form-control select2 input-light input-sm padding-select small-screen-margin">
                                <option value="0"
                                    <?php echo e(old('debentures_print_template', isset($user) ? $user->debentures_print_template : 0) == 0 ? 'selected' : ''); ?>>
                                    <?php echo app('translator')->get('users.cashier'); ?></option>
                                <option value="1"
                                    <?php echo e(old('debentures_print_template', isset($user) ? $user->debentures_print_template : 0) == 1 ? 'selected' : ''); ?>>
                                    <?php echo app('translator')->get('users.invoice_vat_template'); ?></option>
                            </select>
                        </div>




                        <label for="user_group" class="col-sm-2 col-4 col-form-label small-screen-margin"
                            style="margin-top: 10px;">
                            <?php echo e(trans('users.link_group')); ?>

                        </label>
                        <div class="col-sm-4 col-8" style="margin-top: 10px;">
                            <select name="user_group[]"
                                class="form-control select2 input-light input-sm padding-select small-screen-margin"
                                multiple="">
                                <option value="0"
                                    <?php if(isset($user)): ?> <?php if($user->clients_group == 0): ?>
                                    selected <?php endif; ?>
                                    <?php endif; ?>>
                                    <?php echo e(trans('client.clientGroup.all')); ?></option>
                                <?php $__currentLoopData = $groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($group->id); ?>"
                                        <?php if(isset($user)): ?> <?php $__currentLoopData = $groupIds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $groupId): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($group->id == $groupId): ?>
                                                    selected <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>>
                                <?php echo e($group->name); ?> </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-4">
                            <input type="checkbox" class="custom-control-input" id="define_categories" name="define_categories"
                                    <?php echo e($user && $user->define_categories ? 'checked' : ''); ?>>
                            <label class="custom-control-label" for="define_categories"> تحديد تصنيفات للبيع </label>
                        </div>

                        <div class="col-8 row" id="user-categories-element">
                            <label for="user_group" class="col-4 col-form-label small-screen-margin" style="margin-top: 10px;">
                                تحديد التصنيفات
                                <button type="button" id="select-all-categories" class="btn btn-sm btn-primary float-left"> تحديد الكل </button>
                            </label>
                            <div class="col-8" style="margin-top: 10px;">
                                <select id="user-categories" name="categories[]" class="form-control selectpicker" multiple>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>" <?php echo e(in_array($category->id, $user_categories) ? 'selected' : ''); ?>><?php echo e($category->name); ?> </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        
        <div class="card">
            <div class="card-header" id="normal_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse" data-target="#report-2"
                    aria-expanded="false" aria-controls="report-2">
                    <?php echo app('translator')->get('users.general_permissions'); ?>
                </a>
            </div>

            <div id="report-2" class="collapse" aria-labelledby="normal_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_login" name="can_login"
                                <?php if(old('can_login')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->login == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_login"><?php echo e(trans('users.enter_program')); ?></label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_display_reports"
                                name="can_display_reports"
                                <?php if(old('can_display_reports')): ?> checked="true"
                           <?php elseif(isset($user)): ?>
                               <?php if($user->show_report == 1): ?>
                                   checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_reports"><?php echo e(trans('users.show_reports')); ?></label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_display_suppliers"
                                name="can_display_suppliers"
                                <?php if(old('can_display_suppliers')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->show_supplier == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_suppliers"><?php echo e(trans('users.read_supplier_details')); ?></label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_display_clients"
                                name="can_display_clients"
                                <?php if(old('can_display_clients')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->show_clients == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_clients"><?php echo e(trans('users.show_client_details')); ?></label>
                        </div>

                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_change_invoice_store"
                                name="can_change_invoice_store"
                                <?php if(old('can_change_invoice_store')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->change_store == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_change_invoice_store"><?php echo e(trans('users.change_operation_store')); ?></label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_edit_sale_point"
                                name="can_edit_sale_point"
                                <?php if(old('can_edit_sale_point')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->can_edit_sale_point == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_edit_sale_point">التعديل علي الخزن</label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <div class="row">
                                <div class="col-2">
                                    <label class="mt-1"><?php echo app('translator')->get('users.show_sale_points'); ?> :</label>
                                </div>
                                <div class="col-10">
                                    <div class="row" style="background-color:#f1f1f1">
                                        <label  for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="1" id="can_display_points" name="can_display_points"
                                                <?php if(old('can_display_points')): ?> checked="true"
                                            <?php elseif(isset($user)): ?>
                                                <?php if($user->show_points == 1): ?> checked="true" <?php endif; ?> <?php endif; ?>><?php echo app('translator')->get('users.hide_stores_stock'); ?>
                                        </label>
                                        <label  for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="2" id="can_display_points" name="can_display_points"
                                                <?php if(old('can_display_points')): ?> checked="true"
                                            <?php elseif(isset($user)): ?>
                                                <?php if($user->show_points == 2): ?> checked="true" <?php endif; ?> <?php endif; ?>>
                                            <?php echo app('translator')->get('users.show_own_store_stock'); ?></label>
                                        </label>
                                        <label  for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="3" id="can_display_points" name="can_display_points"
                                                <?php if(old('can_display_points')): ?> checked="true"
                                            <?php elseif(isset($user)): ?>
                                                <?php if($user->show_points == 3): ?> checked="true" <?php endif; ?> <?php endif; ?>><?php echo app('translator')->get('users.show_own_store_safe'); ?>
                                        </label>
                                        <label for="can_display_points" style="padding-left: 20px;">
                                            <input type="radio"
                                                value="4" id="can_display_points" name="can_display_points"
                                                <?php if(old('can_display_points')): ?> checked="true"
                                            <?php elseif(isset($user)): ?>
                                                <?php if($user->show_points == 4): ?> checked="true" <?php endif; ?> <?php endif; ?>><?php echo app('translator')->get('users.show_all_stores'); ?>
                                        </label>
                                    </div>
                                </div>
                                
                                        
                                        
                                        
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_manage_users"
                                name="can_manage_users"
                                <?php if(old('can_manage_users')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->users == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_manage_users"><?php echo e(trans('users.user_management')); ?></label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_display_settings"
                                name="can_display_settings"
                                <?php if(old('can_display_settings')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->setting == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_settings"><?php echo e(trans('users.show_settings')); ?></label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_supplier"
                                name="can_add_supplier"
                                <?php if(old('can_add_supplier')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->new_supplier == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_supplier"><?php echo e(trans('users.add_supplier')); ?></label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_client"
                                name="can_add_client"
                                <?php if(old('can_add_client')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->new_client == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>>
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_client"><?php echo e(trans('users.add_client')); ?></label>
                        </div>
                    </div>


                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_list_spending"
                                name="can_list_spending"
                                <?php if(old('can_list_spending')): ?> checked="true"
                                <?php elseif(isset($user)): ?>
                                    <?php if($user->spending == 1): ?>
                                        checked="true" <?php endif; ?>
                                    <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_list_spending"><?php echo app('translator')->get('users.show_spendings_and_incomes'); ?></label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_spend"
                                name="can_add_spend"
                                <?php if(old('can_add_spend')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->add_spend == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>>
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_spend"><?php echo app('translator')->get('users.add_spending_and_income'); ?></label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_pay_by_installments" name="can_pay_by_installments"
                                   <?php if(old('can_pay_by_installments')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->pay_by_installments == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_pay_by_installments"><?php echo e(trans('users.pay_by_installments')); ?></label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_debentures_cash_receipt"
                                   name="can_show_debentures_cash_receipt"
                                   <?php if(old('can_show_debentures_cash_receipt')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_debentures_cash_receipt == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_debentures_cash_receipt"><?php echo e(trans('users.show_debentures_cash_receipt')); ?></label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_debentures_payment_receipt" name="can_show_debentures_payment_receipt"
                                   <?php if(old('can_show_debentures_payment_receipt')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_debentures_payment_receipt == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_debentures_payment_receipt"><?php echo e(trans('users.show_debentures_payment_receipt')); ?></label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_edit_debentures_receipt_date" name="can_edit_debentures_receipt_date"
                                   <?php if(old('can_edit_debentures_receipt_date')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->edit_debentures_receipt_date == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_edit_debentures_receipt_date"><?php echo e(trans('users.edit_debentures_receipt_date')); ?></label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_edit_by_excel"
                                   name="can_edit_by_excel"
                                   <?php if(old('can_edit_by_excel')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->edit_by_excel == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_edit_by_excel"><?php echo e(trans('users.edit_by_excel')); ?></label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_bad_balance" name="can_show_bad_balance"
                                   <?php if(old('can_show_bad_balance')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_bad_balance == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_bad_balance"><?php echo e(trans('users.show_bad_balance')); ?></label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_stores"
                                   name="can_show_stores"
                                   <?php if(old('can_show_stores')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_stores == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_stores"><?php echo e(trans('users.show_stores')); ?></label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_employees" name="can_show_employees"
                                   <?php if(old('can_show_employees')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_employees == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_employees"><?php echo e(trans('users.show_employees')); ?></label>
                        </div>
                        <div class="container" id="can_show_employees-related" style="display: none">
                            <div class="row">
                                <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                                    <input type="checkbox" class="custom-control-input" id="can_edit_salary_cut" name="can_edit_salary_cut"
                                           <?php if(old('can_edit_salary_cut') || (isset($user) && $user->edit_salary_cut == 1)): ?>
                                               checked="true"
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                           for="can_edit_salary_cut"><?php echo e(trans('users.edit_salary_cut')); ?></label>
                                </div>

                                <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                                    <input type="checkbox" class="custom-control-input" id="can_edit_salary_late" name="can_edit_salary_late"
                                           <?php if(old('can_edit_salary_late') || (isset($user) && $user->edit_salary_late == 1)): ?>
                                               checked="true"
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                           for="can_edit_salary_late"><?php echo e(trans('users.edit_salary_late')); ?></label>
                                </div>
                            </div>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_maintenance"
                                   name="can_show_maintenance"
                                   <?php if(old('can_show_maintenance')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_maintenance == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_maintenance"><?php echo e(trans('users.show_maintenance')); ?></label>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_show_manufacturing" name="can_show_manufacturing"
                                   <?php if(old('can_show_manufacturing')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_manufacturing == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_manufacturing"><?php echo e(trans('users.show_manufacturing')); ?></label>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        
        <div class="card">
            <div class="card-header" id="items_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                    data-target="#report-3" aria-expanded="false" aria-controls="report-3">
                    <?php echo app('translator')->get('users.items'); ?>
                </a>
            </div>

            <div id="report-3" class="collapse" aria-labelledby="items_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-6">
                            <div class="row" style="background-color: #f1f1f1">
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input main-check"
                                        id="can_display_items" name="can_display_items"
                                        <?php if(old('can_display_items')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->show_items == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_display_items"><?php echo e(trans('users.show_items')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_add_item"
                                        name="can_add_item"
                                        <?php if(old('can_add_item')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->new_items == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_add_item"><?php echo e(trans('users.add_new_item')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_edit_item"
                                        name="can_edit_item"
                                        <?php if(old('can_edit_item')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->edit_items == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_edit_item"><?php echo e(trans('users.edit_items')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_delete_items"
                                        name="can_delete_items"
                                        <?php if(old('can_delete_items')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->privilege == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_delete_items"><?php echo e(trans('users.delete_items_records')); ?></label>
                                </div>
                            </div>
                        </div>
                        <div class="col-6" style="background-color: #f1f1f1" id="allowed_stores_section">
                            <label><?php echo app('translator')->get('users.show_stores'); ?></label>
                            <div class="row">
                                <?php $__currentLoopData = $stores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $store): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="col-4">
                                        <input type="checkbox" name="allowed_stores[]" value="<?php echo e($store->id); ?>" <?php if(isset($user) && $user->allowed_stores?->contains($store->id)): ?> checked <?php endif; ?>/> <?php echo e($store->store_name); ?>

                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        
        <div class="card">
            <div class="card-header" id="sales_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                    data-target="#report-4" aria-expanded="false" aria-controls="report-4">
                    <?php echo app('translator')->get('users.sale'); ?>
                </a>
            </div>

            <div id="report-4" class="collapse" aria-labelledby="sales_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">

                        <div class="custom-control custom-checkbox col-sm-6 col-12 ">
                            <div class="row" style="background-color:#f1f1f1">
                                <div class="col-12">
                                    <input type="checkbox" class="custom-control-input main-check" id="can_sale"
                                        name="can_sale"
                                        <?php if(old('can_sale')): ?> checked="true"
                                        <?php elseif(isset($user)): ?>
                                            <?php if($user->new_sale_puplic == 1): ?> checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_sale"><?php echo e(trans('users.sale_point')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_sale_with_discount"
                                        name="can_sale_with_discount"
                                        <?php if(old('can_sale_with_discount')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->sale_discount == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_sale_with_discount"><?php echo e(trans('users.sell_with_discount')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_sale_later"
                                        name="can_sale_later"
                                        <?php if(old('can_sale_later')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->sale_cash == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_sale_later"><?php echo e(trans('users.sell_after_period')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_display_sales"
                                        name="can_display_sales"
                                        <?php if(old('can_display_sales')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->show_day_total == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_display_sales"><?php echo e(trans('users.read_daily_sales')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input"
                                        id="can_change_sale_invoice_date" name="can_change_sale_invoice_date"
                                        <?php if(old('can_change_sale_invoice_date')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->change_date == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_change_sale_invoice_date"><?php echo e(trans('users.change_date')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_change_sale_price"
                                        name="can_change_sale_price"
                                        <?php if(old('can_change_sale_price')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->sale_price == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_change_sale_price"><?php echo e(trans('users.sale_price')); ?></label>
                                </div>
                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_change_payment"
                                        name="can_change_payment"
                                        <?php if(old('can_change_payment')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->edit_payment == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_change_payment"><?php echo e(trans('users.Edit_payment')); ?></label>
                                </div>

                                <div class="col-6">
                                    <input type="checkbox" class="custom-control-input" id="can_see_sale_price"
                                        name="can_see_sale_price"
                                        <?php if(old('can_see_sale_price')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->show_prices == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_see_sale_price"><?php echo app('translator')->get('users.show_prices_in_sales'); ?></label>
                                </div>

                            </div>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_return_sales"
                                name="can_return_sales"
                                <?php if(old('can_return_sales')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->return_sales_insert == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_return_sales"><?php echo e(trans('users.record_returns')); ?></label>
                        </div>

                    </div>
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_show_sales_offers"
                                   name="can_show_sales_offers"
                                   <?php if(old('can_show_sales_offers')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->show_sales_offers == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_show_sales_offers"><?php echo e(trans('users.show_sales_offers')); ?></label>
                        </div>

                        <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                            <input type="checkbox" class="custom-control-input" id="can_add_sales_offers" name="can_add_sales_offers"
                                   <?php if(old('can_add_sales_offers')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->add_sales_offers == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_add_sales_offers"><?php echo e(trans('users.add_sales_offers')); ?></label>
                        </div>
                        
                        <?php if(get_session_val('pending_bills', 'integer') == 1): ?>
                            <div class="custom-control custom-checkbox col-sm-6 col-6 ">
                                <input type="checkbox" class="custom-control-input" id="show_pending_invoice" name="show_pending_invoice"
                                    <?php if(old('show_pending_invoice')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->show_pending_invoice == 1): ?>
                                            checked="true" <?php endif; ?>
                                    <?php endif; ?>
                                >
                                <label class="custom-control-label user-custom-control-label" for="show_pending_invoice">عرض الفواتير المعلقة</label>
                            </div>
                        <?php endif; ?>
                        
                    </div>

                    

                </div>
            </div>
        </div>

        
        <div class="card">
            <div class="card-header" id="purchases_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                    data-target="#report-5" aria-expanded="false" aria-controls="report-5">
                    <?php echo app('translator')->get('users.purchase'); ?>
                </a>
            </div>

            <div id="report-5" class="collapse" aria-labelledby="purchases_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-12">
                            <div class="row">
                                <div class="col-12">
                                    <input type="checkbox" class="custom-control-input main-check"
                                        id="can_add_purchases_invoices" name="can_add_purchases_invoices"
                                        <?php if(old('can_add_purchases_invoices')): ?> checked="true"
                                    <?php elseif(isset($user)): ?>
                                        <?php if($user->incoming_bill == 1): ?>
                                            checked="true" <?php endif; ?>
                                        <?php endif; ?>
                                    >
                                    <label class="custom-control-label user-custom-control-label"
                                        for="can_add_purchases_invoices"><?php echo e(trans('users.add_purchases')); ?></label>
                                </div>

                            </div>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_see_purchase_price"
                                name="can_see_purchase_price"
                                <?php if(old('can_see_purchase_price')): ?> checked="true"
                        <?php elseif(isset($user)): ?>
                            <?php if($user->show_pay_price == 1): ?>
                                checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_see_purchase_price"><?php echo e(trans('users.show_pay_price')); ?></label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_add_returned_purchases"
                                name="can_add_returned_purchases"
                                <?php if(old('can_add_returned_purchases')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->incoming_bill_return == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_add_returned_purchases"><?php echo e(trans('users.add_payoff_purchases')); ?></label>
                        </div>
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_display_purchases"
                                name="can_display_purchases"
                                <?php if(old('can_display_purchases')): ?> checked="true"
                            <?php elseif(isset($user)): ?>
                                <?php if($user->incoming_show == 1): ?>
                                    checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                for="can_display_purchases"><?php echo e(trans('users.show_purchases')); ?></label>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header" id="ecommerce_access">
                <a href="#" class="btn btn-header-link collapsed" data-toggle="collapse"
                   data-target="#report-6" aria-expanded="false" aria-controls="report-6">
                    <?php echo app('translator')->get('users.ecommerce'); ?>
                </a>
            </div>

            <div id="report-6" class="collapse" aria-labelledby="ecommerce_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <input type="checkbox" class="custom-control-input" id="can_edit_ecommerce_settings"
                                   name="can_edit_ecommerce_settings"
                                   <?php if(old('can_edit_ecommerce_settings')): ?> checked="true"
                                   <?php elseif(isset($user)): ?>
                                       <?php if($user->edit_ecommerce_settings == 1): ?>
                                           checked="true" <?php endif; ?>
                                <?php endif; ?>
                            >
                            <label class="custom-control-label user-custom-control-label"
                                   for="can_edit_ecommerce_settings"><?php echo app('translator')->get('users.ecommerce_settings'); ?></label>
                        </div>
                    </div>
                </div>
            </div>
            <div id="report-6" class="collapse" aria-labelledby="ecommerce_access" data-parent="#faq">
                <div class="card-body">
                    <div class="form-group row">
                        <div class="custom-control custom-checkbox col-sm-6 col-6">
                            <label class="mt-1"><?php echo app('translator')->get('users.show_ecommerce_requests_stores'); ?> :</label>
                            <div class="col-10">
                                <div class="row" style="background-color:#f1f1f1">
                                    <label  for="show_ecommerce_stores" style="padding-left: 20px;">
                                        <input type="radio"
                                            value="0" id="show_ecommerce_stores" name="show_ecommerce_stores"
                                            <?php if(old('show_ecommerce_stores')): ?> checked="true"
                                        <?php elseif(isset($user)): ?>
                                            <?php if($user->show_ecommerce_stores == 0): ?> checked="true" <?php endif; ?> <?php endif; ?>><?php echo app('translator')->get('users.show_all_requests_stores'); ?>
                                    </label>
                                    <label  for="show_ecommerce_stores" style="padding-left: 20px;">
                                        <input type="radio"
                                            value="1" id="show_ecommerce_stores" name="show_ecommerce_stores"
                                            <?php if(old('show_ecommerce_stores')): ?> checked="true"
                                        <?php elseif(isset($user)): ?>
                                            <?php if($user->show_ecommerce_stores == 1): ?> checked="true" <?php endif; ?> <?php endif; ?>>
                                        <?php echo app('translator')->get('users.show_only_user_requests_store'); ?></label>
                                    </label>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
    </form>
    
    <script>
        $(function() {
            $('#select-all-categories').on('click', function() {
                let selected_count = $('#user-categories').find('option:selected').length;
                let all_count      = $('#user-categories').find('option').length;
                $('#user-categories').find('option').prop('selected', selected_count < all_count).selectpicker('refresh').change();
            });
        });
    </script><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/User/Resources/views/layouts/form.blade.php ENDPATH**/ ?>