<div class="col-md-5">
    <div class="card card-danger">
        <div class="card-content">
            <div class="card-body">
                <ul class="list-group drag-drop nested-sortable" id="list-group-tags" data-url="<?php echo e(route('category.sub.reorder')); ?>" data-parent-id='null'>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $__env->make('category::main.subs', ['category' => $category], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        </div>
    </div>
</div>

<?php $__env->startPush('css-scripts'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/master/dragula.min.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Sortable/1.15.0/Sortable.min.js" integrity="sha512-Eezs+g9Lq4TCCq0wae01s9PuNWzHYoCMkE97e2qdkYthpI0pzC3UGB03lgEHn2XM85hDOUF6qgqqszs+iXU4UA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <script>
        $(function() {
            var sortablelist = document.getElementById('list-group-tags');
            var nestedSortables = document.getElementsByClassName('nested-sortable');

            for (var i = 0; i < nestedSortables.length; i++) {
                new Sortable(nestedSortables[i], {
                    group: 'nested',
                    animation: 150,
                    fallbackOnBody: true,
                    swapThreshold: 0.65,
                    onEnd: function (/**Event*/evt) {
                        let orders = createSortArray();
                        saveOrdring(orders);
                    },
                });
            }

            function createSortArray()
            {
                let orders = [];
                $('#list-group-tags').find('li.list-item').each(function (index) {
                    console.log(index);
                    let id = $(this).data('id');
                    let category_id = $(this).closest('.nested-sortable').data('parent-id');
                    // if(typeof orders[id] !== 'undefined') return true;
                    orders[index] = {id: id, category_id: category_id, display_order: (index + 1)}
                });

                return orders;
            }

            let abort_ajax = {abort: function() {}};
            function saveOrdring(orders)
            {
                abort_ajax.abort();
                abort_ajax = $.ajax({
                    type: "post",
                    url: `${$('.drag-drop').data('url')}`,
                    data: {orders: orders},
                    headers: {
                        'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>"
                    },
                    success: function (response) {
                    let order = 1;
                    $('.order').each(function () {
                        $(this).text(order++);
                    });
                    }
                });
            }
        });
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Category/Resources/views/main/drag-drop.blade.php ENDPATH**/ ?>