<!-- start salepoints table -->
<div class="table-responsive">
    <table class="zui-table zui-table-rounded table">
        <thead>
            <tr>
                <th scope="col" width="10">م</th>
                <th scope="col" width="20">اسم الخزنة</th>
                <th scope="col" width="10">المبلغ الحالى</th>
                <th scope="col" width="20">اسم المخزن</th>
                <th scope="col" width="20" class="<?php echo \Illuminate\Support\Arr::toCssClasses(['hidden' => !get_session_val('multi_currency', 'integer')]) ?>">اسم العملة</th>
                <th scope="col" width="10"> نوع نقطه البيع </th>
                <th scope="col" width="10">تحويل للخزنة</th>
                <th scope="col" width="10">تعديل</th>
                <th scope="col" width="10">حذف</th>
            </tr>
        </thead>
        <tbody class="section">
            <?php $__currentLoopData = $salePoints; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salePoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($loop->iteration); ?></td>
                    <td><?php echo e($salePoint->point_name); ?></td>
                    <td><?php echo e($salePoint->current_point_money); ?></td>
                    <td><?php echo e($salePoint->store->store_name); ?></td>
                    <td class="<?php echo \Illuminate\Support\Arr::toCssClasses(['hidden' => !get_session_val('multi_currency', 'integer')]) ?>"><?php echo e($salePoint->currency->name); ?></td>
                    <td><?php echo e($salePoint->point_type_name); ?></td>
                    <td>
                        <a href="#" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#transferSalePoint" data-id="<?php echo e($salePoint->id); ?>">
                            تحويل
                            <i class="fas fa-exchange-alt"></i>
                        </a>
                    </td>
                    <td>
                        <a href="#" class="btn btn-success btn-sm" data-toggle="modal" data-target="#editSalePoint" data-id="<?php echo e($salePoint->id); ?>">
                            تعديل
                            <i class="fas fa-edit"></i>
                        </a>
                    </td>
                    <td>
                        <a href="#" onclick="deleteSalpoint( <?php echo e($salePoint->id); ?> )" class="btn btn-danger btn-sm" >
                            حذف
                            <i class="fas fa-trash-alt"></i>
                        </a>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="2">الاجمالي</td>
                <td><?php echo e(round_money( $salePoints->sum('money_point'), true )); ?> <?php echo e(get_session_val('currency', 'string')); ?></td>
            </tr>
        </tfoot>
    </table>
</div>
<!-- start salepoints table -->
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/SalePoints/Resources/views/partials/salepoints_table.blade.php ENDPATH**/ ?>