<table style="border: 1px solid rgb(24, 24, 24); border-collapse: collapse !important; width: 100% !important; margin: 10px 0">
    <tr class="text-center">
        <th style="border: 2px solid #838383 !important; padding: 2px !important"># </th>

        <?php if($invoice_settings->show_item_name): ?>
            <th style="border: 2px solid #838383 !important; padding: 2px !important"><?php echo e(__('native.item_name')); ?></th>
        <?php endif; ?>

        <?php if($invoice_settings->show_about): ?>
            <th style="border: 2px solid #838383 !important; padding: 2px !important"> <?php echo e(__('native.The-about')); ?>  </th>
        <?php endif; ?>

        <?php if($invoice_settings->show_unites): ?>
            <th style="border: 2px solid #838383 !important; padding: 2px !important"><?php echo e(__('native.unit_name')); ?>  </th>
        <?php endif; ?>

        <th style="border: 2px solid #838383 !important; padding: 2px !important"><?php echo e(__('native.the_number')); ?>  </th>
        <th style="border: 2px solid #838383 !important; padding: 2px !important"><?php echo e(__('native.New_Price')); ?> </th>
        <th style="border: 2px solid #838383 !important; padding: 2px !important"><?php echo e(__('native.total')); ?> </th>
    </tr>


    <?php
        $items_count = $total_quantity = $total_vats = $total_discount = $total_basic_price = 0;
        $total_vats += $invoice->vats->sum('vat_weight') ?? 0;
    ?>
    <?php $__currentLoopData = $invoice->InvoiceDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detials): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php
            $items_count += 1;
            $total_quantity += $detials->quantity;
            if (in_array($invoice->invoice_type, [0, 2])) {
                if ($invoice->invoice_total_disc_status == 1) {
                    $total_basic_price += ( $detials->basic_pay_price * $detials->quantity);
                    $price = $detials->basic_pay_price;
                } else {
                    $total_basic_price += ( $detials->pay_price * $detials->quantity);
                    $price = $detials->price_without_vat;
                }
            } else {
                if ($invoice->invoice_total_disc_status == 1) {
                    if ($detials->discount > 0) {
                        $total_basic_price += ( $detials->basic_sale_price * $detials->quantity);
                        $price = $detials->basic_sale_price;
                    } else {
                        $total_basic_price += ( $detials->sale_price * $detials->quantity);
                        $price = $detials->price_without_vat;
                    }
                } else {
                    $total_basic_price += ( $detials->sale_price * $detials->quantity);
                    $price = $detials->price_without_vat;
                }
            }
        ?>

        <tr>
            <td style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 2px !important"><?php echo e($loop->iteration); ?></td>

            <?php if($invoice_settings->show_item_name): ?>
                <td style="border: 2px solid #a6a6a6 !important; padding: 2px !important"><?php echo e($detials->Item?->item_name); ?></td>
            <?php endif; ?>

            <?php if($invoice_settings->show_about): ?>
                <td style="border: 2px solid #a6a6a6 !important; padding: 2px !important"><?php echo e($detials->Item?->about); ?></td>
            <?php endif; ?>

            <?php if($invoice_settings->show_unites): ?>
                <td style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 2px !important"><?php echo e($detials->Unit?->name); ?></td>
            <?php endif; ?>

            <td style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 2px !important"><?php echo e(round_quantity((int)$detials->quantity, true)); ?></td>
            <td style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 2px !important"><?php echo e(round_money((float)$price)); ?></td>
            <td style="text-align: center; border: 2px solid #a6a6a6 !important; padding: 2px !important"><?php echo e(round_money((float)$price * (float)$detials->quantity)); ?></td>
        </tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <?php echo $__env->make('invoices::print.casher.total', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</table>

<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Invoices/Resources/views/print/casher/items.blade.php ENDPATH**/ ?>