<div class="tab-pane" id="general">
    <hr>
    <div class="row mt-3">
        <div class="col-md-6">
            <div class="d-flex">
                <p for="" class="font marg w-50"> <?php echo e(trans('settings.country')); ?> </p>
                <div class="switch-field  w-50" style="overflow: initial">
                    <select name="country" id="country" class="form-control w-100 selectpicker"
                        data-live-search="true">
                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($country->id); ?>" data-zone="<?php echo e($country->iso_alpha2); ?>" data-currency="<?php echo e($country->currency_code); ?>"
                                <?php if($badrshop->country == $country->id): ?> selected <?php endif; ?>> <?php echo e($country->name_ar); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
        </div>

        <div class="col-md-6">
            <div class="d-flex">
                <p for="" class="font marg w-50"> <?php echo e(trans('settings.time')); ?> </p>
                <div class="switch-field  w-50" id="zone-container"></div>
            </div>
        </div>
    </div>
    <hr>
    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p for="" class="font marg w-50"> <?php echo e(trans('settings.currency')); ?> </p>
                <input type="text" id="currency" name="currency" value="<?php echo e($badrshop->currency); ?>"
                    class="form-control w-50 input-sm">
            </div>
        </div>

        <?php if(app()->environment(['local', 'test'])): ?>
            <div class="col-md-6">
                <div class="d-flex">
                    <p class="font marg w-50"> <?php echo e(trans('currency::trans.title.name')); ?></p>
                    <div class="switch-field  text-end ">
                        <input type="radio" id="radio-one" name="multi_currency" value="1" <?php if($badrshop->multi_currency == 1): ?>checked <?php endif; ?>/>
                        <label for="radio-one"> <?php echo e(trans('settings.yes')); ?></label>
                        <input type="radio" id="radio-two" name="multi_currency" value="0" <?php if($badrshop->multi_currency == 0): ?>checked <?php endif; ?>/>
                        <label for="radio-two"> <?php echo e(trans('settings.no')); ?></label>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <hr>
    <!-- بدايه تاكيد النقل بين المخازن -->
    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> <?php echo e(trans('settings.confirm_store_transfer')); ?></p>
                <div class="switch-field  text-end ">
                    <input type="radio" id="radio-one" name="confirm_store_transfer" value="1" <?php if($badrshop->confirm_store_transfer == 1): ?>checked <?php endif; ?>/>
                    <label for="radio-one"> <?php echo e(trans('settings.ensured')); ?></label>
                    <input type="radio" id="radio-two" name="confirm_store_transfer" value="0" <?php if($badrshop->confirm_store_transfer == 0): ?>checked <?php endif; ?>/>
                    <label for="radio-two"> <?php echo e(trans('settings.request_ensure')); ?></label>
                </div>
            </div>
            <!-- نهايه تاكيد النقل بين المخازن -->
        </div>

        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> <?php echo app('translator')->get('settings.module'); ?> </p>
                <select name="module" class="form-control w-100">
                    <option value="1" <?php echo e($badrshop->module == 1 ? 'selected' : ''); ?>>تجاري</option>
                    <option value="2" <?php echo e($badrshop->module == 2 ? 'selected' : ''); ?>>ألبان</option>
                    <option value="3" <?php echo e($badrshop->module == 3 ? 'selected' : ''); ?>>مصنع شرابات</option>
                </select>
            </div>
        </div>
    </div>
    <hr>
    <!-- البريد الالكتروني مطلوب -->
    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> <?php echo e(trans('settings.tele_required')); ?></p>
                <div class="switch-field  text-end ">
                    <input type="radio" id="radio-one" name="telephone_required" value="1" <?php if($badrshop->telephone_required == 1): ?>checked <?php endif; ?>/>
                    <label for="radio-one"> <?php echo e(trans('settings.yes')); ?></label>
                    <input type="radio" id="radio-two" name="telephone_required" value="0" <?php if($badrshop->telephone_required == 0): ?>checked <?php endif; ?>/>
                    <label for="radio-two"> <?php echo e(trans('settings.no')); ?></label>
                </div>
            </div>
            <!-- نهايه تاكيد النقل بين المخازن -->
        </div>
    </div>
    <hr>
    <!-- عنوان العميل مطلوب -->
    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> <?php echo e(trans('settings.client_address_required')); ?></p>
                <div class="switch-field  text-end ">
                    <input type="radio" id="client_address_required_yes" name="client_address_required" value="1" <?php if($badrshop->client_address_required == 1): ?>checked <?php endif; ?>/>
                    <label for="client_address_required_yes"> <?php echo e(trans('settings.yes')); ?></label>
                    <input type="radio" id="client_address_required_no" name="client_address_required" value="0" <?php if($badrshop->client_address_required == 0): ?>checked <?php endif; ?>/>
                    <label for="client_address_required_no"> <?php echo e(trans('settings.no')); ?></label>
                </div>
            </div>
            <!-- نهايه تاكيد النقل بين المخازن -->
        </div>
    </div>
    <hr>

    <!-- معدلات العمولة -->
    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> <?php echo e(trans('settings.commission_rates')); ?></p>
                <div class="switch-field  text-end ">
                    <input type="radio" id="enable_commission_rates_yes" name="enable_commission_rates" value="1" <?php if($badrshop->enable_commission_rates == 1): ?>checked <?php endif; ?>/>
                    <label for="enable_commission_rates_yes"> <?php echo e(trans('settings.yes')); ?></label>
                    <input type="radio" id="enable_commission_rates_no" name="enable_commission_rates" value="0" <?php if($badrshop->enable_commission_rates == 0): ?>checked <?php endif; ?>/>
                    <label for="enable_commission_rates_no"> <?php echo e(trans('settings.no')); ?></label>
                </div>
            </div>
            <!-- نهايه معدلات العمولة -->
        </div>
    </div>
    <hr>
     <!-- اظهار المخاون في المتجر  -->
     <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> <?php echo e(trans('settings.show_stores_web')); ?></p>
                <div class="switch-field  text-end ">
                    <input type="radio" id="enable_show_stores_web_yes" name="enable_show_stores_web" value="1" <?php if($badrshop->enable_show_stores_web == 1): ?>checked <?php endif; ?>/>
                    <label for="enable_show_stores_web_yes"> <?php echo e(trans('settings.yes')); ?></label>
                    <input type="radio" id="enable_show_stores_web_no" name="enable_show_stores_web" value="0" <?php if($badrshop->enable_show_stores_web == 0): ?>checked <?php endif; ?>/>
                    <label for="enable_show_stores_web"> <?php echo e(trans('settings.no')); ?></label>
                </div>
            </div>
        </div>
    </div>
    <hr>
     <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> <?php echo e(trans('settings.enable-ecomm')); ?></p>
                <div class="switch-field  text-end ">
                    <input type="radio" id="ecomme_yes" name="ecomme" value="1" <?php if($badrshop->ecomme == 1): ?>checked <?php endif; ?>/>
                    <label for="ecomme_yes"> <?php echo e(trans('settings.yes')); ?></label>
                    <input type="radio" id="ecomme_no" name="ecomme" value="0" <?php if($badrshop->ecomme == 0): ?>checked <?php endif; ?>/>
                    <label for="ecomme"> <?php echo e(trans('settings.no')); ?></label>
                </div>
            </div>
        </div>
    </div>
    <hr>
    <div class="row">
        <div class="col-md-6">
            <div class="d-flex">
                <p class="font marg w-50"> تفعيل وضع الصيانة </p>
                <div class="switch-field  text-end ">
                    <input type="radio" id="activate_maintenance_mode_yes" name="activate_maintenance_mode" value="1" <?php if($badrshop->activate_maintenance_mode == 1): ?>checked <?php endif; ?>/>
                    <label for="activate_maintenance_mode_yes"> <?php echo e(trans('settings.yes')); ?></label>
                    <input type="radio" id="activate_maintenance_mode_no" name="activate_maintenance_mode" value="0" <?php if($badrshop->activate_maintenance_mode == 0): ?>checked <?php endif; ?>/>
                    <label for="activate_maintenance_mode"> <?php echo e(trans('settings.no')); ?></label>
                </div>
            </div>
        </div>
    </div>
    <hr>
    <div class="d-flex">
        <p class="font marg w-25"> رسالة وضع الصيانة </p>
        <textarea class="form-control" name="maintenance_message" id="maintenance_message" cols="4"><?php echo e($badrshop->maintenance_message); ?></textarea>
    </div>
    <hr>
    <div class="form-group small text-muted">
        <?php echo app('translator')->get('settings.save_warning'); ?>
    </div>
    <button type="submit" class="btn btn-primary w-25"><?php echo e(trans('settings.save')); ?></button>
    <hr>

    </form>
    <div class="row">
        <div class="col-md-6">
            <form method="POST" action="<?php echo e(route('settings.delete_account')); ?>" id="delete_form">
                <?php echo csrf_field(); ?>
                <input type="password" class="form-control hidden password" name="password" required>
                <button type="button" onclick="delete_account()"
                    class="btn btn-danger "><?php echo e(trans('settings.delete_account')); ?></button>
                <p><?php echo e(trans('settings.alert_delete_account')); ?></p>
            </form>
        </div>
        <div class="col-md-6">
            <form method="POST" action="<?php echo e(route('settings.reset_account')); ?>" id="reset_form">
                <?php echo csrf_field(); ?>
                <input type="password" class="form-control hidden password" name="password" required>
                <button type="button" onclick="reset_account()"
                    class="btn btn-warning "><?php echo e(trans('settings.backup_operations')); ?></button>
                <p><?php echo e(trans('settings.backup_operations_alert')); ?></p>
            </form>
        </div>
    </div>

</div>
<?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Settings/Resources/views/panels/general-panel.blade.php ENDPATH**/ ?>