

<?php $__env->startSection('content'); ?>

<div class="card card-light mb-1_5 p-3">

    <div class="container">

        <div class="row">
            <div class="col-sm-12">
                <h1 class="text-info">
                    <?php echo e(trans('native.adding_sub_units_to_items_in_excel')); ?>

                </h1>
            </div>
        </div>
        <form method="post" enctype="multipart/form-data" action="<?php echo e(route('excel.units-upload')); ?>">
            <?php echo csrf_field(); ?>

            <div class="row">
                <div class="col-md-11 col-md-offset-1">
                    <div class="form-groub tgrop" id="t1">
                        <p class="clear excel_mess">
                            <?php echo e(trans('native.by_uploading_an_excel_file_containing_the_item_name_unit_name_unit_barcode_unit_price_against_the_base_unit_larger_unit_0_smaller_unit_1')); ?>

                            <br>
                        </p>
                        <p class="text-danger"><strong> <?php echo e(trans('native.Notice')); ?> </strong>
                            <?php echo e(trans('native.ignore_first_lines')); ?>

                            <br>
                        </p>
                        <p>
                            <?php echo e(trans('native.to_ensure_the_success_of_the_process_please_download_the_following_form_and_work_with_it_to_add_sub_units_to_items')); ?>

                            <a style="margin-right: 40px;" download href="<?php echo e(url('tickets/sheet/item_units.xlsx')); ?>"
                                class="btn btn-success">
                                <?php echo e(trans('native.download_the_form')); ?>

                            </a>
                        </p>
                        <hr>
                    </div>
                </div>
            </div>
            <div class="row" id="input_">
                <div class="col-md-11 col-md-offset-1">
                    <div class="form-orizontal" style="display: flex;">
                        <label class="title-page col-md-3"> <?php echo e(trans('native.Upload_Excel')); ?> </label>
                        <input
                            accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"
                            type="file" name="sheet" class="form-control col-md-3" required>
                        <button style="margin-right: 50px;" class="btn btn-primary"
                            id="load"><?php echo e(trans('native.confirm')); ?></button>
                    </div>

                </div>
            </div>
        </form>

        <hr>
 


    </div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js-scripts'); ?>
    <script>
        $(document).on('submit', 'form', function(e) {
            $('#load').replaceWith('<p class="alert alert-info" style="margin-right: 50px;">جاري العمل ....</p>');
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jadallahtrading/public_html/newbadrsales/Modules/Excel/Resources/views/unit_excel.blade.php ENDPATH**/ ?>